#include "parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 6485
#define LARGE_STATE_COUNT 1168
#define SYMBOL_COUNT 377
#define ALIAS_COUNT 7
#define TOKEN_COUNT 166
#define EXTERNAL_TOKEN_COUNT 9
#define FIELD_COUNT 43
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 349

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_type = 6,
  anon_sym_EQ = 7,
  anon_sym_as = 8,
  anon_sym_namespace = 9,
  anon_sym_LBRACE = 10,
  anon_sym_COMMA = 11,
  anon_sym_RBRACE = 12,
  anon_sym_typeof = 13,
  anon_sym_import = 14,
  anon_sym_from = 15,
  anon_sym_with = 16,
  anon_sym_var = 17,
  anon_sym_let = 18,
  anon_sym_const = 19,
  anon_sym_BANG = 20,
  anon_sym_else = 21,
  anon_sym_if = 22,
  anon_sym_switch = 23,
  anon_sym_for = 24,
  anon_sym_LPAREN = 25,
  anon_sym_RPAREN = 26,
  anon_sym_await = 27,
  anon_sym_in = 28,
  anon_sym_of = 29,
  anon_sym_while = 30,
  anon_sym_do = 31,
  anon_sym_try = 32,
  anon_sym_break = 33,
  anon_sym_continue = 34,
  anon_sym_debugger = 35,
  anon_sym_return = 36,
  anon_sym_throw = 37,
  anon_sym_SEMI = 38,
  anon_sym_COLON = 39,
  anon_sym_case = 40,
  anon_sym_catch = 41,
  anon_sym_finally = 42,
  anon_sym_yield = 43,
  anon_sym_LBRACK = 44,
  anon_sym_RBRACK = 45,
  sym__glimmer_template_content = 46,
  sym_glimmer_opening_tag = 47,
  sym_glimmer_closing_tag = 48,
  anon_sym_GT = 49,
  anon_sym_DOT = 50,
  anon_sym_DQUOTE = 51,
  anon_sym_SQUOTE = 52,
  anon_sym_class = 53,
  anon_sym_async = 54,
  anon_sym_function = 55,
  anon_sym_EQ_GT = 56,
  anon_sym_QMARK_DOT = 57,
  anon_sym_new = 58,
  anon_sym_using = 59,
  anon_sym_PLUS_EQ = 60,
  anon_sym_DASH_EQ = 61,
  anon_sym_STAR_EQ = 62,
  anon_sym_SLASH_EQ = 63,
  anon_sym_PERCENT_EQ = 64,
  anon_sym_CARET_EQ = 65,
  anon_sym_AMP_EQ = 66,
  anon_sym_PIPE_EQ = 67,
  anon_sym_GT_GT_EQ = 68,
  anon_sym_GT_GT_GT_EQ = 69,
  anon_sym_LT_LT_EQ = 70,
  anon_sym_STAR_STAR_EQ = 71,
  anon_sym_AMP_AMP_EQ = 72,
  anon_sym_PIPE_PIPE_EQ = 73,
  anon_sym_QMARK_QMARK_EQ = 74,
  anon_sym_DOT_DOT_DOT = 75,
  anon_sym_AMP_AMP = 76,
  anon_sym_PIPE_PIPE = 77,
  anon_sym_GT_GT = 78,
  anon_sym_GT_GT_GT = 79,
  anon_sym_LT_LT = 80,
  anon_sym_AMP = 81,
  anon_sym_CARET = 82,
  anon_sym_PIPE = 83,
  anon_sym_PLUS = 84,
  anon_sym_DASH = 85,
  anon_sym_SLASH = 86,
  anon_sym_PERCENT = 87,
  anon_sym_STAR_STAR = 88,
  anon_sym_LT = 89,
  anon_sym_LT_EQ = 90,
  anon_sym_EQ_EQ = 91,
  anon_sym_EQ_EQ_EQ = 92,
  anon_sym_BANG_EQ = 93,
  anon_sym_BANG_EQ_EQ = 94,
  anon_sym_GT_EQ = 95,
  anon_sym_QMARK_QMARK = 96,
  anon_sym_instanceof = 97,
  anon_sym_TILDE = 98,
  anon_sym_void = 99,
  anon_sym_delete = 100,
  anon_sym_PLUS_PLUS = 101,
  anon_sym_DASH_DASH = 102,
  sym_unescaped_double_string_fragment = 103,
  sym_unescaped_single_string_fragment = 104,
  sym_escape_sequence = 105,
  sym_comment = 106,
  anon_sym_BQUOTE = 107,
  anon_sym_DOLLAR_LBRACE = 108,
  anon_sym_SLASH2 = 109,
  sym_regex_pattern = 110,
  sym_regex_flags = 111,
  sym_number = 112,
  sym_private_property_identifier = 113,
  anon_sym_target = 114,
  sym_this = 115,
  sym_super = 116,
  sym_true = 117,
  sym_false = 118,
  sym_null = 119,
  sym_undefined = 120,
  anon_sym_AT = 121,
  anon_sym_static = 122,
  anon_sym_readonly = 123,
  anon_sym_get = 124,
  anon_sym_set = 125,
  anon_sym_QMARK = 126,
  anon_sym_declare = 127,
  anon_sym_public = 128,
  anon_sym_private = 129,
  anon_sym_protected = 130,
  anon_sym_override = 131,
  anon_sym_module = 132,
  anon_sym_any = 133,
  anon_sym_number = 134,
  anon_sym_boolean = 135,
  anon_sym_string = 136,
  anon_sym_symbol = 137,
  anon_sym_object = 138,
  anon_sym_abstract = 139,
  anon_sym_accessor = 140,
  anon_sym_satisfies = 141,
  anon_sym_require = 142,
  anon_sym_extends = 143,
  anon_sym_implements = 144,
  anon_sym_global = 145,
  anon_sym_interface = 146,
  anon_sym_enum = 147,
  anon_sym_DASH_QMARK_COLON = 148,
  anon_sym_PLUS_QMARK_COLON = 149,
  anon_sym_QMARK_COLON = 150,
  anon_sym_asserts = 151,
  anon_sym_infer = 152,
  anon_sym_is = 153,
  anon_sym_keyof = 154,
  anon_sym_unique = 155,
  anon_sym_unknown = 156,
  anon_sym_never = 157,
  anon_sym_LBRACE_PIPE = 158,
  anon_sym_PIPE_RBRACE = 159,
  sym__automatic_semicolon = 160,
  sym__template_chars = 161,
  sym__ternary_qmark = 162,
  sym_html_comment = 163,
  sym__function_signature_automatic_semicolon = 164,
  sym___error_recovery = 165,
  sym_program = 166,
  sym_export_statement = 167,
  sym_namespace_export = 168,
  sym_export_clause = 169,
  sym_export_specifier = 170,
  sym__module_export_name = 171,
  sym_declaration = 172,
  sym_import = 173,
  sym_import_statement = 174,
  sym_import_clause = 175,
  sym__from_clause = 176,
  sym_namespace_import = 177,
  sym_named_imports = 178,
  sym_import_specifier = 179,
  sym_import_attribute = 180,
  sym_statement = 181,
  sym_expression_statement = 182,
  sym_variable_declaration = 183,
  sym_lexical_declaration = 184,
  sym_variable_declarator = 185,
  sym_statement_block = 186,
  sym_else_clause = 187,
  sym_if_statement = 188,
  sym_switch_statement = 189,
  sym_for_statement = 190,
  sym_for_in_statement = 191,
  sym__for_header = 192,
  sym_while_statement = 193,
  sym_do_statement = 194,
  sym_try_statement = 195,
  sym_with_statement = 196,
  sym_break_statement = 197,
  sym_continue_statement = 198,
  sym_debugger_statement = 199,
  sym_return_statement = 200,
  sym_throw_statement = 201,
  sym_empty_statement = 202,
  sym_labeled_statement = 203,
  sym_switch_body = 204,
  sym_switch_case = 205,
  sym_switch_default = 206,
  sym_catch_clause = 207,
  sym_finally_clause = 208,
  sym_parenthesized_expression = 209,
  sym_expression = 210,
  sym_primary_expression = 211,
  sym_yield_expression = 212,
  sym_object = 213,
  sym_object_pattern = 214,
  sym_assignment_pattern = 215,
  sym_object_assignment_pattern = 216,
  sym_array = 217,
  sym_array_pattern = 218,
  sym_glimmer_template = 219,
  sym_nested_identifier = 220,
  sym_class = 221,
  sym_class_declaration = 222,
  sym_class_heritage = 223,
  sym_function_expression = 224,
  sym_function_declaration = 225,
  sym_generator_function = 226,
  sym_generator_function_declaration = 227,
  sym_arrow_function = 228,
  sym__call_signature = 229,
  sym__formal_parameter = 230,
  sym_optional_chain = 231,
  sym_call_expression = 232,
  sym_new_expression = 233,
  sym_await_expression = 234,
  sym_member_expression = 235,
  sym_subscript_expression = 236,
  sym_assignment_expression = 237,
  sym__augmented_assignment_lhs = 238,
  sym_augmented_assignment_expression = 239,
  sym__initializer = 240,
  sym__destructuring_pattern = 241,
  sym_spread_element = 242,
  sym_ternary_expression = 243,
  sym_binary_expression = 244,
  sym_unary_expression = 245,
  sym_update_expression = 246,
  sym_sequence_expression = 247,
  sym_string = 248,
  sym_template_string = 249,
  sym_template_substitution = 250,
  sym_regex = 251,
  sym_meta_property = 252,
  sym_arguments = 253,
  sym_decorator = 254,
  sym_decorator_member_expression = 255,
  sym_decorator_call_expression = 256,
  sym_class_body = 257,
  sym_formal_parameters = 258,
  sym_class_static_block = 259,
  sym_pattern = 260,
  sym_rest_pattern = 261,
  sym_method_definition = 262,
  sym_pair = 263,
  sym_pair_pattern = 264,
  sym__property_name = 265,
  sym_computed_property_name = 266,
  sym_public_field_definition = 267,
  sym__import_identifier = 268,
  sym_non_null_expression = 269,
  sym_method_signature = 270,
  sym_abstract_method_signature = 271,
  sym_function_signature = 272,
  sym_type_assertion = 273,
  sym_as_expression = 274,
  sym_satisfies_expression = 275,
  sym_instantiation_expression = 276,
  sym_import_require_clause = 277,
  sym_extends_clause = 278,
  sym__extends_clause_single = 279,
  sym_implements_clause = 280,
  sym_ambient_declaration = 281,
  sym_abstract_class_declaration = 282,
  sym_module = 283,
  sym_internal_module = 284,
  sym__module = 285,
  sym_import_alias = 286,
  sym_nested_type_identifier = 287,
  sym_interface_declaration = 288,
  sym_extends_type_clause = 289,
  sym_enum_declaration = 290,
  sym_enum_body = 291,
  sym_enum_assignment = 292,
  sym_type_alias_declaration = 293,
  sym_accessibility_modifier = 294,
  sym_override_modifier = 295,
  sym_required_parameter = 296,
  sym_optional_parameter = 297,
  sym__parameter_name = 298,
  sym_omitting_type_annotation = 299,
  sym_adding_type_annotation = 300,
  sym_opting_type_annotation = 301,
  sym_type_annotation = 302,
  sym__type_query_member_expression_in_type_annotation = 303,
  sym__type_query_call_expression_in_type_annotation = 304,
  sym_asserts = 305,
  sym_asserts_annotation = 306,
  sym_type = 307,
  sym_tuple_parameter = 308,
  sym_optional_tuple_parameter = 309,
  sym_optional_type = 310,
  sym_rest_type = 311,
  sym__tuple_type_member = 312,
  sym_constructor_type = 313,
  sym_primary_type = 314,
  sym_template_type = 315,
  sym_template_literal_type = 316,
  sym_infer_type = 317,
  sym_conditional_type = 318,
  sym_generic_type = 319,
  sym_type_predicate = 320,
  sym_type_predicate_annotation = 321,
  sym__type_query_member_expression = 322,
  sym__type_query_subscript_expression = 323,
  sym__type_query_call_expression = 324,
  sym__type_query_instantiation_expression = 325,
  sym_type_query = 326,
  sym_index_type_query = 327,
  sym_lookup_type = 328,
  sym_mapped_type_clause = 329,
  sym_literal_type = 330,
  sym__number = 331,
  sym_existential_type = 332,
  sym_flow_maybe_type = 333,
  sym_parenthesized_type = 334,
  sym_predefined_type = 335,
  sym_type_arguments = 336,
  sym_object_type = 337,
  sym_call_signature = 338,
  sym_property_signature = 339,
  sym_type_parameters = 340,
  sym_type_parameter = 341,
  sym_default_type = 342,
  sym_constraint = 343,
  sym_construct_signature = 344,
  sym_index_signature = 345,
  sym_array_type = 346,
  sym_tuple_type = 347,
  sym_readonly_type = 348,
  sym_union_type = 349,
  sym_intersection_type = 350,
  sym_function_type = 351,
  aux_sym_program_repeat1 = 352,
  aux_sym_export_statement_repeat1 = 353,
  aux_sym_export_clause_repeat1 = 354,
  aux_sym_named_imports_repeat1 = 355,
  aux_sym_variable_declaration_repeat1 = 356,
  aux_sym_switch_body_repeat1 = 357,
  aux_sym_object_repeat1 = 358,
  aux_sym_object_pattern_repeat1 = 359,
  aux_sym_array_repeat1 = 360,
  aux_sym_array_pattern_repeat1 = 361,
  aux_sym_glimmer_template_repeat1 = 362,
  aux_sym_sequence_expression_repeat1 = 363,
  aux_sym_string_repeat1 = 364,
  aux_sym_string_repeat2 = 365,
  aux_sym_template_string_repeat1 = 366,
  aux_sym_class_body_repeat1 = 367,
  aux_sym_formal_parameters_repeat1 = 368,
  aux_sym_extends_clause_repeat1 = 369,
  aux_sym_implements_clause_repeat1 = 370,
  aux_sym_extends_type_clause_repeat1 = 371,
  aux_sym_enum_body_repeat1 = 372,
  aux_sym_template_literal_type_repeat1 = 373,
  aux_sym_object_type_repeat1 = 374,
  aux_sym_type_parameters_repeat1 = 375,
  aux_sym_tuple_type_repeat1 = 376,
  alias_sym_interface_body = 377,
  alias_sym_property_identifier = 378,
  alias_sym_shorthand_property_identifier = 379,
  alias_sym_shorthand_property_identifier_pattern = 380,
  alias_sym_statement_identifier = 381,
  alias_sym_this_type = 382,
  alias_sym_type_identifier = 383,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_as] = "as",
  [anon_sym_namespace] = "namespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_typeof] = "typeof",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_BANG] = "!",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [anon_sym_GT] = ">",
  [anon_sym_DOT] = ".",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_class] = "class",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_using] = "using",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_TILDE] = "~",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_readonly] = "readonly",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_QMARK] = "\?",
  [anon_sym_declare] = "declare",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_override] = "override",
  [anon_sym_module] = "module",
  [anon_sym_any] = "any",
  [anon_sym_number] = "number",
  [anon_sym_boolean] = "boolean",
  [anon_sym_string] = "string",
  [anon_sym_symbol] = "symbol",
  [anon_sym_object] = "object",
  [anon_sym_abstract] = "abstract",
  [anon_sym_accessor] = "accessor",
  [anon_sym_satisfies] = "satisfies",
  [anon_sym_require] = "require",
  [anon_sym_extends] = "extends",
  [anon_sym_implements] = "implements",
  [anon_sym_global] = "global",
  [anon_sym_interface] = "interface",
  [anon_sym_enum] = "enum",
  [anon_sym_DASH_QMARK_COLON] = "-\?:",
  [anon_sym_PLUS_QMARK_COLON] = "+\?:",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_asserts] = "asserts",
  [anon_sym_infer] = "infer",
  [anon_sym_is] = "is",
  [anon_sym_keyof] = "keyof",
  [anon_sym_unique] = "unique symbol",
  [anon_sym_unknown] = "unknown",
  [anon_sym_never] = "never",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym__function_signature_automatic_semicolon] = "_function_signature_automatic_semicolon",
  [sym___error_recovery] = "__error_recovery",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_statement] = "statement",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_nested_identifier] = "nested_identifier",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym__call_signature] = "_call_signature",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_optional_chain] = "optional_chain",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [sym_public_field_definition] = "public_field_definition",
  [sym__import_identifier] = "_import_identifier",
  [sym_non_null_expression] = "non_null_expression",
  [sym_method_signature] = "method_signature",
  [sym_abstract_method_signature] = "abstract_method_signature",
  [sym_function_signature] = "function_signature",
  [sym_type_assertion] = "type_assertion",
  [sym_as_expression] = "as_expression",
  [sym_satisfies_expression] = "satisfies_expression",
  [sym_instantiation_expression] = "instantiation_expression",
  [sym_import_require_clause] = "import_require_clause",
  [sym_extends_clause] = "extends_clause",
  [sym__extends_clause_single] = "_extends_clause_single",
  [sym_implements_clause] = "implements_clause",
  [sym_ambient_declaration] = "ambient_declaration",
  [sym_abstract_class_declaration] = "abstract_class_declaration",
  [sym_module] = "module",
  [sym_internal_module] = "internal_module",
  [sym__module] = "_module",
  [sym_import_alias] = "import_alias",
  [sym_nested_type_identifier] = "nested_type_identifier",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_type_clause] = "extends_type_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_assignment] = "enum_assignment",
  [sym_type_alias_declaration] = "type_alias_declaration",
  [sym_accessibility_modifier] = "accessibility_modifier",
  [sym_override_modifier] = "override_modifier",
  [sym_required_parameter] = "required_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym__parameter_name] = "_parameter_name",
  [sym_omitting_type_annotation] = "omitting_type_annotation",
  [sym_adding_type_annotation] = "adding_type_annotation",
  [sym_opting_type_annotation] = "opting_type_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym__type_query_member_expression_in_type_annotation] = "member_expression",
  [sym__type_query_call_expression_in_type_annotation] = "call_expression",
  [sym_asserts] = "asserts",
  [sym_asserts_annotation] = "asserts_annotation",
  [sym_type] = "type",
  [sym_tuple_parameter] = "required_parameter",
  [sym_optional_tuple_parameter] = "optional_parameter",
  [sym_optional_type] = "optional_type",
  [sym_rest_type] = "rest_type",
  [sym__tuple_type_member] = "_tuple_type_member",
  [sym_constructor_type] = "constructor_type",
  [sym_primary_type] = "primary_type",
  [sym_template_type] = "template_type",
  [sym_template_literal_type] = "template_literal_type",
  [sym_infer_type] = "infer_type",
  [sym_conditional_type] = "conditional_type",
  [sym_generic_type] = "generic_type",
  [sym_type_predicate] = "type_predicate",
  [sym_type_predicate_annotation] = "type_predicate_annotation",
  [sym__type_query_member_expression] = "member_expression",
  [sym__type_query_subscript_expression] = "subscript_expression",
  [sym__type_query_call_expression] = "call_expression",
  [sym__type_query_instantiation_expression] = "instantiation_expression",
  [sym_type_query] = "type_query",
  [sym_index_type_query] = "index_type_query",
  [sym_lookup_type] = "lookup_type",
  [sym_mapped_type_clause] = "mapped_type_clause",
  [sym_literal_type] = "literal_type",
  [sym__number] = "unary_expression",
  [sym_existential_type] = "existential_type",
  [sym_flow_maybe_type] = "flow_maybe_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_predefined_type] = "predefined_type",
  [sym_type_arguments] = "type_arguments",
  [sym_object_type] = "object_type",
  [sym_call_signature] = "call_signature",
  [sym_property_signature] = "property_signature",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_default_type] = "default_type",
  [sym_constraint] = "constraint",
  [sym_construct_signature] = "construct_signature",
  [sym_index_signature] = "index_signature",
  [sym_array_type] = "array_type",
  [sym_tuple_type] = "tuple_type",
  [sym_readonly_type] = "readonly_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_function_type] = "function_type",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_extends_clause_repeat1] = "extends_clause_repeat1",
  [aux_sym_implements_clause_repeat1] = "implements_clause_repeat1",
  [aux_sym_extends_type_clause_repeat1] = "extends_type_clause_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_template_literal_type_repeat1] = "template_literal_type_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [alias_sym_interface_body] = "interface_body",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_this_type] = "this_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_symbol] = anon_sym_symbol,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_accessor] = anon_sym_accessor,
  [anon_sym_satisfies] = anon_sym_satisfies,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_DASH_QMARK_COLON] = anon_sym_DASH_QMARK_COLON,
  [anon_sym_PLUS_QMARK_COLON] = anon_sym_PLUS_QMARK_COLON,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_asserts] = anon_sym_asserts,
  [anon_sym_infer] = anon_sym_infer,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_keyof] = anon_sym_keyof,
  [anon_sym_unique] = anon_sym_unique,
  [anon_sym_unknown] = anon_sym_unknown,
  [anon_sym_never] = anon_sym_never,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = anon_sym_QMARK,
  [sym_html_comment] = sym_html_comment,
  [sym__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [sym___error_recovery] = sym___error_recovery,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_statement] = sym_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym__call_signature] = sym__call_signature,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_optional_chain] = sym_optional_chain,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym__import_identifier] = sym__import_identifier,
  [sym_non_null_expression] = sym_non_null_expression,
  [sym_method_signature] = sym_method_signature,
  [sym_abstract_method_signature] = sym_abstract_method_signature,
  [sym_function_signature] = sym_function_signature,
  [sym_type_assertion] = sym_type_assertion,
  [sym_as_expression] = sym_as_expression,
  [sym_satisfies_expression] = sym_satisfies_expression,
  [sym_instantiation_expression] = sym_instantiation_expression,
  [sym_import_require_clause] = sym_import_require_clause,
  [sym_extends_clause] = sym_extends_clause,
  [sym__extends_clause_single] = sym__extends_clause_single,
  [sym_implements_clause] = sym_implements_clause,
  [sym_ambient_declaration] = sym_ambient_declaration,
  [sym_abstract_class_declaration] = sym_abstract_class_declaration,
  [sym_module] = sym_module,
  [sym_internal_module] = sym_internal_module,
  [sym__module] = sym__module,
  [sym_import_alias] = sym_import_alias,
  [sym_nested_type_identifier] = sym_nested_type_identifier,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_type_clause] = sym_extends_type_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_assignment] = sym_enum_assignment,
  [sym_type_alias_declaration] = sym_type_alias_declaration,
  [sym_accessibility_modifier] = sym_accessibility_modifier,
  [sym_override_modifier] = sym_override_modifier,
  [sym_required_parameter] = sym_required_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym__parameter_name] = sym__parameter_name,
  [sym_omitting_type_annotation] = sym_omitting_type_annotation,
  [sym_adding_type_annotation] = sym_adding_type_annotation,
  [sym_opting_type_annotation] = sym_opting_type_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym__type_query_member_expression_in_type_annotation] = sym_member_expression,
  [sym__type_query_call_expression_in_type_annotation] = sym_call_expression,
  [sym_asserts] = sym_asserts,
  [sym_asserts_annotation] = sym_asserts_annotation,
  [sym_type] = sym_type,
  [sym_tuple_parameter] = sym_required_parameter,
  [sym_optional_tuple_parameter] = sym_optional_parameter,
  [sym_optional_type] = sym_optional_type,
  [sym_rest_type] = sym_rest_type,
  [sym__tuple_type_member] = sym__tuple_type_member,
  [sym_constructor_type] = sym_constructor_type,
  [sym_primary_type] = sym_primary_type,
  [sym_template_type] = sym_template_type,
  [sym_template_literal_type] = sym_template_literal_type,
  [sym_infer_type] = sym_infer_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_predicate] = sym_type_predicate,
  [sym_type_predicate_annotation] = sym_type_predicate_annotation,
  [sym__type_query_member_expression] = sym_member_expression,
  [sym__type_query_subscript_expression] = sym_subscript_expression,
  [sym__type_query_call_expression] = sym_call_expression,
  [sym__type_query_instantiation_expression] = sym_instantiation_expression,
  [sym_type_query] = sym_type_query,
  [sym_index_type_query] = sym_index_type_query,
  [sym_lookup_type] = sym_lookup_type,
  [sym_mapped_type_clause] = sym_mapped_type_clause,
  [sym_literal_type] = sym_literal_type,
  [sym__number] = sym_unary_expression,
  [sym_existential_type] = sym_existential_type,
  [sym_flow_maybe_type] = sym_flow_maybe_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_predefined_type] = sym_predefined_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_object_type] = sym_object_type,
  [sym_call_signature] = sym_call_signature,
  [sym_property_signature] = sym_property_signature,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_default_type] = sym_default_type,
  [sym_constraint] = sym_constraint,
  [sym_construct_signature] = sym_construct_signature,
  [sym_index_signature] = sym_index_signature,
  [sym_array_type] = sym_array_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_readonly_type] = sym_readonly_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_function_type] = sym_function_type,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_extends_clause_repeat1] = aux_sym_extends_clause_repeat1,
  [aux_sym_implements_clause_repeat1] = aux_sym_implements_clause_repeat1,
  [aux_sym_extends_type_clause_repeat1] = aux_sym_extends_type_clause_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_template_literal_type_repeat1] = aux_sym_template_literal_type_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [alias_sym_interface_body] = alias_sym_interface_body,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_this_type] = alias_sym_this_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_accessor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_satisfies] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asserts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keyof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unique] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unknown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_never] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__function_signature_automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym___error_recovery] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym__call_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__import_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_non_null_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_satisfies_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_import_require_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__extends_clause_single] = {
    .visible = false,
    .named = true,
  },
  [sym_implements_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_ambient_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_module] = {
    .visible = true,
    .named = true,
  },
  [sym__module] = {
    .visible = false,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_override_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_required_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_omitting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_adding_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_opting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_index_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_lookup_type] = {
    .visible = true,
    .named = true,
  },
  [sym_mapped_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_maybe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_property_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_construct_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_index_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implements_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_type_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_this_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_body = 5,
  field_close_tag = 6,
  field_condition = 7,
  field_consequence = 8,
  field_constraint = 9,
  field_constructor = 10,
  field_content = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_index_type = 20,
  field_initializer = 21,
  field_key = 22,
  field_kind = 23,
  field_label = 24,
  field_left = 25,
  field_module = 26,
  field_name = 27,
  field_object = 28,
  field_open_tag = 29,
  field_operator = 30,
  field_optional_chain = 31,
  field_parameter = 32,
  field_parameters = 33,
  field_pattern = 34,
  field_property = 35,
  field_return_type = 36,
  field_right = 37,
  field_sign = 38,
  field_source = 39,
  field_type = 40,
  field_type_arguments = 41,
  field_type_parameters = 42,
  field_value = 43,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_index_type] = "index_type",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_sign] = "sign",
  [field_source] = "source",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 1},
  [12] = {.index = 12, .length = 2},
  [13] = {.index = 14, .length = 1},
  [15] = {.index = 3, .length = 1},
  [17] = {.index = 15, .length = 2},
  [18] = {.index = 17, .length = 2},
  [19] = {.index = 19, .length = 2},
  [20] = {.index = 21, .length = 2},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 1},
  [23] = {.index = 26, .length = 2},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 2},
  [26] = {.index = 32, .length = 1},
  [27] = {.index = 33, .length = 2},
  [28] = {.index = 35, .length = 2},
  [29] = {.index = 37, .length = 2},
  [30] = {.index = 39, .length = 2},
  [34] = {.index = 41, .length = 1},
  [35] = {.index = 42, .length = 2},
  [36] = {.index = 44, .length = 2},
  [37] = {.index = 46, .length = 2},
  [38] = {.index = 48, .length = 1},
  [39] = {.index = 49, .length = 2},
  [40] = {.index = 51, .length = 2},
  [41] = {.index = 53, .length = 6},
  [42] = {.index = 59, .length = 1},
  [43] = {.index = 60, .length = 3},
  [44] = {.index = 63, .length = 3},
  [45] = {.index = 66, .length = 2},
  [46] = {.index = 68, .length = 2},
  [47] = {.index = 70, .length = 2},
  [48] = {.index = 72, .length = 2},
  [49] = {.index = 74, .length = 1},
  [50] = {.index = 75, .length = 3},
  [51] = {.index = 78, .length = 2},
  [52] = {.index = 80, .length = 1},
  [53] = {.index = 81, .length = 2},
  [54] = {.index = 83, .length = 1},
  [55] = {.index = 84, .length = 2},
  [56] = {.index = 86, .length = 4},
  [57] = {.index = 90, .length = 2},
  [58] = {.index = 92, .length = 2},
  [59] = {.index = 94, .length = 3},
  [60] = {.index = 97, .length = 2},
  [61] = {.index = 99, .length = 2},
  [62] = {.index = 101, .length = 2},
  [63] = {.index = 103, .length = 2},
  [64] = {.index = 105, .length = 1},
  [65] = {.index = 106, .length = 2},
  [66] = {.index = 108, .length = 2},
  [67] = {.index = 110, .length = 2},
  [70] = {.index = 106, .length = 2},
  [71] = {.index = 112, .length = 4},
  [72] = {.index = 33, .length = 2},
  [73] = {.index = 37, .length = 2},
  [74] = {.index = 116, .length = 3},
  [75] = {.index = 78, .length = 2},
  [76] = {.index = 78, .length = 2},
  [77] = {.index = 119, .length = 2},
  [78] = {.index = 119, .length = 2},
  [79] = {.index = 121, .length = 3},
  [80] = {.index = 121, .length = 3},
  [81] = {.index = 124, .length = 3},
  [82] = {.index = 127, .length = 2},
  [83] = {.index = 129, .length = 4},
  [84] = {.index = 133, .length = 3},
  [85] = {.index = 136, .length = 2},
  [86] = {.index = 138, .length = 2},
  [87] = {.index = 140, .length = 1},
  [88] = {.index = 141, .length = 1},
  [89] = {.index = 105, .length = 1},
  [90] = {.index = 119, .length = 2},
  [91] = {.index = 33, .length = 2},
  [92] = {.index = 142, .length = 2},
  [93] = {.index = 144, .length = 5},
  [94] = {.index = 149, .length = 1},
  [95] = {.index = 150, .length = 1},
  [96] = {.index = 151, .length = 2},
  [97] = {.index = 153, .length = 3},
  [98] = {.index = 156, .length = 2},
  [99] = {.index = 158, .length = 3},
  [100] = {.index = 161, .length = 6},
  [101] = {.index = 167, .length = 1},
  [102] = {.index = 168, .length = 1},
  [103] = {.index = 169, .length = 3},
  [104] = {.index = 172, .length = 3},
  [105] = {.index = 175, .length = 4},
  [106] = {.index = 179, .length = 2},
  [107] = {.index = 181, .length = 2},
  [108] = {.index = 183, .length = 3},
  [109] = {.index = 186, .length = 4},
  [110] = {.index = 190, .length = 1},
  [111] = {.index = 191, .length = 2},
  [112] = {.index = 193, .length = 1},
  [113] = {.index = 194, .length = 2},
  [114] = {.index = 196, .length = 3},
  [115] = {.index = 199, .length = 2},
  [116] = {.index = 201, .length = 4},
  [117] = {.index = 205, .length = 2},
  [118] = {.index = 207, .length = 2},
  [119] = {.index = 209, .length = 4},
  [120] = {.index = 207, .length = 2},
  [121] = {.index = 213, .length = 4},
  [122] = {.index = 217, .length = 4},
  [123] = {.index = 221, .length = 5},
  [124] = {.index = 226, .length = 3},
  [125] = {.index = 229, .length = 2},
  [126] = {.index = 229, .length = 2},
  [127] = {.index = 231, .length = 2},
  [128] = {.index = 233, .length = 1},
  [129] = {.index = 234, .length = 2},
  [130] = {.index = 236, .length = 4},
  [131] = {.index = 240, .length = 4},
  [132] = {.index = 244, .length = 4},
  [133] = {.index = 248, .length = 2},
  [134] = {.index = 250, .length = 2},
  [135] = {.index = 252, .length = 2},
  [136] = {.index = 254, .length = 3},
  [137] = {.index = 257, .length = 2},
  [138] = {.index = 259, .length = 4},
  [139] = {.index = 259, .length = 4},
  [140] = {.index = 263, .length = 4},
  [141] = {.index = 263, .length = 4},
  [142] = {.index = 156, .length = 2},
  [143] = {.index = 267, .length = 1},
  [144] = {.index = 267, .length = 1},
  [145] = {.index = 194, .length = 2},
  [146] = {.index = 196, .length = 3},
  [147] = {.index = 268, .length = 2},
  [148] = {.index = 270, .length = 3},
  [149] = {.index = 273, .length = 2},
  [150] = {.index = 275, .length = 3},
  [151] = {.index = 278, .length = 2},
  [152] = {.index = 280, .length = 3},
  [153] = {.index = 283, .length = 1},
  [154] = {.index = 284, .length = 2},
  [155] = {.index = 286, .length = 2},
  [156] = {.index = 288, .length = 5},
  [157] = {.index = 284, .length = 2},
  [158] = {.index = 293, .length = 1},
  [159] = {.index = 294, .length = 4},
  [160] = {.index = 298, .length = 2},
  [161] = {.index = 300, .length = 1},
  [162] = {.index = 301, .length = 2},
  [163] = {.index = 303, .length = 2},
  [164] = {.index = 305, .length = 2},
  [165] = {.index = 307, .length = 4},
  [166] = {.index = 311, .length = 2},
  [167] = {.index = 313, .length = 3},
  [168] = {.index = 316, .length = 3},
  [169] = {.index = 319, .length = 3},
  [170] = {.index = 322, .length = 4},
  [171] = {.index = 326, .length = 4},
  [172] = {.index = 330, .length = 4},
  [173] = {.index = 334, .length = 5},
  [174] = {.index = 339, .length = 2},
  [175] = {.index = 341, .length = 2},
  [176] = {.index = 343, .length = 1},
  [177] = {.index = 344, .length = 4},
  [178] = {.index = 344, .length = 4},
  [179] = {.index = 348, .length = 3},
  [180] = {.index = 351, .length = 2},
  [181] = {.index = 353, .length = 3},
  [182] = {.index = 356, .length = 2},
  [183] = {.index = 358, .length = 3},
  [184] = {.index = 361, .length = 2},
  [185] = {.index = 361, .length = 2},
  [186] = {.index = 319, .length = 3},
  [187] = {.index = 363, .length = 3},
  [188] = {.index = 366, .length = 3},
  [189] = {.index = 151, .length = 2},
  [190] = {.index = 369, .length = 2},
  [191] = {.index = 371, .length = 3},
  [192] = {.index = 374, .length = 4},
  [193] = {.index = 378, .length = 3},
  [194] = {.index = 381, .length = 3},
  [195] = {.index = 384, .length = 2},
  [196] = {.index = 386, .length = 3},
  [197] = {.index = 389, .length = 5},
  [198] = {.index = 384, .length = 2},
  [199] = {.index = 394, .length = 3},
  [200] = {.index = 394, .length = 3},
  [201] = {.index = 397, .length = 3},
  [202] = {.index = 400, .length = 2},
  [203] = {.index = 402, .length = 4},
  [204] = {.index = 151, .length = 2},
  [205] = {.index = 406, .length = 1},
  [206] = {.index = 407, .length = 1},
  [207] = {.index = 408, .length = 2},
  [208] = {.index = 410, .length = 2},
  [209] = {.index = 412, .length = 2},
  [210] = {.index = 414, .length = 2},
  [211] = {.index = 416, .length = 3},
  [212] = {.index = 419, .length = 3},
  [213] = {.index = 422, .length = 2},
  [214] = {.index = 424, .length = 3},
  [215] = {.index = 427, .length = 3},
  [216] = {.index = 430, .length = 3},
  [217] = {.index = 433, .length = 3},
  [218] = {.index = 436, .length = 4},
  [219] = {.index = 440, .length = 5},
  [220] = {.index = 445, .length = 3},
  [221] = {.index = 448, .length = 2},
  [222] = {.index = 450, .length = 2},
  [223] = {.index = 452, .length = 4},
  [224] = {.index = 456, .length = 4},
  [225] = {.index = 460, .length = 4},
  [226] = {.index = 464, .length = 3},
  [227] = {.index = 467, .length = 2},
  [228] = {.index = 469, .length = 3},
  [229] = {.index = 472, .length = 2},
  [230] = {.index = 474, .length = 2},
  [231] = {.index = 476, .length = 2},
  [232] = {.index = 478, .length = 1},
  [233] = {.index = 479, .length = 4},
  [234] = {.index = 483, .length = 3},
  [235] = {.index = 486, .length = 4},
  [236] = {.index = 490, .length = 5},
  [237] = {.index = 495, .length = 1},
  [238] = {.index = 496, .length = 2},
  [239] = {.index = 498, .length = 4},
  [240] = {.index = 502, .length = 4},
  [241] = {.index = 506, .length = 2},
  [242] = {.index = 508, .length = 4},
  [243] = {.index = 512, .length = 4},
  [244] = {.index = 516, .length = 2},
  [245] = {.index = 518, .length = 2},
  [246] = {.index = 520, .length = 2},
  [247] = {.index = 522, .length = 2},
  [248] = {.index = 524, .length = 3},
  [249] = {.index = 527, .length = 3},
  [250] = {.index = 530, .length = 1},
  [251] = {.index = 531, .length = 1},
  [252] = {.index = 532, .length = 2},
  [253] = {.index = 534, .length = 3},
  [254] = {.index = 537, .length = 3},
  [255] = {.index = 540, .length = 3},
  [256] = {.index = 543, .length = 3},
  [257] = {.index = 546, .length = 4},
  [258] = {.index = 550, .length = 4},
  [259] = {.index = 554, .length = 3},
  [260] = {.index = 557, .length = 2},
  [261] = {.index = 559, .length = 4},
  [262] = {.index = 563, .length = 4},
  [263] = {.index = 567, .length = 4},
  [264] = {.index = 571, .length = 3},
  [266] = {.index = 574, .length = 4},
  [267] = {.index = 578, .length = 5},
  [268] = {.index = 583, .length = 5},
  [269] = {.index = 588, .length = 5},
  [270] = {.index = 593, .length = 3},
  [271] = {.index = 596, .length = 3},
  [272] = {.index = 599, .length = 3},
  [273] = {.index = 596, .length = 3},
  [274] = {.index = 602, .length = 2},
  [275] = {.index = 604, .length = 4},
  [276] = {.index = 608, .length = 4},
  [277] = {.index = 612, .length = 2},
  [278] = {.index = 614, .length = 2},
  [279] = {.index = 616, .length = 3},
  [280] = {.index = 619, .length = 3},
  [281] = {.index = 622, .length = 2},
  [282] = {.index = 624, .length = 2},
  [283] = {.index = 626, .length = 1},
  [284] = {.index = 627, .length = 3},
  [285] = {.index = 630, .length = 3},
  [286] = {.index = 633, .length = 3},
  [287] = {.index = 636, .length = 3},
  [288] = {.index = 639, .length = 4},
  [289] = {.index = 643, .length = 4},
  [290] = {.index = 647, .length = 2},
  [291] = {.index = 649, .length = 4},
  [292] = {.index = 653, .length = 5},
  [293] = {.index = 658, .length = 5},
  [294] = {.index = 663, .length = 4},
  [295] = {.index = 667, .length = 3},
  [296] = {.index = 670, .length = 4},
  [297] = {.index = 674, .length = 2},
  [298] = {.index = 676, .length = 2},
  [299] = {.index = 678, .length = 3},
  [300] = {.index = 681, .length = 3},
  [301] = {.index = 681, .length = 3},
  [302] = {.index = 684, .length = 2},
  [303] = {.index = 686, .length = 2},
  [304] = {.index = 688, .length = 1},
  [305] = {.index = 689, .length = 3},
  [306] = {.index = 692, .length = 3},
  [307] = {.index = 695, .length = 4},
  [308] = {.index = 699, .length = 4},
  [309] = {.index = 703, .length = 3},
  [310] = {.index = 706, .length = 3},
  [311] = {.index = 709, .length = 2},
  [312] = {.index = 711, .length = 5},
  [313] = {.index = 716, .length = 5},
  [314] = {.index = 721, .length = 4},
  [315] = {.index = 721, .length = 4},
  [316] = {.index = 725, .length = 4},
  [317] = {.index = 729, .length = 3},
  [318] = {.index = 732, .length = 2},
  [319] = {.index = 734, .length = 2},
  [320] = {.index = 736, .length = 3},
  [321] = {.index = 739, .length = 2},
  [322] = {.index = 741, .length = 2},
  [323] = {.index = 743, .length = 4},
  [324] = {.index = 747, .length = 4},
  [325] = {.index = 751, .length = 3},
  [326] = {.index = 754, .length = 3},
  [327] = {.index = 757, .length = 4},
  [328] = {.index = 761, .length = 3},
  [329] = {.index = 764, .length = 3},
  [330] = {.index = 767, .length = 2},
  [331] = {.index = 769, .length = 5},
  [332] = {.index = 774, .length = 3},
  [333] = {.index = 777, .length = 2},
  [334] = {.index = 779, .length = 2},
  [335] = {.index = 781, .length = 3},
  [336] = {.index = 784, .length = 4},
  [337] = {.index = 788, .length = 4},
  [338] = {.index = 792, .length = 3},
  [339] = {.index = 795, .length = 3},
  [340] = {.index = 798, .length = 4},
  [341] = {.index = 802, .length = 3},
  [342] = {.index = 805, .length = 3},
  [343] = {.index = 808, .length = 3},
  [344] = {.index = 811, .length = 4},
  [345] = {.index = 815, .length = 3},
  [346] = {.index = 818, .length = 3},
  [347] = {.index = 821, .length = 4},
  [348] = {.index = 825, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_parameters, 0},
  [2] =
    {field_declaration, 1},
  [3] =
    {field_name, 0},
  [4] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [6] =
    {field_argument, 1},
    {field_operator, 0},
  [8] =
    {field_pattern, 0},
  [9] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
  [11] =
    {field_body, 1},
  [12] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [14] =
    {field_constructor, 1},
  [15] =
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [17] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
  [19] =
    {field_argument, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [21] =
    {field_arguments, 1},
    {field_function, 0},
  [23] =
    {field_argument, 0},
    {field_operator, 1},
  [25] =
    {field_type_arguments, 1},
  [26] =
    {field_parameters, 0},
    {field_return_type, 1},
  [28] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [30] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [32] =
    {field_declaration, 2},
  [33] =
    {field_left, 0},
    {field_right, 2},
  [35] =
    {field_body, 2},
    {field_label, 0},
  [37] =
    {field_body, 2},
    {field_parameter, 0},
  [39] =
    {field_body, 1},
    {field_name, 0},
  [41] =
    {field_source, 1},
  [42] =
    {field_body, 2},
    {field_object, 1},
  [44] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [46] =
    {field_name, 0},
    {field_type, 1},
  [48] =
    {field_kind, 0},
  [49] =
    {field_condition, 1},
    {field_consequence, 2},
  [51] =
    {field_body, 2},
    {field_value, 1},
  [53] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [59] =
    {field_pattern, 1},
  [60] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [63] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
  [66] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 1},
  [68] =
    {field_body, 2},
    {field_condition, 1},
  [70] =
    {field_body, 1},
    {field_handler, 2},
  [72] =
    {field_body, 1},
    {field_finalizer, 2},
  [74] =
    {field_label, 1},
  [75] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [78] =
    {field_body, 2},
    {field_name, 1},
  [80] =
    {field_value, 0},
  [81] =
    {field_type_arguments, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [83] =
    {field_body, 2},
  [84] =
    {field_body, 2},
    {field_type_parameters, 1},
  [86] =
    {field_body, 2},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [90] =
    {field_arguments, 2},
    {field_constructor, 1},
  [92] =
    {field_constructor, 1},
    {field_type_arguments, 2},
  [94] =
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [97] =
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [99] =
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
  [101] =
    {field_arguments, 1, .inherited = true},
    {field_function, 1, .inherited = true},
  [103] =
    {field_function, 1, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
  [105] =
    {field_name, 1},
  [106] =
    {field_name, 0},
    {field_type_arguments, 1},
  [108] =
    {field_name, 0},
    {field_value, 1},
  [110] =
    {field_constraint, 1},
    {field_name, 0},
  [112] =
    {field_arguments, 1},
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [116] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [119] =
    {field_object, 0},
    {field_property, 2},
  [121] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [124] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [127] =
    {field_arguments, 2},
    {field_function, 0},
  [129] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [133] =
    {field_parameters, 1},
    {field_return_type, 2},
    {field_type_parameters, 0},
  [136] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [138] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [140] =
    {field_source, 2, .inherited = true},
  [141] =
    {field_value, 2},
  [142] =
    {field_key, 0},
    {field_value, 2},
  [144] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [149] =
    {field_source, 2},
  [150] =
    {field_value, 1},
  [151] =
    {field_name, 0},
    {field_type, 2},
  [153] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [156] =
    {field_body, 3},
    {field_name, 2},
  [158] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [161] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [167] =
    {field_type, 2},
  [168] =
    {field_pattern, 2},
  [169] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [172] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
  [175] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [179] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 2},
  [181] =
    {field_body, 1},
    {field_condition, 3},
  [183] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [186] =
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [190] =
    {field_decorator, 0, .inherited = true},
  [191] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
  [193] =
    {field_decorator, 1, .inherited = true},
  [194] =
    {field_body, 3},
    {field_name, 1},
  [196] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [199] =
    {field_type_arguments, 1},
    {field_value, 0},
  [201] =
    {field_type_arguments, 1, .inherited = true},
    {field_type_arguments, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [205] =
    {field_body, 3},
    {field_type_parameters, 1},
  [207] =
    {field_body, 3},
    {field_parameter, 1},
  [209] =
    {field_body, 3},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [213] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [217] =
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [221] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [226] =
    {field_arguments, 3},
    {field_constructor, 1},
    {field_type_arguments, 2},
  [229] =
    {field_left, 1},
    {field_right, 3},
  [231] =
    {field_flags, 3},
    {field_pattern, 1},
  [233] =
    {field_parameters, 1},
  [234] =
    {field_function, 0},
    {field_type_arguments, 1},
  [236] =
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_type_arguments, 1},
  [240] =
    {field_arguments, 1},
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [244] =
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
    {field_type_arguments, 1},
  [248] =
    {field_name, 1},
    {field_value, 2},
  [250] =
    {field_constraint, 2},
    {field_name, 1},
  [252] =
    {field_module, 0},
    {field_name, 2},
  [254] =
    {field_constraint, 1},
    {field_name, 0},
    {field_value, 2},
  [257] =
    {field_parameters, 0},
    {field_return_type, 2},
  [259] =
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 2},
  [263] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_object, 0},
    {field_property, 2},
  [267] =
    {field_type, 1},
  [268] =
    {field_index, 2},
    {field_object, 0},
  [270] =
    {field_arguments, 3},
    {field_function, 0},
    {field_type_arguments, 2},
  [273] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [275] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [278] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [280] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [283] =
    {field_source, 3, .inherited = true},
  [284] =
    {field_alias, 2},
    {field_name, 0},
  [286] =
    {field_name, 1},
    {field_value, 3},
  [288] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [293] =
    {field_pattern, 3},
  [294] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [298] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 3},
  [300] =
    {field_name, 2},
  [301] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [303] =
    {field_name, 1},
    {field_type, 2},
  [305] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [307] =
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [311] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [313] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [316] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
  [319] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [322] =
    {field_type_arguments, 0, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [326] =
    {field_body, 4},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [330] =
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [334] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [339] =
    {field_parameters, 1},
    {field_type, 2},
  [341] =
    {field_parameters, 2},
    {field_type_parameters, 1},
  [343] =
    {field_parameters, 2},
  [344] =
    {field_index, 0, .inherited = true},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 2},
  [348] =
    {field_constraint, 2},
    {field_name, 1},
    {field_value, 3},
  [351] =
    {field_parameters, 1},
    {field_type, 3},
  [353] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_type_parameters, 0},
  [356] =
    {field_body, 4},
    {field_name, 2},
  [358] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [361] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [363] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [366] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [369] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [371] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [374] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [378] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [381] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [384] =
    {field_alias, 3},
    {field_name, 1},
  [386] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_value, 4},
  [389] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [394] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [397] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [400] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 4},
  [402] =
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [406] =
    {field_type, 3},
  [407] =
    {field_name, 3},
  [408] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [410] =
    {field_name, 2},
    {field_type, 3},
  [412] =
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [414] =
    {field_name, 1},
    {field_type, 3},
  [416] =
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [419] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [422] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [424] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [427] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
  [430] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [433] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [436] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [440] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [445] =
    {field_parameters, 2},
    {field_type, 3},
    {field_type_parameters, 1},
  [448] =
    {field_parameters, 2},
    {field_type, 3},
  [450] =
    {field_parameters, 3},
    {field_type_parameters, 2},
  [452] =
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [456] =
    {field_index, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [460] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
  [464] =
    {field_parameters, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [467] =
    {field_parameters, 2},
    {field_type, 4},
  [469] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [472] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [474] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [476] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [478] =
    {field_name, 2, .inherited = true},
  [479] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [483] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [486] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [490] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [495] =
    {field_source, 4},
  [496] =
    {field_body, 3},
    {field_value, 1},
  [498] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [502] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [506] =
    {field_body, 4},
    {field_parameter, 2},
  [508] =
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [512] =
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [516] =
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [518] =
    {field_name, 3},
    {field_type, 4},
  [520] =
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [522] =
    {field_name, 2},
    {field_type, 4},
  [524] =
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [527] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [530] =
    {field_name, 4},
  [531] =
    {field_type, 4},
  [532] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
  [534] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [537] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
  [540] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [543] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
  [546] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [550] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [554] =
    {field_parameters, 3},
    {field_type, 4},
    {field_type_parameters, 2},
  [557] =
    {field_index, 3},
    {field_object, 0},
  [559] =
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [563] =
    {field_index, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [567] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
  [571] =
    {field_parameters, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [574] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [578] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [583] =
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [588] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [593] =
    {field_body, 5},
    {field_parameter, 2},
    {field_type, 3},
  [596] =
    {field_index_type, 3},
    {field_name, 1},
    {field_type, 5},
  [599] =
    {field_alias, 4},
    {field_name, 0},
    {field_type, 2},
  [602] =
    {field_sign, 0},
    {field_type, 5},
  [604] =
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [608] =
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [612] =
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [614] =
    {field_name, 3},
    {field_type, 5},
  [616] =
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [619] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [622] =
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [624] =
    {field_name, 4},
    {field_type, 5},
  [626] =
    {field_name, 5},
  [627] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [630] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
  [633] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [636] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
  [639] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [643] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [647] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
  [649] =
    {field_alternative, 6},
    {field_consequence, 4},
    {field_left, 0},
    {field_right, 2},
  [653] =
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [658] =
    {field_body, 7},
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [663] =
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [667] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [670] =
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [674] =
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [676] =
    {field_name, 4},
    {field_type, 6},
  [678] =
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [681] =
    {field_index_type, 4},
    {field_name, 2},
    {field_type, 6},
  [684] =
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [686] =
    {field_name, 5},
    {field_type, 6},
  [688] =
    {field_name, 6},
  [689] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [692] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
  [695] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [699] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [703] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [706] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
  [709] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
  [711] =
    {field_body, 8},
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [716] =
    {field_body, 8},
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [721] =
    {field_index_type, 5},
    {field_name, 3},
    {field_sign, 0},
    {field_type, 7},
  [725] =
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [729] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [732] =
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [734] =
    {field_name, 5},
    {field_type, 7},
  [736] =
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [739] =
    {field_name, 6},
    {field_value, 7, .inherited = true},
  [741] =
    {field_name, 6},
    {field_type, 7},
  [743] =
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [747] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [751] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [754] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
  [757] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [761] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 7, .inherited = true},
  [764] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
  [767] =
    {field_decorator, 0, .inherited = true},
    {field_name, 7},
  [769] =
    {field_body, 9},
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [774] =
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [777] =
    {field_name, 6},
    {field_value, 8, .inherited = true},
  [779] =
    {field_name, 6},
    {field_type, 8},
  [781] =
    {field_name, 6},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [784] =
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [788] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [792] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 8, .inherited = true},
  [795] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
  [798] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [802] =
    {field_decorator, 0, .inherited = true},
    {field_name, 7},
    {field_value, 8, .inherited = true},
  [805] =
    {field_decorator, 0, .inherited = true},
    {field_name, 7},
    {field_type, 8},
  [808] =
    {field_name, 6},
    {field_type, 8},
    {field_value, 9, .inherited = true},
  [811] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
    {field_value, 9, .inherited = true},
  [815] =
    {field_decorator, 0, .inherited = true},
    {field_name, 7},
    {field_value, 9, .inherited = true},
  [818] =
    {field_decorator, 0, .inherited = true},
    {field_name, 7},
    {field_type, 9},
  [821] =
    {field_decorator, 0, .inherited = true},
    {field_name, 7},
    {field_type, 8},
    {field_value, 9, .inherited = true},
  [825] =
    {field_decorator, 0, .inherited = true},
    {field_name, 7},
    {field_type, 9},
    {field_value, 10, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [7] = {
    [0] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_type_identifier,
  },
  [16] = {
    [0] = alias_sym_this_type,
  },
  [27] = {
    [0] = sym_identifier,
  },
  [28] = {
    [0] = alias_sym_statement_identifier,
  },
  [29] = {
    [0] = sym_identifier,
  },
  [31] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [32] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [33] = {
    [1] = sym_identifier,
  },
  [49] = {
    [1] = alias_sym_statement_identifier,
  },
  [51] = {
    [1] = alias_sym_type_identifier,
  },
  [64] = {
    [1] = alias_sym_type_identifier,
  },
  [65] = {
    [0] = alias_sym_type_identifier,
  },
  [66] = {
    [0] = alias_sym_type_identifier,
  },
  [67] = {
    [0] = alias_sym_type_identifier,
  },
  [68] = {
    [1] = alias_sym_type_identifier,
  },
  [69] = {
    [1] = anon_sym_unique,
  },
  [75] = {
    [1] = alias_sym_type_identifier,
    [2] = alias_sym_interface_body,
  },
  [77] = {
    [2] = alias_sym_property_identifier,
  },
  [79] = {
    [2] = alias_sym_property_identifier,
  },
  [90] = {
    [0] = sym_member_expression,
    [2] = alias_sym_property_identifier,
  },
  [91] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [113] = {
    [1] = alias_sym_type_identifier,
  },
  [114] = {
    [1] = alias_sym_type_identifier,
  },
  [118] = {
    [1] = sym_identifier,
  },
  [125] = {
    [1] = sym_identifier,
  },
  [133] = {
    [1] = alias_sym_type_identifier,
  },
  [134] = {
    [1] = alias_sym_type_identifier,
  },
  [135] = {
    [2] = alias_sym_type_identifier,
  },
  [136] = {
    [0] = alias_sym_type_identifier,
  },
  [138] = {
    [2] = alias_sym_property_identifier,
  },
  [140] = {
    [2] = alias_sym_property_identifier,
  },
  [142] = {
    [2] = alias_sym_type_identifier,
  },
  [143] = {
    [1] = alias_sym_type_identifier,
  },
  [145] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [146] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [150] = {
    [2] = alias_sym_type_identifier,
  },
  [155] = {
    [1] = alias_sym_type_identifier,
  },
  [157] = {
    [0] = sym_identifier,
  },
  [169] = {
    [1] = alias_sym_type_identifier,
  },
  [177] = {
    [2] = alias_sym_property_identifier,
  },
  [179] = {
    [1] = alias_sym_type_identifier,
  },
  [182] = {
    [2] = alias_sym_type_identifier,
  },
  [183] = {
    [2] = alias_sym_type_identifier,
  },
  [184] = {
    [1] = alias_sym_type_identifier,
  },
  [186] = {
    [1] = alias_sym_type_identifier,
    [4] = alias_sym_interface_body,
  },
  [189] = {
    [0] = sym_identifier,
  },
  [191] = {
    [2] = alias_sym_type_identifier,
  },
  [192] = {
    [2] = alias_sym_type_identifier,
  },
  [194] = {
    [3] = alias_sym_type_identifier,
  },
  [196] = {
    [1] = alias_sym_type_identifier,
  },
  [198] = {
    [1] = sym_identifier,
  },
  [199] = {
    [1] = sym_identifier,
  },
  [204] = {
    [0] = alias_sym_type_identifier,
  },
  [228] = {
    [2] = alias_sym_type_identifier,
  },
  [233] = {
    [2] = alias_sym_type_identifier,
  },
  [234] = {
    [3] = alias_sym_type_identifier,
  },
  [235] = {
    [3] = alias_sym_type_identifier,
  },
  [265] = {
    [3] = alias_sym_property_identifier,
  },
  [266] = {
    [3] = alias_sym_type_identifier,
  },
  [271] = {
    [1] = sym_identifier,
  },
  [272] = {
    [0] = alias_sym_type_identifier,
  },
  [300] = {
    [2] = sym_identifier,
  },
  [314] = {
    [3] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_nested_identifier, 2,
    sym_nested_identifier,
    sym_member_expression,
  sym_predefined_type, 2,
    sym_predefined_type,
    sym_identifier,
  sym_object_type, 2,
    sym_object_type,
    alias_sym_interface_body,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 4,
  [7] = 4,
  [8] = 4,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 15,
  [20] = 18,
  [21] = 15,
  [22] = 15,
  [23] = 18,
  [24] = 18,
  [25] = 15,
  [26] = 15,
  [27] = 18,
  [28] = 15,
  [29] = 18,
  [30] = 18,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 31,
  [38] = 38,
  [39] = 38,
  [40] = 40,
  [41] = 35,
  [42] = 34,
  [43] = 31,
  [44] = 44,
  [45] = 45,
  [46] = 40,
  [47] = 47,
  [48] = 33,
  [49] = 36,
  [50] = 44,
  [51] = 31,
  [52] = 31,
  [53] = 31,
  [54] = 45,
  [55] = 31,
  [56] = 31,
  [57] = 31,
  [58] = 31,
  [59] = 47,
  [60] = 60,
  [61] = 60,
  [62] = 60,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 63,
  [71] = 64,
  [72] = 72,
  [73] = 64,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 75,
  [78] = 75,
  [79] = 75,
  [80] = 75,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 81,
  [86] = 76,
  [87] = 87,
  [88] = 83,
  [89] = 84,
  [90] = 84,
  [91] = 83,
  [92] = 82,
  [93] = 83,
  [94] = 83,
  [95] = 83,
  [96] = 83,
  [97] = 74,
  [98] = 84,
  [99] = 99,
  [100] = 100,
  [101] = 83,
  [102] = 76,
  [103] = 81,
  [104] = 76,
  [105] = 105,
  [106] = 83,
  [107] = 84,
  [108] = 83,
  [109] = 84,
  [110] = 81,
  [111] = 111,
  [112] = 83,
  [113] = 83,
  [114] = 100,
  [115] = 87,
  [116] = 84,
  [117] = 84,
  [118] = 83,
  [119] = 83,
  [120] = 84,
  [121] = 83,
  [122] = 83,
  [123] = 83,
  [124] = 83,
  [125] = 125,
  [126] = 126,
  [127] = 125,
  [128] = 125,
  [129] = 84,
  [130] = 125,
  [131] = 125,
  [132] = 125,
  [133] = 125,
  [134] = 125,
  [135] = 125,
  [136] = 83,
  [137] = 125,
  [138] = 138,
  [139] = 139,
  [140] = 139,
  [141] = 141,
  [142] = 139,
  [143] = 139,
  [144] = 139,
  [145] = 145,
  [146] = 139,
  [147] = 139,
  [148] = 139,
  [149] = 139,
  [150] = 139,
  [151] = 151,
  [152] = 151,
  [153] = 151,
  [154] = 151,
  [155] = 151,
  [156] = 151,
  [157] = 151,
  [158] = 151,
  [159] = 151,
  [160] = 151,
  [161] = 161,
  [162] = 161,
  [163] = 163,
  [164] = 163,
  [165] = 165,
  [166] = 163,
  [167] = 165,
  [168] = 165,
  [169] = 161,
  [170] = 161,
  [171] = 171,
  [172] = 172,
  [173] = 161,
  [174] = 161,
  [175] = 171,
  [176] = 171,
  [177] = 172,
  [178] = 161,
  [179] = 161,
  [180] = 161,
  [181] = 161,
  [182] = 182,
  [183] = 182,
  [184] = 184,
  [185] = 184,
  [186] = 186,
  [187] = 187,
  [188] = 186,
  [189] = 187,
  [190] = 187,
  [191] = 186,
  [192] = 184,
  [193] = 193,
  [194] = 194,
  [195] = 193,
  [196] = 193,
  [197] = 193,
  [198] = 198,
  [199] = 199,
  [200] = 193,
  [201] = 193,
  [202] = 202,
  [203] = 193,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 208,
  [215] = 215,
  [216] = 215,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 208,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 238,
  [241] = 241,
  [242] = 239,
  [243] = 243,
  [244] = 208,
  [245] = 208,
  [246] = 246,
  [247] = 208,
  [248] = 248,
  [249] = 208,
  [250] = 208,
  [251] = 248,
  [252] = 248,
  [253] = 208,
  [254] = 254,
  [255] = 255,
  [256] = 248,
  [257] = 208,
  [258] = 254,
  [259] = 255,
  [260] = 248,
  [261] = 208,
  [262] = 248,
  [263] = 248,
  [264] = 264,
  [265] = 264,
  [266] = 264,
  [267] = 264,
  [268] = 264,
  [269] = 264,
  [270] = 264,
  [271] = 271,
  [272] = 272,
  [273] = 264,
  [274] = 274,
  [275] = 264,
  [276] = 276,
  [277] = 277,
  [278] = 264,
  [279] = 279,
  [280] = 264,
  [281] = 264,
  [282] = 264,
  [283] = 264,
  [284] = 264,
  [285] = 277,
  [286] = 272,
  [287] = 264,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 293,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 303,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 306,
  [312] = 312,
  [313] = 308,
  [314] = 309,
  [315] = 310,
  [316] = 316,
  [317] = 304,
  [318] = 316,
  [319] = 303,
  [320] = 307,
  [321] = 306,
  [322] = 308,
  [323] = 309,
  [324] = 310,
  [325] = 325,
  [326] = 304,
  [327] = 303,
  [328] = 306,
  [329] = 308,
  [330] = 309,
  [331] = 310,
  [332] = 304,
  [333] = 303,
  [334] = 306,
  [335] = 308,
  [336] = 336,
  [337] = 310,
  [338] = 325,
  [339] = 304,
  [340] = 303,
  [341] = 306,
  [342] = 308,
  [343] = 309,
  [344] = 310,
  [345] = 304,
  [346] = 303,
  [347] = 306,
  [348] = 308,
  [349] = 309,
  [350] = 310,
  [351] = 304,
  [352] = 303,
  [353] = 306,
  [354] = 308,
  [355] = 309,
  [356] = 310,
  [357] = 304,
  [358] = 303,
  [359] = 306,
  [360] = 308,
  [361] = 309,
  [362] = 310,
  [363] = 304,
  [364] = 303,
  [365] = 306,
  [366] = 308,
  [367] = 309,
  [368] = 310,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 304,
  [375] = 309,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 376,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 380,
  [398] = 398,
  [399] = 395,
  [400] = 395,
  [401] = 401,
  [402] = 380,
  [403] = 380,
  [404] = 380,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 380,
  [409] = 377,
  [410] = 380,
  [411] = 393,
  [412] = 398,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 378,
  [424] = 376,
  [425] = 381,
  [426] = 382,
  [427] = 383,
  [428] = 384,
  [429] = 385,
  [430] = 416,
  [431] = 387,
  [432] = 391,
  [433] = 415,
  [434] = 386,
  [435] = 414,
  [436] = 407,
  [437] = 377,
  [438] = 380,
  [439] = 439,
  [440] = 386,
  [441] = 398,
  [442] = 413,
  [443] = 414,
  [444] = 415,
  [445] = 416,
  [446] = 417,
  [447] = 417,
  [448] = 419,
  [449] = 449,
  [450] = 420,
  [451] = 421,
  [452] = 422,
  [453] = 378,
  [454] = 376,
  [455] = 381,
  [456] = 382,
  [457] = 383,
  [458] = 384,
  [459] = 385,
  [460] = 387,
  [461] = 395,
  [462] = 407,
  [463] = 377,
  [464] = 380,
  [465] = 439,
  [466] = 386,
  [467] = 388,
  [468] = 389,
  [469] = 380,
  [470] = 393,
  [471] = 413,
  [472] = 414,
  [473] = 415,
  [474] = 416,
  [475] = 417,
  [476] = 418,
  [477] = 419,
  [478] = 420,
  [479] = 421,
  [480] = 422,
  [481] = 378,
  [482] = 376,
  [483] = 381,
  [484] = 382,
  [485] = 383,
  [486] = 384,
  [487] = 385,
  [488] = 398,
  [489] = 387,
  [490] = 413,
  [491] = 414,
  [492] = 407,
  [493] = 377,
  [494] = 380,
  [495] = 386,
  [496] = 398,
  [497] = 413,
  [498] = 414,
  [499] = 415,
  [500] = 416,
  [501] = 417,
  [502] = 419,
  [503] = 420,
  [504] = 421,
  [505] = 422,
  [506] = 378,
  [507] = 418,
  [508] = 381,
  [509] = 382,
  [510] = 383,
  [511] = 384,
  [512] = 385,
  [513] = 387,
  [514] = 418,
  [515] = 407,
  [516] = 377,
  [517] = 380,
  [518] = 386,
  [519] = 388,
  [520] = 389,
  [521] = 380,
  [522] = 393,
  [523] = 418,
  [524] = 413,
  [525] = 419,
  [526] = 414,
  [527] = 415,
  [528] = 416,
  [529] = 415,
  [530] = 417,
  [531] = 419,
  [532] = 420,
  [533] = 421,
  [534] = 422,
  [535] = 378,
  [536] = 376,
  [537] = 381,
  [538] = 382,
  [539] = 383,
  [540] = 384,
  [541] = 385,
  [542] = 449,
  [543] = 387,
  [544] = 416,
  [545] = 417,
  [546] = 407,
  [547] = 377,
  [548] = 386,
  [549] = 549,
  [550] = 388,
  [551] = 389,
  [552] = 552,
  [553] = 380,
  [554] = 393,
  [555] = 418,
  [556] = 413,
  [557] = 419,
  [558] = 414,
  [559] = 415,
  [560] = 416,
  [561] = 449,
  [562] = 417,
  [563] = 419,
  [564] = 420,
  [565] = 421,
  [566] = 422,
  [567] = 378,
  [568] = 376,
  [569] = 381,
  [570] = 382,
  [571] = 383,
  [572] = 384,
  [573] = 385,
  [574] = 420,
  [575] = 387,
  [576] = 421,
  [577] = 422,
  [578] = 378,
  [579] = 407,
  [580] = 377,
  [581] = 386,
  [582] = 388,
  [583] = 389,
  [584] = 380,
  [585] = 393,
  [586] = 418,
  [587] = 413,
  [588] = 376,
  [589] = 414,
  [590] = 415,
  [591] = 416,
  [592] = 381,
  [593] = 417,
  [594] = 419,
  [595] = 420,
  [596] = 421,
  [597] = 422,
  [598] = 378,
  [599] = 376,
  [600] = 381,
  [601] = 382,
  [602] = 383,
  [603] = 384,
  [604] = 385,
  [605] = 382,
  [606] = 387,
  [607] = 383,
  [608] = 384,
  [609] = 385,
  [610] = 407,
  [611] = 377,
  [612] = 386,
  [613] = 388,
  [614] = 389,
  [615] = 389,
  [616] = 393,
  [617] = 418,
  [618] = 413,
  [619] = 619,
  [620] = 414,
  [621] = 415,
  [622] = 416,
  [623] = 387,
  [624] = 417,
  [625] = 419,
  [626] = 420,
  [627] = 421,
  [628] = 422,
  [629] = 378,
  [630] = 376,
  [631] = 381,
  [632] = 382,
  [633] = 383,
  [634] = 384,
  [635] = 385,
  [636] = 387,
  [637] = 395,
  [638] = 407,
  [639] = 377,
  [640] = 386,
  [641] = 420,
  [642] = 388,
  [643] = 389,
  [644] = 421,
  [645] = 393,
  [646] = 418,
  [647] = 422,
  [648] = 648,
  [649] = 388,
  [650] = 389,
  [651] = 413,
  [652] = 398,
  [653] = 388,
  [654] = 398,
  [655] = 380,
  [656] = 656,
  [657] = 388,
  [658] = 389,
  [659] = 398,
  [660] = 398,
  [661] = 407,
  [662] = 398,
  [663] = 393,
  [664] = 418,
  [665] = 393,
  [666] = 666,
  [667] = 667,
  [668] = 667,
  [669] = 667,
  [670] = 670,
  [671] = 670,
  [672] = 670,
  [673] = 673,
  [674] = 673,
  [675] = 673,
  [676] = 676,
  [677] = 676,
  [678] = 678,
  [679] = 678,
  [680] = 678,
  [681] = 681,
  [682] = 229,
  [683] = 681,
  [684] = 684,
  [685] = 684,
  [686] = 222,
  [687] = 684,
  [688] = 681,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 693,
  [696] = 696,
  [697] = 697,
  [698] = 697,
  [699] = 696,
  [700] = 696,
  [701] = 701,
  [702] = 697,
  [703] = 701,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 706,
  [708] = 706,
  [709] = 704,
  [710] = 710,
  [711] = 706,
  [712] = 706,
  [713] = 710,
  [714] = 705,
  [715] = 715,
  [716] = 706,
  [717] = 706,
  [718] = 706,
  [719] = 228,
  [720] = 720,
  [721] = 704,
  [722] = 706,
  [723] = 723,
  [724] = 218,
  [725] = 706,
  [726] = 726,
  [727] = 207,
  [728] = 209,
  [729] = 234,
  [730] = 706,
  [731] = 706,
  [732] = 209,
  [733] = 704,
  [734] = 210,
  [735] = 234,
  [736] = 736,
  [737] = 228,
  [738] = 736,
  [739] = 218,
  [740] = 736,
  [741] = 741,
  [742] = 706,
  [743] = 198,
  [744] = 706,
  [745] = 706,
  [746] = 199,
  [747] = 706,
  [748] = 706,
  [749] = 705,
  [750] = 715,
  [751] = 706,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 706,
  [757] = 757,
  [758] = 758,
  [759] = 223,
  [760] = 753,
  [761] = 761,
  [762] = 753,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 753,
  [770] = 753,
  [771] = 771,
  [772] = 772,
  [773] = 202,
  [774] = 774,
  [775] = 753,
  [776] = 753,
  [777] = 777,
  [778] = 753,
  [779] = 753,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 221,
  [785] = 785,
  [786] = 753,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 792,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 230,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 226,
  [826] = 792,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 207,
  [857] = 857,
  [858] = 210,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 792,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 792,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 909,
  [911] = 911,
  [912] = 911,
  [913] = 909,
  [914] = 909,
  [915] = 911,
  [916] = 909,
  [917] = 911,
  [918] = 911,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 771,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 782,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 933,
  [935] = 935,
  [936] = 933,
  [937] = 937,
  [938] = 937,
  [939] = 937,
  [940] = 935,
  [941] = 933,
  [942] = 937,
  [943] = 935,
  [944] = 937,
  [945] = 933,
  [946] = 937,
  [947] = 937,
  [948] = 933,
  [949] = 933,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 954,
  [957] = 953,
  [958] = 953,
  [959] = 955,
  [960] = 954,
  [961] = 953,
  [962] = 954,
  [963] = 955,
  [964] = 953,
  [965] = 955,
  [966] = 954,
  [967] = 955,
  [968] = 954,
  [969] = 953,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 979,
  [986] = 975,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 971,
  [994] = 988,
  [995] = 990,
  [996] = 996,
  [997] = 991,
  [998] = 973,
  [999] = 974,
  [1000] = 992,
  [1001] = 971,
  [1002] = 988,
  [1003] = 976,
  [1004] = 990,
  [1005] = 977,
  [1006] = 1006,
  [1007] = 978,
  [1008] = 979,
  [1009] = 980,
  [1010] = 981,
  [1011] = 1011,
  [1012] = 984,
  [1013] = 1013,
  [1014] = 982,
  [1015] = 983,
  [1016] = 991,
  [1017] = 992,
  [1018] = 971,
  [1019] = 988,
  [1020] = 990,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 973,
  [1024] = 974,
  [1025] = 1025,
  [1026] = 976,
  [1027] = 977,
  [1028] = 1028,
  [1029] = 980,
  [1030] = 981,
  [1031] = 982,
  [1032] = 983,
  [1033] = 991,
  [1034] = 992,
  [1035] = 988,
  [1036] = 990,
  [1037] = 1037,
  [1038] = 984,
  [1039] = 973,
  [1040] = 974,
  [1041] = 976,
  [1042] = 977,
  [1043] = 973,
  [1044] = 980,
  [1045] = 981,
  [1046] = 982,
  [1047] = 983,
  [1048] = 974,
  [1049] = 973,
  [1050] = 1013,
  [1051] = 1011,
  [1052] = 974,
  [1053] = 972,
  [1054] = 976,
  [1055] = 978,
  [1056] = 977,
  [1057] = 979,
  [1058] = 1058,
  [1059] = 978,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 978,
  [1064] = 979,
  [1065] = 980,
  [1066] = 981,
  [1067] = 991,
  [1068] = 992,
  [1069] = 971,
  [1070] = 988,
  [1071] = 990,
  [1072] = 984,
  [1073] = 975,
  [1074] = 1074,
  [1075] = 982,
  [1076] = 996,
  [1077] = 983,
  [1078] = 987,
  [1079] = 982,
  [1080] = 975,
  [1081] = 973,
  [1082] = 974,
  [1083] = 975,
  [1084] = 991,
  [1085] = 976,
  [1086] = 977,
  [1087] = 1087,
  [1088] = 978,
  [1089] = 979,
  [1090] = 1087,
  [1091] = 976,
  [1092] = 980,
  [1093] = 981,
  [1094] = 982,
  [1095] = 983,
  [1096] = 977,
  [1097] = 992,
  [1098] = 971,
  [1099] = 978,
  [1100] = 979,
  [1101] = 980,
  [1102] = 981,
  [1103] = 991,
  [1104] = 992,
  [1105] = 971,
  [1106] = 988,
  [1107] = 990,
  [1108] = 984,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 984,
  [1112] = 1112,
  [1113] = 975,
  [1114] = 983,
  [1115] = 1074,
  [1116] = 1116,
  [1117] = 972,
  [1118] = 984,
  [1119] = 972,
  [1120] = 972,
  [1121] = 972,
  [1122] = 972,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1125,
  [1128] = 1125,
  [1129] = 1125,
  [1130] = 1125,
  [1131] = 1125,
  [1132] = 1125,
  [1133] = 1125,
  [1134] = 1134,
  [1135] = 1125,
  [1136] = 1125,
  [1137] = 1125,
  [1138] = 1125,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1139,
  [1143] = 1141,
  [1144] = 1140,
  [1145] = 1141,
  [1146] = 1139,
  [1147] = 1140,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1150,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1152,
  [1155] = 1155,
  [1156] = 1148,
  [1157] = 1157,
  [1158] = 1149,
  [1159] = 1152,
  [1160] = 1152,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1157,
  [1164] = 1152,
  [1165] = 1161,
  [1166] = 1162,
  [1167] = 1152,
  [1168] = 1152,
  [1169] = 1169,
  [1170] = 1152,
  [1171] = 1171,
  [1172] = 1152,
  [1173] = 1149,
  [1174] = 1169,
  [1175] = 1152,
  [1176] = 1169,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1177,
  [1183] = 1183,
  [1184] = 1183,
  [1185] = 1185,
  [1186] = 1152,
  [1187] = 1152,
  [1188] = 1188,
  [1189] = 1149,
  [1190] = 1190,
  [1191] = 1152,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1195,
  [1197] = 1197,
  [1198] = 1178,
  [1199] = 1199,
  [1200] = 1178,
  [1201] = 1195,
  [1202] = 1202,
  [1203] = 1152,
  [1204] = 1204,
  [1205] = 1190,
  [1206] = 1152,
  [1207] = 1190,
  [1208] = 1208,
  [1209] = 1148,
  [1210] = 1210,
  [1211] = 1153,
  [1212] = 1152,
  [1213] = 1152,
  [1214] = 782,
  [1215] = 1215,
  [1216] = 771,
  [1217] = 1152,
  [1218] = 1152,
  [1219] = 1190,
  [1220] = 1190,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1152,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1224,
  [1227] = 1224,
  [1228] = 1228,
  [1229] = 1224,
  [1230] = 1230,
  [1231] = 1190,
  [1232] = 1224,
  [1233] = 1224,
  [1234] = 1234,
  [1235] = 1190,
  [1236] = 1190,
  [1237] = 1224,
  [1238] = 1221,
  [1239] = 1239,
  [1240] = 1208,
  [1241] = 1241,
  [1242] = 1224,
  [1243] = 1221,
  [1244] = 1190,
  [1245] = 1224,
  [1246] = 1224,
  [1247] = 1208,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1248,
  [1251] = 1251,
  [1252] = 1221,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1192,
  [1256] = 1253,
  [1257] = 1190,
  [1258] = 1221,
  [1259] = 1259,
  [1260] = 1194,
  [1261] = 1259,
  [1262] = 1190,
  [1263] = 1263,
  [1264] = 1221,
  [1265] = 1194,
  [1266] = 1190,
  [1267] = 1263,
  [1268] = 1268,
  [1269] = 1192,
  [1270] = 1270,
  [1271] = 1248,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1190,
  [1275] = 1263,
  [1276] = 1190,
  [1277] = 1193,
  [1278] = 1190,
  [1279] = 1222,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1221,
  [1283] = 1263,
  [1284] = 1188,
  [1285] = 1263,
  [1286] = 1280,
  [1287] = 1181,
  [1288] = 1288,
  [1289] = 1281,
  [1290] = 1239,
  [1291] = 1291,
  [1292] = 1280,
  [1293] = 1281,
  [1294] = 1294,
  [1295] = 1234,
  [1296] = 1190,
  [1297] = 1297,
  [1298] = 1185,
  [1299] = 1281,
  [1300] = 1179,
  [1301] = 1280,
  [1302] = 1221,
  [1303] = 1281,
  [1304] = 1180,
  [1305] = 1280,
  [1306] = 1221,
  [1307] = 1215,
  [1308] = 782,
  [1309] = 1297,
  [1310] = 1194,
  [1311] = 1202,
  [1312] = 1263,
  [1313] = 1280,
  [1314] = 1314,
  [1315] = 771,
  [1316] = 1192,
  [1317] = 1248,
  [1318] = 1294,
  [1319] = 1221,
  [1320] = 1314,
  [1321] = 1281,
  [1322] = 1270,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1241,
  [1326] = 1280,
  [1327] = 1254,
  [1328] = 1328,
  [1329] = 1281,
  [1330] = 1221,
  [1331] = 1192,
  [1332] = 1194,
  [1333] = 1263,
  [1334] = 1192,
  [1335] = 1194,
  [1336] = 1281,
  [1337] = 1215,
  [1338] = 1281,
  [1339] = 1339,
  [1340] = 1281,
  [1341] = 1239,
  [1342] = 1222,
  [1343] = 1339,
  [1344] = 1215,
  [1345] = 1280,
  [1346] = 1263,
  [1347] = 1215,
  [1348] = 1263,
  [1349] = 1263,
  [1350] = 1280,
  [1351] = 1280,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1281,
  [1355] = 1280,
  [1356] = 1263,
  [1357] = 1280,
  [1358] = 1215,
  [1359] = 1239,
  [1360] = 1254,
  [1361] = 1222,
  [1362] = 1192,
  [1363] = 1194,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1364,
  [1368] = 1364,
  [1369] = 1215,
  [1370] = 1364,
  [1371] = 1364,
  [1372] = 1364,
  [1373] = 1281,
  [1374] = 1281,
  [1375] = 1234,
  [1376] = 1281,
  [1377] = 1288,
  [1378] = 1281,
  [1379] = 1281,
  [1380] = 1281,
  [1381] = 1281,
  [1382] = 1280,
  [1383] = 1215,
  [1384] = 1280,
  [1385] = 1280,
  [1386] = 1254,
  [1387] = 1280,
  [1388] = 1280,
  [1389] = 1291,
  [1390] = 1280,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1392,
  [1396] = 1393,
  [1397] = 1394,
  [1398] = 1392,
  [1399] = 1393,
  [1400] = 1400,
  [1401] = 1391,
  [1402] = 1393,
  [1403] = 1394,
  [1404] = 1400,
  [1405] = 1391,
  [1406] = 1400,
  [1407] = 1391,
  [1408] = 1400,
  [1409] = 1391,
  [1410] = 1281,
  [1411] = 1400,
  [1412] = 1391,
  [1413] = 1328,
  [1414] = 1400,
  [1415] = 1391,
  [1416] = 1400,
  [1417] = 1391,
  [1418] = 1394,
  [1419] = 1400,
  [1420] = 1392,
  [1421] = 1400,
  [1422] = 1391,
  [1423] = 1391,
  [1424] = 1393,
  [1425] = 1270,
  [1426] = 1400,
  [1427] = 1394,
  [1428] = 1392,
  [1429] = 1392,
  [1430] = 1393,
  [1431] = 1215,
  [1432] = 1215,
  [1433] = 1280,
  [1434] = 1215,
  [1435] = 1394,
  [1436] = 1436,
  [1437] = 1436,
  [1438] = 1436,
  [1439] = 1436,
  [1440] = 1436,
  [1441] = 1436,
  [1442] = 1436,
  [1443] = 1436,
  [1444] = 1436,
  [1445] = 1436,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1447,
  [1449] = 1447,
  [1450] = 1447,
  [1451] = 1447,
  [1452] = 1447,
  [1453] = 1453,
  [1454] = 1453,
  [1455] = 1453,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1453,
  [1459] = 1457,
  [1460] = 1453,
  [1461] = 1456,
  [1462] = 1456,
  [1463] = 1457,
  [1464] = 1457,
  [1465] = 1465,
  [1466] = 1456,
  [1467] = 1457,
  [1468] = 1456,
  [1469] = 1469,
  [1470] = 1469,
  [1471] = 1469,
  [1472] = 1469,
  [1473] = 1469,
  [1474] = 1469,
  [1475] = 1469,
  [1476] = 1476,
  [1477] = 222,
  [1478] = 1478,
  [1479] = 229,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 950,
  [1493] = 952,
  [1494] = 951,
  [1495] = 198,
  [1496] = 199,
  [1497] = 202,
  [1498] = 204,
  [1499] = 222,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 229,
  [1504] = 694,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 689,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 690,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 692,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 218,
  [1588] = 1588,
  [1589] = 1584,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1586,
  [1594] = 1584,
  [1595] = 1595,
  [1596] = 1586,
  [1597] = 1586,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1586,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1584,
  [1606] = 1126,
  [1607] = 221,
  [1608] = 223,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1124,
  [1614] = 1134,
  [1615] = 198,
  [1616] = 199,
  [1617] = 202,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 228,
  [1631] = 691,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1635,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 218,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 207,
  [1660] = 1660,
  [1661] = 207,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 209,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1663,
  [1679] = 1679,
  [1680] = 1665,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 210,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1663,
  [1695] = 1695,
  [1696] = 1665,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1657,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 1703,
  [1704] = 1664,
  [1705] = 1670,
  [1706] = 1679,
  [1707] = 1707,
  [1708] = 1636,
  [1709] = 1637,
  [1710] = 1638,
  [1711] = 1639,
  [1712] = 1640,
  [1713] = 1641,
  [1714] = 1642,
  [1715] = 1643,
  [1716] = 1716,
  [1717] = 1644,
  [1718] = 1645,
  [1719] = 1646,
  [1720] = 1647,
  [1721] = 1635,
  [1722] = 1649,
  [1723] = 1650,
  [1724] = 1651,
  [1725] = 1652,
  [1726] = 1726,
  [1727] = 1653,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1716,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 210,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 209,
  [1743] = 1649,
  [1744] = 1650,
  [1745] = 1745,
  [1746] = 1651,
  [1747] = 1652,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1663,
  [1753] = 1753,
  [1754] = 1665,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1485,
  [1761] = 1702,
  [1762] = 1707,
  [1763] = 230,
  [1764] = 1653,
  [1765] = 1765,
  [1766] = 1636,
  [1767] = 1699,
  [1768] = 1768,
  [1769] = 1655,
  [1770] = 226,
  [1771] = 1730,
  [1772] = 1772,
  [1773] = 1732,
  [1774] = 1756,
  [1775] = 228,
  [1776] = 1776,
  [1777] = 1637,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1638,
  [1781] = 1639,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1640,
  [1785] = 1701,
  [1786] = 1641,
  [1787] = 1484,
  [1788] = 1481,
  [1789] = 1730,
  [1790] = 1790,
  [1791] = 1642,
  [1792] = 1663,
  [1793] = 1731,
  [1794] = 1732,
  [1795] = 1795,
  [1796] = 1665,
  [1797] = 1643,
  [1798] = 1716,
  [1799] = 230,
  [1800] = 1480,
  [1801] = 1644,
  [1802] = 1645,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1646,
  [1807] = 1731,
  [1808] = 1483,
  [1809] = 1647,
  [1810] = 1699,
  [1811] = 1657,
  [1812] = 1701,
  [1813] = 1813,
  [1814] = 226,
  [1815] = 234,
  [1816] = 1702,
  [1817] = 221,
  [1818] = 223,
  [1819] = 1664,
  [1820] = 1820,
  [1821] = 1670,
  [1822] = 1772,
  [1823] = 234,
  [1824] = 1679,
  [1825] = 1707,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1716,
  [1829] = 1653,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1655,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1772,
  [1838] = 1756,
  [1839] = 1839,
  [1840] = 1489,
  [1841] = 1490,
  [1842] = 1491,
  [1843] = 1730,
  [1844] = 1844,
  [1845] = 1731,
  [1846] = 1732,
  [1847] = 1500,
  [1848] = 1501,
  [1849] = 1502,
  [1850] = 1716,
  [1851] = 1609,
  [1852] = 1611,
  [1853] = 1853,
  [1854] = 1831,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 950,
  [1858] = 1858,
  [1859] = 1699,
  [1860] = 1860,
  [1861] = 1735,
  [1862] = 1862,
  [1863] = 1657,
  [1864] = 1701,
  [1865] = 1858,
  [1866] = 1862,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1702,
  [1871] = 951,
  [1872] = 1487,
  [1873] = 1873,
  [1874] = 1858,
  [1875] = 1868,
  [1876] = 1488,
  [1877] = 1664,
  [1878] = 1858,
  [1879] = 1670,
  [1880] = 1868,
  [1881] = 1707,
  [1882] = 1882,
  [1883] = 1636,
  [1884] = 1637,
  [1885] = 1858,
  [1886] = 1638,
  [1887] = 1639,
  [1888] = 1640,
  [1889] = 1641,
  [1890] = 1642,
  [1891] = 1858,
  [1892] = 1643,
  [1893] = 1858,
  [1894] = 1782,
  [1895] = 1895,
  [1896] = 1644,
  [1897] = 1645,
  [1898] = 1646,
  [1899] = 1647,
  [1900] = 1635,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1649,
  [1904] = 1650,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1651,
  [1911] = 1652,
  [1912] = 1609,
  [1913] = 1868,
  [1914] = 1914,
  [1915] = 1611,
  [1916] = 1868,
  [1917] = 952,
  [1918] = 1486,
  [1919] = 1869,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1901,
  [1924] = 1924,
  [1925] = 1699,
  [1926] = 1657,
  [1927] = 1701,
  [1928] = 1702,
  [1929] = 1664,
  [1930] = 1670,
  [1931] = 1679,
  [1932] = 1707,
  [1933] = 1636,
  [1934] = 1637,
  [1935] = 1638,
  [1936] = 1639,
  [1937] = 1640,
  [1938] = 1641,
  [1939] = 1642,
  [1940] = 1643,
  [1941] = 1644,
  [1942] = 1645,
  [1943] = 1646,
  [1944] = 1647,
  [1945] = 1635,
  [1946] = 1649,
  [1947] = 1650,
  [1948] = 1651,
  [1949] = 1652,
  [1950] = 1653,
  [1951] = 1730,
  [1952] = 1731,
  [1953] = 1732,
  [1954] = 1679,
  [1955] = 1609,
  [1956] = 1640,
  [1957] = 1641,
  [1958] = 1642,
  [1959] = 1643,
  [1960] = 1644,
  [1961] = 1645,
  [1962] = 1646,
  [1963] = 1647,
  [1964] = 1635,
  [1965] = 1649,
  [1966] = 1650,
  [1967] = 1651,
  [1968] = 1652,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 1660,
  [1973] = 1973,
  [1974] = 1550,
  [1975] = 1772,
  [1976] = 1976,
  [1977] = 1592,
  [1978] = 1970,
  [1979] = 1653,
  [1980] = 1551,
  [1981] = 1552,
  [1982] = 1553,
  [1983] = 1983,
  [1984] = 1554,
  [1985] = 1985,
  [1986] = 691,
  [1987] = 1632,
  [1988] = 1782,
  [1989] = 1633,
  [1990] = 1505,
  [1991] = 1991,
  [1992] = 1776,
  [1993] = 1993,
  [1994] = 1839,
  [1995] = 1523,
  [1996] = 1604,
  [1997] = 1577,
  [1998] = 1555,
  [1999] = 1578,
  [2000] = 1579,
  [2001] = 1588,
  [2002] = 1598,
  [2003] = 1599,
  [2004] = 1556,
  [2005] = 1602,
  [2006] = 1603,
  [2007] = 1970,
  [2008] = 1618,
  [2009] = 1619,
  [2010] = 1622,
  [2011] = 1126,
  [2012] = 1557,
  [2013] = 2013,
  [2014] = 1558,
  [2015] = 1547,
  [2016] = 1559,
  [2017] = 1609,
  [2018] = 1610,
  [2019] = 1735,
  [2020] = 1611,
  [2021] = 1612,
  [2022] = 1993,
  [2023] = 1839,
  [2024] = 2024,
  [2025] = 1560,
  [2026] = 1580,
  [2027] = 1582,
  [2028] = 1583,
  [2029] = 2029,
  [2030] = 204,
  [2031] = 1561,
  [2032] = 1562,
  [2033] = 692,
  [2034] = 1730,
  [2035] = 1731,
  [2036] = 1732,
  [2037] = 1716,
  [2038] = 1564,
  [2039] = 1621,
  [2040] = 1895,
  [2041] = 1991,
  [2042] = 1970,
  [2043] = 1565,
  [2044] = 1782,
  [2045] = 1973,
  [2046] = 1623,
  [2047] = 1624,
  [2048] = 1609,
  [2049] = 1611,
  [2050] = 2050,
  [2051] = 1601,
  [2052] = 2052,
  [2053] = 1566,
  [2054] = 1567,
  [2055] = 1581,
  [2056] = 1625,
  [2057] = 1626,
  [2058] = 1973,
  [2059] = 1627,
  [2060] = 1628,
  [2061] = 694,
  [2062] = 1506,
  [2063] = 1507,
  [2064] = 1508,
  [2065] = 1509,
  [2066] = 1510,
  [2067] = 1511,
  [2068] = 1970,
  [2069] = 2069,
  [2070] = 1548,
  [2071] = 1639,
  [2072] = 1611,
  [2073] = 1609,
  [2074] = 1610,
  [2075] = 1970,
  [2076] = 1776,
  [2077] = 1576,
  [2078] = 1611,
  [2079] = 2079,
  [2080] = 1612,
  [2081] = 1790,
  [2082] = 1601,
  [2083] = 1512,
  [2084] = 1513,
  [2085] = 2085,
  [2086] = 1514,
  [2087] = 1790,
  [2088] = 1629,
  [2089] = 1568,
  [2090] = 1976,
  [2091] = 1515,
  [2092] = 1516,
  [2093] = 1517,
  [2094] = 1518,
  [2095] = 1519,
  [2096] = 1520,
  [2097] = 2097,
  [2098] = 2098,
  [2099] = 1521,
  [2100] = 1522,
  [2101] = 1634,
  [2102] = 1524,
  [2103] = 1124,
  [2104] = 1660,
  [2105] = 1525,
  [2106] = 2106,
  [2107] = 1569,
  [2108] = 1526,
  [2109] = 1570,
  [2110] = 1527,
  [2111] = 1620,
  [2112] = 1983,
  [2113] = 689,
  [2114] = 1529,
  [2115] = 2115,
  [2116] = 1530,
  [2117] = 1571,
  [2118] = 2118,
  [2119] = 1572,
  [2120] = 1573,
  [2121] = 2121,
  [2122] = 1574,
  [2123] = 1575,
  [2124] = 204,
  [2125] = 1699,
  [2126] = 2106,
  [2127] = 1657,
  [2128] = 1701,
  [2129] = 2129,
  [2130] = 1702,
  [2131] = 2131,
  [2132] = 1590,
  [2133] = 1591,
  [2134] = 1970,
  [2135] = 2135,
  [2136] = 1585,
  [2137] = 1655,
  [2138] = 1664,
  [2139] = 1670,
  [2140] = 1679,
  [2141] = 690,
  [2142] = 1707,
  [2143] = 1531,
  [2144] = 1756,
  [2145] = 1636,
  [2146] = 1637,
  [2147] = 1638,
  [2148] = 1532,
  [2149] = 1533,
  [2150] = 1534,
  [2151] = 1535,
  [2152] = 1536,
  [2153] = 1537,
  [2154] = 1538,
  [2155] = 1539,
  [2156] = 1540,
  [2157] = 1541,
  [2158] = 1542,
  [2159] = 1581,
  [2160] = 1543,
  [2161] = 1544,
  [2162] = 1545,
  [2163] = 1134,
  [2164] = 1546,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 1643,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2170,
  [2171] = 2171,
  [2172] = 1698,
  [2173] = 1609,
  [2174] = 1611,
  [2175] = 1839,
  [2176] = 1741,
  [2177] = 1753,
  [2178] = 1609,
  [2179] = 1611,
  [2180] = 2170,
  [2181] = 2171,
  [2182] = 2170,
  [2183] = 2171,
  [2184] = 2170,
  [2185] = 2171,
  [2186] = 1740,
  [2187] = 1804,
  [2188] = 2188,
  [2189] = 1660,
  [2190] = 1805,
  [2191] = 2191,
  [2192] = 2192,
  [2193] = 1739,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 1985,
  [2197] = 2197,
  [2198] = 213,
  [2199] = 231,
  [2200] = 232,
  [2201] = 1656,
  [2202] = 2202,
  [2203] = 211,
  [2204] = 2168,
  [2205] = 2205,
  [2206] = 2169,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 227,
  [2210] = 2202,
  [2211] = 220,
  [2212] = 224,
  [2213] = 225,
  [2214] = 211,
  [2215] = 212,
  [2216] = 217,
  [2217] = 219,
  [2218] = 2218,
  [2219] = 1758,
  [2220] = 1759,
  [2221] = 212,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 1620,
  [2226] = 2168,
  [2227] = 2227,
  [2228] = 1666,
  [2229] = 2169,
  [2230] = 1667,
  [2231] = 2231,
  [2232] = 235,
  [2233] = 1745,
  [2234] = 2168,
  [2235] = 2169,
  [2236] = 1669,
  [2237] = 1813,
  [2238] = 1985,
  [2239] = 1776,
  [2240] = 1749,
  [2241] = 1672,
  [2242] = 2218,
  [2243] = 1750,
  [2244] = 2244,
  [2245] = 1751,
  [2246] = 1658,
  [2247] = 1755,
  [2248] = 1757,
  [2249] = 1693,
  [2250] = 1699,
  [2251] = 1657,
  [2252] = 1701,
  [2253] = 1702,
  [2254] = 1664,
  [2255] = 1670,
  [2256] = 1679,
  [2257] = 1707,
  [2258] = 1636,
  [2259] = 1637,
  [2260] = 1638,
  [2261] = 1639,
  [2262] = 1640,
  [2263] = 1641,
  [2264] = 1642,
  [2265] = 1644,
  [2266] = 1645,
  [2267] = 1646,
  [2268] = 1647,
  [2269] = 1635,
  [2270] = 1649,
  [2271] = 1650,
  [2272] = 1651,
  [2273] = 1652,
  [2274] = 1653,
  [2275] = 1973,
  [2276] = 1673,
  [2277] = 1699,
  [2278] = 1657,
  [2279] = 1701,
  [2280] = 1702,
  [2281] = 1664,
  [2282] = 1670,
  [2283] = 1679,
  [2284] = 1707,
  [2285] = 1636,
  [2286] = 1637,
  [2287] = 1638,
  [2288] = 1639,
  [2289] = 1640,
  [2290] = 1641,
  [2291] = 1642,
  [2292] = 1643,
  [2293] = 1644,
  [2294] = 1645,
  [2295] = 1646,
  [2296] = 1647,
  [2297] = 1635,
  [2298] = 1649,
  [2299] = 1650,
  [2300] = 1651,
  [2301] = 1652,
  [2302] = 1653,
  [2303] = 1782,
  [2304] = 1776,
  [2305] = 1676,
  [2306] = 1973,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 1790,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 1765,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 213,
  [2321] = 231,
  [2322] = 2322,
  [2323] = 1581,
  [2324] = 1682,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2322,
  [2328] = 2227,
  [2329] = 2319,
  [2330] = 232,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 233,
  [2334] = 2334,
  [2335] = 2202,
  [2336] = 1684,
  [2337] = 1685,
  [2338] = 1686,
  [2339] = 1688,
  [2340] = 1689,
  [2341] = 1690,
  [2342] = 1691,
  [2343] = 1692,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 1768,
  [2347] = 1610,
  [2348] = 1795,
  [2349] = 1973,
  [2350] = 1612,
  [2351] = 1790,
  [2352] = 2202,
  [2353] = 2353,
  [2354] = 1730,
  [2355] = 1731,
  [2356] = 1732,
  [2357] = 1716,
  [2358] = 2353,
  [2359] = 2202,
  [2360] = 1730,
  [2361] = 1731,
  [2362] = 1732,
  [2363] = 1716,
  [2364] = 1783,
  [2365] = 1703,
  [2366] = 1726,
  [2367] = 1728,
  [2368] = 2202,
  [2369] = 1820,
  [2370] = 1729,
  [2371] = 1826,
  [2372] = 1737,
  [2373] = 233,
  [2374] = 2202,
  [2375] = 1738,
  [2376] = 2376,
  [2377] = 217,
  [2378] = 1662,
  [2379] = 2202,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 227,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 220,
  [2389] = 2325,
  [2390] = 224,
  [2391] = 2202,
  [2392] = 225,
  [2393] = 2376,
  [2394] = 1655,
  [2395] = 1772,
  [2396] = 1756,
  [2397] = 2168,
  [2398] = 2169,
  [2399] = 1776,
  [2400] = 1844,
  [2401] = 219,
  [2402] = 1695,
  [2403] = 1790,
  [2404] = 1677,
  [2405] = 1699,
  [2406] = 1657,
  [2407] = 1701,
  [2408] = 1702,
  [2409] = 1664,
  [2410] = 1670,
  [2411] = 1679,
  [2412] = 1707,
  [2413] = 1636,
  [2414] = 1637,
  [2415] = 1638,
  [2416] = 1639,
  [2417] = 1640,
  [2418] = 1641,
  [2419] = 1642,
  [2420] = 1643,
  [2421] = 1644,
  [2422] = 1645,
  [2423] = 1646,
  [2424] = 1647,
  [2425] = 1635,
  [2426] = 1649,
  [2427] = 1650,
  [2428] = 1651,
  [2429] = 1652,
  [2430] = 1653,
  [2431] = 2168,
  [2432] = 2169,
  [2433] = 1779,
  [2434] = 1730,
  [2435] = 1731,
  [2436] = 1732,
  [2437] = 1716,
  [2438] = 2438,
  [2439] = 1620,
  [2440] = 2202,
  [2441] = 1620,
  [2442] = 2168,
  [2443] = 2169,
  [2444] = 2170,
  [2445] = 2171,
  [2446] = 235,
  [2447] = 1601,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2452,
  [2453] = 1867,
  [2454] = 1601,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2455,
  [2465] = 2458,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2449,
  [2469] = 1730,
  [2470] = 1731,
  [2471] = 1732,
  [2472] = 1716,
  [2473] = 2473,
  [2474] = 1581,
  [2475] = 1609,
  [2476] = 2452,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 1699,
  [2480] = 1657,
  [2481] = 1701,
  [2482] = 1702,
  [2483] = 1620,
  [2484] = 1664,
  [2485] = 1670,
  [2486] = 1679,
  [2487] = 1707,
  [2488] = 1636,
  [2489] = 1637,
  [2490] = 2467,
  [2491] = 2491,
  [2492] = 1638,
  [2493] = 1639,
  [2494] = 1640,
  [2495] = 1641,
  [2496] = 1642,
  [2497] = 2497,
  [2498] = 1644,
  [2499] = 1645,
  [2500] = 1646,
  [2501] = 1647,
  [2502] = 1635,
  [2503] = 2503,
  [2504] = 1649,
  [2505] = 1844,
  [2506] = 2506,
  [2507] = 2466,
  [2508] = 2508,
  [2509] = 1650,
  [2510] = 2510,
  [2511] = 1651,
  [2512] = 1652,
  [2513] = 1653,
  [2514] = 2514,
  [2515] = 1973,
  [2516] = 1611,
  [2517] = 2455,
  [2518] = 1973,
  [2519] = 1610,
  [2520] = 1612,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 1601,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 1581,
  [2527] = 2455,
  [2528] = 2455,
  [2529] = 2455,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 1772,
  [2533] = 1973,
  [2534] = 1620,
  [2535] = 1973,
  [2536] = 2455,
  [2537] = 1660,
  [2538] = 1776,
  [2539] = 2539,
  [2540] = 1660,
  [2541] = 1985,
  [2542] = 1790,
  [2543] = 2543,
  [2544] = 1643,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 1973,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 1776,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2561,
  [2562] = 2562,
  [2563] = 1620,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2566,
  [2567] = 2567,
  [2568] = 1844,
  [2569] = 2569,
  [2570] = 2570,
  [2571] = 1660,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 1660,
  [2575] = 951,
  [2576] = 2576,
  [2577] = 952,
  [2578] = 1601,
  [2579] = 2579,
  [2580] = 1581,
  [2581] = 1655,
  [2582] = 1772,
  [2583] = 2583,
  [2584] = 1756,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 950,
  [2589] = 1790,
  [2590] = 2590,
  [2591] = 2171,
  [2592] = 2170,
  [2593] = 2170,
  [2594] = 1486,
  [2595] = 1655,
  [2596] = 2170,
  [2597] = 2597,
  [2598] = 2191,
  [2599] = 2171,
  [2600] = 2171,
  [2601] = 1772,
  [2602] = 2170,
  [2603] = 2170,
  [2604] = 2171,
  [2605] = 2170,
  [2606] = 2170,
  [2607] = 2171,
  [2608] = 1985,
  [2609] = 1756,
  [2610] = 1620,
  [2611] = 1620,
  [2612] = 2171,
  [2613] = 1620,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2171,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 218,
  [2620] = 2620,
  [2621] = 2621,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 218,
  [2625] = 2625,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2628,
  [2629] = 2629,
  [2630] = 2630,
  [2631] = 2631,
  [2632] = 2632,
  [2633] = 2627,
  [2634] = 2634,
  [2635] = 2635,
  [2636] = 2636,
  [2637] = 2627,
  [2638] = 2638,
  [2639] = 2639,
  [2640] = 2640,
  [2641] = 2641,
  [2642] = 2642,
  [2643] = 2643,
  [2644] = 2627,
  [2645] = 2645,
  [2646] = 2646,
  [2647] = 2627,
  [2648] = 2627,
  [2649] = 234,
  [2650] = 2650,
  [2651] = 2651,
  [2652] = 228,
  [2653] = 2627,
  [2654] = 2654,
  [2655] = 2655,
  [2656] = 2656,
  [2657] = 2657,
  [2658] = 2658,
  [2659] = 2659,
  [2660] = 2660,
  [2661] = 2661,
  [2662] = 1204,
  [2663] = 2627,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 228,
  [2667] = 2667,
  [2668] = 209,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 2671,
  [2672] = 2672,
  [2673] = 2673,
  [2674] = 2627,
  [2675] = 2627,
  [2676] = 2676,
  [2677] = 2677,
  [2678] = 2678,
  [2679] = 2679,
  [2680] = 2680,
  [2681] = 2681,
  [2682] = 2682,
  [2683] = 2683,
  [2684] = 2684,
  [2685] = 2576,
  [2686] = 234,
  [2687] = 2687,
  [2688] = 2688,
  [2689] = 209,
  [2690] = 2586,
  [2691] = 2691,
  [2692] = 2692,
  [2693] = 2693,
  [2694] = 1251,
  [2695] = 2231,
  [2696] = 2696,
  [2697] = 2697,
  [2698] = 2698,
  [2699] = 2223,
  [2700] = 2700,
  [2701] = 2701,
  [2702] = 2702,
  [2703] = 2703,
  [2704] = 2704,
  [2705] = 2315,
  [2706] = 2387,
  [2707] = 2707,
  [2708] = 2708,
  [2709] = 2451,
  [2710] = 2450,
  [2711] = 2449,
  [2712] = 2456,
  [2713] = 2713,
  [2714] = 2714,
  [2715] = 2456,
  [2716] = 2463,
  [2717] = 2503,
  [2718] = 2718,
  [2719] = 2514,
  [2720] = 2466,
  [2721] = 2714,
  [2722] = 2466,
  [2723] = 2467,
  [2724] = 2724,
  [2725] = 2713,
  [2726] = 2449,
  [2727] = 2727,
  [2728] = 2508,
  [2729] = 1225,
  [2730] = 2458,
  [2731] = 2450,
  [2732] = 2458,
  [2733] = 2451,
  [2734] = 2467,
  [2735] = 2522,
  [2736] = 2524,
  [2737] = 2503,
  [2738] = 2738,
  [2739] = 2739,
  [2740] = 2740,
  [2741] = 2741,
  [2742] = 2742,
  [2743] = 2743,
  [2744] = 2744,
  [2745] = 2742,
  [2746] = 2743,
  [2747] = 2747,
  [2748] = 2748,
  [2749] = 2743,
  [2750] = 2748,
  [2751] = 2740,
  [2752] = 2752,
  [2753] = 2753,
  [2754] = 2741,
  [2755] = 2755,
  [2756] = 2756,
  [2757] = 2757,
  [2758] = 2753,
  [2759] = 2759,
  [2760] = 2747,
  [2761] = 2761,
  [2762] = 2762,
  [2763] = 2763,
  [2764] = 2764,
  [2765] = 2765,
  [2766] = 1273,
  [2767] = 2767,
  [2768] = 2768,
  [2769] = 2769,
  [2770] = 2770,
  [2771] = 2771,
  [2772] = 2772,
  [2773] = 2224,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 1268,
  [2777] = 2777,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2780,
  [2781] = 2781,
  [2782] = 2782,
  [2783] = 2783,
  [2784] = 2784,
  [2785] = 2785,
  [2786] = 2786,
  [2787] = 2787,
  [2788] = 2788,
  [2789] = 2789,
  [2790] = 2790,
  [2791] = 1272,
  [2792] = 2792,
  [2793] = 2793,
  [2794] = 2794,
  [2795] = 2795,
  [2796] = 2796,
  [2797] = 1249,
  [2798] = 2798,
  [2799] = 2799,
  [2800] = 2800,
  [2801] = 2801,
  [2802] = 2802,
  [2803] = 2803,
  [2804] = 2804,
  [2805] = 2805,
  [2806] = 2806,
  [2807] = 2807,
  [2808] = 2808,
  [2809] = 2809,
  [2810] = 2810,
  [2811] = 2811,
  [2812] = 2812,
  [2813] = 2813,
  [2814] = 2814,
  [2815] = 2814,
  [2816] = 2816,
  [2817] = 2817,
  [2818] = 2818,
  [2819] = 2819,
  [2820] = 2820,
  [2821] = 2821,
  [2822] = 2822,
  [2823] = 2823,
  [2824] = 2824,
  [2825] = 2825,
  [2826] = 2826,
  [2827] = 2821,
  [2828] = 2828,
  [2829] = 2829,
  [2830] = 2830,
  [2831] = 2830,
  [2832] = 2832,
  [2833] = 2833,
  [2834] = 2834,
  [2835] = 2835,
  [2836] = 2836,
  [2837] = 2837,
  [2838] = 2838,
  [2839] = 2839,
  [2840] = 2840,
  [2841] = 2841,
  [2842] = 2842,
  [2843] = 2843,
  [2844] = 2844,
  [2845] = 2845,
  [2846] = 2846,
  [2847] = 2811,
  [2848] = 2848,
  [2849] = 2836,
  [2850] = 2850,
  [2851] = 2851,
  [2852] = 2852,
  [2853] = 2853,
  [2854] = 2854,
  [2855] = 2855,
  [2856] = 2856,
  [2857] = 2852,
  [2858] = 2810,
  [2859] = 2859,
  [2860] = 2860,
  [2861] = 2861,
  [2862] = 2862,
  [2863] = 2842,
  [2864] = 2864,
  [2865] = 2855,
  [2866] = 2866,
  [2867] = 2867,
  [2868] = 2822,
  [2869] = 2869,
  [2870] = 2870,
  [2871] = 2834,
  [2872] = 2872,
  [2873] = 2812,
  [2874] = 2874,
  [2875] = 2875,
  [2876] = 2876,
  [2877] = 2877,
  [2878] = 2878,
  [2879] = 2879,
  [2880] = 2880,
  [2881] = 2881,
  [2882] = 2882,
  [2883] = 2883,
  [2884] = 2884,
  [2885] = 2885,
  [2886] = 2886,
  [2887] = 2887,
  [2888] = 2888,
  [2889] = 2889,
  [2890] = 2890,
  [2891] = 2891,
  [2892] = 2892,
  [2893] = 2893,
  [2894] = 2894,
  [2895] = 2895,
  [2896] = 2896,
  [2897] = 2897,
  [2898] = 1480,
  [2899] = 1484,
  [2900] = 1481,
  [2901] = 1529,
  [2902] = 1530,
  [2903] = 1531,
  [2904] = 1532,
  [2905] = 1533,
  [2906] = 1534,
  [2907] = 1535,
  [2908] = 1564,
  [2909] = 1565,
  [2910] = 1566,
  [2911] = 1567,
  [2912] = 1568,
  [2913] = 1569,
  [2914] = 1570,
  [2915] = 1571,
  [2916] = 1572,
  [2917] = 1573,
  [2918] = 1536,
  [2919] = 1537,
  [2920] = 1550,
  [2921] = 1551,
  [2922] = 1552,
  [2923] = 1553,
  [2924] = 1554,
  [2925] = 1555,
  [2926] = 1556,
  [2927] = 1557,
  [2928] = 1558,
  [2929] = 1559,
  [2930] = 1538,
  [2931] = 1539,
  [2932] = 1542,
  [2933] = 1540,
  [2934] = 1541,
  [2935] = 2935,
  [2936] = 1524,
  [2937] = 229,
  [2938] = 1484,
  [2939] = 1481,
  [2940] = 1480,
  [2941] = 1487,
  [2942] = 222,
  [2943] = 1506,
  [2944] = 1508,
  [2945] = 1510,
  [2946] = 1515,
  [2947] = 1516,
  [2948] = 1517,
  [2949] = 1518,
  [2950] = 1483,
  [2951] = 1521,
  [2952] = 1522,
  [2953] = 1632,
  [2954] = 1634,
  [2955] = 1633,
  [2956] = 1625,
  [2957] = 1501,
  [2958] = 1488,
  [2959] = 1618,
  [2960] = 1502,
  [2961] = 1622,
  [2962] = 1500,
  [2963] = 1570,
  [2964] = 1505,
  [2965] = 2965,
  [2966] = 2966,
  [2967] = 1543,
  [2968] = 2965,
  [2969] = 2969,
  [2970] = 2970,
  [2971] = 2971,
  [2972] = 1507,
  [2973] = 2971,
  [2974] = 1509,
  [2975] = 1511,
  [2976] = 1588,
  [2977] = 2966,
  [2978] = 2966,
  [2979] = 1512,
  [2980] = 1513,
  [2981] = 2965,
  [2982] = 2969,
  [2983] = 2970,
  [2984] = 2971,
  [2985] = 1562,
  [2986] = 1514,
  [2987] = 1544,
  [2988] = 1546,
  [2989] = 1519,
  [2990] = 1547,
  [2991] = 2969,
  [2992] = 1623,
  [2993] = 1525,
  [2994] = 2966,
  [2995] = 1624,
  [2996] = 1527,
  [2997] = 1574,
  [2998] = 2970,
  [2999] = 2965,
  [3000] = 2969,
  [3001] = 2970,
  [3002] = 2971,
  [3003] = 1599,
  [3004] = 1580,
  [3005] = 1523,
  [3006] = 2966,
  [3007] = 1626,
  [3008] = 2966,
  [3009] = 1627,
  [3010] = 2966,
  [3011] = 1628,
  [3012] = 1603,
  [3013] = 1629,
  [3014] = 2966,
  [3015] = 1483,
  [3016] = 2966,
  [3017] = 1484,
  [3018] = 1481,
  [3019] = 1480,
  [3020] = 1604,
  [3021] = 1529,
  [3022] = 1530,
  [3023] = 1531,
  [3024] = 1532,
  [3025] = 1533,
  [3026] = 1534,
  [3027] = 1535,
  [3028] = 1536,
  [3029] = 1537,
  [3030] = 1538,
  [3031] = 1539,
  [3032] = 1540,
  [3033] = 1541,
  [3034] = 1542,
  [3035] = 2965,
  [3036] = 1550,
  [3037] = 1551,
  [3038] = 1552,
  [3039] = 1553,
  [3040] = 2966,
  [3041] = 1554,
  [3042] = 1555,
  [3043] = 1556,
  [3044] = 1557,
  [3045] = 1558,
  [3046] = 1559,
  [3047] = 2969,
  [3048] = 1564,
  [3049] = 1565,
  [3050] = 1566,
  [3051] = 1567,
  [3052] = 2970,
  [3053] = 1568,
  [3054] = 1569,
  [3055] = 2971,
  [3056] = 1571,
  [3057] = 1572,
  [3058] = 1573,
  [3059] = 1621,
  [3060] = 1560,
  [3061] = 1578,
  [3062] = 1561,
  [3063] = 1579,
  [3064] = 1619,
  [3065] = 3065,
  [3066] = 3066,
  [3067] = 3067,
  [3068] = 3068,
  [3069] = 3066,
  [3070] = 3070,
  [3071] = 3071,
  [3072] = 3072,
  [3073] = 3073,
  [3074] = 3074,
  [3075] = 3075,
  [3076] = 3076,
  [3077] = 3077,
  [3078] = 3065,
  [3079] = 3079,
  [3080] = 3080,
  [3081] = 3066,
  [3082] = 3082,
  [3083] = 3065,
  [3084] = 3066,
  [3085] = 3085,
  [3086] = 3086,
  [3087] = 1491,
  [3088] = 1489,
  [3089] = 3089,
  [3090] = 3090,
  [3091] = 3091,
  [3092] = 1487,
  [3093] = 3065,
  [3094] = 1490,
  [3095] = 3095,
  [3096] = 3065,
  [3097] = 3065,
  [3098] = 3065,
  [3099] = 3099,
  [3100] = 3100,
  [3101] = 3101,
  [3102] = 3102,
  [3103] = 3066,
  [3104] = 1502,
  [3105] = 3105,
  [3106] = 3106,
  [3107] = 1598,
  [3108] = 1532,
  [3109] = 1506,
  [3110] = 1508,
  [3111] = 1510,
  [3112] = 1533,
  [3113] = 1483,
  [3114] = 1534,
  [3115] = 1535,
  [3116] = 1515,
  [3117] = 1516,
  [3118] = 1517,
  [3119] = 1518,
  [3120] = 1521,
  [3121] = 1522,
  [3122] = 1634,
  [3123] = 1524,
  [3124] = 3124,
  [3125] = 1536,
  [3126] = 1537,
  [3127] = 1538,
  [3128] = 1539,
  [3129] = 1540,
  [3130] = 1541,
  [3131] = 1542,
  [3132] = 3132,
  [3133] = 1520,
  [3134] = 1548,
  [3135] = 1124,
  [3136] = 3136,
  [3137] = 1550,
  [3138] = 1551,
  [3139] = 1526,
  [3140] = 1552,
  [3141] = 1553,
  [3142] = 1554,
  [3143] = 3143,
  [3144] = 1583,
  [3145] = 3145,
  [3146] = 3146,
  [3147] = 1501,
  [3148] = 1556,
  [3149] = 950,
  [3150] = 1134,
  [3151] = 3151,
  [3152] = 952,
  [3153] = 1557,
  [3154] = 3070,
  [3155] = 951,
  [3156] = 1558,
  [3157] = 3157,
  [3158] = 1559,
  [3159] = 3159,
  [3160] = 1575,
  [3161] = 1632,
  [3162] = 1545,
  [3163] = 1126,
  [3164] = 1633,
  [3165] = 3165,
  [3166] = 1582,
  [3167] = 1564,
  [3168] = 1529,
  [3169] = 1565,
  [3170] = 1566,
  [3171] = 1567,
  [3172] = 1602,
  [3173] = 3173,
  [3174] = 1568,
  [3175] = 1569,
  [3176] = 1570,
  [3177] = 1571,
  [3178] = 1572,
  [3179] = 1573,
  [3180] = 1530,
  [3181] = 1531,
  [3182] = 1577,
  [3183] = 1555,
  [3184] = 3184,
  [3185] = 3185,
  [3186] = 1625,
  [3187] = 1490,
  [3188] = 3188,
  [3189] = 3189,
  [3190] = 3190,
  [3191] = 3191,
  [3192] = 3192,
  [3193] = 3193,
  [3194] = 1502,
  [3195] = 3195,
  [3196] = 1484,
  [3197] = 1481,
  [3198] = 1480,
  [3199] = 3199,
  [3200] = 3200,
  [3201] = 3201,
  [3202] = 3202,
  [3203] = 3203,
  [3204] = 1491,
  [3205] = 3205,
  [3206] = 3206,
  [3207] = 3207,
  [3208] = 3208,
  [3209] = 222,
  [3210] = 3210,
  [3211] = 3211,
  [3212] = 1487,
  [3213] = 3213,
  [3214] = 3214,
  [3215] = 3215,
  [3216] = 3216,
  [3217] = 3217,
  [3218] = 3218,
  [3219] = 229,
  [3220] = 3220,
  [3221] = 3221,
  [3222] = 3222,
  [3223] = 3223,
  [3224] = 3224,
  [3225] = 3225,
  [3226] = 1500,
  [3227] = 3227,
  [3228] = 1488,
  [3229] = 1618,
  [3230] = 3211,
  [3231] = 3231,
  [3232] = 3232,
  [3233] = 1622,
  [3234] = 3211,
  [3235] = 3211,
  [3236] = 3211,
  [3237] = 3237,
  [3238] = 3238,
  [3239] = 1489,
  [3240] = 1604,
  [3241] = 952,
  [3242] = 1501,
  [3243] = 1514,
  [3244] = 951,
  [3245] = 1621,
  [3246] = 3246,
  [3247] = 3247,
  [3248] = 1632,
  [3249] = 694,
  [3250] = 1629,
  [3251] = 1507,
  [3252] = 1543,
  [3253] = 1544,
  [3254] = 1633,
  [3255] = 691,
  [3256] = 1506,
  [3257] = 1545,
  [3258] = 1546,
  [3259] = 1547,
  [3260] = 1548,
  [3261] = 1582,
  [3262] = 1583,
  [3263] = 1509,
  [3264] = 1508,
  [3265] = 690,
  [3266] = 1519,
  [3267] = 1520,
  [3268] = 950,
  [3269] = 1511,
  [3270] = 1505,
  [3271] = 1515,
  [3272] = 1516,
  [3273] = 1510,
  [3274] = 1523,
  [3275] = 1626,
  [3276] = 1524,
  [3277] = 1560,
  [3278] = 1561,
  [3279] = 1525,
  [3280] = 1562,
  [3281] = 1526,
  [3282] = 692,
  [3283] = 1578,
  [3284] = 1579,
  [3285] = 1588,
  [3286] = 1598,
  [3287] = 1599,
  [3288] = 1602,
  [3289] = 1603,
  [3290] = 1527,
  [3291] = 1628,
  [3292] = 1517,
  [3293] = 1619,
  [3294] = 1518,
  [3295] = 3295,
  [3296] = 1574,
  [3297] = 1512,
  [3298] = 1575,
  [3299] = 1580,
  [3300] = 1627,
  [3301] = 1623,
  [3302] = 1513,
  [3303] = 689,
  [3304] = 1521,
  [3305] = 3305,
  [3306] = 1624,
  [3307] = 1483,
  [3308] = 1522,
  [3309] = 1634,
  [3310] = 1577,
  [3311] = 3311,
  [3312] = 1500,
  [3313] = 3313,
  [3314] = 3314,
  [3315] = 3315,
  [3316] = 3316,
  [3317] = 1625,
  [3318] = 3318,
  [3319] = 3319,
  [3320] = 3320,
  [3321] = 3315,
  [3322] = 1488,
  [3323] = 1618,
  [3324] = 1622,
  [3325] = 3325,
  [3326] = 3326,
  [3327] = 3327,
  [3328] = 3319,
  [3329] = 1502,
  [3330] = 1489,
  [3331] = 3331,
  [3332] = 1490,
  [3333] = 3316,
  [3334] = 3334,
  [3335] = 3335,
  [3336] = 3326,
  [3337] = 1483,
  [3338] = 3315,
  [3339] = 3070,
  [3340] = 1491,
  [3341] = 3341,
  [3342] = 3326,
  [3343] = 3343,
  [3344] = 3344,
  [3345] = 3345,
  [3346] = 3346,
  [3347] = 3347,
  [3348] = 3348,
  [3349] = 3349,
  [3350] = 3347,
  [3351] = 1134,
  [3352] = 229,
  [3353] = 3353,
  [3354] = 3354,
  [3355] = 3355,
  [3356] = 3356,
  [3357] = 3357,
  [3358] = 691,
  [3359] = 3359,
  [3360] = 3360,
  [3361] = 3361,
  [3362] = 3362,
  [3363] = 3363,
  [3364] = 1505,
  [3365] = 3365,
  [3366] = 3366,
  [3367] = 1523,
  [3368] = 1604,
  [3369] = 1577,
  [3370] = 3370,
  [3371] = 3371,
  [3372] = 1578,
  [3373] = 1579,
  [3374] = 1126,
  [3375] = 3375,
  [3376] = 1588,
  [3377] = 1598,
  [3378] = 1599,
  [3379] = 1602,
  [3380] = 1603,
  [3381] = 3331,
  [3382] = 3382,
  [3383] = 3211,
  [3384] = 1619,
  [3385] = 3385,
  [3386] = 1126,
  [3387] = 3387,
  [3388] = 3388,
  [3389] = 3389,
  [3390] = 3211,
  [3391] = 3391,
  [3392] = 3392,
  [3393] = 3393,
  [3394] = 3394,
  [3395] = 1204,
  [3396] = 3396,
  [3397] = 3327,
  [3398] = 3398,
  [3399] = 3399,
  [3400] = 3400,
  [3401] = 3401,
  [3402] = 3402,
  [3403] = 3403,
  [3404] = 3404,
  [3405] = 3405,
  [3406] = 3406,
  [3407] = 3407,
  [3408] = 694,
  [3409] = 3409,
  [3410] = 1507,
  [3411] = 3411,
  [3412] = 3412,
  [3413] = 3413,
  [3414] = 1509,
  [3415] = 3211,
  [3416] = 1511,
  [3417] = 3417,
  [3418] = 3418,
  [3419] = 3419,
  [3420] = 3420,
  [3421] = 3421,
  [3422] = 3422,
  [3423] = 3423,
  [3424] = 3424,
  [3425] = 3425,
  [3426] = 3426,
  [3427] = 3427,
  [3428] = 3428,
  [3429] = 3389,
  [3430] = 3430,
  [3431] = 1512,
  [3432] = 1513,
  [3433] = 3389,
  [3434] = 1514,
  [3435] = 3435,
  [3436] = 3436,
  [3437] = 3437,
  [3438] = 3438,
  [3439] = 3439,
  [3440] = 1626,
  [3441] = 3441,
  [3442] = 3442,
  [3443] = 3443,
  [3444] = 3444,
  [3445] = 1519,
  [3446] = 3446,
  [3447] = 1520,
  [3448] = 3448,
  [3449] = 1627,
  [3450] = 3450,
  [3451] = 3451,
  [3452] = 3311,
  [3453] = 3453,
  [3454] = 3454,
  [3455] = 1582,
  [3456] = 1124,
  [3457] = 1487,
  [3458] = 1525,
  [3459] = 1624,
  [3460] = 1527,
  [3461] = 1583,
  [3462] = 3462,
  [3463] = 3463,
  [3464] = 689,
  [3465] = 3382,
  [3466] = 3382,
  [3467] = 3467,
  [3468] = 3468,
  [3469] = 3469,
  [3470] = 3470,
  [3471] = 1628,
  [3472] = 3347,
  [3473] = 3343,
  [3474] = 3474,
  [3475] = 3448,
  [3476] = 3382,
  [3477] = 3412,
  [3478] = 1629,
  [3479] = 3479,
  [3480] = 3480,
  [3481] = 3481,
  [3482] = 3442,
  [3483] = 3483,
  [3484] = 3484,
  [3485] = 3485,
  [3486] = 3486,
  [3487] = 1543,
  [3488] = 3488,
  [3489] = 1502,
  [3490] = 3470,
  [3491] = 3491,
  [3492] = 1544,
  [3493] = 3493,
  [3494] = 3494,
  [3495] = 1545,
  [3496] = 1134,
  [3497] = 1546,
  [3498] = 1547,
  [3499] = 1548,
  [3500] = 3500,
  [3501] = 3382,
  [3502] = 3502,
  [3503] = 690,
  [3504] = 3382,
  [3505] = 3505,
  [3506] = 3211,
  [3507] = 3507,
  [3508] = 3347,
  [3509] = 3491,
  [3510] = 3470,
  [3511] = 3511,
  [3512] = 3512,
  [3513] = 3513,
  [3514] = 3514,
  [3515] = 3515,
  [3516] = 3516,
  [3517] = 3365,
  [3518] = 3518,
  [3519] = 3211,
  [3520] = 3520,
  [3521] = 3521,
  [3522] = 3211,
  [3523] = 3523,
  [3524] = 3524,
  [3525] = 1580,
  [3526] = 1560,
  [3527] = 1561,
  [3528] = 3528,
  [3529] = 3382,
  [3530] = 1562,
  [3531] = 3531,
  [3532] = 692,
  [3533] = 3347,
  [3534] = 3534,
  [3535] = 3535,
  [3536] = 3493,
  [3537] = 3537,
  [3538] = 3382,
  [3539] = 3347,
  [3540] = 3347,
  [3541] = 1574,
  [3542] = 3211,
  [3543] = 1575,
  [3544] = 3544,
  [3545] = 3545,
  [3546] = 3546,
  [3547] = 3547,
  [3548] = 3548,
  [3549] = 222,
  [3550] = 3550,
  [3551] = 3551,
  [3552] = 3552,
  [3553] = 1621,
  [3554] = 3554,
  [3555] = 1124,
  [3556] = 3556,
  [3557] = 1623,
  [3558] = 1526,
  [3559] = 3559,
  [3560] = 3560,
  [3561] = 3561,
  [3562] = 3562,
  [3563] = 3563,
  [3564] = 3564,
  [3565] = 3565,
  [3566] = 3560,
  [3567] = 3567,
  [3568] = 3560,
  [3569] = 3560,
  [3570] = 1489,
  [3571] = 198,
  [3572] = 3572,
  [3573] = 3573,
  [3574] = 3574,
  [3575] = 3573,
  [3576] = 1490,
  [3577] = 1491,
  [3578] = 952,
  [3579] = 3573,
  [3580] = 3560,
  [3581] = 3572,
  [3582] = 3573,
  [3583] = 3583,
  [3584] = 3584,
  [3585] = 3585,
  [3586] = 3573,
  [3587] = 3587,
  [3588] = 199,
  [3589] = 3589,
  [3590] = 951,
  [3591] = 950,
  [3592] = 3592,
  [3593] = 3331,
  [3594] = 3560,
  [3595] = 3560,
  [3596] = 3573,
  [3597] = 1501,
  [3598] = 3560,
  [3599] = 3599,
  [3600] = 3537,
  [3601] = 3601,
  [3602] = 3438,
  [3603] = 3385,
  [3604] = 3604,
  [3605] = 3605,
  [3606] = 3606,
  [3607] = 3607,
  [3608] = 3608,
  [3609] = 3609,
  [3610] = 3610,
  [3611] = 3611,
  [3612] = 3612,
  [3613] = 3613,
  [3614] = 3614,
  [3615] = 3615,
  [3616] = 3616,
  [3617] = 3617,
  [3618] = 3618,
  [3619] = 3619,
  [3620] = 3620,
  [3621] = 3621,
  [3622] = 3622,
  [3623] = 3623,
  [3624] = 3624,
  [3625] = 3625,
  [3626] = 3626,
  [3627] = 3627,
  [3628] = 3628,
  [3629] = 3629,
  [3630] = 3630,
  [3631] = 3631,
  [3632] = 3632,
  [3633] = 3633,
  [3634] = 3634,
  [3635] = 3635,
  [3636] = 3636,
  [3637] = 3637,
  [3638] = 3638,
  [3639] = 3639,
  [3640] = 3640,
  [3641] = 3641,
  [3642] = 3642,
  [3643] = 3643,
  [3644] = 3644,
  [3645] = 3645,
  [3646] = 3646,
  [3647] = 3647,
  [3648] = 3648,
  [3649] = 3649,
  [3650] = 3650,
  [3651] = 3651,
  [3652] = 3652,
  [3653] = 3653,
  [3654] = 3654,
  [3655] = 3655,
  [3656] = 3656,
  [3657] = 3657,
  [3658] = 3658,
  [3659] = 3659,
  [3660] = 3660,
  [3661] = 3661,
  [3662] = 3662,
  [3663] = 3663,
  [3664] = 3664,
  [3665] = 3665,
  [3666] = 3666,
  [3667] = 3667,
  [3668] = 3668,
  [3669] = 3669,
  [3670] = 3670,
  [3671] = 3671,
  [3672] = 3672,
  [3673] = 3673,
  [3674] = 3674,
  [3675] = 3675,
  [3676] = 3676,
  [3677] = 3677,
  [3678] = 3678,
  [3679] = 3679,
  [3680] = 3680,
  [3681] = 3681,
  [3682] = 3682,
  [3683] = 3683,
  [3684] = 3684,
  [3685] = 3685,
  [3686] = 3686,
  [3687] = 3687,
  [3688] = 3688,
  [3689] = 3689,
  [3690] = 3690,
  [3691] = 3691,
  [3692] = 3692,
  [3693] = 3693,
  [3694] = 3694,
  [3695] = 3695,
  [3696] = 3696,
  [3697] = 3697,
  [3698] = 3698,
  [3699] = 3699,
  [3700] = 3700,
  [3701] = 3701,
  [3702] = 3702,
  [3703] = 3703,
  [3704] = 3704,
  [3705] = 3705,
  [3706] = 3706,
  [3707] = 3707,
  [3708] = 3708,
  [3709] = 3709,
  [3710] = 3710,
  [3711] = 3711,
  [3712] = 3712,
  [3713] = 3713,
  [3714] = 3714,
  [3715] = 3715,
  [3716] = 3716,
  [3717] = 3717,
  [3718] = 3718,
  [3719] = 3719,
  [3720] = 3720,
  [3721] = 3721,
  [3722] = 3722,
  [3723] = 3723,
  [3724] = 202,
  [3725] = 3725,
  [3726] = 3726,
  [3727] = 3727,
  [3728] = 3728,
  [3729] = 3729,
  [3730] = 3730,
  [3731] = 3731,
  [3732] = 3732,
  [3733] = 3733,
  [3734] = 3734,
  [3735] = 221,
  [3736] = 223,
  [3737] = 3737,
  [3738] = 3738,
  [3739] = 3739,
  [3740] = 3740,
  [3741] = 3741,
  [3742] = 3742,
  [3743] = 3743,
  [3744] = 3744,
  [3745] = 3745,
  [3746] = 3746,
  [3747] = 3747,
  [3748] = 3748,
  [3749] = 3749,
  [3750] = 3750,
  [3751] = 3751,
  [3752] = 3752,
  [3753] = 3753,
  [3754] = 3754,
  [3755] = 3755,
  [3756] = 3756,
  [3757] = 3757,
  [3758] = 3758,
  [3759] = 3759,
  [3760] = 3760,
  [3761] = 3761,
  [3762] = 3762,
  [3763] = 3763,
  [3764] = 3764,
  [3765] = 3765,
  [3766] = 3766,
  [3767] = 3767,
  [3768] = 3768,
  [3769] = 3769,
  [3770] = 3770,
  [3771] = 3771,
  [3772] = 3772,
  [3773] = 3773,
  [3774] = 3774,
  [3775] = 3775,
  [3776] = 3776,
  [3777] = 3777,
  [3778] = 3773,
  [3779] = 3779,
  [3780] = 3780,
  [3781] = 3781,
  [3782] = 3782,
  [3783] = 3783,
  [3784] = 3784,
  [3785] = 3785,
  [3786] = 3786,
  [3787] = 3787,
  [3788] = 3788,
  [3789] = 3641,
  [3790] = 3790,
  [3791] = 3791,
  [3792] = 3792,
  [3793] = 3793,
  [3794] = 3794,
  [3795] = 3795,
  [3796] = 3796,
  [3797] = 3797,
  [3798] = 1491,
  [3799] = 3799,
  [3800] = 3800,
  [3801] = 3801,
  [3802] = 3802,
  [3803] = 3803,
  [3804] = 3604,
  [3805] = 3805,
  [3806] = 3806,
  [3807] = 3794,
  [3808] = 3808,
  [3809] = 3809,
  [3810] = 3641,
  [3811] = 3795,
  [3812] = 3812,
  [3813] = 3813,
  [3814] = 3814,
  [3815] = 3799,
  [3816] = 3816,
  [3817] = 3817,
  [3818] = 3818,
  [3819] = 3819,
  [3820] = 3820,
  [3821] = 3821,
  [3822] = 3822,
  [3823] = 3823,
  [3824] = 3824,
  [3825] = 3825,
  [3826] = 3826,
  [3827] = 3827,
  [3828] = 3828,
  [3829] = 3829,
  [3830] = 3830,
  [3831] = 3831,
  [3832] = 3832,
  [3833] = 3833,
  [3834] = 3834,
  [3835] = 3796,
  [3836] = 3836,
  [3837] = 3837,
  [3838] = 3838,
  [3839] = 3839,
  [3840] = 3840,
  [3841] = 3841,
  [3842] = 3842,
  [3843] = 3843,
  [3844] = 3803,
  [3845] = 3845,
  [3846] = 1489,
  [3847] = 1490,
  [3848] = 1520,
  [3849] = 1526,
  [3850] = 1545,
  [3851] = 1548,
  [3852] = 1582,
  [3853] = 1583,
  [3854] = 3854,
  [3855] = 3855,
  [3856] = 1575,
  [3857] = 3782,
  [3858] = 3858,
  [3859] = 3783,
  [3860] = 3860,
  [3861] = 3861,
  [3862] = 3862,
  [3863] = 3863,
  [3864] = 3838,
  [3865] = 3865,
  [3866] = 3866,
  [3867] = 3797,
  [3868] = 3868,
  [3869] = 3869,
  [3870] = 3784,
  [3871] = 3841,
  [3872] = 3799,
  [3873] = 3873,
  [3874] = 3874,
  [3875] = 3800,
  [3876] = 3305,
  [3877] = 3839,
  [3878] = 3878,
  [3879] = 3879,
  [3880] = 3801,
  [3881] = 3881,
  [3882] = 3882,
  [3883] = 3883,
  [3884] = 3884,
  [3885] = 3885,
  [3886] = 3866,
  [3887] = 3887,
  [3888] = 3888,
  [3889] = 3780,
  [3890] = 3890,
  [3891] = 3349,
  [3892] = 3892,
  [3893] = 3893,
  [3894] = 3894,
  [3895] = 3895,
  [3896] = 3896,
  [3897] = 1577,
  [3898] = 1598,
  [3899] = 1602,
  [3900] = 3900,
  [3901] = 3404,
  [3902] = 3334,
  [3903] = 3903,
  [3904] = 3904,
  [3905] = 3905,
  [3906] = 3906,
  [3907] = 3907,
  [3908] = 3908,
  [3909] = 3909,
  [3910] = 3910,
  [3911] = 3911,
  [3912] = 3912,
  [3913] = 3913,
  [3914] = 3914,
  [3915] = 3915,
  [3916] = 3866,
  [3917] = 3917,
  [3918] = 3780,
  [3919] = 3919,
  [3920] = 3920,
  [3921] = 3921,
  [3922] = 3922,
  [3923] = 3923,
  [3924] = 3924,
  [3925] = 3925,
  [3926] = 3926,
  [3927] = 694,
  [3928] = 689,
  [3929] = 3929,
  [3930] = 690,
  [3931] = 692,
  [3932] = 3932,
  [3933] = 3933,
  [3934] = 3934,
  [3935] = 3935,
  [3936] = 3936,
  [3937] = 3937,
  [3938] = 3938,
  [3939] = 3939,
  [3940] = 3940,
  [3941] = 3941,
  [3942] = 1577,
  [3943] = 1598,
  [3944] = 1602,
  [3945] = 3945,
  [3946] = 3652,
  [3947] = 3947,
  [3948] = 1520,
  [3949] = 3949,
  [3950] = 3950,
  [3951] = 3951,
  [3952] = 3952,
  [3953] = 1526,
  [3954] = 3954,
  [3955] = 3926,
  [3956] = 3934,
  [3957] = 3650,
  [3958] = 3958,
  [3959] = 3959,
  [3960] = 3960,
  [3961] = 3961,
  [3962] = 3962,
  [3963] = 3963,
  [3964] = 3932,
  [3965] = 3965,
  [3966] = 3642,
  [3967] = 3967,
  [3968] = 1545,
  [3969] = 3605,
  [3970] = 1548,
  [3971] = 3651,
  [3972] = 3972,
  [3973] = 3973,
  [3974] = 3940,
  [3975] = 1582,
  [3976] = 3945,
  [3977] = 1583,
  [3978] = 3978,
  [3979] = 3979,
  [3980] = 3636,
  [3981] = 3643,
  [3982] = 3982,
  [3983] = 3983,
  [3984] = 3984,
  [3985] = 1575,
  [3986] = 3986,
  [3987] = 3987,
  [3988] = 3327,
  [3989] = 3637,
  [3990] = 3990,
  [3991] = 3983,
  [3992] = 3632,
  [3993] = 3655,
  [3994] = 3961,
  [3995] = 3995,
  [3996] = 3982,
  [3997] = 3997,
  [3998] = 3311,
  [3999] = 3638,
  [4000] = 4000,
  [4001] = 3936,
  [4002] = 1225,
  [4003] = 3995,
  [4004] = 3247,
  [4005] = 3967,
  [4006] = 691,
  [4007] = 3690,
  [4008] = 3940,
  [4009] = 3640,
  [4010] = 3945,
  [4011] = 4011,
  [4012] = 3929,
  [4013] = 4013,
  [4014] = 4014,
  [4015] = 4015,
  [4016] = 4016,
  [4017] = 4017,
  [4018] = 3647,
  [4019] = 3997,
  [4020] = 4020,
  [4021] = 3967,
  [4022] = 4022,
  [4023] = 3648,
  [4024] = 3676,
  [4025] = 4025,
  [4026] = 3925,
  [4027] = 3939,
  [4028] = 3987,
  [4029] = 3963,
  [4030] = 3649,
  [4031] = 3936,
  [4032] = 3959,
  [4033] = 3631,
  [4034] = 4034,
  [4035] = 3940,
  [4036] = 4036,
  [4037] = 3945,
  [4038] = 3949,
  [4039] = 3967,
  [4040] = 4016,
  [4041] = 3941,
  [4042] = 3624,
  [4043] = 3662,
  [4044] = 3936,
  [4045] = 3951,
  [4046] = 3936,
  [4047] = 4047,
  [4048] = 3959,
  [4049] = 3630,
  [4050] = 3940,
  [4051] = 3967,
  [4052] = 3945,
  [4053] = 3984,
  [4054] = 4025,
  [4055] = 3967,
  [4056] = 3633,
  [4057] = 4057,
  [4058] = 3965,
  [4059] = 3644,
  [4060] = 4036,
  [4061] = 4061,
  [4062] = 4062,
  [4063] = 3645,
  [4064] = 4025,
  [4065] = 3936,
  [4066] = 4066,
  [4067] = 4036,
  [4068] = 3959,
  [4069] = 3959,
  [4070] = 3950,
  [4071] = 3625,
  [4072] = 3940,
  [4073] = 3945,
  [4074] = 4011,
  [4075] = 3959,
  [4076] = 4076,
  [4077] = 4077,
  [4078] = 4078,
  [4079] = 4079,
  [4080] = 4080,
  [4081] = 4081,
  [4082] = 4082,
  [4083] = 4083,
  [4084] = 4084,
  [4085] = 4085,
  [4086] = 4086,
  [4087] = 4087,
  [4088] = 4088,
  [4089] = 4089,
  [4090] = 4090,
  [4091] = 4091,
  [4092] = 4092,
  [4093] = 4093,
  [4094] = 827,
  [4095] = 4095,
  [4096] = 4096,
  [4097] = 4097,
  [4098] = 4098,
  [4099] = 4099,
  [4100] = 4100,
  [4101] = 4101,
  [4102] = 4102,
  [4103] = 4103,
  [4104] = 4104,
  [4105] = 4105,
  [4106] = 4106,
  [4107] = 4107,
  [4108] = 4108,
  [4109] = 4109,
  [4110] = 4110,
  [4111] = 4111,
  [4112] = 4112,
  [4113] = 4113,
  [4114] = 878,
  [4115] = 4115,
  [4116] = 4116,
  [4117] = 4117,
  [4118] = 4118,
  [4119] = 4119,
  [4120] = 4120,
  [4121] = 4121,
  [4122] = 4122,
  [4123] = 4123,
  [4124] = 831,
  [4125] = 833,
  [4126] = 4126,
  [4127] = 4127,
  [4128] = 4128,
  [4129] = 4129,
  [4130] = 4130,
  [4131] = 834,
  [4132] = 835,
  [4133] = 4133,
  [4134] = 4134,
  [4135] = 836,
  [4136] = 4136,
  [4137] = 4137,
  [4138] = 3894,
  [4139] = 4082,
  [4140] = 837,
  [4141] = 4141,
  [4142] = 4142,
  [4143] = 840,
  [4144] = 4144,
  [4145] = 4145,
  [4146] = 4146,
  [4147] = 4147,
  [4148] = 4148,
  [4149] = 4149,
  [4150] = 4150,
  [4151] = 4151,
  [4152] = 4120,
  [4153] = 4153,
  [4154] = 4154,
  [4155] = 4155,
  [4156] = 4156,
  [4157] = 4157,
  [4158] = 4158,
  [4159] = 4159,
  [4160] = 4160,
  [4161] = 4161,
  [4162] = 4162,
  [4163] = 4163,
  [4164] = 4164,
  [4165] = 4165,
  [4166] = 843,
  [4167] = 4167,
  [4168] = 4168,
  [4169] = 764,
  [4170] = 4170,
  [4171] = 4171,
  [4172] = 4172,
  [4173] = 4173,
  [4174] = 755,
  [4175] = 4175,
  [4176] = 4176,
  [4177] = 4177,
  [4178] = 4178,
  [4179] = 757,
  [4180] = 4180,
  [4181] = 4181,
  [4182] = 853,
  [4183] = 4183,
  [4184] = 4184,
  [4185] = 4185,
  [4186] = 4186,
  [4187] = 4187,
  [4188] = 4188,
  [4189] = 4189,
  [4190] = 781,
  [4191] = 4191,
  [4192] = 4192,
  [4193] = 4193,
  [4194] = 4194,
  [4195] = 4195,
  [4196] = 4196,
  [4197] = 4197,
  [4198] = 4198,
  [4199] = 4199,
  [4200] = 4076,
  [4201] = 4201,
  [4202] = 4202,
  [4203] = 4203,
  [4204] = 4204,
  [4205] = 4205,
  [4206] = 4206,
  [4207] = 4207,
  [4208] = 783,
  [4209] = 774,
  [4210] = 4210,
  [4211] = 4211,
  [4212] = 4212,
  [4213] = 4213,
  [4214] = 787,
  [4215] = 4215,
  [4216] = 788,
  [4217] = 4217,
  [4218] = 4195,
  [4219] = 854,
  [4220] = 4220,
  [4221] = 4221,
  [4222] = 4222,
  [4223] = 850,
  [4224] = 4224,
  [4225] = 4225,
  [4226] = 4226,
  [4227] = 4227,
  [4228] = 4228,
  [4229] = 4229,
  [4230] = 4230,
  [4231] = 4231,
  [4232] = 4232,
  [4233] = 4233,
  [4234] = 4234,
  [4235] = 4235,
  [4236] = 4236,
  [4237] = 4237,
  [4238] = 872,
  [4239] = 873,
  [4240] = 4240,
  [4241] = 4119,
  [4242] = 4242,
  [4243] = 4243,
  [4244] = 4244,
  [4245] = 877,
  [4246] = 4082,
  [4247] = 4247,
  [4248] = 4248,
  [4249] = 4249,
  [4250] = 4148,
  [4251] = 4251,
  [4252] = 4252,
  [4253] = 4253,
  [4254] = 4254,
  [4255] = 4162,
  [4256] = 4167,
  [4257] = 4257,
  [4258] = 4258,
  [4259] = 4259,
  [4260] = 4198,
  [4261] = 4261,
  [4262] = 4262,
  [4263] = 4263,
  [4264] = 4264,
  [4265] = 4265,
  [4266] = 4266,
  [4267] = 4267,
  [4268] = 4268,
  [4269] = 4269,
  [4270] = 4270,
  [4271] = 879,
  [4272] = 4272,
  [4273] = 4273,
  [4274] = 4274,
  [4275] = 4275,
  [4276] = 4276,
  [4277] = 4277,
  [4278] = 4278,
  [4279] = 880,
  [4280] = 4163,
  [4281] = 4281,
  [4282] = 4282,
  [4283] = 4283,
  [4284] = 4284,
  [4285] = 4285,
  [4286] = 4119,
  [4287] = 881,
  [4288] = 4288,
  [4289] = 4289,
  [4290] = 882,
  [4291] = 885,
  [4292] = 4148,
  [4293] = 4119,
  [4294] = 4294,
  [4295] = 4295,
  [4296] = 4296,
  [4297] = 4297,
  [4298] = 4298,
  [4299] = 4299,
  [4300] = 4300,
  [4301] = 4301,
  [4302] = 3840,
  [4303] = 4303,
  [4304] = 4304,
  [4305] = 4305,
  [4306] = 4306,
  [4307] = 4307,
  [4308] = 893,
  [4309] = 896,
  [4310] = 4310,
  [4311] = 4311,
  [4312] = 4312,
  [4313] = 4313,
  [4314] = 4314,
  [4315] = 4119,
  [4316] = 4316,
  [4317] = 4212,
  [4318] = 780,
  [4319] = 4319,
  [4320] = 4320,
  [4321] = 4148,
  [4322] = 4322,
  [4323] = 4323,
  [4324] = 4324,
  [4325] = 4325,
  [4326] = 4326,
  [4327] = 4327,
  [4328] = 4328,
  [4329] = 4329,
  [4330] = 4330,
  [4331] = 4331,
  [4332] = 4332,
  [4333] = 4333,
  [4334] = 4334,
  [4335] = 4335,
  [4336] = 4336,
  [4337] = 852,
  [4338] = 860,
  [4339] = 4339,
  [4340] = 4340,
  [4341] = 4341,
  [4342] = 4342,
  [4343] = 4343,
  [4344] = 4344,
  [4345] = 861,
  [4346] = 863,
  [4347] = 4347,
  [4348] = 4348,
  [4349] = 4349,
  [4350] = 4350,
  [4351] = 4351,
  [4352] = 4352,
  [4353] = 4353,
  [4354] = 905,
  [4355] = 4355,
  [4356] = 4356,
  [4357] = 4357,
  [4358] = 4358,
  [4359] = 4359,
  [4360] = 4360,
  [4361] = 4361,
  [4362] = 4362,
  [4363] = 4363,
  [4364] = 4364,
  [4365] = 4365,
  [4366] = 4366,
  [4367] = 4367,
  [4368] = 4368,
  [4369] = 4369,
  [4370] = 4127,
  [4371] = 4371,
  [4372] = 4372,
  [4373] = 4373,
  [4374] = 4374,
  [4375] = 4375,
  [4376] = 4376,
  [4377] = 4377,
  [4378] = 4378,
  [4379] = 4379,
  [4380] = 4380,
  [4381] = 4381,
  [4382] = 4382,
  [4383] = 4383,
  [4384] = 4384,
  [4385] = 4385,
  [4386] = 4221,
  [4387] = 4387,
  [4388] = 4388,
  [4389] = 4389,
  [4390] = 4390,
  [4391] = 4391,
  [4392] = 4392,
  [4393] = 4393,
  [4394] = 4394,
  [4395] = 4395,
  [4396] = 4396,
  [4397] = 4397,
  [4398] = 4398,
  [4399] = 4399,
  [4400] = 4387,
  [4401] = 4401,
  [4402] = 4402,
  [4403] = 4403,
  [4404] = 4404,
  [4405] = 4405,
  [4406] = 4406,
  [4407] = 4407,
  [4408] = 4408,
  [4409] = 4251,
  [4410] = 4289,
  [4411] = 4210,
  [4412] = 4412,
  [4413] = 4350,
  [4414] = 4352,
  [4415] = 4415,
  [4416] = 4416,
  [4417] = 4417,
  [4418] = 4418,
  [4419] = 908,
  [4420] = 789,
  [4421] = 4421,
  [4422] = 4422,
  [4423] = 4423,
  [4424] = 4424,
  [4425] = 4425,
  [4426] = 4426,
  [4427] = 4427,
  [4428] = 794,
  [4429] = 4429,
  [4430] = 4430,
  [4431] = 4147,
  [4432] = 4432,
  [4433] = 4433,
  [4434] = 4434,
  [4435] = 4435,
  [4436] = 4436,
  [4437] = 4437,
  [4438] = 4438,
  [4439] = 4439,
  [4440] = 4440,
  [4441] = 4441,
  [4442] = 4111,
  [4443] = 4443,
  [4444] = 4444,
  [4445] = 230,
  [4446] = 4384,
  [4447] = 4447,
  [4448] = 4448,
  [4449] = 4449,
  [4450] = 4450,
  [4451] = 871,
  [4452] = 4452,
  [4453] = 4453,
  [4454] = 4454,
  [4455] = 4455,
  [4456] = 4456,
  [4457] = 4457,
  [4458] = 4458,
  [4459] = 4459,
  [4460] = 4460,
  [4461] = 4461,
  [4462] = 4462,
  [4463] = 4463,
  [4464] = 4464,
  [4465] = 4465,
  [4466] = 4417,
  [4467] = 4167,
  [4468] = 4127,
  [4469] = 4469,
  [4470] = 226,
  [4471] = 4471,
  [4472] = 4472,
  [4473] = 4473,
  [4474] = 4474,
  [4475] = 4475,
  [4476] = 4476,
  [4477] = 4477,
  [4478] = 4382,
  [4479] = 4390,
  [4480] = 4480,
  [4481] = 4392,
  [4482] = 4482,
  [4483] = 4483,
  [4484] = 4417,
  [4485] = 4383,
  [4486] = 4486,
  [4487] = 4487,
  [4488] = 4488,
  [4489] = 4489,
  [4490] = 4490,
  [4491] = 4491,
  [4492] = 4492,
  [4493] = 4493,
  [4494] = 4494,
  [4495] = 4177,
  [4496] = 4496,
  [4497] = 4178,
  [4498] = 897,
  [4499] = 4499,
  [4500] = 4500,
  [4501] = 4501,
  [4502] = 4502,
  [4503] = 4503,
  [4504] = 4504,
  [4505] = 4505,
  [4506] = 898,
  [4507] = 838,
  [4508] = 901,
  [4509] = 4509,
  [4510] = 4510,
  [4511] = 817,
  [4512] = 819,
  [4513] = 4513,
  [4514] = 4133,
  [4515] = 4515,
  [4516] = 4516,
  [4517] = 4215,
  [4518] = 763,
  [4519] = 772,
  [4520] = 4520,
  [4521] = 4521,
  [4522] = 4522,
  [4523] = 4183,
  [4524] = 4524,
  [4525] = 4525,
  [4526] = 4526,
  [4527] = 765,
  [4528] = 4528,
  [4529] = 4529,
  [4530] = 4530,
  [4531] = 4531,
  [4532] = 804,
  [4533] = 4533,
  [4534] = 4534,
  [4535] = 4535,
  [4536] = 4536,
  [4537] = 4537,
  [4538] = 4538,
  [4539] = 4539,
  [4540] = 4189,
  [4541] = 4541,
  [4542] = 4542,
  [4543] = 4543,
  [4544] = 4192,
  [4545] = 4545,
  [4546] = 4546,
  [4547] = 4423,
  [4548] = 4548,
  [4549] = 4549,
  [4550] = 4550,
  [4551] = 4551,
  [4552] = 4425,
  [4553] = 4148,
  [4554] = 4554,
  [4555] = 4555,
  [4556] = 4556,
  [4557] = 4433,
  [4558] = 4558,
  [4559] = 875,
  [4560] = 4560,
  [4561] = 4561,
  [4562] = 899,
  [4563] = 802,
  [4564] = 4564,
  [4565] = 4565,
  [4566] = 4382,
  [4567] = 3917,
  [4568] = 4568,
  [4569] = 4569,
  [4570] = 4570,
  [4571] = 4571,
  [4572] = 4572,
  [4573] = 4573,
  [4574] = 4574,
  [4575] = 4575,
  [4576] = 4576,
  [4577] = 4577,
  [4578] = 4578,
  [4579] = 4061,
  [4580] = 4580,
  [4581] = 4581,
  [4582] = 4582,
  [4583] = 844,
  [4584] = 4584,
  [4585] = 4585,
  [4586] = 4586,
  [4587] = 4390,
  [4588] = 864,
  [4589] = 4589,
  [4590] = 4590,
  [4591] = 4591,
  [4592] = 4194,
  [4593] = 4593,
  [4594] = 4594,
  [4595] = 4595,
  [4596] = 4596,
  [4597] = 4597,
  [4598] = 4598,
  [4599] = 4599,
  [4600] = 4600,
  [4601] = 4601,
  [4602] = 4602,
  [4603] = 4603,
  [4604] = 4604,
  [4605] = 4438,
  [4606] = 4606,
  [4607] = 4607,
  [4608] = 4608,
  [4609] = 4609,
  [4610] = 811,
  [4611] = 4147,
  [4612] = 876,
  [4613] = 4613,
  [4614] = 4614,
  [4615] = 4615,
  [4616] = 3865,
  [4617] = 3869,
  [4618] = 4252,
  [4619] = 4619,
  [4620] = 890,
  [4621] = 891,
  [4622] = 4177,
  [4623] = 4178,
  [4624] = 4624,
  [4625] = 4539,
  [4626] = 4626,
  [4627] = 4198,
  [4628] = 4628,
  [4629] = 4629,
  [4630] = 4630,
  [4631] = 4631,
  [4632] = 4632,
  [4633] = 4633,
  [4634] = 851,
  [4635] = 4635,
  [4636] = 4636,
  [4637] = 4637,
  [4638] = 4638,
  [4639] = 4589,
  [4640] = 4640,
  [4641] = 4641,
  [4642] = 4642,
  [4643] = 4643,
  [4644] = 4644,
  [4645] = 4645,
  [4646] = 4646,
  [4647] = 4647,
  [4648] = 4648,
  [4649] = 4649,
  [4650] = 4650,
  [4651] = 4651,
  [4652] = 4652,
  [4653] = 4653,
  [4654] = 1515,
  [4655] = 4655,
  [4656] = 4656,
  [4657] = 1518,
  [4658] = 4392,
  [4659] = 4659,
  [4660] = 828,
  [4661] = 829,
  [4662] = 830,
  [4663] = 4663,
  [4664] = 4664,
  [4665] = 4665,
  [4666] = 4666,
  [4667] = 4667,
  [4668] = 4668,
  [4669] = 4669,
  [4670] = 4670,
  [4671] = 4671,
  [4672] = 4672,
  [4673] = 822,
  [4674] = 4674,
  [4675] = 4675,
  [4676] = 4676,
  [4677] = 4677,
  [4678] = 4678,
  [4679] = 4679,
  [4680] = 4680,
  [4681] = 4681,
  [4682] = 4682,
  [4683] = 4683,
  [4684] = 4684,
  [4685] = 4685,
  [4686] = 3933,
  [4687] = 3954,
  [4688] = 3958,
  [4689] = 839,
  [4690] = 823,
  [4691] = 824,
  [4692] = 842,
  [4693] = 845,
  [4694] = 846,
  [4695] = 847,
  [4696] = 761,
  [4697] = 848,
  [4698] = 849,
  [4699] = 790,
  [4700] = 4700,
  [4701] = 4701,
  [4702] = 4702,
  [4703] = 4703,
  [4704] = 4704,
  [4705] = 4705,
  [4706] = 4706,
  [4707] = 4707,
  [4708] = 4708,
  [4709] = 4709,
  [4710] = 4710,
  [4711] = 4711,
  [4712] = 4712,
  [4713] = 4713,
  [4714] = 4460,
  [4715] = 4715,
  [4716] = 4703,
  [4717] = 4717,
  [4718] = 4718,
  [4719] = 4719,
  [4720] = 4720,
  [4721] = 4721,
  [4722] = 4722,
  [4723] = 4713,
  [4724] = 4719,
  [4725] = 4701,
  [4726] = 4704,
  [4727] = 4708,
  [4728] = 4703,
  [4729] = 4729,
  [4730] = 4721,
  [4731] = 4722,
  [4732] = 4704,
  [4733] = 4713,
  [4734] = 4719,
  [4735] = 4701,
  [4736] = 4704,
  [4737] = 4708,
  [4738] = 4703,
  [4739] = 4721,
  [4740] = 4722,
  [4741] = 4741,
  [4742] = 4713,
  [4743] = 4719,
  [4744] = 4701,
  [4745] = 4704,
  [4746] = 4708,
  [4747] = 4703,
  [4748] = 4721,
  [4749] = 4722,
  [4750] = 4713,
  [4751] = 4719,
  [4752] = 4701,
  [4753] = 4721,
  [4754] = 4722,
  [4755] = 4713,
  [4756] = 4719,
  [4757] = 4757,
  [4758] = 4758,
  [4759] = 4759,
  [4760] = 4760,
  [4761] = 4729,
  [4762] = 4762,
  [4763] = 4763,
  [4764] = 4764,
  [4765] = 4765,
  [4766] = 4766,
  [4767] = 4703,
  [4768] = 4768,
  [4769] = 4769,
  [4770] = 4729,
  [4771] = 4764,
  [4772] = 4772,
  [4773] = 4764,
  [4774] = 4774,
  [4775] = 4775,
  [4776] = 4776,
  [4777] = 4729,
  [4778] = 4764,
  [4779] = 4779,
  [4780] = 4780,
  [4781] = 4776,
  [4782] = 4782,
  [4783] = 4708,
  [4784] = 4709,
  [4785] = 4729,
  [4786] = 4786,
  [4787] = 4764,
  [4788] = 4788,
  [4789] = 4454,
  [4790] = 4721,
  [4791] = 4791,
  [4792] = 4792,
  [4793] = 4793,
  [4794] = 4794,
  [4795] = 4721,
  [4796] = 4722,
  [4797] = 4797,
  [4798] = 4798,
  [4799] = 4759,
  [4800] = 4800,
  [4801] = 4801,
  [4802] = 4802,
  [4803] = 4705,
  [4804] = 4804,
  [4805] = 3917,
  [4806] = 4720,
  [4807] = 4762,
  [4808] = 4729,
  [4809] = 4809,
  [4810] = 4706,
  [4811] = 4764,
  [4812] = 4713,
  [4813] = 4719,
  [4814] = 4776,
  [4815] = 4701,
  [4816] = 4703,
  [4817] = 4800,
  [4818] = 4818,
  [4819] = 4819,
  [4820] = 4820,
  [4821] = 4821,
  [4822] = 4722,
  [4823] = 4823,
  [4824] = 4775,
  [4825] = 4825,
  [4826] = 4826,
  [4827] = 4776,
  [4828] = 4801,
  [4829] = 4776,
  [4830] = 4830,
  [4831] = 4831,
  [4832] = 4776,
  [4833] = 4729,
  [4834] = 4834,
  [4835] = 4764,
  [4836] = 4776,
  [4837] = 4791,
  [4838] = 4792,
  [4839] = 4839,
  [4840] = 4840,
  [4841] = 4841,
  [4842] = 4842,
  [4843] = 4843,
  [4844] = 4844,
  [4845] = 4845,
  [4846] = 4846,
  [4847] = 4847,
  [4848] = 4848,
  [4849] = 4849,
  [4850] = 4850,
  [4851] = 4851,
  [4852] = 4852,
  [4853] = 4853,
  [4854] = 4854,
  [4855] = 4855,
  [4856] = 4856,
  [4857] = 4857,
  [4858] = 4858,
  [4859] = 4859,
  [4860] = 4860,
  [4861] = 4861,
  [4862] = 4862,
  [4863] = 4863,
  [4864] = 4864,
  [4865] = 4865,
  [4866] = 4866,
  [4867] = 4867,
  [4868] = 4868,
  [4869] = 4869,
  [4870] = 4870,
  [4871] = 4871,
  [4872] = 4872,
  [4873] = 4873,
  [4874] = 4874,
  [4875] = 4875,
  [4876] = 4876,
  [4877] = 4877,
  [4878] = 4878,
  [4879] = 4879,
  [4880] = 4880,
  [4881] = 4881,
  [4882] = 4882,
  [4883] = 4883,
  [4884] = 4884,
  [4885] = 4885,
  [4886] = 4886,
  [4887] = 4887,
  [4888] = 4888,
  [4889] = 4889,
  [4890] = 4890,
  [4891] = 4891,
  [4892] = 4892,
  [4893] = 4893,
  [4894] = 4894,
  [4895] = 4895,
  [4896] = 4896,
  [4897] = 4897,
  [4898] = 4898,
  [4899] = 4899,
  [4900] = 4900,
  [4901] = 4901,
  [4902] = 4902,
  [4903] = 4903,
  [4904] = 4904,
  [4905] = 4905,
  [4906] = 4906,
  [4907] = 4907,
  [4908] = 4908,
  [4909] = 4909,
  [4910] = 4910,
  [4911] = 4911,
  [4912] = 4912,
  [4913] = 4913,
  [4914] = 4914,
  [4915] = 4915,
  [4916] = 4916,
  [4917] = 4917,
  [4918] = 4918,
  [4919] = 4919,
  [4920] = 4920,
  [4921] = 4921,
  [4922] = 4922,
  [4923] = 4923,
  [4924] = 4924,
  [4925] = 4925,
  [4926] = 4926,
  [4927] = 4927,
  [4928] = 4928,
  [4929] = 4929,
  [4930] = 4930,
  [4931] = 4931,
  [4932] = 4932,
  [4933] = 4933,
  [4934] = 4934,
  [4935] = 4935,
  [4936] = 4936,
  [4937] = 4937,
  [4938] = 4938,
  [4939] = 4939,
  [4940] = 4940,
  [4941] = 4941,
  [4942] = 4942,
  [4943] = 4943,
  [4944] = 4944,
  [4945] = 4945,
  [4946] = 4946,
  [4947] = 4947,
  [4948] = 4948,
  [4949] = 4949,
  [4950] = 4950,
  [4951] = 4951,
  [4952] = 4952,
  [4953] = 4953,
  [4954] = 4954,
  [4955] = 4955,
  [4956] = 4955,
  [4957] = 4957,
  [4958] = 4958,
  [4959] = 4959,
  [4960] = 4960,
  [4961] = 4961,
  [4962] = 4962,
  [4963] = 4963,
  [4964] = 4964,
  [4965] = 4965,
  [4966] = 4966,
  [4967] = 4967,
  [4968] = 4968,
  [4969] = 4969,
  [4970] = 4970,
  [4971] = 4971,
  [4972] = 4972,
  [4973] = 4973,
  [4974] = 4974,
  [4975] = 4975,
  [4976] = 4976,
  [4977] = 4977,
  [4978] = 4978,
  [4979] = 4979,
  [4980] = 4980,
  [4981] = 4981,
  [4982] = 4982,
  [4983] = 4923,
  [4984] = 4843,
  [4985] = 4985,
  [4986] = 4986,
  [4987] = 4987,
  [4988] = 4988,
  [4989] = 4989,
  [4990] = 4990,
  [4991] = 4991,
  [4992] = 4992,
  [4993] = 4993,
  [4994] = 4994,
  [4995] = 4995,
  [4996] = 4996,
  [4997] = 4997,
  [4998] = 4998,
  [4999] = 4999,
  [5000] = 5000,
  [5001] = 5001,
  [5002] = 5002,
  [5003] = 5003,
  [5004] = 5004,
  [5005] = 5005,
  [5006] = 5006,
  [5007] = 5007,
  [5008] = 5008,
  [5009] = 5009,
  [5010] = 5010,
  [5011] = 5011,
  [5012] = 5012,
  [5013] = 5013,
  [5014] = 5014,
  [5015] = 4957,
  [5016] = 5016,
  [5017] = 5017,
  [5018] = 5018,
  [5019] = 5019,
  [5020] = 5020,
  [5021] = 5021,
  [5022] = 4943,
  [5023] = 5023,
  [5024] = 5024,
  [5025] = 5025,
  [5026] = 5026,
  [5027] = 5027,
  [5028] = 5028,
  [5029] = 5029,
  [5030] = 5030,
  [5031] = 5031,
  [5032] = 4955,
  [5033] = 4957,
  [5034] = 5034,
  [5035] = 4959,
  [5036] = 5036,
  [5037] = 5037,
  [5038] = 4961,
  [5039] = 4962,
  [5040] = 5040,
  [5041] = 5041,
  [5042] = 5042,
  [5043] = 5043,
  [5044] = 5044,
  [5045] = 5045,
  [5046] = 5046,
  [5047] = 5047,
  [5048] = 5048,
  [5049] = 5049,
  [5050] = 5050,
  [5051] = 4982,
  [5052] = 5052,
  [5053] = 5053,
  [5054] = 4843,
  [5055] = 5055,
  [5056] = 5056,
  [5057] = 5057,
  [5058] = 5058,
  [5059] = 5059,
  [5060] = 5060,
  [5061] = 5061,
  [5062] = 5062,
  [5063] = 5063,
  [5064] = 5064,
  [5065] = 5065,
  [5066] = 5066,
  [5067] = 5067,
  [5068] = 5068,
  [5069] = 5069,
  [5070] = 5070,
  [5071] = 5071,
  [5072] = 5072,
  [5073] = 5073,
  [5074] = 5074,
  [5075] = 5075,
  [5076] = 5076,
  [5077] = 5077,
  [5078] = 5078,
  [5079] = 5079,
  [5080] = 5080,
  [5081] = 5081,
  [5082] = 5082,
  [5083] = 5083,
  [5084] = 5084,
  [5085] = 5085,
  [5086] = 4959,
  [5087] = 5087,
  [5088] = 5088,
  [5089] = 5089,
  [5090] = 5090,
  [5091] = 5091,
  [5092] = 5092,
  [5093] = 5093,
  [5094] = 5094,
  [5095] = 5095,
  [5096] = 4943,
  [5097] = 5097,
  [5098] = 5098,
  [5099] = 5099,
  [5100] = 5100,
  [5101] = 5101,
  [5102] = 5102,
  [5103] = 5103,
  [5104] = 5104,
  [5105] = 4955,
  [5106] = 5106,
  [5107] = 5107,
  [5108] = 4955,
  [5109] = 5109,
  [5110] = 4957,
  [5111] = 5111,
  [5112] = 4959,
  [5113] = 5113,
  [5114] = 4961,
  [5115] = 4962,
  [5116] = 5116,
  [5117] = 5117,
  [5118] = 5118,
  [5119] = 5119,
  [5120] = 4970,
  [5121] = 4971,
  [5122] = 4972,
  [5123] = 4973,
  [5124] = 5124,
  [5125] = 5125,
  [5126] = 4982,
  [5127] = 5127,
  [5128] = 5128,
  [5129] = 4843,
  [5130] = 5130,
  [5131] = 5131,
  [5132] = 5132,
  [5133] = 5133,
  [5134] = 5134,
  [5135] = 5135,
  [5136] = 5136,
  [5137] = 5137,
  [5138] = 5138,
  [5139] = 5139,
  [5140] = 5140,
  [5141] = 5141,
  [5142] = 5142,
  [5143] = 5143,
  [5144] = 5144,
  [5145] = 5145,
  [5146] = 5146,
  [5147] = 5147,
  [5148] = 5148,
  [5149] = 5149,
  [5150] = 5150,
  [5151] = 5151,
  [5152] = 5152,
  [5153] = 5153,
  [5154] = 5154,
  [5155] = 5155,
  [5156] = 5156,
  [5157] = 5157,
  [5158] = 5158,
  [5159] = 5159,
  [5160] = 5160,
  [5161] = 5161,
  [5162] = 5162,
  [5163] = 5163,
  [5164] = 5164,
  [5165] = 4509,
  [5166] = 5166,
  [5167] = 5167,
  [5168] = 5168,
  [5169] = 5169,
  [5170] = 4959,
  [5171] = 5171,
  [5172] = 4961,
  [5173] = 4962,
  [5174] = 5174,
  [5175] = 5175,
  [5176] = 5176,
  [5177] = 4843,
  [5178] = 5178,
  [5179] = 5179,
  [5180] = 5180,
  [5181] = 4961,
  [5182] = 5182,
  [5183] = 4962,
  [5184] = 5184,
  [5185] = 5185,
  [5186] = 5186,
  [5187] = 5187,
  [5188] = 5188,
  [5189] = 5189,
  [5190] = 4961,
  [5191] = 4962,
  [5192] = 5192,
  [5193] = 4843,
  [5194] = 5194,
  [5195] = 5195,
  [5196] = 5196,
  [5197] = 5197,
  [5198] = 5198,
  [5199] = 5199,
  [5200] = 5200,
  [5201] = 5201,
  [5202] = 5202,
  [5203] = 5203,
  [5204] = 5204,
  [5205] = 5205,
  [5206] = 5206,
  [5207] = 5207,
  [5208] = 4896,
  [5209] = 5209,
  [5210] = 5210,
  [5211] = 5211,
  [5212] = 5212,
  [5213] = 5213,
  [5214] = 5214,
  [5215] = 5215,
  [5216] = 5216,
  [5217] = 5217,
  [5218] = 5218,
  [5219] = 5219,
  [5220] = 5220,
  [5221] = 5043,
  [5222] = 5222,
  [5223] = 5223,
  [5224] = 4943,
  [5225] = 5225,
  [5226] = 5226,
  [5227] = 4943,
  [5228] = 5228,
  [5229] = 5229,
  [5230] = 5230,
  [5231] = 5231,
  [5232] = 5232,
  [5233] = 5233,
  [5234] = 5234,
  [5235] = 5235,
  [5236] = 5236,
  [5237] = 5237,
  [5238] = 5238,
  [5239] = 5239,
  [5240] = 5240,
  [5241] = 5241,
  [5242] = 5242,
  [5243] = 5243,
  [5244] = 5244,
  [5245] = 5245,
  [5246] = 5246,
  [5247] = 3676,
  [5248] = 5248,
  [5249] = 5249,
  [5250] = 766,
  [5251] = 5251,
  [5252] = 5252,
  [5253] = 5253,
  [5254] = 5254,
  [5255] = 5255,
  [5256] = 5256,
  [5257] = 5257,
  [5258] = 5258,
  [5259] = 5259,
  [5260] = 5260,
  [5261] = 5261,
  [5262] = 5262,
  [5263] = 4957,
  [5264] = 5264,
  [5265] = 5265,
  [5266] = 5266,
  [5267] = 5267,
  [5268] = 5268,
  [5269] = 5269,
  [5270] = 5270,
  [5271] = 5271,
  [5272] = 5272,
  [5273] = 5273,
  [5274] = 5274,
  [5275] = 5275,
  [5276] = 5276,
  [5277] = 5277,
  [5278] = 5278,
  [5279] = 5279,
  [5280] = 5280,
  [5281] = 5281,
  [5282] = 5282,
  [5283] = 5283,
  [5284] = 5284,
  [5285] = 5285,
  [5286] = 5286,
  [5287] = 5287,
  [5288] = 5288,
  [5289] = 5289,
  [5290] = 5290,
  [5291] = 5291,
  [5292] = 5292,
  [5293] = 5293,
  [5294] = 5294,
  [5295] = 5295,
  [5296] = 5296,
  [5297] = 5297,
  [5298] = 5298,
  [5299] = 5299,
  [5300] = 5300,
  [5301] = 5301,
  [5302] = 5302,
  [5303] = 5303,
  [5304] = 5304,
  [5305] = 5305,
  [5306] = 5306,
  [5307] = 5307,
  [5308] = 5308,
  [5309] = 5309,
  [5310] = 5310,
  [5311] = 5311,
  [5312] = 5312,
  [5313] = 5313,
  [5314] = 5314,
  [5315] = 5315,
  [5316] = 5316,
  [5317] = 5317,
  [5318] = 5318,
  [5319] = 5319,
  [5320] = 5320,
  [5321] = 5321,
  [5322] = 5322,
  [5323] = 5323,
  [5324] = 5324,
  [5325] = 5325,
  [5326] = 5326,
  [5327] = 5327,
  [5328] = 5328,
  [5329] = 5329,
  [5330] = 5330,
  [5331] = 5331,
  [5332] = 5332,
  [5333] = 5333,
  [5334] = 5334,
  [5335] = 5335,
  [5336] = 5336,
  [5337] = 5337,
  [5338] = 5338,
  [5339] = 5339,
  [5340] = 5340,
  [5341] = 5341,
  [5342] = 5342,
  [5343] = 5343,
  [5344] = 5344,
  [5345] = 5345,
  [5346] = 5346,
  [5347] = 5347,
  [5348] = 5348,
  [5349] = 5349,
  [5350] = 5350,
  [5351] = 5351,
  [5352] = 5352,
  [5353] = 5353,
  [5354] = 5354,
  [5355] = 5355,
  [5356] = 5356,
  [5357] = 5357,
  [5358] = 5358,
  [5359] = 5359,
  [5360] = 5360,
  [5361] = 5361,
  [5362] = 5362,
  [5363] = 5363,
  [5364] = 5364,
  [5365] = 5365,
  [5366] = 5366,
  [5367] = 5367,
  [5368] = 5368,
  [5369] = 5369,
  [5370] = 5370,
  [5371] = 5371,
  [5372] = 5372,
  [5373] = 5373,
  [5374] = 5374,
  [5375] = 5375,
  [5376] = 5376,
  [5377] = 5377,
  [5378] = 5378,
  [5379] = 5379,
  [5380] = 5380,
  [5381] = 5381,
  [5382] = 5382,
  [5383] = 5383,
  [5384] = 5384,
  [5385] = 5385,
  [5386] = 5386,
  [5387] = 5387,
  [5388] = 5388,
  [5389] = 5389,
  [5390] = 5390,
  [5391] = 5391,
  [5392] = 5392,
  [5393] = 5393,
  [5394] = 5394,
  [5395] = 5395,
  [5396] = 5396,
  [5397] = 5202,
  [5398] = 5398,
  [5399] = 5399,
  [5400] = 5400,
  [5401] = 5401,
  [5402] = 5402,
  [5403] = 5403,
  [5404] = 5404,
  [5405] = 5405,
  [5406] = 5406,
  [5407] = 5407,
  [5408] = 5408,
  [5409] = 5409,
  [5410] = 5410,
  [5411] = 5411,
  [5412] = 5412,
  [5413] = 5413,
  [5414] = 4943,
  [5415] = 5415,
  [5416] = 5416,
  [5417] = 5417,
  [5418] = 5418,
  [5419] = 5419,
  [5420] = 5420,
  [5421] = 1588,
  [5422] = 5422,
  [5423] = 5423,
  [5424] = 5424,
  [5425] = 1619,
  [5426] = 5426,
  [5427] = 5427,
  [5428] = 5428,
  [5429] = 5429,
  [5430] = 4957,
  [5431] = 5431,
  [5432] = 5432,
  [5433] = 5433,
  [5434] = 5434,
  [5435] = 5435,
  [5436] = 5436,
  [5437] = 5437,
  [5438] = 5438,
  [5439] = 5439,
  [5440] = 5440,
  [5441] = 5441,
  [5442] = 5442,
  [5443] = 5443,
  [5444] = 5444,
  [5445] = 5445,
  [5446] = 5446,
  [5447] = 5447,
  [5448] = 5448,
  [5449] = 4970,
  [5450] = 5450,
  [5451] = 5451,
  [5452] = 5452,
  [5453] = 5453,
  [5454] = 4971,
  [5455] = 5455,
  [5456] = 5456,
  [5457] = 5457,
  [5458] = 5458,
  [5459] = 4972,
  [5460] = 5460,
  [5461] = 5461,
  [5462] = 4973,
  [5463] = 5463,
  [5464] = 5464,
  [5465] = 5465,
  [5466] = 5466,
  [5467] = 5467,
  [5468] = 5468,
  [5469] = 5469,
  [5470] = 5470,
  [5471] = 5471,
  [5472] = 5472,
  [5473] = 5473,
  [5474] = 5474,
  [5475] = 5475,
  [5476] = 5476,
  [5477] = 5477,
  [5478] = 5478,
  [5479] = 5479,
  [5480] = 5480,
  [5481] = 5481,
  [5482] = 5482,
  [5483] = 5483,
  [5484] = 5484,
  [5485] = 5485,
  [5486] = 5486,
  [5487] = 5487,
  [5488] = 5488,
  [5489] = 5489,
  [5490] = 5490,
  [5491] = 5491,
  [5492] = 5492,
  [5493] = 5493,
  [5494] = 5494,
  [5495] = 5495,
  [5496] = 5496,
  [5497] = 5497,
  [5498] = 4931,
  [5499] = 5499,
  [5500] = 5500,
  [5501] = 5501,
  [5502] = 5502,
  [5503] = 5503,
  [5504] = 5504,
  [5505] = 5505,
  [5506] = 5506,
  [5507] = 5507,
  [5508] = 5508,
  [5509] = 5509,
  [5510] = 5510,
  [5511] = 5511,
  [5512] = 4982,
  [5513] = 4933,
  [5514] = 5514,
  [5515] = 5515,
  [5516] = 5516,
  [5517] = 5517,
  [5518] = 5518,
  [5519] = 5519,
  [5520] = 5520,
  [5521] = 5521,
  [5522] = 5522,
  [5523] = 5523,
  [5524] = 5524,
  [5525] = 5525,
  [5526] = 5526,
  [5527] = 5527,
  [5528] = 5528,
  [5529] = 5529,
  [5530] = 5530,
  [5531] = 5531,
  [5532] = 5532,
  [5533] = 5533,
  [5534] = 5534,
  [5535] = 4946,
  [5536] = 5536,
  [5537] = 5537,
  [5538] = 5538,
  [5539] = 5539,
  [5540] = 5540,
  [5541] = 5209,
  [5542] = 5542,
  [5543] = 5543,
  [5544] = 5544,
  [5545] = 5545,
  [5546] = 5546,
  [5547] = 5547,
  [5548] = 5548,
  [5549] = 5549,
  [5550] = 5550,
  [5551] = 4842,
  [5552] = 3655,
  [5553] = 4843,
  [5554] = 5554,
  [5555] = 5555,
  [5556] = 5556,
  [5557] = 5557,
  [5558] = 5558,
  [5559] = 5559,
  [5560] = 5560,
  [5561] = 5561,
  [5562] = 5562,
  [5563] = 5563,
  [5564] = 5564,
  [5565] = 5565,
  [5566] = 5566,
  [5567] = 5567,
  [5568] = 5203,
  [5569] = 5569,
  [5570] = 5570,
  [5571] = 5571,
  [5572] = 5572,
  [5573] = 5573,
  [5574] = 5574,
  [5575] = 5575,
  [5576] = 5576,
  [5577] = 5205,
  [5578] = 5578,
  [5579] = 5579,
  [5580] = 5580,
  [5581] = 5581,
  [5582] = 4945,
  [5583] = 5583,
  [5584] = 5584,
  [5585] = 5585,
  [5586] = 5559,
  [5587] = 5587,
  [5588] = 5588,
  [5589] = 5589,
  [5590] = 5590,
  [5591] = 5591,
  [5592] = 5592,
  [5593] = 5593,
  [5594] = 4923,
  [5595] = 5595,
  [5596] = 5596,
  [5597] = 5597,
  [5598] = 5598,
  [5599] = 5599,
  [5600] = 5600,
  [5601] = 5601,
  [5602] = 5602,
  [5603] = 4936,
  [5604] = 5604,
  [5605] = 5605,
  [5606] = 5606,
  [5607] = 5607,
  [5608] = 5608,
  [5609] = 5609,
  [5610] = 5610,
  [5611] = 5611,
  [5612] = 5612,
  [5613] = 5613,
  [5614] = 3662,
  [5615] = 5615,
  [5616] = 4947,
  [5617] = 3690,
  [5618] = 5618,
  [5619] = 5619,
  [5620] = 4454,
  [5621] = 5621,
  [5622] = 5622,
  [5623] = 5623,
  [5624] = 4959,
  [5625] = 5625,
  [5626] = 5091,
  [5627] = 5627,
  [5628] = 5483,
  [5629] = 4931,
  [5630] = 4855,
  [5631] = 5631,
  [5632] = 5632,
  [5633] = 4933,
  [5634] = 5634,
  [5635] = 5518,
  [5636] = 5636,
  [5637] = 5637,
  [5638] = 5638,
  [5639] = 5639,
  [5640] = 4551,
  [5641] = 5641,
  [5642] = 5642,
  [5643] = 5643,
  [5644] = 5644,
  [5645] = 5645,
  [5646] = 5646,
  [5647] = 5647,
  [5648] = 5648,
  [5649] = 5649,
  [5650] = 5650,
  [5651] = 5651,
  [5652] = 5652,
  [5653] = 5653,
  [5654] = 5654,
  [5655] = 4936,
  [5656] = 5656,
  [5657] = 5240,
  [5658] = 4885,
  [5659] = 5659,
  [5660] = 5646,
  [5661] = 5661,
  [5662] = 5662,
  [5663] = 4957,
  [5664] = 5664,
  [5665] = 5665,
  [5666] = 5666,
  [5667] = 5667,
  [5668] = 5668,
  [5669] = 5669,
  [5670] = 5670,
  [5671] = 5671,
  [5672] = 5672,
  [5673] = 5673,
  [5674] = 5608,
  [5675] = 5675,
  [5676] = 5661,
  [5677] = 5677,
  [5678] = 5678,
  [5679] = 5679,
  [5680] = 5680,
  [5681] = 5681,
  [5682] = 5682,
  [5683] = 5683,
  [5684] = 5662,
  [5685] = 5685,
  [5686] = 5158,
  [5687] = 5687,
  [5688] = 5688,
  [5689] = 5689,
  [5690] = 5690,
  [5691] = 5691,
  [5692] = 5692,
  [5693] = 5693,
  [5694] = 4943,
  [5695] = 4857,
  [5696] = 5696,
  [5697] = 5256,
  [5698] = 5698,
  [5699] = 5699,
  [5700] = 5700,
  [5701] = 5701,
  [5702] = 5702,
  [5703] = 4865,
  [5704] = 5704,
  [5705] = 4864,
  [5706] = 5706,
  [5707] = 5252,
  [5708] = 4102,
  [5709] = 4867,
  [5710] = 5710,
  [5711] = 5711,
  [5712] = 5712,
  [5713] = 5713,
  [5714] = 5714,
  [5715] = 5715,
  [5716] = 5716,
  [5717] = 5717,
  [5718] = 5550,
  [5719] = 5719,
  [5720] = 5720,
  [5721] = 5721,
  [5722] = 4982,
  [5723] = 5723,
  [5724] = 4961,
  [5725] = 4962,
  [5726] = 5726,
  [5727] = 5727,
  [5728] = 5728,
  [5729] = 5729,
  [5730] = 5730,
  [5731] = 5731,
  [5732] = 3917,
  [5733] = 5733,
  [5734] = 5734,
  [5735] = 5735,
  [5736] = 5736,
  [5737] = 5737,
  [5738] = 5738,
  [5739] = 5739,
  [5740] = 5740,
  [5741] = 4460,
  [5742] = 4945,
  [5743] = 5743,
  [5744] = 5744,
  [5745] = 5534,
  [5746] = 5746,
  [5747] = 5023,
  [5748] = 4946,
  [5749] = 5749,
  [5750] = 5750,
  [5751] = 5751,
  [5752] = 5752,
  [5753] = 5753,
  [5754] = 5754,
  [5755] = 5755,
  [5756] = 5756,
  [5757] = 5548,
  [5758] = 4947,
  [5759] = 5759,
  [5760] = 3958,
  [5761] = 5761,
  [5762] = 5762,
  [5763] = 5763,
  [5764] = 5764,
  [5765] = 5765,
  [5766] = 3954,
  [5767] = 5767,
  [5768] = 5768,
  [5769] = 5769,
  [5770] = 1672,
  [5771] = 5771,
  [5772] = 5772,
  [5773] = 1673,
  [5774] = 5774,
  [5775] = 5775,
  [5776] = 5772,
  [5777] = 5777,
  [5778] = 5778,
  [5779] = 5779,
  [5780] = 5780,
  [5781] = 5781,
  [5782] = 5782,
  [5783] = 5783,
  [5784] = 5784,
  [5785] = 2667,
  [5786] = 5786,
  [5787] = 5787,
  [5788] = 5788,
  [5789] = 5789,
  [5790] = 5790,
  [5791] = 5791,
  [5792] = 2665,
  [5793] = 5793,
  [5794] = 5794,
  [5795] = 5795,
  [5796] = 5796,
  [5797] = 5797,
  [5798] = 5796,
  [5799] = 2672,
  [5800] = 5800,
  [5801] = 5801,
  [5802] = 5794,
  [5803] = 5803,
  [5804] = 5804,
  [5805] = 5805,
  [5806] = 5786,
  [5807] = 5807,
  [5808] = 5808,
  [5809] = 5809,
  [5810] = 5810,
  [5811] = 5811,
  [5812] = 5812,
  [5813] = 5813,
  [5814] = 5814,
  [5815] = 5815,
  [5816] = 5816,
  [5817] = 5817,
  [5818] = 5818,
  [5819] = 5819,
  [5820] = 5820,
  [5821] = 5821,
  [5822] = 5822,
  [5823] = 5810,
  [5824] = 5824,
  [5825] = 5825,
  [5826] = 5826,
  [5827] = 5827,
  [5828] = 5777,
  [5829] = 5829,
  [5830] = 5830,
  [5831] = 5831,
  [5832] = 5810,
  [5833] = 5833,
  [5834] = 5834,
  [5835] = 5835,
  [5836] = 5836,
  [5837] = 5837,
  [5838] = 5838,
  [5839] = 5774,
  [5840] = 5836,
  [5841] = 5796,
  [5842] = 5791,
  [5843] = 5800,
  [5844] = 5844,
  [5845] = 2680,
  [5846] = 5846,
  [5847] = 5847,
  [5848] = 5848,
  [5849] = 5849,
  [5850] = 5850,
  [5851] = 5795,
  [5852] = 5852,
  [5853] = 5804,
  [5854] = 5854,
  [5855] = 5855,
  [5856] = 5800,
  [5857] = 5857,
  [5858] = 5809,
  [5859] = 5826,
  [5860] = 5860,
  [5861] = 5861,
  [5862] = 2618,
  [5863] = 5863,
  [5864] = 5864,
  [5865] = 5812,
  [5866] = 5866,
  [5867] = 5867,
  [5868] = 5868,
  [5869] = 5833,
  [5870] = 5870,
  [5871] = 5871,
  [5872] = 5872,
  [5873] = 5873,
  [5874] = 5774,
  [5875] = 5875,
  [5876] = 5830,
  [5877] = 5796,
  [5878] = 5783,
  [5879] = 5800,
  [5880] = 5880,
  [5881] = 5881,
  [5882] = 5882,
  [5883] = 5805,
  [5884] = 5884,
  [5885] = 5885,
  [5886] = 5807,
  [5887] = 5774,
  [5888] = 5888,
  [5889] = 5889,
  [5890] = 5813,
  [5891] = 5793,
  [5892] = 5892,
  [5893] = 5815,
  [5894] = 5894,
  [5895] = 5818,
  [5896] = 5896,
  [5897] = 5897,
  [5898] = 5898,
  [5899] = 5899,
  [5900] = 5900,
  [5901] = 5810,
  [5902] = 5867,
  [5903] = 5903,
  [5904] = 5811,
  [5905] = 5905,
  [5906] = 5860,
  [5907] = 5907,
  [5908] = 4061,
  [5909] = 5909,
  [5910] = 2629,
  [5911] = 5911,
  [5912] = 5912,
  [5913] = 5913,
  [5914] = 2628,
  [5915] = 5915,
  [5916] = 5916,
  [5917] = 5917,
  [5918] = 5918,
  [5919] = 5919,
  [5920] = 5920,
  [5921] = 5820,
  [5922] = 2638,
  [5923] = 2671,
  [5924] = 5894,
  [5925] = 2658,
  [5926] = 5900,
  [5927] = 5927,
  [5928] = 5774,
  [5929] = 2661,
  [5930] = 2630,
  [5931] = 5905,
  [5932] = 5804,
  [5933] = 5933,
  [5934] = 5909,
  [5935] = 5838,
  [5936] = 5912,
  [5937] = 5937,
  [5938] = 5938,
  [5939] = 5763,
  [5940] = 5797,
  [5941] = 5941,
  [5942] = 5942,
  [5943] = 5943,
  [5944] = 5944,
  [5945] = 5945,
  [5946] = 5946,
  [5947] = 5947,
  [5948] = 5911,
  [5949] = 5949,
  [5950] = 5769,
  [5951] = 5834,
  [5952] = 5952,
  [5953] = 5796,
  [5954] = 5771,
  [5955] = 5955,
  [5956] = 2642,
  [5957] = 5809,
  [5958] = 5958,
  [5959] = 5959,
  [5960] = 1677,
  [5961] = 5961,
  [5962] = 5826,
  [5963] = 5804,
  [5964] = 5964,
  [5965] = 5809,
  [5966] = 5966,
  [5967] = 5826,
  [5968] = 5968,
  [5969] = 5969,
  [5970] = 5970,
  [5971] = 5971,
  [5972] = 5916,
  [5973] = 2659,
  [5974] = 5778,
  [5975] = 5975,
  [5976] = 2678,
  [5977] = 5803,
  [5978] = 5961,
  [5979] = 5872,
  [5980] = 5980,
  [5981] = 2677,
  [5982] = 5982,
  [5983] = 5903,
  [5984] = 5984,
  [5985] = 5985,
  [5986] = 5875,
  [5987] = 5763,
  [5988] = 2657,
  [5989] = 5989,
  [5990] = 5778,
  [5991] = 5782,
  [5992] = 5824,
  [5993] = 5767,
  [5994] = 5805,
  [5995] = 5995,
  [5996] = 2681,
  [5997] = 5807,
  [5998] = 5998,
  [5999] = 5774,
  [6000] = 5775,
  [6001] = 6001,
  [6002] = 5813,
  [6003] = 5837,
  [6004] = 5771,
  [6005] = 5805,
  [6006] = 5827,
  [6007] = 5807,
  [6008] = 5765,
  [6009] = 5796,
  [6010] = 5800,
  [6011] = 5813,
  [6012] = 5815,
  [6013] = 5815,
  [6014] = 5870,
  [6015] = 5938,
  [6016] = 6016,
  [6017] = 5955,
  [6018] = 5831,
  [6019] = 6019,
  [6020] = 5800,
  [6021] = 2620,
  [6022] = 6022,
  [6023] = 5857,
  [6024] = 6024,
  [6025] = 6025,
  [6026] = 5919,
  [6027] = 5784,
  [6028] = 6028,
  [6029] = 6029,
  [6030] = 6030,
  [6031] = 5787,
  [6032] = 5907,
  [6033] = 6033,
  [6034] = 6034,
  [6035] = 6035,
  [6036] = 6036,
  [6037] = 6037,
  [6038] = 5810,
  [6039] = 6039,
  [6040] = 6040,
  [6041] = 6041,
  [6042] = 6042,
  [6043] = 6043,
  [6044] = 3933,
  [6045] = 6045,
  [6046] = 6046,
  [6047] = 6047,
  [6048] = 5903,
  [6049] = 5816,
  [6050] = 6050,
  [6051] = 6051,
  [6052] = 5762,
  [6053] = 6053,
  [6054] = 6054,
  [6055] = 5980,
  [6056] = 5810,
  [6057] = 5779,
  [6058] = 6058,
  [6059] = 5804,
  [6060] = 5781,
  [6061] = 6061,
  [6062] = 5809,
  [6063] = 5801,
  [6064] = 5826,
  [6065] = 2660,
  [6066] = 6045,
  [6067] = 6067,
  [6068] = 5980,
  [6069] = 5941,
  [6070] = 6070,
  [6071] = 6019,
  [6072] = 5805,
  [6073] = 5807,
  [6074] = 5813,
  [6075] = 5861,
  [6076] = 5871,
  [6077] = 6077,
  [6078] = 5815,
  [6079] = 6079,
  [6080] = 5835,
  [6081] = 5803,
  [6082] = 5810,
  [6083] = 2664,
  [6084] = 6084,
  [6085] = 6025,
  [6086] = 2670,
  [6087] = 5774,
  [6088] = 5868,
  [6089] = 5834,
  [6090] = 5796,
  [6091] = 6091,
  [6092] = 5818,
  [6093] = 5827,
  [6094] = 5800,
  [6095] = 5917,
  [6096] = 5884,
  [6097] = 5937,
  [6098] = 6098,
  [6099] = 6099,
  [6100] = 6100,
  [6101] = 6101,
  [6102] = 6102,
  [6103] = 6103,
  [6104] = 6104,
  [6105] = 6104,
  [6106] = 6106,
  [6107] = 6107,
  [6108] = 6108,
  [6109] = 6109,
  [6110] = 6110,
  [6111] = 6111,
  [6112] = 6112,
  [6113] = 6113,
  [6114] = 6113,
  [6115] = 6115,
  [6116] = 6115,
  [6117] = 6117,
  [6118] = 6118,
  [6119] = 6119,
  [6120] = 6120,
  [6121] = 6104,
  [6122] = 6117,
  [6123] = 6123,
  [6124] = 6106,
  [6125] = 6125,
  [6126] = 6126,
  [6127] = 6101,
  [6128] = 6128,
  [6129] = 6129,
  [6130] = 6126,
  [6131] = 6131,
  [6132] = 6132,
  [6133] = 6133,
  [6134] = 6132,
  [6135] = 6135,
  [6136] = 6136,
  [6137] = 6137,
  [6138] = 6138,
  [6139] = 6111,
  [6140] = 6140,
  [6141] = 6135,
  [6142] = 6142,
  [6143] = 6143,
  [6144] = 6144,
  [6145] = 6145,
  [6146] = 6146,
  [6147] = 6106,
  [6148] = 6148,
  [6149] = 6149,
  [6150] = 6098,
  [6151] = 6151,
  [6152] = 6129,
  [6153] = 6142,
  [6154] = 6138,
  [6155] = 6155,
  [6156] = 6135,
  [6157] = 6104,
  [6158] = 6106,
  [6159] = 6159,
  [6160] = 6108,
  [6161] = 6109,
  [6162] = 6110,
  [6163] = 6163,
  [6164] = 6164,
  [6165] = 6165,
  [6166] = 6113,
  [6167] = 6167,
  [6168] = 6168,
  [6169] = 6103,
  [6170] = 6118,
  [6171] = 6171,
  [6172] = 6172,
  [6173] = 6111,
  [6174] = 6174,
  [6175] = 6175,
  [6176] = 6176,
  [6177] = 6135,
  [6178] = 6132,
  [6179] = 6163,
  [6180] = 6180,
  [6181] = 6129,
  [6182] = 6163,
  [6183] = 6183,
  [6184] = 6135,
  [6185] = 6159,
  [6186] = 6108,
  [6187] = 6167,
  [6188] = 6188,
  [6189] = 6189,
  [6190] = 6183,
  [6191] = 6109,
  [6192] = 6110,
  [6193] = 6108,
  [6194] = 6099,
  [6195] = 6195,
  [6196] = 6196,
  [6197] = 6167,
  [6198] = 6198,
  [6199] = 6167,
  [6200] = 6165,
  [6201] = 6123,
  [6202] = 6202,
  [6203] = 6104,
  [6204] = 6104,
  [6205] = 6102,
  [6206] = 6206,
  [6207] = 6106,
  [6208] = 6106,
  [6209] = 6129,
  [6210] = 6210,
  [6211] = 6206,
  [6212] = 6212,
  [6213] = 6108,
  [6214] = 6109,
  [6215] = 6215,
  [6216] = 6110,
  [6217] = 6103,
  [6218] = 6218,
  [6219] = 6120,
  [6220] = 6220,
  [6221] = 6144,
  [6222] = 6138,
  [6223] = 6223,
  [6224] = 6224,
  [6225] = 6225,
  [6226] = 6125,
  [6227] = 6108,
  [6228] = 6101,
  [6229] = 6109,
  [6230] = 6110,
  [6231] = 6118,
  [6232] = 6171,
  [6233] = 6220,
  [6234] = 6234,
  [6235] = 6235,
  [6236] = 6223,
  [6237] = 6237,
  [6238] = 6238,
  [6239] = 6118,
  [6240] = 6240,
  [6241] = 6143,
  [6242] = 6145,
  [6243] = 6159,
  [6244] = 6244,
  [6245] = 6119,
  [6246] = 6180,
  [6247] = 6140,
  [6248] = 6248,
  [6249] = 6249,
  [6250] = 6250,
  [6251] = 6251,
  [6252] = 6252,
  [6253] = 6253,
  [6254] = 6180,
  [6255] = 6255,
  [6256] = 6256,
  [6257] = 6257,
  [6258] = 6238,
  [6259] = 6163,
  [6260] = 6165,
  [6261] = 6167,
  [6262] = 6224,
  [6263] = 6159,
  [6264] = 6136,
  [6265] = 6132,
  [6266] = 6143,
  [6267] = 6248,
  [6268] = 6133,
  [6269] = 6111,
  [6270] = 6248,
  [6271] = 6168,
  [6272] = 6272,
  [6273] = 6273,
  [6274] = 6195,
  [6275] = 6275,
  [6276] = 6167,
  [6277] = 6100,
  [6278] = 6278,
  [6279] = 6120,
  [6280] = 6280,
  [6281] = 6281,
  [6282] = 6220,
  [6283] = 6165,
  [6284] = 6108,
  [6285] = 6109,
  [6286] = 6110,
  [6287] = 6171,
  [6288] = 6288,
  [6289] = 6133,
  [6290] = 6168,
  [6291] = 6118,
  [6292] = 6195,
  [6293] = 6272,
  [6294] = 6202,
  [6295] = 6143,
  [6296] = 6202,
  [6297] = 6248,
  [6298] = 6103,
  [6299] = 6101,
  [6300] = 6300,
  [6301] = 6175,
  [6302] = 6302,
  [6303] = 6106,
  [6304] = 6111,
  [6305] = 6305,
  [6306] = 6306,
  [6307] = 6218,
  [6308] = 6118,
  [6309] = 6140,
  [6310] = 6195,
  [6311] = 6140,
  [6312] = 6210,
  [6313] = 6275,
  [6314] = 6117,
  [6315] = 6129,
  [6316] = 6180,
  [6317] = 6118,
  [6318] = 6101,
  [6319] = 6195,
  [6320] = 6238,
  [6321] = 6112,
  [6322] = 6322,
  [6323] = 6248,
  [6324] = 6237,
  [6325] = 6103,
  [6326] = 6300,
  [6327] = 6109,
  [6328] = 6202,
  [6329] = 6126,
  [6330] = 6136,
  [6331] = 6136,
  [6332] = 6120,
  [6333] = 6140,
  [6334] = 6334,
  [6335] = 6335,
  [6336] = 6220,
  [6337] = 6101,
  [6338] = 6110,
  [6339] = 6339,
  [6340] = 6107,
  [6341] = 6180,
  [6342] = 6104,
  [6343] = 6106,
  [6344] = 6255,
  [6345] = 6345,
  [6346] = 6138,
  [6347] = 6133,
  [6348] = 6168,
  [6349] = 6238,
  [6350] = 6144,
  [6351] = 6351,
  [6352] = 6248,
  [6353] = 6188,
  [6354] = 6108,
  [6355] = 6133,
  [6356] = 6111,
  [6357] = 6145,
  [6358] = 6202,
  [6359] = 6104,
  [6360] = 6126,
  [6361] = 6106,
  [6362] = 6168,
  [6363] = 6108,
  [6364] = 6111,
  [6365] = 6109,
  [6366] = 6110,
  [6367] = 6109,
  [6368] = 6368,
  [6369] = 6110,
  [6370] = 6107,
  [6371] = 6149,
  [6372] = 6132,
  [6373] = 6251,
  [6374] = 6146,
  [6375] = 6132,
  [6376] = 6135,
  [6377] = 6144,
  [6378] = 6118,
  [6379] = 6098,
  [6380] = 6198,
  [6381] = 6381,
  [6382] = 6202,
  [6383] = 6149,
  [6384] = 6143,
  [6385] = 6104,
  [6386] = 6175,
  [6387] = 6387,
  [6388] = 6106,
  [6389] = 6113,
  [6390] = 6129,
  [6391] = 6180,
  [6392] = 6392,
  [6393] = 6108,
  [6394] = 6394,
  [6395] = 6109,
  [6396] = 6110,
  [6397] = 6167,
  [6398] = 6115,
  [6399] = 6399,
  [6400] = 6117,
  [6401] = 6218,
  [6402] = 6237,
  [6403] = 6112,
  [6404] = 6188,
  [6405] = 6118,
  [6406] = 6119,
  [6407] = 6145,
  [6408] = 6099,
  [6409] = 6409,
  [6410] = 6100,
  [6411] = 6104,
  [6412] = 6412,
  [6413] = 6107,
  [6414] = 6146,
  [6415] = 6288,
  [6416] = 6113,
  [6417] = 6138,
  [6418] = 6133,
  [6419] = 6115,
  [6420] = 6129,
  [6421] = 6118,
  [6422] = 6119,
  [6423] = 6168,
  [6424] = 6117,
  [6425] = 6146,
  [6426] = 6238,
  [6427] = 6175,
  [6428] = 6159,
  [6429] = 6149,
  [6430] = 6237,
  [6431] = 6252,
  [6432] = 6129,
  [6433] = 6119,
  [6434] = 6101,
  [6435] = 6435,
  [6436] = 6436,
  [6437] = 6120,
  [6438] = 6218,
  [6439] = 6220,
  [6440] = 6129,
  [6441] = 6115,
  [6442] = 6136,
  [6443] = 6133,
  [6444] = 6129,
  [6445] = 6168,
  [6446] = 6126,
  [6447] = 6144,
  [6448] = 6448,
  [6449] = 6145,
  [6450] = 6146,
  [6451] = 6202,
  [6452] = 6143,
  [6453] = 6149,
  [6454] = 6098,
  [6455] = 6399,
  [6456] = 6174,
  [6457] = 6175,
  [6458] = 6165,
  [6459] = 6119,
  [6460] = 6180,
  [6461] = 6112,
  [6462] = 6188,
  [6463] = 6218,
  [6464] = 6249,
  [6465] = 6257,
  [6466] = 6248,
  [6467] = 6467,
  [6468] = 6099,
  [6469] = 6306,
  [6470] = 6368,
  [6471] = 6237,
  [6472] = 6409,
  [6473] = 6100,
  [6474] = 6112,
  [6475] = 6475,
  [6476] = 6188,
  [6477] = 6098,
  [6478] = 6478,
  [6479] = 6171,
  [6480] = 6119,
  [6481] = 6099,
  [6482] = 6100,
  [6483] = 6107,
  [6484] = 6176,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x2028, 0x2029}, {0x202f, 0x202f}, {0x205f, 0x2060},
  {0x3000, 0x3000}, {0xfeff, 0xfeff},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f}, {0x1681, 0x1fff},
  {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f},
  {0x1681, 0x1fff}, {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(97);
      ADVANCE_MAP(
        '!', 110,
        '"', 129,
        '#', 10,
        '$', 236,
        '%', 181,
        '&', 160,
        '\'', 130,
        '(', 111,
        ')', 112,
        '*', 100,
        '+', 173,
        ',', 107,
        '-', 177,
        '.', 127,
        '/', 222,
        '0', 227,
        ':', 114,
        ';', 113,
        '<', 186,
        '=', 103,
        '>', 124,
        '?', 242,
        '@', 239,
        '[', 115,
        '\\', 55,
        ']', 116,
        '^', 163,
        '`', 220,
        '{', 106,
        '|', 166,
        '}', 108,
        '~', 198,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(94);
      if (lookahead > '@') ADVANCE(237);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(1);
      if (lookahead == '/') ADVANCE(118);
      if (lookahead == '<') ADVANCE(120);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(119);
      if (lookahead != 0) ADVANCE(117);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(29);
      if (lookahead == '/') ADVANCE(22);
      if (lookahead == '[') ADVANCE(39);
      if (lookahead == '\\') ADVANCE(93);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(223);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 110,
        '"', 129,
        '#', 38,
        '%', 181,
        '&', 160,
        '\'', 130,
        '(', 111,
        ')', 112,
        '*', 100,
        '+', 172,
        ',', 107,
        '-', 176,
        '.', 127,
        '/', 179,
        '0', 227,
        ':', 114,
        ';', 113,
        '<', 186,
        '=', 103,
        '>', 124,
        '?', 242,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '^', 163,
        '`', 220,
        '{', 105,
        '|', 165,
        '}', 108,
        '~', 198,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(3);
      if (lookahead > '#') ADVANCE(237);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 110,
        '"', 129,
        '#', 38,
        '%', 181,
        '&', 160,
        '\'', 130,
        '(', 111,
        ')', 112,
        '*', 100,
        '+', 172,
        ',', 107,
        '-', 176,
        '.', 127,
        '/', 179,
        '0', 227,
        ':', 114,
        '<', 186,
        '=', 103,
        '>', 124,
        '?', 242,
        '@', 239,
        '[', 115,
        '\\', 57,
        '^', 163,
        '`', 220,
        '{', 106,
        '|', 165,
        '~', 198,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(4);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 110,
        '"', 129,
        '#', 38,
        '%', 181,
        '&', 160,
        '\'', 130,
        '(', 111,
        ')', 112,
        '*', 100,
        '+', 172,
        ',', 107,
        '-', 176,
        '.', 128,
        '/', 179,
        '0', 227,
        ':', 114,
        ';', 113,
        '<', 185,
        '=', 103,
        '>', 124,
        '?', 242,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '^', 163,
        '`', 220,
        '{', 106,
        '|', 166,
        '}', 108,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(5);
      if (lookahead > '#' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 110,
        '"', 129,
        '%', 181,
        '&', 160,
        '\'', 130,
        '(', 111,
        ')', 112,
        '*', 100,
        '+', 172,
        ',', 107,
        '-', 176,
        '.', 126,
        '/', 179,
        ':', 114,
        ';', 113,
        '<', 185,
        '=', 103,
        '>', 124,
        '?', 242,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '^', 163,
        '`', 220,
        '{', 105,
        '|', 165,
        '}', 108,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(6);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 110,
        '%', 180,
        '&', 161,
        '(', 111,
        ')', 112,
        '*', 101,
        '+', 171,
        ',', 107,
        '-', 175,
        '.', 126,
        '/', 178,
        ':', 114,
        ';', 113,
        '<', 187,
        '=', 102,
        '>', 125,
        '?', 243,
        '[', 115,
        '\\', 57,
        ']', 116,
        '^', 162,
        '`', 220,
        '{', 105,
        '|', 168,
        '}', 108,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 110,
        '%', 180,
        '&', 161,
        '(', 111,
        ')', 112,
        '*', 101,
        '+', 171,
        ',', 107,
        '-', 175,
        '.', 126,
        '/', 178,
        ':', 114,
        ';', 113,
        '<', 187,
        '=', 33,
        '>', 125,
        '?', 26,
        '[', 115,
        '\\', 57,
        ']', 116,
        '^', 162,
        '`', 220,
        '{', 105,
        '|', 167,
        '}', 108,
      );
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(9);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '`' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 110,
        '%', 180,
        '&', 161,
        '(', 111,
        ')', 112,
        '*', 101,
        '+', 171,
        ',', 107,
        '-', 175,
        '.', 126,
        '/', 178,
        ':', 114,
        ';', 113,
        '<', 187,
        '=', 33,
        '>', 125,
        '?', 26,
        '[', 115,
        '\\', 57,
        ']', 116,
        '^', 162,
        '`', 220,
        '{', 105,
        '|', 167,
        '}', 108,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(9);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(98);
      if (lookahead == '\\') ADVANCE(56);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(238);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 109,
        '"', 129,
        '#', 38,
        '&', 159,
        '\'', 130,
        '(', 111,
        ')', 112,
        '*', 99,
        '+', 171,
        ',', 107,
        '-', 175,
        '.', 25,
        '/', 178,
        '0', 227,
        '<', 189,
        '?', 240,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '`', 220,
        '{', 106,
        '|', 164,
        '~', 198,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(11);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 109,
        '"', 129,
        '#', 38,
        '&', 159,
        '\'', 130,
        '(', 111,
        ')', 112,
        '*', 99,
        '+', 170,
        ',', 107,
        '-', 174,
        '.', 127,
        '/', 22,
        '0', 227,
        ':', 114,
        ';', 113,
        '<', 184,
        '=', 104,
        '>', 123,
        '?', 240,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '{', 105,
        '|', 169,
        '}', 108,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(12);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 109,
        '"', 129,
        '#', 38,
        '&', 159,
        '\'', 130,
        '(', 111,
        ')', 112,
        '+', 171,
        ',', 107,
        '-', 175,
        '.', 127,
        '/', 178,
        '0', 227,
        ':', 114,
        ';', 113,
        '<', 189,
        '=', 104,
        '>', 123,
        '?', 241,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '`', 220,
        '{', 105,
        '|', 169,
        '}', 108,
        '~', 198,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(13);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(237);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 109,
        '"', 129,
        '#', 38,
        '&', 159,
        '\'', 130,
        '(', 111,
        '*', 99,
        '+', 170,
        ',', 107,
        '-', 174,
        '.', 127,
        '/', 22,
        '0', 227,
        ':', 114,
        ';', 113,
        '<', 184,
        '=', 104,
        '>', 123,
        '?', 240,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '`', 220,
        '{', 106,
        '|', 169,
        '}', 108,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(14);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 129,
        '&', 159,
        '\'', 130,
        '(', 111,
        ')', 112,
        '*', 99,
        ',', 107,
        '.', 126,
        '/', 22,
        ':', 114,
        ';', 113,
        '<', 184,
        '=', 104,
        '>', 123,
        '?', 241,
        '[', 115,
        '\\', 57,
        ']', 116,
        '`', 220,
        '{', 105,
        '|', 169,
        '}', 108,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(15);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 16:
      if (lookahead == '"') ADVANCE(129);
      if (lookahead == '/') ADVANCE(22);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(16);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(129);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(16);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(204);
      if (lookahead != 0) ADVANCE(206);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '$', 59,
        '+', 36,
        '-', 37,
        '/', 22,
        ':', 114,
        '?', 32,
        '\\', 58,
        '`', 220,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(19);
      END_STATE();
    case 19:
      if (lookahead == '$') ADVANCE(59);
      if (lookahead == '+') ADVANCE(36);
      if (lookahead == '-') ADVANCE(37);
      if (lookahead == '/') ADVANCE(22);
      if (lookahead == ':') ADVANCE(114);
      if (lookahead == '?') ADVANCE(32);
      if (lookahead == '`') ADVANCE(220);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(19);
      END_STATE();
    case 20:
      if (lookahead == '\'') ADVANCE(130);
      if (lookahead == '/') ADVANCE(22);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(20);
      END_STATE();
    case 21:
      if (lookahead == '\'') ADVANCE(130);
      if (lookahead == '/') ADVANCE(207);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(20);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(210);
      if (lookahead != 0) ADVANCE(212);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(219);
      END_STATE();
    case 23:
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(218);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 24:
      if (lookahead == '*') ADVANCE(23);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      END_STATE();
    case 26:
      if (lookahead == '.') ADVANCE(132);
      if (lookahead == '?') ADVANCE(196);
      END_STATE();
    case 27:
      if (lookahead == '.') ADVANCE(148);
      END_STATE();
    case 28:
      if (lookahead == '/') ADVANCE(222);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(29);
      END_STATE();
    case 29:
      if (lookahead == '/') ADVANCE(22);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(29);
      END_STATE();
    case 30:
      if (lookahead == ':') ADVANCE(245);
      END_STATE();
    case 31:
      if (lookahead == ':') ADVANCE(244);
      END_STATE();
    case 32:
      if (lookahead == ':') ADVANCE(246);
      END_STATE();
    case 33:
      if (lookahead == '=') ADVANCE(191);
      END_STATE();
    case 34:
      if (lookahead == '>') ADVANCE(121);
      END_STATE();
    case 35:
      if (lookahead == '>') ADVANCE(122);
      END_STATE();
    case 36:
      if (lookahead == '?') ADVANCE(30);
      END_STATE();
    case 37:
      if (lookahead == '?') ADVANCE(31);
      END_STATE();
    case 38:
      if (lookahead == '\\') ADVANCE(56);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(238);
      END_STATE();
    case 39:
      if (lookahead == '\\') ADVANCE(92);
      if (lookahead == ']') ADVANCE(224);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(39);
      END_STATE();
    case 40:
      if (lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(49);
      END_STATE();
    case 46:
      if (lookahead == 'l') ADVANCE(40);
      END_STATE();
    case 47:
      if (lookahead == 'l') ADVANCE(41);
      END_STATE();
    case 48:
      if (lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 49:
      if (lookahead == 'm') ADVANCE(51);
      END_STATE();
    case 50:
      if (lookahead == 'p') ADVANCE(46);
      END_STATE();
    case 51:
      if (lookahead == 'p') ADVANCE(47);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(43);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(44);
      END_STATE();
    case 54:
      if (lookahead == 't') ADVANCE(45);
      END_STATE();
    case 55:
      if (lookahead == 'u') ADVANCE(60);
      if (lookahead == 'x') ADVANCE(84);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(215);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(217);
      if (lookahead != 0) ADVANCE(213);
      END_STATE();
    case 56:
      if (lookahead == 'u') ADVANCE(61);
      END_STATE();
    case 57:
      if (lookahead == 'u') ADVANCE(62);
      END_STATE();
    case 58:
      if (lookahead == 'u') ADVANCE(63);
      if (lookahead == 'x') ADVANCE(84);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(215);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(217);
      if (lookahead != 0) ADVANCE(213);
      END_STATE();
    case 59:
      if (lookahead == '{') ADVANCE(221);
      END_STATE();
    case 60:
      if (lookahead == '{') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(89);
      END_STATE();
    case 61:
      if (lookahead == '{') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(90);
      END_STATE();
    case 62:
      if (lookahead == '{') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 63:
      if (lookahead == '{') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      END_STATE();
    case 64:
      if (lookahead == '}') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(64);
      END_STATE();
    case 65:
      if (lookahead == '}') ADVANCE(238);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(65);
      END_STATE();
    case 66:
      if (lookahead == '}') ADVANCE(213);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(66);
      END_STATE();
    case 67:
      if (lookahead == '}') ADVANCE(214);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      END_STATE();
    case 68:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(234);
      END_STATE();
    case 69:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(230);
      END_STATE();
    case 70:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(231);
      END_STATE();
    case 71:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(228);
      END_STATE();
    case 72:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      END_STATE();
    case 73:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(229);
      END_STATE();
    case 74:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(234);
      END_STATE();
    case 75:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(237);
      END_STATE();
    case 76:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(238);
      END_STATE();
    case 77:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(213);
      END_STATE();
    case 78:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(232);
      END_STATE();
    case 79:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      END_STATE();
    case 80:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(214);
      END_STATE();
    case 81:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 82:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(65);
      END_STATE();
    case 83:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(64);
      END_STATE();
    case 84:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(77);
      END_STATE();
    case 85:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(66);
      END_STATE();
    case 86:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 87:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(76);
      END_STATE();
    case 88:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(75);
      END_STATE();
    case 89:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      END_STATE();
    case 90:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(87);
      END_STATE();
    case 91:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(88);
      END_STATE();
    case 92:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(39);
      END_STATE();
    case 93:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(224);
      END_STATE();
    case 94:
      if (eof) ADVANCE(97);
      ADVANCE_MAP(
        '!', 110,
        '"', 129,
        '#', 10,
        '$', 236,
        '%', 181,
        '&', 160,
        '\'', 130,
        '(', 111,
        ')', 112,
        '*', 100,
        '+', 173,
        ',', 107,
        '-', 177,
        '.', 127,
        '/', 179,
        '0', 227,
        ':', 114,
        ';', 113,
        '<', 186,
        '=', 103,
        '>', 124,
        '?', 242,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '^', 163,
        '`', 220,
        '{', 106,
        '|', 166,
        '}', 108,
        '~', 198,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(94);
      if (lookahead > '@') ADVANCE(237);
      END_STATE();
    case 95:
      if (eof) ADVANCE(97);
      ADVANCE_MAP(
        '!', 110,
        '"', 129,
        '#', 38,
        '%', 180,
        '&', 161,
        '\'', 130,
        '(', 111,
        ')', 112,
        '*', 101,
        '+', 171,
        ',', 107,
        '-', 175,
        '.', 128,
        '/', 178,
        '0', 227,
        ':', 114,
        ';', 113,
        '<', 188,
        '=', 102,
        '>', 125,
        '?', 26,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '^', 162,
        '`', 220,
        '{', 105,
        '|', 167,
        '}', 108,
        '~', 198,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(95);
      if (lookahead > '#') ADVANCE(237);
      END_STATE();
    case 96:
      if (eof) ADVANCE(97);
      ADVANCE_MAP(
        '!', 109,
        '"', 129,
        '#', 10,
        '&', 159,
        '\'', 130,
        '(', 111,
        ')', 112,
        '*', 99,
        '+', 171,
        ',', 107,
        '-', 175,
        '.', 127,
        '/', 178,
        '0', 227,
        ':', 114,
        ';', 113,
        '<', 189,
        '=', 104,
        '>', 123,
        '?', 240,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '`', 220,
        '{', 105,
        '|', 169,
        '}', 108,
        '~', 198,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(96);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(237);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(98);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(183);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(182);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(191);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(191);
      if (lookahead == '>') ADVANCE(131);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(131);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(247);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(193);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(219);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(118);
      if (lookahead == '<') ADVANCE(120);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(119);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(117);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(54);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_glimmer_opening_tag);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_glimmer_closing_tag);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == '>') ADVANCE(153);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == '>') ADVANCE(154);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(146);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(141);
      if (lookahead == '>') ADVANCE(156);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(155);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(149);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(140);
      if (lookahead == '|') ADVANCE(152);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(140);
      if (lookahead == '|') ADVANCE(152);
      if (lookahead == '}') ADVANCE(248);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(151);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(151);
      if (lookahead == '}') ADVANCE(248);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '}') ADVANCE(248);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(199);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '=') ADVANCE(133);
      if (lookahead == '?') ADVANCE(30);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(200);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(200);
      if (lookahead == '=') ADVANCE(134);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(200);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '?') ADVANCE(31);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(219);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(219);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(158);
      if (lookahead == '=') ADVANCE(190);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(158);
      if (lookahead == '=') ADVANCE(190);
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(157);
      if (lookahead == '=') ADVANCE(190);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(157);
      if (lookahead == '=') ADVANCE(190);
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(192);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(194);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(203);
      if (lookahead == '/') ADVANCE(205);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(206);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(202);
      if (lookahead == '/') ADVANCE(206);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(203);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(202);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(203);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(201);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(204);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(206);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(206);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(205);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(206);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(209);
      if (lookahead == '/') ADVANCE(211);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(212);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(208);
      if (lookahead == '/') ADVANCE(212);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(209);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(208);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(209);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(207);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(210);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(212);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(212);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(211);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(212);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(57);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(237);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(213);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(213);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(216);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != 0x2028 &&
          lookahead != 0x2029) ADVANCE(219);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(29);
      if (lookahead == '/') ADVANCE(22);
      if (lookahead == '[') ADVANCE(39);
      if (lookahead == '\\') ADVANCE(93);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(223);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(39);
      if (lookahead == '\\') ADVANCE(93);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(224);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(57);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(237);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 235,
        '0', 229,
        '_', 73,
        'n', 226,
        'B', 69,
        'b', 69,
        'E', 68,
        'e', 68,
        'O', 70,
        'o', 70,
        'X', 78,
        'x', 78,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(235);
      if (lookahead == '_') ADVANCE(71);
      if (lookahead == 'n') ADVANCE(226);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(228);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(73);
      if (lookahead == 'n') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(229);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(69);
      if (lookahead == 'n') ADVANCE(226);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(230);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(70);
      if (lookahead == 'n') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(231);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(78);
      if (lookahead == 'n') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(232);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(72);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(234);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(57);
      if (lookahead == '{') ADVANCE(221);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(237);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(57);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(237);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(56);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(238);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(132);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(132);
      if (lookahead == '?') ADVANCE(197);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(132);
      if (lookahead == '?') ADVANCE(196);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_DASH_QMARK_COLON);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_PLUS_QMARK_COLON);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'k', 9,
        'l', 10,
        'm', 11,
        'n', 12,
        'o', 13,
        'p', 14,
        'r', 15,
        's', 16,
        't', 17,
        'u', 18,
        'v', 19,
        'w', 20,
        'y', 21,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'b') ADVANCE(22);
      if (lookahead == 'c') ADVANCE(23);
      if (lookahead == 'n') ADVANCE(24);
      if (lookahead == 's') ADVANCE(25);
      if (lookahead == 'w') ADVANCE(26);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(27);
      if (lookahead == 'r') ADVANCE(28);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'l') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(32);
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(36);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(39);
      if (lookahead == 'r') ADVANCE(40);
      if (lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(42);
      if (lookahead == 'l') ADVANCE(43);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(44);
      if (lookahead == 'm') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(46);
      if (lookahead == 's') ADVANCE(47);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(49);
      END_STATE();
    case 11:
      if (lookahead == 'o') ADVANCE(50);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(51);
      if (lookahead == 'e') ADVANCE(52);
      if (lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 13:
      if (lookahead == 'b') ADVANCE(54);
      if (lookahead == 'f') ADVANCE(55);
      if (lookahead == 'v') ADVANCE(56);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(57);
      if (lookahead == 'u') ADVANCE(58);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(60);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 't') ADVANCE(62);
      if (lookahead == 'u') ADVANCE(63);
      if (lookahead == 'w') ADVANCE(64);
      if (lookahead == 'y') ADVANCE(65);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(66);
      if (lookahead == 'h') ADVANCE(67);
      if (lookahead == 'r') ADVANCE(68);
      if (lookahead == 'y') ADVANCE(69);
      END_STATE();
    case 18:
      if (lookahead == 'n') ADVANCE(70);
      if (lookahead == 's') ADVANCE(71);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(72);
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(74);
      if (lookahead == 'i') ADVANCE(75);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(76);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 23:
      if (lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 24:
      if (lookahead == 'y') ADVANCE(79);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(80);
      if (lookahead == 'y') ADVANCE(81);
      END_STATE();
    case 26:
      if (lookahead == 'a') ADVANCE(82);
      END_STATE();
    case 27:
      if (lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 28:
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 29:
      if (lookahead == 's') ADVANCE(85);
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(87);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(88);
      END_STATE();
    case 32:
      if (lookahead == 'b') ADVANCE(89);
      if (lookahead == 'c') ADVANCE(90);
      if (lookahead == 'f') ADVANCE(91);
      if (lookahead == 'l') ADVANCE(92);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 34:
      if (lookahead == 's') ADVANCE(93);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(94);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(95);
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 37:
      if (lookahead == 'l') ADVANCE(97);
      END_STATE();
    case 38:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 39:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 40:
      if (lookahead == 'o') ADVANCE(100);
      END_STATE();
    case 41:
      if (lookahead == 'n') ADVANCE(101);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'o') ADVANCE(103);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(104);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'f') ADVANCE(105);
      if (lookahead == 's') ADVANCE(106);
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 48:
      if (lookahead == 'y') ADVANCE(108);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(109);
      END_STATE();
    case 50:
      if (lookahead == 'd') ADVANCE(110);
      END_STATE();
    case 51:
      if (lookahead == 'm') ADVANCE(111);
      END_STATE();
    case 52:
      if (lookahead == 'v') ADVANCE(112);
      if (lookahead == 'w') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(114);
      if (lookahead == 'm') ADVANCE(115);
      END_STATE();
    case 54:
      if (lookahead == 'j') ADVANCE(116);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(117);
      END_STATE();
    case 57:
      if (lookahead == 'i') ADVANCE(118);
      if (lookahead == 'o') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'b') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(121);
      if (lookahead == 'q') ADVANCE(122);
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 60:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(125);
      END_STATE();
    case 62:
      if (lookahead == 'a') ADVANCE(126);
      if (lookahead == 'r') ADVANCE(127);
      END_STATE();
    case 63:
      if (lookahead == 'p') ADVANCE(128);
      END_STATE();
    case 64:
      if (lookahead == 'i') ADVANCE(129);
      END_STATE();
    case 65:
      if (lookahead == 'm') ADVANCE(130);
      END_STATE();
    case 66:
      if (lookahead == 'r') ADVANCE(131);
      END_STATE();
    case 67:
      if (lookahead == 'i') ADVANCE(132);
      if (lookahead == 'r') ADVANCE(133);
      END_STATE();
    case 68:
      if (lookahead == 'u') ADVANCE(134);
      if (lookahead == 'y') ADVANCE(135);
      END_STATE();
    case 69:
      if (lookahead == 'p') ADVANCE(136);
      END_STATE();
    case 70:
      if (lookahead == 'd') ADVANCE(137);
      if (lookahead == 'i') ADVANCE(138);
      if (lookahead == 'k') ADVANCE(139);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(140);
      END_STATE();
    case 72:
      if (lookahead == 'r') ADVANCE(141);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(143);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(146);
      END_STATE();
    case 78:
      if (lookahead == 'e') ADVANCE(147);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 80:
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 81:
      if (lookahead == 'n') ADVANCE(149);
      END_STATE();
    case 82:
      if (lookahead == 'i') ADVANCE(150);
      END_STATE();
    case 83:
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(152);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 86:
      if (lookahead == 'c') ADVANCE(154);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(155);
      END_STATE();
    case 88:
      if (lookahead == 's') ADVANCE(156);
      if (lookahead == 't') ADVANCE(157);
      END_STATE();
    case 89:
      if (lookahead == 'u') ADVANCE(158);
      END_STATE();
    case 90:
      if (lookahead == 'l') ADVANCE(159);
      END_STATE();
    case 91:
      if (lookahead == 'a') ADVANCE(160);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 94:
      if (lookahead == 'm') ADVANCE(163);
      END_STATE();
    case 95:
      if (lookahead == 'o') ADVANCE(164);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 97:
      if (lookahead == 's') ADVANCE(166);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(167);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 100:
      if (lookahead == 'm') ADVANCE(168);
      END_STATE();
    case 101:
      if (lookahead == 'c') ADVANCE(169);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 103:
      if (lookahead == 'b') ADVANCE(170);
      END_STATE();
    case 104:
      if (lookahead == 'l') ADVANCE(171);
      if (lookahead == 'o') ADVANCE(172);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 106:
      if (lookahead == 't') ADVANCE(174);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 108:
      if (lookahead == 'o') ADVANCE(176);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 110:
      if (lookahead == 'u') ADVANCE(177);
      END_STATE();
    case 111:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(179);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 114:
      if (lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 115:
      if (lookahead == 'b') ADVANCE(181);
      END_STATE();
    case 116:
      if (lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 117:
      if (lookahead == 'r') ADVANCE(183);
      END_STATE();
    case 118:
      if (lookahead == 'v') ADVANCE(184);
      END_STATE();
    case 119:
      if (lookahead == 't') ADVANCE(185);
      END_STATE();
    case 120:
      if (lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 121:
      if (lookahead == 'd') ADVANCE(187);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(188);
      END_STATE();
    case 123:
      if (lookahead == 'u') ADVANCE(189);
      END_STATE();
    case 124:
      if (lookahead == 'i') ADVANCE(190);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 126:
      if (lookahead == 't') ADVANCE(191);
      END_STATE();
    case 127:
      if (lookahead == 'i') ADVANCE(192);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(193);
      END_STATE();
    case 129:
      if (lookahead == 't') ADVANCE(194);
      END_STATE();
    case 130:
      if (lookahead == 'b') ADVANCE(195);
      END_STATE();
    case 131:
      if (lookahead == 'g') ADVANCE(196);
      END_STATE();
    case 132:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 133:
      if (lookahead == 'o') ADVANCE(198);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 138:
      if (lookahead == 'q') ADVANCE(202);
      END_STATE();
    case 139:
      if (lookahead == 'n') ADVANCE(203);
      END_STATE();
    case 140:
      if (lookahead == 'n') ADVANCE(204);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(205);
      END_STATE();
    case 143:
      if (lookahead == 'l') ADVANCE(206);
      END_STATE();
    case 144:
      if (lookahead == 'h') ADVANCE(207);
      END_STATE();
    case 145:
      if (lookahead == 'l') ADVANCE(208);
      END_STATE();
    case 146:
      if (lookahead == 'r') ADVANCE(209);
      END_STATE();
    case 147:
      if (lookahead == 's') ADVANCE(210);
      END_STATE();
    case 148:
      if (lookahead == 'r') ADVANCE(211);
      END_STATE();
    case 149:
      if (lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 150:
      if (lookahead == 't') ADVANCE(213);
      END_STATE();
    case 151:
      if (lookahead == 'e') ADVANCE(214);
      END_STATE();
    case 152:
      if (lookahead == 'k') ADVANCE(215);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 154:
      if (lookahead == 'h') ADVANCE(216);
      END_STATE();
    case 155:
      if (lookahead == 's') ADVANCE(217);
      END_STATE();
    case 156:
      if (lookahead == 't') ADVANCE(218);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(219);
      END_STATE();
    case 158:
      if (lookahead == 'g') ADVANCE(220);
      END_STATE();
    case 159:
      if (lookahead == 'a') ADVANCE(221);
      END_STATE();
    case 160:
      if (lookahead == 'u') ADVANCE(222);
      END_STATE();
    case 161:
      if (lookahead == 't') ADVANCE(223);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 164:
      if (lookahead == 'r') ADVANCE(224);
      END_STATE();
    case 165:
      if (lookahead == 'n') ADVANCE(225);
      END_STATE();
    case 166:
      if (lookahead == 'e') ADVANCE(226);
      END_STATE();
    case 167:
      if (lookahead == 'l') ADVANCE(227);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 169:
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 170:
      if (lookahead == 'a') ADVANCE(229);
      END_STATE();
    case 171:
      if (lookahead == 'e') ADVANCE(230);
      END_STATE();
    case 172:
      if (lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 173:
      if (lookahead == 'r') ADVANCE(232);
      END_STATE();
    case 174:
      if (lookahead == 'a') ADVANCE(233);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 176:
      if (lookahead == 'f') ADVANCE(235);
      END_STATE();
    case 177:
      if (lookahead == 'l') ADVANCE(236);
      END_STATE();
    case 178:
      if (lookahead == 's') ADVANCE(237);
      END_STATE();
    case 179:
      if (lookahead == 'r') ADVANCE(238);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 181:
      if (lookahead == 'e') ADVANCE(239);
      END_STATE();
    case 182:
      if (lookahead == 'c') ADVANCE(240);
      END_STATE();
    case 183:
      if (lookahead == 'r') ADVANCE(241);
      END_STATE();
    case 184:
      if (lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 185:
      if (lookahead == 'e') ADVANCE(243);
      END_STATE();
    case 186:
      if (lookahead == 'i') ADVANCE(244);
      END_STATE();
    case 187:
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 188:
      if (lookahead == 'i') ADVANCE(246);
      END_STATE();
    case 189:
      if (lookahead == 'r') ADVANCE(247);
      END_STATE();
    case 190:
      if (lookahead == 's') ADVANCE(248);
      END_STATE();
    case 191:
      if (lookahead == 'i') ADVANCE(249);
      END_STATE();
    case 192:
      if (lookahead == 'n') ADVANCE(250);
      END_STATE();
    case 193:
      if (lookahead == 'r') ADVANCE(251);
      END_STATE();
    case 194:
      if (lookahead == 'c') ADVANCE(252);
      END_STATE();
    case 195:
      if (lookahead == 'o') ADVANCE(253);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 198:
      if (lookahead == 'w') ADVANCE(255);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == 'o') ADVANCE(256);
      END_STATE();
    case 201:
      if (lookahead == 'f') ADVANCE(257);
      END_STATE();
    case 202:
      if (lookahead == 'u') ADVANCE(258);
      END_STATE();
    case 203:
      if (lookahead == 'o') ADVANCE(259);
      END_STATE();
    case 204:
      if (lookahead == 'g') ADVANCE(260);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 206:
      if (lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 208:
      if (lookahead == 'd') ADVANCE(262);
      END_STATE();
    case 209:
      if (lookahead == 'a') ADVANCE(263);
      END_STATE();
    case 210:
      if (lookahead == 's') ADVANCE(264);
      END_STATE();
    case 211:
      if (lookahead == 't') ADVANCE(265);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 214:
      if (lookahead == 'a') ADVANCE(266);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 219:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 220:
      if (lookahead == 'g') ADVANCE(268);
      END_STATE();
    case 221:
      if (lookahead == 'r') ADVANCE(269);
      END_STATE();
    case 222:
      if (lookahead == 'l') ADVANCE(270);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(271);
      END_STATE();
    case 224:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 225:
      if (lookahead == 'd') ADVANCE(273);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 227:
      if (lookahead == 'l') ADVANCE(274);
      END_STATE();
    case 228:
      if (lookahead == 'i') ADVANCE(275);
      END_STATE();
    case 229:
      if (lookahead == 'l') ADVANCE(276);
      END_STATE();
    case 230:
      if (lookahead == 'm') ADVANCE(277);
      END_STATE();
    case 231:
      if (lookahead == 't') ADVANCE(278);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_infer);
      END_STATE();
    case 233:
      if (lookahead == 'n') ADVANCE(279);
      END_STATE();
    case 234:
      if (lookahead == 'f') ADVANCE(280);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_keyof);
      END_STATE();
    case 236:
      if (lookahead == 'e') ADVANCE(281);
      END_STATE();
    case 237:
      if (lookahead == 'p') ADVANCE(282);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_never);
      END_STATE();
    case 239:
      if (lookahead == 'r') ADVANCE(283);
      END_STATE();
    case 240:
      if (lookahead == 't') ADVANCE(284);
      END_STATE();
    case 241:
      if (lookahead == 'i') ADVANCE(285);
      END_STATE();
    case 242:
      if (lookahead == 't') ADVANCE(286);
      END_STATE();
    case 243:
      if (lookahead == 'c') ADVANCE(287);
      END_STATE();
    case 244:
      if (lookahead == 'c') ADVANCE(288);
      END_STATE();
    case 245:
      if (lookahead == 'n') ADVANCE(289);
      END_STATE();
    case 246:
      if (lookahead == 'r') ADVANCE(290);
      END_STATE();
    case 247:
      if (lookahead == 'n') ADVANCE(291);
      END_STATE();
    case 248:
      if (lookahead == 'f') ADVANCE(292);
      END_STATE();
    case 249:
      if (lookahead == 'c') ADVANCE(293);
      END_STATE();
    case 250:
      if (lookahead == 'g') ADVANCE(294);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 252:
      if (lookahead == 'h') ADVANCE(295);
      END_STATE();
    case 253:
      if (lookahead == 'l') ADVANCE(296);
      END_STATE();
    case 254:
      if (lookahead == 't') ADVANCE(297);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 256:
      if (lookahead == 'f') ADVANCE(298);
      END_STATE();
    case 257:
      if (lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 258:
      if (lookahead == 'e') ADVANCE(300);
      END_STATE();
    case 259:
      if (lookahead == 'w') ADVANCE(301);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 263:
      if (lookahead == 'c') ADVANCE(302);
      END_STATE();
    case 264:
      if (lookahead == 'o') ADVANCE(303);
      END_STATE();
    case 265:
      if (lookahead == 's') ADVANCE(304);
      END_STATE();
    case 266:
      if (lookahead == 'n') ADVANCE(305);
      END_STATE();
    case 267:
      if (lookahead == 'u') ADVANCE(306);
      END_STATE();
    case 268:
      if (lookahead == 'e') ADVANCE(307);
      END_STATE();
    case 269:
      if (lookahead == 'e') ADVANCE(308);
      END_STATE();
    case 270:
      if (lookahead == 't') ADVANCE(309);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 273:
      if (lookahead == 's') ADVANCE(310);
      END_STATE();
    case 274:
      if (lookahead == 'y') ADVANCE(311);
      END_STATE();
    case 275:
      if (lookahead == 'o') ADVANCE(312);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 277:
      if (lookahead == 'e') ADVANCE(313);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 279:
      if (lookahead == 'c') ADVANCE(314);
      END_STATE();
    case 280:
      if (lookahead == 'a') ADVANCE(315);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 282:
      if (lookahead == 'a') ADVANCE(316);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 285:
      if (lookahead == 'd') ADVANCE(317);
      END_STATE();
    case 286:
      if (lookahead == 'e') ADVANCE(318);
      END_STATE();
    case 287:
      if (lookahead == 't') ADVANCE(319);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 289:
      if (lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 292:
      if (lookahead == 'i') ADVANCE(322);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_symbol);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 299:
      if (lookahead == 'n') ADVANCE(323);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_unique);
      END_STATE();
    case 301:
      if (lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 302:
      if (lookahead == 't') ADVANCE(325);
      END_STATE();
    case 303:
      if (lookahead == 'r') ADVANCE(326);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_asserts);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(327);
      END_STATE();
    case 307:
      if (lookahead == 'r') ADVANCE(328);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(329);
      END_STATE();
    case 313:
      if (lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 314:
      if (lookahead == 'e') ADVANCE(331);
      END_STATE();
    case 315:
      if (lookahead == 'c') ADVANCE(332);
      END_STATE();
    case 316:
      if (lookahead == 'c') ADVANCE(333);
      END_STATE();
    case 317:
      if (lookahead == 'e') ADVANCE(334);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 319:
      if (lookahead == 'e') ADVANCE(335);
      END_STATE();
    case 320:
      if (lookahead == 'y') ADVANCE(336);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 322:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 323:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_unknown);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_accessor);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 330:
      if (lookahead == 't') ADVANCE(339);
      END_STATE();
    case 331:
      if (lookahead == 'o') ADVANCE(340);
      END_STATE();
    case 332:
      if (lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 333:
      if (lookahead == 'e') ADVANCE(342);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 335:
      if (lookahead == 'd') ADVANCE(343);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 337:
      if (lookahead == 's') ADVANCE(344);
      END_STATE();
    case 338:
      if (lookahead == 'd') ADVANCE(345);
      END_STATE();
    case 339:
      if (lookahead == 's') ADVANCE(346);
      END_STATE();
    case 340:
      if (lookahead == 'f') ADVANCE(347);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_satisfies);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 96, .external_lex_state = 2},
  [2] = {.lex_state = 4, .external_lex_state = 3},
  [3] = {.lex_state = 4, .external_lex_state = 3},
  [4] = {.lex_state = 96, .external_lex_state = 2},
  [5] = {.lex_state = 96, .external_lex_state = 2},
  [6] = {.lex_state = 96, .external_lex_state = 2},
  [7] = {.lex_state = 96, .external_lex_state = 2},
  [8] = {.lex_state = 96, .external_lex_state = 2},
  [9] = {.lex_state = 96, .external_lex_state = 2},
  [10] = {.lex_state = 96, .external_lex_state = 2},
  [11] = {.lex_state = 96, .external_lex_state = 2},
  [12] = {.lex_state = 96, .external_lex_state = 2},
  [13] = {.lex_state = 96, .external_lex_state = 2},
  [14] = {.lex_state = 96, .external_lex_state = 2},
  [15] = {.lex_state = 96, .external_lex_state = 2},
  [16] = {.lex_state = 96, .external_lex_state = 2},
  [17] = {.lex_state = 96, .external_lex_state = 2},
  [18] = {.lex_state = 96, .external_lex_state = 2},
  [19] = {.lex_state = 96, .external_lex_state = 2},
  [20] = {.lex_state = 96, .external_lex_state = 2},
  [21] = {.lex_state = 96, .external_lex_state = 2},
  [22] = {.lex_state = 96, .external_lex_state = 2},
  [23] = {.lex_state = 96, .external_lex_state = 2},
  [24] = {.lex_state = 96, .external_lex_state = 2},
  [25] = {.lex_state = 96, .external_lex_state = 2},
  [26] = {.lex_state = 96, .external_lex_state = 2},
  [27] = {.lex_state = 96, .external_lex_state = 2},
  [28] = {.lex_state = 96, .external_lex_state = 2},
  [29] = {.lex_state = 96, .external_lex_state = 2},
  [30] = {.lex_state = 96, .external_lex_state = 2},
  [31] = {.lex_state = 11, .external_lex_state = 2},
  [32] = {.lex_state = 96, .external_lex_state = 2},
  [33] = {.lex_state = 96, .external_lex_state = 2},
  [34] = {.lex_state = 96, .external_lex_state = 2},
  [35] = {.lex_state = 96, .external_lex_state = 2},
  [36] = {.lex_state = 96, .external_lex_state = 2},
  [37] = {.lex_state = 11, .external_lex_state = 2},
  [38] = {.lex_state = 96, .external_lex_state = 2},
  [39] = {.lex_state = 96, .external_lex_state = 2},
  [40] = {.lex_state = 96, .external_lex_state = 2},
  [41] = {.lex_state = 96, .external_lex_state = 2},
  [42] = {.lex_state = 96, .external_lex_state = 2},
  [43] = {.lex_state = 11, .external_lex_state = 2},
  [44] = {.lex_state = 96, .external_lex_state = 2},
  [45] = {.lex_state = 96, .external_lex_state = 2},
  [46] = {.lex_state = 96, .external_lex_state = 2},
  [47] = {.lex_state = 96, .external_lex_state = 2},
  [48] = {.lex_state = 96, .external_lex_state = 2},
  [49] = {.lex_state = 96, .external_lex_state = 2},
  [50] = {.lex_state = 96, .external_lex_state = 2},
  [51] = {.lex_state = 11, .external_lex_state = 2},
  [52] = {.lex_state = 11, .external_lex_state = 2},
  [53] = {.lex_state = 11, .external_lex_state = 2},
  [54] = {.lex_state = 96, .external_lex_state = 2},
  [55] = {.lex_state = 11, .external_lex_state = 2},
  [56] = {.lex_state = 11, .external_lex_state = 2},
  [57] = {.lex_state = 11, .external_lex_state = 2},
  [58] = {.lex_state = 11, .external_lex_state = 2},
  [59] = {.lex_state = 96, .external_lex_state = 2},
  [60] = {.lex_state = 3, .external_lex_state = 4},
  [61] = {.lex_state = 3, .external_lex_state = 4},
  [62] = {.lex_state = 3, .external_lex_state = 4},
  [63] = {.lex_state = 3, .external_lex_state = 3},
  [64] = {.lex_state = 11, .external_lex_state = 2},
  [65] = {.lex_state = 3, .external_lex_state = 3},
  [66] = {.lex_state = 3, .external_lex_state = 3},
  [67] = {.lex_state = 3, .external_lex_state = 3},
  [68] = {.lex_state = 3, .external_lex_state = 3},
  [69] = {.lex_state = 3, .external_lex_state = 3},
  [70] = {.lex_state = 3, .external_lex_state = 3},
  [71] = {.lex_state = 11, .external_lex_state = 2},
  [72] = {.lex_state = 3, .external_lex_state = 3},
  [73] = {.lex_state = 11, .external_lex_state = 2},
  [74] = {.lex_state = 3, .external_lex_state = 3},
  [75] = {.lex_state = 11, .external_lex_state = 2},
  [76] = {.lex_state = 3, .external_lex_state = 3},
  [77] = {.lex_state = 11, .external_lex_state = 2},
  [78] = {.lex_state = 11, .external_lex_state = 2},
  [79] = {.lex_state = 11, .external_lex_state = 2},
  [80] = {.lex_state = 11, .external_lex_state = 2},
  [81] = {.lex_state = 3, .external_lex_state = 3},
  [82] = {.lex_state = 3, .external_lex_state = 4},
  [83] = {.lex_state = 3, .external_lex_state = 4},
  [84] = {.lex_state = 3, .external_lex_state = 4},
  [85] = {.lex_state = 3, .external_lex_state = 3},
  [86] = {.lex_state = 3, .external_lex_state = 3},
  [87] = {.lex_state = 3, .external_lex_state = 4},
  [88] = {.lex_state = 3, .external_lex_state = 4},
  [89] = {.lex_state = 3, .external_lex_state = 4},
  [90] = {.lex_state = 3, .external_lex_state = 3},
  [91] = {.lex_state = 3, .external_lex_state = 4},
  [92] = {.lex_state = 3, .external_lex_state = 4},
  [93] = {.lex_state = 3, .external_lex_state = 4},
  [94] = {.lex_state = 3, .external_lex_state = 3},
  [95] = {.lex_state = 3, .external_lex_state = 3},
  [96] = {.lex_state = 3, .external_lex_state = 3},
  [97] = {.lex_state = 3, .external_lex_state = 3},
  [98] = {.lex_state = 3, .external_lex_state = 3},
  [99] = {.lex_state = 3, .external_lex_state = 3},
  [100] = {.lex_state = 3, .external_lex_state = 3},
  [101] = {.lex_state = 3, .external_lex_state = 3},
  [102] = {.lex_state = 3, .external_lex_state = 3},
  [103] = {.lex_state = 3, .external_lex_state = 3},
  [104] = {.lex_state = 3, .external_lex_state = 3},
  [105] = {.lex_state = 3, .external_lex_state = 3},
  [106] = {.lex_state = 3, .external_lex_state = 4},
  [107] = {.lex_state = 3, .external_lex_state = 4},
  [108] = {.lex_state = 3, .external_lex_state = 4},
  [109] = {.lex_state = 3, .external_lex_state = 3},
  [110] = {.lex_state = 3, .external_lex_state = 3},
  [111] = {.lex_state = 3, .external_lex_state = 3},
  [112] = {.lex_state = 3, .external_lex_state = 3},
  [113] = {.lex_state = 3, .external_lex_state = 3},
  [114] = {.lex_state = 3, .external_lex_state = 3},
  [115] = {.lex_state = 3, .external_lex_state = 3},
  [116] = {.lex_state = 3, .external_lex_state = 3},
  [117] = {.lex_state = 3, .external_lex_state = 3},
  [118] = {.lex_state = 3, .external_lex_state = 3},
  [119] = {.lex_state = 3, .external_lex_state = 3},
  [120] = {.lex_state = 3, .external_lex_state = 3},
  [121] = {.lex_state = 3, .external_lex_state = 3},
  [122] = {.lex_state = 3, .external_lex_state = 3},
  [123] = {.lex_state = 3, .external_lex_state = 3},
  [124] = {.lex_state = 3, .external_lex_state = 3},
  [125] = {.lex_state = 3, .external_lex_state = 3},
  [126] = {.lex_state = 11, .external_lex_state = 2},
  [127] = {.lex_state = 3, .external_lex_state = 3},
  [128] = {.lex_state = 3, .external_lex_state = 3},
  [129] = {.lex_state = 3, .external_lex_state = 3},
  [130] = {.lex_state = 3, .external_lex_state = 3},
  [131] = {.lex_state = 3, .external_lex_state = 3},
  [132] = {.lex_state = 3, .external_lex_state = 3},
  [133] = {.lex_state = 3, .external_lex_state = 3},
  [134] = {.lex_state = 3, .external_lex_state = 3},
  [135] = {.lex_state = 3, .external_lex_state = 3},
  [136] = {.lex_state = 3, .external_lex_state = 3},
  [137] = {.lex_state = 3, .external_lex_state = 3},
  [138] = {.lex_state = 11, .external_lex_state = 2},
  [139] = {.lex_state = 11, .external_lex_state = 2},
  [140] = {.lex_state = 11, .external_lex_state = 2},
  [141] = {.lex_state = 11, .external_lex_state = 2},
  [142] = {.lex_state = 11, .external_lex_state = 2},
  [143] = {.lex_state = 11, .external_lex_state = 2},
  [144] = {.lex_state = 11, .external_lex_state = 2},
  [145] = {.lex_state = 11, .external_lex_state = 2},
  [146] = {.lex_state = 11, .external_lex_state = 2},
  [147] = {.lex_state = 11, .external_lex_state = 2},
  [148] = {.lex_state = 11, .external_lex_state = 2},
  [149] = {.lex_state = 11, .external_lex_state = 2},
  [150] = {.lex_state = 11, .external_lex_state = 2},
  [151] = {.lex_state = 95, .external_lex_state = 4},
  [152] = {.lex_state = 95, .external_lex_state = 3},
  [153] = {.lex_state = 95, .external_lex_state = 4},
  [154] = {.lex_state = 95, .external_lex_state = 3},
  [155] = {.lex_state = 95, .external_lex_state = 4},
  [156] = {.lex_state = 95, .external_lex_state = 3},
  [157] = {.lex_state = 95, .external_lex_state = 3},
  [158] = {.lex_state = 95, .external_lex_state = 3},
  [159] = {.lex_state = 95, .external_lex_state = 3},
  [160] = {.lex_state = 95, .external_lex_state = 3},
  [161] = {.lex_state = 5, .external_lex_state = 4},
  [162] = {.lex_state = 5, .external_lex_state = 3},
  [163] = {.lex_state = 96, .external_lex_state = 2},
  [164] = {.lex_state = 96, .external_lex_state = 2},
  [165] = {.lex_state = 96, .external_lex_state = 2},
  [166] = {.lex_state = 96, .external_lex_state = 2},
  [167] = {.lex_state = 96, .external_lex_state = 2},
  [168] = {.lex_state = 96, .external_lex_state = 2},
  [169] = {.lex_state = 5, .external_lex_state = 4},
  [170] = {.lex_state = 5, .external_lex_state = 3},
  [171] = {.lex_state = 5, .external_lex_state = 3},
  [172] = {.lex_state = 5, .external_lex_state = 3},
  [173] = {.lex_state = 5, .external_lex_state = 3},
  [174] = {.lex_state = 5, .external_lex_state = 4},
  [175] = {.lex_state = 5, .external_lex_state = 3},
  [176] = {.lex_state = 5, .external_lex_state = 3},
  [177] = {.lex_state = 5, .external_lex_state = 3},
  [178] = {.lex_state = 5, .external_lex_state = 3},
  [179] = {.lex_state = 5, .external_lex_state = 3},
  [180] = {.lex_state = 5, .external_lex_state = 3},
  [181] = {.lex_state = 5, .external_lex_state = 3},
  [182] = {.lex_state = 96, .external_lex_state = 2},
  [183] = {.lex_state = 96, .external_lex_state = 2},
  [184] = {.lex_state = 96, .external_lex_state = 2},
  [185] = {.lex_state = 96, .external_lex_state = 2},
  [186] = {.lex_state = 96, .external_lex_state = 2},
  [187] = {.lex_state = 96, .external_lex_state = 2},
  [188] = {.lex_state = 96, .external_lex_state = 2},
  [189] = {.lex_state = 96, .external_lex_state = 2},
  [190] = {.lex_state = 96, .external_lex_state = 2},
  [191] = {.lex_state = 96, .external_lex_state = 2},
  [192] = {.lex_state = 96, .external_lex_state = 2},
  [193] = {.lex_state = 96, .external_lex_state = 2},
  [194] = {.lex_state = 96, .external_lex_state = 2},
  [195] = {.lex_state = 96, .external_lex_state = 2},
  [196] = {.lex_state = 96, .external_lex_state = 2},
  [197] = {.lex_state = 96, .external_lex_state = 2},
  [198] = {.lex_state = 95, .external_lex_state = 4},
  [199] = {.lex_state = 95, .external_lex_state = 4},
  [200] = {.lex_state = 96, .external_lex_state = 2},
  [201] = {.lex_state = 96, .external_lex_state = 2},
  [202] = {.lex_state = 95, .external_lex_state = 4},
  [203] = {.lex_state = 96, .external_lex_state = 2},
  [204] = {.lex_state = 95, .external_lex_state = 4},
  [205] = {.lex_state = 96, .external_lex_state = 2},
  [206] = {.lex_state = 96, .external_lex_state = 2},
  [207] = {.lex_state = 95, .external_lex_state = 4},
  [208] = {.lex_state = 96, .external_lex_state = 5},
  [209] = {.lex_state = 95, .external_lex_state = 4},
  [210] = {.lex_state = 95, .external_lex_state = 4},
  [211] = {.lex_state = 95, .external_lex_state = 4},
  [212] = {.lex_state = 95, .external_lex_state = 4},
  [213] = {.lex_state = 95, .external_lex_state = 4},
  [214] = {.lex_state = 96, .external_lex_state = 2},
  [215] = {.lex_state = 96, .external_lex_state = 2},
  [216] = {.lex_state = 96, .external_lex_state = 2},
  [217] = {.lex_state = 95, .external_lex_state = 4},
  [218] = {.lex_state = 95, .external_lex_state = 4},
  [219] = {.lex_state = 95, .external_lex_state = 4},
  [220] = {.lex_state = 95, .external_lex_state = 4},
  [221] = {.lex_state = 95, .external_lex_state = 4},
  [222] = {.lex_state = 95, .external_lex_state = 4},
  [223] = {.lex_state = 95, .external_lex_state = 4},
  [224] = {.lex_state = 95, .external_lex_state = 4},
  [225] = {.lex_state = 95, .external_lex_state = 4},
  [226] = {.lex_state = 95, .external_lex_state = 4},
  [227] = {.lex_state = 95, .external_lex_state = 4},
  [228] = {.lex_state = 95, .external_lex_state = 4},
  [229] = {.lex_state = 95, .external_lex_state = 4},
  [230] = {.lex_state = 95, .external_lex_state = 4},
  [231] = {.lex_state = 95, .external_lex_state = 4},
  [232] = {.lex_state = 95, .external_lex_state = 4},
  [233] = {.lex_state = 95, .external_lex_state = 4},
  [234] = {.lex_state = 95, .external_lex_state = 4},
  [235] = {.lex_state = 95, .external_lex_state = 4},
  [236] = {.lex_state = 96, .external_lex_state = 2},
  [237] = {.lex_state = 96, .external_lex_state = 2},
  [238] = {.lex_state = 96, .external_lex_state = 2},
  [239] = {.lex_state = 96, .external_lex_state = 2},
  [240] = {.lex_state = 96, .external_lex_state = 2},
  [241] = {.lex_state = 96, .external_lex_state = 2},
  [242] = {.lex_state = 96, .external_lex_state = 2},
  [243] = {.lex_state = 96, .external_lex_state = 2},
  [244] = {.lex_state = 96, .external_lex_state = 2},
  [245] = {.lex_state = 96, .external_lex_state = 2},
  [246] = {.lex_state = 96, .external_lex_state = 2},
  [247] = {.lex_state = 96, .external_lex_state = 2},
  [248] = {.lex_state = 96, .external_lex_state = 2},
  [249] = {.lex_state = 96, .external_lex_state = 2},
  [250] = {.lex_state = 96, .external_lex_state = 2},
  [251] = {.lex_state = 96, .external_lex_state = 2},
  [252] = {.lex_state = 96, .external_lex_state = 2},
  [253] = {.lex_state = 96, .external_lex_state = 2},
  [254] = {.lex_state = 3, .external_lex_state = 3},
  [255] = {.lex_state = 3, .external_lex_state = 3},
  [256] = {.lex_state = 96, .external_lex_state = 2},
  [257] = {.lex_state = 96, .external_lex_state = 2},
  [258] = {.lex_state = 3, .external_lex_state = 3},
  [259] = {.lex_state = 3, .external_lex_state = 3},
  [260] = {.lex_state = 96, .external_lex_state = 2},
  [261] = {.lex_state = 96, .external_lex_state = 2},
  [262] = {.lex_state = 96, .external_lex_state = 2},
  [263] = {.lex_state = 96, .external_lex_state = 2},
  [264] = {.lex_state = 96, .external_lex_state = 2},
  [265] = {.lex_state = 96, .external_lex_state = 2},
  [266] = {.lex_state = 96, .external_lex_state = 2},
  [267] = {.lex_state = 96, .external_lex_state = 2},
  [268] = {.lex_state = 96, .external_lex_state = 2},
  [269] = {.lex_state = 96, .external_lex_state = 2},
  [270] = {.lex_state = 96, .external_lex_state = 2},
  [271] = {.lex_state = 96, .external_lex_state = 2},
  [272] = {.lex_state = 96, .external_lex_state = 2},
  [273] = {.lex_state = 96, .external_lex_state = 2},
  [274] = {.lex_state = 96, .external_lex_state = 2},
  [275] = {.lex_state = 96, .external_lex_state = 2},
  [276] = {.lex_state = 96, .external_lex_state = 2},
  [277] = {.lex_state = 96, .external_lex_state = 2},
  [278] = {.lex_state = 96, .external_lex_state = 2},
  [279] = {.lex_state = 96, .external_lex_state = 2},
  [280] = {.lex_state = 96, .external_lex_state = 2},
  [281] = {.lex_state = 96, .external_lex_state = 2},
  [282] = {.lex_state = 96, .external_lex_state = 2},
  [283] = {.lex_state = 96, .external_lex_state = 2},
  [284] = {.lex_state = 96, .external_lex_state = 2},
  [285] = {.lex_state = 96, .external_lex_state = 2},
  [286] = {.lex_state = 96, .external_lex_state = 2},
  [287] = {.lex_state = 96, .external_lex_state = 2},
  [288] = {.lex_state = 96, .external_lex_state = 2},
  [289] = {.lex_state = 96, .external_lex_state = 5},
  [290] = {.lex_state = 96, .external_lex_state = 2},
  [291] = {.lex_state = 96, .external_lex_state = 2},
  [292] = {.lex_state = 96, .external_lex_state = 2},
  [293] = {.lex_state = 96, .external_lex_state = 2},
  [294] = {.lex_state = 96, .external_lex_state = 2},
  [295] = {.lex_state = 96, .external_lex_state = 2},
  [296] = {.lex_state = 96, .external_lex_state = 2},
  [297] = {.lex_state = 96, .external_lex_state = 2},
  [298] = {.lex_state = 96, .external_lex_state = 2},
  [299] = {.lex_state = 96, .external_lex_state = 2},
  [300] = {.lex_state = 96, .external_lex_state = 2},
  [301] = {.lex_state = 96, .external_lex_state = 2},
  [302] = {.lex_state = 96, .external_lex_state = 2},
  [303] = {.lex_state = 96, .external_lex_state = 2},
  [304] = {.lex_state = 96, .external_lex_state = 2},
  [305] = {.lex_state = 96, .external_lex_state = 2},
  [306] = {.lex_state = 96, .external_lex_state = 2},
  [307] = {.lex_state = 96, .external_lex_state = 2},
  [308] = {.lex_state = 96, .external_lex_state = 2},
  [309] = {.lex_state = 96, .external_lex_state = 2},
  [310] = {.lex_state = 96, .external_lex_state = 2},
  [311] = {.lex_state = 96, .external_lex_state = 2},
  [312] = {.lex_state = 96, .external_lex_state = 2},
  [313] = {.lex_state = 96, .external_lex_state = 2},
  [314] = {.lex_state = 96, .external_lex_state = 2},
  [315] = {.lex_state = 96, .external_lex_state = 2},
  [316] = {.lex_state = 96, .external_lex_state = 2},
  [317] = {.lex_state = 96, .external_lex_state = 2},
  [318] = {.lex_state = 96, .external_lex_state = 2},
  [319] = {.lex_state = 96, .external_lex_state = 2},
  [320] = {.lex_state = 96, .external_lex_state = 2},
  [321] = {.lex_state = 96, .external_lex_state = 2},
  [322] = {.lex_state = 96, .external_lex_state = 2},
  [323] = {.lex_state = 96, .external_lex_state = 2},
  [324] = {.lex_state = 96, .external_lex_state = 2},
  [325] = {.lex_state = 96, .external_lex_state = 2},
  [326] = {.lex_state = 96, .external_lex_state = 2},
  [327] = {.lex_state = 96, .external_lex_state = 2},
  [328] = {.lex_state = 96, .external_lex_state = 2},
  [329] = {.lex_state = 96, .external_lex_state = 2},
  [330] = {.lex_state = 96, .external_lex_state = 2},
  [331] = {.lex_state = 96, .external_lex_state = 2},
  [332] = {.lex_state = 96, .external_lex_state = 2},
  [333] = {.lex_state = 96, .external_lex_state = 2},
  [334] = {.lex_state = 96, .external_lex_state = 2},
  [335] = {.lex_state = 96, .external_lex_state = 2},
  [336] = {.lex_state = 96, .external_lex_state = 2},
  [337] = {.lex_state = 96, .external_lex_state = 2},
  [338] = {.lex_state = 96, .external_lex_state = 2},
  [339] = {.lex_state = 96, .external_lex_state = 2},
  [340] = {.lex_state = 96, .external_lex_state = 2},
  [341] = {.lex_state = 96, .external_lex_state = 2},
  [342] = {.lex_state = 96, .external_lex_state = 2},
  [343] = {.lex_state = 96, .external_lex_state = 2},
  [344] = {.lex_state = 96, .external_lex_state = 2},
  [345] = {.lex_state = 96, .external_lex_state = 2},
  [346] = {.lex_state = 96, .external_lex_state = 2},
  [347] = {.lex_state = 96, .external_lex_state = 2},
  [348] = {.lex_state = 96, .external_lex_state = 2},
  [349] = {.lex_state = 96, .external_lex_state = 2},
  [350] = {.lex_state = 96, .external_lex_state = 2},
  [351] = {.lex_state = 96, .external_lex_state = 2},
  [352] = {.lex_state = 96, .external_lex_state = 2},
  [353] = {.lex_state = 96, .external_lex_state = 2},
  [354] = {.lex_state = 96, .external_lex_state = 2},
  [355] = {.lex_state = 96, .external_lex_state = 2},
  [356] = {.lex_state = 96, .external_lex_state = 2},
  [357] = {.lex_state = 96, .external_lex_state = 2},
  [358] = {.lex_state = 96, .external_lex_state = 2},
  [359] = {.lex_state = 96, .external_lex_state = 2},
  [360] = {.lex_state = 96, .external_lex_state = 2},
  [361] = {.lex_state = 96, .external_lex_state = 2},
  [362] = {.lex_state = 96, .external_lex_state = 2},
  [363] = {.lex_state = 96, .external_lex_state = 2},
  [364] = {.lex_state = 96, .external_lex_state = 2},
  [365] = {.lex_state = 96, .external_lex_state = 2},
  [366] = {.lex_state = 96, .external_lex_state = 2},
  [367] = {.lex_state = 96, .external_lex_state = 2},
  [368] = {.lex_state = 96, .external_lex_state = 2},
  [369] = {.lex_state = 96, .external_lex_state = 2},
  [370] = {.lex_state = 96, .external_lex_state = 2},
  [371] = {.lex_state = 96, .external_lex_state = 2},
  [372] = {.lex_state = 96, .external_lex_state = 2},
  [373] = {.lex_state = 96, .external_lex_state = 2},
  [374] = {.lex_state = 96, .external_lex_state = 2},
  [375] = {.lex_state = 96, .external_lex_state = 2},
  [376] = {.lex_state = 96, .external_lex_state = 2},
  [377] = {.lex_state = 96, .external_lex_state = 2},
  [378] = {.lex_state = 96, .external_lex_state = 2},
  [379] = {.lex_state = 96, .external_lex_state = 2},
  [380] = {.lex_state = 96, .external_lex_state = 2},
  [381] = {.lex_state = 96, .external_lex_state = 2},
  [382] = {.lex_state = 96, .external_lex_state = 2},
  [383] = {.lex_state = 96, .external_lex_state = 2},
  [384] = {.lex_state = 96, .external_lex_state = 2},
  [385] = {.lex_state = 96, .external_lex_state = 2},
  [386] = {.lex_state = 96, .external_lex_state = 2},
  [387] = {.lex_state = 96, .external_lex_state = 2},
  [388] = {.lex_state = 96, .external_lex_state = 2},
  [389] = {.lex_state = 96, .external_lex_state = 2},
  [390] = {.lex_state = 96, .external_lex_state = 2},
  [391] = {.lex_state = 96, .external_lex_state = 2},
  [392] = {.lex_state = 96, .external_lex_state = 2},
  [393] = {.lex_state = 96, .external_lex_state = 2},
  [394] = {.lex_state = 96, .external_lex_state = 2},
  [395] = {.lex_state = 96, .external_lex_state = 2},
  [396] = {.lex_state = 96, .external_lex_state = 2},
  [397] = {.lex_state = 96, .external_lex_state = 2},
  [398] = {.lex_state = 96, .external_lex_state = 2},
  [399] = {.lex_state = 96, .external_lex_state = 2},
  [400] = {.lex_state = 96, .external_lex_state = 2},
  [401] = {.lex_state = 96, .external_lex_state = 2},
  [402] = {.lex_state = 96, .external_lex_state = 2},
  [403] = {.lex_state = 96, .external_lex_state = 2},
  [404] = {.lex_state = 96, .external_lex_state = 2},
  [405] = {.lex_state = 96, .external_lex_state = 2},
  [406] = {.lex_state = 96, .external_lex_state = 2},
  [407] = {.lex_state = 96, .external_lex_state = 2},
  [408] = {.lex_state = 96, .external_lex_state = 2},
  [409] = {.lex_state = 96, .external_lex_state = 2},
  [410] = {.lex_state = 96, .external_lex_state = 2},
  [411] = {.lex_state = 96, .external_lex_state = 2},
  [412] = {.lex_state = 96, .external_lex_state = 2},
  [413] = {.lex_state = 96, .external_lex_state = 2},
  [414] = {.lex_state = 96, .external_lex_state = 2},
  [415] = {.lex_state = 96, .external_lex_state = 2},
  [416] = {.lex_state = 96, .external_lex_state = 2},
  [417] = {.lex_state = 96, .external_lex_state = 2},
  [418] = {.lex_state = 96, .external_lex_state = 2},
  [419] = {.lex_state = 96, .external_lex_state = 2},
  [420] = {.lex_state = 96, .external_lex_state = 2},
  [421] = {.lex_state = 96, .external_lex_state = 2},
  [422] = {.lex_state = 96, .external_lex_state = 2},
  [423] = {.lex_state = 96, .external_lex_state = 2},
  [424] = {.lex_state = 96, .external_lex_state = 2},
  [425] = {.lex_state = 96, .external_lex_state = 2},
  [426] = {.lex_state = 96, .external_lex_state = 2},
  [427] = {.lex_state = 96, .external_lex_state = 2},
  [428] = {.lex_state = 96, .external_lex_state = 2},
  [429] = {.lex_state = 96, .external_lex_state = 2},
  [430] = {.lex_state = 96, .external_lex_state = 2},
  [431] = {.lex_state = 96, .external_lex_state = 2},
  [432] = {.lex_state = 96, .external_lex_state = 2},
  [433] = {.lex_state = 96, .external_lex_state = 2},
  [434] = {.lex_state = 96, .external_lex_state = 2},
  [435] = {.lex_state = 96, .external_lex_state = 2},
  [436] = {.lex_state = 96, .external_lex_state = 2},
  [437] = {.lex_state = 96, .external_lex_state = 2},
  [438] = {.lex_state = 96, .external_lex_state = 2},
  [439] = {.lex_state = 96, .external_lex_state = 2},
  [440] = {.lex_state = 96, .external_lex_state = 2},
  [441] = {.lex_state = 96, .external_lex_state = 2},
  [442] = {.lex_state = 96, .external_lex_state = 2},
  [443] = {.lex_state = 96, .external_lex_state = 2},
  [444] = {.lex_state = 96, .external_lex_state = 2},
  [445] = {.lex_state = 96, .external_lex_state = 2},
  [446] = {.lex_state = 96, .external_lex_state = 2},
  [447] = {.lex_state = 96, .external_lex_state = 2},
  [448] = {.lex_state = 96, .external_lex_state = 2},
  [449] = {.lex_state = 96, .external_lex_state = 2},
  [450] = {.lex_state = 96, .external_lex_state = 2},
  [451] = {.lex_state = 96, .external_lex_state = 2},
  [452] = {.lex_state = 96, .external_lex_state = 2},
  [453] = {.lex_state = 96, .external_lex_state = 2},
  [454] = {.lex_state = 96, .external_lex_state = 2},
  [455] = {.lex_state = 96, .external_lex_state = 2},
  [456] = {.lex_state = 96, .external_lex_state = 2},
  [457] = {.lex_state = 96, .external_lex_state = 2},
  [458] = {.lex_state = 96, .external_lex_state = 2},
  [459] = {.lex_state = 96, .external_lex_state = 2},
  [460] = {.lex_state = 96, .external_lex_state = 2},
  [461] = {.lex_state = 96, .external_lex_state = 2},
  [462] = {.lex_state = 96, .external_lex_state = 2},
  [463] = {.lex_state = 96, .external_lex_state = 2},
  [464] = {.lex_state = 96, .external_lex_state = 2},
  [465] = {.lex_state = 96, .external_lex_state = 2},
  [466] = {.lex_state = 96, .external_lex_state = 2},
  [467] = {.lex_state = 96, .external_lex_state = 2},
  [468] = {.lex_state = 96, .external_lex_state = 2},
  [469] = {.lex_state = 96, .external_lex_state = 2},
  [470] = {.lex_state = 96, .external_lex_state = 2},
  [471] = {.lex_state = 96, .external_lex_state = 2},
  [472] = {.lex_state = 96, .external_lex_state = 2},
  [473] = {.lex_state = 96, .external_lex_state = 2},
  [474] = {.lex_state = 96, .external_lex_state = 2},
  [475] = {.lex_state = 96, .external_lex_state = 2},
  [476] = {.lex_state = 96, .external_lex_state = 2},
  [477] = {.lex_state = 96, .external_lex_state = 2},
  [478] = {.lex_state = 96, .external_lex_state = 2},
  [479] = {.lex_state = 96, .external_lex_state = 2},
  [480] = {.lex_state = 96, .external_lex_state = 2},
  [481] = {.lex_state = 96, .external_lex_state = 2},
  [482] = {.lex_state = 96, .external_lex_state = 2},
  [483] = {.lex_state = 96, .external_lex_state = 2},
  [484] = {.lex_state = 96, .external_lex_state = 2},
  [485] = {.lex_state = 96, .external_lex_state = 2},
  [486] = {.lex_state = 96, .external_lex_state = 2},
  [487] = {.lex_state = 96, .external_lex_state = 2},
  [488] = {.lex_state = 96, .external_lex_state = 2},
  [489] = {.lex_state = 96, .external_lex_state = 2},
  [490] = {.lex_state = 96, .external_lex_state = 2},
  [491] = {.lex_state = 96, .external_lex_state = 2},
  [492] = {.lex_state = 96, .external_lex_state = 2},
  [493] = {.lex_state = 96, .external_lex_state = 2},
  [494] = {.lex_state = 96, .external_lex_state = 2},
  [495] = {.lex_state = 96, .external_lex_state = 2},
  [496] = {.lex_state = 96, .external_lex_state = 2},
  [497] = {.lex_state = 96, .external_lex_state = 2},
  [498] = {.lex_state = 96, .external_lex_state = 2},
  [499] = {.lex_state = 96, .external_lex_state = 2},
  [500] = {.lex_state = 96, .external_lex_state = 2},
  [501] = {.lex_state = 96, .external_lex_state = 2},
  [502] = {.lex_state = 96, .external_lex_state = 2},
  [503] = {.lex_state = 96, .external_lex_state = 2},
  [504] = {.lex_state = 96, .external_lex_state = 2},
  [505] = {.lex_state = 96, .external_lex_state = 2},
  [506] = {.lex_state = 96, .external_lex_state = 2},
  [507] = {.lex_state = 96, .external_lex_state = 2},
  [508] = {.lex_state = 96, .external_lex_state = 2},
  [509] = {.lex_state = 96, .external_lex_state = 2},
  [510] = {.lex_state = 96, .external_lex_state = 2},
  [511] = {.lex_state = 96, .external_lex_state = 2},
  [512] = {.lex_state = 96, .external_lex_state = 2},
  [513] = {.lex_state = 96, .external_lex_state = 2},
  [514] = {.lex_state = 96, .external_lex_state = 2},
  [515] = {.lex_state = 96, .external_lex_state = 2},
  [516] = {.lex_state = 96, .external_lex_state = 2},
  [517] = {.lex_state = 96, .external_lex_state = 2},
  [518] = {.lex_state = 96, .external_lex_state = 2},
  [519] = {.lex_state = 96, .external_lex_state = 2},
  [520] = {.lex_state = 96, .external_lex_state = 2},
  [521] = {.lex_state = 96, .external_lex_state = 2},
  [522] = {.lex_state = 96, .external_lex_state = 2},
  [523] = {.lex_state = 96, .external_lex_state = 2},
  [524] = {.lex_state = 96, .external_lex_state = 2},
  [525] = {.lex_state = 96, .external_lex_state = 2},
  [526] = {.lex_state = 96, .external_lex_state = 2},
  [527] = {.lex_state = 96, .external_lex_state = 2},
  [528] = {.lex_state = 96, .external_lex_state = 2},
  [529] = {.lex_state = 96, .external_lex_state = 2},
  [530] = {.lex_state = 96, .external_lex_state = 2},
  [531] = {.lex_state = 96, .external_lex_state = 2},
  [532] = {.lex_state = 96, .external_lex_state = 2},
  [533] = {.lex_state = 96, .external_lex_state = 2},
  [534] = {.lex_state = 96, .external_lex_state = 2},
  [535] = {.lex_state = 96, .external_lex_state = 2},
  [536] = {.lex_state = 96, .external_lex_state = 2},
  [537] = {.lex_state = 96, .external_lex_state = 2},
  [538] = {.lex_state = 96, .external_lex_state = 2},
  [539] = {.lex_state = 96, .external_lex_state = 2},
  [540] = {.lex_state = 96, .external_lex_state = 2},
  [541] = {.lex_state = 96, .external_lex_state = 2},
  [542] = {.lex_state = 96, .external_lex_state = 2},
  [543] = {.lex_state = 96, .external_lex_state = 2},
  [544] = {.lex_state = 96, .external_lex_state = 2},
  [545] = {.lex_state = 96, .external_lex_state = 2},
  [546] = {.lex_state = 96, .external_lex_state = 2},
  [547] = {.lex_state = 96, .external_lex_state = 2},
  [548] = {.lex_state = 96, .external_lex_state = 2},
  [549] = {.lex_state = 96, .external_lex_state = 2},
  [550] = {.lex_state = 96, .external_lex_state = 2},
  [551] = {.lex_state = 96, .external_lex_state = 2},
  [552] = {.lex_state = 96, .external_lex_state = 2},
  [553] = {.lex_state = 96, .external_lex_state = 2},
  [554] = {.lex_state = 96, .external_lex_state = 2},
  [555] = {.lex_state = 96, .external_lex_state = 2},
  [556] = {.lex_state = 96, .external_lex_state = 2},
  [557] = {.lex_state = 96, .external_lex_state = 2},
  [558] = {.lex_state = 96, .external_lex_state = 2},
  [559] = {.lex_state = 96, .external_lex_state = 2},
  [560] = {.lex_state = 96, .external_lex_state = 2},
  [561] = {.lex_state = 96, .external_lex_state = 2},
  [562] = {.lex_state = 96, .external_lex_state = 2},
  [563] = {.lex_state = 96, .external_lex_state = 2},
  [564] = {.lex_state = 96, .external_lex_state = 2},
  [565] = {.lex_state = 96, .external_lex_state = 2},
  [566] = {.lex_state = 96, .external_lex_state = 2},
  [567] = {.lex_state = 96, .external_lex_state = 2},
  [568] = {.lex_state = 96, .external_lex_state = 2},
  [569] = {.lex_state = 96, .external_lex_state = 2},
  [570] = {.lex_state = 96, .external_lex_state = 2},
  [571] = {.lex_state = 96, .external_lex_state = 2},
  [572] = {.lex_state = 96, .external_lex_state = 2},
  [573] = {.lex_state = 96, .external_lex_state = 2},
  [574] = {.lex_state = 96, .external_lex_state = 2},
  [575] = {.lex_state = 96, .external_lex_state = 2},
  [576] = {.lex_state = 96, .external_lex_state = 2},
  [577] = {.lex_state = 96, .external_lex_state = 2},
  [578] = {.lex_state = 96, .external_lex_state = 2},
  [579] = {.lex_state = 96, .external_lex_state = 2},
  [580] = {.lex_state = 96, .external_lex_state = 2},
  [581] = {.lex_state = 96, .external_lex_state = 2},
  [582] = {.lex_state = 96, .external_lex_state = 2},
  [583] = {.lex_state = 96, .external_lex_state = 2},
  [584] = {.lex_state = 96, .external_lex_state = 2},
  [585] = {.lex_state = 96, .external_lex_state = 2},
  [586] = {.lex_state = 96, .external_lex_state = 2},
  [587] = {.lex_state = 96, .external_lex_state = 2},
  [588] = {.lex_state = 96, .external_lex_state = 2},
  [589] = {.lex_state = 96, .external_lex_state = 2},
  [590] = {.lex_state = 96, .external_lex_state = 2},
  [591] = {.lex_state = 96, .external_lex_state = 2},
  [592] = {.lex_state = 96, .external_lex_state = 2},
  [593] = {.lex_state = 96, .external_lex_state = 2},
  [594] = {.lex_state = 96, .external_lex_state = 2},
  [595] = {.lex_state = 96, .external_lex_state = 2},
  [596] = {.lex_state = 96, .external_lex_state = 2},
  [597] = {.lex_state = 96, .external_lex_state = 2},
  [598] = {.lex_state = 96, .external_lex_state = 2},
  [599] = {.lex_state = 96, .external_lex_state = 2},
  [600] = {.lex_state = 96, .external_lex_state = 2},
  [601] = {.lex_state = 96, .external_lex_state = 2},
  [602] = {.lex_state = 96, .external_lex_state = 2},
  [603] = {.lex_state = 96, .external_lex_state = 2},
  [604] = {.lex_state = 96, .external_lex_state = 2},
  [605] = {.lex_state = 96, .external_lex_state = 2},
  [606] = {.lex_state = 96, .external_lex_state = 2},
  [607] = {.lex_state = 96, .external_lex_state = 2},
  [608] = {.lex_state = 96, .external_lex_state = 2},
  [609] = {.lex_state = 96, .external_lex_state = 2},
  [610] = {.lex_state = 96, .external_lex_state = 2},
  [611] = {.lex_state = 96, .external_lex_state = 2},
  [612] = {.lex_state = 96, .external_lex_state = 2},
  [613] = {.lex_state = 96, .external_lex_state = 2},
  [614] = {.lex_state = 96, .external_lex_state = 2},
  [615] = {.lex_state = 96, .external_lex_state = 2},
  [616] = {.lex_state = 96, .external_lex_state = 2},
  [617] = {.lex_state = 96, .external_lex_state = 2},
  [618] = {.lex_state = 96, .external_lex_state = 2},
  [619] = {.lex_state = 96, .external_lex_state = 2},
  [620] = {.lex_state = 96, .external_lex_state = 2},
  [621] = {.lex_state = 96, .external_lex_state = 2},
  [622] = {.lex_state = 96, .external_lex_state = 2},
  [623] = {.lex_state = 96, .external_lex_state = 2},
  [624] = {.lex_state = 96, .external_lex_state = 2},
  [625] = {.lex_state = 96, .external_lex_state = 2},
  [626] = {.lex_state = 96, .external_lex_state = 2},
  [627] = {.lex_state = 96, .external_lex_state = 2},
  [628] = {.lex_state = 96, .external_lex_state = 2},
  [629] = {.lex_state = 96, .external_lex_state = 2},
  [630] = {.lex_state = 96, .external_lex_state = 2},
  [631] = {.lex_state = 96, .external_lex_state = 2},
  [632] = {.lex_state = 96, .external_lex_state = 2},
  [633] = {.lex_state = 96, .external_lex_state = 2},
  [634] = {.lex_state = 96, .external_lex_state = 2},
  [635] = {.lex_state = 96, .external_lex_state = 2},
  [636] = {.lex_state = 96, .external_lex_state = 2},
  [637] = {.lex_state = 96, .external_lex_state = 2},
  [638] = {.lex_state = 96, .external_lex_state = 2},
  [639] = {.lex_state = 96, .external_lex_state = 2},
  [640] = {.lex_state = 96, .external_lex_state = 2},
  [641] = {.lex_state = 96, .external_lex_state = 2},
  [642] = {.lex_state = 96, .external_lex_state = 2},
  [643] = {.lex_state = 96, .external_lex_state = 2},
  [644] = {.lex_state = 96, .external_lex_state = 2},
  [645] = {.lex_state = 96, .external_lex_state = 2},
  [646] = {.lex_state = 96, .external_lex_state = 2},
  [647] = {.lex_state = 96, .external_lex_state = 2},
  [648] = {.lex_state = 96, .external_lex_state = 2},
  [649] = {.lex_state = 96, .external_lex_state = 2},
  [650] = {.lex_state = 96, .external_lex_state = 2},
  [651] = {.lex_state = 96, .external_lex_state = 2},
  [652] = {.lex_state = 96, .external_lex_state = 2},
  [653] = {.lex_state = 96, .external_lex_state = 2},
  [654] = {.lex_state = 96, .external_lex_state = 2},
  [655] = {.lex_state = 96, .external_lex_state = 2},
  [656] = {.lex_state = 96, .external_lex_state = 2},
  [657] = {.lex_state = 96, .external_lex_state = 2},
  [658] = {.lex_state = 96, .external_lex_state = 2},
  [659] = {.lex_state = 96, .external_lex_state = 2},
  [660] = {.lex_state = 96, .external_lex_state = 2},
  [661] = {.lex_state = 96, .external_lex_state = 2},
  [662] = {.lex_state = 96, .external_lex_state = 2},
  [663] = {.lex_state = 96, .external_lex_state = 2},
  [664] = {.lex_state = 96, .external_lex_state = 2},
  [665] = {.lex_state = 96, .external_lex_state = 2},
  [666] = {.lex_state = 96, .external_lex_state = 2},
  [667] = {.lex_state = 6, .external_lex_state = 4},
  [668] = {.lex_state = 6, .external_lex_state = 4},
  [669] = {.lex_state = 6, .external_lex_state = 4},
  [670] = {.lex_state = 5, .external_lex_state = 4},
  [671] = {.lex_state = 5, .external_lex_state = 4},
  [672] = {.lex_state = 5, .external_lex_state = 4},
  [673] = {.lex_state = 5, .external_lex_state = 4},
  [674] = {.lex_state = 5, .external_lex_state = 4},
  [675] = {.lex_state = 5, .external_lex_state = 4},
  [676] = {.lex_state = 6, .external_lex_state = 4},
  [677] = {.lex_state = 6, .external_lex_state = 4},
  [678] = {.lex_state = 5, .external_lex_state = 4},
  [679] = {.lex_state = 5, .external_lex_state = 4},
  [680] = {.lex_state = 5, .external_lex_state = 4},
  [681] = {.lex_state = 5, .external_lex_state = 4},
  [682] = {.lex_state = 96, .external_lex_state = 2},
  [683] = {.lex_state = 5, .external_lex_state = 4},
  [684] = {.lex_state = 5, .external_lex_state = 4},
  [685] = {.lex_state = 5, .external_lex_state = 4},
  [686] = {.lex_state = 96, .external_lex_state = 2},
  [687] = {.lex_state = 5, .external_lex_state = 4},
  [688] = {.lex_state = 5, .external_lex_state = 4},
  [689] = {.lex_state = 96, .external_lex_state = 2},
  [690] = {.lex_state = 96, .external_lex_state = 2},
  [691] = {.lex_state = 96, .external_lex_state = 2},
  [692] = {.lex_state = 96, .external_lex_state = 2},
  [693] = {.lex_state = 5, .external_lex_state = 4},
  [694] = {.lex_state = 96, .external_lex_state = 2},
  [695] = {.lex_state = 5, .external_lex_state = 4},
  [696] = {.lex_state = 5, .external_lex_state = 4},
  [697] = {.lex_state = 5, .external_lex_state = 4},
  [698] = {.lex_state = 5, .external_lex_state = 4},
  [699] = {.lex_state = 5, .external_lex_state = 4},
  [700] = {.lex_state = 5, .external_lex_state = 4},
  [701] = {.lex_state = 5, .external_lex_state = 4},
  [702] = {.lex_state = 5, .external_lex_state = 4},
  [703] = {.lex_state = 5, .external_lex_state = 4},
  [704] = {.lex_state = 5, .external_lex_state = 3},
  [705] = {.lex_state = 5, .external_lex_state = 3},
  [706] = {.lex_state = 5, .external_lex_state = 4},
  [707] = {.lex_state = 5, .external_lex_state = 3},
  [708] = {.lex_state = 5, .external_lex_state = 4},
  [709] = {.lex_state = 5, .external_lex_state = 3},
  [710] = {.lex_state = 5, .external_lex_state = 4},
  [711] = {.lex_state = 5, .external_lex_state = 4},
  [712] = {.lex_state = 5, .external_lex_state = 3},
  [713] = {.lex_state = 5, .external_lex_state = 4},
  [714] = {.lex_state = 5, .external_lex_state = 3},
  [715] = {.lex_state = 5, .external_lex_state = 4},
  [716] = {.lex_state = 5, .external_lex_state = 4},
  [717] = {.lex_state = 5, .external_lex_state = 3},
  [718] = {.lex_state = 5, .external_lex_state = 3},
  [719] = {.lex_state = 96, .external_lex_state = 5},
  [720] = {.lex_state = 5, .external_lex_state = 3},
  [721] = {.lex_state = 5, .external_lex_state = 3},
  [722] = {.lex_state = 6, .external_lex_state = 3},
  [723] = {.lex_state = 96, .external_lex_state = 2},
  [724] = {.lex_state = 96, .external_lex_state = 5},
  [725] = {.lex_state = 6, .external_lex_state = 3},
  [726] = {.lex_state = 5, .external_lex_state = 3},
  [727] = {.lex_state = 96, .external_lex_state = 5},
  [728] = {.lex_state = 96, .external_lex_state = 5},
  [729] = {.lex_state = 96, .external_lex_state = 5},
  [730] = {.lex_state = 5, .external_lex_state = 4},
  [731] = {.lex_state = 5, .external_lex_state = 4},
  [732] = {.lex_state = 96, .external_lex_state = 2},
  [733] = {.lex_state = 5, .external_lex_state = 3},
  [734] = {.lex_state = 96, .external_lex_state = 5},
  [735] = {.lex_state = 96, .external_lex_state = 2},
  [736] = {.lex_state = 5, .external_lex_state = 4},
  [737] = {.lex_state = 96, .external_lex_state = 5},
  [738] = {.lex_state = 5, .external_lex_state = 4},
  [739] = {.lex_state = 96, .external_lex_state = 5},
  [740] = {.lex_state = 5, .external_lex_state = 4},
  [741] = {.lex_state = 5, .external_lex_state = 3},
  [742] = {.lex_state = 5, .external_lex_state = 3},
  [743] = {.lex_state = 96, .external_lex_state = 2},
  [744] = {.lex_state = 5, .external_lex_state = 3},
  [745] = {.lex_state = 5, .external_lex_state = 3},
  [746] = {.lex_state = 96, .external_lex_state = 2},
  [747] = {.lex_state = 5, .external_lex_state = 3},
  [748] = {.lex_state = 5, .external_lex_state = 3},
  [749] = {.lex_state = 5, .external_lex_state = 3},
  [750] = {.lex_state = 5, .external_lex_state = 3},
  [751] = {.lex_state = 5, .external_lex_state = 3},
  [752] = {.lex_state = 96, .external_lex_state = 2},
  [753] = {.lex_state = 5, .external_lex_state = 3},
  [754] = {.lex_state = 96, .external_lex_state = 2},
  [755] = {.lex_state = 96, .external_lex_state = 5},
  [756] = {.lex_state = 5, .external_lex_state = 3},
  [757] = {.lex_state = 96, .external_lex_state = 5},
  [758] = {.lex_state = 96, .external_lex_state = 2},
  [759] = {.lex_state = 96, .external_lex_state = 2},
  [760] = {.lex_state = 5, .external_lex_state = 3},
  [761] = {.lex_state = 96, .external_lex_state = 5},
  [762] = {.lex_state = 5, .external_lex_state = 3},
  [763] = {.lex_state = 96, .external_lex_state = 5},
  [764] = {.lex_state = 96, .external_lex_state = 5},
  [765] = {.lex_state = 96, .external_lex_state = 5},
  [766] = {.lex_state = 96, .external_lex_state = 2},
  [767] = {.lex_state = 96, .external_lex_state = 5},
  [768] = {.lex_state = 96, .external_lex_state = 2},
  [769] = {.lex_state = 5, .external_lex_state = 3},
  [770] = {.lex_state = 5, .external_lex_state = 3},
  [771] = {.lex_state = 96, .external_lex_state = 5},
  [772] = {.lex_state = 96, .external_lex_state = 5},
  [773] = {.lex_state = 96, .external_lex_state = 2},
  [774] = {.lex_state = 96, .external_lex_state = 5},
  [775] = {.lex_state = 5, .external_lex_state = 3},
  [776] = {.lex_state = 5, .external_lex_state = 3},
  [777] = {.lex_state = 96, .external_lex_state = 2},
  [778] = {.lex_state = 5, .external_lex_state = 3},
  [779] = {.lex_state = 5, .external_lex_state = 3},
  [780] = {.lex_state = 96, .external_lex_state = 5},
  [781] = {.lex_state = 96, .external_lex_state = 5},
  [782] = {.lex_state = 96, .external_lex_state = 5},
  [783] = {.lex_state = 96, .external_lex_state = 5},
  [784] = {.lex_state = 96, .external_lex_state = 2},
  [785] = {.lex_state = 96, .external_lex_state = 2},
  [786] = {.lex_state = 5, .external_lex_state = 3},
  [787] = {.lex_state = 96, .external_lex_state = 5},
  [788] = {.lex_state = 96, .external_lex_state = 2},
  [789] = {.lex_state = 96, .external_lex_state = 2},
  [790] = {.lex_state = 96, .external_lex_state = 2},
  [791] = {.lex_state = 96, .external_lex_state = 2},
  [792] = {.lex_state = 14, .external_lex_state = 2},
  [793] = {.lex_state = 96, .external_lex_state = 2},
  [794] = {.lex_state = 96, .external_lex_state = 2},
  [795] = {.lex_state = 96, .external_lex_state = 2},
  [796] = {.lex_state = 96, .external_lex_state = 2},
  [797] = {.lex_state = 96, .external_lex_state = 2},
  [798] = {.lex_state = 14, .external_lex_state = 2},
  [799] = {.lex_state = 96, .external_lex_state = 2},
  [800] = {.lex_state = 96, .external_lex_state = 2},
  [801] = {.lex_state = 96, .external_lex_state = 2},
  [802] = {.lex_state = 96, .external_lex_state = 2},
  [803] = {.lex_state = 96, .external_lex_state = 2},
  [804] = {.lex_state = 96, .external_lex_state = 2},
  [805] = {.lex_state = 96, .external_lex_state = 2},
  [806] = {.lex_state = 96, .external_lex_state = 2},
  [807] = {.lex_state = 96, .external_lex_state = 2},
  [808] = {.lex_state = 96, .external_lex_state = 2},
  [809] = {.lex_state = 96, .external_lex_state = 2},
  [810] = {.lex_state = 96, .external_lex_state = 2},
  [811] = {.lex_state = 96, .external_lex_state = 2},
  [812] = {.lex_state = 96, .external_lex_state = 2},
  [813] = {.lex_state = 96, .external_lex_state = 2},
  [814] = {.lex_state = 96, .external_lex_state = 2},
  [815] = {.lex_state = 96, .external_lex_state = 2},
  [816] = {.lex_state = 96, .external_lex_state = 2},
  [817] = {.lex_state = 96, .external_lex_state = 2},
  [818] = {.lex_state = 96, .external_lex_state = 2},
  [819] = {.lex_state = 96, .external_lex_state = 2},
  [820] = {.lex_state = 96, .external_lex_state = 2},
  [821] = {.lex_state = 96, .external_lex_state = 2},
  [822] = {.lex_state = 96, .external_lex_state = 2},
  [823] = {.lex_state = 96, .external_lex_state = 2},
  [824] = {.lex_state = 96, .external_lex_state = 2},
  [825] = {.lex_state = 96, .external_lex_state = 2},
  [826] = {.lex_state = 14, .external_lex_state = 2},
  [827] = {.lex_state = 96, .external_lex_state = 2},
  [828] = {.lex_state = 96, .external_lex_state = 2},
  [829] = {.lex_state = 96, .external_lex_state = 2},
  [830] = {.lex_state = 96, .external_lex_state = 2},
  [831] = {.lex_state = 96, .external_lex_state = 2},
  [832] = {.lex_state = 96, .external_lex_state = 2},
  [833] = {.lex_state = 96, .external_lex_state = 2},
  [834] = {.lex_state = 96, .external_lex_state = 2},
  [835] = {.lex_state = 96, .external_lex_state = 2},
  [836] = {.lex_state = 96, .external_lex_state = 2},
  [837] = {.lex_state = 96, .external_lex_state = 2},
  [838] = {.lex_state = 96, .external_lex_state = 2},
  [839] = {.lex_state = 96, .external_lex_state = 2},
  [840] = {.lex_state = 96, .external_lex_state = 2},
  [841] = {.lex_state = 96, .external_lex_state = 2},
  [842] = {.lex_state = 96, .external_lex_state = 2},
  [843] = {.lex_state = 96, .external_lex_state = 2},
  [844] = {.lex_state = 96, .external_lex_state = 2},
  [845] = {.lex_state = 96, .external_lex_state = 2},
  [846] = {.lex_state = 96, .external_lex_state = 2},
  [847] = {.lex_state = 96, .external_lex_state = 2},
  [848] = {.lex_state = 96, .external_lex_state = 2},
  [849] = {.lex_state = 96, .external_lex_state = 2},
  [850] = {.lex_state = 96, .external_lex_state = 2},
  [851] = {.lex_state = 96, .external_lex_state = 2},
  [852] = {.lex_state = 96, .external_lex_state = 2},
  [853] = {.lex_state = 96, .external_lex_state = 2},
  [854] = {.lex_state = 96, .external_lex_state = 2},
  [855] = {.lex_state = 96, .external_lex_state = 2},
  [856] = {.lex_state = 96, .external_lex_state = 2},
  [857] = {.lex_state = 96, .external_lex_state = 2},
  [858] = {.lex_state = 96, .external_lex_state = 2},
  [859] = {.lex_state = 96, .external_lex_state = 2},
  [860] = {.lex_state = 96, .external_lex_state = 2},
  [861] = {.lex_state = 96, .external_lex_state = 2},
  [862] = {.lex_state = 96, .external_lex_state = 2},
  [863] = {.lex_state = 96, .external_lex_state = 2},
  [864] = {.lex_state = 96, .external_lex_state = 2},
  [865] = {.lex_state = 96, .external_lex_state = 2},
  [866] = {.lex_state = 96, .external_lex_state = 2},
  [867] = {.lex_state = 96, .external_lex_state = 2},
  [868] = {.lex_state = 96, .external_lex_state = 2},
  [869] = {.lex_state = 96, .external_lex_state = 2},
  [870] = {.lex_state = 96, .external_lex_state = 2},
  [871] = {.lex_state = 96, .external_lex_state = 2},
  [872] = {.lex_state = 96, .external_lex_state = 2},
  [873] = {.lex_state = 96, .external_lex_state = 2},
  [874] = {.lex_state = 14, .external_lex_state = 2},
  [875] = {.lex_state = 96, .external_lex_state = 2},
  [876] = {.lex_state = 96, .external_lex_state = 2},
  [877] = {.lex_state = 96, .external_lex_state = 2},
  [878] = {.lex_state = 96, .external_lex_state = 2},
  [879] = {.lex_state = 96, .external_lex_state = 2},
  [880] = {.lex_state = 96, .external_lex_state = 2},
  [881] = {.lex_state = 96, .external_lex_state = 2},
  [882] = {.lex_state = 96, .external_lex_state = 2},
  [883] = {.lex_state = 96, .external_lex_state = 2},
  [884] = {.lex_state = 96, .external_lex_state = 2},
  [885] = {.lex_state = 96, .external_lex_state = 2},
  [886] = {.lex_state = 96, .external_lex_state = 2},
  [887] = {.lex_state = 96, .external_lex_state = 2},
  [888] = {.lex_state = 96, .external_lex_state = 2},
  [889] = {.lex_state = 96, .external_lex_state = 2},
  [890] = {.lex_state = 96, .external_lex_state = 2},
  [891] = {.lex_state = 96, .external_lex_state = 2},
  [892] = {.lex_state = 96, .external_lex_state = 2},
  [893] = {.lex_state = 96, .external_lex_state = 2},
  [894] = {.lex_state = 96, .external_lex_state = 2},
  [895] = {.lex_state = 96, .external_lex_state = 2},
  [896] = {.lex_state = 96, .external_lex_state = 2},
  [897] = {.lex_state = 96, .external_lex_state = 2},
  [898] = {.lex_state = 96, .external_lex_state = 2},
  [899] = {.lex_state = 96, .external_lex_state = 2},
  [900] = {.lex_state = 96, .external_lex_state = 2},
  [901] = {.lex_state = 96, .external_lex_state = 2},
  [902] = {.lex_state = 96, .external_lex_state = 2},
  [903] = {.lex_state = 96, .external_lex_state = 2},
  [904] = {.lex_state = 14, .external_lex_state = 2},
  [905] = {.lex_state = 96, .external_lex_state = 2},
  [906] = {.lex_state = 96, .external_lex_state = 2},
  [907] = {.lex_state = 96, .external_lex_state = 2},
  [908] = {.lex_state = 96, .external_lex_state = 2},
  [909] = {.lex_state = 14, .external_lex_state = 2},
  [910] = {.lex_state = 14, .external_lex_state = 2},
  [911] = {.lex_state = 14, .external_lex_state = 2},
  [912] = {.lex_state = 14, .external_lex_state = 2},
  [913] = {.lex_state = 14, .external_lex_state = 2},
  [914] = {.lex_state = 14, .external_lex_state = 2},
  [915] = {.lex_state = 14, .external_lex_state = 2},
  [916] = {.lex_state = 14, .external_lex_state = 2},
  [917] = {.lex_state = 14, .external_lex_state = 2},
  [918] = {.lex_state = 14, .external_lex_state = 2},
  [919] = {.lex_state = 14, .external_lex_state = 2},
  [920] = {.lex_state = 96, .external_lex_state = 2},
  [921] = {.lex_state = 96, .external_lex_state = 2},
  [922] = {.lex_state = 96, .external_lex_state = 2},
  [923] = {.lex_state = 96, .external_lex_state = 2},
  [924] = {.lex_state = 96, .external_lex_state = 2},
  [925] = {.lex_state = 96, .external_lex_state = 2},
  [926] = {.lex_state = 96, .external_lex_state = 2},
  [927] = {.lex_state = 96, .external_lex_state = 2},
  [928] = {.lex_state = 96, .external_lex_state = 2},
  [929] = {.lex_state = 96, .external_lex_state = 2},
  [930] = {.lex_state = 96, .external_lex_state = 2},
  [931] = {.lex_state = 96, .external_lex_state = 2},
  [932] = {.lex_state = 96, .external_lex_state = 2},
  [933] = {.lex_state = 14, .external_lex_state = 2},
  [934] = {.lex_state = 14, .external_lex_state = 2},
  [935] = {.lex_state = 14, .external_lex_state = 2},
  [936] = {.lex_state = 14, .external_lex_state = 2},
  [937] = {.lex_state = 14, .external_lex_state = 2},
  [938] = {.lex_state = 14, .external_lex_state = 2},
  [939] = {.lex_state = 14, .external_lex_state = 2},
  [940] = {.lex_state = 14, .external_lex_state = 2},
  [941] = {.lex_state = 14, .external_lex_state = 2},
  [942] = {.lex_state = 14, .external_lex_state = 2},
  [943] = {.lex_state = 14, .external_lex_state = 2},
  [944] = {.lex_state = 14, .external_lex_state = 2},
  [945] = {.lex_state = 14, .external_lex_state = 2},
  [946] = {.lex_state = 14, .external_lex_state = 2},
  [947] = {.lex_state = 14, .external_lex_state = 2},
  [948] = {.lex_state = 14, .external_lex_state = 2},
  [949] = {.lex_state = 14, .external_lex_state = 2},
  [950] = {.lex_state = 13, .external_lex_state = 2},
  [951] = {.lex_state = 13, .external_lex_state = 2},
  [952] = {.lex_state = 13, .external_lex_state = 2},
  [953] = {.lex_state = 14, .external_lex_state = 2},
  [954] = {.lex_state = 14, .external_lex_state = 2},
  [955] = {.lex_state = 14, .external_lex_state = 2},
  [956] = {.lex_state = 14, .external_lex_state = 2},
  [957] = {.lex_state = 14, .external_lex_state = 2},
  [958] = {.lex_state = 14, .external_lex_state = 2},
  [959] = {.lex_state = 14, .external_lex_state = 2},
  [960] = {.lex_state = 14, .external_lex_state = 2},
  [961] = {.lex_state = 14, .external_lex_state = 2},
  [962] = {.lex_state = 14, .external_lex_state = 2},
  [963] = {.lex_state = 14, .external_lex_state = 2},
  [964] = {.lex_state = 14, .external_lex_state = 2},
  [965] = {.lex_state = 14, .external_lex_state = 2},
  [966] = {.lex_state = 14, .external_lex_state = 2},
  [967] = {.lex_state = 14, .external_lex_state = 2},
  [968] = {.lex_state = 14, .external_lex_state = 2},
  [969] = {.lex_state = 14, .external_lex_state = 2},
  [970] = {.lex_state = 14, .external_lex_state = 2},
  [971] = {.lex_state = 14, .external_lex_state = 2},
  [972] = {.lex_state = 14, .external_lex_state = 2},
  [973] = {.lex_state = 14, .external_lex_state = 2},
  [974] = {.lex_state = 14, .external_lex_state = 2},
  [975] = {.lex_state = 14, .external_lex_state = 2},
  [976] = {.lex_state = 14, .external_lex_state = 2},
  [977] = {.lex_state = 14, .external_lex_state = 2},
  [978] = {.lex_state = 14, .external_lex_state = 2},
  [979] = {.lex_state = 14, .external_lex_state = 2},
  [980] = {.lex_state = 14, .external_lex_state = 2},
  [981] = {.lex_state = 14, .external_lex_state = 2},
  [982] = {.lex_state = 14, .external_lex_state = 2},
  [983] = {.lex_state = 14, .external_lex_state = 2},
  [984] = {.lex_state = 14, .external_lex_state = 2},
  [985] = {.lex_state = 14, .external_lex_state = 2},
  [986] = {.lex_state = 14, .external_lex_state = 2},
  [987] = {.lex_state = 14, .external_lex_state = 2},
  [988] = {.lex_state = 14, .external_lex_state = 2},
  [989] = {.lex_state = 14, .external_lex_state = 2},
  [990] = {.lex_state = 14, .external_lex_state = 2},
  [991] = {.lex_state = 14, .external_lex_state = 2},
  [992] = {.lex_state = 14, .external_lex_state = 2},
  [993] = {.lex_state = 14, .external_lex_state = 2},
  [994] = {.lex_state = 14, .external_lex_state = 2},
  [995] = {.lex_state = 14, .external_lex_state = 2},
  [996] = {.lex_state = 14, .external_lex_state = 2},
  [997] = {.lex_state = 14, .external_lex_state = 2},
  [998] = {.lex_state = 14, .external_lex_state = 2},
  [999] = {.lex_state = 14, .external_lex_state = 2},
  [1000] = {.lex_state = 14, .external_lex_state = 2},
  [1001] = {.lex_state = 14, .external_lex_state = 2},
  [1002] = {.lex_state = 14, .external_lex_state = 2},
  [1003] = {.lex_state = 14, .external_lex_state = 2},
  [1004] = {.lex_state = 14, .external_lex_state = 2},
  [1005] = {.lex_state = 14, .external_lex_state = 2},
  [1006] = {.lex_state = 14, .external_lex_state = 2},
  [1007] = {.lex_state = 14, .external_lex_state = 2},
  [1008] = {.lex_state = 14, .external_lex_state = 2},
  [1009] = {.lex_state = 14, .external_lex_state = 2},
  [1010] = {.lex_state = 14, .external_lex_state = 2},
  [1011] = {.lex_state = 14, .external_lex_state = 2},
  [1012] = {.lex_state = 14, .external_lex_state = 2},
  [1013] = {.lex_state = 14, .external_lex_state = 2},
  [1014] = {.lex_state = 14, .external_lex_state = 2},
  [1015] = {.lex_state = 14, .external_lex_state = 2},
  [1016] = {.lex_state = 14, .external_lex_state = 2},
  [1017] = {.lex_state = 14, .external_lex_state = 2},
  [1018] = {.lex_state = 14, .external_lex_state = 2},
  [1019] = {.lex_state = 14, .external_lex_state = 2},
  [1020] = {.lex_state = 14, .external_lex_state = 2},
  [1021] = {.lex_state = 14, .external_lex_state = 2},
  [1022] = {.lex_state = 14, .external_lex_state = 2},
  [1023] = {.lex_state = 14, .external_lex_state = 2},
  [1024] = {.lex_state = 14, .external_lex_state = 2},
  [1025] = {.lex_state = 14, .external_lex_state = 2},
  [1026] = {.lex_state = 14, .external_lex_state = 2},
  [1027] = {.lex_state = 14, .external_lex_state = 2},
  [1028] = {.lex_state = 14, .external_lex_state = 2},
  [1029] = {.lex_state = 14, .external_lex_state = 2},
  [1030] = {.lex_state = 14, .external_lex_state = 2},
  [1031] = {.lex_state = 14, .external_lex_state = 2},
  [1032] = {.lex_state = 14, .external_lex_state = 2},
  [1033] = {.lex_state = 14, .external_lex_state = 2},
  [1034] = {.lex_state = 14, .external_lex_state = 2},
  [1035] = {.lex_state = 14, .external_lex_state = 2},
  [1036] = {.lex_state = 14, .external_lex_state = 2},
  [1037] = {.lex_state = 14, .external_lex_state = 2},
  [1038] = {.lex_state = 14, .external_lex_state = 2},
  [1039] = {.lex_state = 14, .external_lex_state = 2},
  [1040] = {.lex_state = 14, .external_lex_state = 2},
  [1041] = {.lex_state = 14, .external_lex_state = 2},
  [1042] = {.lex_state = 14, .external_lex_state = 2},
  [1043] = {.lex_state = 14, .external_lex_state = 2},
  [1044] = {.lex_state = 14, .external_lex_state = 2},
  [1045] = {.lex_state = 14, .external_lex_state = 2},
  [1046] = {.lex_state = 14, .external_lex_state = 2},
  [1047] = {.lex_state = 14, .external_lex_state = 2},
  [1048] = {.lex_state = 14, .external_lex_state = 2},
  [1049] = {.lex_state = 14, .external_lex_state = 2},
  [1050] = {.lex_state = 14, .external_lex_state = 2},
  [1051] = {.lex_state = 14, .external_lex_state = 2},
  [1052] = {.lex_state = 14, .external_lex_state = 2},
  [1053] = {.lex_state = 14, .external_lex_state = 2},
  [1054] = {.lex_state = 14, .external_lex_state = 2},
  [1055] = {.lex_state = 14, .external_lex_state = 2},
  [1056] = {.lex_state = 14, .external_lex_state = 2},
  [1057] = {.lex_state = 14, .external_lex_state = 2},
  [1058] = {.lex_state = 14, .external_lex_state = 2},
  [1059] = {.lex_state = 14, .external_lex_state = 2},
  [1060] = {.lex_state = 14, .external_lex_state = 2},
  [1061] = {.lex_state = 14, .external_lex_state = 2},
  [1062] = {.lex_state = 14, .external_lex_state = 2},
  [1063] = {.lex_state = 14, .external_lex_state = 2},
  [1064] = {.lex_state = 14, .external_lex_state = 2},
  [1065] = {.lex_state = 14, .external_lex_state = 2},
  [1066] = {.lex_state = 14, .external_lex_state = 2},
  [1067] = {.lex_state = 14, .external_lex_state = 2},
  [1068] = {.lex_state = 14, .external_lex_state = 2},
  [1069] = {.lex_state = 14, .external_lex_state = 2},
  [1070] = {.lex_state = 14, .external_lex_state = 2},
  [1071] = {.lex_state = 14, .external_lex_state = 2},
  [1072] = {.lex_state = 14, .external_lex_state = 2},
  [1073] = {.lex_state = 14, .external_lex_state = 2},
  [1074] = {.lex_state = 14, .external_lex_state = 2},
  [1075] = {.lex_state = 14, .external_lex_state = 2},
  [1076] = {.lex_state = 14, .external_lex_state = 2},
  [1077] = {.lex_state = 14, .external_lex_state = 2},
  [1078] = {.lex_state = 14, .external_lex_state = 2},
  [1079] = {.lex_state = 14, .external_lex_state = 2},
  [1080] = {.lex_state = 14, .external_lex_state = 2},
  [1081] = {.lex_state = 14, .external_lex_state = 2},
  [1082] = {.lex_state = 14, .external_lex_state = 2},
  [1083] = {.lex_state = 14, .external_lex_state = 2},
  [1084] = {.lex_state = 14, .external_lex_state = 2},
  [1085] = {.lex_state = 14, .external_lex_state = 2},
  [1086] = {.lex_state = 14, .external_lex_state = 2},
  [1087] = {.lex_state = 14, .external_lex_state = 2},
  [1088] = {.lex_state = 14, .external_lex_state = 2},
  [1089] = {.lex_state = 14, .external_lex_state = 2},
  [1090] = {.lex_state = 14, .external_lex_state = 2},
  [1091] = {.lex_state = 14, .external_lex_state = 2},
  [1092] = {.lex_state = 14, .external_lex_state = 2},
  [1093] = {.lex_state = 14, .external_lex_state = 2},
  [1094] = {.lex_state = 14, .external_lex_state = 2},
  [1095] = {.lex_state = 14, .external_lex_state = 2},
  [1096] = {.lex_state = 14, .external_lex_state = 2},
  [1097] = {.lex_state = 14, .external_lex_state = 2},
  [1098] = {.lex_state = 14, .external_lex_state = 2},
  [1099] = {.lex_state = 14, .external_lex_state = 2},
  [1100] = {.lex_state = 14, .external_lex_state = 2},
  [1101] = {.lex_state = 14, .external_lex_state = 2},
  [1102] = {.lex_state = 14, .external_lex_state = 2},
  [1103] = {.lex_state = 14, .external_lex_state = 2},
  [1104] = {.lex_state = 14, .external_lex_state = 2},
  [1105] = {.lex_state = 14, .external_lex_state = 2},
  [1106] = {.lex_state = 14, .external_lex_state = 2},
  [1107] = {.lex_state = 14, .external_lex_state = 2},
  [1108] = {.lex_state = 14, .external_lex_state = 2},
  [1109] = {.lex_state = 14, .external_lex_state = 2},
  [1110] = {.lex_state = 14, .external_lex_state = 2},
  [1111] = {.lex_state = 14, .external_lex_state = 2},
  [1112] = {.lex_state = 14, .external_lex_state = 2},
  [1113] = {.lex_state = 14, .external_lex_state = 2},
  [1114] = {.lex_state = 14, .external_lex_state = 2},
  [1115] = {.lex_state = 14, .external_lex_state = 2},
  [1116] = {.lex_state = 14, .external_lex_state = 2},
  [1117] = {.lex_state = 14, .external_lex_state = 2},
  [1118] = {.lex_state = 14, .external_lex_state = 2},
  [1119] = {.lex_state = 14, .external_lex_state = 2},
  [1120] = {.lex_state = 14, .external_lex_state = 2},
  [1121] = {.lex_state = 14, .external_lex_state = 2},
  [1122] = {.lex_state = 14, .external_lex_state = 2},
  [1123] = {.lex_state = 14, .external_lex_state = 2},
  [1124] = {.lex_state = 96, .external_lex_state = 2},
  [1125] = {.lex_state = 12, .external_lex_state = 2},
  [1126] = {.lex_state = 96, .external_lex_state = 2},
  [1127] = {.lex_state = 12, .external_lex_state = 2},
  [1128] = {.lex_state = 12, .external_lex_state = 2},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 12, .external_lex_state = 2},
  [1131] = {.lex_state = 12, .external_lex_state = 2},
  [1132] = {.lex_state = 12, .external_lex_state = 2},
  [1133] = {.lex_state = 12, .external_lex_state = 2},
  [1134] = {.lex_state = 96, .external_lex_state = 2},
  [1135] = {.lex_state = 12, .external_lex_state = 2},
  [1136] = {.lex_state = 12, .external_lex_state = 2},
  [1137] = {.lex_state = 12, .external_lex_state = 2},
  [1138] = {.lex_state = 12, .external_lex_state = 2},
  [1139] = {.lex_state = 6, .external_lex_state = 4},
  [1140] = {.lex_state = 5, .external_lex_state = 4},
  [1141] = {.lex_state = 5, .external_lex_state = 4},
  [1142] = {.lex_state = 6, .external_lex_state = 4},
  [1143] = {.lex_state = 5, .external_lex_state = 4},
  [1144] = {.lex_state = 5, .external_lex_state = 4},
  [1145] = {.lex_state = 5, .external_lex_state = 4},
  [1146] = {.lex_state = 6, .external_lex_state = 4},
  [1147] = {.lex_state = 5, .external_lex_state = 4},
  [1148] = {.lex_state = 5, .external_lex_state = 3},
  [1149] = {.lex_state = 5, .external_lex_state = 3},
  [1150] = {.lex_state = 12, .external_lex_state = 2},
  [1151] = {.lex_state = 12, .external_lex_state = 2},
  [1152] = {.lex_state = 5, .external_lex_state = 4},
  [1153] = {.lex_state = 5, .external_lex_state = 4},
  [1154] = {.lex_state = 5, .external_lex_state = 3},
  [1155] = {.lex_state = 6, .external_lex_state = 4},
  [1156] = {.lex_state = 5, .external_lex_state = 3},
  [1157] = {.lex_state = 5, .external_lex_state = 4},
  [1158] = {.lex_state = 5, .external_lex_state = 3},
  [1159] = {.lex_state = 5, .external_lex_state = 3},
  [1160] = {.lex_state = 5, .external_lex_state = 4},
  [1161] = {.lex_state = 5, .external_lex_state = 4},
  [1162] = {.lex_state = 6, .external_lex_state = 4},
  [1163] = {.lex_state = 5, .external_lex_state = 4},
  [1164] = {.lex_state = 5, .external_lex_state = 4},
  [1165] = {.lex_state = 5, .external_lex_state = 4},
  [1166] = {.lex_state = 6, .external_lex_state = 4},
  [1167] = {.lex_state = 5, .external_lex_state = 4},
  [1168] = {.lex_state = 6, .external_lex_state = 3},
  [1169] = {.lex_state = 5, .external_lex_state = 4},
  [1170] = {.lex_state = 5, .external_lex_state = 3},
  [1171] = {.lex_state = 5, .external_lex_state = 3},
  [1172] = {.lex_state = 6, .external_lex_state = 3},
  [1173] = {.lex_state = 5, .external_lex_state = 3},
  [1174] = {.lex_state = 5, .external_lex_state = 4},
  [1175] = {.lex_state = 5, .external_lex_state = 3},
  [1176] = {.lex_state = 5, .external_lex_state = 4},
  [1177] = {.lex_state = 6, .external_lex_state = 4},
  [1178] = {.lex_state = 5, .external_lex_state = 4},
  [1179] = {.lex_state = 6, .external_lex_state = 3},
  [1180] = {.lex_state = 6, .external_lex_state = 3},
  [1181] = {.lex_state = 6, .external_lex_state = 3},
  [1182] = {.lex_state = 6, .external_lex_state = 4},
  [1183] = {.lex_state = 5, .external_lex_state = 4},
  [1184] = {.lex_state = 5, .external_lex_state = 4},
  [1185] = {.lex_state = 6, .external_lex_state = 3},
  [1186] = {.lex_state = 5, .external_lex_state = 4},
  [1187] = {.lex_state = 5, .external_lex_state = 4},
  [1188] = {.lex_state = 6, .external_lex_state = 3},
  [1189] = {.lex_state = 5, .external_lex_state = 3},
  [1190] = {.lex_state = 5, .external_lex_state = 4},
  [1191] = {.lex_state = 5, .external_lex_state = 4},
  [1192] = {.lex_state = 6, .external_lex_state = 3},
  [1193] = {.lex_state = 6, .external_lex_state = 3},
  [1194] = {.lex_state = 6, .external_lex_state = 3},
  [1195] = {.lex_state = 5, .external_lex_state = 4},
  [1196] = {.lex_state = 5, .external_lex_state = 4},
  [1197] = {.lex_state = 5, .external_lex_state = 3},
  [1198] = {.lex_state = 5, .external_lex_state = 4},
  [1199] = {.lex_state = 5, .external_lex_state = 3},
  [1200] = {.lex_state = 5, .external_lex_state = 4},
  [1201] = {.lex_state = 5, .external_lex_state = 4},
  [1202] = {.lex_state = 6, .external_lex_state = 3},
  [1203] = {.lex_state = 5, .external_lex_state = 3},
  [1204] = {.lex_state = 96, .external_lex_state = 2},
  [1205] = {.lex_state = 5, .external_lex_state = 4},
  [1206] = {.lex_state = 5, .external_lex_state = 3},
  [1207] = {.lex_state = 5, .external_lex_state = 4},
  [1208] = {.lex_state = 5, .external_lex_state = 4},
  [1209] = {.lex_state = 5, .external_lex_state = 3},
  [1210] = {.lex_state = 5, .external_lex_state = 3},
  [1211] = {.lex_state = 5, .external_lex_state = 3},
  [1212] = {.lex_state = 5, .external_lex_state = 3},
  [1213] = {.lex_state = 5, .external_lex_state = 3},
  [1214] = {.lex_state = 6, .external_lex_state = 3},
  [1215] = {.lex_state = 6, .external_lex_state = 3},
  [1216] = {.lex_state = 6, .external_lex_state = 3},
  [1217] = {.lex_state = 5, .external_lex_state = 3},
  [1218] = {.lex_state = 5, .external_lex_state = 3},
  [1219] = {.lex_state = 5, .external_lex_state = 3},
  [1220] = {.lex_state = 5, .external_lex_state = 3},
  [1221] = {.lex_state = 5, .external_lex_state = 4},
  [1222] = {.lex_state = 5, .external_lex_state = 3},
  [1223] = {.lex_state = 5, .external_lex_state = 3},
  [1224] = {.lex_state = 5, .external_lex_state = 3},
  [1225] = {.lex_state = 96, .external_lex_state = 2},
  [1226] = {.lex_state = 5, .external_lex_state = 3},
  [1227] = {.lex_state = 5, .external_lex_state = 3},
  [1228] = {.lex_state = 96, .external_lex_state = 2},
  [1229] = {.lex_state = 5, .external_lex_state = 3},
  [1230] = {.lex_state = 6, .external_lex_state = 3},
  [1231] = {.lex_state = 5, .external_lex_state = 3},
  [1232] = {.lex_state = 5, .external_lex_state = 3},
  [1233] = {.lex_state = 5, .external_lex_state = 3},
  [1234] = {.lex_state = 5, .external_lex_state = 3},
  [1235] = {.lex_state = 6, .external_lex_state = 3},
  [1236] = {.lex_state = 5, .external_lex_state = 3},
  [1237] = {.lex_state = 5, .external_lex_state = 3},
  [1238] = {.lex_state = 5, .external_lex_state = 4},
  [1239] = {.lex_state = 5, .external_lex_state = 3},
  [1240] = {.lex_state = 5, .external_lex_state = 3},
  [1241] = {.lex_state = 5, .external_lex_state = 3},
  [1242] = {.lex_state = 5, .external_lex_state = 3},
  [1243] = {.lex_state = 5, .external_lex_state = 3},
  [1244] = {.lex_state = 5, .external_lex_state = 4},
  [1245] = {.lex_state = 5, .external_lex_state = 3},
  [1246] = {.lex_state = 5, .external_lex_state = 3},
  [1247] = {.lex_state = 5, .external_lex_state = 3},
  [1248] = {.lex_state = 5, .external_lex_state = 4},
  [1249] = {.lex_state = 96, .external_lex_state = 2},
  [1250] = {.lex_state = 5, .external_lex_state = 3},
  [1251] = {.lex_state = 96, .external_lex_state = 2},
  [1252] = {.lex_state = 6, .external_lex_state = 3},
  [1253] = {.lex_state = 5, .external_lex_state = 3},
  [1254] = {.lex_state = 5, .external_lex_state = 3},
  [1255] = {.lex_state = 5, .external_lex_state = 4},
  [1256] = {.lex_state = 5, .external_lex_state = 3},
  [1257] = {.lex_state = 5, .external_lex_state = 3},
  [1258] = {.lex_state = 5, .external_lex_state = 3},
  [1259] = {.lex_state = 5, .external_lex_state = 4},
  [1260] = {.lex_state = 5, .external_lex_state = 4},
  [1261] = {.lex_state = 5, .external_lex_state = 4},
  [1262] = {.lex_state = 5, .external_lex_state = 3},
  [1263] = {.lex_state = 5, .external_lex_state = 4},
  [1264] = {.lex_state = 5, .external_lex_state = 4},
  [1265] = {.lex_state = 5, .external_lex_state = 4},
  [1266] = {.lex_state = 5, .external_lex_state = 3},
  [1267] = {.lex_state = 5, .external_lex_state = 3},
  [1268] = {.lex_state = 96, .external_lex_state = 2},
  [1269] = {.lex_state = 5, .external_lex_state = 4},
  [1270] = {.lex_state = 5, .external_lex_state = 3},
  [1271] = {.lex_state = 5, .external_lex_state = 3},
  [1272] = {.lex_state = 96, .external_lex_state = 2},
  [1273] = {.lex_state = 96, .external_lex_state = 2},
  [1274] = {.lex_state = 5, .external_lex_state = 3},
  [1275] = {.lex_state = 5, .external_lex_state = 4},
  [1276] = {.lex_state = 5, .external_lex_state = 3},
  [1277] = {.lex_state = 5, .external_lex_state = 4},
  [1278] = {.lex_state = 5, .external_lex_state = 3},
  [1279] = {.lex_state = 5, .external_lex_state = 3},
  [1280] = {.lex_state = 5, .external_lex_state = 4},
  [1281] = {.lex_state = 5, .external_lex_state = 4},
  [1282] = {.lex_state = 5, .external_lex_state = 3},
  [1283] = {.lex_state = 5, .external_lex_state = 4},
  [1284] = {.lex_state = 5, .external_lex_state = 4},
  [1285] = {.lex_state = 5, .external_lex_state = 3},
  [1286] = {.lex_state = 5, .external_lex_state = 4},
  [1287] = {.lex_state = 5, .external_lex_state = 4},
  [1288] = {.lex_state = 5, .external_lex_state = 4},
  [1289] = {.lex_state = 5, .external_lex_state = 3},
  [1290] = {.lex_state = 5, .external_lex_state = 3},
  [1291] = {.lex_state = 5, .external_lex_state = 4},
  [1292] = {.lex_state = 5, .external_lex_state = 4},
  [1293] = {.lex_state = 5, .external_lex_state = 4},
  [1294] = {.lex_state = 5, .external_lex_state = 3},
  [1295] = {.lex_state = 5, .external_lex_state = 3},
  [1296] = {.lex_state = 5, .external_lex_state = 3},
  [1297] = {.lex_state = 5, .external_lex_state = 4},
  [1298] = {.lex_state = 5, .external_lex_state = 4},
  [1299] = {.lex_state = 5, .external_lex_state = 4},
  [1300] = {.lex_state = 5, .external_lex_state = 4},
  [1301] = {.lex_state = 5, .external_lex_state = 3},
  [1302] = {.lex_state = 5, .external_lex_state = 3},
  [1303] = {.lex_state = 5, .external_lex_state = 3},
  [1304] = {.lex_state = 5, .external_lex_state = 4},
  [1305] = {.lex_state = 5, .external_lex_state = 3},
  [1306] = {.lex_state = 5, .external_lex_state = 3},
  [1307] = {.lex_state = 5, .external_lex_state = 4},
  [1308] = {.lex_state = 5, .external_lex_state = 4},
  [1309] = {.lex_state = 5, .external_lex_state = 4},
  [1310] = {.lex_state = 5, .external_lex_state = 3},
  [1311] = {.lex_state = 5, .external_lex_state = 4},
  [1312] = {.lex_state = 6, .external_lex_state = 3},
  [1313] = {.lex_state = 5, .external_lex_state = 4},
  [1314] = {.lex_state = 5, .external_lex_state = 4},
  [1315] = {.lex_state = 5, .external_lex_state = 4},
  [1316] = {.lex_state = 5, .external_lex_state = 3},
  [1317] = {.lex_state = 5, .external_lex_state = 3},
  [1318] = {.lex_state = 5, .external_lex_state = 3},
  [1319] = {.lex_state = 5, .external_lex_state = 3},
  [1320] = {.lex_state = 5, .external_lex_state = 4},
  [1321] = {.lex_state = 5, .external_lex_state = 4},
  [1322] = {.lex_state = 5, .external_lex_state = 3},
  [1323] = {.lex_state = 5, .external_lex_state = 3},
  [1324] = {.lex_state = 5, .external_lex_state = 3},
  [1325] = {.lex_state = 5, .external_lex_state = 3},
  [1326] = {.lex_state = 5, .external_lex_state = 3},
  [1327] = {.lex_state = 5, .external_lex_state = 3},
  [1328] = {.lex_state = 5, .external_lex_state = 4},
  [1329] = {.lex_state = 5, .external_lex_state = 3},
  [1330] = {.lex_state = 5, .external_lex_state = 3},
  [1331] = {.lex_state = 5, .external_lex_state = 3},
  [1332] = {.lex_state = 5, .external_lex_state = 3},
  [1333] = {.lex_state = 5, .external_lex_state = 3},
  [1334] = {.lex_state = 5, .external_lex_state = 4},
  [1335] = {.lex_state = 5, .external_lex_state = 4},
  [1336] = {.lex_state = 5, .external_lex_state = 3},
  [1337] = {.lex_state = 5, .external_lex_state = 4},
  [1338] = {.lex_state = 6, .external_lex_state = 3},
  [1339] = {.lex_state = 5, .external_lex_state = 4},
  [1340] = {.lex_state = 6, .external_lex_state = 3},
  [1341] = {.lex_state = 5, .external_lex_state = 3},
  [1342] = {.lex_state = 5, .external_lex_state = 3},
  [1343] = {.lex_state = 5, .external_lex_state = 4},
  [1344] = {.lex_state = 5, .external_lex_state = 3},
  [1345] = {.lex_state = 5, .external_lex_state = 3},
  [1346] = {.lex_state = 5, .external_lex_state = 3},
  [1347] = {.lex_state = 5, .external_lex_state = 4},
  [1348] = {.lex_state = 5, .external_lex_state = 3},
  [1349] = {.lex_state = 5, .external_lex_state = 3},
  [1350] = {.lex_state = 6, .external_lex_state = 3},
  [1351] = {.lex_state = 6, .external_lex_state = 3},
  [1352] = {.lex_state = 5, .external_lex_state = 3},
  [1353] = {.lex_state = 5, .external_lex_state = 3},
  [1354] = {.lex_state = 5, .external_lex_state = 4},
  [1355] = {.lex_state = 5, .external_lex_state = 4},
  [1356] = {.lex_state = 5, .external_lex_state = 3},
  [1357] = {.lex_state = 5, .external_lex_state = 4},
  [1358] = {.lex_state = 5, .external_lex_state = 3},
  [1359] = {.lex_state = 5, .external_lex_state = 3},
  [1360] = {.lex_state = 5, .external_lex_state = 3},
  [1361] = {.lex_state = 5, .external_lex_state = 3},
  [1362] = {.lex_state = 5, .external_lex_state = 3},
  [1363] = {.lex_state = 5, .external_lex_state = 3},
  [1364] = {.lex_state = 14, .external_lex_state = 2},
  [1365] = {.lex_state = 5, .external_lex_state = 3},
  [1366] = {.lex_state = 5, .external_lex_state = 3},
  [1367] = {.lex_state = 14, .external_lex_state = 2},
  [1368] = {.lex_state = 14, .external_lex_state = 2},
  [1369] = {.lex_state = 6, .external_lex_state = 3},
  [1370] = {.lex_state = 14, .external_lex_state = 2},
  [1371] = {.lex_state = 14, .external_lex_state = 2},
  [1372] = {.lex_state = 14, .external_lex_state = 2},
  [1373] = {.lex_state = 5, .external_lex_state = 4},
  [1374] = {.lex_state = 5, .external_lex_state = 3},
  [1375] = {.lex_state = 5, .external_lex_state = 3},
  [1376] = {.lex_state = 5, .external_lex_state = 3},
  [1377] = {.lex_state = 5, .external_lex_state = 3},
  [1378] = {.lex_state = 5, .external_lex_state = 3},
  [1379] = {.lex_state = 5, .external_lex_state = 3},
  [1380] = {.lex_state = 5, .external_lex_state = 3},
  [1381] = {.lex_state = 5, .external_lex_state = 3},
  [1382] = {.lex_state = 5, .external_lex_state = 3},
  [1383] = {.lex_state = 5, .external_lex_state = 4},
  [1384] = {.lex_state = 5, .external_lex_state = 3},
  [1385] = {.lex_state = 5, .external_lex_state = 3},
  [1386] = {.lex_state = 5, .external_lex_state = 3},
  [1387] = {.lex_state = 5, .external_lex_state = 3},
  [1388] = {.lex_state = 5, .external_lex_state = 3},
  [1389] = {.lex_state = 5, .external_lex_state = 3},
  [1390] = {.lex_state = 5, .external_lex_state = 3},
  [1391] = {.lex_state = 5, .external_lex_state = 3},
  [1392] = {.lex_state = 14, .external_lex_state = 2},
  [1393] = {.lex_state = 14, .external_lex_state = 2},
  [1394] = {.lex_state = 14, .external_lex_state = 2},
  [1395] = {.lex_state = 14, .external_lex_state = 2},
  [1396] = {.lex_state = 14, .external_lex_state = 2},
  [1397] = {.lex_state = 14, .external_lex_state = 2},
  [1398] = {.lex_state = 14, .external_lex_state = 2},
  [1399] = {.lex_state = 14, .external_lex_state = 2},
  [1400] = {.lex_state = 5, .external_lex_state = 3},
  [1401] = {.lex_state = 5, .external_lex_state = 3},
  [1402] = {.lex_state = 14, .external_lex_state = 2},
  [1403] = {.lex_state = 14, .external_lex_state = 2},
  [1404] = {.lex_state = 5, .external_lex_state = 3},
  [1405] = {.lex_state = 5, .external_lex_state = 3},
  [1406] = {.lex_state = 5, .external_lex_state = 3},
  [1407] = {.lex_state = 5, .external_lex_state = 3},
  [1408] = {.lex_state = 5, .external_lex_state = 3},
  [1409] = {.lex_state = 5, .external_lex_state = 3},
  [1410] = {.lex_state = 5, .external_lex_state = 3},
  [1411] = {.lex_state = 5, .external_lex_state = 3},
  [1412] = {.lex_state = 5, .external_lex_state = 3},
  [1413] = {.lex_state = 5, .external_lex_state = 3},
  [1414] = {.lex_state = 5, .external_lex_state = 3},
  [1415] = {.lex_state = 5, .external_lex_state = 3},
  [1416] = {.lex_state = 5, .external_lex_state = 3},
  [1417] = {.lex_state = 5, .external_lex_state = 3},
  [1418] = {.lex_state = 14, .external_lex_state = 2},
  [1419] = {.lex_state = 5, .external_lex_state = 3},
  [1420] = {.lex_state = 14, .external_lex_state = 2},
  [1421] = {.lex_state = 5, .external_lex_state = 3},
  [1422] = {.lex_state = 5, .external_lex_state = 3},
  [1423] = {.lex_state = 5, .external_lex_state = 3},
  [1424] = {.lex_state = 14, .external_lex_state = 2},
  [1425] = {.lex_state = 5, .external_lex_state = 3},
  [1426] = {.lex_state = 5, .external_lex_state = 3},
  [1427] = {.lex_state = 14, .external_lex_state = 2},
  [1428] = {.lex_state = 14, .external_lex_state = 2},
  [1429] = {.lex_state = 14, .external_lex_state = 2},
  [1430] = {.lex_state = 14, .external_lex_state = 2},
  [1431] = {.lex_state = 5, .external_lex_state = 3},
  [1432] = {.lex_state = 5, .external_lex_state = 3},
  [1433] = {.lex_state = 5, .external_lex_state = 3},
  [1434] = {.lex_state = 5, .external_lex_state = 3},
  [1435] = {.lex_state = 14, .external_lex_state = 2},
  [1436] = {.lex_state = 5, .external_lex_state = 3},
  [1437] = {.lex_state = 5, .external_lex_state = 3},
  [1438] = {.lex_state = 5, .external_lex_state = 3},
  [1439] = {.lex_state = 5, .external_lex_state = 3},
  [1440] = {.lex_state = 5, .external_lex_state = 3},
  [1441] = {.lex_state = 5, .external_lex_state = 3},
  [1442] = {.lex_state = 5, .external_lex_state = 3},
  [1443] = {.lex_state = 5, .external_lex_state = 3},
  [1444] = {.lex_state = 5, .external_lex_state = 3},
  [1445] = {.lex_state = 5, .external_lex_state = 3},
  [1446] = {.lex_state = 14, .external_lex_state = 2},
  [1447] = {.lex_state = 14, .external_lex_state = 2},
  [1448] = {.lex_state = 14, .external_lex_state = 2},
  [1449] = {.lex_state = 14, .external_lex_state = 2},
  [1450] = {.lex_state = 14, .external_lex_state = 2},
  [1451] = {.lex_state = 14, .external_lex_state = 2},
  [1452] = {.lex_state = 14, .external_lex_state = 2},
  [1453] = {.lex_state = 12, .external_lex_state = 5},
  [1454] = {.lex_state = 12, .external_lex_state = 5},
  [1455] = {.lex_state = 12, .external_lex_state = 5},
  [1456] = {.lex_state = 14, .external_lex_state = 2},
  [1457] = {.lex_state = 14, .external_lex_state = 2},
  [1458] = {.lex_state = 12, .external_lex_state = 5},
  [1459] = {.lex_state = 14, .external_lex_state = 2},
  [1460] = {.lex_state = 12, .external_lex_state = 5},
  [1461] = {.lex_state = 14, .external_lex_state = 2},
  [1462] = {.lex_state = 14, .external_lex_state = 2},
  [1463] = {.lex_state = 14, .external_lex_state = 2},
  [1464] = {.lex_state = 14, .external_lex_state = 2},
  [1465] = {.lex_state = 14, .external_lex_state = 2},
  [1466] = {.lex_state = 14, .external_lex_state = 2},
  [1467] = {.lex_state = 14, .external_lex_state = 2},
  [1468] = {.lex_state = 14, .external_lex_state = 2},
  [1469] = {.lex_state = 96, .external_lex_state = 2},
  [1470] = {.lex_state = 96, .external_lex_state = 2},
  [1471] = {.lex_state = 96, .external_lex_state = 2},
  [1472] = {.lex_state = 96, .external_lex_state = 2},
  [1473] = {.lex_state = 96, .external_lex_state = 2},
  [1474] = {.lex_state = 96, .external_lex_state = 2},
  [1475] = {.lex_state = 96, .external_lex_state = 2},
  [1476] = {.lex_state = 12, .external_lex_state = 5},
  [1477] = {.lex_state = 7, .external_lex_state = 4},
  [1478] = {.lex_state = 12, .external_lex_state = 5},
  [1479] = {.lex_state = 7, .external_lex_state = 4},
  [1480] = {.lex_state = 7, .external_lex_state = 3},
  [1481] = {.lex_state = 7, .external_lex_state = 3},
  [1482] = {.lex_state = 96, .external_lex_state = 2},
  [1483] = {.lex_state = 7, .external_lex_state = 3},
  [1484] = {.lex_state = 7, .external_lex_state = 3},
  [1485] = {.lex_state = 7, .external_lex_state = 3},
  [1486] = {.lex_state = 7, .external_lex_state = 3},
  [1487] = {.lex_state = 7, .external_lex_state = 3},
  [1488] = {.lex_state = 7, .external_lex_state = 3},
  [1489] = {.lex_state = 7, .external_lex_state = 3},
  [1490] = {.lex_state = 7, .external_lex_state = 3},
  [1491] = {.lex_state = 7, .external_lex_state = 3},
  [1492] = {.lex_state = 7, .external_lex_state = 3},
  [1493] = {.lex_state = 7, .external_lex_state = 3},
  [1494] = {.lex_state = 7, .external_lex_state = 3},
  [1495] = {.lex_state = 7, .external_lex_state = 4},
  [1496] = {.lex_state = 7, .external_lex_state = 4},
  [1497] = {.lex_state = 7, .external_lex_state = 4},
  [1498] = {.lex_state = 7, .external_lex_state = 4},
  [1499] = {.lex_state = 7, .external_lex_state = 3},
  [1500] = {.lex_state = 7, .external_lex_state = 3},
  [1501] = {.lex_state = 7, .external_lex_state = 3},
  [1502] = {.lex_state = 7, .external_lex_state = 3},
  [1503] = {.lex_state = 7, .external_lex_state = 3},
  [1504] = {.lex_state = 7, .external_lex_state = 3},
  [1505] = {.lex_state = 7, .external_lex_state = 3},
  [1506] = {.lex_state = 7, .external_lex_state = 3},
  [1507] = {.lex_state = 7, .external_lex_state = 3},
  [1508] = {.lex_state = 7, .external_lex_state = 3},
  [1509] = {.lex_state = 7, .external_lex_state = 3},
  [1510] = {.lex_state = 7, .external_lex_state = 3},
  [1511] = {.lex_state = 7, .external_lex_state = 3},
  [1512] = {.lex_state = 7, .external_lex_state = 3},
  [1513] = {.lex_state = 7, .external_lex_state = 3},
  [1514] = {.lex_state = 7, .external_lex_state = 3},
  [1515] = {.lex_state = 7, .external_lex_state = 3},
  [1516] = {.lex_state = 7, .external_lex_state = 3},
  [1517] = {.lex_state = 7, .external_lex_state = 3},
  [1518] = {.lex_state = 7, .external_lex_state = 3},
  [1519] = {.lex_state = 7, .external_lex_state = 3},
  [1520] = {.lex_state = 7, .external_lex_state = 3},
  [1521] = {.lex_state = 7, .external_lex_state = 3},
  [1522] = {.lex_state = 7, .external_lex_state = 3},
  [1523] = {.lex_state = 7, .external_lex_state = 3},
  [1524] = {.lex_state = 7, .external_lex_state = 3},
  [1525] = {.lex_state = 7, .external_lex_state = 3},
  [1526] = {.lex_state = 7, .external_lex_state = 3},
  [1527] = {.lex_state = 7, .external_lex_state = 3},
  [1528] = {.lex_state = 7, .external_lex_state = 3},
  [1529] = {.lex_state = 7, .external_lex_state = 3},
  [1530] = {.lex_state = 7, .external_lex_state = 3},
  [1531] = {.lex_state = 7, .external_lex_state = 3},
  [1532] = {.lex_state = 7, .external_lex_state = 3},
  [1533] = {.lex_state = 7, .external_lex_state = 3},
  [1534] = {.lex_state = 7, .external_lex_state = 3},
  [1535] = {.lex_state = 7, .external_lex_state = 3},
  [1536] = {.lex_state = 7, .external_lex_state = 3},
  [1537] = {.lex_state = 7, .external_lex_state = 3},
  [1538] = {.lex_state = 7, .external_lex_state = 3},
  [1539] = {.lex_state = 7, .external_lex_state = 3},
  [1540] = {.lex_state = 7, .external_lex_state = 3},
  [1541] = {.lex_state = 7, .external_lex_state = 3},
  [1542] = {.lex_state = 7, .external_lex_state = 3},
  [1543] = {.lex_state = 7, .external_lex_state = 3},
  [1544] = {.lex_state = 7, .external_lex_state = 3},
  [1545] = {.lex_state = 7, .external_lex_state = 3},
  [1546] = {.lex_state = 7, .external_lex_state = 3},
  [1547] = {.lex_state = 7, .external_lex_state = 3},
  [1548] = {.lex_state = 7, .external_lex_state = 3},
  [1549] = {.lex_state = 7, .external_lex_state = 3},
  [1550] = {.lex_state = 7, .external_lex_state = 3},
  [1551] = {.lex_state = 7, .external_lex_state = 3},
  [1552] = {.lex_state = 7, .external_lex_state = 3},
  [1553] = {.lex_state = 7, .external_lex_state = 3},
  [1554] = {.lex_state = 7, .external_lex_state = 3},
  [1555] = {.lex_state = 7, .external_lex_state = 3},
  [1556] = {.lex_state = 7, .external_lex_state = 3},
  [1557] = {.lex_state = 7, .external_lex_state = 3},
  [1558] = {.lex_state = 7, .external_lex_state = 3},
  [1559] = {.lex_state = 7, .external_lex_state = 3},
  [1560] = {.lex_state = 7, .external_lex_state = 3},
  [1561] = {.lex_state = 7, .external_lex_state = 3},
  [1562] = {.lex_state = 7, .external_lex_state = 3},
  [1563] = {.lex_state = 7, .external_lex_state = 3},
  [1564] = {.lex_state = 7, .external_lex_state = 3},
  [1565] = {.lex_state = 7, .external_lex_state = 3},
  [1566] = {.lex_state = 7, .external_lex_state = 3},
  [1567] = {.lex_state = 7, .external_lex_state = 3},
  [1568] = {.lex_state = 7, .external_lex_state = 3},
  [1569] = {.lex_state = 7, .external_lex_state = 3},
  [1570] = {.lex_state = 7, .external_lex_state = 3},
  [1571] = {.lex_state = 7, .external_lex_state = 3},
  [1572] = {.lex_state = 7, .external_lex_state = 3},
  [1573] = {.lex_state = 7, .external_lex_state = 3},
  [1574] = {.lex_state = 7, .external_lex_state = 3},
  [1575] = {.lex_state = 7, .external_lex_state = 3},
  [1576] = {.lex_state = 7, .external_lex_state = 3},
  [1577] = {.lex_state = 7, .external_lex_state = 3},
  [1578] = {.lex_state = 7, .external_lex_state = 3},
  [1579] = {.lex_state = 7, .external_lex_state = 3},
  [1580] = {.lex_state = 7, .external_lex_state = 3},
  [1581] = {.lex_state = 7, .external_lex_state = 3},
  [1582] = {.lex_state = 7, .external_lex_state = 3},
  [1583] = {.lex_state = 7, .external_lex_state = 3},
  [1584] = {.lex_state = 7, .external_lex_state = 3},
  [1585] = {.lex_state = 7, .external_lex_state = 3},
  [1586] = {.lex_state = 14, .external_lex_state = 5},
  [1587] = {.lex_state = 7, .external_lex_state = 4},
  [1588] = {.lex_state = 7, .external_lex_state = 3},
  [1589] = {.lex_state = 7, .external_lex_state = 3},
  [1590] = {.lex_state = 7, .external_lex_state = 3},
  [1591] = {.lex_state = 7, .external_lex_state = 3},
  [1592] = {.lex_state = 7, .external_lex_state = 3},
  [1593] = {.lex_state = 14, .external_lex_state = 5},
  [1594] = {.lex_state = 7, .external_lex_state = 3},
  [1595] = {.lex_state = 12, .external_lex_state = 5},
  [1596] = {.lex_state = 14, .external_lex_state = 5},
  [1597] = {.lex_state = 14, .external_lex_state = 5},
  [1598] = {.lex_state = 7, .external_lex_state = 3},
  [1599] = {.lex_state = 7, .external_lex_state = 3},
  [1600] = {.lex_state = 14, .external_lex_state = 5},
  [1601] = {.lex_state = 7, .external_lex_state = 3},
  [1602] = {.lex_state = 7, .external_lex_state = 3},
  [1603] = {.lex_state = 7, .external_lex_state = 3},
  [1604] = {.lex_state = 7, .external_lex_state = 3},
  [1605] = {.lex_state = 7, .external_lex_state = 3},
  [1606] = {.lex_state = 7, .external_lex_state = 3},
  [1607] = {.lex_state = 7, .external_lex_state = 4},
  [1608] = {.lex_state = 7, .external_lex_state = 4},
  [1609] = {.lex_state = 7, .external_lex_state = 3},
  [1610] = {.lex_state = 7, .external_lex_state = 3},
  [1611] = {.lex_state = 7, .external_lex_state = 3},
  [1612] = {.lex_state = 7, .external_lex_state = 3},
  [1613] = {.lex_state = 7, .external_lex_state = 3},
  [1614] = {.lex_state = 7, .external_lex_state = 3},
  [1615] = {.lex_state = 7, .external_lex_state = 3},
  [1616] = {.lex_state = 7, .external_lex_state = 3},
  [1617] = {.lex_state = 7, .external_lex_state = 3},
  [1618] = {.lex_state = 7, .external_lex_state = 3},
  [1619] = {.lex_state = 7, .external_lex_state = 3},
  [1620] = {.lex_state = 7, .external_lex_state = 3},
  [1621] = {.lex_state = 7, .external_lex_state = 3},
  [1622] = {.lex_state = 7, .external_lex_state = 3},
  [1623] = {.lex_state = 7, .external_lex_state = 3},
  [1624] = {.lex_state = 7, .external_lex_state = 3},
  [1625] = {.lex_state = 7, .external_lex_state = 3},
  [1626] = {.lex_state = 7, .external_lex_state = 3},
  [1627] = {.lex_state = 7, .external_lex_state = 3},
  [1628] = {.lex_state = 7, .external_lex_state = 3},
  [1629] = {.lex_state = 7, .external_lex_state = 3},
  [1630] = {.lex_state = 7, .external_lex_state = 4},
  [1631] = {.lex_state = 7, .external_lex_state = 3},
  [1632] = {.lex_state = 7, .external_lex_state = 3},
  [1633] = {.lex_state = 7, .external_lex_state = 3},
  [1634] = {.lex_state = 7, .external_lex_state = 3},
  [1635] = {.lex_state = 7, .external_lex_state = 4},
  [1636] = {.lex_state = 7, .external_lex_state = 3},
  [1637] = {.lex_state = 7, .external_lex_state = 3},
  [1638] = {.lex_state = 7, .external_lex_state = 3},
  [1639] = {.lex_state = 7, .external_lex_state = 3},
  [1640] = {.lex_state = 7, .external_lex_state = 3},
  [1641] = {.lex_state = 7, .external_lex_state = 3},
  [1642] = {.lex_state = 7, .external_lex_state = 3},
  [1643] = {.lex_state = 7, .external_lex_state = 3},
  [1644] = {.lex_state = 7, .external_lex_state = 3},
  [1645] = {.lex_state = 7, .external_lex_state = 3},
  [1646] = {.lex_state = 7, .external_lex_state = 3},
  [1647] = {.lex_state = 7, .external_lex_state = 3},
  [1648] = {.lex_state = 7, .external_lex_state = 3},
  [1649] = {.lex_state = 7, .external_lex_state = 3},
  [1650] = {.lex_state = 7, .external_lex_state = 3},
  [1651] = {.lex_state = 7, .external_lex_state = 3},
  [1652] = {.lex_state = 7, .external_lex_state = 3},
  [1653] = {.lex_state = 7, .external_lex_state = 3},
  [1654] = {.lex_state = 7, .external_lex_state = 4},
  [1655] = {.lex_state = 7, .external_lex_state = 3},
  [1656] = {.lex_state = 7, .external_lex_state = 3},
  [1657] = {.lex_state = 7, .external_lex_state = 4},
  [1658] = {.lex_state = 7, .external_lex_state = 3},
  [1659] = {.lex_state = 7, .external_lex_state = 3},
  [1660] = {.lex_state = 7, .external_lex_state = 3},
  [1661] = {.lex_state = 7, .external_lex_state = 4},
  [1662] = {.lex_state = 7, .external_lex_state = 3},
  [1663] = {.lex_state = 14, .external_lex_state = 5},
  [1664] = {.lex_state = 7, .external_lex_state = 4},
  [1665] = {.lex_state = 14, .external_lex_state = 5},
  [1666] = {.lex_state = 7, .external_lex_state = 3},
  [1667] = {.lex_state = 7, .external_lex_state = 3},
  [1668] = {.lex_state = 7, .external_lex_state = 4},
  [1669] = {.lex_state = 7, .external_lex_state = 3},
  [1670] = {.lex_state = 7, .external_lex_state = 4},
  [1671] = {.lex_state = 7, .external_lex_state = 4},
  [1672] = {.lex_state = 7, .external_lex_state = 3},
  [1673] = {.lex_state = 7, .external_lex_state = 3},
  [1674] = {.lex_state = 7, .external_lex_state = 4},
  [1675] = {.lex_state = 7, .external_lex_state = 4},
  [1676] = {.lex_state = 7, .external_lex_state = 3},
  [1677] = {.lex_state = 7, .external_lex_state = 3},
  [1678] = {.lex_state = 14, .external_lex_state = 5},
  [1679] = {.lex_state = 7, .external_lex_state = 4},
  [1680] = {.lex_state = 14, .external_lex_state = 5},
  [1681] = {.lex_state = 7, .external_lex_state = 4},
  [1682] = {.lex_state = 7, .external_lex_state = 3},
  [1683] = {.lex_state = 7, .external_lex_state = 3},
  [1684] = {.lex_state = 7, .external_lex_state = 3},
  [1685] = {.lex_state = 7, .external_lex_state = 3},
  [1686] = {.lex_state = 7, .external_lex_state = 3},
  [1687] = {.lex_state = 7, .external_lex_state = 4},
  [1688] = {.lex_state = 7, .external_lex_state = 3},
  [1689] = {.lex_state = 7, .external_lex_state = 3},
  [1690] = {.lex_state = 7, .external_lex_state = 3},
  [1691] = {.lex_state = 7, .external_lex_state = 3},
  [1692] = {.lex_state = 7, .external_lex_state = 3},
  [1693] = {.lex_state = 7, .external_lex_state = 3},
  [1694] = {.lex_state = 14, .external_lex_state = 5},
  [1695] = {.lex_state = 7, .external_lex_state = 3},
  [1696] = {.lex_state = 14, .external_lex_state = 5},
  [1697] = {.lex_state = 14, .external_lex_state = 5},
  [1698] = {.lex_state = 7, .external_lex_state = 3},
  [1699] = {.lex_state = 7, .external_lex_state = 4},
  [1700] = {.lex_state = 7, .external_lex_state = 4},
  [1701] = {.lex_state = 7, .external_lex_state = 4},
  [1702] = {.lex_state = 7, .external_lex_state = 4},
  [1703] = {.lex_state = 7, .external_lex_state = 3},
  [1704] = {.lex_state = 7, .external_lex_state = 4},
  [1705] = {.lex_state = 7, .external_lex_state = 4},
  [1706] = {.lex_state = 7, .external_lex_state = 4},
  [1707] = {.lex_state = 7, .external_lex_state = 4},
  [1708] = {.lex_state = 7, .external_lex_state = 4},
  [1709] = {.lex_state = 7, .external_lex_state = 4},
  [1710] = {.lex_state = 7, .external_lex_state = 4},
  [1711] = {.lex_state = 7, .external_lex_state = 4},
  [1712] = {.lex_state = 7, .external_lex_state = 4},
  [1713] = {.lex_state = 7, .external_lex_state = 4},
  [1714] = {.lex_state = 7, .external_lex_state = 4},
  [1715] = {.lex_state = 7, .external_lex_state = 4},
  [1716] = {.lex_state = 7, .external_lex_state = 4},
  [1717] = {.lex_state = 7, .external_lex_state = 4},
  [1718] = {.lex_state = 7, .external_lex_state = 4},
  [1719] = {.lex_state = 7, .external_lex_state = 4},
  [1720] = {.lex_state = 7, .external_lex_state = 4},
  [1721] = {.lex_state = 7, .external_lex_state = 4},
  [1722] = {.lex_state = 7, .external_lex_state = 4},
  [1723] = {.lex_state = 7, .external_lex_state = 4},
  [1724] = {.lex_state = 7, .external_lex_state = 4},
  [1725] = {.lex_state = 7, .external_lex_state = 4},
  [1726] = {.lex_state = 7, .external_lex_state = 3},
  [1727] = {.lex_state = 7, .external_lex_state = 4},
  [1728] = {.lex_state = 7, .external_lex_state = 3},
  [1729] = {.lex_state = 7, .external_lex_state = 3},
  [1730] = {.lex_state = 7, .external_lex_state = 3},
  [1731] = {.lex_state = 7, .external_lex_state = 3},
  [1732] = {.lex_state = 7, .external_lex_state = 3},
  [1733] = {.lex_state = 7, .external_lex_state = 3},
  [1734] = {.lex_state = 14, .external_lex_state = 5},
  [1735] = {.lex_state = 7, .external_lex_state = 3},
  [1736] = {.lex_state = 7, .external_lex_state = 4},
  [1737] = {.lex_state = 7, .external_lex_state = 3},
  [1738] = {.lex_state = 7, .external_lex_state = 3},
  [1739] = {.lex_state = 7, .external_lex_state = 3},
  [1740] = {.lex_state = 7, .external_lex_state = 3},
  [1741] = {.lex_state = 7, .external_lex_state = 3},
  [1742] = {.lex_state = 7, .external_lex_state = 3},
  [1743] = {.lex_state = 7, .external_lex_state = 4},
  [1744] = {.lex_state = 7, .external_lex_state = 4},
  [1745] = {.lex_state = 7, .external_lex_state = 3},
  [1746] = {.lex_state = 7, .external_lex_state = 4},
  [1747] = {.lex_state = 7, .external_lex_state = 4},
  [1748] = {.lex_state = 7, .external_lex_state = 4},
  [1749] = {.lex_state = 7, .external_lex_state = 3},
  [1750] = {.lex_state = 7, .external_lex_state = 3},
  [1751] = {.lex_state = 7, .external_lex_state = 3},
  [1752] = {.lex_state = 14, .external_lex_state = 5},
  [1753] = {.lex_state = 7, .external_lex_state = 3},
  [1754] = {.lex_state = 14, .external_lex_state = 5},
  [1755] = {.lex_state = 7, .external_lex_state = 3},
  [1756] = {.lex_state = 7, .external_lex_state = 3},
  [1757] = {.lex_state = 7, .external_lex_state = 3},
  [1758] = {.lex_state = 7, .external_lex_state = 3},
  [1759] = {.lex_state = 7, .external_lex_state = 3},
  [1760] = {.lex_state = 7, .external_lex_state = 4},
  [1761] = {.lex_state = 7, .external_lex_state = 4},
  [1762] = {.lex_state = 7, .external_lex_state = 4},
  [1763] = {.lex_state = 7, .external_lex_state = 4},
  [1764] = {.lex_state = 7, .external_lex_state = 4},
  [1765] = {.lex_state = 7, .external_lex_state = 3},
  [1766] = {.lex_state = 7, .external_lex_state = 4},
  [1767] = {.lex_state = 7, .external_lex_state = 4},
  [1768] = {.lex_state = 7, .external_lex_state = 3},
  [1769] = {.lex_state = 7, .external_lex_state = 3},
  [1770] = {.lex_state = 7, .external_lex_state = 4},
  [1771] = {.lex_state = 7, .external_lex_state = 4},
  [1772] = {.lex_state = 7, .external_lex_state = 3},
  [1773] = {.lex_state = 7, .external_lex_state = 4},
  [1774] = {.lex_state = 7, .external_lex_state = 3},
  [1775] = {.lex_state = 7, .external_lex_state = 4},
  [1776] = {.lex_state = 7, .external_lex_state = 3},
  [1777] = {.lex_state = 7, .external_lex_state = 4},
  [1778] = {.lex_state = 7, .external_lex_state = 4},
  [1779] = {.lex_state = 7, .external_lex_state = 3},
  [1780] = {.lex_state = 7, .external_lex_state = 4},
  [1781] = {.lex_state = 7, .external_lex_state = 4},
  [1782] = {.lex_state = 7, .external_lex_state = 4},
  [1783] = {.lex_state = 7, .external_lex_state = 3},
  [1784] = {.lex_state = 7, .external_lex_state = 4},
  [1785] = {.lex_state = 7, .external_lex_state = 4},
  [1786] = {.lex_state = 7, .external_lex_state = 4},
  [1787] = {.lex_state = 7, .external_lex_state = 4},
  [1788] = {.lex_state = 7, .external_lex_state = 4},
  [1789] = {.lex_state = 7, .external_lex_state = 4},
  [1790] = {.lex_state = 7, .external_lex_state = 3},
  [1791] = {.lex_state = 7, .external_lex_state = 4},
  [1792] = {.lex_state = 14, .external_lex_state = 5},
  [1793] = {.lex_state = 7, .external_lex_state = 4},
  [1794] = {.lex_state = 7, .external_lex_state = 4},
  [1795] = {.lex_state = 7, .external_lex_state = 3},
  [1796] = {.lex_state = 14, .external_lex_state = 5},
  [1797] = {.lex_state = 7, .external_lex_state = 4},
  [1798] = {.lex_state = 7, .external_lex_state = 4},
  [1799] = {.lex_state = 7, .external_lex_state = 3},
  [1800] = {.lex_state = 7, .external_lex_state = 4},
  [1801] = {.lex_state = 7, .external_lex_state = 4},
  [1802] = {.lex_state = 7, .external_lex_state = 4},
  [1803] = {.lex_state = 7, .external_lex_state = 4},
  [1804] = {.lex_state = 7, .external_lex_state = 3},
  [1805] = {.lex_state = 7, .external_lex_state = 3},
  [1806] = {.lex_state = 7, .external_lex_state = 4},
  [1807] = {.lex_state = 7, .external_lex_state = 4},
  [1808] = {.lex_state = 7, .external_lex_state = 4},
  [1809] = {.lex_state = 7, .external_lex_state = 4},
  [1810] = {.lex_state = 7, .external_lex_state = 3},
  [1811] = {.lex_state = 7, .external_lex_state = 3},
  [1812] = {.lex_state = 7, .external_lex_state = 3},
  [1813] = {.lex_state = 7, .external_lex_state = 3},
  [1814] = {.lex_state = 7, .external_lex_state = 3},
  [1815] = {.lex_state = 7, .external_lex_state = 3},
  [1816] = {.lex_state = 7, .external_lex_state = 3},
  [1817] = {.lex_state = 7, .external_lex_state = 3},
  [1818] = {.lex_state = 7, .external_lex_state = 3},
  [1819] = {.lex_state = 7, .external_lex_state = 3},
  [1820] = {.lex_state = 7, .external_lex_state = 3},
  [1821] = {.lex_state = 7, .external_lex_state = 3},
  [1822] = {.lex_state = 7, .external_lex_state = 3},
  [1823] = {.lex_state = 7, .external_lex_state = 4},
  [1824] = {.lex_state = 7, .external_lex_state = 3},
  [1825] = {.lex_state = 7, .external_lex_state = 3},
  [1826] = {.lex_state = 7, .external_lex_state = 3},
  [1827] = {.lex_state = 7, .external_lex_state = 3},
  [1828] = {.lex_state = 7, .external_lex_state = 3},
  [1829] = {.lex_state = 7, .external_lex_state = 3},
  [1830] = {.lex_state = 7, .external_lex_state = 3},
  [1831] = {.lex_state = 7, .external_lex_state = 3},
  [1832] = {.lex_state = 7, .external_lex_state = 3},
  [1833] = {.lex_state = 7, .external_lex_state = 3},
  [1834] = {.lex_state = 7, .external_lex_state = 3},
  [1835] = {.lex_state = 7, .external_lex_state = 3},
  [1836] = {.lex_state = 7, .external_lex_state = 3},
  [1837] = {.lex_state = 7, .external_lex_state = 3},
  [1838] = {.lex_state = 7, .external_lex_state = 3},
  [1839] = {.lex_state = 7, .external_lex_state = 4},
  [1840] = {.lex_state = 7, .external_lex_state = 4},
  [1841] = {.lex_state = 7, .external_lex_state = 4},
  [1842] = {.lex_state = 7, .external_lex_state = 4},
  [1843] = {.lex_state = 7, .external_lex_state = 3},
  [1844] = {.lex_state = 7, .external_lex_state = 3},
  [1845] = {.lex_state = 7, .external_lex_state = 3},
  [1846] = {.lex_state = 7, .external_lex_state = 3},
  [1847] = {.lex_state = 7, .external_lex_state = 4},
  [1848] = {.lex_state = 7, .external_lex_state = 4},
  [1849] = {.lex_state = 7, .external_lex_state = 4},
  [1850] = {.lex_state = 7, .external_lex_state = 3},
  [1851] = {.lex_state = 7, .external_lex_state = 4},
  [1852] = {.lex_state = 7, .external_lex_state = 4},
  [1853] = {.lex_state = 14, .external_lex_state = 5},
  [1854] = {.lex_state = 7, .external_lex_state = 3},
  [1855] = {.lex_state = 14, .external_lex_state = 5},
  [1856] = {.lex_state = 14, .external_lex_state = 5},
  [1857] = {.lex_state = 7, .external_lex_state = 4},
  [1858] = {.lex_state = 7, .external_lex_state = 3},
  [1859] = {.lex_state = 7, .external_lex_state = 3},
  [1860] = {.lex_state = 14, .external_lex_state = 5},
  [1861] = {.lex_state = 7, .external_lex_state = 4},
  [1862] = {.lex_state = 7, .external_lex_state = 3},
  [1863] = {.lex_state = 7, .external_lex_state = 3},
  [1864] = {.lex_state = 7, .external_lex_state = 3},
  [1865] = {.lex_state = 7, .external_lex_state = 3},
  [1866] = {.lex_state = 7, .external_lex_state = 3},
  [1867] = {.lex_state = 7, .external_lex_state = 3},
  [1868] = {.lex_state = 14, .external_lex_state = 5},
  [1869] = {.lex_state = 7, .external_lex_state = 3},
  [1870] = {.lex_state = 7, .external_lex_state = 3},
  [1871] = {.lex_state = 7, .external_lex_state = 4},
  [1872] = {.lex_state = 7, .external_lex_state = 4},
  [1873] = {.lex_state = 7, .external_lex_state = 3},
  [1874] = {.lex_state = 7, .external_lex_state = 3},
  [1875] = {.lex_state = 14, .external_lex_state = 5},
  [1876] = {.lex_state = 7, .external_lex_state = 4},
  [1877] = {.lex_state = 7, .external_lex_state = 3},
  [1878] = {.lex_state = 7, .external_lex_state = 3},
  [1879] = {.lex_state = 7, .external_lex_state = 3},
  [1880] = {.lex_state = 14, .external_lex_state = 5},
  [1881] = {.lex_state = 7, .external_lex_state = 3},
  [1882] = {.lex_state = 7, .external_lex_state = 3},
  [1883] = {.lex_state = 7, .external_lex_state = 3},
  [1884] = {.lex_state = 7, .external_lex_state = 3},
  [1885] = {.lex_state = 7, .external_lex_state = 3},
  [1886] = {.lex_state = 7, .external_lex_state = 3},
  [1887] = {.lex_state = 7, .external_lex_state = 3},
  [1888] = {.lex_state = 7, .external_lex_state = 3},
  [1889] = {.lex_state = 7, .external_lex_state = 3},
  [1890] = {.lex_state = 7, .external_lex_state = 3},
  [1891] = {.lex_state = 7, .external_lex_state = 3},
  [1892] = {.lex_state = 7, .external_lex_state = 3},
  [1893] = {.lex_state = 7, .external_lex_state = 3},
  [1894] = {.lex_state = 7, .external_lex_state = 4},
  [1895] = {.lex_state = 7, .external_lex_state = 3},
  [1896] = {.lex_state = 7, .external_lex_state = 3},
  [1897] = {.lex_state = 7, .external_lex_state = 3},
  [1898] = {.lex_state = 7, .external_lex_state = 3},
  [1899] = {.lex_state = 7, .external_lex_state = 3},
  [1900] = {.lex_state = 7, .external_lex_state = 3},
  [1901] = {.lex_state = 7, .external_lex_state = 3},
  [1902] = {.lex_state = 7, .external_lex_state = 3},
  [1903] = {.lex_state = 7, .external_lex_state = 3},
  [1904] = {.lex_state = 7, .external_lex_state = 3},
  [1905] = {.lex_state = 14, .external_lex_state = 5},
  [1906] = {.lex_state = 14, .external_lex_state = 5},
  [1907] = {.lex_state = 14, .external_lex_state = 5},
  [1908] = {.lex_state = 14, .external_lex_state = 5},
  [1909] = {.lex_state = 14, .external_lex_state = 5},
  [1910] = {.lex_state = 7, .external_lex_state = 3},
  [1911] = {.lex_state = 7, .external_lex_state = 3},
  [1912] = {.lex_state = 7, .external_lex_state = 4},
  [1913] = {.lex_state = 14, .external_lex_state = 5},
  [1914] = {.lex_state = 14, .external_lex_state = 5},
  [1915] = {.lex_state = 7, .external_lex_state = 4},
  [1916] = {.lex_state = 14, .external_lex_state = 5},
  [1917] = {.lex_state = 7, .external_lex_state = 4},
  [1918] = {.lex_state = 7, .external_lex_state = 4},
  [1919] = {.lex_state = 7, .external_lex_state = 3},
  [1920] = {.lex_state = 7, .external_lex_state = 3},
  [1921] = {.lex_state = 7, .external_lex_state = 3},
  [1922] = {.lex_state = 7, .external_lex_state = 3},
  [1923] = {.lex_state = 7, .external_lex_state = 3},
  [1924] = {.lex_state = 7, .external_lex_state = 4},
  [1925] = {.lex_state = 7, .external_lex_state = 3},
  [1926] = {.lex_state = 7, .external_lex_state = 3},
  [1927] = {.lex_state = 7, .external_lex_state = 3},
  [1928] = {.lex_state = 7, .external_lex_state = 3},
  [1929] = {.lex_state = 7, .external_lex_state = 3},
  [1930] = {.lex_state = 7, .external_lex_state = 3},
  [1931] = {.lex_state = 7, .external_lex_state = 3},
  [1932] = {.lex_state = 7, .external_lex_state = 3},
  [1933] = {.lex_state = 7, .external_lex_state = 3},
  [1934] = {.lex_state = 7, .external_lex_state = 3},
  [1935] = {.lex_state = 7, .external_lex_state = 3},
  [1936] = {.lex_state = 7, .external_lex_state = 3},
  [1937] = {.lex_state = 7, .external_lex_state = 3},
  [1938] = {.lex_state = 7, .external_lex_state = 3},
  [1939] = {.lex_state = 7, .external_lex_state = 3},
  [1940] = {.lex_state = 7, .external_lex_state = 3},
  [1941] = {.lex_state = 7, .external_lex_state = 3},
  [1942] = {.lex_state = 7, .external_lex_state = 3},
  [1943] = {.lex_state = 7, .external_lex_state = 3},
  [1944] = {.lex_state = 7, .external_lex_state = 3},
  [1945] = {.lex_state = 7, .external_lex_state = 3},
  [1946] = {.lex_state = 7, .external_lex_state = 3},
  [1947] = {.lex_state = 7, .external_lex_state = 3},
  [1948] = {.lex_state = 7, .external_lex_state = 3},
  [1949] = {.lex_state = 7, .external_lex_state = 3},
  [1950] = {.lex_state = 7, .external_lex_state = 3},
  [1951] = {.lex_state = 7, .external_lex_state = 3},
  [1952] = {.lex_state = 7, .external_lex_state = 3},
  [1953] = {.lex_state = 7, .external_lex_state = 3},
  [1954] = {.lex_state = 7, .external_lex_state = 3},
  [1955] = {.lex_state = 7, .external_lex_state = 3},
  [1956] = {.lex_state = 7, .external_lex_state = 4},
  [1957] = {.lex_state = 7, .external_lex_state = 4},
  [1958] = {.lex_state = 7, .external_lex_state = 4},
  [1959] = {.lex_state = 7, .external_lex_state = 4},
  [1960] = {.lex_state = 7, .external_lex_state = 4},
  [1961] = {.lex_state = 7, .external_lex_state = 4},
  [1962] = {.lex_state = 7, .external_lex_state = 4},
  [1963] = {.lex_state = 7, .external_lex_state = 4},
  [1964] = {.lex_state = 7, .external_lex_state = 4},
  [1965] = {.lex_state = 7, .external_lex_state = 4},
  [1966] = {.lex_state = 7, .external_lex_state = 4},
  [1967] = {.lex_state = 7, .external_lex_state = 4},
  [1968] = {.lex_state = 7, .external_lex_state = 4},
  [1969] = {.lex_state = 14, .external_lex_state = 5},
  [1970] = {.lex_state = 14, .external_lex_state = 2},
  [1971] = {.lex_state = 14, .external_lex_state = 5},
  [1972] = {.lex_state = 7, .external_lex_state = 4},
  [1973] = {.lex_state = 7, .external_lex_state = 4},
  [1974] = {.lex_state = 7, .external_lex_state = 4},
  [1975] = {.lex_state = 7, .external_lex_state = 4},
  [1976] = {.lex_state = 7, .external_lex_state = 4},
  [1977] = {.lex_state = 7, .external_lex_state = 4},
  [1978] = {.lex_state = 14, .external_lex_state = 2},
  [1979] = {.lex_state = 7, .external_lex_state = 4},
  [1980] = {.lex_state = 7, .external_lex_state = 4},
  [1981] = {.lex_state = 7, .external_lex_state = 4},
  [1982] = {.lex_state = 7, .external_lex_state = 4},
  [1983] = {.lex_state = 96, .external_lex_state = 2},
  [1984] = {.lex_state = 7, .external_lex_state = 4},
  [1985] = {.lex_state = 8, .external_lex_state = 3},
  [1986] = {.lex_state = 7, .external_lex_state = 4},
  [1987] = {.lex_state = 7, .external_lex_state = 4},
  [1988] = {.lex_state = 7, .external_lex_state = 3},
  [1989] = {.lex_state = 7, .external_lex_state = 4},
  [1990] = {.lex_state = 7, .external_lex_state = 4},
  [1991] = {.lex_state = 7, .external_lex_state = 3},
  [1992] = {.lex_state = 7, .external_lex_state = 4},
  [1993] = {.lex_state = 7, .external_lex_state = 3},
  [1994] = {.lex_state = 7, .external_lex_state = 3},
  [1995] = {.lex_state = 7, .external_lex_state = 4},
  [1996] = {.lex_state = 7, .external_lex_state = 4},
  [1997] = {.lex_state = 7, .external_lex_state = 4},
  [1998] = {.lex_state = 7, .external_lex_state = 4},
  [1999] = {.lex_state = 7, .external_lex_state = 4},
  [2000] = {.lex_state = 7, .external_lex_state = 4},
  [2001] = {.lex_state = 7, .external_lex_state = 4},
  [2002] = {.lex_state = 7, .external_lex_state = 4},
  [2003] = {.lex_state = 7, .external_lex_state = 4},
  [2004] = {.lex_state = 7, .external_lex_state = 4},
  [2005] = {.lex_state = 7, .external_lex_state = 4},
  [2006] = {.lex_state = 7, .external_lex_state = 4},
  [2007] = {.lex_state = 14, .external_lex_state = 2},
  [2008] = {.lex_state = 7, .external_lex_state = 4},
  [2009] = {.lex_state = 7, .external_lex_state = 4},
  [2010] = {.lex_state = 7, .external_lex_state = 4},
  [2011] = {.lex_state = 7, .external_lex_state = 4},
  [2012] = {.lex_state = 7, .external_lex_state = 4},
  [2013] = {.lex_state = 14, .external_lex_state = 5},
  [2014] = {.lex_state = 7, .external_lex_state = 4},
  [2015] = {.lex_state = 7, .external_lex_state = 4},
  [2016] = {.lex_state = 7, .external_lex_state = 4},
  [2017] = {.lex_state = 7, .external_lex_state = 3},
  [2018] = {.lex_state = 7, .external_lex_state = 4},
  [2019] = {.lex_state = 7, .external_lex_state = 3},
  [2020] = {.lex_state = 7, .external_lex_state = 3},
  [2021] = {.lex_state = 7, .external_lex_state = 4},
  [2022] = {.lex_state = 7, .external_lex_state = 3},
  [2023] = {.lex_state = 7, .external_lex_state = 3},
  [2024] = {.lex_state = 7, .external_lex_state = 3},
  [2025] = {.lex_state = 7, .external_lex_state = 4},
  [2026] = {.lex_state = 7, .external_lex_state = 4},
  [2027] = {.lex_state = 7, .external_lex_state = 4},
  [2028] = {.lex_state = 7, .external_lex_state = 4},
  [2029] = {.lex_state = 7, .external_lex_state = 4},
  [2030] = {.lex_state = 7, .external_lex_state = 4},
  [2031] = {.lex_state = 7, .external_lex_state = 4},
  [2032] = {.lex_state = 7, .external_lex_state = 4},
  [2033] = {.lex_state = 7, .external_lex_state = 4},
  [2034] = {.lex_state = 7, .external_lex_state = 4},
  [2035] = {.lex_state = 7, .external_lex_state = 4},
  [2036] = {.lex_state = 7, .external_lex_state = 4},
  [2037] = {.lex_state = 7, .external_lex_state = 4},
  [2038] = {.lex_state = 7, .external_lex_state = 4},
  [2039] = {.lex_state = 7, .external_lex_state = 4},
  [2040] = {.lex_state = 7, .external_lex_state = 3},
  [2041] = {.lex_state = 7, .external_lex_state = 3},
  [2042] = {.lex_state = 14, .external_lex_state = 2},
  [2043] = {.lex_state = 7, .external_lex_state = 4},
  [2044] = {.lex_state = 7, .external_lex_state = 3},
  [2045] = {.lex_state = 7, .external_lex_state = 4},
  [2046] = {.lex_state = 7, .external_lex_state = 4},
  [2047] = {.lex_state = 7, .external_lex_state = 4},
  [2048] = {.lex_state = 7, .external_lex_state = 3},
  [2049] = {.lex_state = 7, .external_lex_state = 3},
  [2050] = {.lex_state = 14, .external_lex_state = 5},
  [2051] = {.lex_state = 7, .external_lex_state = 4},
  [2052] = {.lex_state = 14, .external_lex_state = 5},
  [2053] = {.lex_state = 7, .external_lex_state = 4},
  [2054] = {.lex_state = 7, .external_lex_state = 4},
  [2055] = {.lex_state = 7, .external_lex_state = 4},
  [2056] = {.lex_state = 7, .external_lex_state = 4},
  [2057] = {.lex_state = 7, .external_lex_state = 4},
  [2058] = {.lex_state = 7, .external_lex_state = 3},
  [2059] = {.lex_state = 7, .external_lex_state = 4},
  [2060] = {.lex_state = 7, .external_lex_state = 4},
  [2061] = {.lex_state = 7, .external_lex_state = 4},
  [2062] = {.lex_state = 7, .external_lex_state = 4},
  [2063] = {.lex_state = 7, .external_lex_state = 4},
  [2064] = {.lex_state = 7, .external_lex_state = 4},
  [2065] = {.lex_state = 7, .external_lex_state = 4},
  [2066] = {.lex_state = 7, .external_lex_state = 4},
  [2067] = {.lex_state = 7, .external_lex_state = 4},
  [2068] = {.lex_state = 14, .external_lex_state = 2},
  [2069] = {.lex_state = 14, .external_lex_state = 5},
  [2070] = {.lex_state = 7, .external_lex_state = 4},
  [2071] = {.lex_state = 7, .external_lex_state = 4},
  [2072] = {.lex_state = 7, .external_lex_state = 3},
  [2073] = {.lex_state = 7, .external_lex_state = 3},
  [2074] = {.lex_state = 7, .external_lex_state = 4},
  [2075] = {.lex_state = 14, .external_lex_state = 2},
  [2076] = {.lex_state = 7, .external_lex_state = 4},
  [2077] = {.lex_state = 7, .external_lex_state = 4},
  [2078] = {.lex_state = 7, .external_lex_state = 3},
  [2079] = {.lex_state = 7, .external_lex_state = 3},
  [2080] = {.lex_state = 7, .external_lex_state = 4},
  [2081] = {.lex_state = 7, .external_lex_state = 4},
  [2082] = {.lex_state = 7, .external_lex_state = 4},
  [2083] = {.lex_state = 7, .external_lex_state = 4},
  [2084] = {.lex_state = 7, .external_lex_state = 4},
  [2085] = {.lex_state = 14, .external_lex_state = 5},
  [2086] = {.lex_state = 7, .external_lex_state = 4},
  [2087] = {.lex_state = 7, .external_lex_state = 4},
  [2088] = {.lex_state = 7, .external_lex_state = 4},
  [2089] = {.lex_state = 7, .external_lex_state = 4},
  [2090] = {.lex_state = 7, .external_lex_state = 4},
  [2091] = {.lex_state = 7, .external_lex_state = 4},
  [2092] = {.lex_state = 7, .external_lex_state = 4},
  [2093] = {.lex_state = 7, .external_lex_state = 4},
  [2094] = {.lex_state = 7, .external_lex_state = 4},
  [2095] = {.lex_state = 7, .external_lex_state = 4},
  [2096] = {.lex_state = 7, .external_lex_state = 4},
  [2097] = {.lex_state = 7, .external_lex_state = 3},
  [2098] = {.lex_state = 7, .external_lex_state = 3},
  [2099] = {.lex_state = 7, .external_lex_state = 4},
  [2100] = {.lex_state = 7, .external_lex_state = 4},
  [2101] = {.lex_state = 7, .external_lex_state = 4},
  [2102] = {.lex_state = 7, .external_lex_state = 4},
  [2103] = {.lex_state = 7, .external_lex_state = 4},
  [2104] = {.lex_state = 7, .external_lex_state = 4},
  [2105] = {.lex_state = 7, .external_lex_state = 4},
  [2106] = {.lex_state = 7, .external_lex_state = 4},
  [2107] = {.lex_state = 7, .external_lex_state = 4},
  [2108] = {.lex_state = 7, .external_lex_state = 4},
  [2109] = {.lex_state = 7, .external_lex_state = 4},
  [2110] = {.lex_state = 7, .external_lex_state = 4},
  [2111] = {.lex_state = 7, .external_lex_state = 4},
  [2112] = {.lex_state = 96, .external_lex_state = 2},
  [2113] = {.lex_state = 7, .external_lex_state = 4},
  [2114] = {.lex_state = 7, .external_lex_state = 4},
  [2115] = {.lex_state = 14, .external_lex_state = 5},
  [2116] = {.lex_state = 7, .external_lex_state = 4},
  [2117] = {.lex_state = 7, .external_lex_state = 4},
  [2118] = {.lex_state = 14, .external_lex_state = 5},
  [2119] = {.lex_state = 7, .external_lex_state = 4},
  [2120] = {.lex_state = 7, .external_lex_state = 4},
  [2121] = {.lex_state = 14, .external_lex_state = 5},
  [2122] = {.lex_state = 7, .external_lex_state = 4},
  [2123] = {.lex_state = 7, .external_lex_state = 4},
  [2124] = {.lex_state = 7, .external_lex_state = 4},
  [2125] = {.lex_state = 7, .external_lex_state = 4},
  [2126] = {.lex_state = 7, .external_lex_state = 4},
  [2127] = {.lex_state = 7, .external_lex_state = 4},
  [2128] = {.lex_state = 7, .external_lex_state = 4},
  [2129] = {.lex_state = 14, .external_lex_state = 5},
  [2130] = {.lex_state = 7, .external_lex_state = 4},
  [2131] = {.lex_state = 14, .external_lex_state = 5},
  [2132] = {.lex_state = 7, .external_lex_state = 4},
  [2133] = {.lex_state = 7, .external_lex_state = 4},
  [2134] = {.lex_state = 14, .external_lex_state = 2},
  [2135] = {.lex_state = 14, .external_lex_state = 5},
  [2136] = {.lex_state = 7, .external_lex_state = 4},
  [2137] = {.lex_state = 7, .external_lex_state = 4},
  [2138] = {.lex_state = 7, .external_lex_state = 4},
  [2139] = {.lex_state = 7, .external_lex_state = 4},
  [2140] = {.lex_state = 7, .external_lex_state = 4},
  [2141] = {.lex_state = 7, .external_lex_state = 4},
  [2142] = {.lex_state = 7, .external_lex_state = 4},
  [2143] = {.lex_state = 7, .external_lex_state = 4},
  [2144] = {.lex_state = 7, .external_lex_state = 4},
  [2145] = {.lex_state = 7, .external_lex_state = 4},
  [2146] = {.lex_state = 7, .external_lex_state = 4},
  [2147] = {.lex_state = 7, .external_lex_state = 4},
  [2148] = {.lex_state = 7, .external_lex_state = 4},
  [2149] = {.lex_state = 7, .external_lex_state = 4},
  [2150] = {.lex_state = 7, .external_lex_state = 4},
  [2151] = {.lex_state = 7, .external_lex_state = 4},
  [2152] = {.lex_state = 7, .external_lex_state = 4},
  [2153] = {.lex_state = 7, .external_lex_state = 4},
  [2154] = {.lex_state = 7, .external_lex_state = 4},
  [2155] = {.lex_state = 7, .external_lex_state = 4},
  [2156] = {.lex_state = 7, .external_lex_state = 4},
  [2157] = {.lex_state = 7, .external_lex_state = 4},
  [2158] = {.lex_state = 7, .external_lex_state = 4},
  [2159] = {.lex_state = 7, .external_lex_state = 4},
  [2160] = {.lex_state = 7, .external_lex_state = 4},
  [2161] = {.lex_state = 7, .external_lex_state = 4},
  [2162] = {.lex_state = 7, .external_lex_state = 4},
  [2163] = {.lex_state = 7, .external_lex_state = 4},
  [2164] = {.lex_state = 7, .external_lex_state = 4},
  [2165] = {.lex_state = 14, .external_lex_state = 5},
  [2166] = {.lex_state = 14, .external_lex_state = 5},
  [2167] = {.lex_state = 7, .external_lex_state = 3},
  [2168] = {.lex_state = 14, .external_lex_state = 2},
  [2169] = {.lex_state = 14, .external_lex_state = 2},
  [2170] = {.lex_state = 14, .external_lex_state = 5},
  [2171] = {.lex_state = 14, .external_lex_state = 5},
  [2172] = {.lex_state = 7, .external_lex_state = 4},
  [2173] = {.lex_state = 7, .external_lex_state = 3},
  [2174] = {.lex_state = 7, .external_lex_state = 3},
  [2175] = {.lex_state = 7, .external_lex_state = 3},
  [2176] = {.lex_state = 7, .external_lex_state = 4},
  [2177] = {.lex_state = 7, .external_lex_state = 4},
  [2178] = {.lex_state = 7, .external_lex_state = 4},
  [2179] = {.lex_state = 7, .external_lex_state = 4},
  [2180] = {.lex_state = 14, .external_lex_state = 5},
  [2181] = {.lex_state = 14, .external_lex_state = 5},
  [2182] = {.lex_state = 14, .external_lex_state = 5},
  [2183] = {.lex_state = 14, .external_lex_state = 5},
  [2184] = {.lex_state = 14, .external_lex_state = 5},
  [2185] = {.lex_state = 14, .external_lex_state = 5},
  [2186] = {.lex_state = 7, .external_lex_state = 4},
  [2187] = {.lex_state = 7, .external_lex_state = 4},
  [2188] = {.lex_state = 14, .external_lex_state = 5},
  [2189] = {.lex_state = 7, .external_lex_state = 3},
  [2190] = {.lex_state = 7, .external_lex_state = 4},
  [2191] = {.lex_state = 7, .external_lex_state = 4},
  [2192] = {.lex_state = 14, .external_lex_state = 5},
  [2193] = {.lex_state = 7, .external_lex_state = 4},
  [2194] = {.lex_state = 7, .external_lex_state = 3},
  [2195] = {.lex_state = 14, .external_lex_state = 5},
  [2196] = {.lex_state = 8, .external_lex_state = 4},
  [2197] = {.lex_state = 14, .external_lex_state = 5},
  [2198] = {.lex_state = 7, .external_lex_state = 4},
  [2199] = {.lex_state = 7, .external_lex_state = 4},
  [2200] = {.lex_state = 7, .external_lex_state = 4},
  [2201] = {.lex_state = 7, .external_lex_state = 4},
  [2202] = {.lex_state = 7, .external_lex_state = 3},
  [2203] = {.lex_state = 7, .external_lex_state = 4},
  [2204] = {.lex_state = 14, .external_lex_state = 2},
  [2205] = {.lex_state = 14, .external_lex_state = 5},
  [2206] = {.lex_state = 14, .external_lex_state = 2},
  [2207] = {.lex_state = 14, .external_lex_state = 5},
  [2208] = {.lex_state = 14, .external_lex_state = 5},
  [2209] = {.lex_state = 7, .external_lex_state = 4},
  [2210] = {.lex_state = 7, .external_lex_state = 3},
  [2211] = {.lex_state = 7, .external_lex_state = 4},
  [2212] = {.lex_state = 7, .external_lex_state = 4},
  [2213] = {.lex_state = 7, .external_lex_state = 4},
  [2214] = {.lex_state = 7, .external_lex_state = 4},
  [2215] = {.lex_state = 7, .external_lex_state = 4},
  [2216] = {.lex_state = 7, .external_lex_state = 4},
  [2217] = {.lex_state = 7, .external_lex_state = 4},
  [2218] = {.lex_state = 7, .external_lex_state = 3},
  [2219] = {.lex_state = 7, .external_lex_state = 4},
  [2220] = {.lex_state = 7, .external_lex_state = 4},
  [2221] = {.lex_state = 7, .external_lex_state = 4},
  [2222] = {.lex_state = 7, .external_lex_state = 3},
  [2223] = {.lex_state = 14, .external_lex_state = 5},
  [2224] = {.lex_state = 14, .external_lex_state = 5},
  [2225] = {.lex_state = 7, .external_lex_state = 4},
  [2226] = {.lex_state = 14, .external_lex_state = 2},
  [2227] = {.lex_state = 14, .external_lex_state = 5},
  [2228] = {.lex_state = 7, .external_lex_state = 4},
  [2229] = {.lex_state = 14, .external_lex_state = 2},
  [2230] = {.lex_state = 7, .external_lex_state = 4},
  [2231] = {.lex_state = 14, .external_lex_state = 5},
  [2232] = {.lex_state = 7, .external_lex_state = 4},
  [2233] = {.lex_state = 7, .external_lex_state = 4},
  [2234] = {.lex_state = 14, .external_lex_state = 2},
  [2235] = {.lex_state = 14, .external_lex_state = 2},
  [2236] = {.lex_state = 7, .external_lex_state = 4},
  [2237] = {.lex_state = 7, .external_lex_state = 4},
  [2238] = {.lex_state = 8, .external_lex_state = 4},
  [2239] = {.lex_state = 7, .external_lex_state = 3},
  [2240] = {.lex_state = 7, .external_lex_state = 4},
  [2241] = {.lex_state = 7, .external_lex_state = 4},
  [2242] = {.lex_state = 7, .external_lex_state = 3},
  [2243] = {.lex_state = 7, .external_lex_state = 4},
  [2244] = {.lex_state = 7, .external_lex_state = 4},
  [2245] = {.lex_state = 7, .external_lex_state = 4},
  [2246] = {.lex_state = 7, .external_lex_state = 4},
  [2247] = {.lex_state = 7, .external_lex_state = 4},
  [2248] = {.lex_state = 7, .external_lex_state = 4},
  [2249] = {.lex_state = 7, .external_lex_state = 4},
  [2250] = {.lex_state = 7, .external_lex_state = 3},
  [2251] = {.lex_state = 7, .external_lex_state = 3},
  [2252] = {.lex_state = 7, .external_lex_state = 3},
  [2253] = {.lex_state = 7, .external_lex_state = 3},
  [2254] = {.lex_state = 7, .external_lex_state = 3},
  [2255] = {.lex_state = 7, .external_lex_state = 3},
  [2256] = {.lex_state = 7, .external_lex_state = 3},
  [2257] = {.lex_state = 7, .external_lex_state = 3},
  [2258] = {.lex_state = 7, .external_lex_state = 3},
  [2259] = {.lex_state = 7, .external_lex_state = 3},
  [2260] = {.lex_state = 7, .external_lex_state = 3},
  [2261] = {.lex_state = 7, .external_lex_state = 3},
  [2262] = {.lex_state = 7, .external_lex_state = 3},
  [2263] = {.lex_state = 7, .external_lex_state = 3},
  [2264] = {.lex_state = 7, .external_lex_state = 3},
  [2265] = {.lex_state = 7, .external_lex_state = 3},
  [2266] = {.lex_state = 7, .external_lex_state = 3},
  [2267] = {.lex_state = 7, .external_lex_state = 3},
  [2268] = {.lex_state = 7, .external_lex_state = 3},
  [2269] = {.lex_state = 7, .external_lex_state = 3},
  [2270] = {.lex_state = 7, .external_lex_state = 3},
  [2271] = {.lex_state = 7, .external_lex_state = 3},
  [2272] = {.lex_state = 7, .external_lex_state = 3},
  [2273] = {.lex_state = 7, .external_lex_state = 3},
  [2274] = {.lex_state = 7, .external_lex_state = 3},
  [2275] = {.lex_state = 7, .external_lex_state = 4},
  [2276] = {.lex_state = 7, .external_lex_state = 4},
  [2277] = {.lex_state = 7, .external_lex_state = 3},
  [2278] = {.lex_state = 7, .external_lex_state = 3},
  [2279] = {.lex_state = 7, .external_lex_state = 3},
  [2280] = {.lex_state = 7, .external_lex_state = 3},
  [2281] = {.lex_state = 7, .external_lex_state = 3},
  [2282] = {.lex_state = 7, .external_lex_state = 3},
  [2283] = {.lex_state = 7, .external_lex_state = 3},
  [2284] = {.lex_state = 7, .external_lex_state = 3},
  [2285] = {.lex_state = 7, .external_lex_state = 3},
  [2286] = {.lex_state = 7, .external_lex_state = 3},
  [2287] = {.lex_state = 7, .external_lex_state = 3},
  [2288] = {.lex_state = 7, .external_lex_state = 3},
  [2289] = {.lex_state = 7, .external_lex_state = 3},
  [2290] = {.lex_state = 7, .external_lex_state = 3},
  [2291] = {.lex_state = 7, .external_lex_state = 3},
  [2292] = {.lex_state = 7, .external_lex_state = 3},
  [2293] = {.lex_state = 7, .external_lex_state = 3},
  [2294] = {.lex_state = 7, .external_lex_state = 3},
  [2295] = {.lex_state = 7, .external_lex_state = 3},
  [2296] = {.lex_state = 7, .external_lex_state = 3},
  [2297] = {.lex_state = 7, .external_lex_state = 3},
  [2298] = {.lex_state = 7, .external_lex_state = 3},
  [2299] = {.lex_state = 7, .external_lex_state = 3},
  [2300] = {.lex_state = 7, .external_lex_state = 3},
  [2301] = {.lex_state = 7, .external_lex_state = 3},
  [2302] = {.lex_state = 7, .external_lex_state = 3},
  [2303] = {.lex_state = 7, .external_lex_state = 3},
  [2304] = {.lex_state = 7, .external_lex_state = 3},
  [2305] = {.lex_state = 7, .external_lex_state = 4},
  [2306] = {.lex_state = 7, .external_lex_state = 3},
  [2307] = {.lex_state = 96, .external_lex_state = 2},
  [2308] = {.lex_state = 14, .external_lex_state = 5},
  [2309] = {.lex_state = 7, .external_lex_state = 3},
  [2310] = {.lex_state = 7, .external_lex_state = 3},
  [2311] = {.lex_state = 7, .external_lex_state = 3},
  [2312] = {.lex_state = 14, .external_lex_state = 5},
  [2313] = {.lex_state = 14, .external_lex_state = 5},
  [2314] = {.lex_state = 7, .external_lex_state = 3},
  [2315] = {.lex_state = 14, .external_lex_state = 5},
  [2316] = {.lex_state = 7, .external_lex_state = 3},
  [2317] = {.lex_state = 7, .external_lex_state = 4},
  [2318] = {.lex_state = 7, .external_lex_state = 3},
  [2319] = {.lex_state = 14, .external_lex_state = 5},
  [2320] = {.lex_state = 7, .external_lex_state = 4},
  [2321] = {.lex_state = 7, .external_lex_state = 4},
  [2322] = {.lex_state = 14, .external_lex_state = 5},
  [2323] = {.lex_state = 7, .external_lex_state = 3},
  [2324] = {.lex_state = 7, .external_lex_state = 4},
  [2325] = {.lex_state = 14, .external_lex_state = 5},
  [2326] = {.lex_state = 96, .external_lex_state = 2},
  [2327] = {.lex_state = 14, .external_lex_state = 5},
  [2328] = {.lex_state = 14, .external_lex_state = 5},
  [2329] = {.lex_state = 14, .external_lex_state = 5},
  [2330] = {.lex_state = 7, .external_lex_state = 4},
  [2331] = {.lex_state = 14, .external_lex_state = 5},
  [2332] = {.lex_state = 14, .external_lex_state = 5},
  [2333] = {.lex_state = 7, .external_lex_state = 4},
  [2334] = {.lex_state = 7, .external_lex_state = 3},
  [2335] = {.lex_state = 7, .external_lex_state = 3},
  [2336] = {.lex_state = 7, .external_lex_state = 4},
  [2337] = {.lex_state = 7, .external_lex_state = 4},
  [2338] = {.lex_state = 7, .external_lex_state = 4},
  [2339] = {.lex_state = 7, .external_lex_state = 4},
  [2340] = {.lex_state = 7, .external_lex_state = 4},
  [2341] = {.lex_state = 7, .external_lex_state = 4},
  [2342] = {.lex_state = 7, .external_lex_state = 4},
  [2343] = {.lex_state = 7, .external_lex_state = 4},
  [2344] = {.lex_state = 14, .external_lex_state = 5},
  [2345] = {.lex_state = 14, .external_lex_state = 5},
  [2346] = {.lex_state = 7, .external_lex_state = 4},
  [2347] = {.lex_state = 7, .external_lex_state = 3},
  [2348] = {.lex_state = 7, .external_lex_state = 4},
  [2349] = {.lex_state = 7, .external_lex_state = 3},
  [2350] = {.lex_state = 7, .external_lex_state = 3},
  [2351] = {.lex_state = 7, .external_lex_state = 3},
  [2352] = {.lex_state = 7, .external_lex_state = 3},
  [2353] = {.lex_state = 7, .external_lex_state = 3},
  [2354] = {.lex_state = 7, .external_lex_state = 3},
  [2355] = {.lex_state = 7, .external_lex_state = 3},
  [2356] = {.lex_state = 7, .external_lex_state = 3},
  [2357] = {.lex_state = 7, .external_lex_state = 3},
  [2358] = {.lex_state = 7, .external_lex_state = 3},
  [2359] = {.lex_state = 7, .external_lex_state = 3},
  [2360] = {.lex_state = 7, .external_lex_state = 3},
  [2361] = {.lex_state = 7, .external_lex_state = 3},
  [2362] = {.lex_state = 7, .external_lex_state = 3},
  [2363] = {.lex_state = 7, .external_lex_state = 3},
  [2364] = {.lex_state = 7, .external_lex_state = 4},
  [2365] = {.lex_state = 7, .external_lex_state = 4},
  [2366] = {.lex_state = 7, .external_lex_state = 4},
  [2367] = {.lex_state = 7, .external_lex_state = 4},
  [2368] = {.lex_state = 7, .external_lex_state = 3},
  [2369] = {.lex_state = 7, .external_lex_state = 4},
  [2370] = {.lex_state = 7, .external_lex_state = 4},
  [2371] = {.lex_state = 7, .external_lex_state = 4},
  [2372] = {.lex_state = 7, .external_lex_state = 4},
  [2373] = {.lex_state = 7, .external_lex_state = 4},
  [2374] = {.lex_state = 7, .external_lex_state = 3},
  [2375] = {.lex_state = 7, .external_lex_state = 4},
  [2376] = {.lex_state = 7, .external_lex_state = 3},
  [2377] = {.lex_state = 7, .external_lex_state = 4},
  [2378] = {.lex_state = 7, .external_lex_state = 4},
  [2379] = {.lex_state = 7, .external_lex_state = 3},
  [2380] = {.lex_state = 14, .external_lex_state = 5},
  [2381] = {.lex_state = 14, .external_lex_state = 5},
  [2382] = {.lex_state = 7, .external_lex_state = 3},
  [2383] = {.lex_state = 7, .external_lex_state = 4},
  [2384] = {.lex_state = 7, .external_lex_state = 3},
  [2385] = {.lex_state = 7, .external_lex_state = 3},
  [2386] = {.lex_state = 7, .external_lex_state = 3},
  [2387] = {.lex_state = 14, .external_lex_state = 5},
  [2388] = {.lex_state = 7, .external_lex_state = 4},
  [2389] = {.lex_state = 14, .external_lex_state = 5},
  [2390] = {.lex_state = 7, .external_lex_state = 4},
  [2391] = {.lex_state = 7, .external_lex_state = 3},
  [2392] = {.lex_state = 7, .external_lex_state = 4},
  [2393] = {.lex_state = 7, .external_lex_state = 3},
  [2394] = {.lex_state = 7, .external_lex_state = 4},
  [2395] = {.lex_state = 7, .external_lex_state = 4},
  [2396] = {.lex_state = 7, .external_lex_state = 4},
  [2397] = {.lex_state = 14, .external_lex_state = 2},
  [2398] = {.lex_state = 14, .external_lex_state = 2},
  [2399] = {.lex_state = 7, .external_lex_state = 3},
  [2400] = {.lex_state = 7, .external_lex_state = 3},
  [2401] = {.lex_state = 7, .external_lex_state = 4},
  [2402] = {.lex_state = 7, .external_lex_state = 4},
  [2403] = {.lex_state = 7, .external_lex_state = 3},
  [2404] = {.lex_state = 7, .external_lex_state = 4},
  [2405] = {.lex_state = 7, .external_lex_state = 3},
  [2406] = {.lex_state = 7, .external_lex_state = 3},
  [2407] = {.lex_state = 7, .external_lex_state = 3},
  [2408] = {.lex_state = 7, .external_lex_state = 3},
  [2409] = {.lex_state = 7, .external_lex_state = 3},
  [2410] = {.lex_state = 7, .external_lex_state = 3},
  [2411] = {.lex_state = 7, .external_lex_state = 3},
  [2412] = {.lex_state = 7, .external_lex_state = 3},
  [2413] = {.lex_state = 7, .external_lex_state = 3},
  [2414] = {.lex_state = 7, .external_lex_state = 3},
  [2415] = {.lex_state = 7, .external_lex_state = 3},
  [2416] = {.lex_state = 7, .external_lex_state = 3},
  [2417] = {.lex_state = 7, .external_lex_state = 3},
  [2418] = {.lex_state = 7, .external_lex_state = 3},
  [2419] = {.lex_state = 7, .external_lex_state = 3},
  [2420] = {.lex_state = 7, .external_lex_state = 3},
  [2421] = {.lex_state = 7, .external_lex_state = 3},
  [2422] = {.lex_state = 7, .external_lex_state = 3},
  [2423] = {.lex_state = 7, .external_lex_state = 3},
  [2424] = {.lex_state = 7, .external_lex_state = 3},
  [2425] = {.lex_state = 7, .external_lex_state = 3},
  [2426] = {.lex_state = 7, .external_lex_state = 3},
  [2427] = {.lex_state = 7, .external_lex_state = 3},
  [2428] = {.lex_state = 7, .external_lex_state = 3},
  [2429] = {.lex_state = 7, .external_lex_state = 3},
  [2430] = {.lex_state = 7, .external_lex_state = 3},
  [2431] = {.lex_state = 14, .external_lex_state = 2},
  [2432] = {.lex_state = 14, .external_lex_state = 2},
  [2433] = {.lex_state = 7, .external_lex_state = 4},
  [2434] = {.lex_state = 7, .external_lex_state = 3},
  [2435] = {.lex_state = 7, .external_lex_state = 3},
  [2436] = {.lex_state = 7, .external_lex_state = 3},
  [2437] = {.lex_state = 7, .external_lex_state = 3},
  [2438] = {.lex_state = 14, .external_lex_state = 5},
  [2439] = {.lex_state = 7, .external_lex_state = 4},
  [2440] = {.lex_state = 7, .external_lex_state = 3},
  [2441] = {.lex_state = 7, .external_lex_state = 3},
  [2442] = {.lex_state = 14, .external_lex_state = 2},
  [2443] = {.lex_state = 14, .external_lex_state = 2},
  [2444] = {.lex_state = 14, .external_lex_state = 5},
  [2445] = {.lex_state = 14, .external_lex_state = 5},
  [2446] = {.lex_state = 7, .external_lex_state = 4},
  [2447] = {.lex_state = 7, .external_lex_state = 3},
  [2448] = {.lex_state = 7, .external_lex_state = 4},
  [2449] = {.lex_state = 14, .external_lex_state = 5},
  [2450] = {.lex_state = 14, .external_lex_state = 5},
  [2451] = {.lex_state = 14, .external_lex_state = 5},
  [2452] = {.lex_state = 7, .external_lex_state = 3},
  [2453] = {.lex_state = 7, .external_lex_state = 3},
  [2454] = {.lex_state = 7, .external_lex_state = 4},
  [2455] = {.lex_state = 14, .external_lex_state = 2},
  [2456] = {.lex_state = 14, .external_lex_state = 5},
  [2457] = {.lex_state = 14, .external_lex_state = 2},
  [2458] = {.lex_state = 14, .external_lex_state = 5},
  [2459] = {.lex_state = 96, .external_lex_state = 5},
  [2460] = {.lex_state = 96, .external_lex_state = 5},
  [2461] = {.lex_state = 14, .external_lex_state = 5},
  [2462] = {.lex_state = 14, .external_lex_state = 5},
  [2463] = {.lex_state = 14, .external_lex_state = 5},
  [2464] = {.lex_state = 14, .external_lex_state = 2},
  [2465] = {.lex_state = 14, .external_lex_state = 5},
  [2466] = {.lex_state = 14, .external_lex_state = 5},
  [2467] = {.lex_state = 14, .external_lex_state = 5},
  [2468] = {.lex_state = 14, .external_lex_state = 5},
  [2469] = {.lex_state = 7, .external_lex_state = 3},
  [2470] = {.lex_state = 7, .external_lex_state = 3},
  [2471] = {.lex_state = 7, .external_lex_state = 3},
  [2472] = {.lex_state = 7, .external_lex_state = 3},
  [2473] = {.lex_state = 14, .external_lex_state = 5},
  [2474] = {.lex_state = 7, .external_lex_state = 4},
  [2475] = {.lex_state = 7, .external_lex_state = 3},
  [2476] = {.lex_state = 7, .external_lex_state = 3},
  [2477] = {.lex_state = 96, .external_lex_state = 5},
  [2478] = {.lex_state = 96, .external_lex_state = 5},
  [2479] = {.lex_state = 7, .external_lex_state = 3},
  [2480] = {.lex_state = 7, .external_lex_state = 3},
  [2481] = {.lex_state = 7, .external_lex_state = 3},
  [2482] = {.lex_state = 7, .external_lex_state = 3},
  [2483] = {.lex_state = 7, .external_lex_state = 3},
  [2484] = {.lex_state = 7, .external_lex_state = 3},
  [2485] = {.lex_state = 7, .external_lex_state = 3},
  [2486] = {.lex_state = 7, .external_lex_state = 3},
  [2487] = {.lex_state = 7, .external_lex_state = 3},
  [2488] = {.lex_state = 7, .external_lex_state = 3},
  [2489] = {.lex_state = 7, .external_lex_state = 3},
  [2490] = {.lex_state = 14, .external_lex_state = 5},
  [2491] = {.lex_state = 14, .external_lex_state = 2},
  [2492] = {.lex_state = 7, .external_lex_state = 3},
  [2493] = {.lex_state = 7, .external_lex_state = 3},
  [2494] = {.lex_state = 7, .external_lex_state = 3},
  [2495] = {.lex_state = 7, .external_lex_state = 3},
  [2496] = {.lex_state = 7, .external_lex_state = 3},
  [2497] = {.lex_state = 96, .external_lex_state = 5},
  [2498] = {.lex_state = 7, .external_lex_state = 3},
  [2499] = {.lex_state = 7, .external_lex_state = 3},
  [2500] = {.lex_state = 7, .external_lex_state = 3},
  [2501] = {.lex_state = 7, .external_lex_state = 3},
  [2502] = {.lex_state = 7, .external_lex_state = 3},
  [2503] = {.lex_state = 14, .external_lex_state = 5},
  [2504] = {.lex_state = 7, .external_lex_state = 3},
  [2505] = {.lex_state = 7, .external_lex_state = 3},
  [2506] = {.lex_state = 96, .external_lex_state = 5},
  [2507] = {.lex_state = 14, .external_lex_state = 5},
  [2508] = {.lex_state = 14, .external_lex_state = 5},
  [2509] = {.lex_state = 7, .external_lex_state = 3},
  [2510] = {.lex_state = 96, .external_lex_state = 5},
  [2511] = {.lex_state = 7, .external_lex_state = 3},
  [2512] = {.lex_state = 7, .external_lex_state = 3},
  [2513] = {.lex_state = 7, .external_lex_state = 3},
  [2514] = {.lex_state = 14, .external_lex_state = 5},
  [2515] = {.lex_state = 7, .external_lex_state = 3},
  [2516] = {.lex_state = 7, .external_lex_state = 3},
  [2517] = {.lex_state = 14, .external_lex_state = 2},
  [2518] = {.lex_state = 7, .external_lex_state = 3},
  [2519] = {.lex_state = 7, .external_lex_state = 3},
  [2520] = {.lex_state = 7, .external_lex_state = 3},
  [2521] = {.lex_state = 96, .external_lex_state = 2},
  [2522] = {.lex_state = 14, .external_lex_state = 5},
  [2523] = {.lex_state = 7, .external_lex_state = 3},
  [2524] = {.lex_state = 14, .external_lex_state = 5},
  [2525] = {.lex_state = 14, .external_lex_state = 5},
  [2526] = {.lex_state = 7, .external_lex_state = 3},
  [2527] = {.lex_state = 14, .external_lex_state = 2},
  [2528] = {.lex_state = 14, .external_lex_state = 2},
  [2529] = {.lex_state = 14, .external_lex_state = 2},
  [2530] = {.lex_state = 96, .external_lex_state = 5},
  [2531] = {.lex_state = 96, .external_lex_state = 5},
  [2532] = {.lex_state = 7, .external_lex_state = 3},
  [2533] = {.lex_state = 7, .external_lex_state = 3},
  [2534] = {.lex_state = 7, .external_lex_state = 3},
  [2535] = {.lex_state = 7, .external_lex_state = 3},
  [2536] = {.lex_state = 14, .external_lex_state = 2},
  [2537] = {.lex_state = 7, .external_lex_state = 3},
  [2538] = {.lex_state = 7, .external_lex_state = 4},
  [2539] = {.lex_state = 96, .external_lex_state = 2},
  [2540] = {.lex_state = 7, .external_lex_state = 4},
  [2541] = {.lex_state = 8, .external_lex_state = 3},
  [2542] = {.lex_state = 7, .external_lex_state = 4},
  [2543] = {.lex_state = 96, .external_lex_state = 5},
  [2544] = {.lex_state = 7, .external_lex_state = 3},
  [2545] = {.lex_state = 96, .external_lex_state = 5},
  [2546] = {.lex_state = 96, .external_lex_state = 5},
  [2547] = {.lex_state = 96, .external_lex_state = 5},
  [2548] = {.lex_state = 7, .external_lex_state = 3},
  [2549] = {.lex_state = 96, .external_lex_state = 5},
  [2550] = {.lex_state = 7, .external_lex_state = 3},
  [2551] = {.lex_state = 96, .external_lex_state = 5},
  [2552] = {.lex_state = 96, .external_lex_state = 5},
  [2553] = {.lex_state = 7, .external_lex_state = 3},
  [2554] = {.lex_state = 96, .external_lex_state = 5},
  [2555] = {.lex_state = 96, .external_lex_state = 5},
  [2556] = {.lex_state = 96, .external_lex_state = 5},
  [2557] = {.lex_state = 14, .external_lex_state = 2},
  [2558] = {.lex_state = 14, .external_lex_state = 2},
  [2559] = {.lex_state = 96, .external_lex_state = 5},
  [2560] = {.lex_state = 7, .external_lex_state = 3},
  [2561] = {.lex_state = 7, .external_lex_state = 3},
  [2562] = {.lex_state = 7, .external_lex_state = 3},
  [2563] = {.lex_state = 7, .external_lex_state = 4},
  [2564] = {.lex_state = 96, .external_lex_state = 5},
  [2565] = {.lex_state = 96, .external_lex_state = 5},
  [2566] = {.lex_state = 7, .external_lex_state = 3},
  [2567] = {.lex_state = 96, .external_lex_state = 5},
  [2568] = {.lex_state = 7, .external_lex_state = 3},
  [2569] = {.lex_state = 7, .external_lex_state = 3},
  [2570] = {.lex_state = 7, .external_lex_state = 3},
  [2571] = {.lex_state = 7, .external_lex_state = 3},
  [2572] = {.lex_state = 14, .external_lex_state = 2},
  [2573] = {.lex_state = 96, .external_lex_state = 5},
  [2574] = {.lex_state = 7, .external_lex_state = 3},
  [2575] = {.lex_state = 96, .external_lex_state = 2},
  [2576] = {.lex_state = 14, .external_lex_state = 5},
  [2577] = {.lex_state = 96, .external_lex_state = 2},
  [2578] = {.lex_state = 7, .external_lex_state = 3},
  [2579] = {.lex_state = 96, .external_lex_state = 5},
  [2580] = {.lex_state = 7, .external_lex_state = 3},
  [2581] = {.lex_state = 7, .external_lex_state = 3},
  [2582] = {.lex_state = 7, .external_lex_state = 3},
  [2583] = {.lex_state = 96, .external_lex_state = 5},
  [2584] = {.lex_state = 7, .external_lex_state = 3},
  [2585] = {.lex_state = 14, .external_lex_state = 2},
  [2586] = {.lex_state = 14, .external_lex_state = 5},
  [2587] = {.lex_state = 14, .external_lex_state = 2},
  [2588] = {.lex_state = 96, .external_lex_state = 2},
  [2589] = {.lex_state = 7, .external_lex_state = 3},
  [2590] = {.lex_state = 7, .external_lex_state = 3},
  [2591] = {.lex_state = 14, .external_lex_state = 2},
  [2592] = {.lex_state = 14, .external_lex_state = 2},
  [2593] = {.lex_state = 14, .external_lex_state = 2},
  [2594] = {.lex_state = 7, .external_lex_state = 3},
  [2595] = {.lex_state = 7, .external_lex_state = 3},
  [2596] = {.lex_state = 14, .external_lex_state = 2},
  [2597] = {.lex_state = 14, .external_lex_state = 2},
  [2598] = {.lex_state = 7, .external_lex_state = 3},
  [2599] = {.lex_state = 14, .external_lex_state = 2},
  [2600] = {.lex_state = 14, .external_lex_state = 2},
  [2601] = {.lex_state = 7, .external_lex_state = 3},
  [2602] = {.lex_state = 14, .external_lex_state = 2},
  [2603] = {.lex_state = 14, .external_lex_state = 2},
  [2604] = {.lex_state = 14, .external_lex_state = 2},
  [2605] = {.lex_state = 14, .external_lex_state = 2},
  [2606] = {.lex_state = 14, .external_lex_state = 2},
  [2607] = {.lex_state = 14, .external_lex_state = 2},
  [2608] = {.lex_state = 8, .external_lex_state = 3},
  [2609] = {.lex_state = 7, .external_lex_state = 3},
  [2610] = {.lex_state = 7, .external_lex_state = 3},
  [2611] = {.lex_state = 7, .external_lex_state = 3},
  [2612] = {.lex_state = 14, .external_lex_state = 2},
  [2613] = {.lex_state = 7, .external_lex_state = 3},
  [2614] = {.lex_state = 14, .external_lex_state = 2},
  [2615] = {.lex_state = 14, .external_lex_state = 2},
  [2616] = {.lex_state = 14, .external_lex_state = 2},
  [2617] = {.lex_state = 14, .external_lex_state = 2},
  [2618] = {.lex_state = 14, .external_lex_state = 5},
  [2619] = {.lex_state = 14, .external_lex_state = 5},
  [2620] = {.lex_state = 14, .external_lex_state = 5},
  [2621] = {.lex_state = 14, .external_lex_state = 5},
  [2622] = {.lex_state = 14, .external_lex_state = 2},
  [2623] = {.lex_state = 14, .external_lex_state = 5},
  [2624] = {.lex_state = 14, .external_lex_state = 5},
  [2625] = {.lex_state = 14, .external_lex_state = 5},
  [2626] = {.lex_state = 14, .external_lex_state = 5},
  [2627] = {.lex_state = 7, .external_lex_state = 3},
  [2628] = {.lex_state = 14, .external_lex_state = 5},
  [2629] = {.lex_state = 14, .external_lex_state = 5},
  [2630] = {.lex_state = 14, .external_lex_state = 5},
  [2631] = {.lex_state = 14, .external_lex_state = 5},
  [2632] = {.lex_state = 14, .external_lex_state = 5},
  [2633] = {.lex_state = 7, .external_lex_state = 3},
  [2634] = {.lex_state = 14, .external_lex_state = 5},
  [2635] = {.lex_state = 14, .external_lex_state = 5},
  [2636] = {.lex_state = 14, .external_lex_state = 5},
  [2637] = {.lex_state = 7, .external_lex_state = 3},
  [2638] = {.lex_state = 14, .external_lex_state = 5},
  [2639] = {.lex_state = 14, .external_lex_state = 5},
  [2640] = {.lex_state = 14, .external_lex_state = 5},
  [2641] = {.lex_state = 14, .external_lex_state = 5},
  [2642] = {.lex_state = 14, .external_lex_state = 5},
  [2643] = {.lex_state = 14, .external_lex_state = 5},
  [2644] = {.lex_state = 7, .external_lex_state = 3},
  [2645] = {.lex_state = 14, .external_lex_state = 5},
  [2646] = {.lex_state = 14, .external_lex_state = 5},
  [2647] = {.lex_state = 7, .external_lex_state = 3},
  [2648] = {.lex_state = 7, .external_lex_state = 3},
  [2649] = {.lex_state = 14, .external_lex_state = 5},
  [2650] = {.lex_state = 14, .external_lex_state = 5},
  [2651] = {.lex_state = 14, .external_lex_state = 5},
  [2652] = {.lex_state = 14, .external_lex_state = 5},
  [2653] = {.lex_state = 7, .external_lex_state = 3},
  [2654] = {.lex_state = 14, .external_lex_state = 5},
  [2655] = {.lex_state = 14, .external_lex_state = 5},
  [2656] = {.lex_state = 14, .external_lex_state = 5},
  [2657] = {.lex_state = 14, .external_lex_state = 5},
  [2658] = {.lex_state = 14, .external_lex_state = 5},
  [2659] = {.lex_state = 14, .external_lex_state = 5},
  [2660] = {.lex_state = 14, .external_lex_state = 5},
  [2661] = {.lex_state = 14, .external_lex_state = 5},
  [2662] = {.lex_state = 14, .external_lex_state = 2},
  [2663] = {.lex_state = 7, .external_lex_state = 3},
  [2664] = {.lex_state = 14, .external_lex_state = 5},
  [2665] = {.lex_state = 14, .external_lex_state = 5},
  [2666] = {.lex_state = 14, .external_lex_state = 5},
  [2667] = {.lex_state = 14, .external_lex_state = 5},
  [2668] = {.lex_state = 14, .external_lex_state = 5},
  [2669] = {.lex_state = 14, .external_lex_state = 5},
  [2670] = {.lex_state = 14, .external_lex_state = 5},
  [2671] = {.lex_state = 14, .external_lex_state = 5},
  [2672] = {.lex_state = 14, .external_lex_state = 5},
  [2673] = {.lex_state = 14, .external_lex_state = 5},
  [2674] = {.lex_state = 7, .external_lex_state = 3},
  [2675] = {.lex_state = 7, .external_lex_state = 3},
  [2676] = {.lex_state = 14, .external_lex_state = 5},
  [2677] = {.lex_state = 14, .external_lex_state = 5},
  [2678] = {.lex_state = 14, .external_lex_state = 5},
  [2679] = {.lex_state = 14, .external_lex_state = 5},
  [2680] = {.lex_state = 14, .external_lex_state = 5},
  [2681] = {.lex_state = 14, .external_lex_state = 5},
  [2682] = {.lex_state = 14, .external_lex_state = 2},
  [2683] = {.lex_state = 14, .external_lex_state = 2},
  [2684] = {.lex_state = 14, .external_lex_state = 2},
  [2685] = {.lex_state = 14, .external_lex_state = 2},
  [2686] = {.lex_state = 14, .external_lex_state = 2},
  [2687] = {.lex_state = 14, .external_lex_state = 2},
  [2688] = {.lex_state = 14, .external_lex_state = 2},
  [2689] = {.lex_state = 14, .external_lex_state = 2},
  [2690] = {.lex_state = 14, .external_lex_state = 2},
  [2691] = {.lex_state = 14, .external_lex_state = 2},
  [2692] = {.lex_state = 14, .external_lex_state = 2},
  [2693] = {.lex_state = 14, .external_lex_state = 2},
  [2694] = {.lex_state = 14, .external_lex_state = 2},
  [2695] = {.lex_state = 14, .external_lex_state = 2},
  [2696] = {.lex_state = 14, .external_lex_state = 2},
  [2697] = {.lex_state = 14, .external_lex_state = 2},
  [2698] = {.lex_state = 14, .external_lex_state = 2},
  [2699] = {.lex_state = 14, .external_lex_state = 2},
  [2700] = {.lex_state = 14, .external_lex_state = 2},
  [2701] = {.lex_state = 14, .external_lex_state = 2},
  [2702] = {.lex_state = 96, .external_lex_state = 2},
  [2703] = {.lex_state = 14, .external_lex_state = 2},
  [2704] = {.lex_state = 96, .external_lex_state = 2},
  [2705] = {.lex_state = 14, .external_lex_state = 2},
  [2706] = {.lex_state = 14, .external_lex_state = 2},
  [2707] = {.lex_state = 96, .external_lex_state = 2},
  [2708] = {.lex_state = 96, .external_lex_state = 2},
  [2709] = {.lex_state = 14, .external_lex_state = 2},
  [2710] = {.lex_state = 14, .external_lex_state = 2},
  [2711] = {.lex_state = 14, .external_lex_state = 2},
  [2712] = {.lex_state = 14, .external_lex_state = 2},
  [2713] = {.lex_state = 14, .external_lex_state = 2},
  [2714] = {.lex_state = 14, .external_lex_state = 2},
  [2715] = {.lex_state = 14, .external_lex_state = 2},
  [2716] = {.lex_state = 14, .external_lex_state = 2},
  [2717] = {.lex_state = 14, .external_lex_state = 2},
  [2718] = {.lex_state = 14, .external_lex_state = 2},
  [2719] = {.lex_state = 14, .external_lex_state = 2},
  [2720] = {.lex_state = 14, .external_lex_state = 2},
  [2721] = {.lex_state = 14, .external_lex_state = 2},
  [2722] = {.lex_state = 14, .external_lex_state = 2},
  [2723] = {.lex_state = 14, .external_lex_state = 2},
  [2724] = {.lex_state = 96, .external_lex_state = 2},
  [2725] = {.lex_state = 14, .external_lex_state = 2},
  [2726] = {.lex_state = 14, .external_lex_state = 2},
  [2727] = {.lex_state = 96, .external_lex_state = 2},
  [2728] = {.lex_state = 14, .external_lex_state = 2},
  [2729] = {.lex_state = 96, .external_lex_state = 2},
  [2730] = {.lex_state = 14, .external_lex_state = 2},
  [2731] = {.lex_state = 14, .external_lex_state = 2},
  [2732] = {.lex_state = 14, .external_lex_state = 2},
  [2733] = {.lex_state = 14, .external_lex_state = 2},
  [2734] = {.lex_state = 14, .external_lex_state = 2},
  [2735] = {.lex_state = 14, .external_lex_state = 2},
  [2736] = {.lex_state = 14, .external_lex_state = 2},
  [2737] = {.lex_state = 14, .external_lex_state = 2},
  [2738] = {.lex_state = 14, .external_lex_state = 2},
  [2739] = {.lex_state = 96, .external_lex_state = 2},
  [2740] = {.lex_state = 96, .external_lex_state = 2},
  [2741] = {.lex_state = 96, .external_lex_state = 2},
  [2742] = {.lex_state = 96, .external_lex_state = 2},
  [2743] = {.lex_state = 96, .external_lex_state = 2},
  [2744] = {.lex_state = 96, .external_lex_state = 2},
  [2745] = {.lex_state = 96, .external_lex_state = 2},
  [2746] = {.lex_state = 96, .external_lex_state = 2},
  [2747] = {.lex_state = 96, .external_lex_state = 2},
  [2748] = {.lex_state = 96, .external_lex_state = 2},
  [2749] = {.lex_state = 96, .external_lex_state = 2},
  [2750] = {.lex_state = 96, .external_lex_state = 2},
  [2751] = {.lex_state = 96, .external_lex_state = 2},
  [2752] = {.lex_state = 96, .external_lex_state = 2},
  [2753] = {.lex_state = 96, .external_lex_state = 2},
  [2754] = {.lex_state = 96, .external_lex_state = 2},
  [2755] = {.lex_state = 96, .external_lex_state = 2},
  [2756] = {.lex_state = 96, .external_lex_state = 2},
  [2757] = {.lex_state = 96, .external_lex_state = 2},
  [2758] = {.lex_state = 96, .external_lex_state = 2},
  [2759] = {.lex_state = 96, .external_lex_state = 2},
  [2760] = {.lex_state = 96, .external_lex_state = 2},
  [2761] = {.lex_state = 96, .external_lex_state = 2},
  [2762] = {.lex_state = 96, .external_lex_state = 2},
  [2763] = {.lex_state = 96, .external_lex_state = 2},
  [2764] = {.lex_state = 96, .external_lex_state = 2},
  [2765] = {.lex_state = 96, .external_lex_state = 2},
  [2766] = {.lex_state = 96, .external_lex_state = 2},
  [2767] = {.lex_state = 96, .external_lex_state = 2},
  [2768] = {.lex_state = 96, .external_lex_state = 2},
  [2769] = {.lex_state = 96, .external_lex_state = 2},
  [2770] = {.lex_state = 96, .external_lex_state = 2},
  [2771] = {.lex_state = 96, .external_lex_state = 2},
  [2772] = {.lex_state = 96, .external_lex_state = 2},
  [2773] = {.lex_state = 14, .external_lex_state = 2},
  [2774] = {.lex_state = 96, .external_lex_state = 2},
  [2775] = {.lex_state = 96, .external_lex_state = 2},
  [2776] = {.lex_state = 96, .external_lex_state = 2},
  [2777] = {.lex_state = 96, .external_lex_state = 2},
  [2778] = {.lex_state = 96, .external_lex_state = 2},
  [2779] = {.lex_state = 96, .external_lex_state = 2},
  [2780] = {.lex_state = 96, .external_lex_state = 2},
  [2781] = {.lex_state = 96, .external_lex_state = 2},
  [2782] = {.lex_state = 96, .external_lex_state = 2},
  [2783] = {.lex_state = 96, .external_lex_state = 2},
  [2784] = {.lex_state = 96, .external_lex_state = 2},
  [2785] = {.lex_state = 96, .external_lex_state = 2},
  [2786] = {.lex_state = 96, .external_lex_state = 2},
  [2787] = {.lex_state = 96, .external_lex_state = 2},
  [2788] = {.lex_state = 96, .external_lex_state = 2},
  [2789] = {.lex_state = 96, .external_lex_state = 2},
  [2790] = {.lex_state = 96, .external_lex_state = 2},
  [2791] = {.lex_state = 96, .external_lex_state = 2},
  [2792] = {.lex_state = 96, .external_lex_state = 2},
  [2793] = {.lex_state = 96, .external_lex_state = 2},
  [2794] = {.lex_state = 96, .external_lex_state = 2},
  [2795] = {.lex_state = 96, .external_lex_state = 2},
  [2796] = {.lex_state = 96, .external_lex_state = 2},
  [2797] = {.lex_state = 96, .external_lex_state = 2},
  [2798] = {.lex_state = 96, .external_lex_state = 2},
  [2799] = {.lex_state = 96, .external_lex_state = 2},
  [2800] = {.lex_state = 96, .external_lex_state = 2},
  [2801] = {.lex_state = 96, .external_lex_state = 2},
  [2802] = {.lex_state = 96, .external_lex_state = 2},
  [2803] = {.lex_state = 96, .external_lex_state = 2},
  [2804] = {.lex_state = 96, .external_lex_state = 2},
  [2805] = {.lex_state = 96, .external_lex_state = 2},
  [2806] = {.lex_state = 96, .external_lex_state = 2},
  [2807] = {.lex_state = 96, .external_lex_state = 2},
  [2808] = {.lex_state = 96, .external_lex_state = 2},
  [2809] = {.lex_state = 96, .external_lex_state = 2},
  [2810] = {.lex_state = 96, .external_lex_state = 2},
  [2811] = {.lex_state = 96, .external_lex_state = 2},
  [2812] = {.lex_state = 96, .external_lex_state = 2},
  [2813] = {.lex_state = 96, .external_lex_state = 2},
  [2814] = {.lex_state = 96, .external_lex_state = 2},
  [2815] = {.lex_state = 96, .external_lex_state = 2},
  [2816] = {.lex_state = 96, .external_lex_state = 2},
  [2817] = {.lex_state = 96, .external_lex_state = 2},
  [2818] = {.lex_state = 96, .external_lex_state = 2},
  [2819] = {.lex_state = 96, .external_lex_state = 2},
  [2820] = {.lex_state = 96, .external_lex_state = 2},
  [2821] = {.lex_state = 96, .external_lex_state = 2},
  [2822] = {.lex_state = 96, .external_lex_state = 2},
  [2823] = {.lex_state = 96, .external_lex_state = 2},
  [2824] = {.lex_state = 96, .external_lex_state = 2},
  [2825] = {.lex_state = 96, .external_lex_state = 2},
  [2826] = {.lex_state = 96, .external_lex_state = 2},
  [2827] = {.lex_state = 96, .external_lex_state = 2},
  [2828] = {.lex_state = 96, .external_lex_state = 2},
  [2829] = {.lex_state = 96, .external_lex_state = 2},
  [2830] = {.lex_state = 96, .external_lex_state = 2},
  [2831] = {.lex_state = 96, .external_lex_state = 2},
  [2832] = {.lex_state = 96, .external_lex_state = 2},
  [2833] = {.lex_state = 96, .external_lex_state = 2},
  [2834] = {.lex_state = 96, .external_lex_state = 2},
  [2835] = {.lex_state = 96, .external_lex_state = 2},
  [2836] = {.lex_state = 96, .external_lex_state = 2},
  [2837] = {.lex_state = 96, .external_lex_state = 2},
  [2838] = {.lex_state = 96, .external_lex_state = 2},
  [2839] = {.lex_state = 96, .external_lex_state = 2},
  [2840] = {.lex_state = 96, .external_lex_state = 2},
  [2841] = {.lex_state = 96, .external_lex_state = 2},
  [2842] = {.lex_state = 96, .external_lex_state = 2},
  [2843] = {.lex_state = 96, .external_lex_state = 2},
  [2844] = {.lex_state = 96, .external_lex_state = 2},
  [2845] = {.lex_state = 96, .external_lex_state = 2},
  [2846] = {.lex_state = 96, .external_lex_state = 2},
  [2847] = {.lex_state = 96, .external_lex_state = 2},
  [2848] = {.lex_state = 96, .external_lex_state = 2},
  [2849] = {.lex_state = 96, .external_lex_state = 2},
  [2850] = {.lex_state = 96, .external_lex_state = 2},
  [2851] = {.lex_state = 96, .external_lex_state = 2},
  [2852] = {.lex_state = 96, .external_lex_state = 2},
  [2853] = {.lex_state = 96, .external_lex_state = 2},
  [2854] = {.lex_state = 96, .external_lex_state = 2},
  [2855] = {.lex_state = 96, .external_lex_state = 2},
  [2856] = {.lex_state = 96, .external_lex_state = 2},
  [2857] = {.lex_state = 96, .external_lex_state = 2},
  [2858] = {.lex_state = 96, .external_lex_state = 2},
  [2859] = {.lex_state = 96, .external_lex_state = 2},
  [2860] = {.lex_state = 96, .external_lex_state = 2},
  [2861] = {.lex_state = 96, .external_lex_state = 2},
  [2862] = {.lex_state = 96, .external_lex_state = 2},
  [2863] = {.lex_state = 96, .external_lex_state = 2},
  [2864] = {.lex_state = 96, .external_lex_state = 2},
  [2865] = {.lex_state = 96, .external_lex_state = 2},
  [2866] = {.lex_state = 96, .external_lex_state = 2},
  [2867] = {.lex_state = 96, .external_lex_state = 2},
  [2868] = {.lex_state = 96, .external_lex_state = 2},
  [2869] = {.lex_state = 96, .external_lex_state = 2},
  [2870] = {.lex_state = 96, .external_lex_state = 2},
  [2871] = {.lex_state = 96, .external_lex_state = 2},
  [2872] = {.lex_state = 96, .external_lex_state = 2},
  [2873] = {.lex_state = 96, .external_lex_state = 2},
  [2874] = {.lex_state = 96, .external_lex_state = 2},
  [2875] = {.lex_state = 96, .external_lex_state = 2},
  [2876] = {.lex_state = 96, .external_lex_state = 2},
  [2877] = {.lex_state = 96, .external_lex_state = 2},
  [2878] = {.lex_state = 96, .external_lex_state = 2},
  [2879] = {.lex_state = 96, .external_lex_state = 2},
  [2880] = {.lex_state = 96, .external_lex_state = 2},
  [2881] = {.lex_state = 96, .external_lex_state = 2},
  [2882] = {.lex_state = 96, .external_lex_state = 2},
  [2883] = {.lex_state = 96, .external_lex_state = 2},
  [2884] = {.lex_state = 96, .external_lex_state = 2},
  [2885] = {.lex_state = 96, .external_lex_state = 2},
  [2886] = {.lex_state = 96, .external_lex_state = 2},
  [2887] = {.lex_state = 96, .external_lex_state = 2},
  [2888] = {.lex_state = 96, .external_lex_state = 2},
  [2889] = {.lex_state = 96, .external_lex_state = 2},
  [2890] = {.lex_state = 96, .external_lex_state = 2},
  [2891] = {.lex_state = 96, .external_lex_state = 2},
  [2892] = {.lex_state = 96, .external_lex_state = 2},
  [2893] = {.lex_state = 96, .external_lex_state = 2},
  [2894] = {.lex_state = 96, .external_lex_state = 2},
  [2895] = {.lex_state = 96, .external_lex_state = 2},
  [2896] = {.lex_state = 96, .external_lex_state = 2},
  [2897] = {.lex_state = 96, .external_lex_state = 2},
  [2898] = {.lex_state = 15, .external_lex_state = 2},
  [2899] = {.lex_state = 15, .external_lex_state = 2},
  [2900] = {.lex_state = 15, .external_lex_state = 2},
  [2901] = {.lex_state = 15, .external_lex_state = 2},
  [2902] = {.lex_state = 15, .external_lex_state = 2},
  [2903] = {.lex_state = 15, .external_lex_state = 2},
  [2904] = {.lex_state = 15, .external_lex_state = 2},
  [2905] = {.lex_state = 15, .external_lex_state = 2},
  [2906] = {.lex_state = 15, .external_lex_state = 2},
  [2907] = {.lex_state = 15, .external_lex_state = 2},
  [2908] = {.lex_state = 15, .external_lex_state = 2},
  [2909] = {.lex_state = 15, .external_lex_state = 2},
  [2910] = {.lex_state = 15, .external_lex_state = 2},
  [2911] = {.lex_state = 15, .external_lex_state = 2},
  [2912] = {.lex_state = 15, .external_lex_state = 2},
  [2913] = {.lex_state = 15, .external_lex_state = 2},
  [2914] = {.lex_state = 15, .external_lex_state = 2},
  [2915] = {.lex_state = 15, .external_lex_state = 2},
  [2916] = {.lex_state = 15, .external_lex_state = 2},
  [2917] = {.lex_state = 15, .external_lex_state = 2},
  [2918] = {.lex_state = 15, .external_lex_state = 2},
  [2919] = {.lex_state = 15, .external_lex_state = 2},
  [2920] = {.lex_state = 15, .external_lex_state = 2},
  [2921] = {.lex_state = 15, .external_lex_state = 2},
  [2922] = {.lex_state = 15, .external_lex_state = 2},
  [2923] = {.lex_state = 15, .external_lex_state = 2},
  [2924] = {.lex_state = 15, .external_lex_state = 2},
  [2925] = {.lex_state = 15, .external_lex_state = 2},
  [2926] = {.lex_state = 15, .external_lex_state = 2},
  [2927] = {.lex_state = 15, .external_lex_state = 2},
  [2928] = {.lex_state = 15, .external_lex_state = 2},
  [2929] = {.lex_state = 15, .external_lex_state = 2},
  [2930] = {.lex_state = 15, .external_lex_state = 2},
  [2931] = {.lex_state = 15, .external_lex_state = 2},
  [2932] = {.lex_state = 15, .external_lex_state = 2},
  [2933] = {.lex_state = 15, .external_lex_state = 2},
  [2934] = {.lex_state = 15, .external_lex_state = 2},
  [2935] = {.lex_state = 15, .external_lex_state = 2},
  [2936] = {.lex_state = 96, .external_lex_state = 2},
  [2937] = {.lex_state = 12, .external_lex_state = 5},
  [2938] = {.lex_state = 15, .external_lex_state = 5},
  [2939] = {.lex_state = 15, .external_lex_state = 5},
  [2940] = {.lex_state = 15, .external_lex_state = 5},
  [2941] = {.lex_state = 12, .external_lex_state = 2},
  [2942] = {.lex_state = 12, .external_lex_state = 5},
  [2943] = {.lex_state = 13, .external_lex_state = 2},
  [2944] = {.lex_state = 13, .external_lex_state = 2},
  [2945] = {.lex_state = 13, .external_lex_state = 2},
  [2946] = {.lex_state = 12, .external_lex_state = 2},
  [2947] = {.lex_state = 96, .external_lex_state = 2},
  [2948] = {.lex_state = 96, .external_lex_state = 2},
  [2949] = {.lex_state = 12, .external_lex_state = 2},
  [2950] = {.lex_state = 12, .external_lex_state = 2},
  [2951] = {.lex_state = 96, .external_lex_state = 2},
  [2952] = {.lex_state = 96, .external_lex_state = 2},
  [2953] = {.lex_state = 13, .external_lex_state = 2},
  [2954] = {.lex_state = 96, .external_lex_state = 2},
  [2955] = {.lex_state = 13, .external_lex_state = 2},
  [2956] = {.lex_state = 96, .external_lex_state = 2},
  [2957] = {.lex_state = 12, .external_lex_state = 2},
  [2958] = {.lex_state = 96, .external_lex_state = 2},
  [2959] = {.lex_state = 96, .external_lex_state = 2},
  [2960] = {.lex_state = 96, .external_lex_state = 2},
  [2961] = {.lex_state = 96, .external_lex_state = 2},
  [2962] = {.lex_state = 96, .external_lex_state = 2},
  [2963] = {.lex_state = 15, .external_lex_state = 5},
  [2964] = {.lex_state = 96, .external_lex_state = 2},
  [2965] = {.lex_state = 96, .external_lex_state = 2},
  [2966] = {.lex_state = 4, .external_lex_state = 2},
  [2967] = {.lex_state = 96, .external_lex_state = 2},
  [2968] = {.lex_state = 96, .external_lex_state = 2},
  [2969] = {.lex_state = 96, .external_lex_state = 2},
  [2970] = {.lex_state = 96, .external_lex_state = 2},
  [2971] = {.lex_state = 96, .external_lex_state = 2},
  [2972] = {.lex_state = 96, .external_lex_state = 2},
  [2973] = {.lex_state = 96, .external_lex_state = 2},
  [2974] = {.lex_state = 96, .external_lex_state = 2},
  [2975] = {.lex_state = 96, .external_lex_state = 2},
  [2976] = {.lex_state = 96, .external_lex_state = 2},
  [2977] = {.lex_state = 4, .external_lex_state = 2},
  [2978] = {.lex_state = 4, .external_lex_state = 2},
  [2979] = {.lex_state = 96, .external_lex_state = 2},
  [2980] = {.lex_state = 96, .external_lex_state = 2},
  [2981] = {.lex_state = 96, .external_lex_state = 2},
  [2982] = {.lex_state = 96, .external_lex_state = 2},
  [2983] = {.lex_state = 96, .external_lex_state = 2},
  [2984] = {.lex_state = 96, .external_lex_state = 2},
  [2985] = {.lex_state = 96, .external_lex_state = 2},
  [2986] = {.lex_state = 96, .external_lex_state = 2},
  [2987] = {.lex_state = 96, .external_lex_state = 2},
  [2988] = {.lex_state = 96, .external_lex_state = 2},
  [2989] = {.lex_state = 96, .external_lex_state = 2},
  [2990] = {.lex_state = 96, .external_lex_state = 2},
  [2991] = {.lex_state = 96, .external_lex_state = 2},
  [2992] = {.lex_state = 96, .external_lex_state = 2},
  [2993] = {.lex_state = 96, .external_lex_state = 2},
  [2994] = {.lex_state = 4, .external_lex_state = 2},
  [2995] = {.lex_state = 96, .external_lex_state = 2},
  [2996] = {.lex_state = 96, .external_lex_state = 2},
  [2997] = {.lex_state = 96, .external_lex_state = 2},
  [2998] = {.lex_state = 96, .external_lex_state = 2},
  [2999] = {.lex_state = 96, .external_lex_state = 2},
  [3000] = {.lex_state = 96, .external_lex_state = 2},
  [3001] = {.lex_state = 96, .external_lex_state = 2},
  [3002] = {.lex_state = 96, .external_lex_state = 2},
  [3003] = {.lex_state = 96, .external_lex_state = 2},
  [3004] = {.lex_state = 96, .external_lex_state = 2},
  [3005] = {.lex_state = 96, .external_lex_state = 2},
  [3006] = {.lex_state = 4, .external_lex_state = 2},
  [3007] = {.lex_state = 96, .external_lex_state = 2},
  [3008] = {.lex_state = 4, .external_lex_state = 2},
  [3009] = {.lex_state = 96, .external_lex_state = 2},
  [3010] = {.lex_state = 4, .external_lex_state = 2},
  [3011] = {.lex_state = 96, .external_lex_state = 2},
  [3012] = {.lex_state = 96, .external_lex_state = 2},
  [3013] = {.lex_state = 96, .external_lex_state = 2},
  [3014] = {.lex_state = 4, .external_lex_state = 2},
  [3015] = {.lex_state = 12, .external_lex_state = 5},
  [3016] = {.lex_state = 4, .external_lex_state = 2},
  [3017] = {.lex_state = 15, .external_lex_state = 6},
  [3018] = {.lex_state = 15, .external_lex_state = 6},
  [3019] = {.lex_state = 15, .external_lex_state = 6},
  [3020] = {.lex_state = 96, .external_lex_state = 2},
  [3021] = {.lex_state = 15, .external_lex_state = 5},
  [3022] = {.lex_state = 15, .external_lex_state = 5},
  [3023] = {.lex_state = 15, .external_lex_state = 5},
  [3024] = {.lex_state = 15, .external_lex_state = 5},
  [3025] = {.lex_state = 15, .external_lex_state = 5},
  [3026] = {.lex_state = 15, .external_lex_state = 5},
  [3027] = {.lex_state = 15, .external_lex_state = 5},
  [3028] = {.lex_state = 15, .external_lex_state = 5},
  [3029] = {.lex_state = 15, .external_lex_state = 5},
  [3030] = {.lex_state = 15, .external_lex_state = 5},
  [3031] = {.lex_state = 15, .external_lex_state = 5},
  [3032] = {.lex_state = 15, .external_lex_state = 5},
  [3033] = {.lex_state = 15, .external_lex_state = 5},
  [3034] = {.lex_state = 15, .external_lex_state = 5},
  [3035] = {.lex_state = 96, .external_lex_state = 2},
  [3036] = {.lex_state = 15, .external_lex_state = 5},
  [3037] = {.lex_state = 15, .external_lex_state = 5},
  [3038] = {.lex_state = 15, .external_lex_state = 5},
  [3039] = {.lex_state = 15, .external_lex_state = 5},
  [3040] = {.lex_state = 4, .external_lex_state = 2},
  [3041] = {.lex_state = 15, .external_lex_state = 5},
  [3042] = {.lex_state = 15, .external_lex_state = 5},
  [3043] = {.lex_state = 15, .external_lex_state = 5},
  [3044] = {.lex_state = 15, .external_lex_state = 5},
  [3045] = {.lex_state = 15, .external_lex_state = 5},
  [3046] = {.lex_state = 15, .external_lex_state = 5},
  [3047] = {.lex_state = 96, .external_lex_state = 2},
  [3048] = {.lex_state = 15, .external_lex_state = 5},
  [3049] = {.lex_state = 15, .external_lex_state = 5},
  [3050] = {.lex_state = 15, .external_lex_state = 5},
  [3051] = {.lex_state = 15, .external_lex_state = 5},
  [3052] = {.lex_state = 96, .external_lex_state = 2},
  [3053] = {.lex_state = 15, .external_lex_state = 5},
  [3054] = {.lex_state = 15, .external_lex_state = 5},
  [3055] = {.lex_state = 96, .external_lex_state = 2},
  [3056] = {.lex_state = 15, .external_lex_state = 5},
  [3057] = {.lex_state = 15, .external_lex_state = 5},
  [3058] = {.lex_state = 15, .external_lex_state = 5},
  [3059] = {.lex_state = 96, .external_lex_state = 2},
  [3060] = {.lex_state = 96, .external_lex_state = 2},
  [3061] = {.lex_state = 96, .external_lex_state = 2},
  [3062] = {.lex_state = 96, .external_lex_state = 2},
  [3063] = {.lex_state = 96, .external_lex_state = 2},
  [3064] = {.lex_state = 96, .external_lex_state = 2},
  [3065] = {.lex_state = 96, .external_lex_state = 2},
  [3066] = {.lex_state = 14, .external_lex_state = 5},
  [3067] = {.lex_state = 14, .external_lex_state = 5},
  [3068] = {.lex_state = 14, .external_lex_state = 5},
  [3069] = {.lex_state = 14, .external_lex_state = 5},
  [3070] = {.lex_state = 96, .external_lex_state = 2},
  [3071] = {.lex_state = 14, .external_lex_state = 5},
  [3072] = {.lex_state = 14, .external_lex_state = 5},
  [3073] = {.lex_state = 14, .external_lex_state = 5},
  [3074] = {.lex_state = 14, .external_lex_state = 5},
  [3075] = {.lex_state = 14, .external_lex_state = 5},
  [3076] = {.lex_state = 14, .external_lex_state = 5},
  [3077] = {.lex_state = 14, .external_lex_state = 5},
  [3078] = {.lex_state = 96, .external_lex_state = 2},
  [3079] = {.lex_state = 14, .external_lex_state = 5},
  [3080] = {.lex_state = 14, .external_lex_state = 5},
  [3081] = {.lex_state = 14, .external_lex_state = 5},
  [3082] = {.lex_state = 14, .external_lex_state = 5},
  [3083] = {.lex_state = 96, .external_lex_state = 2},
  [3084] = {.lex_state = 14, .external_lex_state = 5},
  [3085] = {.lex_state = 14, .external_lex_state = 5},
  [3086] = {.lex_state = 14, .external_lex_state = 5},
  [3087] = {.lex_state = 96, .external_lex_state = 2},
  [3088] = {.lex_state = 96, .external_lex_state = 2},
  [3089] = {.lex_state = 14, .external_lex_state = 5},
  [3090] = {.lex_state = 14, .external_lex_state = 5},
  [3091] = {.lex_state = 14, .external_lex_state = 5},
  [3092] = {.lex_state = 12, .external_lex_state = 5},
  [3093] = {.lex_state = 96, .external_lex_state = 2},
  [3094] = {.lex_state = 96, .external_lex_state = 2},
  [3095] = {.lex_state = 14, .external_lex_state = 5},
  [3096] = {.lex_state = 96, .external_lex_state = 2},
  [3097] = {.lex_state = 96, .external_lex_state = 2},
  [3098] = {.lex_state = 96, .external_lex_state = 2},
  [3099] = {.lex_state = 14, .external_lex_state = 5},
  [3100] = {.lex_state = 14, .external_lex_state = 5},
  [3101] = {.lex_state = 14, .external_lex_state = 5},
  [3102] = {.lex_state = 14, .external_lex_state = 5},
  [3103] = {.lex_state = 14, .external_lex_state = 5},
  [3104] = {.lex_state = 96, .external_lex_state = 5},
  [3105] = {.lex_state = 96, .external_lex_state = 2},
  [3106] = {.lex_state = 14, .external_lex_state = 5},
  [3107] = {.lex_state = 96, .external_lex_state = 2},
  [3108] = {.lex_state = 15, .external_lex_state = 6},
  [3109] = {.lex_state = 13, .external_lex_state = 5},
  [3110] = {.lex_state = 13, .external_lex_state = 5},
  [3111] = {.lex_state = 13, .external_lex_state = 5},
  [3112] = {.lex_state = 15, .external_lex_state = 6},
  [3113] = {.lex_state = 12, .external_lex_state = 6},
  [3114] = {.lex_state = 15, .external_lex_state = 6},
  [3115] = {.lex_state = 15, .external_lex_state = 6},
  [3116] = {.lex_state = 12, .external_lex_state = 5},
  [3117] = {.lex_state = 96, .external_lex_state = 5},
  [3118] = {.lex_state = 96, .external_lex_state = 5},
  [3119] = {.lex_state = 12, .external_lex_state = 5},
  [3120] = {.lex_state = 96, .external_lex_state = 5},
  [3121] = {.lex_state = 96, .external_lex_state = 5},
  [3122] = {.lex_state = 96, .external_lex_state = 5},
  [3123] = {.lex_state = 96, .external_lex_state = 5},
  [3124] = {.lex_state = 14, .external_lex_state = 5},
  [3125] = {.lex_state = 15, .external_lex_state = 6},
  [3126] = {.lex_state = 15, .external_lex_state = 6},
  [3127] = {.lex_state = 15, .external_lex_state = 6},
  [3128] = {.lex_state = 15, .external_lex_state = 6},
  [3129] = {.lex_state = 15, .external_lex_state = 6},
  [3130] = {.lex_state = 15, .external_lex_state = 6},
  [3131] = {.lex_state = 15, .external_lex_state = 6},
  [3132] = {.lex_state = 14, .external_lex_state = 5},
  [3133] = {.lex_state = 96, .external_lex_state = 2},
  [3134] = {.lex_state = 96, .external_lex_state = 2},
  [3135] = {.lex_state = 96, .external_lex_state = 5},
  [3136] = {.lex_state = 14, .external_lex_state = 5},
  [3137] = {.lex_state = 15, .external_lex_state = 6},
  [3138] = {.lex_state = 15, .external_lex_state = 6},
  [3139] = {.lex_state = 96, .external_lex_state = 2},
  [3140] = {.lex_state = 15, .external_lex_state = 6},
  [3141] = {.lex_state = 15, .external_lex_state = 6},
  [3142] = {.lex_state = 15, .external_lex_state = 6},
  [3143] = {.lex_state = 14, .external_lex_state = 5},
  [3144] = {.lex_state = 96, .external_lex_state = 2},
  [3145] = {.lex_state = 14, .external_lex_state = 5},
  [3146] = {.lex_state = 14, .external_lex_state = 5},
  [3147] = {.lex_state = 12, .external_lex_state = 5},
  [3148] = {.lex_state = 15, .external_lex_state = 6},
  [3149] = {.lex_state = 13, .external_lex_state = 5},
  [3150] = {.lex_state = 96, .external_lex_state = 5},
  [3151] = {.lex_state = 14, .external_lex_state = 2},
  [3152] = {.lex_state = 13, .external_lex_state = 5},
  [3153] = {.lex_state = 15, .external_lex_state = 6},
  [3154] = {.lex_state = 96, .external_lex_state = 5},
  [3155] = {.lex_state = 13, .external_lex_state = 5},
  [3156] = {.lex_state = 15, .external_lex_state = 6},
  [3157] = {.lex_state = 14, .external_lex_state = 5},
  [3158] = {.lex_state = 15, .external_lex_state = 6},
  [3159] = {.lex_state = 14, .external_lex_state = 5},
  [3160] = {.lex_state = 96, .external_lex_state = 2},
  [3161] = {.lex_state = 13, .external_lex_state = 5},
  [3162] = {.lex_state = 96, .external_lex_state = 2},
  [3163] = {.lex_state = 96, .external_lex_state = 5},
  [3164] = {.lex_state = 13, .external_lex_state = 5},
  [3165] = {.lex_state = 14, .external_lex_state = 5},
  [3166] = {.lex_state = 96, .external_lex_state = 2},
  [3167] = {.lex_state = 15, .external_lex_state = 6},
  [3168] = {.lex_state = 15, .external_lex_state = 6},
  [3169] = {.lex_state = 15, .external_lex_state = 6},
  [3170] = {.lex_state = 15, .external_lex_state = 6},
  [3171] = {.lex_state = 15, .external_lex_state = 6},
  [3172] = {.lex_state = 96, .external_lex_state = 2},
  [3173] = {.lex_state = 14, .external_lex_state = 5},
  [3174] = {.lex_state = 15, .external_lex_state = 6},
  [3175] = {.lex_state = 15, .external_lex_state = 6},
  [3176] = {.lex_state = 15, .external_lex_state = 6},
  [3177] = {.lex_state = 15, .external_lex_state = 6},
  [3178] = {.lex_state = 15, .external_lex_state = 6},
  [3179] = {.lex_state = 15, .external_lex_state = 6},
  [3180] = {.lex_state = 15, .external_lex_state = 6},
  [3181] = {.lex_state = 15, .external_lex_state = 6},
  [3182] = {.lex_state = 96, .external_lex_state = 2},
  [3183] = {.lex_state = 15, .external_lex_state = 6},
  [3184] = {.lex_state = 14, .external_lex_state = 5},
  [3185] = {.lex_state = 14, .external_lex_state = 5},
  [3186] = {.lex_state = 96, .external_lex_state = 5},
  [3187] = {.lex_state = 96, .external_lex_state = 5},
  [3188] = {.lex_state = 14, .external_lex_state = 5},
  [3189] = {.lex_state = 14, .external_lex_state = 5},
  [3190] = {.lex_state = 14, .external_lex_state = 5},
  [3191] = {.lex_state = 14, .external_lex_state = 5},
  [3192] = {.lex_state = 14, .external_lex_state = 2},
  [3193] = {.lex_state = 14, .external_lex_state = 5},
  [3194] = {.lex_state = 96, .external_lex_state = 6},
  [3195] = {.lex_state = 14, .external_lex_state = 5},
  [3196] = {.lex_state = 15, .external_lex_state = 2},
  [3197] = {.lex_state = 15, .external_lex_state = 2},
  [3198] = {.lex_state = 15, .external_lex_state = 2},
  [3199] = {.lex_state = 14, .external_lex_state = 5},
  [3200] = {.lex_state = 14, .external_lex_state = 5},
  [3201] = {.lex_state = 14, .external_lex_state = 5},
  [3202] = {.lex_state = 14, .external_lex_state = 5},
  [3203] = {.lex_state = 14, .external_lex_state = 5},
  [3204] = {.lex_state = 96, .external_lex_state = 5},
  [3205] = {.lex_state = 14, .external_lex_state = 5},
  [3206] = {.lex_state = 14, .external_lex_state = 5},
  [3207] = {.lex_state = 14, .external_lex_state = 5},
  [3208] = {.lex_state = 14, .external_lex_state = 5},
  [3209] = {.lex_state = 14, .external_lex_state = 2},
  [3210] = {.lex_state = 14, .external_lex_state = 5},
  [3211] = {.lex_state = 14, .external_lex_state = 5},
  [3212] = {.lex_state = 12, .external_lex_state = 6},
  [3213] = {.lex_state = 14, .external_lex_state = 5},
  [3214] = {.lex_state = 14, .external_lex_state = 5},
  [3215] = {.lex_state = 14, .external_lex_state = 5},
  [3216] = {.lex_state = 14, .external_lex_state = 5},
  [3217] = {.lex_state = 14, .external_lex_state = 5},
  [3218] = {.lex_state = 14, .external_lex_state = 5},
  [3219] = {.lex_state = 14, .external_lex_state = 2},
  [3220] = {.lex_state = 14, .external_lex_state = 5},
  [3221] = {.lex_state = 14, .external_lex_state = 5},
  [3222] = {.lex_state = 14, .external_lex_state = 5},
  [3223] = {.lex_state = 14, .external_lex_state = 5},
  [3224] = {.lex_state = 14, .external_lex_state = 5},
  [3225] = {.lex_state = 14, .external_lex_state = 5},
  [3226] = {.lex_state = 96, .external_lex_state = 5},
  [3227] = {.lex_state = 14, .external_lex_state = 5},
  [3228] = {.lex_state = 96, .external_lex_state = 5},
  [3229] = {.lex_state = 96, .external_lex_state = 5},
  [3230] = {.lex_state = 14, .external_lex_state = 5},
  [3231] = {.lex_state = 96, .external_lex_state = 2},
  [3232] = {.lex_state = 14, .external_lex_state = 5},
  [3233] = {.lex_state = 96, .external_lex_state = 5},
  [3234] = {.lex_state = 14, .external_lex_state = 5},
  [3235] = {.lex_state = 14, .external_lex_state = 5},
  [3236] = {.lex_state = 14, .external_lex_state = 5},
  [3237] = {.lex_state = 14, .external_lex_state = 5},
  [3238] = {.lex_state = 14, .external_lex_state = 5},
  [3239] = {.lex_state = 96, .external_lex_state = 5},
  [3240] = {.lex_state = 96, .external_lex_state = 5},
  [3241] = {.lex_state = 13, .external_lex_state = 6},
  [3242] = {.lex_state = 12, .external_lex_state = 6},
  [3243] = {.lex_state = 96, .external_lex_state = 5},
  [3244] = {.lex_state = 13, .external_lex_state = 6},
  [3245] = {.lex_state = 96, .external_lex_state = 5},
  [3246] = {.lex_state = 14, .external_lex_state = 5},
  [3247] = {.lex_state = 14, .external_lex_state = 5},
  [3248] = {.lex_state = 13, .external_lex_state = 6},
  [3249] = {.lex_state = 96, .external_lex_state = 5},
  [3250] = {.lex_state = 96, .external_lex_state = 5},
  [3251] = {.lex_state = 96, .external_lex_state = 5},
  [3252] = {.lex_state = 96, .external_lex_state = 5},
  [3253] = {.lex_state = 96, .external_lex_state = 5},
  [3254] = {.lex_state = 13, .external_lex_state = 6},
  [3255] = {.lex_state = 96, .external_lex_state = 5},
  [3256] = {.lex_state = 13, .external_lex_state = 6},
  [3257] = {.lex_state = 96, .external_lex_state = 5},
  [3258] = {.lex_state = 96, .external_lex_state = 5},
  [3259] = {.lex_state = 96, .external_lex_state = 5},
  [3260] = {.lex_state = 96, .external_lex_state = 5},
  [3261] = {.lex_state = 96, .external_lex_state = 5},
  [3262] = {.lex_state = 96, .external_lex_state = 5},
  [3263] = {.lex_state = 96, .external_lex_state = 5},
  [3264] = {.lex_state = 13, .external_lex_state = 6},
  [3265] = {.lex_state = 96, .external_lex_state = 5},
  [3266] = {.lex_state = 96, .external_lex_state = 5},
  [3267] = {.lex_state = 96, .external_lex_state = 5},
  [3268] = {.lex_state = 13, .external_lex_state = 6},
  [3269] = {.lex_state = 96, .external_lex_state = 5},
  [3270] = {.lex_state = 96, .external_lex_state = 5},
  [3271] = {.lex_state = 12, .external_lex_state = 6},
  [3272] = {.lex_state = 96, .external_lex_state = 6},
  [3273] = {.lex_state = 13, .external_lex_state = 6},
  [3274] = {.lex_state = 96, .external_lex_state = 5},
  [3275] = {.lex_state = 96, .external_lex_state = 5},
  [3276] = {.lex_state = 96, .external_lex_state = 6},
  [3277] = {.lex_state = 96, .external_lex_state = 5},
  [3278] = {.lex_state = 96, .external_lex_state = 5},
  [3279] = {.lex_state = 96, .external_lex_state = 5},
  [3280] = {.lex_state = 96, .external_lex_state = 5},
  [3281] = {.lex_state = 96, .external_lex_state = 5},
  [3282] = {.lex_state = 96, .external_lex_state = 5},
  [3283] = {.lex_state = 96, .external_lex_state = 5},
  [3284] = {.lex_state = 96, .external_lex_state = 5},
  [3285] = {.lex_state = 96, .external_lex_state = 5},
  [3286] = {.lex_state = 96, .external_lex_state = 5},
  [3287] = {.lex_state = 96, .external_lex_state = 5},
  [3288] = {.lex_state = 96, .external_lex_state = 5},
  [3289] = {.lex_state = 96, .external_lex_state = 5},
  [3290] = {.lex_state = 96, .external_lex_state = 5},
  [3291] = {.lex_state = 96, .external_lex_state = 5},
  [3292] = {.lex_state = 96, .external_lex_state = 6},
  [3293] = {.lex_state = 96, .external_lex_state = 5},
  [3294] = {.lex_state = 12, .external_lex_state = 6},
  [3295] = {.lex_state = 96, .external_lex_state = 2},
  [3296] = {.lex_state = 96, .external_lex_state = 5},
  [3297] = {.lex_state = 96, .external_lex_state = 5},
  [3298] = {.lex_state = 96, .external_lex_state = 5},
  [3299] = {.lex_state = 96, .external_lex_state = 5},
  [3300] = {.lex_state = 96, .external_lex_state = 5},
  [3301] = {.lex_state = 96, .external_lex_state = 5},
  [3302] = {.lex_state = 96, .external_lex_state = 5},
  [3303] = {.lex_state = 96, .external_lex_state = 5},
  [3304] = {.lex_state = 96, .external_lex_state = 6},
  [3305] = {.lex_state = 14, .external_lex_state = 5},
  [3306] = {.lex_state = 96, .external_lex_state = 5},
  [3307] = {.lex_state = 14, .external_lex_state = 2},
  [3308] = {.lex_state = 96, .external_lex_state = 6},
  [3309] = {.lex_state = 96, .external_lex_state = 6},
  [3310] = {.lex_state = 96, .external_lex_state = 5},
  [3311] = {.lex_state = 96, .external_lex_state = 5},
  [3312] = {.lex_state = 96, .external_lex_state = 6},
  [3313] = {.lex_state = 96, .external_lex_state = 5},
  [3314] = {.lex_state = 96, .external_lex_state = 5},
  [3315] = {.lex_state = 12, .external_lex_state = 2},
  [3316] = {.lex_state = 12, .external_lex_state = 2},
  [3317] = {.lex_state = 96, .external_lex_state = 6},
  [3318] = {.lex_state = 96, .external_lex_state = 2},
  [3319] = {.lex_state = 12, .external_lex_state = 2},
  [3320] = {.lex_state = 96, .external_lex_state = 2},
  [3321] = {.lex_state = 12, .external_lex_state = 2},
  [3322] = {.lex_state = 96, .external_lex_state = 6},
  [3323] = {.lex_state = 96, .external_lex_state = 6},
  [3324] = {.lex_state = 96, .external_lex_state = 6},
  [3325] = {.lex_state = 96, .external_lex_state = 2},
  [3326] = {.lex_state = 12, .external_lex_state = 2},
  [3327] = {.lex_state = 96, .external_lex_state = 5},
  [3328] = {.lex_state = 12, .external_lex_state = 2},
  [3329] = {.lex_state = 96, .external_lex_state = 2},
  [3330] = {.lex_state = 96, .external_lex_state = 6},
  [3331] = {.lex_state = 96, .external_lex_state = 5},
  [3332] = {.lex_state = 96, .external_lex_state = 6},
  [3333] = {.lex_state = 12, .external_lex_state = 2},
  [3334] = {.lex_state = 14, .external_lex_state = 5},
  [3335] = {.lex_state = 12, .external_lex_state = 2},
  [3336] = {.lex_state = 12, .external_lex_state = 2},
  [3337] = {.lex_state = 14, .external_lex_state = 2},
  [3338] = {.lex_state = 12, .external_lex_state = 2},
  [3339] = {.lex_state = 96, .external_lex_state = 2},
  [3340] = {.lex_state = 96, .external_lex_state = 6},
  [3341] = {.lex_state = 96, .external_lex_state = 2},
  [3342] = {.lex_state = 12, .external_lex_state = 2},
  [3343] = {.lex_state = 12, .external_lex_state = 2},
  [3344] = {.lex_state = 96, .external_lex_state = 5},
  [3345] = {.lex_state = 96, .external_lex_state = 5},
  [3346] = {.lex_state = 96, .external_lex_state = 5},
  [3347] = {.lex_state = 15, .external_lex_state = 2},
  [3348] = {.lex_state = 96, .external_lex_state = 5},
  [3349] = {.lex_state = 96, .external_lex_state = 2},
  [3350] = {.lex_state = 15, .external_lex_state = 2},
  [3351] = {.lex_state = 96, .external_lex_state = 6},
  [3352] = {.lex_state = 96, .external_lex_state = 6},
  [3353] = {.lex_state = 96, .external_lex_state = 5},
  [3354] = {.lex_state = 96, .external_lex_state = 5},
  [3355] = {.lex_state = 96, .external_lex_state = 5},
  [3356] = {.lex_state = 96, .external_lex_state = 5},
  [3357] = {.lex_state = 96, .external_lex_state = 5},
  [3358] = {.lex_state = 96, .external_lex_state = 6},
  [3359] = {.lex_state = 96, .external_lex_state = 5},
  [3360] = {.lex_state = 96, .external_lex_state = 5},
  [3361] = {.lex_state = 96, .external_lex_state = 5},
  [3362] = {.lex_state = 96, .external_lex_state = 5},
  [3363] = {.lex_state = 96, .external_lex_state = 5},
  [3364] = {.lex_state = 96, .external_lex_state = 6},
  [3365] = {.lex_state = 12, .external_lex_state = 2},
  [3366] = {.lex_state = 96, .external_lex_state = 5},
  [3367] = {.lex_state = 96, .external_lex_state = 6},
  [3368] = {.lex_state = 96, .external_lex_state = 6},
  [3369] = {.lex_state = 96, .external_lex_state = 6},
  [3370] = {.lex_state = 96, .external_lex_state = 5},
  [3371] = {.lex_state = 96, .external_lex_state = 2},
  [3372] = {.lex_state = 96, .external_lex_state = 6},
  [3373] = {.lex_state = 96, .external_lex_state = 6},
  [3374] = {.lex_state = 96, .external_lex_state = 6},
  [3375] = {.lex_state = 96, .external_lex_state = 5},
  [3376] = {.lex_state = 96, .external_lex_state = 6},
  [3377] = {.lex_state = 96, .external_lex_state = 6},
  [3378] = {.lex_state = 96, .external_lex_state = 6},
  [3379] = {.lex_state = 96, .external_lex_state = 6},
  [3380] = {.lex_state = 96, .external_lex_state = 6},
  [3381] = {.lex_state = 96, .external_lex_state = 2},
  [3382] = {.lex_state = 15, .external_lex_state = 2},
  [3383] = {.lex_state = 14, .external_lex_state = 2},
  [3384] = {.lex_state = 96, .external_lex_state = 6},
  [3385] = {.lex_state = 96, .external_lex_state = 2},
  [3386] = {.lex_state = 11, .external_lex_state = 2},
  [3387] = {.lex_state = 96, .external_lex_state = 5},
  [3388] = {.lex_state = 96, .external_lex_state = 5},
  [3389] = {.lex_state = 12, .external_lex_state = 2},
  [3390] = {.lex_state = 14, .external_lex_state = 2},
  [3391] = {.lex_state = 96, .external_lex_state = 5},
  [3392] = {.lex_state = 96, .external_lex_state = 5},
  [3393] = {.lex_state = 96, .external_lex_state = 5},
  [3394] = {.lex_state = 96, .external_lex_state = 5},
  [3395] = {.lex_state = 14, .external_lex_state = 2},
  [3396] = {.lex_state = 96, .external_lex_state = 5},
  [3397] = {.lex_state = 96, .external_lex_state = 6},
  [3398] = {.lex_state = 96, .external_lex_state = 5},
  [3399] = {.lex_state = 96, .external_lex_state = 5},
  [3400] = {.lex_state = 96, .external_lex_state = 5},
  [3401] = {.lex_state = 96, .external_lex_state = 5},
  [3402] = {.lex_state = 96, .external_lex_state = 5},
  [3403] = {.lex_state = 96, .external_lex_state = 5},
  [3404] = {.lex_state = 96, .external_lex_state = 2},
  [3405] = {.lex_state = 96, .external_lex_state = 2},
  [3406] = {.lex_state = 96, .external_lex_state = 5},
  [3407] = {.lex_state = 96, .external_lex_state = 5},
  [3408] = {.lex_state = 96, .external_lex_state = 6},
  [3409] = {.lex_state = 96, .external_lex_state = 2},
  [3410] = {.lex_state = 96, .external_lex_state = 6},
  [3411] = {.lex_state = 96, .external_lex_state = 5},
  [3412] = {.lex_state = 15, .external_lex_state = 2},
  [3413] = {.lex_state = 96, .external_lex_state = 5},
  [3414] = {.lex_state = 96, .external_lex_state = 6},
  [3415] = {.lex_state = 14, .external_lex_state = 2},
  [3416] = {.lex_state = 96, .external_lex_state = 6},
  [3417] = {.lex_state = 96, .external_lex_state = 5},
  [3418] = {.lex_state = 96, .external_lex_state = 5},
  [3419] = {.lex_state = 96, .external_lex_state = 5},
  [3420] = {.lex_state = 96, .external_lex_state = 5},
  [3421] = {.lex_state = 96, .external_lex_state = 5},
  [3422] = {.lex_state = 96, .external_lex_state = 5},
  [3423] = {.lex_state = 96, .external_lex_state = 5},
  [3424] = {.lex_state = 96, .external_lex_state = 5},
  [3425] = {.lex_state = 96, .external_lex_state = 5},
  [3426] = {.lex_state = 96, .external_lex_state = 5},
  [3427] = {.lex_state = 96, .external_lex_state = 5},
  [3428] = {.lex_state = 96, .external_lex_state = 5},
  [3429] = {.lex_state = 12, .external_lex_state = 2},
  [3430] = {.lex_state = 96, .external_lex_state = 5},
  [3431] = {.lex_state = 96, .external_lex_state = 6},
  [3432] = {.lex_state = 96, .external_lex_state = 6},
  [3433] = {.lex_state = 12, .external_lex_state = 2},
  [3434] = {.lex_state = 96, .external_lex_state = 6},
  [3435] = {.lex_state = 96, .external_lex_state = 5},
  [3436] = {.lex_state = 96, .external_lex_state = 5},
  [3437] = {.lex_state = 96, .external_lex_state = 5},
  [3438] = {.lex_state = 96, .external_lex_state = 2},
  [3439] = {.lex_state = 96, .external_lex_state = 5},
  [3440] = {.lex_state = 96, .external_lex_state = 6},
  [3441] = {.lex_state = 96, .external_lex_state = 5},
  [3442] = {.lex_state = 12, .external_lex_state = 2},
  [3443] = {.lex_state = 96, .external_lex_state = 5},
  [3444] = {.lex_state = 96, .external_lex_state = 5},
  [3445] = {.lex_state = 96, .external_lex_state = 6},
  [3446] = {.lex_state = 96, .external_lex_state = 5},
  [3447] = {.lex_state = 96, .external_lex_state = 6},
  [3448] = {.lex_state = 12, .external_lex_state = 2},
  [3449] = {.lex_state = 96, .external_lex_state = 6},
  [3450] = {.lex_state = 96, .external_lex_state = 5},
  [3451] = {.lex_state = 96, .external_lex_state = 5},
  [3452] = {.lex_state = 96, .external_lex_state = 6},
  [3453] = {.lex_state = 96, .external_lex_state = 5},
  [3454] = {.lex_state = 96, .external_lex_state = 5},
  [3455] = {.lex_state = 96, .external_lex_state = 6},
  [3456] = {.lex_state = 11, .external_lex_state = 2},
  [3457] = {.lex_state = 14, .external_lex_state = 2},
  [3458] = {.lex_state = 96, .external_lex_state = 6},
  [3459] = {.lex_state = 96, .external_lex_state = 6},
  [3460] = {.lex_state = 96, .external_lex_state = 6},
  [3461] = {.lex_state = 96, .external_lex_state = 6},
  [3462] = {.lex_state = 96, .external_lex_state = 5},
  [3463] = {.lex_state = 96, .external_lex_state = 5},
  [3464] = {.lex_state = 96, .external_lex_state = 6},
  [3465] = {.lex_state = 15, .external_lex_state = 2},
  [3466] = {.lex_state = 15, .external_lex_state = 2},
  [3467] = {.lex_state = 96, .external_lex_state = 5},
  [3468] = {.lex_state = 96, .external_lex_state = 5},
  [3469] = {.lex_state = 96, .external_lex_state = 5},
  [3470] = {.lex_state = 12, .external_lex_state = 2},
  [3471] = {.lex_state = 96, .external_lex_state = 6},
  [3472] = {.lex_state = 15, .external_lex_state = 2},
  [3473] = {.lex_state = 12, .external_lex_state = 2},
  [3474] = {.lex_state = 96, .external_lex_state = 5},
  [3475] = {.lex_state = 12, .external_lex_state = 2},
  [3476] = {.lex_state = 15, .external_lex_state = 2},
  [3477] = {.lex_state = 15, .external_lex_state = 2},
  [3478] = {.lex_state = 96, .external_lex_state = 6},
  [3479] = {.lex_state = 96, .external_lex_state = 5},
  [3480] = {.lex_state = 96, .external_lex_state = 5},
  [3481] = {.lex_state = 96, .external_lex_state = 5},
  [3482] = {.lex_state = 12, .external_lex_state = 2},
  [3483] = {.lex_state = 96, .external_lex_state = 5},
  [3484] = {.lex_state = 96, .external_lex_state = 5},
  [3485] = {.lex_state = 96, .external_lex_state = 5},
  [3486] = {.lex_state = 96, .external_lex_state = 5},
  [3487] = {.lex_state = 96, .external_lex_state = 6},
  [3488] = {.lex_state = 12, .external_lex_state = 2},
  [3489] = {.lex_state = 96, .external_lex_state = 2},
  [3490] = {.lex_state = 12, .external_lex_state = 2},
  [3491] = {.lex_state = 12, .external_lex_state = 2},
  [3492] = {.lex_state = 96, .external_lex_state = 6},
  [3493] = {.lex_state = 12, .external_lex_state = 2},
  [3494] = {.lex_state = 96, .external_lex_state = 5},
  [3495] = {.lex_state = 96, .external_lex_state = 6},
  [3496] = {.lex_state = 11, .external_lex_state = 2},
  [3497] = {.lex_state = 96, .external_lex_state = 6},
  [3498] = {.lex_state = 96, .external_lex_state = 6},
  [3499] = {.lex_state = 96, .external_lex_state = 6},
  [3500] = {.lex_state = 96, .external_lex_state = 5},
  [3501] = {.lex_state = 15, .external_lex_state = 2},
  [3502] = {.lex_state = 96, .external_lex_state = 5},
  [3503] = {.lex_state = 96, .external_lex_state = 6},
  [3504] = {.lex_state = 15, .external_lex_state = 2},
  [3505] = {.lex_state = 96, .external_lex_state = 5},
  [3506] = {.lex_state = 14, .external_lex_state = 2},
  [3507] = {.lex_state = 96, .external_lex_state = 5},
  [3508] = {.lex_state = 15, .external_lex_state = 2},
  [3509] = {.lex_state = 12, .external_lex_state = 2},
  [3510] = {.lex_state = 12, .external_lex_state = 2},
  [3511] = {.lex_state = 96, .external_lex_state = 5},
  [3512] = {.lex_state = 96, .external_lex_state = 5},
  [3513] = {.lex_state = 96, .external_lex_state = 5},
  [3514] = {.lex_state = 96, .external_lex_state = 5},
  [3515] = {.lex_state = 96, .external_lex_state = 5},
  [3516] = {.lex_state = 96, .external_lex_state = 5},
  [3517] = {.lex_state = 12, .external_lex_state = 2},
  [3518] = {.lex_state = 96, .external_lex_state = 5},
  [3519] = {.lex_state = 14, .external_lex_state = 2},
  [3520] = {.lex_state = 96, .external_lex_state = 5},
  [3521] = {.lex_state = 96, .external_lex_state = 5},
  [3522] = {.lex_state = 14, .external_lex_state = 2},
  [3523] = {.lex_state = 96, .external_lex_state = 5},
  [3524] = {.lex_state = 96, .external_lex_state = 5},
  [3525] = {.lex_state = 96, .external_lex_state = 6},
  [3526] = {.lex_state = 96, .external_lex_state = 6},
  [3527] = {.lex_state = 96, .external_lex_state = 6},
  [3528] = {.lex_state = 96, .external_lex_state = 5},
  [3529] = {.lex_state = 15, .external_lex_state = 2},
  [3530] = {.lex_state = 96, .external_lex_state = 6},
  [3531] = {.lex_state = 96, .external_lex_state = 5},
  [3532] = {.lex_state = 96, .external_lex_state = 6},
  [3533] = {.lex_state = 15, .external_lex_state = 2},
  [3534] = {.lex_state = 96, .external_lex_state = 5},
  [3535] = {.lex_state = 96, .external_lex_state = 5},
  [3536] = {.lex_state = 12, .external_lex_state = 2},
  [3537] = {.lex_state = 96, .external_lex_state = 2},
  [3538] = {.lex_state = 15, .external_lex_state = 2},
  [3539] = {.lex_state = 15, .external_lex_state = 2},
  [3540] = {.lex_state = 15, .external_lex_state = 2},
  [3541] = {.lex_state = 96, .external_lex_state = 6},
  [3542] = {.lex_state = 14, .external_lex_state = 2},
  [3543] = {.lex_state = 96, .external_lex_state = 6},
  [3544] = {.lex_state = 96, .external_lex_state = 5},
  [3545] = {.lex_state = 96, .external_lex_state = 5},
  [3546] = {.lex_state = 96, .external_lex_state = 5},
  [3547] = {.lex_state = 96, .external_lex_state = 5},
  [3548] = {.lex_state = 96, .external_lex_state = 5},
  [3549] = {.lex_state = 96, .external_lex_state = 6},
  [3550] = {.lex_state = 96, .external_lex_state = 5},
  [3551] = {.lex_state = 96, .external_lex_state = 5},
  [3552] = {.lex_state = 96, .external_lex_state = 5},
  [3553] = {.lex_state = 96, .external_lex_state = 6},
  [3554] = {.lex_state = 96, .external_lex_state = 5},
  [3555] = {.lex_state = 96, .external_lex_state = 6},
  [3556] = {.lex_state = 96, .external_lex_state = 5},
  [3557] = {.lex_state = 96, .external_lex_state = 6},
  [3558] = {.lex_state = 96, .external_lex_state = 6},
  [3559] = {.lex_state = 18, .external_lex_state = 2},
  [3560] = {.lex_state = 18, .external_lex_state = 7},
  [3561] = {.lex_state = 18, .external_lex_state = 2},
  [3562] = {.lex_state = 18, .external_lex_state = 2},
  [3563] = {.lex_state = 18, .external_lex_state = 2},
  [3564] = {.lex_state = 96, .external_lex_state = 2},
  [3565] = {.lex_state = 18, .external_lex_state = 2},
  [3566] = {.lex_state = 18, .external_lex_state = 7},
  [3567] = {.lex_state = 18, .external_lex_state = 2},
  [3568] = {.lex_state = 18, .external_lex_state = 7},
  [3569] = {.lex_state = 18, .external_lex_state = 7},
  [3570] = {.lex_state = 96, .external_lex_state = 2},
  [3571] = {.lex_state = 96, .external_lex_state = 5},
  [3572] = {.lex_state = 96, .external_lex_state = 2},
  [3573] = {.lex_state = 96, .external_lex_state = 2},
  [3574] = {.lex_state = 96, .external_lex_state = 5},
  [3575] = {.lex_state = 96, .external_lex_state = 2},
  [3576] = {.lex_state = 96, .external_lex_state = 2},
  [3577] = {.lex_state = 96, .external_lex_state = 2},
  [3578] = {.lex_state = 13, .external_lex_state = 2},
  [3579] = {.lex_state = 96, .external_lex_state = 2},
  [3580] = {.lex_state = 18, .external_lex_state = 7},
  [3581] = {.lex_state = 96, .external_lex_state = 2},
  [3582] = {.lex_state = 96, .external_lex_state = 2},
  [3583] = {.lex_state = 18, .external_lex_state = 2},
  [3584] = {.lex_state = 96, .external_lex_state = 5},
  [3585] = {.lex_state = 18, .external_lex_state = 2},
  [3586] = {.lex_state = 96, .external_lex_state = 2},
  [3587] = {.lex_state = 18, .external_lex_state = 2},
  [3588] = {.lex_state = 96, .external_lex_state = 5},
  [3589] = {.lex_state = 96, .external_lex_state = 5},
  [3590] = {.lex_state = 13, .external_lex_state = 2},
  [3591] = {.lex_state = 13, .external_lex_state = 2},
  [3592] = {.lex_state = 96, .external_lex_state = 5},
  [3593] = {.lex_state = 96, .external_lex_state = 6},
  [3594] = {.lex_state = 18, .external_lex_state = 7},
  [3595] = {.lex_state = 18, .external_lex_state = 7},
  [3596] = {.lex_state = 96, .external_lex_state = 2},
  [3597] = {.lex_state = 14, .external_lex_state = 2},
  [3598] = {.lex_state = 18, .external_lex_state = 7},
  [3599] = {.lex_state = 96, .external_lex_state = 5},
  [3600] = {.lex_state = 96, .external_lex_state = 5},
  [3601] = {.lex_state = 96, .external_lex_state = 5},
  [3602] = {.lex_state = 96, .external_lex_state = 5},
  [3603] = {.lex_state = 96, .external_lex_state = 5},
  [3604] = {.lex_state = 96, .external_lex_state = 2},
  [3605] = {.lex_state = 96, .external_lex_state = 5},
  [3606] = {.lex_state = 96, .external_lex_state = 5},
  [3607] = {.lex_state = 96, .external_lex_state = 5},
  [3608] = {.lex_state = 96, .external_lex_state = 5},
  [3609] = {.lex_state = 96, .external_lex_state = 5},
  [3610] = {.lex_state = 96, .external_lex_state = 5},
  [3611] = {.lex_state = 96, .external_lex_state = 5},
  [3612] = {.lex_state = 96, .external_lex_state = 5},
  [3613] = {.lex_state = 96, .external_lex_state = 5},
  [3614] = {.lex_state = 96, .external_lex_state = 5},
  [3615] = {.lex_state = 96, .external_lex_state = 5},
  [3616] = {.lex_state = 96, .external_lex_state = 5},
  [3617] = {.lex_state = 96, .external_lex_state = 5},
  [3618] = {.lex_state = 96, .external_lex_state = 5},
  [3619] = {.lex_state = 96, .external_lex_state = 5},
  [3620] = {.lex_state = 96, .external_lex_state = 5},
  [3621] = {.lex_state = 96, .external_lex_state = 5},
  [3622] = {.lex_state = 96, .external_lex_state = 5},
  [3623] = {.lex_state = 96, .external_lex_state = 5},
  [3624] = {.lex_state = 96, .external_lex_state = 5},
  [3625] = {.lex_state = 96, .external_lex_state = 5},
  [3626] = {.lex_state = 96, .external_lex_state = 5},
  [3627] = {.lex_state = 96, .external_lex_state = 5},
  [3628] = {.lex_state = 96, .external_lex_state = 2},
  [3629] = {.lex_state = 96, .external_lex_state = 2},
  [3630] = {.lex_state = 96, .external_lex_state = 5},
  [3631] = {.lex_state = 96, .external_lex_state = 5},
  [3632] = {.lex_state = 96, .external_lex_state = 5},
  [3633] = {.lex_state = 96, .external_lex_state = 5},
  [3634] = {.lex_state = 96, .external_lex_state = 5},
  [3635] = {.lex_state = 96, .external_lex_state = 5},
  [3636] = {.lex_state = 96, .external_lex_state = 5},
  [3637] = {.lex_state = 96, .external_lex_state = 5},
  [3638] = {.lex_state = 96, .external_lex_state = 5},
  [3639] = {.lex_state = 96, .external_lex_state = 5},
  [3640] = {.lex_state = 96, .external_lex_state = 5},
  [3641] = {.lex_state = 96, .external_lex_state = 2},
  [3642] = {.lex_state = 96, .external_lex_state = 5},
  [3643] = {.lex_state = 96, .external_lex_state = 5},
  [3644] = {.lex_state = 96, .external_lex_state = 5},
  [3645] = {.lex_state = 96, .external_lex_state = 5},
  [3646] = {.lex_state = 96, .external_lex_state = 5},
  [3647] = {.lex_state = 96, .external_lex_state = 5},
  [3648] = {.lex_state = 96, .external_lex_state = 5},
  [3649] = {.lex_state = 96, .external_lex_state = 5},
  [3650] = {.lex_state = 96, .external_lex_state = 5},
  [3651] = {.lex_state = 96, .external_lex_state = 5},
  [3652] = {.lex_state = 96, .external_lex_state = 5},
  [3653] = {.lex_state = 96, .external_lex_state = 5},
  [3654] = {.lex_state = 96, .external_lex_state = 5},
  [3655] = {.lex_state = 96, .external_lex_state = 5},
  [3656] = {.lex_state = 96, .external_lex_state = 5},
  [3657] = {.lex_state = 96, .external_lex_state = 5},
  [3658] = {.lex_state = 96, .external_lex_state = 5},
  [3659] = {.lex_state = 96, .external_lex_state = 5},
  [3660] = {.lex_state = 96, .external_lex_state = 5},
  [3661] = {.lex_state = 96, .external_lex_state = 5},
  [3662] = {.lex_state = 96, .external_lex_state = 5},
  [3663] = {.lex_state = 96, .external_lex_state = 5},
  [3664] = {.lex_state = 96, .external_lex_state = 5},
  [3665] = {.lex_state = 96, .external_lex_state = 5},
  [3666] = {.lex_state = 96, .external_lex_state = 5},
  [3667] = {.lex_state = 96, .external_lex_state = 5},
  [3668] = {.lex_state = 96, .external_lex_state = 5},
  [3669] = {.lex_state = 96, .external_lex_state = 5},
  [3670] = {.lex_state = 96, .external_lex_state = 5},
  [3671] = {.lex_state = 96, .external_lex_state = 5},
  [3672] = {.lex_state = 96, .external_lex_state = 5},
  [3673] = {.lex_state = 96, .external_lex_state = 5},
  [3674] = {.lex_state = 96, .external_lex_state = 5},
  [3675] = {.lex_state = 96, .external_lex_state = 5},
  [3676] = {.lex_state = 96, .external_lex_state = 5},
  [3677] = {.lex_state = 96, .external_lex_state = 5},
  [3678] = {.lex_state = 96, .external_lex_state = 5},
  [3679] = {.lex_state = 96, .external_lex_state = 5},
  [3680] = {.lex_state = 96, .external_lex_state = 5},
  [3681] = {.lex_state = 96, .external_lex_state = 5},
  [3682] = {.lex_state = 96, .external_lex_state = 5},
  [3683] = {.lex_state = 96, .external_lex_state = 5},
  [3684] = {.lex_state = 96, .external_lex_state = 5},
  [3685] = {.lex_state = 96, .external_lex_state = 5},
  [3686] = {.lex_state = 96, .external_lex_state = 5},
  [3687] = {.lex_state = 96, .external_lex_state = 5},
  [3688] = {.lex_state = 96, .external_lex_state = 5},
  [3689] = {.lex_state = 96, .external_lex_state = 5},
  [3690] = {.lex_state = 96, .external_lex_state = 5},
  [3691] = {.lex_state = 96, .external_lex_state = 5},
  [3692] = {.lex_state = 96, .external_lex_state = 5},
  [3693] = {.lex_state = 96, .external_lex_state = 5},
  [3694] = {.lex_state = 96, .external_lex_state = 5},
  [3695] = {.lex_state = 96, .external_lex_state = 5},
  [3696] = {.lex_state = 96, .external_lex_state = 5},
  [3697] = {.lex_state = 96, .external_lex_state = 5},
  [3698] = {.lex_state = 96, .external_lex_state = 5},
  [3699] = {.lex_state = 96, .external_lex_state = 5},
  [3700] = {.lex_state = 96, .external_lex_state = 5},
  [3701] = {.lex_state = 96, .external_lex_state = 5},
  [3702] = {.lex_state = 96, .external_lex_state = 5},
  [3703] = {.lex_state = 96, .external_lex_state = 5},
  [3704] = {.lex_state = 96, .external_lex_state = 5},
  [3705] = {.lex_state = 96, .external_lex_state = 5},
  [3706] = {.lex_state = 96, .external_lex_state = 5},
  [3707] = {.lex_state = 96, .external_lex_state = 5},
  [3708] = {.lex_state = 96, .external_lex_state = 5},
  [3709] = {.lex_state = 96, .external_lex_state = 2},
  [3710] = {.lex_state = 96, .external_lex_state = 5},
  [3711] = {.lex_state = 96, .external_lex_state = 5},
  [3712] = {.lex_state = 96, .external_lex_state = 5},
  [3713] = {.lex_state = 96, .external_lex_state = 5},
  [3714] = {.lex_state = 96, .external_lex_state = 5},
  [3715] = {.lex_state = 96, .external_lex_state = 5},
  [3716] = {.lex_state = 96, .external_lex_state = 5},
  [3717] = {.lex_state = 96, .external_lex_state = 5},
  [3718] = {.lex_state = 96, .external_lex_state = 5},
  [3719] = {.lex_state = 96, .external_lex_state = 5},
  [3720] = {.lex_state = 96, .external_lex_state = 5},
  [3721] = {.lex_state = 96, .external_lex_state = 5},
  [3722] = {.lex_state = 96, .external_lex_state = 5},
  [3723] = {.lex_state = 96, .external_lex_state = 5},
  [3724] = {.lex_state = 96, .external_lex_state = 5},
  [3725] = {.lex_state = 96, .external_lex_state = 5},
  [3726] = {.lex_state = 96, .external_lex_state = 5},
  [3727] = {.lex_state = 96, .external_lex_state = 5},
  [3728] = {.lex_state = 96, .external_lex_state = 5},
  [3729] = {.lex_state = 96, .external_lex_state = 5},
  [3730] = {.lex_state = 96, .external_lex_state = 5},
  [3731] = {.lex_state = 96, .external_lex_state = 5},
  [3732] = {.lex_state = 96, .external_lex_state = 5},
  [3733] = {.lex_state = 96, .external_lex_state = 5},
  [3734] = {.lex_state = 96, .external_lex_state = 5},
  [3735] = {.lex_state = 96, .external_lex_state = 5},
  [3736] = {.lex_state = 96, .external_lex_state = 5},
  [3737] = {.lex_state = 96, .external_lex_state = 5},
  [3738] = {.lex_state = 96, .external_lex_state = 5},
  [3739] = {.lex_state = 96, .external_lex_state = 5},
  [3740] = {.lex_state = 96, .external_lex_state = 5},
  [3741] = {.lex_state = 96, .external_lex_state = 5},
  [3742] = {.lex_state = 96, .external_lex_state = 5},
  [3743] = {.lex_state = 96, .external_lex_state = 5},
  [3744] = {.lex_state = 96, .external_lex_state = 5},
  [3745] = {.lex_state = 96, .external_lex_state = 5},
  [3746] = {.lex_state = 96, .external_lex_state = 5},
  [3747] = {.lex_state = 96, .external_lex_state = 5},
  [3748] = {.lex_state = 96, .external_lex_state = 5},
  [3749] = {.lex_state = 96, .external_lex_state = 5},
  [3750] = {.lex_state = 96, .external_lex_state = 5},
  [3751] = {.lex_state = 96, .external_lex_state = 5},
  [3752] = {.lex_state = 96, .external_lex_state = 5},
  [3753] = {.lex_state = 96, .external_lex_state = 5},
  [3754] = {.lex_state = 96, .external_lex_state = 5},
  [3755] = {.lex_state = 96, .external_lex_state = 5},
  [3756] = {.lex_state = 96, .external_lex_state = 5},
  [3757] = {.lex_state = 96, .external_lex_state = 5},
  [3758] = {.lex_state = 96, .external_lex_state = 5},
  [3759] = {.lex_state = 96, .external_lex_state = 5},
  [3760] = {.lex_state = 96, .external_lex_state = 5},
  [3761] = {.lex_state = 96, .external_lex_state = 5},
  [3762] = {.lex_state = 96, .external_lex_state = 5},
  [3763] = {.lex_state = 96, .external_lex_state = 5},
  [3764] = {.lex_state = 96, .external_lex_state = 5},
  [3765] = {.lex_state = 96, .external_lex_state = 5},
  [3766] = {.lex_state = 96, .external_lex_state = 5},
  [3767] = {.lex_state = 96, .external_lex_state = 5},
  [3768] = {.lex_state = 96, .external_lex_state = 5},
  [3769] = {.lex_state = 96, .external_lex_state = 5},
  [3770] = {.lex_state = 96, .external_lex_state = 5},
  [3771] = {.lex_state = 96, .external_lex_state = 5},
  [3772] = {.lex_state = 96, .external_lex_state = 5},
  [3773] = {.lex_state = 96, .external_lex_state = 2},
  [3774] = {.lex_state = 96, .external_lex_state = 5},
  [3775] = {.lex_state = 96, .external_lex_state = 5},
  [3776] = {.lex_state = 96, .external_lex_state = 5},
  [3777] = {.lex_state = 96, .external_lex_state = 5},
  [3778] = {.lex_state = 96, .external_lex_state = 2},
  [3779] = {.lex_state = 96, .external_lex_state = 5},
  [3780] = {.lex_state = 14, .external_lex_state = 2},
  [3781] = {.lex_state = 96, .external_lex_state = 5},
  [3782] = {.lex_state = 96, .external_lex_state = 2},
  [3783] = {.lex_state = 14, .external_lex_state = 2},
  [3784] = {.lex_state = 14, .external_lex_state = 2},
  [3785] = {.lex_state = 96, .external_lex_state = 5},
  [3786] = {.lex_state = 96, .external_lex_state = 5},
  [3787] = {.lex_state = 96, .external_lex_state = 5},
  [3788] = {.lex_state = 96, .external_lex_state = 5},
  [3789] = {.lex_state = 96, .external_lex_state = 2},
  [3790] = {.lex_state = 96, .external_lex_state = 5},
  [3791] = {.lex_state = 96, .external_lex_state = 5},
  [3792] = {.lex_state = 96, .external_lex_state = 5},
  [3793] = {.lex_state = 96, .external_lex_state = 5},
  [3794] = {.lex_state = 96, .external_lex_state = 2},
  [3795] = {.lex_state = 96, .external_lex_state = 2},
  [3796] = {.lex_state = 96, .external_lex_state = 2},
  [3797] = {.lex_state = 96, .external_lex_state = 2},
  [3798] = {.lex_state = 96, .external_lex_state = 2},
  [3799] = {.lex_state = 96, .external_lex_state = 2},
  [3800] = {.lex_state = 96, .external_lex_state = 2},
  [3801] = {.lex_state = 96, .external_lex_state = 2},
  [3802] = {.lex_state = 96, .external_lex_state = 5},
  [3803] = {.lex_state = 14, .external_lex_state = 2},
  [3804] = {.lex_state = 96, .external_lex_state = 2},
  [3805] = {.lex_state = 96, .external_lex_state = 5},
  [3806] = {.lex_state = 96, .external_lex_state = 5},
  [3807] = {.lex_state = 96, .external_lex_state = 2},
  [3808] = {.lex_state = 96, .external_lex_state = 5},
  [3809] = {.lex_state = 96, .external_lex_state = 5},
  [3810] = {.lex_state = 96, .external_lex_state = 2},
  [3811] = {.lex_state = 96, .external_lex_state = 2},
  [3812] = {.lex_state = 96, .external_lex_state = 5},
  [3813] = {.lex_state = 96, .external_lex_state = 5},
  [3814] = {.lex_state = 96, .external_lex_state = 2},
  [3815] = {.lex_state = 96, .external_lex_state = 2},
  [3816] = {.lex_state = 96, .external_lex_state = 5},
  [3817] = {.lex_state = 96, .external_lex_state = 5},
  [3818] = {.lex_state = 96, .external_lex_state = 5},
  [3819] = {.lex_state = 96, .external_lex_state = 5},
  [3820] = {.lex_state = 96, .external_lex_state = 5},
  [3821] = {.lex_state = 96, .external_lex_state = 5},
  [3822] = {.lex_state = 96, .external_lex_state = 5},
  [3823] = {.lex_state = 96, .external_lex_state = 5},
  [3824] = {.lex_state = 96, .external_lex_state = 5},
  [3825] = {.lex_state = 96, .external_lex_state = 5},
  [3826] = {.lex_state = 14, .external_lex_state = 2},
  [3827] = {.lex_state = 96, .external_lex_state = 5},
  [3828] = {.lex_state = 96, .external_lex_state = 5},
  [3829] = {.lex_state = 96, .external_lex_state = 5},
  [3830] = {.lex_state = 96, .external_lex_state = 5},
  [3831] = {.lex_state = 96, .external_lex_state = 5},
  [3832] = {.lex_state = 96, .external_lex_state = 5},
  [3833] = {.lex_state = 96, .external_lex_state = 5},
  [3834] = {.lex_state = 96, .external_lex_state = 5},
  [3835] = {.lex_state = 96, .external_lex_state = 2},
  [3836] = {.lex_state = 96, .external_lex_state = 5},
  [3837] = {.lex_state = 96, .external_lex_state = 5},
  [3838] = {.lex_state = 96, .external_lex_state = 2},
  [3839] = {.lex_state = 96, .external_lex_state = 2},
  [3840] = {.lex_state = 96, .external_lex_state = 5},
  [3841] = {.lex_state = 14, .external_lex_state = 2},
  [3842] = {.lex_state = 96, .external_lex_state = 5},
  [3843] = {.lex_state = 96, .external_lex_state = 5},
  [3844] = {.lex_state = 14, .external_lex_state = 2},
  [3845] = {.lex_state = 96, .external_lex_state = 2},
  [3846] = {.lex_state = 96, .external_lex_state = 2},
  [3847] = {.lex_state = 96, .external_lex_state = 2},
  [3848] = {.lex_state = 96, .external_lex_state = 2},
  [3849] = {.lex_state = 96, .external_lex_state = 2},
  [3850] = {.lex_state = 96, .external_lex_state = 2},
  [3851] = {.lex_state = 96, .external_lex_state = 2},
  [3852] = {.lex_state = 96, .external_lex_state = 2},
  [3853] = {.lex_state = 96, .external_lex_state = 2},
  [3854] = {.lex_state = 96, .external_lex_state = 5},
  [3855] = {.lex_state = 96, .external_lex_state = 5},
  [3856] = {.lex_state = 96, .external_lex_state = 2},
  [3857] = {.lex_state = 96, .external_lex_state = 2},
  [3858] = {.lex_state = 96, .external_lex_state = 5},
  [3859] = {.lex_state = 14, .external_lex_state = 2},
  [3860] = {.lex_state = 96, .external_lex_state = 5},
  [3861] = {.lex_state = 96, .external_lex_state = 5},
  [3862] = {.lex_state = 96, .external_lex_state = 5},
  [3863] = {.lex_state = 14, .external_lex_state = 2},
  [3864] = {.lex_state = 96, .external_lex_state = 2},
  [3865] = {.lex_state = 96, .external_lex_state = 5},
  [3866] = {.lex_state = 14, .external_lex_state = 2},
  [3867] = {.lex_state = 96, .external_lex_state = 2},
  [3868] = {.lex_state = 14, .external_lex_state = 2},
  [3869] = {.lex_state = 96, .external_lex_state = 5},
  [3870] = {.lex_state = 14, .external_lex_state = 2},
  [3871] = {.lex_state = 14, .external_lex_state = 2},
  [3872] = {.lex_state = 96, .external_lex_state = 2},
  [3873] = {.lex_state = 96, .external_lex_state = 2},
  [3874] = {.lex_state = 96, .external_lex_state = 5},
  [3875] = {.lex_state = 96, .external_lex_state = 2},
  [3876] = {.lex_state = 14, .external_lex_state = 2},
  [3877] = {.lex_state = 96, .external_lex_state = 2},
  [3878] = {.lex_state = 96, .external_lex_state = 2},
  [3879] = {.lex_state = 96, .external_lex_state = 2},
  [3880] = {.lex_state = 96, .external_lex_state = 2},
  [3881] = {.lex_state = 14, .external_lex_state = 2},
  [3882] = {.lex_state = 96, .external_lex_state = 2},
  [3883] = {.lex_state = 96, .external_lex_state = 5},
  [3884] = {.lex_state = 96, .external_lex_state = 2},
  [3885] = {.lex_state = 96, .external_lex_state = 2},
  [3886] = {.lex_state = 14, .external_lex_state = 2},
  [3887] = {.lex_state = 96, .external_lex_state = 5},
  [3888] = {.lex_state = 96, .external_lex_state = 5},
  [3889] = {.lex_state = 14, .external_lex_state = 2},
  [3890] = {.lex_state = 96, .external_lex_state = 5},
  [3891] = {.lex_state = 96, .external_lex_state = 5},
  [3892] = {.lex_state = 96, .external_lex_state = 5},
  [3893] = {.lex_state = 96, .external_lex_state = 5},
  [3894] = {.lex_state = 96, .external_lex_state = 2},
  [3895] = {.lex_state = 96, .external_lex_state = 5},
  [3896] = {.lex_state = 96, .external_lex_state = 5},
  [3897] = {.lex_state = 96, .external_lex_state = 2},
  [3898] = {.lex_state = 96, .external_lex_state = 2},
  [3899] = {.lex_state = 96, .external_lex_state = 2},
  [3900] = {.lex_state = 96, .external_lex_state = 5},
  [3901] = {.lex_state = 96, .external_lex_state = 5},
  [3902] = {.lex_state = 14, .external_lex_state = 2},
  [3903] = {.lex_state = 96, .external_lex_state = 5},
  [3904] = {.lex_state = 96, .external_lex_state = 5},
  [3905] = {.lex_state = 96, .external_lex_state = 5},
  [3906] = {.lex_state = 96, .external_lex_state = 5},
  [3907] = {.lex_state = 96, .external_lex_state = 5},
  [3908] = {.lex_state = 96, .external_lex_state = 5},
  [3909] = {.lex_state = 96, .external_lex_state = 5},
  [3910] = {.lex_state = 96, .external_lex_state = 5},
  [3911] = {.lex_state = 96, .external_lex_state = 5},
  [3912] = {.lex_state = 96, .external_lex_state = 5},
  [3913] = {.lex_state = 96, .external_lex_state = 5},
  [3914] = {.lex_state = 96, .external_lex_state = 5},
  [3915] = {.lex_state = 96, .external_lex_state = 5},
  [3916] = {.lex_state = 14, .external_lex_state = 2},
  [3917] = {.lex_state = 96, .external_lex_state = 2},
  [3918] = {.lex_state = 14, .external_lex_state = 2},
  [3919] = {.lex_state = 96, .external_lex_state = 5},
  [3920] = {.lex_state = 96, .external_lex_state = 5},
  [3921] = {.lex_state = 96, .external_lex_state = 5},
  [3922] = {.lex_state = 96, .external_lex_state = 5},
  [3923] = {.lex_state = 96, .external_lex_state = 5},
  [3924] = {.lex_state = 96, .external_lex_state = 5},
  [3925] = {.lex_state = 96, .external_lex_state = 5},
  [3926] = {.lex_state = 14, .external_lex_state = 2},
  [3927] = {.lex_state = 96, .external_lex_state = 2},
  [3928] = {.lex_state = 96, .external_lex_state = 2},
  [3929] = {.lex_state = 96, .external_lex_state = 2},
  [3930] = {.lex_state = 96, .external_lex_state = 2},
  [3931] = {.lex_state = 96, .external_lex_state = 2},
  [3932] = {.lex_state = 14, .external_lex_state = 2},
  [3933] = {.lex_state = 96, .external_lex_state = 5},
  [3934] = {.lex_state = 14, .external_lex_state = 2},
  [3935] = {.lex_state = 96, .external_lex_state = 2},
  [3936] = {.lex_state = 96, .external_lex_state = 2},
  [3937] = {.lex_state = 96, .external_lex_state = 2},
  [3938] = {.lex_state = 96, .external_lex_state = 2},
  [3939] = {.lex_state = 14, .external_lex_state = 2},
  [3940] = {.lex_state = 96, .external_lex_state = 5},
  [3941] = {.lex_state = 14, .external_lex_state = 2},
  [3942] = {.lex_state = 96, .external_lex_state = 2},
  [3943] = {.lex_state = 96, .external_lex_state = 2},
  [3944] = {.lex_state = 96, .external_lex_state = 2},
  [3945] = {.lex_state = 96, .external_lex_state = 5},
  [3946] = {.lex_state = 96, .external_lex_state = 6},
  [3947] = {.lex_state = 14, .external_lex_state = 2},
  [3948] = {.lex_state = 96, .external_lex_state = 2},
  [3949] = {.lex_state = 14, .external_lex_state = 2},
  [3950] = {.lex_state = 14, .external_lex_state = 2},
  [3951] = {.lex_state = 18, .external_lex_state = 7},
  [3952] = {.lex_state = 96, .external_lex_state = 2},
  [3953] = {.lex_state = 96, .external_lex_state = 2},
  [3954] = {.lex_state = 96, .external_lex_state = 5},
  [3955] = {.lex_state = 14, .external_lex_state = 2},
  [3956] = {.lex_state = 14, .external_lex_state = 2},
  [3957] = {.lex_state = 96, .external_lex_state = 6},
  [3958] = {.lex_state = 96, .external_lex_state = 5},
  [3959] = {.lex_state = 96, .external_lex_state = 5},
  [3960] = {.lex_state = 14, .external_lex_state = 2},
  [3961] = {.lex_state = 14, .external_lex_state = 2},
  [3962] = {.lex_state = 96, .external_lex_state = 5},
  [3963] = {.lex_state = 14, .external_lex_state = 2},
  [3964] = {.lex_state = 14, .external_lex_state = 2},
  [3965] = {.lex_state = 14, .external_lex_state = 2},
  [3966] = {.lex_state = 96, .external_lex_state = 6},
  [3967] = {.lex_state = 96, .external_lex_state = 5},
  [3968] = {.lex_state = 96, .external_lex_state = 2},
  [3969] = {.lex_state = 96, .external_lex_state = 6},
  [3970] = {.lex_state = 96, .external_lex_state = 2},
  [3971] = {.lex_state = 96, .external_lex_state = 6},
  [3972] = {.lex_state = 14, .external_lex_state = 2},
  [3973] = {.lex_state = 14, .external_lex_state = 2},
  [3974] = {.lex_state = 96, .external_lex_state = 5},
  [3975] = {.lex_state = 96, .external_lex_state = 2},
  [3976] = {.lex_state = 96, .external_lex_state = 5},
  [3977] = {.lex_state = 96, .external_lex_state = 2},
  [3978] = {.lex_state = 96, .external_lex_state = 2},
  [3979] = {.lex_state = 96, .external_lex_state = 2},
  [3980] = {.lex_state = 96, .external_lex_state = 6},
  [3981] = {.lex_state = 96, .external_lex_state = 6},
  [3982] = {.lex_state = 14, .external_lex_state = 2},
  [3983] = {.lex_state = 14, .external_lex_state = 2},
  [3984] = {.lex_state = 14, .external_lex_state = 2},
  [3985] = {.lex_state = 96, .external_lex_state = 2},
  [3986] = {.lex_state = 14, .external_lex_state = 2},
  [3987] = {.lex_state = 14, .external_lex_state = 2},
  [3988] = {.lex_state = 96, .external_lex_state = 2},
  [3989] = {.lex_state = 96, .external_lex_state = 6},
  [3990] = {.lex_state = 14, .external_lex_state = 2},
  [3991] = {.lex_state = 14, .external_lex_state = 2},
  [3992] = {.lex_state = 96, .external_lex_state = 6},
  [3993] = {.lex_state = 96, .external_lex_state = 6},
  [3994] = {.lex_state = 14, .external_lex_state = 2},
  [3995] = {.lex_state = 96, .external_lex_state = 2},
  [3996] = {.lex_state = 14, .external_lex_state = 2},
  [3997] = {.lex_state = 18, .external_lex_state = 7},
  [3998] = {.lex_state = 96, .external_lex_state = 2},
  [3999] = {.lex_state = 96, .external_lex_state = 6},
  [4000] = {.lex_state = 96, .external_lex_state = 2},
  [4001] = {.lex_state = 96, .external_lex_state = 2},
  [4002] = {.lex_state = 96, .external_lex_state = 2},
  [4003] = {.lex_state = 96, .external_lex_state = 2},
  [4004] = {.lex_state = 14, .external_lex_state = 2},
  [4005] = {.lex_state = 96, .external_lex_state = 5},
  [4006] = {.lex_state = 96, .external_lex_state = 2},
  [4007] = {.lex_state = 96, .external_lex_state = 6},
  [4008] = {.lex_state = 96, .external_lex_state = 5},
  [4009] = {.lex_state = 96, .external_lex_state = 6},
  [4010] = {.lex_state = 96, .external_lex_state = 5},
  [4011] = {.lex_state = 15, .external_lex_state = 2},
  [4012] = {.lex_state = 96, .external_lex_state = 2},
  [4013] = {.lex_state = 14, .external_lex_state = 2},
  [4014] = {.lex_state = 96, .external_lex_state = 2},
  [4015] = {.lex_state = 14, .external_lex_state = 2},
  [4016] = {.lex_state = 96, .external_lex_state = 2},
  [4017] = {.lex_state = 14, .external_lex_state = 2},
  [4018] = {.lex_state = 96, .external_lex_state = 6},
  [4019] = {.lex_state = 18, .external_lex_state = 7},
  [4020] = {.lex_state = 96, .external_lex_state = 2},
  [4021] = {.lex_state = 96, .external_lex_state = 5},
  [4022] = {.lex_state = 18, .external_lex_state = 7},
  [4023] = {.lex_state = 96, .external_lex_state = 6},
  [4024] = {.lex_state = 96, .external_lex_state = 6},
  [4025] = {.lex_state = 14, .external_lex_state = 2},
  [4026] = {.lex_state = 96, .external_lex_state = 6},
  [4027] = {.lex_state = 14, .external_lex_state = 2},
  [4028] = {.lex_state = 14, .external_lex_state = 2},
  [4029] = {.lex_state = 14, .external_lex_state = 2},
  [4030] = {.lex_state = 96, .external_lex_state = 6},
  [4031] = {.lex_state = 96, .external_lex_state = 2},
  [4032] = {.lex_state = 96, .external_lex_state = 5},
  [4033] = {.lex_state = 96, .external_lex_state = 6},
  [4034] = {.lex_state = 96, .external_lex_state = 2},
  [4035] = {.lex_state = 96, .external_lex_state = 5},
  [4036] = {.lex_state = 14, .external_lex_state = 2},
  [4037] = {.lex_state = 96, .external_lex_state = 5},
  [4038] = {.lex_state = 14, .external_lex_state = 2},
  [4039] = {.lex_state = 96, .external_lex_state = 5},
  [4040] = {.lex_state = 96, .external_lex_state = 2},
  [4041] = {.lex_state = 14, .external_lex_state = 2},
  [4042] = {.lex_state = 96, .external_lex_state = 6},
  [4043] = {.lex_state = 96, .external_lex_state = 6},
  [4044] = {.lex_state = 96, .external_lex_state = 2},
  [4045] = {.lex_state = 18, .external_lex_state = 7},
  [4046] = {.lex_state = 96, .external_lex_state = 2},
  [4047] = {.lex_state = 14, .external_lex_state = 2},
  [4048] = {.lex_state = 96, .external_lex_state = 5},
  [4049] = {.lex_state = 96, .external_lex_state = 6},
  [4050] = {.lex_state = 96, .external_lex_state = 5},
  [4051] = {.lex_state = 96, .external_lex_state = 5},
  [4052] = {.lex_state = 96, .external_lex_state = 5},
  [4053] = {.lex_state = 14, .external_lex_state = 2},
  [4054] = {.lex_state = 14, .external_lex_state = 2},
  [4055] = {.lex_state = 96, .external_lex_state = 5},
  [4056] = {.lex_state = 96, .external_lex_state = 6},
  [4057] = {.lex_state = 14, .external_lex_state = 2},
  [4058] = {.lex_state = 14, .external_lex_state = 2},
  [4059] = {.lex_state = 96, .external_lex_state = 6},
  [4060] = {.lex_state = 14, .external_lex_state = 2},
  [4061] = {.lex_state = 96, .external_lex_state = 5},
  [4062] = {.lex_state = 96, .external_lex_state = 2},
  [4063] = {.lex_state = 96, .external_lex_state = 6},
  [4064] = {.lex_state = 14, .external_lex_state = 2},
  [4065] = {.lex_state = 96, .external_lex_state = 2},
  [4066] = {.lex_state = 14, .external_lex_state = 2},
  [4067] = {.lex_state = 14, .external_lex_state = 2},
  [4068] = {.lex_state = 96, .external_lex_state = 5},
  [4069] = {.lex_state = 96, .external_lex_state = 5},
  [4070] = {.lex_state = 14, .external_lex_state = 2},
  [4071] = {.lex_state = 96, .external_lex_state = 6},
  [4072] = {.lex_state = 96, .external_lex_state = 5},
  [4073] = {.lex_state = 96, .external_lex_state = 5},
  [4074] = {.lex_state = 15, .external_lex_state = 2},
  [4075] = {.lex_state = 96, .external_lex_state = 5},
  [4076] = {.lex_state = 14, .external_lex_state = 2},
  [4077] = {.lex_state = 96, .external_lex_state = 5},
  [4078] = {.lex_state = 96, .external_lex_state = 5},
  [4079] = {.lex_state = 96, .external_lex_state = 5},
  [4080] = {.lex_state = 96, .external_lex_state = 5},
  [4081] = {.lex_state = 96, .external_lex_state = 5},
  [4082] = {.lex_state = 96, .external_lex_state = 6},
  [4083] = {.lex_state = 96, .external_lex_state = 5},
  [4084] = {.lex_state = 96, .external_lex_state = 5},
  [4085] = {.lex_state = 96, .external_lex_state = 5},
  [4086] = {.lex_state = 96, .external_lex_state = 5},
  [4087] = {.lex_state = 96, .external_lex_state = 5},
  [4088] = {.lex_state = 96, .external_lex_state = 5},
  [4089] = {.lex_state = 96, .external_lex_state = 5},
  [4090] = {.lex_state = 96, .external_lex_state = 5},
  [4091] = {.lex_state = 96, .external_lex_state = 5},
  [4092] = {.lex_state = 96, .external_lex_state = 5},
  [4093] = {.lex_state = 96, .external_lex_state = 5},
  [4094] = {.lex_state = 96, .external_lex_state = 5},
  [4095] = {.lex_state = 96, .external_lex_state = 5},
  [4096] = {.lex_state = 96, .external_lex_state = 5},
  [4097] = {.lex_state = 96, .external_lex_state = 5},
  [4098] = {.lex_state = 96, .external_lex_state = 5},
  [4099] = {.lex_state = 96, .external_lex_state = 5},
  [4100] = {.lex_state = 96, .external_lex_state = 5},
  [4101] = {.lex_state = 96, .external_lex_state = 5},
  [4102] = {.lex_state = 96, .external_lex_state = 2},
  [4103] = {.lex_state = 96, .external_lex_state = 5},
  [4104] = {.lex_state = 96, .external_lex_state = 5},
  [4105] = {.lex_state = 96, .external_lex_state = 5},
  [4106] = {.lex_state = 96, .external_lex_state = 5},
  [4107] = {.lex_state = 96, .external_lex_state = 5},
  [4108] = {.lex_state = 96, .external_lex_state = 5},
  [4109] = {.lex_state = 96, .external_lex_state = 5},
  [4110] = {.lex_state = 96, .external_lex_state = 5},
  [4111] = {.lex_state = 14, .external_lex_state = 2},
  [4112] = {.lex_state = 96, .external_lex_state = 5},
  [4113] = {.lex_state = 96, .external_lex_state = 5},
  [4114] = {.lex_state = 96, .external_lex_state = 5},
  [4115] = {.lex_state = 96, .external_lex_state = 5},
  [4116] = {.lex_state = 96, .external_lex_state = 5},
  [4117] = {.lex_state = 96, .external_lex_state = 5},
  [4118] = {.lex_state = 96, .external_lex_state = 5},
  [4119] = {.lex_state = 18, .external_lex_state = 8},
  [4120] = {.lex_state = 4, .external_lex_state = 2},
  [4121] = {.lex_state = 96, .external_lex_state = 5},
  [4122] = {.lex_state = 96, .external_lex_state = 5},
  [4123] = {.lex_state = 96, .external_lex_state = 5},
  [4124] = {.lex_state = 96, .external_lex_state = 5},
  [4125] = {.lex_state = 96, .external_lex_state = 5},
  [4126] = {.lex_state = 96, .external_lex_state = 5},
  [4127] = {.lex_state = 14, .external_lex_state = 2},
  [4128] = {.lex_state = 96, .external_lex_state = 5},
  [4129] = {.lex_state = 96, .external_lex_state = 5},
  [4130] = {.lex_state = 96, .external_lex_state = 5},
  [4131] = {.lex_state = 96, .external_lex_state = 5},
  [4132] = {.lex_state = 96, .external_lex_state = 5},
  [4133] = {.lex_state = 96, .external_lex_state = 2},
  [4134] = {.lex_state = 96, .external_lex_state = 5},
  [4135] = {.lex_state = 96, .external_lex_state = 5},
  [4136] = {.lex_state = 96, .external_lex_state = 5},
  [4137] = {.lex_state = 96, .external_lex_state = 5},
  [4138] = {.lex_state = 96, .external_lex_state = 2},
  [4139] = {.lex_state = 96, .external_lex_state = 6},
  [4140] = {.lex_state = 96, .external_lex_state = 5},
  [4141] = {.lex_state = 96, .external_lex_state = 5},
  [4142] = {.lex_state = 96, .external_lex_state = 5},
  [4143] = {.lex_state = 96, .external_lex_state = 5},
  [4144] = {.lex_state = 96, .external_lex_state = 5},
  [4145] = {.lex_state = 96, .external_lex_state = 5},
  [4146] = {.lex_state = 96, .external_lex_state = 5},
  [4147] = {.lex_state = 96, .external_lex_state = 2},
  [4148] = {.lex_state = 18, .external_lex_state = 8},
  [4149] = {.lex_state = 96, .external_lex_state = 5},
  [4150] = {.lex_state = 96, .external_lex_state = 5},
  [4151] = {.lex_state = 96, .external_lex_state = 5},
  [4152] = {.lex_state = 4, .external_lex_state = 2},
  [4153] = {.lex_state = 96, .external_lex_state = 5},
  [4154] = {.lex_state = 96, .external_lex_state = 5},
  [4155] = {.lex_state = 96, .external_lex_state = 5},
  [4156] = {.lex_state = 96, .external_lex_state = 5},
  [4157] = {.lex_state = 96, .external_lex_state = 5},
  [4158] = {.lex_state = 96, .external_lex_state = 5},
  [4159] = {.lex_state = 96, .external_lex_state = 5},
  [4160] = {.lex_state = 96, .external_lex_state = 5},
  [4161] = {.lex_state = 96, .external_lex_state = 5},
  [4162] = {.lex_state = 96, .external_lex_state = 6},
  [4163] = {.lex_state = 96, .external_lex_state = 5},
  [4164] = {.lex_state = 96, .external_lex_state = 5},
  [4165] = {.lex_state = 96, .external_lex_state = 5},
  [4166] = {.lex_state = 96, .external_lex_state = 5},
  [4167] = {.lex_state = 96, .external_lex_state = 6},
  [4168] = {.lex_state = 96, .external_lex_state = 5},
  [4169] = {.lex_state = 96, .external_lex_state = 5},
  [4170] = {.lex_state = 96, .external_lex_state = 5},
  [4171] = {.lex_state = 96, .external_lex_state = 5},
  [4172] = {.lex_state = 14, .external_lex_state = 2},
  [4173] = {.lex_state = 96, .external_lex_state = 5},
  [4174] = {.lex_state = 96, .external_lex_state = 5},
  [4175] = {.lex_state = 96, .external_lex_state = 5},
  [4176] = {.lex_state = 96, .external_lex_state = 5},
  [4177] = {.lex_state = 96, .external_lex_state = 2},
  [4178] = {.lex_state = 96, .external_lex_state = 2},
  [4179] = {.lex_state = 96, .external_lex_state = 5},
  [4180] = {.lex_state = 96, .external_lex_state = 5},
  [4181] = {.lex_state = 96, .external_lex_state = 5},
  [4182] = {.lex_state = 96, .external_lex_state = 5},
  [4183] = {.lex_state = 96, .external_lex_state = 2},
  [4184] = {.lex_state = 96, .external_lex_state = 5},
  [4185] = {.lex_state = 96, .external_lex_state = 5},
  [4186] = {.lex_state = 96, .external_lex_state = 5},
  [4187] = {.lex_state = 96, .external_lex_state = 5},
  [4188] = {.lex_state = 96, .external_lex_state = 5},
  [4189] = {.lex_state = 96, .external_lex_state = 6},
  [4190] = {.lex_state = 96, .external_lex_state = 5},
  [4191] = {.lex_state = 96, .external_lex_state = 5},
  [4192] = {.lex_state = 96, .external_lex_state = 5},
  [4193] = {.lex_state = 96, .external_lex_state = 5},
  [4194] = {.lex_state = 14, .external_lex_state = 2},
  [4195] = {.lex_state = 14, .external_lex_state = 2},
  [4196] = {.lex_state = 96, .external_lex_state = 5},
  [4197] = {.lex_state = 96, .external_lex_state = 5},
  [4198] = {.lex_state = 96, .external_lex_state = 2},
  [4199] = {.lex_state = 96, .external_lex_state = 5},
  [4200] = {.lex_state = 14, .external_lex_state = 2},
  [4201] = {.lex_state = 96, .external_lex_state = 5},
  [4202] = {.lex_state = 96, .external_lex_state = 5},
  [4203] = {.lex_state = 96, .external_lex_state = 5},
  [4204] = {.lex_state = 96, .external_lex_state = 5},
  [4205] = {.lex_state = 96, .external_lex_state = 5},
  [4206] = {.lex_state = 96, .external_lex_state = 5},
  [4207] = {.lex_state = 96, .external_lex_state = 5},
  [4208] = {.lex_state = 96, .external_lex_state = 5},
  [4209] = {.lex_state = 96, .external_lex_state = 5},
  [4210] = {.lex_state = 14, .external_lex_state = 2},
  [4211] = {.lex_state = 96, .external_lex_state = 5},
  [4212] = {.lex_state = 96, .external_lex_state = 5},
  [4213] = {.lex_state = 96, .external_lex_state = 5},
  [4214] = {.lex_state = 96, .external_lex_state = 5},
  [4215] = {.lex_state = 14, .external_lex_state = 2},
  [4216] = {.lex_state = 96, .external_lex_state = 5},
  [4217] = {.lex_state = 96, .external_lex_state = 5},
  [4218] = {.lex_state = 14, .external_lex_state = 2},
  [4219] = {.lex_state = 96, .external_lex_state = 5},
  [4220] = {.lex_state = 96, .external_lex_state = 5},
  [4221] = {.lex_state = 14, .external_lex_state = 2},
  [4222] = {.lex_state = 96, .external_lex_state = 5},
  [4223] = {.lex_state = 96, .external_lex_state = 5},
  [4224] = {.lex_state = 96, .external_lex_state = 5},
  [4225] = {.lex_state = 96, .external_lex_state = 5},
  [4226] = {.lex_state = 96, .external_lex_state = 5},
  [4227] = {.lex_state = 96, .external_lex_state = 5},
  [4228] = {.lex_state = 96, .external_lex_state = 5},
  [4229] = {.lex_state = 96, .external_lex_state = 5},
  [4230] = {.lex_state = 96, .external_lex_state = 5},
  [4231] = {.lex_state = 96, .external_lex_state = 5},
  [4232] = {.lex_state = 96, .external_lex_state = 5},
  [4233] = {.lex_state = 96, .external_lex_state = 5},
  [4234] = {.lex_state = 96, .external_lex_state = 5},
  [4235] = {.lex_state = 96, .external_lex_state = 5},
  [4236] = {.lex_state = 96, .external_lex_state = 5},
  [4237] = {.lex_state = 96, .external_lex_state = 5},
  [4238] = {.lex_state = 96, .external_lex_state = 5},
  [4239] = {.lex_state = 96, .external_lex_state = 5},
  [4240] = {.lex_state = 96, .external_lex_state = 5},
  [4241] = {.lex_state = 18, .external_lex_state = 8},
  [4242] = {.lex_state = 96, .external_lex_state = 5},
  [4243] = {.lex_state = 96, .external_lex_state = 2},
  [4244] = {.lex_state = 96, .external_lex_state = 5},
  [4245] = {.lex_state = 96, .external_lex_state = 5},
  [4246] = {.lex_state = 96, .external_lex_state = 6},
  [4247] = {.lex_state = 96, .external_lex_state = 5},
  [4248] = {.lex_state = 96, .external_lex_state = 5},
  [4249] = {.lex_state = 96, .external_lex_state = 5},
  [4250] = {.lex_state = 18, .external_lex_state = 8},
  [4251] = {.lex_state = 14, .external_lex_state = 2},
  [4252] = {.lex_state = 14, .external_lex_state = 2},
  [4253] = {.lex_state = 96, .external_lex_state = 5},
  [4254] = {.lex_state = 96, .external_lex_state = 5},
  [4255] = {.lex_state = 96, .external_lex_state = 6},
  [4256] = {.lex_state = 96, .external_lex_state = 6},
  [4257] = {.lex_state = 96, .external_lex_state = 5},
  [4258] = {.lex_state = 96, .external_lex_state = 5},
  [4259] = {.lex_state = 96, .external_lex_state = 5},
  [4260] = {.lex_state = 96, .external_lex_state = 2},
  [4261] = {.lex_state = 96, .external_lex_state = 5},
  [4262] = {.lex_state = 96, .external_lex_state = 5},
  [4263] = {.lex_state = 96, .external_lex_state = 5},
  [4264] = {.lex_state = 96, .external_lex_state = 5},
  [4265] = {.lex_state = 96, .external_lex_state = 2},
  [4266] = {.lex_state = 96, .external_lex_state = 5},
  [4267] = {.lex_state = 96, .external_lex_state = 5},
  [4268] = {.lex_state = 96, .external_lex_state = 5},
  [4269] = {.lex_state = 96, .external_lex_state = 5},
  [4270] = {.lex_state = 96, .external_lex_state = 5},
  [4271] = {.lex_state = 96, .external_lex_state = 5},
  [4272] = {.lex_state = 96, .external_lex_state = 5},
  [4273] = {.lex_state = 96, .external_lex_state = 5},
  [4274] = {.lex_state = 96, .external_lex_state = 5},
  [4275] = {.lex_state = 96, .external_lex_state = 5},
  [4276] = {.lex_state = 96, .external_lex_state = 5},
  [4277] = {.lex_state = 96, .external_lex_state = 5},
  [4278] = {.lex_state = 96, .external_lex_state = 2},
  [4279] = {.lex_state = 96, .external_lex_state = 5},
  [4280] = {.lex_state = 96, .external_lex_state = 5},
  [4281] = {.lex_state = 96, .external_lex_state = 5},
  [4282] = {.lex_state = 96, .external_lex_state = 5},
  [4283] = {.lex_state = 96, .external_lex_state = 5},
  [4284] = {.lex_state = 96, .external_lex_state = 5},
  [4285] = {.lex_state = 96, .external_lex_state = 5},
  [4286] = {.lex_state = 18, .external_lex_state = 8},
  [4287] = {.lex_state = 96, .external_lex_state = 5},
  [4288] = {.lex_state = 96, .external_lex_state = 5},
  [4289] = {.lex_state = 14, .external_lex_state = 2},
  [4290] = {.lex_state = 96, .external_lex_state = 5},
  [4291] = {.lex_state = 96, .external_lex_state = 5},
  [4292] = {.lex_state = 18, .external_lex_state = 8},
  [4293] = {.lex_state = 18, .external_lex_state = 8},
  [4294] = {.lex_state = 96, .external_lex_state = 5},
  [4295] = {.lex_state = 96, .external_lex_state = 5},
  [4296] = {.lex_state = 96, .external_lex_state = 5},
  [4297] = {.lex_state = 96, .external_lex_state = 5},
  [4298] = {.lex_state = 96, .external_lex_state = 5},
  [4299] = {.lex_state = 96, .external_lex_state = 5},
  [4300] = {.lex_state = 96, .external_lex_state = 5},
  [4301] = {.lex_state = 96, .external_lex_state = 5},
  [4302] = {.lex_state = 96, .external_lex_state = 2},
  [4303] = {.lex_state = 96, .external_lex_state = 5},
  [4304] = {.lex_state = 96, .external_lex_state = 5},
  [4305] = {.lex_state = 96, .external_lex_state = 5},
  [4306] = {.lex_state = 96, .external_lex_state = 5},
  [4307] = {.lex_state = 14, .external_lex_state = 2},
  [4308] = {.lex_state = 96, .external_lex_state = 5},
  [4309] = {.lex_state = 96, .external_lex_state = 5},
  [4310] = {.lex_state = 96, .external_lex_state = 5},
  [4311] = {.lex_state = 96, .external_lex_state = 5},
  [4312] = {.lex_state = 96, .external_lex_state = 5},
  [4313] = {.lex_state = 96, .external_lex_state = 5},
  [4314] = {.lex_state = 96, .external_lex_state = 5},
  [4315] = {.lex_state = 18, .external_lex_state = 8},
  [4316] = {.lex_state = 96, .external_lex_state = 5},
  [4317] = {.lex_state = 96, .external_lex_state = 5},
  [4318] = {.lex_state = 96, .external_lex_state = 5},
  [4319] = {.lex_state = 96, .external_lex_state = 5},
  [4320] = {.lex_state = 96, .external_lex_state = 5},
  [4321] = {.lex_state = 18, .external_lex_state = 8},
  [4322] = {.lex_state = 14, .external_lex_state = 2},
  [4323] = {.lex_state = 96, .external_lex_state = 5},
  [4324] = {.lex_state = 96, .external_lex_state = 5},
  [4325] = {.lex_state = 96, .external_lex_state = 5},
  [4326] = {.lex_state = 96, .external_lex_state = 5},
  [4327] = {.lex_state = 96, .external_lex_state = 5},
  [4328] = {.lex_state = 96, .external_lex_state = 5},
  [4329] = {.lex_state = 96, .external_lex_state = 5},
  [4330] = {.lex_state = 96, .external_lex_state = 5},
  [4331] = {.lex_state = 96, .external_lex_state = 5},
  [4332] = {.lex_state = 96, .external_lex_state = 5},
  [4333] = {.lex_state = 96, .external_lex_state = 5},
  [4334] = {.lex_state = 96, .external_lex_state = 5},
  [4335] = {.lex_state = 96, .external_lex_state = 5},
  [4336] = {.lex_state = 96, .external_lex_state = 5},
  [4337] = {.lex_state = 96, .external_lex_state = 5},
  [4338] = {.lex_state = 96, .external_lex_state = 5},
  [4339] = {.lex_state = 96, .external_lex_state = 5},
  [4340] = {.lex_state = 96, .external_lex_state = 5},
  [4341] = {.lex_state = 96, .external_lex_state = 5},
  [4342] = {.lex_state = 14, .external_lex_state = 2},
  [4343] = {.lex_state = 96, .external_lex_state = 5},
  [4344] = {.lex_state = 96, .external_lex_state = 5},
  [4345] = {.lex_state = 96, .external_lex_state = 5},
  [4346] = {.lex_state = 96, .external_lex_state = 5},
  [4347] = {.lex_state = 96, .external_lex_state = 5},
  [4348] = {.lex_state = 96, .external_lex_state = 5},
  [4349] = {.lex_state = 96, .external_lex_state = 5},
  [4350] = {.lex_state = 14, .external_lex_state = 2},
  [4351] = {.lex_state = 96, .external_lex_state = 5},
  [4352] = {.lex_state = 14, .external_lex_state = 2},
  [4353] = {.lex_state = 96, .external_lex_state = 5},
  [4354] = {.lex_state = 96, .external_lex_state = 5},
  [4355] = {.lex_state = 96, .external_lex_state = 5},
  [4356] = {.lex_state = 96, .external_lex_state = 5},
  [4357] = {.lex_state = 96, .external_lex_state = 5},
  [4358] = {.lex_state = 96, .external_lex_state = 5},
  [4359] = {.lex_state = 96, .external_lex_state = 5},
  [4360] = {.lex_state = 96, .external_lex_state = 5},
  [4361] = {.lex_state = 96, .external_lex_state = 5},
  [4362] = {.lex_state = 96, .external_lex_state = 5},
  [4363] = {.lex_state = 96, .external_lex_state = 5},
  [4364] = {.lex_state = 96, .external_lex_state = 5},
  [4365] = {.lex_state = 96, .external_lex_state = 5},
  [4366] = {.lex_state = 96, .external_lex_state = 5},
  [4367] = {.lex_state = 96, .external_lex_state = 5},
  [4368] = {.lex_state = 14, .external_lex_state = 2},
  [4369] = {.lex_state = 96, .external_lex_state = 5},
  [4370] = {.lex_state = 14, .external_lex_state = 2},
  [4371] = {.lex_state = 96, .external_lex_state = 5},
  [4372] = {.lex_state = 96, .external_lex_state = 5},
  [4373] = {.lex_state = 96, .external_lex_state = 5},
  [4374] = {.lex_state = 96, .external_lex_state = 5},
  [4375] = {.lex_state = 96, .external_lex_state = 5},
  [4376] = {.lex_state = 96, .external_lex_state = 5},
  [4377] = {.lex_state = 96, .external_lex_state = 5},
  [4378] = {.lex_state = 96, .external_lex_state = 5},
  [4379] = {.lex_state = 96, .external_lex_state = 5},
  [4380] = {.lex_state = 96, .external_lex_state = 5},
  [4381] = {.lex_state = 96, .external_lex_state = 5},
  [4382] = {.lex_state = 96, .external_lex_state = 2},
  [4383] = {.lex_state = 14, .external_lex_state = 2},
  [4384] = {.lex_state = 14, .external_lex_state = 2},
  [4385] = {.lex_state = 96, .external_lex_state = 5},
  [4386] = {.lex_state = 14, .external_lex_state = 2},
  [4387] = {.lex_state = 14, .external_lex_state = 2},
  [4388] = {.lex_state = 96, .external_lex_state = 5},
  [4389] = {.lex_state = 96, .external_lex_state = 5},
  [4390] = {.lex_state = 14, .external_lex_state = 2},
  [4391] = {.lex_state = 96, .external_lex_state = 2},
  [4392] = {.lex_state = 14, .external_lex_state = 2},
  [4393] = {.lex_state = 96, .external_lex_state = 5},
  [4394] = {.lex_state = 96, .external_lex_state = 5},
  [4395] = {.lex_state = 96, .external_lex_state = 5},
  [4396] = {.lex_state = 96, .external_lex_state = 5},
  [4397] = {.lex_state = 96, .external_lex_state = 5},
  [4398] = {.lex_state = 96, .external_lex_state = 5},
  [4399] = {.lex_state = 96, .external_lex_state = 2},
  [4400] = {.lex_state = 14, .external_lex_state = 2},
  [4401] = {.lex_state = 96, .external_lex_state = 5},
  [4402] = {.lex_state = 14, .external_lex_state = 2},
  [4403] = {.lex_state = 96, .external_lex_state = 5},
  [4404] = {.lex_state = 96, .external_lex_state = 2},
  [4405] = {.lex_state = 96, .external_lex_state = 5},
  [4406] = {.lex_state = 96, .external_lex_state = 5},
  [4407] = {.lex_state = 96, .external_lex_state = 5},
  [4408] = {.lex_state = 96, .external_lex_state = 5},
  [4409] = {.lex_state = 14, .external_lex_state = 2},
  [4410] = {.lex_state = 14, .external_lex_state = 2},
  [4411] = {.lex_state = 14, .external_lex_state = 2},
  [4412] = {.lex_state = 96, .external_lex_state = 5},
  [4413] = {.lex_state = 14, .external_lex_state = 2},
  [4414] = {.lex_state = 14, .external_lex_state = 2},
  [4415] = {.lex_state = 96, .external_lex_state = 2},
  [4416] = {.lex_state = 96, .external_lex_state = 5},
  [4417] = {.lex_state = 14, .external_lex_state = 2},
  [4418] = {.lex_state = 96, .external_lex_state = 5},
  [4419] = {.lex_state = 96, .external_lex_state = 5},
  [4420] = {.lex_state = 96, .external_lex_state = 5},
  [4421] = {.lex_state = 96, .external_lex_state = 5},
  [4422] = {.lex_state = 96, .external_lex_state = 5},
  [4423] = {.lex_state = 14, .external_lex_state = 2},
  [4424] = {.lex_state = 96, .external_lex_state = 5},
  [4425] = {.lex_state = 14, .external_lex_state = 2},
  [4426] = {.lex_state = 96, .external_lex_state = 5},
  [4427] = {.lex_state = 96, .external_lex_state = 5},
  [4428] = {.lex_state = 96, .external_lex_state = 5},
  [4429] = {.lex_state = 96, .external_lex_state = 5},
  [4430] = {.lex_state = 96, .external_lex_state = 5},
  [4431] = {.lex_state = 96, .external_lex_state = 2},
  [4432] = {.lex_state = 96, .external_lex_state = 5},
  [4433] = {.lex_state = 14, .external_lex_state = 2},
  [4434] = {.lex_state = 96, .external_lex_state = 5},
  [4435] = {.lex_state = 96, .external_lex_state = 5},
  [4436] = {.lex_state = 96, .external_lex_state = 5},
  [4437] = {.lex_state = 14, .external_lex_state = 2},
  [4438] = {.lex_state = 14, .external_lex_state = 2},
  [4439] = {.lex_state = 96, .external_lex_state = 5},
  [4440] = {.lex_state = 96, .external_lex_state = 5},
  [4441] = {.lex_state = 96, .external_lex_state = 5},
  [4442] = {.lex_state = 14, .external_lex_state = 2},
  [4443] = {.lex_state = 96, .external_lex_state = 5},
  [4444] = {.lex_state = 96, .external_lex_state = 5},
  [4445] = {.lex_state = 96, .external_lex_state = 5},
  [4446] = {.lex_state = 14, .external_lex_state = 2},
  [4447] = {.lex_state = 96, .external_lex_state = 5},
  [4448] = {.lex_state = 96, .external_lex_state = 5},
  [4449] = {.lex_state = 96, .external_lex_state = 5},
  [4450] = {.lex_state = 96, .external_lex_state = 5},
  [4451] = {.lex_state = 96, .external_lex_state = 5},
  [4452] = {.lex_state = 96, .external_lex_state = 5},
  [4453] = {.lex_state = 96, .external_lex_state = 5},
  [4454] = {.lex_state = 96, .external_lex_state = 2},
  [4455] = {.lex_state = 14, .external_lex_state = 2},
  [4456] = {.lex_state = 96, .external_lex_state = 5},
  [4457] = {.lex_state = 96, .external_lex_state = 5},
  [4458] = {.lex_state = 96, .external_lex_state = 5},
  [4459] = {.lex_state = 96, .external_lex_state = 5},
  [4460] = {.lex_state = 96, .external_lex_state = 2},
  [4461] = {.lex_state = 96, .external_lex_state = 5},
  [4462] = {.lex_state = 96, .external_lex_state = 5},
  [4463] = {.lex_state = 96, .external_lex_state = 5},
  [4464] = {.lex_state = 96, .external_lex_state = 5},
  [4465] = {.lex_state = 96, .external_lex_state = 5},
  [4466] = {.lex_state = 14, .external_lex_state = 2},
  [4467] = {.lex_state = 96, .external_lex_state = 6},
  [4468] = {.lex_state = 14, .external_lex_state = 2},
  [4469] = {.lex_state = 96, .external_lex_state = 5},
  [4470] = {.lex_state = 96, .external_lex_state = 5},
  [4471] = {.lex_state = 96, .external_lex_state = 5},
  [4472] = {.lex_state = 96, .external_lex_state = 5},
  [4473] = {.lex_state = 96, .external_lex_state = 5},
  [4474] = {.lex_state = 96, .external_lex_state = 5},
  [4475] = {.lex_state = 96, .external_lex_state = 5},
  [4476] = {.lex_state = 96, .external_lex_state = 5},
  [4477] = {.lex_state = 96, .external_lex_state = 5},
  [4478] = {.lex_state = 96, .external_lex_state = 2},
  [4479] = {.lex_state = 14, .external_lex_state = 2},
  [4480] = {.lex_state = 96, .external_lex_state = 5},
  [4481] = {.lex_state = 14, .external_lex_state = 2},
  [4482] = {.lex_state = 96, .external_lex_state = 5},
  [4483] = {.lex_state = 96, .external_lex_state = 5},
  [4484] = {.lex_state = 14, .external_lex_state = 2},
  [4485] = {.lex_state = 14, .external_lex_state = 2},
  [4486] = {.lex_state = 96, .external_lex_state = 5},
  [4487] = {.lex_state = 96, .external_lex_state = 5},
  [4488] = {.lex_state = 96, .external_lex_state = 5},
  [4489] = {.lex_state = 96, .external_lex_state = 5},
  [4490] = {.lex_state = 96, .external_lex_state = 5},
  [4491] = {.lex_state = 96, .external_lex_state = 5},
  [4492] = {.lex_state = 96, .external_lex_state = 5},
  [4493] = {.lex_state = 96, .external_lex_state = 5},
  [4494] = {.lex_state = 96, .external_lex_state = 2},
  [4495] = {.lex_state = 96, .external_lex_state = 2},
  [4496] = {.lex_state = 96, .external_lex_state = 5},
  [4497] = {.lex_state = 96, .external_lex_state = 2},
  [4498] = {.lex_state = 96, .external_lex_state = 5},
  [4499] = {.lex_state = 96, .external_lex_state = 5},
  [4500] = {.lex_state = 96, .external_lex_state = 5},
  [4501] = {.lex_state = 96, .external_lex_state = 2},
  [4502] = {.lex_state = 96, .external_lex_state = 2},
  [4503] = {.lex_state = 18, .external_lex_state = 8},
  [4504] = {.lex_state = 96, .external_lex_state = 2},
  [4505] = {.lex_state = 96, .external_lex_state = 5},
  [4506] = {.lex_state = 96, .external_lex_state = 5},
  [4507] = {.lex_state = 96, .external_lex_state = 5},
  [4508] = {.lex_state = 96, .external_lex_state = 5},
  [4509] = {.lex_state = 96, .external_lex_state = 2},
  [4510] = {.lex_state = 96, .external_lex_state = 5},
  [4511] = {.lex_state = 96, .external_lex_state = 5},
  [4512] = {.lex_state = 96, .external_lex_state = 5},
  [4513] = {.lex_state = 15, .external_lex_state = 2},
  [4514] = {.lex_state = 96, .external_lex_state = 2},
  [4515] = {.lex_state = 96, .external_lex_state = 5},
  [4516] = {.lex_state = 96, .external_lex_state = 5},
  [4517] = {.lex_state = 14, .external_lex_state = 2},
  [4518] = {.lex_state = 96, .external_lex_state = 5},
  [4519] = {.lex_state = 96, .external_lex_state = 5},
  [4520] = {.lex_state = 96, .external_lex_state = 5},
  [4521] = {.lex_state = 96, .external_lex_state = 5},
  [4522] = {.lex_state = 96, .external_lex_state = 5},
  [4523] = {.lex_state = 96, .external_lex_state = 2},
  [4524] = {.lex_state = 96, .external_lex_state = 5},
  [4525] = {.lex_state = 96, .external_lex_state = 5},
  [4526] = {.lex_state = 96, .external_lex_state = 5},
  [4527] = {.lex_state = 96, .external_lex_state = 5},
  [4528] = {.lex_state = 96, .external_lex_state = 5},
  [4529] = {.lex_state = 96, .external_lex_state = 5},
  [4530] = {.lex_state = 96, .external_lex_state = 5},
  [4531] = {.lex_state = 96, .external_lex_state = 5},
  [4532] = {.lex_state = 96, .external_lex_state = 5},
  [4533] = {.lex_state = 96, .external_lex_state = 5},
  [4534] = {.lex_state = 96, .external_lex_state = 5},
  [4535] = {.lex_state = 96, .external_lex_state = 5},
  [4536] = {.lex_state = 96, .external_lex_state = 2},
  [4537] = {.lex_state = 96, .external_lex_state = 5},
  [4538] = {.lex_state = 96, .external_lex_state = 5},
  [4539] = {.lex_state = 14, .external_lex_state = 2},
  [4540] = {.lex_state = 96, .external_lex_state = 6},
  [4541] = {.lex_state = 96, .external_lex_state = 5},
  [4542] = {.lex_state = 96, .external_lex_state = 5},
  [4543] = {.lex_state = 96, .external_lex_state = 5},
  [4544] = {.lex_state = 96, .external_lex_state = 5},
  [4545] = {.lex_state = 96, .external_lex_state = 5},
  [4546] = {.lex_state = 14, .external_lex_state = 2},
  [4547] = {.lex_state = 14, .external_lex_state = 2},
  [4548] = {.lex_state = 96, .external_lex_state = 5},
  [4549] = {.lex_state = 96, .external_lex_state = 2},
  [4550] = {.lex_state = 96, .external_lex_state = 5},
  [4551] = {.lex_state = 96, .external_lex_state = 2},
  [4552] = {.lex_state = 14, .external_lex_state = 2},
  [4553] = {.lex_state = 18, .external_lex_state = 8},
  [4554] = {.lex_state = 96, .external_lex_state = 5},
  [4555] = {.lex_state = 96, .external_lex_state = 5},
  [4556] = {.lex_state = 96, .external_lex_state = 5},
  [4557] = {.lex_state = 14, .external_lex_state = 2},
  [4558] = {.lex_state = 14, .external_lex_state = 2},
  [4559] = {.lex_state = 96, .external_lex_state = 5},
  [4560] = {.lex_state = 96, .external_lex_state = 5},
  [4561] = {.lex_state = 14, .external_lex_state = 2},
  [4562] = {.lex_state = 96, .external_lex_state = 5},
  [4563] = {.lex_state = 96, .external_lex_state = 5},
  [4564] = {.lex_state = 96, .external_lex_state = 5},
  [4565] = {.lex_state = 96, .external_lex_state = 5},
  [4566] = {.lex_state = 96, .external_lex_state = 2},
  [4567] = {.lex_state = 96, .external_lex_state = 2},
  [4568] = {.lex_state = 96, .external_lex_state = 5},
  [4569] = {.lex_state = 96, .external_lex_state = 5},
  [4570] = {.lex_state = 96, .external_lex_state = 2},
  [4571] = {.lex_state = 96, .external_lex_state = 5},
  [4572] = {.lex_state = 96, .external_lex_state = 2},
  [4573] = {.lex_state = 96, .external_lex_state = 5},
  [4574] = {.lex_state = 96, .external_lex_state = 5},
  [4575] = {.lex_state = 96, .external_lex_state = 2},
  [4576] = {.lex_state = 96, .external_lex_state = 5},
  [4577] = {.lex_state = 96, .external_lex_state = 5},
  [4578] = {.lex_state = 96, .external_lex_state = 5},
  [4579] = {.lex_state = 96, .external_lex_state = 6},
  [4580] = {.lex_state = 96, .external_lex_state = 2},
  [4581] = {.lex_state = 96, .external_lex_state = 5},
  [4582] = {.lex_state = 96, .external_lex_state = 2},
  [4583] = {.lex_state = 96, .external_lex_state = 5},
  [4584] = {.lex_state = 96, .external_lex_state = 5},
  [4585] = {.lex_state = 96, .external_lex_state = 2},
  [4586] = {.lex_state = 96, .external_lex_state = 5},
  [4587] = {.lex_state = 14, .external_lex_state = 2},
  [4588] = {.lex_state = 96, .external_lex_state = 5},
  [4589] = {.lex_state = 96, .external_lex_state = 2},
  [4590] = {.lex_state = 96, .external_lex_state = 5},
  [4591] = {.lex_state = 96, .external_lex_state = 2},
  [4592] = {.lex_state = 14, .external_lex_state = 2},
  [4593] = {.lex_state = 96, .external_lex_state = 5},
  [4594] = {.lex_state = 96, .external_lex_state = 5},
  [4595] = {.lex_state = 96, .external_lex_state = 5},
  [4596] = {.lex_state = 96, .external_lex_state = 5},
  [4597] = {.lex_state = 96, .external_lex_state = 5},
  [4598] = {.lex_state = 96, .external_lex_state = 5},
  [4599] = {.lex_state = 96, .external_lex_state = 2},
  [4600] = {.lex_state = 96, .external_lex_state = 5},
  [4601] = {.lex_state = 96, .external_lex_state = 5},
  [4602] = {.lex_state = 96, .external_lex_state = 5},
  [4603] = {.lex_state = 96, .external_lex_state = 5},
  [4604] = {.lex_state = 96, .external_lex_state = 5},
  [4605] = {.lex_state = 14, .external_lex_state = 2},
  [4606] = {.lex_state = 96, .external_lex_state = 5},
  [4607] = {.lex_state = 96, .external_lex_state = 5},
  [4608] = {.lex_state = 96, .external_lex_state = 5},
  [4609] = {.lex_state = 96, .external_lex_state = 5},
  [4610] = {.lex_state = 96, .external_lex_state = 5},
  [4611] = {.lex_state = 96, .external_lex_state = 2},
  [4612] = {.lex_state = 96, .external_lex_state = 5},
  [4613] = {.lex_state = 96, .external_lex_state = 5},
  [4614] = {.lex_state = 96, .external_lex_state = 5},
  [4615] = {.lex_state = 96, .external_lex_state = 5},
  [4616] = {.lex_state = 96, .external_lex_state = 2},
  [4617] = {.lex_state = 96, .external_lex_state = 2},
  [4618] = {.lex_state = 14, .external_lex_state = 2},
  [4619] = {.lex_state = 96, .external_lex_state = 5},
  [4620] = {.lex_state = 96, .external_lex_state = 5},
  [4621] = {.lex_state = 96, .external_lex_state = 5},
  [4622] = {.lex_state = 96, .external_lex_state = 2},
  [4623] = {.lex_state = 96, .external_lex_state = 2},
  [4624] = {.lex_state = 96, .external_lex_state = 5},
  [4625] = {.lex_state = 14, .external_lex_state = 2},
  [4626] = {.lex_state = 96, .external_lex_state = 5},
  [4627] = {.lex_state = 96, .external_lex_state = 2},
  [4628] = {.lex_state = 96, .external_lex_state = 5},
  [4629] = {.lex_state = 96, .external_lex_state = 5},
  [4630] = {.lex_state = 96, .external_lex_state = 5},
  [4631] = {.lex_state = 96, .external_lex_state = 5},
  [4632] = {.lex_state = 96, .external_lex_state = 5},
  [4633] = {.lex_state = 96, .external_lex_state = 5},
  [4634] = {.lex_state = 96, .external_lex_state = 5},
  [4635] = {.lex_state = 96, .external_lex_state = 5},
  [4636] = {.lex_state = 96, .external_lex_state = 5},
  [4637] = {.lex_state = 96, .external_lex_state = 5},
  [4638] = {.lex_state = 96, .external_lex_state = 5},
  [4639] = {.lex_state = 96, .external_lex_state = 2},
  [4640] = {.lex_state = 96, .external_lex_state = 5},
  [4641] = {.lex_state = 96, .external_lex_state = 5},
  [4642] = {.lex_state = 96, .external_lex_state = 5},
  [4643] = {.lex_state = 96, .external_lex_state = 5},
  [4644] = {.lex_state = 96, .external_lex_state = 5},
  [4645] = {.lex_state = 96, .external_lex_state = 5},
  [4646] = {.lex_state = 96, .external_lex_state = 5},
  [4647] = {.lex_state = 96, .external_lex_state = 5},
  [4648] = {.lex_state = 96, .external_lex_state = 5},
  [4649] = {.lex_state = 96, .external_lex_state = 5},
  [4650] = {.lex_state = 96, .external_lex_state = 5},
  [4651] = {.lex_state = 96, .external_lex_state = 5},
  [4652] = {.lex_state = 96, .external_lex_state = 5},
  [4653] = {.lex_state = 96, .external_lex_state = 5},
  [4654] = {.lex_state = 14, .external_lex_state = 2},
  [4655] = {.lex_state = 96, .external_lex_state = 5},
  [4656] = {.lex_state = 96, .external_lex_state = 5},
  [4657] = {.lex_state = 14, .external_lex_state = 2},
  [4658] = {.lex_state = 14, .external_lex_state = 2},
  [4659] = {.lex_state = 96, .external_lex_state = 5},
  [4660] = {.lex_state = 96, .external_lex_state = 5},
  [4661] = {.lex_state = 96, .external_lex_state = 5},
  [4662] = {.lex_state = 96, .external_lex_state = 5},
  [4663] = {.lex_state = 96, .external_lex_state = 5},
  [4664] = {.lex_state = 96, .external_lex_state = 5},
  [4665] = {.lex_state = 96, .external_lex_state = 5},
  [4666] = {.lex_state = 96, .external_lex_state = 5},
  [4667] = {.lex_state = 96, .external_lex_state = 5},
  [4668] = {.lex_state = 96, .external_lex_state = 5},
  [4669] = {.lex_state = 14, .external_lex_state = 2},
  [4670] = {.lex_state = 96, .external_lex_state = 5},
  [4671] = {.lex_state = 96, .external_lex_state = 5},
  [4672] = {.lex_state = 96, .external_lex_state = 5},
  [4673] = {.lex_state = 96, .external_lex_state = 5},
  [4674] = {.lex_state = 96, .external_lex_state = 5},
  [4675] = {.lex_state = 96, .external_lex_state = 5},
  [4676] = {.lex_state = 96, .external_lex_state = 5},
  [4677] = {.lex_state = 96, .external_lex_state = 5},
  [4678] = {.lex_state = 96, .external_lex_state = 5},
  [4679] = {.lex_state = 96, .external_lex_state = 5},
  [4680] = {.lex_state = 96, .external_lex_state = 5},
  [4681] = {.lex_state = 96, .external_lex_state = 5},
  [4682] = {.lex_state = 96, .external_lex_state = 5},
  [4683] = {.lex_state = 96, .external_lex_state = 5},
  [4684] = {.lex_state = 96, .external_lex_state = 5},
  [4685] = {.lex_state = 96, .external_lex_state = 5},
  [4686] = {.lex_state = 96, .external_lex_state = 6},
  [4687] = {.lex_state = 96, .external_lex_state = 6},
  [4688] = {.lex_state = 96, .external_lex_state = 6},
  [4689] = {.lex_state = 96, .external_lex_state = 5},
  [4690] = {.lex_state = 96, .external_lex_state = 5},
  [4691] = {.lex_state = 96, .external_lex_state = 5},
  [4692] = {.lex_state = 96, .external_lex_state = 5},
  [4693] = {.lex_state = 96, .external_lex_state = 5},
  [4694] = {.lex_state = 96, .external_lex_state = 5},
  [4695] = {.lex_state = 96, .external_lex_state = 5},
  [4696] = {.lex_state = 96, .external_lex_state = 5},
  [4697] = {.lex_state = 96, .external_lex_state = 5},
  [4698] = {.lex_state = 96, .external_lex_state = 5},
  [4699] = {.lex_state = 96, .external_lex_state = 5},
  [4700] = {.lex_state = 96, .external_lex_state = 2},
  [4701] = {.lex_state = 14, .external_lex_state = 2},
  [4702] = {.lex_state = 96, .external_lex_state = 2},
  [4703] = {.lex_state = 96, .external_lex_state = 2},
  [4704] = {.lex_state = 96, .external_lex_state = 2},
  [4705] = {.lex_state = 96, .external_lex_state = 2},
  [4706] = {.lex_state = 96, .external_lex_state = 2},
  [4707] = {.lex_state = 96, .external_lex_state = 2},
  [4708] = {.lex_state = 96, .external_lex_state = 2},
  [4709] = {.lex_state = 96, .external_lex_state = 2},
  [4710] = {.lex_state = 96, .external_lex_state = 2},
  [4711] = {.lex_state = 96, .external_lex_state = 2},
  [4712] = {.lex_state = 14, .external_lex_state = 2},
  [4713] = {.lex_state = 17, .external_lex_state = 9},
  [4714] = {.lex_state = 96, .external_lex_state = 5},
  [4715] = {.lex_state = 4, .external_lex_state = 2},
  [4716] = {.lex_state = 96, .external_lex_state = 2},
  [4717] = {.lex_state = 14, .external_lex_state = 2},
  [4718] = {.lex_state = 96, .external_lex_state = 2},
  [4719] = {.lex_state = 21, .external_lex_state = 9},
  [4720] = {.lex_state = 96, .external_lex_state = 5},
  [4721] = {.lex_state = 17, .external_lex_state = 9},
  [4722] = {.lex_state = 21, .external_lex_state = 9},
  [4723] = {.lex_state = 17, .external_lex_state = 9},
  [4724] = {.lex_state = 21, .external_lex_state = 9},
  [4725] = {.lex_state = 14, .external_lex_state = 2},
  [4726] = {.lex_state = 96, .external_lex_state = 2},
  [4727] = {.lex_state = 96, .external_lex_state = 2},
  [4728] = {.lex_state = 96, .external_lex_state = 2},
  [4729] = {.lex_state = 14, .external_lex_state = 2},
  [4730] = {.lex_state = 17, .external_lex_state = 9},
  [4731] = {.lex_state = 21, .external_lex_state = 9},
  [4732] = {.lex_state = 96, .external_lex_state = 2},
  [4733] = {.lex_state = 17, .external_lex_state = 9},
  [4734] = {.lex_state = 21, .external_lex_state = 9},
  [4735] = {.lex_state = 14, .external_lex_state = 2},
  [4736] = {.lex_state = 96, .external_lex_state = 2},
  [4737] = {.lex_state = 96, .external_lex_state = 2},
  [4738] = {.lex_state = 96, .external_lex_state = 2},
  [4739] = {.lex_state = 17, .external_lex_state = 9},
  [4740] = {.lex_state = 21, .external_lex_state = 9},
  [4741] = {.lex_state = 96, .external_lex_state = 2},
  [4742] = {.lex_state = 17, .external_lex_state = 9},
  [4743] = {.lex_state = 21, .external_lex_state = 9},
  [4744] = {.lex_state = 14, .external_lex_state = 2},
  [4745] = {.lex_state = 96, .external_lex_state = 2},
  [4746] = {.lex_state = 96, .external_lex_state = 2},
  [4747] = {.lex_state = 96, .external_lex_state = 2},
  [4748] = {.lex_state = 17, .external_lex_state = 9},
  [4749] = {.lex_state = 21, .external_lex_state = 9},
  [4750] = {.lex_state = 17, .external_lex_state = 9},
  [4751] = {.lex_state = 21, .external_lex_state = 9},
  [4752] = {.lex_state = 14, .external_lex_state = 2},
  [4753] = {.lex_state = 17, .external_lex_state = 9},
  [4754] = {.lex_state = 21, .external_lex_state = 9},
  [4755] = {.lex_state = 17, .external_lex_state = 9},
  [4756] = {.lex_state = 21, .external_lex_state = 9},
  [4757] = {.lex_state = 96, .external_lex_state = 5},
  [4758] = {.lex_state = 96, .external_lex_state = 5},
  [4759] = {.lex_state = 96, .external_lex_state = 2},
  [4760] = {.lex_state = 96, .external_lex_state = 5},
  [4761] = {.lex_state = 14, .external_lex_state = 2},
  [4762] = {.lex_state = 96, .external_lex_state = 5},
  [4763] = {.lex_state = 96, .external_lex_state = 2},
  [4764] = {.lex_state = 14, .external_lex_state = 2},
  [4765] = {.lex_state = 96, .external_lex_state = 5},
  [4766] = {.lex_state = 96, .external_lex_state = 5},
  [4767] = {.lex_state = 96, .external_lex_state = 2},
  [4768] = {.lex_state = 96, .external_lex_state = 2},
  [4769] = {.lex_state = 96, .external_lex_state = 2},
  [4770] = {.lex_state = 14, .external_lex_state = 2},
  [4771] = {.lex_state = 14, .external_lex_state = 2},
  [4772] = {.lex_state = 14, .external_lex_state = 2},
  [4773] = {.lex_state = 14, .external_lex_state = 2},
  [4774] = {.lex_state = 96, .external_lex_state = 2},
  [4775] = {.lex_state = 96, .external_lex_state = 2},
  [4776] = {.lex_state = 96, .external_lex_state = 2},
  [4777] = {.lex_state = 14, .external_lex_state = 2},
  [4778] = {.lex_state = 14, .external_lex_state = 2},
  [4779] = {.lex_state = 96, .external_lex_state = 2},
  [4780] = {.lex_state = 96, .external_lex_state = 2},
  [4781] = {.lex_state = 96, .external_lex_state = 2},
  [4782] = {.lex_state = 96, .external_lex_state = 2},
  [4783] = {.lex_state = 96, .external_lex_state = 2},
  [4784] = {.lex_state = 96, .external_lex_state = 2},
  [4785] = {.lex_state = 14, .external_lex_state = 2},
  [4786] = {.lex_state = 18, .external_lex_state = 7},
  [4787] = {.lex_state = 14, .external_lex_state = 2},
  [4788] = {.lex_state = 4, .external_lex_state = 2},
  [4789] = {.lex_state = 96, .external_lex_state = 5},
  [4790] = {.lex_state = 17, .external_lex_state = 9},
  [4791] = {.lex_state = 96, .external_lex_state = 5},
  [4792] = {.lex_state = 96, .external_lex_state = 5},
  [4793] = {.lex_state = 96, .external_lex_state = 2},
  [4794] = {.lex_state = 96, .external_lex_state = 5},
  [4795] = {.lex_state = 17, .external_lex_state = 9},
  [4796] = {.lex_state = 21, .external_lex_state = 9},
  [4797] = {.lex_state = 96, .external_lex_state = 2},
  [4798] = {.lex_state = 96, .external_lex_state = 2},
  [4799] = {.lex_state = 96, .external_lex_state = 2},
  [4800] = {.lex_state = 96, .external_lex_state = 5},
  [4801] = {.lex_state = 96, .external_lex_state = 5},
  [4802] = {.lex_state = 96, .external_lex_state = 2},
  [4803] = {.lex_state = 96, .external_lex_state = 2},
  [4804] = {.lex_state = 96, .external_lex_state = 2},
  [4805] = {.lex_state = 96, .external_lex_state = 2},
  [4806] = {.lex_state = 96, .external_lex_state = 5},
  [4807] = {.lex_state = 96, .external_lex_state = 5},
  [4808] = {.lex_state = 14, .external_lex_state = 2},
  [4809] = {.lex_state = 96, .external_lex_state = 6},
  [4810] = {.lex_state = 96, .external_lex_state = 2},
  [4811] = {.lex_state = 14, .external_lex_state = 2},
  [4812] = {.lex_state = 17, .external_lex_state = 9},
  [4813] = {.lex_state = 21, .external_lex_state = 9},
  [4814] = {.lex_state = 96, .external_lex_state = 2},
  [4815] = {.lex_state = 14, .external_lex_state = 2},
  [4816] = {.lex_state = 96, .external_lex_state = 2},
  [4817] = {.lex_state = 96, .external_lex_state = 5},
  [4818] = {.lex_state = 4, .external_lex_state = 2},
  [4819] = {.lex_state = 4, .external_lex_state = 2},
  [4820] = {.lex_state = 96, .external_lex_state = 2},
  [4821] = {.lex_state = 4, .external_lex_state = 2},
  [4822] = {.lex_state = 21, .external_lex_state = 9},
  [4823] = {.lex_state = 96, .external_lex_state = 2},
  [4824] = {.lex_state = 96, .external_lex_state = 2},
  [4825] = {.lex_state = 96, .external_lex_state = 2},
  [4826] = {.lex_state = 96, .external_lex_state = 2},
  [4827] = {.lex_state = 96, .external_lex_state = 2},
  [4828] = {.lex_state = 96, .external_lex_state = 5},
  [4829] = {.lex_state = 96, .external_lex_state = 2},
  [4830] = {.lex_state = 17, .external_lex_state = 9},
  [4831] = {.lex_state = 21, .external_lex_state = 9},
  [4832] = {.lex_state = 96, .external_lex_state = 2},
  [4833] = {.lex_state = 14, .external_lex_state = 2},
  [4834] = {.lex_state = 96, .external_lex_state = 5},
  [4835] = {.lex_state = 14, .external_lex_state = 2},
  [4836] = {.lex_state = 96, .external_lex_state = 2},
  [4837] = {.lex_state = 96, .external_lex_state = 5},
  [4838] = {.lex_state = 96, .external_lex_state = 5},
  [4839] = {.lex_state = 18, .external_lex_state = 7},
  [4840] = {.lex_state = 96, .external_lex_state = 5},
  [4841] = {.lex_state = 96, .external_lex_state = 5},
  [4842] = {.lex_state = 96, .external_lex_state = 2},
  [4843] = {.lex_state = 96, .external_lex_state = 2},
  [4844] = {.lex_state = 96, .external_lex_state = 5},
  [4845] = {.lex_state = 96, .external_lex_state = 5},
  [4846] = {.lex_state = 96, .external_lex_state = 5},
  [4847] = {.lex_state = 96, .external_lex_state = 5},
  [4848] = {.lex_state = 96, .external_lex_state = 5},
  [4849] = {.lex_state = 96, .external_lex_state = 5},
  [4850] = {.lex_state = 96, .external_lex_state = 5},
  [4851] = {.lex_state = 96, .external_lex_state = 5},
  [4852] = {.lex_state = 4, .external_lex_state = 2},
  [4853] = {.lex_state = 96, .external_lex_state = 5},
  [4854] = {.lex_state = 96, .external_lex_state = 5},
  [4855] = {.lex_state = 14, .external_lex_state = 2},
  [4856] = {.lex_state = 96, .external_lex_state = 5},
  [4857] = {.lex_state = 96, .external_lex_state = 2},
  [4858] = {.lex_state = 96, .external_lex_state = 5},
  [4859] = {.lex_state = 96, .external_lex_state = 5},
  [4860] = {.lex_state = 96, .external_lex_state = 5},
  [4861] = {.lex_state = 96, .external_lex_state = 5},
  [4862] = {.lex_state = 96, .external_lex_state = 5},
  [4863] = {.lex_state = 96, .external_lex_state = 5},
  [4864] = {.lex_state = 96, .external_lex_state = 2},
  [4865] = {.lex_state = 96, .external_lex_state = 2},
  [4866] = {.lex_state = 96, .external_lex_state = 5},
  [4867] = {.lex_state = 96, .external_lex_state = 2},
  [4868] = {.lex_state = 96, .external_lex_state = 5},
  [4869] = {.lex_state = 96, .external_lex_state = 5},
  [4870] = {.lex_state = 96, .external_lex_state = 5},
  [4871] = {.lex_state = 96, .external_lex_state = 5},
  [4872] = {.lex_state = 96, .external_lex_state = 5},
  [4873] = {.lex_state = 96, .external_lex_state = 5},
  [4874] = {.lex_state = 96, .external_lex_state = 5},
  [4875] = {.lex_state = 96, .external_lex_state = 5},
  [4876] = {.lex_state = 96, .external_lex_state = 5},
  [4877] = {.lex_state = 96, .external_lex_state = 5},
  [4878] = {.lex_state = 96, .external_lex_state = 5},
  [4879] = {.lex_state = 96, .external_lex_state = 5},
  [4880] = {.lex_state = 96, .external_lex_state = 5},
  [4881] = {.lex_state = 96, .external_lex_state = 5},
  [4882] = {.lex_state = 96, .external_lex_state = 5},
  [4883] = {.lex_state = 96, .external_lex_state = 5},
  [4884] = {.lex_state = 96, .external_lex_state = 5},
  [4885] = {.lex_state = 96, .external_lex_state = 2},
  [4886] = {.lex_state = 96, .external_lex_state = 5},
  [4887] = {.lex_state = 96, .external_lex_state = 5},
  [4888] = {.lex_state = 96, .external_lex_state = 5},
  [4889] = {.lex_state = 96, .external_lex_state = 5},
  [4890] = {.lex_state = 96, .external_lex_state = 5},
  [4891] = {.lex_state = 96, .external_lex_state = 5},
  [4892] = {.lex_state = 96, .external_lex_state = 5},
  [4893] = {.lex_state = 96, .external_lex_state = 5},
  [4894] = {.lex_state = 96, .external_lex_state = 5},
  [4895] = {.lex_state = 96, .external_lex_state = 5},
  [4896] = {.lex_state = 96, .external_lex_state = 2},
  [4897] = {.lex_state = 96, .external_lex_state = 5},
  [4898] = {.lex_state = 96, .external_lex_state = 5},
  [4899] = {.lex_state = 96, .external_lex_state = 5},
  [4900] = {.lex_state = 96, .external_lex_state = 5},
  [4901] = {.lex_state = 96, .external_lex_state = 5},
  [4902] = {.lex_state = 96, .external_lex_state = 2},
  [4903] = {.lex_state = 96, .external_lex_state = 2},
  [4904] = {.lex_state = 96, .external_lex_state = 5},
  [4905] = {.lex_state = 96, .external_lex_state = 5},
  [4906] = {.lex_state = 96, .external_lex_state = 5},
  [4907] = {.lex_state = 96, .external_lex_state = 5},
  [4908] = {.lex_state = 96, .external_lex_state = 5},
  [4909] = {.lex_state = 96, .external_lex_state = 5},
  [4910] = {.lex_state = 96, .external_lex_state = 5},
  [4911] = {.lex_state = 96, .external_lex_state = 5},
  [4912] = {.lex_state = 96, .external_lex_state = 5},
  [4913] = {.lex_state = 96, .external_lex_state = 5},
  [4914] = {.lex_state = 96, .external_lex_state = 5},
  [4915] = {.lex_state = 96, .external_lex_state = 2},
  [4916] = {.lex_state = 96, .external_lex_state = 5},
  [4917] = {.lex_state = 96, .external_lex_state = 5},
  [4918] = {.lex_state = 96, .external_lex_state = 5},
  [4919] = {.lex_state = 96, .external_lex_state = 5},
  [4920] = {.lex_state = 96, .external_lex_state = 5},
  [4921] = {.lex_state = 96, .external_lex_state = 5},
  [4922] = {.lex_state = 96, .external_lex_state = 5},
  [4923] = {.lex_state = 96, .external_lex_state = 2},
  [4924] = {.lex_state = 96, .external_lex_state = 5},
  [4925] = {.lex_state = 96, .external_lex_state = 5},
  [4926] = {.lex_state = 96, .external_lex_state = 5},
  [4927] = {.lex_state = 96, .external_lex_state = 5},
  [4928] = {.lex_state = 96, .external_lex_state = 5},
  [4929] = {.lex_state = 96, .external_lex_state = 5},
  [4930] = {.lex_state = 96, .external_lex_state = 5},
  [4931] = {.lex_state = 96, .external_lex_state = 2},
  [4932] = {.lex_state = 96, .external_lex_state = 2},
  [4933] = {.lex_state = 96, .external_lex_state = 2},
  [4934] = {.lex_state = 96, .external_lex_state = 5},
  [4935] = {.lex_state = 96, .external_lex_state = 5},
  [4936] = {.lex_state = 96, .external_lex_state = 2},
  [4937] = {.lex_state = 96, .external_lex_state = 5},
  [4938] = {.lex_state = 96, .external_lex_state = 5},
  [4939] = {.lex_state = 96, .external_lex_state = 5},
  [4940] = {.lex_state = 96, .external_lex_state = 5},
  [4941] = {.lex_state = 96, .external_lex_state = 5},
  [4942] = {.lex_state = 96, .external_lex_state = 5},
  [4943] = {.lex_state = 96, .external_lex_state = 2},
  [4944] = {.lex_state = 96, .external_lex_state = 2},
  [4945] = {.lex_state = 96, .external_lex_state = 2},
  [4946] = {.lex_state = 96, .external_lex_state = 2},
  [4947] = {.lex_state = 96, .external_lex_state = 2},
  [4948] = {.lex_state = 96, .external_lex_state = 5},
  [4949] = {.lex_state = 96, .external_lex_state = 5},
  [4950] = {.lex_state = 96, .external_lex_state = 5},
  [4951] = {.lex_state = 96, .external_lex_state = 5},
  [4952] = {.lex_state = 96, .external_lex_state = 5},
  [4953] = {.lex_state = 96, .external_lex_state = 5},
  [4954] = {.lex_state = 96, .external_lex_state = 5},
  [4955] = {.lex_state = 96, .external_lex_state = 2},
  [4956] = {.lex_state = 96, .external_lex_state = 2},
  [4957] = {.lex_state = 96, .external_lex_state = 2},
  [4958] = {.lex_state = 96, .external_lex_state = 5},
  [4959] = {.lex_state = 96, .external_lex_state = 2},
  [4960] = {.lex_state = 96, .external_lex_state = 5},
  [4961] = {.lex_state = 96, .external_lex_state = 2},
  [4962] = {.lex_state = 96, .external_lex_state = 2},
  [4963] = {.lex_state = 96, .external_lex_state = 5},
  [4964] = {.lex_state = 96, .external_lex_state = 5},
  [4965] = {.lex_state = 96, .external_lex_state = 5},
  [4966] = {.lex_state = 96, .external_lex_state = 5},
  [4967] = {.lex_state = 96, .external_lex_state = 5},
  [4968] = {.lex_state = 96, .external_lex_state = 5},
  [4969] = {.lex_state = 96, .external_lex_state = 5},
  [4970] = {.lex_state = 96, .external_lex_state = 2},
  [4971] = {.lex_state = 96, .external_lex_state = 2},
  [4972] = {.lex_state = 96, .external_lex_state = 2},
  [4973] = {.lex_state = 96, .external_lex_state = 2},
  [4974] = {.lex_state = 96, .external_lex_state = 5},
  [4975] = {.lex_state = 96, .external_lex_state = 5},
  [4976] = {.lex_state = 96, .external_lex_state = 5},
  [4977] = {.lex_state = 96, .external_lex_state = 5},
  [4978] = {.lex_state = 96, .external_lex_state = 5},
  [4979] = {.lex_state = 96, .external_lex_state = 5},
  [4980] = {.lex_state = 96, .external_lex_state = 5},
  [4981] = {.lex_state = 96, .external_lex_state = 5},
  [4982] = {.lex_state = 96, .external_lex_state = 2},
  [4983] = {.lex_state = 96, .external_lex_state = 2},
  [4984] = {.lex_state = 96, .external_lex_state = 2},
  [4985] = {.lex_state = 96, .external_lex_state = 5},
  [4986] = {.lex_state = 96, .external_lex_state = 5},
  [4987] = {.lex_state = 96, .external_lex_state = 5},
  [4988] = {.lex_state = 96, .external_lex_state = 5},
  [4989] = {.lex_state = 96, .external_lex_state = 5},
  [4990] = {.lex_state = 96, .external_lex_state = 5},
  [4991] = {.lex_state = 96, .external_lex_state = 5},
  [4992] = {.lex_state = 96, .external_lex_state = 5},
  [4993] = {.lex_state = 96, .external_lex_state = 5},
  [4994] = {.lex_state = 96, .external_lex_state = 5},
  [4995] = {.lex_state = 96, .external_lex_state = 5},
  [4996] = {.lex_state = 96, .external_lex_state = 5},
  [4997] = {.lex_state = 96, .external_lex_state = 5},
  [4998] = {.lex_state = 96, .external_lex_state = 5},
  [4999] = {.lex_state = 96, .external_lex_state = 5},
  [5000] = {.lex_state = 96, .external_lex_state = 5},
  [5001] = {.lex_state = 96, .external_lex_state = 5},
  [5002] = {.lex_state = 96, .external_lex_state = 5},
  [5003] = {.lex_state = 96, .external_lex_state = 5},
  [5004] = {.lex_state = 96, .external_lex_state = 5},
  [5005] = {.lex_state = 96, .external_lex_state = 5},
  [5006] = {.lex_state = 96, .external_lex_state = 5},
  [5007] = {.lex_state = 96, .external_lex_state = 5},
  [5008] = {.lex_state = 96, .external_lex_state = 5},
  [5009] = {.lex_state = 96, .external_lex_state = 5},
  [5010] = {.lex_state = 96, .external_lex_state = 5},
  [5011] = {.lex_state = 96, .external_lex_state = 5},
  [5012] = {.lex_state = 96, .external_lex_state = 5},
  [5013] = {.lex_state = 96, .external_lex_state = 5},
  [5014] = {.lex_state = 96, .external_lex_state = 5},
  [5015] = {.lex_state = 96, .external_lex_state = 2},
  [5016] = {.lex_state = 96, .external_lex_state = 5},
  [5017] = {.lex_state = 96, .external_lex_state = 5},
  [5018] = {.lex_state = 96, .external_lex_state = 5},
  [5019] = {.lex_state = 96, .external_lex_state = 5},
  [5020] = {.lex_state = 96, .external_lex_state = 5},
  [5021] = {.lex_state = 96, .external_lex_state = 5},
  [5022] = {.lex_state = 96, .external_lex_state = 2},
  [5023] = {.lex_state = 96, .external_lex_state = 2},
  [5024] = {.lex_state = 96, .external_lex_state = 5},
  [5025] = {.lex_state = 96, .external_lex_state = 5},
  [5026] = {.lex_state = 96, .external_lex_state = 5},
  [5027] = {.lex_state = 96, .external_lex_state = 5},
  [5028] = {.lex_state = 96, .external_lex_state = 5},
  [5029] = {.lex_state = 96, .external_lex_state = 5},
  [5030] = {.lex_state = 96, .external_lex_state = 5},
  [5031] = {.lex_state = 96, .external_lex_state = 5},
  [5032] = {.lex_state = 96, .external_lex_state = 2},
  [5033] = {.lex_state = 96, .external_lex_state = 2},
  [5034] = {.lex_state = 96, .external_lex_state = 5},
  [5035] = {.lex_state = 96, .external_lex_state = 2},
  [5036] = {.lex_state = 96, .external_lex_state = 5},
  [5037] = {.lex_state = 96, .external_lex_state = 5},
  [5038] = {.lex_state = 96, .external_lex_state = 2},
  [5039] = {.lex_state = 96, .external_lex_state = 2},
  [5040] = {.lex_state = 96, .external_lex_state = 5},
  [5041] = {.lex_state = 96, .external_lex_state = 5},
  [5042] = {.lex_state = 96, .external_lex_state = 5},
  [5043] = {.lex_state = 96, .external_lex_state = 2},
  [5044] = {.lex_state = 96, .external_lex_state = 5},
  [5045] = {.lex_state = 96, .external_lex_state = 5},
  [5046] = {.lex_state = 96, .external_lex_state = 5},
  [5047] = {.lex_state = 96, .external_lex_state = 5},
  [5048] = {.lex_state = 96, .external_lex_state = 5},
  [5049] = {.lex_state = 96, .external_lex_state = 5},
  [5050] = {.lex_state = 96, .external_lex_state = 5},
  [5051] = {.lex_state = 96, .external_lex_state = 2},
  [5052] = {.lex_state = 96, .external_lex_state = 5},
  [5053] = {.lex_state = 96, .external_lex_state = 5},
  [5054] = {.lex_state = 96, .external_lex_state = 2},
  [5055] = {.lex_state = 96, .external_lex_state = 5},
  [5056] = {.lex_state = 96, .external_lex_state = 5},
  [5057] = {.lex_state = 96, .external_lex_state = 5},
  [5058] = {.lex_state = 96, .external_lex_state = 5},
  [5059] = {.lex_state = 96, .external_lex_state = 5},
  [5060] = {.lex_state = 96, .external_lex_state = 5},
  [5061] = {.lex_state = 96, .external_lex_state = 5},
  [5062] = {.lex_state = 96, .external_lex_state = 5},
  [5063] = {.lex_state = 96, .external_lex_state = 5},
  [5064] = {.lex_state = 96, .external_lex_state = 5},
  [5065] = {.lex_state = 96, .external_lex_state = 5},
  [5066] = {.lex_state = 96, .external_lex_state = 5},
  [5067] = {.lex_state = 96, .external_lex_state = 5},
  [5068] = {.lex_state = 96, .external_lex_state = 5},
  [5069] = {.lex_state = 96, .external_lex_state = 5},
  [5070] = {.lex_state = 96, .external_lex_state = 5},
  [5071] = {.lex_state = 96, .external_lex_state = 5},
  [5072] = {.lex_state = 96, .external_lex_state = 5},
  [5073] = {.lex_state = 96, .external_lex_state = 5},
  [5074] = {.lex_state = 96, .external_lex_state = 5},
  [5075] = {.lex_state = 96, .external_lex_state = 5},
  [5076] = {.lex_state = 96, .external_lex_state = 5},
  [5077] = {.lex_state = 96, .external_lex_state = 5},
  [5078] = {.lex_state = 96, .external_lex_state = 5},
  [5079] = {.lex_state = 96, .external_lex_state = 5},
  [5080] = {.lex_state = 96, .external_lex_state = 5},
  [5081] = {.lex_state = 96, .external_lex_state = 5},
  [5082] = {.lex_state = 96, .external_lex_state = 5},
  [5083] = {.lex_state = 96, .external_lex_state = 5},
  [5084] = {.lex_state = 96, .external_lex_state = 5},
  [5085] = {.lex_state = 96, .external_lex_state = 5},
  [5086] = {.lex_state = 96, .external_lex_state = 2},
  [5087] = {.lex_state = 96, .external_lex_state = 5},
  [5088] = {.lex_state = 96, .external_lex_state = 5},
  [5089] = {.lex_state = 96, .external_lex_state = 5},
  [5090] = {.lex_state = 96, .external_lex_state = 5},
  [5091] = {.lex_state = 96, .external_lex_state = 2},
  [5092] = {.lex_state = 96, .external_lex_state = 5},
  [5093] = {.lex_state = 96, .external_lex_state = 5},
  [5094] = {.lex_state = 96, .external_lex_state = 5},
  [5095] = {.lex_state = 96, .external_lex_state = 5},
  [5096] = {.lex_state = 96, .external_lex_state = 2},
  [5097] = {.lex_state = 96, .external_lex_state = 5},
  [5098] = {.lex_state = 96, .external_lex_state = 5},
  [5099] = {.lex_state = 96, .external_lex_state = 5},
  [5100] = {.lex_state = 96, .external_lex_state = 5},
  [5101] = {.lex_state = 96, .external_lex_state = 5},
  [5102] = {.lex_state = 96, .external_lex_state = 5},
  [5103] = {.lex_state = 96, .external_lex_state = 5},
  [5104] = {.lex_state = 96, .external_lex_state = 5},
  [5105] = {.lex_state = 96, .external_lex_state = 2},
  [5106] = {.lex_state = 96, .external_lex_state = 5},
  [5107] = {.lex_state = 96, .external_lex_state = 5},
  [5108] = {.lex_state = 96, .external_lex_state = 2},
  [5109] = {.lex_state = 96, .external_lex_state = 5},
  [5110] = {.lex_state = 96, .external_lex_state = 2},
  [5111] = {.lex_state = 96, .external_lex_state = 5},
  [5112] = {.lex_state = 96, .external_lex_state = 2},
  [5113] = {.lex_state = 96, .external_lex_state = 5},
  [5114] = {.lex_state = 96, .external_lex_state = 2},
  [5115] = {.lex_state = 96, .external_lex_state = 2},
  [5116] = {.lex_state = 96, .external_lex_state = 5},
  [5117] = {.lex_state = 96, .external_lex_state = 5},
  [5118] = {.lex_state = 96, .external_lex_state = 5},
  [5119] = {.lex_state = 96, .external_lex_state = 5},
  [5120] = {.lex_state = 96, .external_lex_state = 2},
  [5121] = {.lex_state = 96, .external_lex_state = 2},
  [5122] = {.lex_state = 96, .external_lex_state = 2},
  [5123] = {.lex_state = 96, .external_lex_state = 2},
  [5124] = {.lex_state = 96, .external_lex_state = 5},
  [5125] = {.lex_state = 96, .external_lex_state = 5},
  [5126] = {.lex_state = 96, .external_lex_state = 2},
  [5127] = {.lex_state = 96, .external_lex_state = 5},
  [5128] = {.lex_state = 96, .external_lex_state = 5},
  [5129] = {.lex_state = 96, .external_lex_state = 2},
  [5130] = {.lex_state = 96, .external_lex_state = 5},
  [5131] = {.lex_state = 96, .external_lex_state = 5},
  [5132] = {.lex_state = 96, .external_lex_state = 5},
  [5133] = {.lex_state = 96, .external_lex_state = 2},
  [5134] = {.lex_state = 96, .external_lex_state = 5},
  [5135] = {.lex_state = 96, .external_lex_state = 5},
  [5136] = {.lex_state = 96, .external_lex_state = 5},
  [5137] = {.lex_state = 96, .external_lex_state = 5},
  [5138] = {.lex_state = 96, .external_lex_state = 5},
  [5139] = {.lex_state = 96, .external_lex_state = 5},
  [5140] = {.lex_state = 96, .external_lex_state = 5},
  [5141] = {.lex_state = 96, .external_lex_state = 5},
  [5142] = {.lex_state = 96, .external_lex_state = 5},
  [5143] = {.lex_state = 96, .external_lex_state = 5},
  [5144] = {.lex_state = 96, .external_lex_state = 5},
  [5145] = {.lex_state = 96, .external_lex_state = 5},
  [5146] = {.lex_state = 96, .external_lex_state = 5},
  [5147] = {.lex_state = 96, .external_lex_state = 5},
  [5148] = {.lex_state = 96, .external_lex_state = 5},
  [5149] = {.lex_state = 96, .external_lex_state = 5},
  [5150] = {.lex_state = 96, .external_lex_state = 5},
  [5151] = {.lex_state = 96, .external_lex_state = 5},
  [5152] = {.lex_state = 96, .external_lex_state = 5},
  [5153] = {.lex_state = 96, .external_lex_state = 5},
  [5154] = {.lex_state = 96, .external_lex_state = 5},
  [5155] = {.lex_state = 96, .external_lex_state = 5},
  [5156] = {.lex_state = 96, .external_lex_state = 5},
  [5157] = {.lex_state = 96, .external_lex_state = 5},
  [5158] = {.lex_state = 4, .external_lex_state = 2},
  [5159] = {.lex_state = 96, .external_lex_state = 5},
  [5160] = {.lex_state = 96, .external_lex_state = 5},
  [5161] = {.lex_state = 96, .external_lex_state = 5},
  [5162] = {.lex_state = 96, .external_lex_state = 5},
  [5163] = {.lex_state = 96, .external_lex_state = 5},
  [5164] = {.lex_state = 96, .external_lex_state = 5},
  [5165] = {.lex_state = 4, .external_lex_state = 2},
  [5166] = {.lex_state = 96, .external_lex_state = 5},
  [5167] = {.lex_state = 96, .external_lex_state = 5},
  [5168] = {.lex_state = 96, .external_lex_state = 5},
  [5169] = {.lex_state = 96, .external_lex_state = 5},
  [5170] = {.lex_state = 96, .external_lex_state = 2},
  [5171] = {.lex_state = 96, .external_lex_state = 5},
  [5172] = {.lex_state = 96, .external_lex_state = 2},
  [5173] = {.lex_state = 96, .external_lex_state = 2},
  [5174] = {.lex_state = 96, .external_lex_state = 5},
  [5175] = {.lex_state = 96, .external_lex_state = 5},
  [5176] = {.lex_state = 96, .external_lex_state = 5},
  [5177] = {.lex_state = 96, .external_lex_state = 2},
  [5178] = {.lex_state = 96, .external_lex_state = 5},
  [5179] = {.lex_state = 96, .external_lex_state = 5},
  [5180] = {.lex_state = 96, .external_lex_state = 5},
  [5181] = {.lex_state = 96, .external_lex_state = 2},
  [5182] = {.lex_state = 96, .external_lex_state = 5},
  [5183] = {.lex_state = 96, .external_lex_state = 2},
  [5184] = {.lex_state = 96, .external_lex_state = 5},
  [5185] = {.lex_state = 96, .external_lex_state = 5},
  [5186] = {.lex_state = 96, .external_lex_state = 5},
  [5187] = {.lex_state = 96, .external_lex_state = 5},
  [5188] = {.lex_state = 96, .external_lex_state = 5},
  [5189] = {.lex_state = 96, .external_lex_state = 5},
  [5190] = {.lex_state = 96, .external_lex_state = 2},
  [5191] = {.lex_state = 96, .external_lex_state = 2},
  [5192] = {.lex_state = 96, .external_lex_state = 5},
  [5193] = {.lex_state = 96, .external_lex_state = 2},
  [5194] = {.lex_state = 96, .external_lex_state = 5},
  [5195] = {.lex_state = 96, .external_lex_state = 5},
  [5196] = {.lex_state = 96, .external_lex_state = 2},
  [5197] = {.lex_state = 96, .external_lex_state = 2},
  [5198] = {.lex_state = 96, .external_lex_state = 2},
  [5199] = {.lex_state = 96, .external_lex_state = 5},
  [5200] = {.lex_state = 96, .external_lex_state = 5},
  [5201] = {.lex_state = 96, .external_lex_state = 2},
  [5202] = {.lex_state = 96, .external_lex_state = 2},
  [5203] = {.lex_state = 96, .external_lex_state = 5},
  [5204] = {.lex_state = 96, .external_lex_state = 5},
  [5205] = {.lex_state = 96, .external_lex_state = 5},
  [5206] = {.lex_state = 96, .external_lex_state = 5},
  [5207] = {.lex_state = 96, .external_lex_state = 5},
  [5208] = {.lex_state = 96, .external_lex_state = 2},
  [5209] = {.lex_state = 96, .external_lex_state = 2},
  [5210] = {.lex_state = 96, .external_lex_state = 5},
  [5211] = {.lex_state = 96, .external_lex_state = 5},
  [5212] = {.lex_state = 96, .external_lex_state = 5},
  [5213] = {.lex_state = 96, .external_lex_state = 5},
  [5214] = {.lex_state = 96, .external_lex_state = 5},
  [5215] = {.lex_state = 96, .external_lex_state = 5},
  [5216] = {.lex_state = 96, .external_lex_state = 5},
  [5217] = {.lex_state = 96, .external_lex_state = 5},
  [5218] = {.lex_state = 96, .external_lex_state = 5},
  [5219] = {.lex_state = 96, .external_lex_state = 5},
  [5220] = {.lex_state = 96, .external_lex_state = 5},
  [5221] = {.lex_state = 96, .external_lex_state = 2},
  [5222] = {.lex_state = 96, .external_lex_state = 5},
  [5223] = {.lex_state = 96, .external_lex_state = 5},
  [5224] = {.lex_state = 96, .external_lex_state = 2},
  [5225] = {.lex_state = 96, .external_lex_state = 5},
  [5226] = {.lex_state = 96, .external_lex_state = 5},
  [5227] = {.lex_state = 96, .external_lex_state = 2},
  [5228] = {.lex_state = 96, .external_lex_state = 5},
  [5229] = {.lex_state = 96, .external_lex_state = 5},
  [5230] = {.lex_state = 96, .external_lex_state = 5},
  [5231] = {.lex_state = 96, .external_lex_state = 5},
  [5232] = {.lex_state = 96, .external_lex_state = 5},
  [5233] = {.lex_state = 96, .external_lex_state = 5},
  [5234] = {.lex_state = 96, .external_lex_state = 5},
  [5235] = {.lex_state = 96, .external_lex_state = 5},
  [5236] = {.lex_state = 96, .external_lex_state = 5},
  [5237] = {.lex_state = 96, .external_lex_state = 5},
  [5238] = {.lex_state = 96, .external_lex_state = 5},
  [5239] = {.lex_state = 96, .external_lex_state = 5},
  [5240] = {.lex_state = 96, .external_lex_state = 2},
  [5241] = {.lex_state = 96, .external_lex_state = 5},
  [5242] = {.lex_state = 96, .external_lex_state = 5},
  [5243] = {.lex_state = 96, .external_lex_state = 5},
  [5244] = {.lex_state = 96, .external_lex_state = 5},
  [5245] = {.lex_state = 96, .external_lex_state = 5},
  [5246] = {.lex_state = 96, .external_lex_state = 5},
  [5247] = {.lex_state = 96, .external_lex_state = 2},
  [5248] = {.lex_state = 96, .external_lex_state = 5},
  [5249] = {.lex_state = 96, .external_lex_state = 5},
  [5250] = {.lex_state = 96, .external_lex_state = 2},
  [5251] = {.lex_state = 96, .external_lex_state = 5},
  [5252] = {.lex_state = 96, .external_lex_state = 2},
  [5253] = {.lex_state = 96, .external_lex_state = 5},
  [5254] = {.lex_state = 96, .external_lex_state = 2},
  [5255] = {.lex_state = 96, .external_lex_state = 5},
  [5256] = {.lex_state = 96, .external_lex_state = 2},
  [5257] = {.lex_state = 96, .external_lex_state = 5},
  [5258] = {.lex_state = 96, .external_lex_state = 5},
  [5259] = {.lex_state = 96, .external_lex_state = 5},
  [5260] = {.lex_state = 96, .external_lex_state = 5},
  [5261] = {.lex_state = 96, .external_lex_state = 5},
  [5262] = {.lex_state = 96, .external_lex_state = 5},
  [5263] = {.lex_state = 96, .external_lex_state = 2},
  [5264] = {.lex_state = 96, .external_lex_state = 5},
  [5265] = {.lex_state = 96, .external_lex_state = 5},
  [5266] = {.lex_state = 96, .external_lex_state = 5},
  [5267] = {.lex_state = 96, .external_lex_state = 5},
  [5268] = {.lex_state = 96, .external_lex_state = 5},
  [5269] = {.lex_state = 96, .external_lex_state = 5},
  [5270] = {.lex_state = 96, .external_lex_state = 5},
  [5271] = {.lex_state = 96, .external_lex_state = 5},
  [5272] = {.lex_state = 96, .external_lex_state = 5},
  [5273] = {.lex_state = 96, .external_lex_state = 5},
  [5274] = {.lex_state = 96, .external_lex_state = 5},
  [5275] = {.lex_state = 96, .external_lex_state = 5},
  [5276] = {.lex_state = 96, .external_lex_state = 5},
  [5277] = {.lex_state = 96, .external_lex_state = 5},
  [5278] = {.lex_state = 96, .external_lex_state = 5},
  [5279] = {.lex_state = 96, .external_lex_state = 5},
  [5280] = {.lex_state = 96, .external_lex_state = 5},
  [5281] = {.lex_state = 96, .external_lex_state = 5},
  [5282] = {.lex_state = 96, .external_lex_state = 5},
  [5283] = {.lex_state = 96, .external_lex_state = 5},
  [5284] = {.lex_state = 96, .external_lex_state = 5},
  [5285] = {.lex_state = 96, .external_lex_state = 5},
  [5286] = {.lex_state = 96, .external_lex_state = 5},
  [5287] = {.lex_state = 96, .external_lex_state = 5},
  [5288] = {.lex_state = 96, .external_lex_state = 5},
  [5289] = {.lex_state = 96, .external_lex_state = 5},
  [5290] = {.lex_state = 96, .external_lex_state = 5},
  [5291] = {.lex_state = 96, .external_lex_state = 5},
  [5292] = {.lex_state = 96, .external_lex_state = 5},
  [5293] = {.lex_state = 96, .external_lex_state = 5},
  [5294] = {.lex_state = 96, .external_lex_state = 5},
  [5295] = {.lex_state = 96, .external_lex_state = 5},
  [5296] = {.lex_state = 96, .external_lex_state = 5},
  [5297] = {.lex_state = 96, .external_lex_state = 5},
  [5298] = {.lex_state = 96, .external_lex_state = 5},
  [5299] = {.lex_state = 96, .external_lex_state = 5},
  [5300] = {.lex_state = 96, .external_lex_state = 5},
  [5301] = {.lex_state = 96, .external_lex_state = 5},
  [5302] = {.lex_state = 96, .external_lex_state = 5},
  [5303] = {.lex_state = 96, .external_lex_state = 5},
  [5304] = {.lex_state = 96, .external_lex_state = 5},
  [5305] = {.lex_state = 96, .external_lex_state = 5},
  [5306] = {.lex_state = 96, .external_lex_state = 5},
  [5307] = {.lex_state = 96, .external_lex_state = 5},
  [5308] = {.lex_state = 96, .external_lex_state = 5},
  [5309] = {.lex_state = 96, .external_lex_state = 5},
  [5310] = {.lex_state = 96, .external_lex_state = 5},
  [5311] = {.lex_state = 96, .external_lex_state = 5},
  [5312] = {.lex_state = 96, .external_lex_state = 5},
  [5313] = {.lex_state = 96, .external_lex_state = 5},
  [5314] = {.lex_state = 96, .external_lex_state = 5},
  [5315] = {.lex_state = 96, .external_lex_state = 5},
  [5316] = {.lex_state = 96, .external_lex_state = 5},
  [5317] = {.lex_state = 96, .external_lex_state = 5},
  [5318] = {.lex_state = 96, .external_lex_state = 5},
  [5319] = {.lex_state = 96, .external_lex_state = 5},
  [5320] = {.lex_state = 96, .external_lex_state = 5},
  [5321] = {.lex_state = 96, .external_lex_state = 5},
  [5322] = {.lex_state = 96, .external_lex_state = 5},
  [5323] = {.lex_state = 96, .external_lex_state = 5},
  [5324] = {.lex_state = 96, .external_lex_state = 5},
  [5325] = {.lex_state = 96, .external_lex_state = 5},
  [5326] = {.lex_state = 96, .external_lex_state = 5},
  [5327] = {.lex_state = 96, .external_lex_state = 5},
  [5328] = {.lex_state = 96, .external_lex_state = 5},
  [5329] = {.lex_state = 96, .external_lex_state = 5},
  [5330] = {.lex_state = 96, .external_lex_state = 5},
  [5331] = {.lex_state = 96, .external_lex_state = 5},
  [5332] = {.lex_state = 96, .external_lex_state = 5},
  [5333] = {.lex_state = 96, .external_lex_state = 5},
  [5334] = {.lex_state = 96, .external_lex_state = 5},
  [5335] = {.lex_state = 96, .external_lex_state = 5},
  [5336] = {.lex_state = 96, .external_lex_state = 5},
  [5337] = {.lex_state = 96, .external_lex_state = 5},
  [5338] = {.lex_state = 96, .external_lex_state = 5},
  [5339] = {.lex_state = 96, .external_lex_state = 5},
  [5340] = {.lex_state = 96, .external_lex_state = 5},
  [5341] = {.lex_state = 96, .external_lex_state = 5},
  [5342] = {.lex_state = 96, .external_lex_state = 5},
  [5343] = {.lex_state = 96, .external_lex_state = 5},
  [5344] = {.lex_state = 96, .external_lex_state = 5},
  [5345] = {.lex_state = 96, .external_lex_state = 5},
  [5346] = {.lex_state = 96, .external_lex_state = 5},
  [5347] = {.lex_state = 96, .external_lex_state = 5},
  [5348] = {.lex_state = 96, .external_lex_state = 5},
  [5349] = {.lex_state = 96, .external_lex_state = 5},
  [5350] = {.lex_state = 96, .external_lex_state = 5},
  [5351] = {.lex_state = 96, .external_lex_state = 5},
  [5352] = {.lex_state = 96, .external_lex_state = 5},
  [5353] = {.lex_state = 96, .external_lex_state = 5},
  [5354] = {.lex_state = 96, .external_lex_state = 5},
  [5355] = {.lex_state = 96, .external_lex_state = 5},
  [5356] = {.lex_state = 96, .external_lex_state = 5},
  [5357] = {.lex_state = 96, .external_lex_state = 5},
  [5358] = {.lex_state = 96, .external_lex_state = 5},
  [5359] = {.lex_state = 96, .external_lex_state = 5},
  [5360] = {.lex_state = 96, .external_lex_state = 5},
  [5361] = {.lex_state = 96, .external_lex_state = 5},
  [5362] = {.lex_state = 96, .external_lex_state = 5},
  [5363] = {.lex_state = 96, .external_lex_state = 5},
  [5364] = {.lex_state = 96, .external_lex_state = 5},
  [5365] = {.lex_state = 96, .external_lex_state = 5},
  [5366] = {.lex_state = 96, .external_lex_state = 5},
  [5367] = {.lex_state = 96, .external_lex_state = 5},
  [5368] = {.lex_state = 96, .external_lex_state = 5},
  [5369] = {.lex_state = 96, .external_lex_state = 5},
  [5370] = {.lex_state = 96, .external_lex_state = 5},
  [5371] = {.lex_state = 96, .external_lex_state = 5},
  [5372] = {.lex_state = 96, .external_lex_state = 5},
  [5373] = {.lex_state = 96, .external_lex_state = 5},
  [5374] = {.lex_state = 96, .external_lex_state = 5},
  [5375] = {.lex_state = 96, .external_lex_state = 5},
  [5376] = {.lex_state = 96, .external_lex_state = 5},
  [5377] = {.lex_state = 96, .external_lex_state = 5},
  [5378] = {.lex_state = 96, .external_lex_state = 5},
  [5379] = {.lex_state = 96, .external_lex_state = 5},
  [5380] = {.lex_state = 96, .external_lex_state = 5},
  [5381] = {.lex_state = 96, .external_lex_state = 5},
  [5382] = {.lex_state = 96, .external_lex_state = 5},
  [5383] = {.lex_state = 96, .external_lex_state = 5},
  [5384] = {.lex_state = 96, .external_lex_state = 5},
  [5385] = {.lex_state = 96, .external_lex_state = 5},
  [5386] = {.lex_state = 96, .external_lex_state = 5},
  [5387] = {.lex_state = 96, .external_lex_state = 5},
  [5388] = {.lex_state = 96, .external_lex_state = 5},
  [5389] = {.lex_state = 96, .external_lex_state = 5},
  [5390] = {.lex_state = 96, .external_lex_state = 5},
  [5391] = {.lex_state = 96, .external_lex_state = 5},
  [5392] = {.lex_state = 96, .external_lex_state = 5},
  [5393] = {.lex_state = 96, .external_lex_state = 5},
  [5394] = {.lex_state = 96, .external_lex_state = 5},
  [5395] = {.lex_state = 96, .external_lex_state = 5},
  [5396] = {.lex_state = 96, .external_lex_state = 5},
  [5397] = {.lex_state = 96, .external_lex_state = 2},
  [5398] = {.lex_state = 96, .external_lex_state = 5},
  [5399] = {.lex_state = 96, .external_lex_state = 5},
  [5400] = {.lex_state = 96, .external_lex_state = 5},
  [5401] = {.lex_state = 96, .external_lex_state = 5},
  [5402] = {.lex_state = 96, .external_lex_state = 5},
  [5403] = {.lex_state = 96, .external_lex_state = 5},
  [5404] = {.lex_state = 96, .external_lex_state = 5},
  [5405] = {.lex_state = 96, .external_lex_state = 5},
  [5406] = {.lex_state = 96, .external_lex_state = 2},
  [5407] = {.lex_state = 96, .external_lex_state = 5},
  [5408] = {.lex_state = 96, .external_lex_state = 5},
  [5409] = {.lex_state = 96, .external_lex_state = 5},
  [5410] = {.lex_state = 96, .external_lex_state = 5},
  [5411] = {.lex_state = 96, .external_lex_state = 5},
  [5412] = {.lex_state = 96, .external_lex_state = 5},
  [5413] = {.lex_state = 96, .external_lex_state = 5},
  [5414] = {.lex_state = 96, .external_lex_state = 2},
  [5415] = {.lex_state = 96, .external_lex_state = 5},
  [5416] = {.lex_state = 96, .external_lex_state = 5},
  [5417] = {.lex_state = 96, .external_lex_state = 5},
  [5418] = {.lex_state = 96, .external_lex_state = 5},
  [5419] = {.lex_state = 96, .external_lex_state = 5},
  [5420] = {.lex_state = 96, .external_lex_state = 5},
  [5421] = {.lex_state = 4, .external_lex_state = 2},
  [5422] = {.lex_state = 96, .external_lex_state = 2},
  [5423] = {.lex_state = 96, .external_lex_state = 5},
  [5424] = {.lex_state = 96, .external_lex_state = 5},
  [5425] = {.lex_state = 4, .external_lex_state = 2},
  [5426] = {.lex_state = 96, .external_lex_state = 5},
  [5427] = {.lex_state = 96, .external_lex_state = 5},
  [5428] = {.lex_state = 96, .external_lex_state = 5},
  [5429] = {.lex_state = 96, .external_lex_state = 5},
  [5430] = {.lex_state = 96, .external_lex_state = 2},
  [5431] = {.lex_state = 96, .external_lex_state = 5},
  [5432] = {.lex_state = 96, .external_lex_state = 5},
  [5433] = {.lex_state = 96, .external_lex_state = 5},
  [5434] = {.lex_state = 96, .external_lex_state = 5},
  [5435] = {.lex_state = 96, .external_lex_state = 5},
  [5436] = {.lex_state = 96, .external_lex_state = 5},
  [5437] = {.lex_state = 96, .external_lex_state = 5},
  [5438] = {.lex_state = 96, .external_lex_state = 5},
  [5439] = {.lex_state = 96, .external_lex_state = 5},
  [5440] = {.lex_state = 96, .external_lex_state = 5},
  [5441] = {.lex_state = 96, .external_lex_state = 5},
  [5442] = {.lex_state = 96, .external_lex_state = 5},
  [5443] = {.lex_state = 96, .external_lex_state = 5},
  [5444] = {.lex_state = 96, .external_lex_state = 5},
  [5445] = {.lex_state = 96, .external_lex_state = 5},
  [5446] = {.lex_state = 96, .external_lex_state = 5},
  [5447] = {.lex_state = 96, .external_lex_state = 5},
  [5448] = {.lex_state = 96, .external_lex_state = 5},
  [5449] = {.lex_state = 96, .external_lex_state = 2},
  [5450] = {.lex_state = 96, .external_lex_state = 5},
  [5451] = {.lex_state = 96, .external_lex_state = 5},
  [5452] = {.lex_state = 96, .external_lex_state = 5},
  [5453] = {.lex_state = 96, .external_lex_state = 5},
  [5454] = {.lex_state = 96, .external_lex_state = 2},
  [5455] = {.lex_state = 96, .external_lex_state = 5},
  [5456] = {.lex_state = 96, .external_lex_state = 5},
  [5457] = {.lex_state = 96, .external_lex_state = 5},
  [5458] = {.lex_state = 96, .external_lex_state = 5},
  [5459] = {.lex_state = 96, .external_lex_state = 2},
  [5460] = {.lex_state = 96, .external_lex_state = 5},
  [5461] = {.lex_state = 96, .external_lex_state = 5},
  [5462] = {.lex_state = 96, .external_lex_state = 2},
  [5463] = {.lex_state = 96, .external_lex_state = 5},
  [5464] = {.lex_state = 96, .external_lex_state = 5},
  [5465] = {.lex_state = 96, .external_lex_state = 5},
  [5466] = {.lex_state = 96, .external_lex_state = 5},
  [5467] = {.lex_state = 96, .external_lex_state = 5},
  [5468] = {.lex_state = 96, .external_lex_state = 5},
  [5469] = {.lex_state = 96, .external_lex_state = 5},
  [5470] = {.lex_state = 96, .external_lex_state = 5},
  [5471] = {.lex_state = 96, .external_lex_state = 5},
  [5472] = {.lex_state = 96, .external_lex_state = 5},
  [5473] = {.lex_state = 96, .external_lex_state = 5},
  [5474] = {.lex_state = 96, .external_lex_state = 5},
  [5475] = {.lex_state = 96, .external_lex_state = 5},
  [5476] = {.lex_state = 96, .external_lex_state = 5},
  [5477] = {.lex_state = 96, .external_lex_state = 5},
  [5478] = {.lex_state = 96, .external_lex_state = 5},
  [5479] = {.lex_state = 96, .external_lex_state = 5},
  [5480] = {.lex_state = 96, .external_lex_state = 5},
  [5481] = {.lex_state = 96, .external_lex_state = 5},
  [5482] = {.lex_state = 96, .external_lex_state = 5},
  [5483] = {.lex_state = 96, .external_lex_state = 2},
  [5484] = {.lex_state = 96, .external_lex_state = 5},
  [5485] = {.lex_state = 96, .external_lex_state = 5},
  [5486] = {.lex_state = 96, .external_lex_state = 5},
  [5487] = {.lex_state = 96, .external_lex_state = 5},
  [5488] = {.lex_state = 96, .external_lex_state = 5},
  [5489] = {.lex_state = 96, .external_lex_state = 5},
  [5490] = {.lex_state = 96, .external_lex_state = 5},
  [5491] = {.lex_state = 96, .external_lex_state = 5},
  [5492] = {.lex_state = 96, .external_lex_state = 5},
  [5493] = {.lex_state = 96, .external_lex_state = 5},
  [5494] = {.lex_state = 96, .external_lex_state = 5},
  [5495] = {.lex_state = 96, .external_lex_state = 5},
  [5496] = {.lex_state = 96, .external_lex_state = 5},
  [5497] = {.lex_state = 96, .external_lex_state = 5},
  [5498] = {.lex_state = 96, .external_lex_state = 2},
  [5499] = {.lex_state = 96, .external_lex_state = 5},
  [5500] = {.lex_state = 96, .external_lex_state = 5},
  [5501] = {.lex_state = 96, .external_lex_state = 5},
  [5502] = {.lex_state = 96, .external_lex_state = 5},
  [5503] = {.lex_state = 96, .external_lex_state = 5},
  [5504] = {.lex_state = 96, .external_lex_state = 5},
  [5505] = {.lex_state = 96, .external_lex_state = 5},
  [5506] = {.lex_state = 96, .external_lex_state = 5},
  [5507] = {.lex_state = 96, .external_lex_state = 2},
  [5508] = {.lex_state = 96, .external_lex_state = 5},
  [5509] = {.lex_state = 96, .external_lex_state = 5},
  [5510] = {.lex_state = 96, .external_lex_state = 5},
  [5511] = {.lex_state = 96, .external_lex_state = 5},
  [5512] = {.lex_state = 96, .external_lex_state = 2},
  [5513] = {.lex_state = 96, .external_lex_state = 2},
  [5514] = {.lex_state = 96, .external_lex_state = 5},
  [5515] = {.lex_state = 96, .external_lex_state = 5},
  [5516] = {.lex_state = 96, .external_lex_state = 5},
  [5517] = {.lex_state = 96, .external_lex_state = 5},
  [5518] = {.lex_state = 96, .external_lex_state = 2},
  [5519] = {.lex_state = 96, .external_lex_state = 5},
  [5520] = {.lex_state = 96, .external_lex_state = 5},
  [5521] = {.lex_state = 96, .external_lex_state = 5},
  [5522] = {.lex_state = 96, .external_lex_state = 5},
  [5523] = {.lex_state = 96, .external_lex_state = 5},
  [5524] = {.lex_state = 96, .external_lex_state = 5},
  [5525] = {.lex_state = 96, .external_lex_state = 5},
  [5526] = {.lex_state = 96, .external_lex_state = 5},
  [5527] = {.lex_state = 96, .external_lex_state = 5},
  [5528] = {.lex_state = 96, .external_lex_state = 5},
  [5529] = {.lex_state = 96, .external_lex_state = 5},
  [5530] = {.lex_state = 18, .external_lex_state = 8},
  [5531] = {.lex_state = 96, .external_lex_state = 5},
  [5532] = {.lex_state = 96, .external_lex_state = 5},
  [5533] = {.lex_state = 96, .external_lex_state = 5},
  [5534] = {.lex_state = 96, .external_lex_state = 2},
  [5535] = {.lex_state = 96, .external_lex_state = 2},
  [5536] = {.lex_state = 96, .external_lex_state = 5},
  [5537] = {.lex_state = 96, .external_lex_state = 5},
  [5538] = {.lex_state = 96, .external_lex_state = 2},
  [5539] = {.lex_state = 96, .external_lex_state = 5},
  [5540] = {.lex_state = 96, .external_lex_state = 5},
  [5541] = {.lex_state = 96, .external_lex_state = 2},
  [5542] = {.lex_state = 96, .external_lex_state = 5},
  [5543] = {.lex_state = 96, .external_lex_state = 5},
  [5544] = {.lex_state = 96, .external_lex_state = 5},
  [5545] = {.lex_state = 96, .external_lex_state = 5},
  [5546] = {.lex_state = 96, .external_lex_state = 5},
  [5547] = {.lex_state = 96, .external_lex_state = 5},
  [5548] = {.lex_state = 4, .external_lex_state = 2},
  [5549] = {.lex_state = 96, .external_lex_state = 5},
  [5550] = {.lex_state = 96, .external_lex_state = 2},
  [5551] = {.lex_state = 96, .external_lex_state = 2},
  [5552] = {.lex_state = 96, .external_lex_state = 2},
  [5553] = {.lex_state = 96, .external_lex_state = 2},
  [5554] = {.lex_state = 96, .external_lex_state = 5},
  [5555] = {.lex_state = 96, .external_lex_state = 5},
  [5556] = {.lex_state = 96, .external_lex_state = 5},
  [5557] = {.lex_state = 96, .external_lex_state = 5},
  [5558] = {.lex_state = 96, .external_lex_state = 5},
  [5559] = {.lex_state = 1, .external_lex_state = 2},
  [5560] = {.lex_state = 96, .external_lex_state = 5},
  [5561] = {.lex_state = 96, .external_lex_state = 5},
  [5562] = {.lex_state = 96, .external_lex_state = 5},
  [5563] = {.lex_state = 96, .external_lex_state = 5},
  [5564] = {.lex_state = 96, .external_lex_state = 5},
  [5565] = {.lex_state = 96, .external_lex_state = 5},
  [5566] = {.lex_state = 96, .external_lex_state = 5},
  [5567] = {.lex_state = 96, .external_lex_state = 5},
  [5568] = {.lex_state = 96, .external_lex_state = 5},
  [5569] = {.lex_state = 96, .external_lex_state = 5},
  [5570] = {.lex_state = 96, .external_lex_state = 5},
  [5571] = {.lex_state = 96, .external_lex_state = 5},
  [5572] = {.lex_state = 96, .external_lex_state = 2},
  [5573] = {.lex_state = 96, .external_lex_state = 5},
  [5574] = {.lex_state = 96, .external_lex_state = 5},
  [5575] = {.lex_state = 96, .external_lex_state = 5},
  [5576] = {.lex_state = 96, .external_lex_state = 5},
  [5577] = {.lex_state = 96, .external_lex_state = 5},
  [5578] = {.lex_state = 96, .external_lex_state = 5},
  [5579] = {.lex_state = 96, .external_lex_state = 5},
  [5580] = {.lex_state = 96, .external_lex_state = 5},
  [5581] = {.lex_state = 96, .external_lex_state = 5},
  [5582] = {.lex_state = 96, .external_lex_state = 2},
  [5583] = {.lex_state = 96, .external_lex_state = 5},
  [5584] = {.lex_state = 96, .external_lex_state = 5},
  [5585] = {.lex_state = 96, .external_lex_state = 5},
  [5586] = {.lex_state = 1, .external_lex_state = 2},
  [5587] = {.lex_state = 96, .external_lex_state = 5},
  [5588] = {.lex_state = 96, .external_lex_state = 5},
  [5589] = {.lex_state = 96, .external_lex_state = 5},
  [5590] = {.lex_state = 96, .external_lex_state = 5},
  [5591] = {.lex_state = 96, .external_lex_state = 5},
  [5592] = {.lex_state = 96, .external_lex_state = 2},
  [5593] = {.lex_state = 96, .external_lex_state = 5},
  [5594] = {.lex_state = 96, .external_lex_state = 2},
  [5595] = {.lex_state = 96, .external_lex_state = 2},
  [5596] = {.lex_state = 96, .external_lex_state = 2},
  [5597] = {.lex_state = 96, .external_lex_state = 5},
  [5598] = {.lex_state = 96, .external_lex_state = 2},
  [5599] = {.lex_state = 96, .external_lex_state = 2},
  [5600] = {.lex_state = 96, .external_lex_state = 5},
  [5601] = {.lex_state = 96, .external_lex_state = 5},
  [5602] = {.lex_state = 96, .external_lex_state = 5},
  [5603] = {.lex_state = 96, .external_lex_state = 2},
  [5604] = {.lex_state = 96, .external_lex_state = 5},
  [5605] = {.lex_state = 96, .external_lex_state = 5},
  [5606] = {.lex_state = 96, .external_lex_state = 5},
  [5607] = {.lex_state = 96, .external_lex_state = 5},
  [5608] = {.lex_state = 96, .external_lex_state = 2},
  [5609] = {.lex_state = 96, .external_lex_state = 2},
  [5610] = {.lex_state = 96, .external_lex_state = 5},
  [5611] = {.lex_state = 96, .external_lex_state = 5},
  [5612] = {.lex_state = 96, .external_lex_state = 5},
  [5613] = {.lex_state = 96, .external_lex_state = 5},
  [5614] = {.lex_state = 96, .external_lex_state = 2},
  [5615] = {.lex_state = 96, .external_lex_state = 5},
  [5616] = {.lex_state = 96, .external_lex_state = 2},
  [5617] = {.lex_state = 96, .external_lex_state = 2},
  [5618] = {.lex_state = 96, .external_lex_state = 5},
  [5619] = {.lex_state = 96, .external_lex_state = 5},
  [5620] = {.lex_state = 96, .external_lex_state = 2},
  [5621] = {.lex_state = 96, .external_lex_state = 2},
  [5622] = {.lex_state = 96, .external_lex_state = 2},
  [5623] = {.lex_state = 96, .external_lex_state = 5},
  [5624] = {.lex_state = 96, .external_lex_state = 2},
  [5625] = {.lex_state = 96, .external_lex_state = 5},
  [5626] = {.lex_state = 96, .external_lex_state = 2},
  [5627] = {.lex_state = 96, .external_lex_state = 5},
  [5628] = {.lex_state = 96, .external_lex_state = 2},
  [5629] = {.lex_state = 96, .external_lex_state = 2},
  [5630] = {.lex_state = 14, .external_lex_state = 2},
  [5631] = {.lex_state = 96, .external_lex_state = 5},
  [5632] = {.lex_state = 96, .external_lex_state = 5},
  [5633] = {.lex_state = 96, .external_lex_state = 2},
  [5634] = {.lex_state = 96, .external_lex_state = 5},
  [5635] = {.lex_state = 96, .external_lex_state = 2},
  [5636] = {.lex_state = 96, .external_lex_state = 2},
  [5637] = {.lex_state = 96, .external_lex_state = 5},
  [5638] = {.lex_state = 96, .external_lex_state = 5},
  [5639] = {.lex_state = 96, .external_lex_state = 5},
  [5640] = {.lex_state = 4, .external_lex_state = 2},
  [5641] = {.lex_state = 96, .external_lex_state = 5},
  [5642] = {.lex_state = 96, .external_lex_state = 5},
  [5643] = {.lex_state = 96, .external_lex_state = 5},
  [5644] = {.lex_state = 96, .external_lex_state = 2},
  [5645] = {.lex_state = 96, .external_lex_state = 5},
  [5646] = {.lex_state = 96, .external_lex_state = 2},
  [5647] = {.lex_state = 96, .external_lex_state = 5},
  [5648] = {.lex_state = 96, .external_lex_state = 5},
  [5649] = {.lex_state = 96, .external_lex_state = 5},
  [5650] = {.lex_state = 96, .external_lex_state = 2},
  [5651] = {.lex_state = 96, .external_lex_state = 5},
  [5652] = {.lex_state = 96, .external_lex_state = 5},
  [5653] = {.lex_state = 96, .external_lex_state = 5},
  [5654] = {.lex_state = 96, .external_lex_state = 5},
  [5655] = {.lex_state = 96, .external_lex_state = 2},
  [5656] = {.lex_state = 96, .external_lex_state = 5},
  [5657] = {.lex_state = 96, .external_lex_state = 2},
  [5658] = {.lex_state = 96, .external_lex_state = 2},
  [5659] = {.lex_state = 96, .external_lex_state = 5},
  [5660] = {.lex_state = 96, .external_lex_state = 2},
  [5661] = {.lex_state = 96, .external_lex_state = 2},
  [5662] = {.lex_state = 1, .external_lex_state = 2},
  [5663] = {.lex_state = 96, .external_lex_state = 2},
  [5664] = {.lex_state = 96, .external_lex_state = 5},
  [5665] = {.lex_state = 96, .external_lex_state = 5},
  [5666] = {.lex_state = 96, .external_lex_state = 5},
  [5667] = {.lex_state = 96, .external_lex_state = 5},
  [5668] = {.lex_state = 96, .external_lex_state = 5},
  [5669] = {.lex_state = 96, .external_lex_state = 5},
  [5670] = {.lex_state = 96, .external_lex_state = 5},
  [5671] = {.lex_state = 96, .external_lex_state = 2},
  [5672] = {.lex_state = 96, .external_lex_state = 5},
  [5673] = {.lex_state = 96, .external_lex_state = 5},
  [5674] = {.lex_state = 96, .external_lex_state = 2},
  [5675] = {.lex_state = 96, .external_lex_state = 5},
  [5676] = {.lex_state = 96, .external_lex_state = 2},
  [5677] = {.lex_state = 96, .external_lex_state = 5},
  [5678] = {.lex_state = 96, .external_lex_state = 5},
  [5679] = {.lex_state = 96, .external_lex_state = 5},
  [5680] = {.lex_state = 96, .external_lex_state = 5},
  [5681] = {.lex_state = 96, .external_lex_state = 5},
  [5682] = {.lex_state = 96, .external_lex_state = 5},
  [5683] = {.lex_state = 96, .external_lex_state = 5},
  [5684] = {.lex_state = 1, .external_lex_state = 2},
  [5685] = {.lex_state = 96, .external_lex_state = 5},
  [5686] = {.lex_state = 4, .external_lex_state = 2},
  [5687] = {.lex_state = 96, .external_lex_state = 5},
  [5688] = {.lex_state = 96, .external_lex_state = 2},
  [5689] = {.lex_state = 96, .external_lex_state = 2},
  [5690] = {.lex_state = 96, .external_lex_state = 2},
  [5691] = {.lex_state = 96, .external_lex_state = 2},
  [5692] = {.lex_state = 96, .external_lex_state = 5},
  [5693] = {.lex_state = 96, .external_lex_state = 5},
  [5694] = {.lex_state = 96, .external_lex_state = 2},
  [5695] = {.lex_state = 96, .external_lex_state = 2},
  [5696] = {.lex_state = 96, .external_lex_state = 5},
  [5697] = {.lex_state = 96, .external_lex_state = 2},
  [5698] = {.lex_state = 96, .external_lex_state = 5},
  [5699] = {.lex_state = 96, .external_lex_state = 5},
  [5700] = {.lex_state = 96, .external_lex_state = 5},
  [5701] = {.lex_state = 96, .external_lex_state = 5},
  [5702] = {.lex_state = 96, .external_lex_state = 5},
  [5703] = {.lex_state = 96, .external_lex_state = 2},
  [5704] = {.lex_state = 96, .external_lex_state = 2},
  [5705] = {.lex_state = 96, .external_lex_state = 2},
  [5706] = {.lex_state = 96, .external_lex_state = 5},
  [5707] = {.lex_state = 96, .external_lex_state = 2},
  [5708] = {.lex_state = 4, .external_lex_state = 2},
  [5709] = {.lex_state = 96, .external_lex_state = 2},
  [5710] = {.lex_state = 96, .external_lex_state = 5},
  [5711] = {.lex_state = 96, .external_lex_state = 2},
  [5712] = {.lex_state = 96, .external_lex_state = 5},
  [5713] = {.lex_state = 96, .external_lex_state = 5},
  [5714] = {.lex_state = 96, .external_lex_state = 5},
  [5715] = {.lex_state = 96, .external_lex_state = 2},
  [5716] = {.lex_state = 96, .external_lex_state = 2},
  [5717] = {.lex_state = 1, .external_lex_state = 2},
  [5718] = {.lex_state = 96, .external_lex_state = 2},
  [5719] = {.lex_state = 96, .external_lex_state = 5},
  [5720] = {.lex_state = 96, .external_lex_state = 5},
  [5721] = {.lex_state = 96, .external_lex_state = 5},
  [5722] = {.lex_state = 96, .external_lex_state = 2},
  [5723] = {.lex_state = 96, .external_lex_state = 5},
  [5724] = {.lex_state = 96, .external_lex_state = 2},
  [5725] = {.lex_state = 96, .external_lex_state = 2},
  [5726] = {.lex_state = 96, .external_lex_state = 5},
  [5727] = {.lex_state = 96, .external_lex_state = 5},
  [5728] = {.lex_state = 96, .external_lex_state = 5},
  [5729] = {.lex_state = 96, .external_lex_state = 5},
  [5730] = {.lex_state = 96, .external_lex_state = 5},
  [5731] = {.lex_state = 96, .external_lex_state = 5},
  [5732] = {.lex_state = 96, .external_lex_state = 2},
  [5733] = {.lex_state = 96, .external_lex_state = 5},
  [5734] = {.lex_state = 96, .external_lex_state = 5},
  [5735] = {.lex_state = 96, .external_lex_state = 5},
  [5736] = {.lex_state = 96, .external_lex_state = 5},
  [5737] = {.lex_state = 96, .external_lex_state = 5},
  [5738] = {.lex_state = 96, .external_lex_state = 5},
  [5739] = {.lex_state = 96, .external_lex_state = 5},
  [5740] = {.lex_state = 96, .external_lex_state = 5},
  [5741] = {.lex_state = 96, .external_lex_state = 2},
  [5742] = {.lex_state = 96, .external_lex_state = 2},
  [5743] = {.lex_state = 96, .external_lex_state = 5},
  [5744] = {.lex_state = 96, .external_lex_state = 5},
  [5745] = {.lex_state = 96, .external_lex_state = 2},
  [5746] = {.lex_state = 96, .external_lex_state = 5},
  [5747] = {.lex_state = 96, .external_lex_state = 2},
  [5748] = {.lex_state = 96, .external_lex_state = 2},
  [5749] = {.lex_state = 96, .external_lex_state = 5},
  [5750] = {.lex_state = 96, .external_lex_state = 5},
  [5751] = {.lex_state = 96, .external_lex_state = 2},
  [5752] = {.lex_state = 96, .external_lex_state = 5},
  [5753] = {.lex_state = 96, .external_lex_state = 5},
  [5754] = {.lex_state = 96, .external_lex_state = 5},
  [5755] = {.lex_state = 96, .external_lex_state = 5},
  [5756] = {.lex_state = 96, .external_lex_state = 5},
  [5757] = {.lex_state = 4, .external_lex_state = 2},
  [5758] = {.lex_state = 96, .external_lex_state = 2},
  [5759] = {.lex_state = 96, .external_lex_state = 5},
  [5760] = {.lex_state = 96, .external_lex_state = 2},
  [5761] = {.lex_state = 96, .external_lex_state = 2},
  [5762] = {.lex_state = 96, .external_lex_state = 2},
  [5763] = {.lex_state = 96, .external_lex_state = 2},
  [5764] = {.lex_state = 96, .external_lex_state = 2},
  [5765] = {.lex_state = 96, .external_lex_state = 2},
  [5766] = {.lex_state = 96, .external_lex_state = 2},
  [5767] = {.lex_state = 96, .external_lex_state = 2},
  [5768] = {.lex_state = 96, .external_lex_state = 2},
  [5769] = {.lex_state = 96, .external_lex_state = 2},
  [5770] = {.lex_state = 96, .external_lex_state = 5},
  [5771] = {.lex_state = 96, .external_lex_state = 2},
  [5772] = {.lex_state = 96, .external_lex_state = 2},
  [5773] = {.lex_state = 96, .external_lex_state = 5},
  [5774] = {.lex_state = 96, .external_lex_state = 2},
  [5775] = {.lex_state = 96, .external_lex_state = 2},
  [5776] = {.lex_state = 96, .external_lex_state = 2},
  [5777] = {.lex_state = 96, .external_lex_state = 2},
  [5778] = {.lex_state = 96, .external_lex_state = 2},
  [5779] = {.lex_state = 96, .external_lex_state = 2},
  [5780] = {.lex_state = 96, .external_lex_state = 2},
  [5781] = {.lex_state = 96, .external_lex_state = 2},
  [5782] = {.lex_state = 96, .external_lex_state = 2},
  [5783] = {.lex_state = 96, .external_lex_state = 2},
  [5784] = {.lex_state = 96, .external_lex_state = 2},
  [5785] = {.lex_state = 96, .external_lex_state = 2},
  [5786] = {.lex_state = 96, .external_lex_state = 2},
  [5787] = {.lex_state = 96, .external_lex_state = 2},
  [5788] = {.lex_state = 96, .external_lex_state = 2},
  [5789] = {.lex_state = 96, .external_lex_state = 2},
  [5790] = {.lex_state = 96, .external_lex_state = 2},
  [5791] = {.lex_state = 96, .external_lex_state = 5},
  [5792] = {.lex_state = 96, .external_lex_state = 2},
  [5793] = {.lex_state = 96, .external_lex_state = 2},
  [5794] = {.lex_state = 96, .external_lex_state = 2},
  [5795] = {.lex_state = 96, .external_lex_state = 5},
  [5796] = {.lex_state = 96, .external_lex_state = 2},
  [5797] = {.lex_state = 96, .external_lex_state = 2},
  [5798] = {.lex_state = 96, .external_lex_state = 2},
  [5799] = {.lex_state = 96, .external_lex_state = 2},
  [5800] = {.lex_state = 96, .external_lex_state = 2},
  [5801] = {.lex_state = 96, .external_lex_state = 2},
  [5802] = {.lex_state = 96, .external_lex_state = 2},
  [5803] = {.lex_state = 96, .external_lex_state = 2},
  [5804] = {.lex_state = 96, .external_lex_state = 2},
  [5805] = {.lex_state = 96, .external_lex_state = 2},
  [5806] = {.lex_state = 96, .external_lex_state = 2},
  [5807] = {.lex_state = 96, .external_lex_state = 2},
  [5808] = {.lex_state = 96, .external_lex_state = 2},
  [5809] = {.lex_state = 96, .external_lex_state = 2},
  [5810] = {.lex_state = 96, .external_lex_state = 2},
  [5811] = {.lex_state = 96, .external_lex_state = 2},
  [5812] = {.lex_state = 96, .external_lex_state = 2},
  [5813] = {.lex_state = 96, .external_lex_state = 2},
  [5814] = {.lex_state = 96, .external_lex_state = 2},
  [5815] = {.lex_state = 96, .external_lex_state = 2},
  [5816] = {.lex_state = 96, .external_lex_state = 2},
  [5817] = {.lex_state = 96, .external_lex_state = 2},
  [5818] = {.lex_state = 96, .external_lex_state = 2},
  [5819] = {.lex_state = 96, .external_lex_state = 2},
  [5820] = {.lex_state = 96, .external_lex_state = 2},
  [5821] = {.lex_state = 96, .external_lex_state = 5},
  [5822] = {.lex_state = 96, .external_lex_state = 2},
  [5823] = {.lex_state = 96, .external_lex_state = 2},
  [5824] = {.lex_state = 96, .external_lex_state = 2},
  [5825] = {.lex_state = 96, .external_lex_state = 5},
  [5826] = {.lex_state = 96, .external_lex_state = 2},
  [5827] = {.lex_state = 96, .external_lex_state = 2},
  [5828] = {.lex_state = 96, .external_lex_state = 2},
  [5829] = {.lex_state = 96, .external_lex_state = 2},
  [5830] = {.lex_state = 96, .external_lex_state = 2},
  [5831] = {.lex_state = 96, .external_lex_state = 2},
  [5832] = {.lex_state = 96, .external_lex_state = 2},
  [5833] = {.lex_state = 96, .external_lex_state = 2},
  [5834] = {.lex_state = 96, .external_lex_state = 2},
  [5835] = {.lex_state = 96, .external_lex_state = 5},
  [5836] = {.lex_state = 96, .external_lex_state = 2},
  [5837] = {.lex_state = 96, .external_lex_state = 2},
  [5838] = {.lex_state = 96, .external_lex_state = 2},
  [5839] = {.lex_state = 96, .external_lex_state = 2},
  [5840] = {.lex_state = 96, .external_lex_state = 2},
  [5841] = {.lex_state = 96, .external_lex_state = 2},
  [5842] = {.lex_state = 96, .external_lex_state = 5},
  [5843] = {.lex_state = 96, .external_lex_state = 2},
  [5844] = {.lex_state = 96, .external_lex_state = 5},
  [5845] = {.lex_state = 96, .external_lex_state = 2},
  [5846] = {.lex_state = 96, .external_lex_state = 5},
  [5847] = {.lex_state = 96, .external_lex_state = 2},
  [5848] = {.lex_state = 96, .external_lex_state = 2},
  [5849] = {.lex_state = 96, .external_lex_state = 2},
  [5850] = {.lex_state = 96, .external_lex_state = 2},
  [5851] = {.lex_state = 96, .external_lex_state = 5},
  [5852] = {.lex_state = 96, .external_lex_state = 2},
  [5853] = {.lex_state = 96, .external_lex_state = 2},
  [5854] = {.lex_state = 96, .external_lex_state = 2},
  [5855] = {.lex_state = 96, .external_lex_state = 2},
  [5856] = {.lex_state = 96, .external_lex_state = 2},
  [5857] = {.lex_state = 96, .external_lex_state = 2},
  [5858] = {.lex_state = 96, .external_lex_state = 2},
  [5859] = {.lex_state = 96, .external_lex_state = 2},
  [5860] = {.lex_state = 96, .external_lex_state = 2},
  [5861] = {.lex_state = 96, .external_lex_state = 5},
  [5862] = {.lex_state = 96, .external_lex_state = 2},
  [5863] = {.lex_state = 96, .external_lex_state = 2},
  [5864] = {.lex_state = 96, .external_lex_state = 5},
  [5865] = {.lex_state = 96, .external_lex_state = 2},
  [5866] = {.lex_state = 96, .external_lex_state = 5},
  [5867] = {.lex_state = 96, .external_lex_state = 2},
  [5868] = {.lex_state = 96, .external_lex_state = 2},
  [5869] = {.lex_state = 96, .external_lex_state = 2},
  [5870] = {.lex_state = 96, .external_lex_state = 2},
  [5871] = {.lex_state = 96, .external_lex_state = 2},
  [5872] = {.lex_state = 96, .external_lex_state = 2},
  [5873] = {.lex_state = 96, .external_lex_state = 2},
  [5874] = {.lex_state = 96, .external_lex_state = 2},
  [5875] = {.lex_state = 96, .external_lex_state = 2},
  [5876] = {.lex_state = 96, .external_lex_state = 2},
  [5877] = {.lex_state = 96, .external_lex_state = 2},
  [5878] = {.lex_state = 96, .external_lex_state = 2},
  [5879] = {.lex_state = 96, .external_lex_state = 2},
  [5880] = {.lex_state = 96, .external_lex_state = 2},
  [5881] = {.lex_state = 96, .external_lex_state = 5},
  [5882] = {.lex_state = 96, .external_lex_state = 2},
  [5883] = {.lex_state = 96, .external_lex_state = 2},
  [5884] = {.lex_state = 96, .external_lex_state = 2},
  [5885] = {.lex_state = 96, .external_lex_state = 5},
  [5886] = {.lex_state = 96, .external_lex_state = 2},
  [5887] = {.lex_state = 96, .external_lex_state = 2},
  [5888] = {.lex_state = 96, .external_lex_state = 2},
  [5889] = {.lex_state = 96, .external_lex_state = 2},
  [5890] = {.lex_state = 96, .external_lex_state = 2},
  [5891] = {.lex_state = 96, .external_lex_state = 2},
  [5892] = {.lex_state = 96, .external_lex_state = 2},
  [5893] = {.lex_state = 96, .external_lex_state = 2},
  [5894] = {.lex_state = 96, .external_lex_state = 2},
  [5895] = {.lex_state = 96, .external_lex_state = 2},
  [5896] = {.lex_state = 96, .external_lex_state = 2},
  [5897] = {.lex_state = 96, .external_lex_state = 2},
  [5898] = {.lex_state = 96, .external_lex_state = 2},
  [5899] = {.lex_state = 96, .external_lex_state = 2},
  [5900] = {.lex_state = 96, .external_lex_state = 2},
  [5901] = {.lex_state = 96, .external_lex_state = 2},
  [5902] = {.lex_state = 96, .external_lex_state = 2},
  [5903] = {.lex_state = 96, .external_lex_state = 2},
  [5904] = {.lex_state = 96, .external_lex_state = 2},
  [5905] = {.lex_state = 96, .external_lex_state = 2},
  [5906] = {.lex_state = 96, .external_lex_state = 2},
  [5907] = {.lex_state = 96, .external_lex_state = 2},
  [5908] = {.lex_state = 96, .external_lex_state = 2},
  [5909] = {.lex_state = 96, .external_lex_state = 2},
  [5910] = {.lex_state = 96, .external_lex_state = 2},
  [5911] = {.lex_state = 96, .external_lex_state = 2},
  [5912] = {.lex_state = 96, .external_lex_state = 2},
  [5913] = {.lex_state = 96, .external_lex_state = 2},
  [5914] = {.lex_state = 96, .external_lex_state = 2},
  [5915] = {.lex_state = 96, .external_lex_state = 2},
  [5916] = {.lex_state = 96, .external_lex_state = 2},
  [5917] = {.lex_state = 96, .external_lex_state = 2},
  [5918] = {.lex_state = 96, .external_lex_state = 2},
  [5919] = {.lex_state = 96, .external_lex_state = 2},
  [5920] = {.lex_state = 96, .external_lex_state = 2},
  [5921] = {.lex_state = 96, .external_lex_state = 2},
  [5922] = {.lex_state = 96, .external_lex_state = 2},
  [5923] = {.lex_state = 96, .external_lex_state = 2},
  [5924] = {.lex_state = 96, .external_lex_state = 2},
  [5925] = {.lex_state = 96, .external_lex_state = 2},
  [5926] = {.lex_state = 96, .external_lex_state = 2},
  [5927] = {.lex_state = 96, .external_lex_state = 2},
  [5928] = {.lex_state = 96, .external_lex_state = 2},
  [5929] = {.lex_state = 96, .external_lex_state = 2},
  [5930] = {.lex_state = 96, .external_lex_state = 2},
  [5931] = {.lex_state = 96, .external_lex_state = 2},
  [5932] = {.lex_state = 96, .external_lex_state = 2},
  [5933] = {.lex_state = 96, .external_lex_state = 2},
  [5934] = {.lex_state = 96, .external_lex_state = 2},
  [5935] = {.lex_state = 96, .external_lex_state = 2},
  [5936] = {.lex_state = 96, .external_lex_state = 2},
  [5937] = {.lex_state = 96, .external_lex_state = 2},
  [5938] = {.lex_state = 96, .external_lex_state = 2},
  [5939] = {.lex_state = 96, .external_lex_state = 2},
  [5940] = {.lex_state = 96, .external_lex_state = 2},
  [5941] = {.lex_state = 96, .external_lex_state = 5},
  [5942] = {.lex_state = 96, .external_lex_state = 5},
  [5943] = {.lex_state = 96, .external_lex_state = 2},
  [5944] = {.lex_state = 96, .external_lex_state = 2},
  [5945] = {.lex_state = 96, .external_lex_state = 2},
  [5946] = {.lex_state = 96, .external_lex_state = 2},
  [5947] = {.lex_state = 96, .external_lex_state = 2},
  [5948] = {.lex_state = 96, .external_lex_state = 2},
  [5949] = {.lex_state = 96, .external_lex_state = 2},
  [5950] = {.lex_state = 96, .external_lex_state = 2},
  [5951] = {.lex_state = 96, .external_lex_state = 2},
  [5952] = {.lex_state = 96, .external_lex_state = 5},
  [5953] = {.lex_state = 96, .external_lex_state = 2},
  [5954] = {.lex_state = 96, .external_lex_state = 2},
  [5955] = {.lex_state = 96, .external_lex_state = 2},
  [5956] = {.lex_state = 96, .external_lex_state = 2},
  [5957] = {.lex_state = 96, .external_lex_state = 2},
  [5958] = {.lex_state = 96, .external_lex_state = 2},
  [5959] = {.lex_state = 96, .external_lex_state = 2},
  [5960] = {.lex_state = 96, .external_lex_state = 5},
  [5961] = {.lex_state = 96, .external_lex_state = 2},
  [5962] = {.lex_state = 96, .external_lex_state = 2},
  [5963] = {.lex_state = 96, .external_lex_state = 2},
  [5964] = {.lex_state = 96, .external_lex_state = 2},
  [5965] = {.lex_state = 96, .external_lex_state = 2},
  [5966] = {.lex_state = 96, .external_lex_state = 2},
  [5967] = {.lex_state = 96, .external_lex_state = 2},
  [5968] = {.lex_state = 96, .external_lex_state = 2},
  [5969] = {.lex_state = 96, .external_lex_state = 2},
  [5970] = {.lex_state = 96, .external_lex_state = 2},
  [5971] = {.lex_state = 96, .external_lex_state = 2},
  [5972] = {.lex_state = 96, .external_lex_state = 2},
  [5973] = {.lex_state = 96, .external_lex_state = 2},
  [5974] = {.lex_state = 96, .external_lex_state = 2},
  [5975] = {.lex_state = 96, .external_lex_state = 2},
  [5976] = {.lex_state = 96, .external_lex_state = 2},
  [5977] = {.lex_state = 96, .external_lex_state = 2},
  [5978] = {.lex_state = 96, .external_lex_state = 2},
  [5979] = {.lex_state = 96, .external_lex_state = 2},
  [5980] = {.lex_state = 96, .external_lex_state = 2},
  [5981] = {.lex_state = 96, .external_lex_state = 2},
  [5982] = {.lex_state = 96, .external_lex_state = 2},
  [5983] = {.lex_state = 96, .external_lex_state = 2},
  [5984] = {.lex_state = 96, .external_lex_state = 2},
  [5985] = {.lex_state = 96, .external_lex_state = 2},
  [5986] = {.lex_state = 96, .external_lex_state = 2},
  [5987] = {.lex_state = 96, .external_lex_state = 2},
  [5988] = {.lex_state = 96, .external_lex_state = 2},
  [5989] = {.lex_state = 96, .external_lex_state = 2},
  [5990] = {.lex_state = 96, .external_lex_state = 2},
  [5991] = {.lex_state = 96, .external_lex_state = 2},
  [5992] = {.lex_state = 96, .external_lex_state = 2},
  [5993] = {.lex_state = 96, .external_lex_state = 2},
  [5994] = {.lex_state = 96, .external_lex_state = 2},
  [5995] = {.lex_state = 96, .external_lex_state = 2},
  [5996] = {.lex_state = 96, .external_lex_state = 2},
  [5997] = {.lex_state = 96, .external_lex_state = 2},
  [5998] = {.lex_state = 96, .external_lex_state = 2},
  [5999] = {.lex_state = 96, .external_lex_state = 2},
  [6000] = {.lex_state = 96, .external_lex_state = 2},
  [6001] = {.lex_state = 96, .external_lex_state = 2},
  [6002] = {.lex_state = 96, .external_lex_state = 2},
  [6003] = {.lex_state = 96, .external_lex_state = 2},
  [6004] = {.lex_state = 96, .external_lex_state = 2},
  [6005] = {.lex_state = 96, .external_lex_state = 2},
  [6006] = {.lex_state = 96, .external_lex_state = 2},
  [6007] = {.lex_state = 96, .external_lex_state = 2},
  [6008] = {.lex_state = 96, .external_lex_state = 2},
  [6009] = {.lex_state = 96, .external_lex_state = 2},
  [6010] = {.lex_state = 96, .external_lex_state = 2},
  [6011] = {.lex_state = 96, .external_lex_state = 2},
  [6012] = {.lex_state = 96, .external_lex_state = 2},
  [6013] = {.lex_state = 96, .external_lex_state = 2},
  [6014] = {.lex_state = 96, .external_lex_state = 2},
  [6015] = {.lex_state = 96, .external_lex_state = 2},
  [6016] = {.lex_state = 96, .external_lex_state = 2},
  [6017] = {.lex_state = 96, .external_lex_state = 2},
  [6018] = {.lex_state = 96, .external_lex_state = 2},
  [6019] = {.lex_state = 96, .external_lex_state = 2},
  [6020] = {.lex_state = 96, .external_lex_state = 2},
  [6021] = {.lex_state = 96, .external_lex_state = 2},
  [6022] = {.lex_state = 96, .external_lex_state = 2},
  [6023] = {.lex_state = 96, .external_lex_state = 2},
  [6024] = {.lex_state = 96, .external_lex_state = 2},
  [6025] = {.lex_state = 96, .external_lex_state = 2},
  [6026] = {.lex_state = 96, .external_lex_state = 2},
  [6027] = {.lex_state = 96, .external_lex_state = 2},
  [6028] = {.lex_state = 96, .external_lex_state = 2},
  [6029] = {.lex_state = 96, .external_lex_state = 2},
  [6030] = {.lex_state = 96, .external_lex_state = 2},
  [6031] = {.lex_state = 96, .external_lex_state = 2},
  [6032] = {.lex_state = 96, .external_lex_state = 2},
  [6033] = {.lex_state = 96, .external_lex_state = 5},
  [6034] = {.lex_state = 96, .external_lex_state = 2},
  [6035] = {.lex_state = 96, .external_lex_state = 5},
  [6036] = {.lex_state = 96, .external_lex_state = 2},
  [6037] = {.lex_state = 96, .external_lex_state = 2},
  [6038] = {.lex_state = 96, .external_lex_state = 2},
  [6039] = {.lex_state = 96, .external_lex_state = 2},
  [6040] = {.lex_state = 96, .external_lex_state = 2},
  [6041] = {.lex_state = 96, .external_lex_state = 2},
  [6042] = {.lex_state = 96, .external_lex_state = 2},
  [6043] = {.lex_state = 96, .external_lex_state = 2},
  [6044] = {.lex_state = 96, .external_lex_state = 2},
  [6045] = {.lex_state = 96, .external_lex_state = 2},
  [6046] = {.lex_state = 96, .external_lex_state = 2},
  [6047] = {.lex_state = 96, .external_lex_state = 5},
  [6048] = {.lex_state = 96, .external_lex_state = 2},
  [6049] = {.lex_state = 96, .external_lex_state = 2},
  [6050] = {.lex_state = 96, .external_lex_state = 2},
  [6051] = {.lex_state = 96, .external_lex_state = 2},
  [6052] = {.lex_state = 96, .external_lex_state = 2},
  [6053] = {.lex_state = 96, .external_lex_state = 2},
  [6054] = {.lex_state = 96, .external_lex_state = 2},
  [6055] = {.lex_state = 96, .external_lex_state = 2},
  [6056] = {.lex_state = 96, .external_lex_state = 2},
  [6057] = {.lex_state = 96, .external_lex_state = 2},
  [6058] = {.lex_state = 96, .external_lex_state = 5},
  [6059] = {.lex_state = 96, .external_lex_state = 2},
  [6060] = {.lex_state = 96, .external_lex_state = 2},
  [6061] = {.lex_state = 96, .external_lex_state = 2},
  [6062] = {.lex_state = 96, .external_lex_state = 2},
  [6063] = {.lex_state = 96, .external_lex_state = 2},
  [6064] = {.lex_state = 96, .external_lex_state = 2},
  [6065] = {.lex_state = 96, .external_lex_state = 2},
  [6066] = {.lex_state = 96, .external_lex_state = 2},
  [6067] = {.lex_state = 96, .external_lex_state = 2},
  [6068] = {.lex_state = 96, .external_lex_state = 2},
  [6069] = {.lex_state = 96, .external_lex_state = 5},
  [6070] = {.lex_state = 96, .external_lex_state = 2},
  [6071] = {.lex_state = 96, .external_lex_state = 2},
  [6072] = {.lex_state = 96, .external_lex_state = 2},
  [6073] = {.lex_state = 96, .external_lex_state = 2},
  [6074] = {.lex_state = 96, .external_lex_state = 2},
  [6075] = {.lex_state = 96, .external_lex_state = 5},
  [6076] = {.lex_state = 96, .external_lex_state = 2},
  [6077] = {.lex_state = 96, .external_lex_state = 5},
  [6078] = {.lex_state = 96, .external_lex_state = 2},
  [6079] = {.lex_state = 96, .external_lex_state = 2},
  [6080] = {.lex_state = 96, .external_lex_state = 5},
  [6081] = {.lex_state = 96, .external_lex_state = 2},
  [6082] = {.lex_state = 96, .external_lex_state = 2},
  [6083] = {.lex_state = 96, .external_lex_state = 2},
  [6084] = {.lex_state = 96, .external_lex_state = 2},
  [6085] = {.lex_state = 96, .external_lex_state = 2},
  [6086] = {.lex_state = 96, .external_lex_state = 2},
  [6087] = {.lex_state = 96, .external_lex_state = 2},
  [6088] = {.lex_state = 96, .external_lex_state = 2},
  [6089] = {.lex_state = 96, .external_lex_state = 2},
  [6090] = {.lex_state = 96, .external_lex_state = 2},
  [6091] = {.lex_state = 96, .external_lex_state = 2},
  [6092] = {.lex_state = 96, .external_lex_state = 2},
  [6093] = {.lex_state = 96, .external_lex_state = 2},
  [6094] = {.lex_state = 96, .external_lex_state = 2},
  [6095] = {.lex_state = 96, .external_lex_state = 2},
  [6096] = {.lex_state = 96, .external_lex_state = 2},
  [6097] = {.lex_state = 96, .external_lex_state = 2},
  [6098] = {.lex_state = 96, .external_lex_state = 2},
  [6099] = {.lex_state = 96, .external_lex_state = 2},
  [6100] = {.lex_state = 96, .external_lex_state = 2},
  [6101] = {.lex_state = 96, .external_lex_state = 2},
  [6102] = {.lex_state = 96, .external_lex_state = 2},
  [6103] = {.lex_state = 96, .external_lex_state = 2},
  [6104] = {.lex_state = 96, .external_lex_state = 2},
  [6105] = {.lex_state = 96, .external_lex_state = 2},
  [6106] = {.lex_state = 96, .external_lex_state = 2},
  [6107] = {.lex_state = 96, .external_lex_state = 2},
  [6108] = {.lex_state = 96, .external_lex_state = 2},
  [6109] = {.lex_state = 96, .external_lex_state = 2},
  [6110] = {.lex_state = 96, .external_lex_state = 2},
  [6111] = {.lex_state = 96, .external_lex_state = 2},
  [6112] = {.lex_state = 96, .external_lex_state = 2},
  [6113] = {.lex_state = 96, .external_lex_state = 2},
  [6114] = {.lex_state = 96, .external_lex_state = 2},
  [6115] = {.lex_state = 96, .external_lex_state = 2},
  [6116] = {.lex_state = 96, .external_lex_state = 2},
  [6117] = {.lex_state = 96, .external_lex_state = 2},
  [6118] = {.lex_state = 96, .external_lex_state = 2},
  [6119] = {.lex_state = 96, .external_lex_state = 2},
  [6120] = {.lex_state = 96, .external_lex_state = 2},
  [6121] = {.lex_state = 96, .external_lex_state = 2},
  [6122] = {.lex_state = 96, .external_lex_state = 2},
  [6123] = {.lex_state = 96, .external_lex_state = 2},
  [6124] = {.lex_state = 96, .external_lex_state = 2},
  [6125] = {.lex_state = 96, .external_lex_state = 2},
  [6126] = {.lex_state = 96, .external_lex_state = 2},
  [6127] = {.lex_state = 96, .external_lex_state = 2},
  [6128] = {.lex_state = 96, .external_lex_state = 2},
  [6129] = {.lex_state = 96, .external_lex_state = 2},
  [6130] = {.lex_state = 96, .external_lex_state = 2},
  [6131] = {.lex_state = 96, .external_lex_state = 2},
  [6132] = {.lex_state = 96, .external_lex_state = 2},
  [6133] = {.lex_state = 96, .external_lex_state = 2},
  [6134] = {.lex_state = 96, .external_lex_state = 2},
  [6135] = {.lex_state = 96, .external_lex_state = 2},
  [6136] = {.lex_state = 96, .external_lex_state = 2},
  [6137] = {.lex_state = 96, .external_lex_state = 2},
  [6138] = {.lex_state = 96, .external_lex_state = 2},
  [6139] = {.lex_state = 96, .external_lex_state = 2},
  [6140] = {.lex_state = 96, .external_lex_state = 2},
  [6141] = {.lex_state = 96, .external_lex_state = 2},
  [6142] = {.lex_state = 96, .external_lex_state = 2},
  [6143] = {.lex_state = 96, .external_lex_state = 2},
  [6144] = {.lex_state = 96, .external_lex_state = 2},
  [6145] = {.lex_state = 96, .external_lex_state = 2},
  [6146] = {.lex_state = 96, .external_lex_state = 2},
  [6147] = {.lex_state = 96, .external_lex_state = 2},
  [6148] = {.lex_state = 96, .external_lex_state = 2},
  [6149] = {.lex_state = 96, .external_lex_state = 2},
  [6150] = {.lex_state = 96, .external_lex_state = 2},
  [6151] = {.lex_state = 96, .external_lex_state = 2},
  [6152] = {.lex_state = 96, .external_lex_state = 2},
  [6153] = {.lex_state = 96, .external_lex_state = 2},
  [6154] = {.lex_state = 96, .external_lex_state = 2},
  [6155] = {.lex_state = 96, .external_lex_state = 2},
  [6156] = {.lex_state = 96, .external_lex_state = 2},
  [6157] = {.lex_state = 96, .external_lex_state = 2},
  [6158] = {.lex_state = 96, .external_lex_state = 2},
  [6159] = {.lex_state = 96, .external_lex_state = 2},
  [6160] = {.lex_state = 96, .external_lex_state = 2},
  [6161] = {.lex_state = 96, .external_lex_state = 2},
  [6162] = {.lex_state = 96, .external_lex_state = 2},
  [6163] = {.lex_state = 96, .external_lex_state = 2},
  [6164] = {.lex_state = 96, .external_lex_state = 2},
  [6165] = {.lex_state = 96, .external_lex_state = 2},
  [6166] = {.lex_state = 96, .external_lex_state = 2},
  [6167] = {.lex_state = 96, .external_lex_state = 2},
  [6168] = {.lex_state = 96, .external_lex_state = 2},
  [6169] = {.lex_state = 96, .external_lex_state = 2},
  [6170] = {.lex_state = 96, .external_lex_state = 2},
  [6171] = {.lex_state = 96, .external_lex_state = 2},
  [6172] = {.lex_state = 96, .external_lex_state = 2},
  [6173] = {.lex_state = 96, .external_lex_state = 2},
  [6174] = {.lex_state = 96, .external_lex_state = 2},
  [6175] = {.lex_state = 96, .external_lex_state = 2},
  [6176] = {.lex_state = 96, .external_lex_state = 2},
  [6177] = {.lex_state = 96, .external_lex_state = 2},
  [6178] = {.lex_state = 96, .external_lex_state = 2},
  [6179] = {.lex_state = 96, .external_lex_state = 2},
  [6180] = {.lex_state = 96, .external_lex_state = 2},
  [6181] = {.lex_state = 96, .external_lex_state = 2},
  [6182] = {.lex_state = 96, .external_lex_state = 2},
  [6183] = {.lex_state = 96, .external_lex_state = 2},
  [6184] = {.lex_state = 96, .external_lex_state = 2},
  [6185] = {.lex_state = 96, .external_lex_state = 2},
  [6186] = {.lex_state = 96, .external_lex_state = 2},
  [6187] = {.lex_state = 96, .external_lex_state = 2},
  [6188] = {.lex_state = 96, .external_lex_state = 2},
  [6189] = {.lex_state = 96, .external_lex_state = 2},
  [6190] = {.lex_state = 96, .external_lex_state = 2},
  [6191] = {.lex_state = 96, .external_lex_state = 2},
  [6192] = {.lex_state = 96, .external_lex_state = 2},
  [6193] = {.lex_state = 96, .external_lex_state = 2},
  [6194] = {.lex_state = 96, .external_lex_state = 2},
  [6195] = {.lex_state = 28, .external_lex_state = 2},
  [6196] = {.lex_state = 96, .external_lex_state = 2},
  [6197] = {.lex_state = 96, .external_lex_state = 2},
  [6198] = {.lex_state = 96, .external_lex_state = 2},
  [6199] = {.lex_state = 96, .external_lex_state = 2},
  [6200] = {.lex_state = 96, .external_lex_state = 2},
  [6201] = {.lex_state = 96, .external_lex_state = 2},
  [6202] = {.lex_state = 96, .external_lex_state = 2},
  [6203] = {.lex_state = 96, .external_lex_state = 2},
  [6204] = {.lex_state = 96, .external_lex_state = 2},
  [6205] = {.lex_state = 96, .external_lex_state = 2},
  [6206] = {.lex_state = 96, .external_lex_state = 2},
  [6207] = {.lex_state = 96, .external_lex_state = 2},
  [6208] = {.lex_state = 96, .external_lex_state = 2},
  [6209] = {.lex_state = 96, .external_lex_state = 2},
  [6210] = {.lex_state = 96, .external_lex_state = 2},
  [6211] = {.lex_state = 96, .external_lex_state = 2},
  [6212] = {.lex_state = 96, .external_lex_state = 2},
  [6213] = {.lex_state = 96, .external_lex_state = 2},
  [6214] = {.lex_state = 96, .external_lex_state = 2},
  [6215] = {.lex_state = 96, .external_lex_state = 2},
  [6216] = {.lex_state = 96, .external_lex_state = 2},
  [6217] = {.lex_state = 96, .external_lex_state = 2},
  [6218] = {.lex_state = 96, .external_lex_state = 2},
  [6219] = {.lex_state = 96, .external_lex_state = 2},
  [6220] = {.lex_state = 96, .external_lex_state = 2},
  [6221] = {.lex_state = 96, .external_lex_state = 2},
  [6222] = {.lex_state = 96, .external_lex_state = 2},
  [6223] = {.lex_state = 96, .external_lex_state = 2},
  [6224] = {.lex_state = 96, .external_lex_state = 2},
  [6225] = {.lex_state = 96, .external_lex_state = 2},
  [6226] = {.lex_state = 96, .external_lex_state = 2},
  [6227] = {.lex_state = 96, .external_lex_state = 2},
  [6228] = {.lex_state = 96, .external_lex_state = 2},
  [6229] = {.lex_state = 96, .external_lex_state = 2},
  [6230] = {.lex_state = 96, .external_lex_state = 2},
  [6231] = {.lex_state = 96, .external_lex_state = 2},
  [6232] = {.lex_state = 96, .external_lex_state = 2},
  [6233] = {.lex_state = 96, .external_lex_state = 2},
  [6234] = {.lex_state = 96, .external_lex_state = 2},
  [6235] = {.lex_state = 96, .external_lex_state = 2},
  [6236] = {.lex_state = 96, .external_lex_state = 2},
  [6237] = {.lex_state = 2, .external_lex_state = 10},
  [6238] = {.lex_state = 96, .external_lex_state = 2},
  [6239] = {.lex_state = 96, .external_lex_state = 2},
  [6240] = {.lex_state = 96, .external_lex_state = 2},
  [6241] = {.lex_state = 96, .external_lex_state = 2},
  [6242] = {.lex_state = 96, .external_lex_state = 2},
  [6243] = {.lex_state = 96, .external_lex_state = 2},
  [6244] = {.lex_state = 96, .external_lex_state = 2},
  [6245] = {.lex_state = 96, .external_lex_state = 2},
  [6246] = {.lex_state = 96, .external_lex_state = 2},
  [6247] = {.lex_state = 96, .external_lex_state = 2},
  [6248] = {.lex_state = 96, .external_lex_state = 2},
  [6249] = {.lex_state = 96, .external_lex_state = 2},
  [6250] = {.lex_state = 96, .external_lex_state = 2},
  [6251] = {.lex_state = 96, .external_lex_state = 2},
  [6252] = {.lex_state = 96, .external_lex_state = 2},
  [6253] = {.lex_state = 96, .external_lex_state = 2},
  [6254] = {.lex_state = 96, .external_lex_state = 2},
  [6255] = {.lex_state = 96, .external_lex_state = 2},
  [6256] = {.lex_state = 96, .external_lex_state = 2},
  [6257] = {.lex_state = 96, .external_lex_state = 2},
  [6258] = {.lex_state = 96, .external_lex_state = 2},
  [6259] = {.lex_state = 96, .external_lex_state = 2},
  [6260] = {.lex_state = 96, .external_lex_state = 2},
  [6261] = {.lex_state = 96, .external_lex_state = 2},
  [6262] = {.lex_state = 96, .external_lex_state = 2},
  [6263] = {.lex_state = 96, .external_lex_state = 2},
  [6264] = {.lex_state = 96, .external_lex_state = 2},
  [6265] = {.lex_state = 96, .external_lex_state = 2},
  [6266] = {.lex_state = 96, .external_lex_state = 2},
  [6267] = {.lex_state = 96, .external_lex_state = 2},
  [6268] = {.lex_state = 96, .external_lex_state = 2},
  [6269] = {.lex_state = 96, .external_lex_state = 2},
  [6270] = {.lex_state = 96, .external_lex_state = 2},
  [6271] = {.lex_state = 96, .external_lex_state = 2},
  [6272] = {.lex_state = 96, .external_lex_state = 2},
  [6273] = {.lex_state = 96, .external_lex_state = 2},
  [6274] = {.lex_state = 28, .external_lex_state = 2},
  [6275] = {.lex_state = 96, .external_lex_state = 2},
  [6276] = {.lex_state = 96, .external_lex_state = 2},
  [6277] = {.lex_state = 96, .external_lex_state = 2},
  [6278] = {.lex_state = 96, .external_lex_state = 2},
  [6279] = {.lex_state = 96, .external_lex_state = 2},
  [6280] = {.lex_state = 96, .external_lex_state = 2},
  [6281] = {.lex_state = 96, .external_lex_state = 2},
  [6282] = {.lex_state = 96, .external_lex_state = 2},
  [6283] = {.lex_state = 96, .external_lex_state = 2},
  [6284] = {.lex_state = 96, .external_lex_state = 2},
  [6285] = {.lex_state = 96, .external_lex_state = 2},
  [6286] = {.lex_state = 96, .external_lex_state = 2},
  [6287] = {.lex_state = 96, .external_lex_state = 2},
  [6288] = {.lex_state = 96, .external_lex_state = 2},
  [6289] = {.lex_state = 96, .external_lex_state = 2},
  [6290] = {.lex_state = 96, .external_lex_state = 2},
  [6291] = {.lex_state = 96, .external_lex_state = 2},
  [6292] = {.lex_state = 28, .external_lex_state = 2},
  [6293] = {.lex_state = 96, .external_lex_state = 2},
  [6294] = {.lex_state = 96, .external_lex_state = 2},
  [6295] = {.lex_state = 96, .external_lex_state = 2},
  [6296] = {.lex_state = 96, .external_lex_state = 2},
  [6297] = {.lex_state = 96, .external_lex_state = 2},
  [6298] = {.lex_state = 96, .external_lex_state = 2},
  [6299] = {.lex_state = 96, .external_lex_state = 2},
  [6300] = {.lex_state = 96, .external_lex_state = 2},
  [6301] = {.lex_state = 96, .external_lex_state = 2},
  [6302] = {.lex_state = 96, .external_lex_state = 2},
  [6303] = {.lex_state = 96, .external_lex_state = 2},
  [6304] = {.lex_state = 96, .external_lex_state = 2},
  [6305] = {.lex_state = 96, .external_lex_state = 2},
  [6306] = {.lex_state = 96, .external_lex_state = 2},
  [6307] = {.lex_state = 96, .external_lex_state = 2},
  [6308] = {.lex_state = 96, .external_lex_state = 2},
  [6309] = {.lex_state = 96, .external_lex_state = 2},
  [6310] = {.lex_state = 28, .external_lex_state = 2},
  [6311] = {.lex_state = 96, .external_lex_state = 2},
  [6312] = {.lex_state = 96, .external_lex_state = 2},
  [6313] = {.lex_state = 96, .external_lex_state = 2},
  [6314] = {.lex_state = 96, .external_lex_state = 2},
  [6315] = {.lex_state = 96, .external_lex_state = 2},
  [6316] = {.lex_state = 96, .external_lex_state = 2},
  [6317] = {.lex_state = 96, .external_lex_state = 2},
  [6318] = {.lex_state = 96, .external_lex_state = 2},
  [6319] = {.lex_state = 28, .external_lex_state = 2},
  [6320] = {.lex_state = 96, .external_lex_state = 2},
  [6321] = {.lex_state = 96, .external_lex_state = 2},
  [6322] = {.lex_state = 96, .external_lex_state = 2},
  [6323] = {.lex_state = 96, .external_lex_state = 2},
  [6324] = {.lex_state = 2, .external_lex_state = 10},
  [6325] = {.lex_state = 96, .external_lex_state = 2},
  [6326] = {.lex_state = 96, .external_lex_state = 2},
  [6327] = {.lex_state = 96, .external_lex_state = 2},
  [6328] = {.lex_state = 96, .external_lex_state = 2},
  [6329] = {.lex_state = 96, .external_lex_state = 2},
  [6330] = {.lex_state = 96, .external_lex_state = 2},
  [6331] = {.lex_state = 96, .external_lex_state = 2},
  [6332] = {.lex_state = 96, .external_lex_state = 2},
  [6333] = {.lex_state = 96, .external_lex_state = 2},
  [6334] = {.lex_state = 96, .external_lex_state = 2},
  [6335] = {.lex_state = 96, .external_lex_state = 2},
  [6336] = {.lex_state = 96, .external_lex_state = 2},
  [6337] = {.lex_state = 96, .external_lex_state = 2},
  [6338] = {.lex_state = 96, .external_lex_state = 2},
  [6339] = {.lex_state = 96, .external_lex_state = 2},
  [6340] = {.lex_state = 96, .external_lex_state = 2},
  [6341] = {.lex_state = 96, .external_lex_state = 2},
  [6342] = {.lex_state = 96, .external_lex_state = 2},
  [6343] = {.lex_state = 96, .external_lex_state = 2},
  [6344] = {.lex_state = 96, .external_lex_state = 2},
  [6345] = {.lex_state = 96, .external_lex_state = 2},
  [6346] = {.lex_state = 96, .external_lex_state = 2},
  [6347] = {.lex_state = 96, .external_lex_state = 2},
  [6348] = {.lex_state = 96, .external_lex_state = 2},
  [6349] = {.lex_state = 96, .external_lex_state = 2},
  [6350] = {.lex_state = 96, .external_lex_state = 2},
  [6351] = {.lex_state = 96, .external_lex_state = 2},
  [6352] = {.lex_state = 96, .external_lex_state = 2},
  [6353] = {.lex_state = 96, .external_lex_state = 2},
  [6354] = {.lex_state = 96, .external_lex_state = 2},
  [6355] = {.lex_state = 96, .external_lex_state = 2},
  [6356] = {.lex_state = 96, .external_lex_state = 2},
  [6357] = {.lex_state = 96, .external_lex_state = 2},
  [6358] = {.lex_state = 96, .external_lex_state = 2},
  [6359] = {.lex_state = 96, .external_lex_state = 2},
  [6360] = {.lex_state = 96, .external_lex_state = 2},
  [6361] = {.lex_state = 96, .external_lex_state = 2},
  [6362] = {.lex_state = 96, .external_lex_state = 2},
  [6363] = {.lex_state = 96, .external_lex_state = 2},
  [6364] = {.lex_state = 96, .external_lex_state = 2},
  [6365] = {.lex_state = 96, .external_lex_state = 2},
  [6366] = {.lex_state = 96, .external_lex_state = 2},
  [6367] = {.lex_state = 96, .external_lex_state = 2},
  [6368] = {.lex_state = 96, .external_lex_state = 2},
  [6369] = {.lex_state = 96, .external_lex_state = 2},
  [6370] = {.lex_state = 96, .external_lex_state = 2},
  [6371] = {.lex_state = 96, .external_lex_state = 2},
  [6372] = {.lex_state = 96, .external_lex_state = 2},
  [6373] = {.lex_state = 96, .external_lex_state = 2},
  [6374] = {.lex_state = 96, .external_lex_state = 2},
  [6375] = {.lex_state = 96, .external_lex_state = 2},
  [6376] = {.lex_state = 96, .external_lex_state = 2},
  [6377] = {.lex_state = 96, .external_lex_state = 2},
  [6378] = {.lex_state = 96, .external_lex_state = 2},
  [6379] = {.lex_state = 96, .external_lex_state = 2},
  [6380] = {.lex_state = 96, .external_lex_state = 2},
  [6381] = {.lex_state = 96, .external_lex_state = 2},
  [6382] = {.lex_state = 96, .external_lex_state = 2},
  [6383] = {.lex_state = 96, .external_lex_state = 2},
  [6384] = {.lex_state = 96, .external_lex_state = 2},
  [6385] = {.lex_state = 96, .external_lex_state = 2},
  [6386] = {.lex_state = 96, .external_lex_state = 2},
  [6387] = {.lex_state = 96, .external_lex_state = 2},
  [6388] = {.lex_state = 96, .external_lex_state = 2},
  [6389] = {.lex_state = 96, .external_lex_state = 2},
  [6390] = {.lex_state = 96, .external_lex_state = 2},
  [6391] = {.lex_state = 96, .external_lex_state = 2},
  [6392] = {.lex_state = 96, .external_lex_state = 2},
  [6393] = {.lex_state = 96, .external_lex_state = 2},
  [6394] = {.lex_state = 96, .external_lex_state = 2},
  [6395] = {.lex_state = 96, .external_lex_state = 2},
  [6396] = {.lex_state = 96, .external_lex_state = 2},
  [6397] = {.lex_state = 96, .external_lex_state = 2},
  [6398] = {.lex_state = 96, .external_lex_state = 2},
  [6399] = {.lex_state = 96, .external_lex_state = 2},
  [6400] = {.lex_state = 96, .external_lex_state = 2},
  [6401] = {.lex_state = 96, .external_lex_state = 2},
  [6402] = {.lex_state = 2, .external_lex_state = 10},
  [6403] = {.lex_state = 96, .external_lex_state = 2},
  [6404] = {.lex_state = 96, .external_lex_state = 2},
  [6405] = {.lex_state = 96, .external_lex_state = 2},
  [6406] = {.lex_state = 96, .external_lex_state = 2},
  [6407] = {.lex_state = 96, .external_lex_state = 2},
  [6408] = {.lex_state = 96, .external_lex_state = 2},
  [6409] = {.lex_state = 96, .external_lex_state = 2},
  [6410] = {.lex_state = 96, .external_lex_state = 2},
  [6411] = {.lex_state = 96, .external_lex_state = 2},
  [6412] = {.lex_state = 96, .external_lex_state = 2},
  [6413] = {.lex_state = 96, .external_lex_state = 2},
  [6414] = {.lex_state = 96, .external_lex_state = 2},
  [6415] = {.lex_state = 96, .external_lex_state = 2},
  [6416] = {.lex_state = 96, .external_lex_state = 2},
  [6417] = {.lex_state = 96, .external_lex_state = 2},
  [6418] = {.lex_state = 96, .external_lex_state = 2},
  [6419] = {.lex_state = 96, .external_lex_state = 2},
  [6420] = {.lex_state = 96, .external_lex_state = 2},
  [6421] = {.lex_state = 96, .external_lex_state = 2},
  [6422] = {.lex_state = 96, .external_lex_state = 2},
  [6423] = {.lex_state = 96, .external_lex_state = 2},
  [6424] = {.lex_state = 96, .external_lex_state = 2},
  [6425] = {.lex_state = 96, .external_lex_state = 2},
  [6426] = {.lex_state = 96, .external_lex_state = 2},
  [6427] = {.lex_state = 96, .external_lex_state = 2},
  [6428] = {.lex_state = 96, .external_lex_state = 2},
  [6429] = {.lex_state = 96, .external_lex_state = 2},
  [6430] = {.lex_state = 2, .external_lex_state = 10},
  [6431] = {.lex_state = 96, .external_lex_state = 2},
  [6432] = {.lex_state = 96, .external_lex_state = 2},
  [6433] = {.lex_state = 96, .external_lex_state = 2},
  [6434] = {.lex_state = 96, .external_lex_state = 2},
  [6435] = {.lex_state = 96, .external_lex_state = 2},
  [6436] = {.lex_state = 96, .external_lex_state = 2},
  [6437] = {.lex_state = 96, .external_lex_state = 2},
  [6438] = {.lex_state = 96, .external_lex_state = 2},
  [6439] = {.lex_state = 96, .external_lex_state = 2},
  [6440] = {.lex_state = 96, .external_lex_state = 2},
  [6441] = {.lex_state = 96, .external_lex_state = 2},
  [6442] = {.lex_state = 96, .external_lex_state = 2},
  [6443] = {.lex_state = 96, .external_lex_state = 2},
  [6444] = {.lex_state = 96, .external_lex_state = 2},
  [6445] = {.lex_state = 96, .external_lex_state = 2},
  [6446] = {.lex_state = 96, .external_lex_state = 2},
  [6447] = {.lex_state = 96, .external_lex_state = 2},
  [6448] = {.lex_state = 96, .external_lex_state = 2},
  [6449] = {.lex_state = 96, .external_lex_state = 2},
  [6450] = {.lex_state = 96, .external_lex_state = 2},
  [6451] = {.lex_state = 96, .external_lex_state = 2},
  [6452] = {.lex_state = 96, .external_lex_state = 2},
  [6453] = {.lex_state = 96, .external_lex_state = 2},
  [6454] = {.lex_state = 96, .external_lex_state = 2},
  [6455] = {.lex_state = 96, .external_lex_state = 2},
  [6456] = {.lex_state = 96, .external_lex_state = 2},
  [6457] = {.lex_state = 96, .external_lex_state = 2},
  [6458] = {.lex_state = 96, .external_lex_state = 2},
  [6459] = {.lex_state = 96, .external_lex_state = 2},
  [6460] = {.lex_state = 96, .external_lex_state = 2},
  [6461] = {.lex_state = 96, .external_lex_state = 2},
  [6462] = {.lex_state = 96, .external_lex_state = 2},
  [6463] = {.lex_state = 96, .external_lex_state = 2},
  [6464] = {.lex_state = 96, .external_lex_state = 2},
  [6465] = {.lex_state = 96, .external_lex_state = 2},
  [6466] = {.lex_state = 96, .external_lex_state = 2},
  [6467] = {.lex_state = 96, .external_lex_state = 2},
  [6468] = {.lex_state = 96, .external_lex_state = 2},
  [6469] = {.lex_state = 96, .external_lex_state = 2},
  [6470] = {.lex_state = 96, .external_lex_state = 2},
  [6471] = {.lex_state = 2, .external_lex_state = 10},
  [6472] = {.lex_state = 96, .external_lex_state = 2},
  [6473] = {.lex_state = 96, .external_lex_state = 2},
  [6474] = {.lex_state = 96, .external_lex_state = 2},
  [6475] = {.lex_state = 96, .external_lex_state = 2},
  [6476] = {.lex_state = 96, .external_lex_state = 2},
  [6477] = {.lex_state = 96, .external_lex_state = 2},
  [6478] = {.lex_state = 96, .external_lex_state = 2},
  [6479] = {.lex_state = 96, .external_lex_state = 2},
  [6480] = {.lex_state = 96, .external_lex_state = 2},
  [6481] = {.lex_state = 96, .external_lex_state = 2},
  [6482] = {.lex_state = 96, .external_lex_state = 2},
  [6483] = {.lex_state = 96, .external_lex_state = 2},
  [6484] = {.lex_state = 96, .external_lex_state = 2},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym_glimmer_opening_tag] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_symbol] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_accessor] = ACTIONS(1),
    [anon_sym_satisfies] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_DASH_QMARK_COLON] = ACTIONS(1),
    [anon_sym_PLUS_QMARK_COLON] = ACTIONS(1),
    [anon_sym_asserts] = ACTIONS(1),
    [anon_sym_infer] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_keyof] = ACTIONS(1),
    [anon_sym_unique] = ACTIONS(1),
    [anon_sym_unknown] = ACTIONS(1),
    [anon_sym_never] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
    [sym__function_signature_automatic_semicolon] = ACTIONS(1),
    [sym___error_recovery] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(6273),
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(17),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_import] = STATE(3476),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_pattern] = STATE(4572),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3107),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(497),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(195),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(203),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_import] = STATE(3476),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_pattern] = STATE(4572),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3107),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(497),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(221),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(224),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(224),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(195),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(203),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(15),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6339),
    [sym_object_assignment_pattern] = STATE(5483),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6339),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6339),
    [sym_spread_element] = STATE(5498),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2448),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_rest_pattern] = STATE(5483),
    [sym_method_definition] = STATE(5498),
    [sym_pair] = STATE(5498),
    [sym_pair_pattern] = STATE(5483),
    [sym__property_name] = STATE(3863),
    [sym_computed_property_name] = STATE(3863),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_accessibility_modifier] = STATE(2744),
    [sym_override_modifier] = STATE(2781),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [aux_sym_object_repeat1] = STATE(5513),
    [aux_sym_object_pattern_repeat1] = STATE(5518),
    [sym_identifier] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(231),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_type] = ACTIONS(235),
    [anon_sym_namespace] = ACTIONS(237),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(239),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(243),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(245),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(247),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(249),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(253),
    [sym_private_property_identifier] = ACTIONS(255),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_get] = ACTIONS(261),
    [anon_sym_set] = ACTIONS(261),
    [anon_sym_declare] = ACTIONS(263),
    [anon_sym_public] = ACTIONS(265),
    [anon_sym_private] = ACTIONS(265),
    [anon_sym_protected] = ACTIONS(265),
    [anon_sym_override] = ACTIONS(267),
    [anon_sym_module] = ACTIONS(269),
    [anon_sym_any] = ACTIONS(271),
    [anon_sym_number] = ACTIONS(271),
    [anon_sym_boolean] = ACTIONS(271),
    [anon_sym_string] = ACTIONS(271),
    [anon_sym_symbol] = ACTIONS(271),
    [anon_sym_object] = ACTIONS(271),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(22),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6339),
    [sym_object_assignment_pattern] = STATE(5483),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6339),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6339),
    [sym_spread_element] = STATE(5629),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2448),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_rest_pattern] = STATE(5483),
    [sym_method_definition] = STATE(5629),
    [sym_pair] = STATE(5629),
    [sym_pair_pattern] = STATE(5483),
    [sym__property_name] = STATE(3863),
    [sym_computed_property_name] = STATE(3863),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_accessibility_modifier] = STATE(2744),
    [sym_override_modifier] = STATE(2781),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [aux_sym_object_repeat1] = STATE(5633),
    [aux_sym_object_pattern_repeat1] = STATE(5518),
    [sym_identifier] = ACTIONS(273),
    [anon_sym_export] = ACTIONS(275),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_type] = ACTIONS(277),
    [anon_sym_namespace] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(239),
    [anon_sym_RBRACE] = ACTIONS(281),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(283),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(245),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(285),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(287),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(253),
    [sym_private_property_identifier] = ACTIONS(255),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(289),
    [anon_sym_readonly] = ACTIONS(291),
    [anon_sym_get] = ACTIONS(293),
    [anon_sym_set] = ACTIONS(293),
    [anon_sym_declare] = ACTIONS(295),
    [anon_sym_public] = ACTIONS(297),
    [anon_sym_private] = ACTIONS(297),
    [anon_sym_protected] = ACTIONS(297),
    [anon_sym_override] = ACTIONS(299),
    [anon_sym_module] = ACTIONS(301),
    [anon_sym_any] = ACTIONS(303),
    [anon_sym_number] = ACTIONS(303),
    [anon_sym_boolean] = ACTIONS(303),
    [anon_sym_string] = ACTIONS(303),
    [anon_sym_symbol] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(303),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(15),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6339),
    [sym_object_assignment_pattern] = STATE(5483),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6339),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6339),
    [sym_spread_element] = STATE(5498),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2448),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_rest_pattern] = STATE(5483),
    [sym_method_definition] = STATE(5498),
    [sym_pair] = STATE(5498),
    [sym_pair_pattern] = STATE(5483),
    [sym__property_name] = STATE(3863),
    [sym_computed_property_name] = STATE(3863),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_accessibility_modifier] = STATE(2744),
    [sym_override_modifier] = STATE(2781),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [aux_sym_object_repeat1] = STATE(5513),
    [aux_sym_object_pattern_repeat1] = STATE(5518),
    [sym_identifier] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(231),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_type] = ACTIONS(235),
    [anon_sym_namespace] = ACTIONS(237),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(239),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(243),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(245),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(247),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(249),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(253),
    [sym_private_property_identifier] = ACTIONS(255),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_get] = ACTIONS(261),
    [anon_sym_set] = ACTIONS(261),
    [anon_sym_declare] = ACTIONS(263),
    [anon_sym_public] = ACTIONS(265),
    [anon_sym_private] = ACTIONS(265),
    [anon_sym_protected] = ACTIONS(265),
    [anon_sym_override] = ACTIONS(267),
    [anon_sym_module] = ACTIONS(269),
    [anon_sym_any] = ACTIONS(271),
    [anon_sym_number] = ACTIONS(271),
    [anon_sym_boolean] = ACTIONS(271),
    [anon_sym_string] = ACTIONS(271),
    [anon_sym_symbol] = ACTIONS(271),
    [anon_sym_object] = ACTIONS(271),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(25),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6339),
    [sym_object_assignment_pattern] = STATE(5483),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6339),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6339),
    [sym_spread_element] = STATE(5498),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2448),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_rest_pattern] = STATE(5483),
    [sym_method_definition] = STATE(5498),
    [sym_pair] = STATE(5498),
    [sym_pair_pattern] = STATE(5483),
    [sym__property_name] = STATE(3863),
    [sym_computed_property_name] = STATE(3863),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_accessibility_modifier] = STATE(2744),
    [sym_override_modifier] = STATE(2781),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(25),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [aux_sym_object_repeat1] = STATE(5513),
    [aux_sym_object_pattern_repeat1] = STATE(5518),
    [sym_identifier] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(231),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_type] = ACTIONS(235),
    [anon_sym_namespace] = ACTIONS(237),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(239),
    [anon_sym_RBRACE] = ACTIONS(307),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(243),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(245),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(247),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(249),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(253),
    [sym_private_property_identifier] = ACTIONS(255),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_get] = ACTIONS(261),
    [anon_sym_set] = ACTIONS(261),
    [anon_sym_declare] = ACTIONS(263),
    [anon_sym_public] = ACTIONS(265),
    [anon_sym_private] = ACTIONS(265),
    [anon_sym_protected] = ACTIONS(265),
    [anon_sym_override] = ACTIONS(267),
    [anon_sym_module] = ACTIONS(269),
    [anon_sym_any] = ACTIONS(271),
    [anon_sym_number] = ACTIONS(271),
    [anon_sym_boolean] = ACTIONS(271),
    [anon_sym_string] = ACTIONS(271),
    [anon_sym_symbol] = ACTIONS(271),
    [anon_sym_object] = ACTIONS(271),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(22),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6339),
    [sym_object_assignment_pattern] = STATE(5483),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6339),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6339),
    [sym_spread_element] = STATE(5629),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2448),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_rest_pattern] = STATE(5483),
    [sym_method_definition] = STATE(5629),
    [sym_pair] = STATE(5629),
    [sym_pair_pattern] = STATE(5483),
    [sym__property_name] = STATE(3863),
    [sym_computed_property_name] = STATE(3863),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_accessibility_modifier] = STATE(2744),
    [sym_override_modifier] = STATE(2781),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [aux_sym_object_repeat1] = STATE(5633),
    [aux_sym_object_pattern_repeat1] = STATE(5518),
    [sym_identifier] = ACTIONS(309),
    [anon_sym_export] = ACTIONS(311),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_type] = ACTIONS(313),
    [anon_sym_namespace] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(239),
    [anon_sym_RBRACE] = ACTIONS(281),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(317),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(245),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(253),
    [sym_private_property_identifier] = ACTIONS(255),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(325),
    [anon_sym_get] = ACTIONS(327),
    [anon_sym_set] = ACTIONS(327),
    [anon_sym_declare] = ACTIONS(329),
    [anon_sym_public] = ACTIONS(331),
    [anon_sym_private] = ACTIONS(331),
    [anon_sym_protected] = ACTIONS(331),
    [anon_sym_override] = ACTIONS(333),
    [anon_sym_module] = ACTIONS(335),
    [anon_sym_any] = ACTIONS(337),
    [anon_sym_number] = ACTIONS(337),
    [anon_sym_boolean] = ACTIONS(337),
    [anon_sym_string] = ACTIONS(337),
    [anon_sym_symbol] = ACTIONS(337),
    [anon_sym_object] = ACTIONS(337),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [ts_builtin_sym_end] = ACTIONS(339),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_export] = ACTIONS(344),
    [anon_sym_default] = ACTIONS(347),
    [anon_sym_type] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(352),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_RBRACE] = ACTIONS(339),
    [anon_sym_typeof] = ACTIONS(358),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_with] = ACTIONS(364),
    [anon_sym_var] = ACTIONS(367),
    [anon_sym_let] = ACTIONS(370),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(376),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_LPAREN] = ACTIONS(388),
    [anon_sym_await] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(394),
    [anon_sym_do] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(400),
    [anon_sym_break] = ACTIONS(403),
    [anon_sym_continue] = ACTIONS(406),
    [anon_sym_debugger] = ACTIONS(409),
    [anon_sym_return] = ACTIONS(412),
    [anon_sym_throw] = ACTIONS(415),
    [anon_sym_SEMI] = ACTIONS(418),
    [anon_sym_case] = ACTIONS(347),
    [anon_sym_yield] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(424),
    [sym_glimmer_opening_tag] = ACTIONS(427),
    [anon_sym_DQUOTE] = ACTIONS(430),
    [anon_sym_SQUOTE] = ACTIONS(433),
    [anon_sym_class] = ACTIONS(436),
    [anon_sym_async] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(442),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_using] = ACTIONS(448),
    [anon_sym_PLUS] = ACTIONS(358),
    [anon_sym_DASH] = ACTIONS(358),
    [anon_sym_SLASH] = ACTIONS(451),
    [anon_sym_LT] = ACTIONS(454),
    [anon_sym_TILDE] = ACTIONS(376),
    [anon_sym_void] = ACTIONS(358),
    [anon_sym_delete] = ACTIONS(358),
    [anon_sym_PLUS_PLUS] = ACTIONS(457),
    [anon_sym_DASH_DASH] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(460),
    [sym_number] = ACTIONS(463),
    [sym_private_property_identifier] = ACTIONS(466),
    [sym_this] = ACTIONS(469),
    [sym_super] = ACTIONS(469),
    [sym_true] = ACTIONS(469),
    [sym_false] = ACTIONS(469),
    [sym_null] = ACTIONS(469),
    [sym_undefined] = ACTIONS(472),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_static] = ACTIONS(478),
    [anon_sym_readonly] = ACTIONS(478),
    [anon_sym_get] = ACTIONS(478),
    [anon_sym_set] = ACTIONS(478),
    [anon_sym_declare] = ACTIONS(481),
    [anon_sym_public] = ACTIONS(478),
    [anon_sym_private] = ACTIONS(478),
    [anon_sym_protected] = ACTIONS(478),
    [anon_sym_override] = ACTIONS(478),
    [anon_sym_module] = ACTIONS(484),
    [anon_sym_any] = ACTIONS(478),
    [anon_sym_number] = ACTIONS(478),
    [anon_sym_boolean] = ACTIONS(478),
    [anon_sym_string] = ACTIONS(478),
    [anon_sym_symbol] = ACTIONS(478),
    [anon_sym_object] = ACTIONS(478),
    [anon_sym_abstract] = ACTIONS(487),
    [anon_sym_interface] = ACTIONS(490),
    [anon_sym_enum] = ACTIONS(493),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(496),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(496),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(500),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(502),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(500),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(11),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(504),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(504),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(508),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(508),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(16),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [ts_builtin_sym_end] = ACTIONS(512),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(514),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [ts_builtin_sym_end] = ACTIONS(516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [ts_builtin_sym_end] = ACTIONS(512),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(15),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(518),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(25),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(25),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(524),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(526),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(22),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(21),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(530),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(532),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(534),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(26),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(536),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(538),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(19),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(540),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(28),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_program_repeat1] = STATE(28),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(542),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_import] = STATE(3504),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1854),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(5658),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4611),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(4494),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(5105),
    [sym_optional_tuple_parameter] = STATE(5105),
    [sym_optional_type] = STATE(5105),
    [sym_rest_type] = STATE(5105),
    [sym__tuple_type_member] = STATE(5105),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(442),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6089),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5660),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(556),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_RBRACK] = ACTIONS(566),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(574),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(584),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(594),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(596),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(600),
    [anon_sym_number] = ACTIONS(600),
    [anon_sym_boolean] = ACTIONS(600),
    [anon_sym_string] = ACTIONS(600),
    [anon_sym_symbol] = ACTIONS(600),
    [anon_sym_object] = ACTIONS(600),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(6281),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(2373),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(3929),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(612),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(622),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(624),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(626),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(628),
    [anon_sym_async] = ACTIONS(630),
    [anon_sym_function] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(636),
    [anon_sym_readonly] = ACTIONS(636),
    [anon_sym_get] = ACTIONS(636),
    [anon_sym_set] = ACTIONS(636),
    [anon_sym_declare] = ACTIONS(638),
    [anon_sym_public] = ACTIONS(636),
    [anon_sym_private] = ACTIONS(636),
    [anon_sym_protected] = ACTIONS(636),
    [anon_sym_override] = ACTIONS(636),
    [anon_sym_module] = ACTIONS(640),
    [anon_sym_any] = ACTIONS(636),
    [anon_sym_number] = ACTIONS(636),
    [anon_sym_boolean] = ACTIONS(636),
    [anon_sym_string] = ACTIONS(636),
    [anon_sym_symbol] = ACTIONS(636),
    [anon_sym_object] = ACTIONS(636),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(907),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(2373),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(3929),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(612),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(622),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(624),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(626),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(628),
    [anon_sym_async] = ACTIONS(630),
    [anon_sym_function] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(636),
    [anon_sym_readonly] = ACTIONS(636),
    [anon_sym_get] = ACTIONS(636),
    [anon_sym_set] = ACTIONS(636),
    [anon_sym_declare] = ACTIONS(638),
    [anon_sym_public] = ACTIONS(636),
    [anon_sym_private] = ACTIONS(636),
    [anon_sym_protected] = ACTIONS(636),
    [anon_sym_override] = ACTIONS(636),
    [anon_sym_module] = ACTIONS(640),
    [anon_sym_any] = ACTIONS(636),
    [anon_sym_number] = ACTIONS(636),
    [anon_sym_boolean] = ACTIONS(636),
    [anon_sym_string] = ACTIONS(636),
    [anon_sym_symbol] = ACTIONS(636),
    [anon_sym_object] = ACTIONS(636),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(793),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(2373),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(3929),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(612),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(622),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(624),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(626),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(628),
    [anon_sym_async] = ACTIONS(630),
    [anon_sym_function] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(636),
    [anon_sym_readonly] = ACTIONS(636),
    [anon_sym_get] = ACTIONS(636),
    [anon_sym_set] = ACTIONS(636),
    [anon_sym_declare] = ACTIONS(638),
    [anon_sym_public] = ACTIONS(636),
    [anon_sym_private] = ACTIONS(636),
    [anon_sym_protected] = ACTIONS(636),
    [anon_sym_override] = ACTIONS(636),
    [anon_sym_module] = ACTIONS(640),
    [anon_sym_any] = ACTIONS(636),
    [anon_sym_number] = ACTIONS(636),
    [anon_sym_boolean] = ACTIONS(636),
    [anon_sym_string] = ACTIONS(636),
    [anon_sym_symbol] = ACTIONS(636),
    [anon_sym_object] = ACTIONS(636),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(869),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(2373),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(3929),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(612),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(622),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(624),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(626),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(628),
    [anon_sym_async] = ACTIONS(630),
    [anon_sym_function] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(636),
    [anon_sym_readonly] = ACTIONS(636),
    [anon_sym_get] = ACTIONS(636),
    [anon_sym_set] = ACTIONS(636),
    [anon_sym_declare] = ACTIONS(638),
    [anon_sym_public] = ACTIONS(636),
    [anon_sym_private] = ACTIONS(636),
    [anon_sym_protected] = ACTIONS(636),
    [anon_sym_override] = ACTIONS(636),
    [anon_sym_module] = ACTIONS(640),
    [anon_sym_any] = ACTIONS(636),
    [anon_sym_number] = ACTIONS(636),
    [anon_sym_boolean] = ACTIONS(636),
    [anon_sym_string] = ACTIONS(636),
    [anon_sym_symbol] = ACTIONS(636),
    [anon_sym_object] = ACTIONS(636),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(895),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(2373),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(3929),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(612),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(622),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(624),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(626),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(628),
    [anon_sym_async] = ACTIONS(630),
    [anon_sym_function] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(636),
    [anon_sym_readonly] = ACTIONS(636),
    [anon_sym_get] = ACTIONS(636),
    [anon_sym_set] = ACTIONS(636),
    [anon_sym_declare] = ACTIONS(638),
    [anon_sym_public] = ACTIONS(636),
    [anon_sym_private] = ACTIONS(636),
    [anon_sym_protected] = ACTIONS(636),
    [anon_sym_override] = ACTIONS(636),
    [anon_sym_module] = ACTIONS(640),
    [anon_sym_any] = ACTIONS(636),
    [anon_sym_number] = ACTIONS(636),
    [anon_sym_boolean] = ACTIONS(636),
    [anon_sym_string] = ACTIONS(636),
    [anon_sym_symbol] = ACTIONS(636),
    [anon_sym_object] = ACTIONS(636),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_import] = STATE(3504),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1831),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(4885),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4611),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(4494),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(5105),
    [sym_optional_tuple_parameter] = STATE(5105),
    [sym_optional_type] = STATE(5105),
    [sym_rest_type] = STATE(5105),
    [sym__tuple_type_member] = STATE(5105),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(442),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6089),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5646),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(556),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_RBRACK] = ACTIONS(642),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(574),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(584),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(594),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(596),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(600),
    [anon_sym_number] = ACTIONS(600),
    [anon_sym_boolean] = ACTIONS(600),
    [anon_sym_string] = ACTIONS(600),
    [anon_sym_symbol] = ACTIONS(600),
    [anon_sym_object] = ACTIONS(600),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(814),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(2373),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(3929),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(612),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(622),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(624),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(626),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(628),
    [anon_sym_async] = ACTIONS(630),
    [anon_sym_function] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(636),
    [anon_sym_readonly] = ACTIONS(636),
    [anon_sym_get] = ACTIONS(636),
    [anon_sym_set] = ACTIONS(636),
    [anon_sym_declare] = ACTIONS(638),
    [anon_sym_public] = ACTIONS(636),
    [anon_sym_private] = ACTIONS(636),
    [anon_sym_protected] = ACTIONS(636),
    [anon_sym_override] = ACTIONS(636),
    [anon_sym_module] = ACTIONS(640),
    [anon_sym_any] = ACTIONS(636),
    [anon_sym_number] = ACTIONS(636),
    [anon_sym_boolean] = ACTIONS(636),
    [anon_sym_string] = ACTIONS(636),
    [anon_sym_symbol] = ACTIONS(636),
    [anon_sym_object] = ACTIONS(636),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(814),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(900),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(2373),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(3929),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(612),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(622),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(624),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(626),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(628),
    [anon_sym_async] = ACTIONS(630),
    [anon_sym_function] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(636),
    [anon_sym_readonly] = ACTIONS(636),
    [anon_sym_get] = ACTIONS(636),
    [anon_sym_set] = ACTIONS(636),
    [anon_sym_declare] = ACTIONS(638),
    [anon_sym_public] = ACTIONS(636),
    [anon_sym_private] = ACTIONS(636),
    [anon_sym_protected] = ACTIONS(636),
    [anon_sym_override] = ACTIONS(636),
    [anon_sym_module] = ACTIONS(640),
    [anon_sym_any] = ACTIONS(636),
    [anon_sym_number] = ACTIONS(636),
    [anon_sym_boolean] = ACTIONS(636),
    [anon_sym_string] = ACTIONS(636),
    [anon_sym_symbol] = ACTIONS(636),
    [anon_sym_object] = ACTIONS(636),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(869),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(793),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_import] = STATE(3504),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1854),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(5658),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4611),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(4494),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(5105),
    [sym_optional_tuple_parameter] = STATE(5105),
    [sym_optional_type] = STATE(5105),
    [sym_rest_type] = STATE(5105),
    [sym__tuple_type_member] = STATE(5105),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(442),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6089),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5660),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(556),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_RBRACK] = ACTIONS(644),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(574),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(584),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(594),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(596),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(600),
    [anon_sym_number] = ACTIONS(600),
    [anon_sym_boolean] = ACTIONS(600),
    [anon_sym_string] = ACTIONS(600),
    [anon_sym_symbol] = ACTIONS(600),
    [anon_sym_object] = ACTIONS(600),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(862),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(886),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(900),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(766),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(907),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(895),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4012),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(862),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(2373),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(3929),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(612),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(622),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(624),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(626),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(628),
    [anon_sym_async] = ACTIONS(630),
    [anon_sym_function] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(636),
    [anon_sym_readonly] = ACTIONS(636),
    [anon_sym_get] = ACTIONS(636),
    [anon_sym_set] = ACTIONS(636),
    [anon_sym_declare] = ACTIONS(638),
    [anon_sym_public] = ACTIONS(636),
    [anon_sym_private] = ACTIONS(636),
    [anon_sym_protected] = ACTIONS(636),
    [anon_sym_override] = ACTIONS(636),
    [anon_sym_module] = ACTIONS(640),
    [anon_sym_any] = ACTIONS(636),
    [anon_sym_number] = ACTIONS(636),
    [anon_sym_boolean] = ACTIONS(636),
    [anon_sym_string] = ACTIONS(636),
    [anon_sym_symbol] = ACTIONS(636),
    [anon_sym_object] = ACTIONS(636),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_import] = STATE(3504),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1854),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(5658),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4611),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(4494),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(5105),
    [sym_optional_tuple_parameter] = STATE(5105),
    [sym_optional_type] = STATE(5105),
    [sym_rest_type] = STATE(5105),
    [sym__tuple_type_member] = STATE(5105),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(442),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6089),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5660),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(556),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_RBRACK] = ACTIONS(646),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(574),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(584),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(594),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(596),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(600),
    [anon_sym_number] = ACTIONS(600),
    [anon_sym_boolean] = ACTIONS(600),
    [anon_sym_string] = ACTIONS(600),
    [anon_sym_symbol] = ACTIONS(600),
    [anon_sym_object] = ACTIONS(600),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_import] = STATE(3504),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1854),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(5658),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4611),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(4494),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(5105),
    [sym_optional_tuple_parameter] = STATE(5105),
    [sym_optional_type] = STATE(5105),
    [sym_rest_type] = STATE(5105),
    [sym__tuple_type_member] = STATE(5105),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(442),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6089),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5660),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(556),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_RBRACK] = ACTIONS(648),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(574),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(584),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(594),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(596),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(600),
    [anon_sym_number] = ACTIONS(600),
    [anon_sym_boolean] = ACTIONS(600),
    [anon_sym_string] = ACTIONS(600),
    [anon_sym_symbol] = ACTIONS(600),
    [anon_sym_object] = ACTIONS(600),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_import] = STATE(3504),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1854),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(5658),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4611),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(4494),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(5105),
    [sym_optional_tuple_parameter] = STATE(5105),
    [sym_optional_type] = STATE(5105),
    [sym_rest_type] = STATE(5105),
    [sym__tuple_type_member] = STATE(5105),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(442),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6089),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5660),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(556),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_RBRACK] = ACTIONS(650),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(574),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(584),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(594),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(596),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(600),
    [anon_sym_number] = ACTIONS(600),
    [anon_sym_boolean] = ACTIONS(600),
    [anon_sym_string] = ACTIONS(600),
    [anon_sym_symbol] = ACTIONS(600),
    [anon_sym_object] = ACTIONS(600),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(886),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(2373),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(3929),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(612),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(622),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(624),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(626),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(628),
    [anon_sym_async] = ACTIONS(630),
    [anon_sym_function] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(636),
    [anon_sym_readonly] = ACTIONS(636),
    [anon_sym_get] = ACTIONS(636),
    [anon_sym_set] = ACTIONS(636),
    [anon_sym_declare] = ACTIONS(638),
    [anon_sym_public] = ACTIONS(636),
    [anon_sym_private] = ACTIONS(636),
    [anon_sym_protected] = ACTIONS(636),
    [anon_sym_override] = ACTIONS(636),
    [anon_sym_module] = ACTIONS(640),
    [anon_sym_any] = ACTIONS(636),
    [anon_sym_number] = ACTIONS(636),
    [anon_sym_boolean] = ACTIONS(636),
    [anon_sym_string] = ACTIONS(636),
    [anon_sym_symbol] = ACTIONS(636),
    [anon_sym_object] = ACTIONS(636),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_import] = STATE(3504),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1831),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(4885),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4611),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(4494),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(5105),
    [sym_optional_tuple_parameter] = STATE(5105),
    [sym_optional_type] = STATE(5105),
    [sym_rest_type] = STATE(5105),
    [sym__tuple_type_member] = STATE(5105),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(442),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6089),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5646),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(556),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_RBRACK] = ACTIONS(652),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(574),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(584),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(594),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(596),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(600),
    [anon_sym_number] = ACTIONS(600),
    [anon_sym_boolean] = ACTIONS(600),
    [anon_sym_string] = ACTIONS(600),
    [anon_sym_symbol] = ACTIONS(600),
    [anon_sym_object] = ACTIONS(600),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_import] = STATE(3504),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1854),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(5658),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4611),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(4494),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(5105),
    [sym_optional_tuple_parameter] = STATE(5105),
    [sym_optional_type] = STATE(5105),
    [sym_rest_type] = STATE(5105),
    [sym__tuple_type_member] = STATE(5105),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(442),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6089),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5660),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(556),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_RBRACK] = ACTIONS(654),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(574),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(584),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(594),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(596),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(600),
    [anon_sym_number] = ACTIONS(600),
    [anon_sym_boolean] = ACTIONS(600),
    [anon_sym_string] = ACTIONS(600),
    [anon_sym_symbol] = ACTIONS(600),
    [anon_sym_object] = ACTIONS(600),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_import] = STATE(3504),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1854),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(5658),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4611),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(4494),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(5105),
    [sym_optional_tuple_parameter] = STATE(5105),
    [sym_optional_type] = STATE(5105),
    [sym_rest_type] = STATE(5105),
    [sym__tuple_type_member] = STATE(5105),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(442),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6089),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5660),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(556),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_RBRACK] = ACTIONS(656),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(574),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(584),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(594),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(596),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(600),
    [anon_sym_number] = ACTIONS(600),
    [anon_sym_boolean] = ACTIONS(600),
    [anon_sym_string] = ACTIONS(600),
    [anon_sym_symbol] = ACTIONS(600),
    [anon_sym_object] = ACTIONS(600),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_import] = STATE(3504),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1854),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(5658),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4611),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(4494),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(4956),
    [sym_optional_tuple_parameter] = STATE(4956),
    [sym_optional_type] = STATE(4956),
    [sym_rest_type] = STATE(4956),
    [sym__tuple_type_member] = STATE(4956),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(442),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6089),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5660),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(658),
    [anon_sym_typeof] = ACTIONS(556),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_RBRACK] = ACTIONS(660),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(574),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(584),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(594),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(596),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(600),
    [anon_sym_number] = ACTIONS(600),
    [anon_sym_boolean] = ACTIONS(600),
    [anon_sym_string] = ACTIONS(600),
    [anon_sym_symbol] = ACTIONS(600),
    [anon_sym_object] = ACTIONS(600),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_export_statement] = STATE(832),
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3477),
    [sym_import_statement] = STATE(832),
    [sym_statement] = STATE(5250),
    [sym_expression_statement] = STATE(832),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_statement_block] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_for_in_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_with_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_debugger_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_empty_statement] = STATE(832),
    [sym_labeled_statement] = STATE(832),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(2373),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(3929),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(612),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(618),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(622),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(624),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(626),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(628),
    [anon_sym_async] = ACTIONS(630),
    [anon_sym_function] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(636),
    [anon_sym_readonly] = ACTIONS(636),
    [anon_sym_get] = ACTIONS(636),
    [anon_sym_set] = ACTIONS(636),
    [anon_sym_declare] = ACTIONS(638),
    [anon_sym_public] = ACTIONS(636),
    [anon_sym_private] = ACTIONS(636),
    [anon_sym_protected] = ACTIONS(636),
    [anon_sym_override] = ACTIONS(636),
    [anon_sym_module] = ACTIONS(640),
    [anon_sym_any] = ACTIONS(636),
    [anon_sym_number] = ACTIONS(636),
    [anon_sym_boolean] = ACTIONS(636),
    [anon_sym_string] = ACTIONS(636),
    [anon_sym_symbol] = ACTIONS(636),
    [anon_sym_object] = ACTIONS(636),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1307),
    [sym_expression] = STATE(2476),
    [sym_primary_expression] = STATE(1760),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1307),
    [sym_subscript_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1307),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [aux_sym_object_repeat1] = STATE(5582),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(687),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(691),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_readonly] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(664),
    [anon_sym_public] = ACTIONS(664),
    [anon_sym_private] = ACTIONS(664),
    [anon_sym_protected] = ACTIONS(664),
    [anon_sym_override] = ACTIONS(664),
    [anon_sym_module] = ACTIONS(664),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1307),
    [sym_expression] = STATE(2476),
    [sym_primary_expression] = STATE(1760),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1307),
    [sym_subscript_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1307),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(687),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(691),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_readonly] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(664),
    [anon_sym_public] = ACTIONS(664),
    [anon_sym_private] = ACTIONS(664),
    [anon_sym_protected] = ACTIONS(664),
    [anon_sym_override] = ACTIONS(664),
    [anon_sym_module] = ACTIONS(664),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1307),
    [sym_expression] = STATE(2476),
    [sym_primary_expression] = STATE(1760),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1307),
    [sym_subscript_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1307),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(687),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(691),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_readonly] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(664),
    [anon_sym_public] = ACTIONS(664),
    [anon_sym_private] = ACTIONS(664),
    [anon_sym_protected] = ACTIONS(664),
    [anon_sym_override] = ACTIONS(664),
    [anon_sym_module] = ACTIONS(664),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4572),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(221),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_RPAREN] = ACTIONS(224),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(224),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(706),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(711),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(714),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(719),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_import] = STATE(3501),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1589),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4567),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4567),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym__formal_parameter] = STATE(5603),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1327),
    [sym_subscript_expression] = STATE(1327),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4567),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6182),
    [sym_string] = STATE(2399),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1327),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5603),
    [sym_optional_parameter] = STATE(5603),
    [sym__parameter_name] = STATE(3884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4732),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(490),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(725),
    [anon_sym_export] = ACTIONS(727),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(727),
    [anon_sym_namespace] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(737),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(743),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(745),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(747),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(757),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(763),
    [sym_number] = ACTIONS(765),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(769),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(771),
    [sym_false] = ACTIONS(771),
    [sym_null] = ACTIONS(771),
    [sym_undefined] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(727),
    [anon_sym_readonly] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(727),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(727),
    [anon_sym_public] = ACTIONS(781),
    [anon_sym_private] = ACTIONS(781),
    [anon_sym_protected] = ACTIONS(781),
    [anon_sym_override] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(727),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_number] = ACTIONS(785),
    [anon_sym_boolean] = ACTIONS(785),
    [anon_sym_string] = ACTIONS(785),
    [anon_sym_symbol] = ACTIONS(785),
    [anon_sym_object] = ACTIONS(785),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4575),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(706),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(711),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(714),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(787),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4580),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(706),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(711),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(714),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(789),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4585),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(706),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(711),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(714),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(791),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4265),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(706),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(711),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(714),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(793),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4399),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(706),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(711),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(714),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(795),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4572),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(706),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(711),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(714),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(719),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_import] = STATE(3501),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1605),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4567),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4567),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym__formal_parameter] = STATE(5603),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1327),
    [sym_subscript_expression] = STATE(1327),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4567),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6163),
    [sym_string] = STATE(2399),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1327),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5603),
    [sym_optional_parameter] = STATE(5603),
    [sym__parameter_name] = STATE(3884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4732),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(490),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(725),
    [anon_sym_export] = ACTIONS(727),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(727),
    [anon_sym_namespace] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(737),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(743),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(745),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(747),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(757),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(763),
    [sym_number] = ACTIONS(765),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(769),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(771),
    [sym_false] = ACTIONS(771),
    [sym_null] = ACTIONS(771),
    [sym_undefined] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(727),
    [anon_sym_readonly] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(727),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(727),
    [anon_sym_public] = ACTIONS(781),
    [anon_sym_private] = ACTIONS(781),
    [anon_sym_protected] = ACTIONS(781),
    [anon_sym_override] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(727),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_number] = ACTIONS(785),
    [anon_sym_boolean] = ACTIONS(785),
    [anon_sym_string] = ACTIONS(785),
    [anon_sym_symbol] = ACTIONS(785),
    [anon_sym_object] = ACTIONS(785),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4391),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(706),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(711),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(714),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(797),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_import] = STATE(3501),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1589),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4567),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4567),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym__formal_parameter] = STATE(5603),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1327),
    [sym_subscript_expression] = STATE(1327),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4567),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6182),
    [sym_string] = STATE(2399),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1327),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5603),
    [sym_optional_parameter] = STATE(5603),
    [sym__parameter_name] = STATE(3884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4726),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(490),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(725),
    [anon_sym_export] = ACTIONS(727),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(727),
    [anon_sym_namespace] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(737),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(743),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(745),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(747),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(757),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(763),
    [sym_number] = ACTIONS(765),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(769),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(771),
    [sym_false] = ACTIONS(771),
    [sym_null] = ACTIONS(771),
    [sym_undefined] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(727),
    [anon_sym_readonly] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(727),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(727),
    [anon_sym_public] = ACTIONS(781),
    [anon_sym_private] = ACTIONS(781),
    [anon_sym_protected] = ACTIONS(781),
    [anon_sym_override] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(727),
    [anon_sym_any] = ACTIONS(785),
    [anon_sym_number] = ACTIONS(785),
    [anon_sym_boolean] = ACTIONS(785),
    [anon_sym_string] = ACTIONS(785),
    [anon_sym_symbol] = ACTIONS(785),
    [anon_sym_object] = ACTIONS(785),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(809),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(809),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(809),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_import] = STATE(3476),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym__formal_parameter] = STATE(5603),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5603),
    [sym_optional_parameter] = STATE(5603),
    [sym__parameter_name] = STATE(3884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4732),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(497),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(737),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(827),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(829),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_RBRACE] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(128),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_import] = STATE(3476),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym__formal_parameter] = STATE(5603),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5603),
    [sym_optional_parameter] = STATE(5603),
    [sym__parameter_name] = STATE(3884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4745),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(497),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(737),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(827),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(829),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_import] = STATE(3476),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym__formal_parameter] = STATE(5603),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5603),
    [sym_optional_parameter] = STATE(5603),
    [sym__parameter_name] = STATE(3884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4704),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(497),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(737),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(827),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(829),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_import] = STATE(3476),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym__formal_parameter] = STATE(5603),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5603),
    [sym_optional_parameter] = STATE(5603),
    [sym__parameter_name] = STATE(3884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4726),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(497),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(737),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(827),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(829),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_import] = STATE(3476),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym__formal_parameter] = STATE(5603),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5603),
    [sym_optional_parameter] = STATE(5603),
    [sym__parameter_name] = STATE(3884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4736),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(497),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(737),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(827),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(829),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4495),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(5827),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1307),
    [sym_expression] = STATE(2476),
    [sym_primary_expression] = STATE(1760),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1307),
    [sym_subscript_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1307),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(837),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(687),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(691),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_readonly] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [anon_sym_declare] = ACTIONS(664),
    [anon_sym_public] = ACTIONS(664),
    [anon_sym_private] = ACTIONS(664),
    [anon_sym_protected] = ACTIONS(664),
    [anon_sym_override] = ACTIONS(664),
    [anon_sym_module] = ACTIONS(664),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1307),
    [sym_expression] = STATE(2476),
    [sym_primary_expression] = STATE(1760),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1307),
    [sym_subscript_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4495),
    [sym_non_null_expression] = STATE(1307),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(5827),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(687),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(691),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_readonly] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [anon_sym_declare] = ACTIONS(664),
    [anon_sym_public] = ACTIONS(664),
    [anon_sym_private] = ACTIONS(664),
    [anon_sym_protected] = ACTIONS(664),
    [anon_sym_override] = ACTIONS(664),
    [anon_sym_module] = ACTIONS(664),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4495),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(5827),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(839),
    [anon_sym_export] = ACTIONS(841),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(221),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(841),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(224),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(224),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(851),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_readonly] = ACTIONS(841),
    [anon_sym_get] = ACTIONS(841),
    [anon_sym_set] = ACTIONS(841),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(841),
    [anon_sym_public] = ACTIONS(841),
    [anon_sym_private] = ACTIONS(841),
    [anon_sym_protected] = ACTIONS(841),
    [anon_sym_override] = ACTIONS(841),
    [anon_sym_module] = ACTIONS(841),
    [anon_sym_any] = ACTIONS(841),
    [anon_sym_number] = ACTIONS(841),
    [anon_sym_boolean] = ACTIONS(841),
    [anon_sym_string] = ACTIONS(841),
    [anon_sym_symbol] = ACTIONS(841),
    [anon_sym_object] = ACTIONS(841),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(839),
    [anon_sym_export] = ACTIONS(841),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(221),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(841),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(224),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(224),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(851),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_readonly] = ACTIONS(841),
    [anon_sym_get] = ACTIONS(841),
    [anon_sym_set] = ACTIONS(841),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(841),
    [anon_sym_public] = ACTIONS(841),
    [anon_sym_private] = ACTIONS(841),
    [anon_sym_protected] = ACTIONS(841),
    [anon_sym_override] = ACTIONS(841),
    [anon_sym_module] = ACTIONS(841),
    [anon_sym_any] = ACTIONS(841),
    [anon_sym_number] = ACTIONS(841),
    [anon_sym_boolean] = ACTIONS(841),
    [anon_sym_string] = ACTIONS(841),
    [anon_sym_symbol] = ACTIONS(841),
    [anon_sym_object] = ACTIONS(841),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1307),
    [sym_expression] = STATE(2476),
    [sym_primary_expression] = STATE(1760),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1307),
    [sym_subscript_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1307),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(853),
    [anon_sym_of] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(687),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(691),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_readonly] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [anon_sym_declare] = ACTIONS(664),
    [anon_sym_public] = ACTIONS(664),
    [anon_sym_private] = ACTIONS(664),
    [anon_sym_protected] = ACTIONS(664),
    [anon_sym_override] = ACTIONS(664),
    [anon_sym_module] = ACTIONS(664),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1307),
    [sym_expression] = STATE(2476),
    [sym_primary_expression] = STATE(1760),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1307),
    [sym_subscript_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1307),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(858),
    [anon_sym_export] = ACTIONS(860),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(860),
    [anon_sym_EQ] = ACTIONS(862),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(860),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(866),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(868),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(870),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(691),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(860),
    [anon_sym_readonly] = ACTIONS(860),
    [anon_sym_get] = ACTIONS(860),
    [anon_sym_set] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(860),
    [anon_sym_public] = ACTIONS(860),
    [anon_sym_private] = ACTIONS(860),
    [anon_sym_protected] = ACTIONS(860),
    [anon_sym_override] = ACTIONS(860),
    [anon_sym_module] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(860),
    [anon_sym_number] = ACTIONS(860),
    [anon_sym_boolean] = ACTIONS(860),
    [anon_sym_string] = ACTIONS(860),
    [anon_sym_symbol] = ACTIONS(860),
    [anon_sym_object] = ACTIONS(860),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1307),
    [sym_expression] = STATE(2476),
    [sym_primary_expression] = STATE(1760),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1307),
    [sym_subscript_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4495),
    [sym_non_null_expression] = STATE(1307),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(5827),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(858),
    [anon_sym_export] = ACTIONS(860),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(860),
    [anon_sym_EQ] = ACTIONS(862),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(860),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(866),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(868),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(870),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(691),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(860),
    [anon_sym_readonly] = ACTIONS(860),
    [anon_sym_get] = ACTIONS(860),
    [anon_sym_set] = ACTIONS(860),
    [anon_sym_declare] = ACTIONS(860),
    [anon_sym_public] = ACTIONS(860),
    [anon_sym_private] = ACTIONS(860),
    [anon_sym_protected] = ACTIONS(860),
    [anon_sym_override] = ACTIONS(860),
    [anon_sym_module] = ACTIONS(860),
    [anon_sym_any] = ACTIONS(860),
    [anon_sym_number] = ACTIONS(860),
    [anon_sym_boolean] = ACTIONS(860),
    [anon_sym_string] = ACTIONS(860),
    [anon_sym_symbol] = ACTIONS(860),
    [anon_sym_object] = ACTIONS(860),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4495),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(5827),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(876),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(876),
    [anon_sym_EQ] = ACTIONS(878),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(880),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(876),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(882),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(876),
    [anon_sym_readonly] = ACTIONS(876),
    [anon_sym_get] = ACTIONS(876),
    [anon_sym_set] = ACTIONS(876),
    [anon_sym_declare] = ACTIONS(876),
    [anon_sym_public] = ACTIONS(876),
    [anon_sym_private] = ACTIONS(876),
    [anon_sym_protected] = ACTIONS(876),
    [anon_sym_override] = ACTIONS(876),
    [anon_sym_module] = ACTIONS(876),
    [anon_sym_any] = ACTIONS(876),
    [anon_sym_number] = ACTIONS(876),
    [anon_sym_boolean] = ACTIONS(876),
    [anon_sym_string] = ACTIONS(876),
    [anon_sym_symbol] = ACTIONS(876),
    [anon_sym_object] = ACTIONS(876),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(868),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1307),
    [sym_expression] = STATE(2476),
    [sym_primary_expression] = STATE(1760),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1307),
    [sym_subscript_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1307),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(687),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(691),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_readonly] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [anon_sym_declare] = ACTIONS(664),
    [anon_sym_public] = ACTIONS(664),
    [anon_sym_private] = ACTIONS(664),
    [anon_sym_protected] = ACTIONS(664),
    [anon_sym_override] = ACTIONS(664),
    [anon_sym_module] = ACTIONS(664),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1307),
    [sym_expression] = STATE(2476),
    [sym_primary_expression] = STATE(1760),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1307),
    [sym_subscript_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1307),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(687),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(691),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_readonly] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [anon_sym_declare] = ACTIONS(664),
    [anon_sym_public] = ACTIONS(664),
    [anon_sym_private] = ACTIONS(664),
    [anon_sym_protected] = ACTIONS(664),
    [anon_sym_override] = ACTIONS(664),
    [anon_sym_module] = ACTIONS(664),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(876),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(876),
    [anon_sym_EQ] = ACTIONS(878),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(880),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(876),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(882),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(876),
    [anon_sym_readonly] = ACTIONS(876),
    [anon_sym_get] = ACTIONS(876),
    [anon_sym_set] = ACTIONS(876),
    [anon_sym_declare] = ACTIONS(876),
    [anon_sym_public] = ACTIONS(876),
    [anon_sym_private] = ACTIONS(876),
    [anon_sym_protected] = ACTIONS(876),
    [anon_sym_override] = ACTIONS(876),
    [anon_sym_module] = ACTIONS(876),
    [anon_sym_any] = ACTIONS(876),
    [anon_sym_number] = ACTIONS(876),
    [anon_sym_boolean] = ACTIONS(876),
    [anon_sym_string] = ACTIONS(876),
    [anon_sym_symbol] = ACTIONS(876),
    [anon_sym_object] = ACTIONS(876),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(839),
    [anon_sym_export] = ACTIONS(841),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(890),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(841),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(851),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_readonly] = ACTIONS(841),
    [anon_sym_get] = ACTIONS(841),
    [anon_sym_set] = ACTIONS(841),
    [anon_sym_declare] = ACTIONS(841),
    [anon_sym_public] = ACTIONS(841),
    [anon_sym_private] = ACTIONS(841),
    [anon_sym_protected] = ACTIONS(841),
    [anon_sym_override] = ACTIONS(841),
    [anon_sym_module] = ACTIONS(841),
    [anon_sym_any] = ACTIONS(841),
    [anon_sym_number] = ACTIONS(841),
    [anon_sym_boolean] = ACTIONS(841),
    [anon_sym_string] = ACTIONS(841),
    [anon_sym_symbol] = ACTIONS(841),
    [anon_sym_object] = ACTIONS(841),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(876),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(876),
    [anon_sym_EQ] = ACTIONS(878),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(880),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(892),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(876),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(892),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(882),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(876),
    [anon_sym_readonly] = ACTIONS(876),
    [anon_sym_get] = ACTIONS(876),
    [anon_sym_set] = ACTIONS(876),
    [anon_sym_declare] = ACTIONS(876),
    [anon_sym_public] = ACTIONS(876),
    [anon_sym_private] = ACTIONS(876),
    [anon_sym_protected] = ACTIONS(876),
    [anon_sym_override] = ACTIONS(876),
    [anon_sym_module] = ACTIONS(876),
    [anon_sym_any] = ACTIONS(876),
    [anon_sym_number] = ACTIONS(876),
    [anon_sym_boolean] = ACTIONS(876),
    [anon_sym_string] = ACTIONS(876),
    [anon_sym_symbol] = ACTIONS(876),
    [anon_sym_object] = ACTIONS(876),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4495),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(5827),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(839),
    [anon_sym_export] = ACTIONS(841),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(890),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(841),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(851),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_readonly] = ACTIONS(841),
    [anon_sym_get] = ACTIONS(841),
    [anon_sym_set] = ACTIONS(841),
    [anon_sym_declare] = ACTIONS(841),
    [anon_sym_public] = ACTIONS(841),
    [anon_sym_private] = ACTIONS(841),
    [anon_sym_protected] = ACTIONS(841),
    [anon_sym_override] = ACTIONS(841),
    [anon_sym_module] = ACTIONS(841),
    [anon_sym_any] = ACTIONS(841),
    [anon_sym_number] = ACTIONS(841),
    [anon_sym_boolean] = ACTIONS(841),
    [anon_sym_string] = ACTIONS(841),
    [anon_sym_symbol] = ACTIONS(841),
    [anon_sym_object] = ACTIONS(841),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(895),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_EQ] = ACTIONS(899),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(902),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(897),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(904),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(224),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(906),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(908),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(910),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(897),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(897),
    [anon_sym_private] = ACTIONS(897),
    [anon_sym_protected] = ACTIONS(897),
    [anon_sym_override] = ACTIONS(897),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(897),
    [anon_sym_number] = ACTIONS(897),
    [anon_sym_boolean] = ACTIONS(897),
    [anon_sym_string] = ACTIONS(897),
    [anon_sym_symbol] = ACTIONS(897),
    [anon_sym_object] = ACTIONS(897),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4495),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(5827),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(876),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(876),
    [anon_sym_EQ] = ACTIONS(878),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(880),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(892),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(876),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(892),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(882),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(876),
    [anon_sym_readonly] = ACTIONS(876),
    [anon_sym_get] = ACTIONS(876),
    [anon_sym_set] = ACTIONS(876),
    [anon_sym_declare] = ACTIONS(876),
    [anon_sym_public] = ACTIONS(876),
    [anon_sym_private] = ACTIONS(876),
    [anon_sym_protected] = ACTIONS(876),
    [anon_sym_override] = ACTIONS(876),
    [anon_sym_module] = ACTIONS(876),
    [anon_sym_any] = ACTIONS(876),
    [anon_sym_number] = ACTIONS(876),
    [anon_sym_boolean] = ACTIONS(876),
    [anon_sym_string] = ACTIONS(876),
    [anon_sym_symbol] = ACTIONS(876),
    [anon_sym_object] = ACTIONS(876),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(876),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(876),
    [anon_sym_EQ] = ACTIONS(912),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(880),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_RBRACE] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(876),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(224),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(882),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(876),
    [anon_sym_readonly] = ACTIONS(876),
    [anon_sym_get] = ACTIONS(876),
    [anon_sym_set] = ACTIONS(876),
    [anon_sym_declare] = ACTIONS(876),
    [anon_sym_public] = ACTIONS(876),
    [anon_sym_private] = ACTIONS(876),
    [anon_sym_protected] = ACTIONS(876),
    [anon_sym_override] = ACTIONS(876),
    [anon_sym_module] = ACTIONS(876),
    [anon_sym_any] = ACTIONS(876),
    [anon_sym_number] = ACTIONS(876),
    [anon_sym_boolean] = ACTIONS(876),
    [anon_sym_string] = ACTIONS(876),
    [anon_sym_symbol] = ACTIONS(876),
    [anon_sym_object] = ACTIONS(876),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4177),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6006),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(876),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(876),
    [anon_sym_EQ] = ACTIONS(912),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(880),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_RBRACE] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(876),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(882),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(876),
    [anon_sym_readonly] = ACTIONS(876),
    [anon_sym_get] = ACTIONS(876),
    [anon_sym_set] = ACTIONS(876),
    [anon_sym_declare] = ACTIONS(876),
    [anon_sym_public] = ACTIONS(876),
    [anon_sym_private] = ACTIONS(876),
    [anon_sym_protected] = ACTIONS(876),
    [anon_sym_override] = ACTIONS(876),
    [anon_sym_module] = ACTIONS(876),
    [anon_sym_any] = ACTIONS(876),
    [anon_sym_number] = ACTIONS(876),
    [anon_sym_boolean] = ACTIONS(876),
    [anon_sym_string] = ACTIONS(876),
    [anon_sym_symbol] = ACTIONS(876),
    [anon_sym_object] = ACTIONS(876),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(895),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_EQ] = ACTIONS(899),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(902),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(897),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(224),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(906),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(908),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(910),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(897),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(897),
    [anon_sym_private] = ACTIONS(897),
    [anon_sym_protected] = ACTIONS(897),
    [anon_sym_override] = ACTIONS(897),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(897),
    [anon_sym_number] = ACTIONS(897),
    [anon_sym_boolean] = ACTIONS(897),
    [anon_sym_string] = ACTIONS(897),
    [anon_sym_symbol] = ACTIONS(897),
    [anon_sym_object] = ACTIONS(897),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(895),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_EQ] = ACTIONS(915),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(902),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(897),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(904),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(906),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(908),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(910),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(897),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(897),
    [anon_sym_private] = ACTIONS(897),
    [anon_sym_protected] = ACTIONS(897),
    [anon_sym_override] = ACTIONS(897),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(897),
    [anon_sym_number] = ACTIONS(897),
    [anon_sym_boolean] = ACTIONS(897),
    [anon_sym_string] = ACTIONS(897),
    [anon_sym_symbol] = ACTIONS(897),
    [anon_sym_object] = ACTIONS(897),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1307),
    [sym_expression] = STATE(2476),
    [sym_primary_expression] = STATE(1760),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1307),
    [sym_subscript_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1307),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_export] = ACTIONS(919),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(919),
    [anon_sym_EQ] = ACTIONS(921),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(927),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(929),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(691),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(919),
    [anon_sym_readonly] = ACTIONS(919),
    [anon_sym_get] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(919),
    [anon_sym_declare] = ACTIONS(919),
    [anon_sym_public] = ACTIONS(919),
    [anon_sym_private] = ACTIONS(919),
    [anon_sym_protected] = ACTIONS(919),
    [anon_sym_override] = ACTIONS(919),
    [anon_sym_module] = ACTIONS(919),
    [anon_sym_any] = ACTIONS(919),
    [anon_sym_number] = ACTIONS(919),
    [anon_sym_boolean] = ACTIONS(919),
    [anon_sym_string] = ACTIONS(919),
    [anon_sym_symbol] = ACTIONS(919),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1307),
    [sym_expression] = STATE(2476),
    [sym_primary_expression] = STATE(1760),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1307),
    [sym_subscript_expression] = STATE(1307),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4495),
    [sym_non_null_expression] = STATE(1307),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(5827),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_export] = ACTIONS(919),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(919),
    [anon_sym_EQ] = ACTIONS(921),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_EQ_GT] = ACTIONS(927),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(929),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(691),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(919),
    [anon_sym_readonly] = ACTIONS(919),
    [anon_sym_get] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(919),
    [anon_sym_declare] = ACTIONS(919),
    [anon_sym_public] = ACTIONS(919),
    [anon_sym_private] = ACTIONS(919),
    [anon_sym_protected] = ACTIONS(919),
    [anon_sym_override] = ACTIONS(919),
    [anon_sym_module] = ACTIONS(919),
    [anon_sym_any] = ACTIONS(919),
    [anon_sym_number] = ACTIONS(919),
    [anon_sym_boolean] = ACTIONS(919),
    [anon_sym_string] = ACTIONS(919),
    [anon_sym_symbol] = ACTIONS(919),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(927),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4495),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(5827),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(931),
    [anon_sym_export] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(933),
    [anon_sym_EQ] = ACTIONS(935),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(933),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(939),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(941),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(943),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(933),
    [anon_sym_readonly] = ACTIONS(933),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_declare] = ACTIONS(933),
    [anon_sym_public] = ACTIONS(933),
    [anon_sym_private] = ACTIONS(933),
    [anon_sym_protected] = ACTIONS(933),
    [anon_sym_override] = ACTIONS(933),
    [anon_sym_module] = ACTIONS(933),
    [anon_sym_any] = ACTIONS(933),
    [anon_sym_number] = ACTIONS(933),
    [anon_sym_boolean] = ACTIONS(933),
    [anon_sym_string] = ACTIONS(933),
    [anon_sym_symbol] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4622),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6093),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(876),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(876),
    [anon_sym_EQ] = ACTIONS(912),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(880),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(876),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(224),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(882),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(876),
    [anon_sym_readonly] = ACTIONS(876),
    [anon_sym_get] = ACTIONS(876),
    [anon_sym_set] = ACTIONS(876),
    [anon_sym_declare] = ACTIONS(876),
    [anon_sym_public] = ACTIONS(876),
    [anon_sym_private] = ACTIONS(876),
    [anon_sym_protected] = ACTIONS(876),
    [anon_sym_override] = ACTIONS(876),
    [anon_sym_module] = ACTIONS(876),
    [anon_sym_any] = ACTIONS(876),
    [anon_sym_number] = ACTIONS(876),
    [anon_sym_boolean] = ACTIONS(876),
    [anon_sym_string] = ACTIONS(876),
    [anon_sym_symbol] = ACTIONS(876),
    [anon_sym_object] = ACTIONS(876),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(895),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_EQ] = ACTIONS(915),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(902),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(897),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(947),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(906),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(908),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(910),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(897),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(897),
    [anon_sym_private] = ACTIONS(897),
    [anon_sym_protected] = ACTIONS(897),
    [anon_sym_override] = ACTIONS(897),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(897),
    [anon_sym_number] = ACTIONS(897),
    [anon_sym_boolean] = ACTIONS(897),
    [anon_sym_string] = ACTIONS(897),
    [anon_sym_symbol] = ACTIONS(897),
    [anon_sym_object] = ACTIONS(897),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(931),
    [anon_sym_export] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(933),
    [anon_sym_EQ] = ACTIONS(935),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(933),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(939),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(941),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(943),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(933),
    [anon_sym_readonly] = ACTIONS(933),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_declare] = ACTIONS(933),
    [anon_sym_public] = ACTIONS(933),
    [anon_sym_private] = ACTIONS(933),
    [anon_sym_protected] = ACTIONS(933),
    [anon_sym_override] = ACTIONS(933),
    [anon_sym_module] = ACTIONS(933),
    [anon_sym_any] = ACTIONS(933),
    [anon_sym_number] = ACTIONS(933),
    [anon_sym_boolean] = ACTIONS(933),
    [anon_sym_string] = ACTIONS(933),
    [anon_sym_symbol] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(933),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(941),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4495),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(5827),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(853),
    [anon_sym_of] = ACTIONS(856),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4495),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(5827),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(951),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(951),
    [anon_sym_EQ] = ACTIONS(953),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(957),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(959),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(961),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(951),
    [anon_sym_readonly] = ACTIONS(951),
    [anon_sym_get] = ACTIONS(951),
    [anon_sym_set] = ACTIONS(951),
    [anon_sym_declare] = ACTIONS(951),
    [anon_sym_public] = ACTIONS(951),
    [anon_sym_private] = ACTIONS(951),
    [anon_sym_protected] = ACTIONS(951),
    [anon_sym_override] = ACTIONS(951),
    [anon_sym_module] = ACTIONS(951),
    [anon_sym_any] = ACTIONS(951),
    [anon_sym_number] = ACTIONS(951),
    [anon_sym_boolean] = ACTIONS(951),
    [anon_sym_string] = ACTIONS(951),
    [anon_sym_symbol] = ACTIONS(951),
    [anon_sym_object] = ACTIONS(951),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4495),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(5827),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(895),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_EQ] = ACTIONS(915),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(902),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(897),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(906),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(908),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(910),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(897),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(897),
    [anon_sym_private] = ACTIONS(897),
    [anon_sym_protected] = ACTIONS(897),
    [anon_sym_override] = ACTIONS(897),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(897),
    [anon_sym_number] = ACTIONS(897),
    [anon_sym_boolean] = ACTIONS(897),
    [anon_sym_string] = ACTIONS(897),
    [anon_sym_symbol] = ACTIONS(897),
    [anon_sym_object] = ACTIONS(897),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(959),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(949),
    [anon_sym_export] = ACTIONS(951),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(951),
    [anon_sym_EQ] = ACTIONS(953),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(957),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(959),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(961),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(951),
    [anon_sym_readonly] = ACTIONS(951),
    [anon_sym_get] = ACTIONS(951),
    [anon_sym_set] = ACTIONS(951),
    [anon_sym_declare] = ACTIONS(951),
    [anon_sym_public] = ACTIONS(951),
    [anon_sym_private] = ACTIONS(951),
    [anon_sym_protected] = ACTIONS(951),
    [anon_sym_override] = ACTIONS(951),
    [anon_sym_module] = ACTIONS(951),
    [anon_sym_any] = ACTIONS(951),
    [anon_sym_number] = ACTIONS(951),
    [anon_sym_boolean] = ACTIONS(951),
    [anon_sym_string] = ACTIONS(951),
    [anon_sym_symbol] = ACTIONS(951),
    [anon_sym_object] = ACTIONS(951),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4495),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(5827),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(965),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(965),
    [anon_sym_EQ] = ACTIONS(967),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(965),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(973),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(965),
    [anon_sym_readonly] = ACTIONS(965),
    [anon_sym_get] = ACTIONS(965),
    [anon_sym_set] = ACTIONS(965),
    [anon_sym_declare] = ACTIONS(965),
    [anon_sym_public] = ACTIONS(965),
    [anon_sym_private] = ACTIONS(965),
    [anon_sym_protected] = ACTIONS(965),
    [anon_sym_override] = ACTIONS(965),
    [anon_sym_module] = ACTIONS(965),
    [anon_sym_any] = ACTIONS(965),
    [anon_sym_number] = ACTIONS(965),
    [anon_sym_boolean] = ACTIONS(965),
    [anon_sym_string] = ACTIONS(965),
    [anon_sym_symbol] = ACTIONS(965),
    [anon_sym_object] = ACTIONS(965),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(895),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_EQ] = ACTIONS(915),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(902),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(897),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(906),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(908),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(910),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(897),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(897),
    [anon_sym_private] = ACTIONS(897),
    [anon_sym_protected] = ACTIONS(897),
    [anon_sym_override] = ACTIONS(897),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(897),
    [anon_sym_number] = ACTIONS(897),
    [anon_sym_boolean] = ACTIONS(897),
    [anon_sym_string] = ACTIONS(897),
    [anon_sym_symbol] = ACTIONS(897),
    [anon_sym_object] = ACTIONS(897),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(908),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_export] = ACTIONS(965),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(965),
    [anon_sym_EQ] = ACTIONS(967),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(965),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(971),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(973),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(975),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(965),
    [anon_sym_readonly] = ACTIONS(965),
    [anon_sym_get] = ACTIONS(965),
    [anon_sym_set] = ACTIONS(965),
    [anon_sym_declare] = ACTIONS(965),
    [anon_sym_public] = ACTIONS(965),
    [anon_sym_private] = ACTIONS(965),
    [anon_sym_protected] = ACTIONS(965),
    [anon_sym_override] = ACTIONS(965),
    [anon_sym_module] = ACTIONS(965),
    [anon_sym_any] = ACTIONS(965),
    [anon_sym_number] = ACTIONS(965),
    [anon_sym_boolean] = ACTIONS(965),
    [anon_sym_string] = ACTIONS(965),
    [anon_sym_symbol] = ACTIONS(965),
    [anon_sym_object] = ACTIONS(965),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(973),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(979),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(3538),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2024),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5761),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6143),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2076),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4147),
    [sym_pattern] = STATE(5133),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3331),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_type_arguments] = STATE(442),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5951),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(981),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_typeof] = ACTIONS(987),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(993),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(1001),
    [anon_sym_DASH] = ACTIONS(1001),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(1003),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1005),
    [sym_number] = ACTIONS(1007),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(1009),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1011),
    [sym_false] = ACTIONS(1011),
    [sym_null] = ACTIONS(1011),
    [sym_undefined] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(1015),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(1019),
    [anon_sym_number] = ACTIONS(1019),
    [anon_sym_boolean] = ACTIONS(1019),
    [anon_sym_string] = ACTIONS(1019),
    [anon_sym_symbol] = ACTIONS(1019),
    [anon_sym_object] = ACTIONS(1019),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(1033),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(1035),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4495),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(5827),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(1037),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(1039),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(1041),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(1043),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(1045),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(1047),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1485),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(1049),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(3476),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1827),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6212),
    [sym_string] = STATE(2399),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(5430),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(4502),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(4779),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(442),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1051),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(1057),
    [anon_sym_typeof] = ACTIONS(1059),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1065),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(1067),
    [anon_sym_DASH] = ACTIONS(1067),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(584),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(763),
    [sym_number] = ACTIONS(765),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(1069),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(771),
    [sym_false] = ACTIONS(771),
    [sym_null] = ACTIONS(771),
    [sym_undefined] = ACTIONS(1071),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1075),
    [anon_sym_number] = ACTIONS(1075),
    [anon_sym_boolean] = ACTIONS(1075),
    [anon_sym_string] = ACTIONS(1075),
    [anon_sym_symbol] = ACTIONS(1075),
    [anon_sym_object] = ACTIONS(1075),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(3501),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1954),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1776),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4001),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(490),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1077),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_typeof] = ACTIONS(1085),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(1087),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1091),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(757),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1095),
    [sym_number] = ACTIONS(1097),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(1099),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1101),
    [sym_false] = ACTIONS(1101),
    [sym_null] = ACTIONS(1101),
    [sym_undefined] = ACTIONS(1103),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1105),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1107),
    [anon_sym_number] = ACTIONS(1107),
    [anon_sym_boolean] = ACTIONS(1107),
    [anon_sym_string] = ACTIONS(1107),
    [anon_sym_symbol] = ACTIONS(1107),
    [anon_sym_object] = ACTIONS(1107),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(3465),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1679),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(1992),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4044),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(651),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1109),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_typeof] = ACTIONS(1117),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1125),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(1129),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_number] = ACTIONS(1133),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(1135),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(1137),
    [sym_false] = ACTIONS(1137),
    [sym_null] = ACTIONS(1137),
    [sym_undefined] = ACTIONS(1139),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1141),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1143),
    [anon_sym_number] = ACTIONS(1143),
    [anon_sym_boolean] = ACTIONS(1143),
    [anon_sym_string] = ACTIONS(1143),
    [anon_sym_symbol] = ACTIONS(1143),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(3476),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1895),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4138),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4138),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1322),
    [sym_subscript_expression] = STATE(1322),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4138),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2304),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_non_null_expression] = STATE(1322),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4501),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(442),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1145),
    [anon_sym_export] = ACTIONS(1147),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(1147),
    [anon_sym_namespace] = ACTIONS(1149),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym_typeof] = ACTIONS(556),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1147),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(564),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1153),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(584),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1157),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1147),
    [anon_sym_readonly] = ACTIONS(1159),
    [anon_sym_get] = ACTIONS(1147),
    [anon_sym_set] = ACTIONS(1147),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(1147),
    [anon_sym_public] = ACTIONS(1147),
    [anon_sym_private] = ACTIONS(1147),
    [anon_sym_protected] = ACTIONS(1147),
    [anon_sym_override] = ACTIONS(1147),
    [anon_sym_module] = ACTIONS(1147),
    [anon_sym_any] = ACTIONS(1161),
    [anon_sym_number] = ACTIONS(1161),
    [anon_sym_boolean] = ACTIONS(1161),
    [anon_sym_string] = ACTIONS(1161),
    [anon_sym_symbol] = ACTIONS(1161),
    [anon_sym_object] = ACTIONS(1161),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(3382),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2486),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2239),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4001),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(497),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1163),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_typeof] = ACTIONS(1167),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1169),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1171),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1175),
    [sym_number] = ACTIONS(1177),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1179),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1181),
    [sym_false] = ACTIONS(1181),
    [sym_null] = ACTIONS(1181),
    [sym_undefined] = ACTIONS(1183),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(1185),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(1187),
    [anon_sym_number] = ACTIONS(1187),
    [anon_sym_boolean] = ACTIONS(1187),
    [anon_sym_string] = ACTIONS(1187),
    [anon_sym_symbol] = ACTIONS(1187),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(3466),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2140),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2538),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4044),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(413),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1189),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(1195),
    [anon_sym_typeof] = ACTIONS(1197),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(1205),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1215),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1221),
    [sym_number] = ACTIONS(1223),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(1227),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(1229),
    [sym_false] = ACTIONS(1229),
    [sym_null] = ACTIONS(1229),
    [sym_undefined] = ACTIONS(1231),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1233),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1235),
    [anon_sym_number] = ACTIONS(1235),
    [anon_sym_boolean] = ACTIONS(1235),
    [anon_sym_string] = ACTIONS(1235),
    [anon_sym_symbol] = ACTIONS(1235),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(3465),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1706),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(1992),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4044),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(471),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_typeof] = ACTIONS(1243),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(1121),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(1257),
    [anon_sym_DASH] = ACTIONS(1257),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1259),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1131),
    [sym_number] = ACTIONS(1133),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(1135),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(1137),
    [sym_false] = ACTIONS(1137),
    [sym_null] = ACTIONS(1137),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1269),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1271),
    [anon_sym_number] = ACTIONS(1271),
    [anon_sym_boolean] = ACTIONS(1271),
    [anon_sym_string] = ACTIONS(1271),
    [anon_sym_symbol] = ACTIONS(1271),
    [anon_sym_object] = ACTIONS(1271),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(3382),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3894),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3894),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1425),
    [sym_subscript_expression] = STATE(1425),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3894),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2553),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_non_null_expression] = STATE(1425),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4501),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(497),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1279),
    [anon_sym_typeof] = ACTIONS(1281),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1291),
    [sym_number] = ACTIONS(1293),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1295),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1297),
    [sym_false] = ACTIONS(1297),
    [sym_null] = ACTIONS(1297),
    [sym_undefined] = ACTIONS(1299),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1303),
    [anon_sym_number] = ACTIONS(1303),
    [anon_sym_boolean] = ACTIONS(1303),
    [anon_sym_string] = ACTIONS(1303),
    [anon_sym_symbol] = ACTIONS(1303),
    [anon_sym_object] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(3476),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1776),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4001),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(442),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1305),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_typeof] = ACTIONS(1307),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(1087),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1065),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1309),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(584),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1095),
    [sym_number] = ACTIONS(1097),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(1099),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1101),
    [sym_false] = ACTIONS(1101),
    [sym_null] = ACTIONS(1101),
    [sym_undefined] = ACTIONS(1311),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1313),
    [anon_sym_number] = ACTIONS(1313),
    [anon_sym_boolean] = ACTIONS(1313),
    [anon_sym_string] = ACTIONS(1313),
    [anon_sym_symbol] = ACTIONS(1313),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(3382),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2256),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2239),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4001),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(556),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1315),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [anon_sym_typeof] = ACTIONS(1323),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(1169),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1333),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(1337),
    [anon_sym_DASH] = ACTIONS(1337),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1339),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1175),
    [sym_number] = ACTIONS(1177),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(1179),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1181),
    [sym_false] = ACTIONS(1181),
    [sym_null] = ACTIONS(1181),
    [sym_undefined] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1349),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1351),
    [anon_sym_number] = ACTIONS(1351),
    [anon_sym_boolean] = ACTIONS(1351),
    [anon_sym_string] = ACTIONS(1351),
    [anon_sym_symbol] = ACTIONS(1351),
    [anon_sym_object] = ACTIONS(1351),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(3476),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1931),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1776),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4001),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(524),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1353),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_typeof] = ACTIONS(1359),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(1087),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1373),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1375),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1095),
    [sym_number] = ACTIONS(1097),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(1099),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1101),
    [sym_false] = ACTIONS(1101),
    [sym_null] = ACTIONS(1101),
    [sym_undefined] = ACTIONS(1383),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1385),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_boolean] = ACTIONS(1387),
    [anon_sym_string] = ACTIONS(1387),
    [anon_sym_symbol] = ACTIONS(1387),
    [anon_sym_object] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(3382),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2411),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2239),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4001),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(618),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1389),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_typeof] = ACTIONS(1395),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(1169),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1405),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(1409),
    [anon_sym_DASH] = ACTIONS(1409),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1411),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1175),
    [sym_number] = ACTIONS(1177),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(1179),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1181),
    [sym_false] = ACTIONS(1181),
    [sym_null] = ACTIONS(1181),
    [sym_undefined] = ACTIONS(1419),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1421),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1423),
    [anon_sym_number] = ACTIONS(1423),
    [anon_sym_boolean] = ACTIONS(1423),
    [anon_sym_string] = ACTIONS(1423),
    [anon_sym_symbol] = ACTIONS(1423),
    [anon_sym_object] = ACTIONS(1423),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(3529),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2283),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_nested_identifier] = STATE(6295),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(2239),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(4431),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4001),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_type_arguments] = STATE(587),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5834),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1425),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [anon_sym_typeof] = ACTIONS(1431),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(1169),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1441),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(1445),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1447),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1175),
    [sym_number] = ACTIONS(1177),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(1179),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1181),
    [sym_false] = ACTIONS(1181),
    [sym_null] = ACTIONS(1181),
    [sym_undefined] = ACTIONS(1455),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1457),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1459),
    [anon_sym_number] = ACTIONS(1459),
    [anon_sym_boolean] = ACTIONS(1459),
    [anon_sym_string] = ACTIONS(1459),
    [anon_sym_symbol] = ACTIONS(1459),
    [anon_sym_object] = ACTIONS(1459),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1773),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_STAR] = ACTIONS(1463),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_as] = ACTIONS(1465),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(1467),
    [anon_sym_RBRACE] = ACTIONS(1467),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1467),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1465),
    [anon_sym_DOT] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_QMARK_DOT] = ACTIONS(1467),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_AMP_AMP] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_GT_GT_GT] = ACTIONS(1467),
    [anon_sym_LT_LT] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(1467),
    [anon_sym_STAR_STAR] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ] = ACTIONS(1465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1467),
    [anon_sym_GT_EQ] = ACTIONS(1467),
    [anon_sym_QMARK_QMARK] = ACTIONS(1467),
    [anon_sym_instanceof] = ACTIONS(1465),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [anon_sym_satisfies] = ACTIONS(1465),
    [sym__automatic_semicolon] = ACTIONS(1467),
    [sym__ternary_qmark] = ACTIONS(1467),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1732),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_STAR] = ACTIONS(1473),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_as] = ACTIONS(1465),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1467),
    [anon_sym_RBRACE] = ACTIONS(1467),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_COLON] = ACTIONS(1467),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(1467),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1465),
    [anon_sym_DOT] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1467),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_AMP_AMP] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_GT_GT_GT] = ACTIONS(1467),
    [anon_sym_LT_LT] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(1467),
    [anon_sym_STAR_STAR] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ] = ACTIONS(1465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1467),
    [anon_sym_GT_EQ] = ACTIONS(1467),
    [anon_sym_QMARK_QMARK] = ACTIONS(1467),
    [anon_sym_instanceof] = ACTIONS(1465),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [anon_sym_satisfies] = ACTIONS(1465),
    [sym__ternary_qmark] = ACTIONS(1467),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1794),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_STAR] = ACTIONS(1481),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_as] = ACTIONS(1465),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(1467),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_of] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1467),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1465),
    [anon_sym_DOT] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_QMARK_DOT] = ACTIONS(1467),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_AMP_AMP] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_GT_GT_GT] = ACTIONS(1467),
    [anon_sym_LT_LT] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_PERCENT] = ACTIONS(1467),
    [anon_sym_STAR_STAR] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ] = ACTIONS(1465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1467),
    [anon_sym_GT_EQ] = ACTIONS(1467),
    [anon_sym_QMARK_QMARK] = ACTIONS(1467),
    [anon_sym_instanceof] = ACTIONS(1465),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_satisfies] = ACTIONS(1465),
    [sym__automatic_semicolon] = ACTIONS(1467),
    [sym__ternary_qmark] = ACTIONS(1467),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1846),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1489),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_as] = ACTIONS(1465),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1467),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(1467),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_COLON] = ACTIONS(1467),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1465),
    [anon_sym_DOT] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1467),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_AMP_AMP] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_GT_GT_GT] = ACTIONS(1467),
    [anon_sym_LT_LT] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(1467),
    [anon_sym_STAR_STAR] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ] = ACTIONS(1465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1467),
    [anon_sym_GT_EQ] = ACTIONS(1467),
    [anon_sym_QMARK_QMARK] = ACTIONS(1467),
    [anon_sym_instanceof] = ACTIONS(1465),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_satisfies] = ACTIONS(1465),
    [sym__ternary_qmark] = ACTIONS(1467),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2036),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(1497),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_as] = ACTIONS(1465),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1467),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1465),
    [anon_sym_DOT] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_QMARK_DOT] = ACTIONS(1467),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_AMP_AMP] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_GT_GT_GT] = ACTIONS(1467),
    [anon_sym_LT_LT] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(1467),
    [anon_sym_STAR_STAR] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ] = ACTIONS(1465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1467),
    [anon_sym_GT_EQ] = ACTIONS(1467),
    [anon_sym_QMARK_QMARK] = ACTIONS(1467),
    [anon_sym_instanceof] = ACTIONS(1465),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [anon_sym_satisfies] = ACTIONS(1465),
    [sym__automatic_semicolon] = ACTIONS(1467),
    [sym__ternary_qmark] = ACTIONS(1467),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1953),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_as] = ACTIONS(1465),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1467),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1465),
    [anon_sym_DOT] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1467),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_AMP_AMP] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_GT_GT_GT] = ACTIONS(1467),
    [anon_sym_LT_LT] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_PERCENT] = ACTIONS(1467),
    [anon_sym_STAR_STAR] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ] = ACTIONS(1465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1467),
    [anon_sym_GT_EQ] = ACTIONS(1467),
    [anon_sym_QMARK_QMARK] = ACTIONS(1467),
    [anon_sym_instanceof] = ACTIONS(1465),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_satisfies] = ACTIONS(1465),
    [anon_sym_implements] = ACTIONS(1465),
    [sym__ternary_qmark] = ACTIONS(1467),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2436),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_as] = ACTIONS(1465),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_of] = ACTIONS(1465),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1465),
    [anon_sym_DOT] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1467),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_AMP_AMP] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_GT_GT_GT] = ACTIONS(1467),
    [anon_sym_LT_LT] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_PERCENT] = ACTIONS(1467),
    [anon_sym_STAR_STAR] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ] = ACTIONS(1465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1467),
    [anon_sym_GT_EQ] = ACTIONS(1467),
    [anon_sym_QMARK_QMARK] = ACTIONS(1467),
    [anon_sym_instanceof] = ACTIONS(1465),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [anon_sym_satisfies] = ACTIONS(1465),
    [sym__ternary_qmark] = ACTIONS(1467),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2362),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_as] = ACTIONS(1465),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(1467),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1465),
    [anon_sym_DOT] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1467),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_AMP_AMP] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_GT_GT_GT] = ACTIONS(1467),
    [anon_sym_LT_LT] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(1467),
    [anon_sym_STAR_STAR] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ] = ACTIONS(1465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1467),
    [anon_sym_GT_EQ] = ACTIONS(1467),
    [anon_sym_QMARK_QMARK] = ACTIONS(1467),
    [anon_sym_instanceof] = ACTIONS(1465),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [anon_sym_satisfies] = ACTIONS(1465),
    [sym__ternary_qmark] = ACTIONS(1467),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2356),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_STAR] = ACTIONS(1529),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_as] = ACTIONS(1465),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_COLON] = ACTIONS(1467),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1465),
    [anon_sym_DOT] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1467),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_GT_GT_GT] = ACTIONS(1467),
    [anon_sym_LT_LT] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(1467),
    [anon_sym_STAR_STAR] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ] = ACTIONS(1465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1467),
    [anon_sym_GT_EQ] = ACTIONS(1467),
    [anon_sym_QMARK_QMARK] = ACTIONS(1467),
    [anon_sym_instanceof] = ACTIONS(1465),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [anon_sym_satisfies] = ACTIONS(1465),
    [sym__ternary_qmark] = ACTIONS(1467),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2471),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_as] = ACTIONS(1465),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1465),
    [anon_sym_DOT] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1467),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_GT_GT_GT] = ACTIONS(1467),
    [anon_sym_LT_LT] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PIPE] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_PERCENT] = ACTIONS(1467),
    [anon_sym_STAR_STAR] = ACTIONS(1467),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ] = ACTIONS(1465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1467),
    [anon_sym_GT_EQ] = ACTIONS(1467),
    [anon_sym_QMARK_QMARK] = ACTIONS(1467),
    [anon_sym_instanceof] = ACTIONS(1465),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_satisfies] = ACTIONS(1465),
    [sym__ternary_qmark] = ACTIONS(1467),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3107),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3107),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(878),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(3477),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2090),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4566),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1567),
    [anon_sym_namespace] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(1571),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1573),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(1575),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1577),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_declaration] = STATE(871),
    [sym_import] = STATE(3477),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2090),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(2373),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4382),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1567),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(1571),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1573),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(628),
    [anon_sym_async] = ACTIONS(1581),
    [anon_sym_function] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1577),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_declaration] = STATE(4583),
    [sym_import] = STATE(3477),
    [sym_variable_declaration] = STATE(4507),
    [sym_lexical_declaration] = STATE(4507),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2126),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(4507),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(4507),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(4507),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_function_signature] = STATE(4507),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(4507),
    [sym_abstract_class_declaration] = STATE(4507),
    [sym_module] = STATE(4507),
    [sym_internal_module] = STATE(2333),
    [sym_import_alias] = STATE(4507),
    [sym_interface_declaration] = STATE(4507),
    [sym_enum_declaration] = STATE(4507),
    [sym_type_alias_declaration] = STATE(4507),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4478),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1583),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(1585),
    [anon_sym_var] = ACTIONS(1587),
    [anon_sym_let] = ACTIONS(1589),
    [anon_sym_const] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(1593),
    [anon_sym_async] = ACTIONS(1595),
    [anon_sym_function] = ACTIONS(1597),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1599),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1601),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [anon_sym_abstract] = ACTIONS(1603),
    [anon_sym_interface] = ACTIONS(1605),
    [anon_sym_enum] = ACTIONS(1607),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_declaration] = STATE(4451),
    [sym_import] = STATE(3477),
    [sym_variable_declaration] = STATE(4507),
    [sym_lexical_declaration] = STATE(4507),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(1976),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(4507),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(4507),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(4507),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_function_signature] = STATE(4507),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(4507),
    [sym_abstract_class_declaration] = STATE(4507),
    [sym_module] = STATE(4507),
    [sym_internal_module] = STATE(2333),
    [sym_import_alias] = STATE(4507),
    [sym_interface_declaration] = STATE(4507),
    [sym_enum_declaration] = STATE(4507),
    [sym_type_alias_declaration] = STATE(4507),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4478),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1583),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(1585),
    [anon_sym_var] = ACTIONS(1587),
    [anon_sym_let] = ACTIONS(1589),
    [anon_sym_const] = ACTIONS(1591),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(1593),
    [anon_sym_async] = ACTIONS(1595),
    [anon_sym_function] = ACTIONS(1597),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1599),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1601),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [anon_sym_abstract] = ACTIONS(1603),
    [anon_sym_interface] = ACTIONS(1605),
    [anon_sym_enum] = ACTIONS(1607),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_declaration] = STATE(844),
    [sym_import] = STATE(3477),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2106),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(233),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4566),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1567),
    [anon_sym_namespace] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(1571),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1573),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(1575),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1577),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_declaration] = STATE(844),
    [sym_import] = STATE(3477),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2106),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_class_declaration] = STATE(838),
    [sym_function_expression] = STATE(2433),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function] = STATE(2433),
    [sym_generator_function_declaration] = STATE(838),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_function_signature] = STATE(838),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(2373),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4382),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1567),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(1571),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1573),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(628),
    [anon_sym_async] = ACTIONS(1581),
    [anon_sym_function] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1577),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3107),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(862),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(868),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3107),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(890),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3107),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3107),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(878),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(892),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(892),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3107),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(935),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(941),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3107),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(921),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(927),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3286),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(1611),
    [anon_sym_EQ] = ACTIONS(912),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_RBRACE] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(1627),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1643),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3898),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(912),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(224),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(1653),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3107),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3107),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(953),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(959),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3107),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(967),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(973),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3107),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(915),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(908),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3107),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1605),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4567),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4567),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym__formal_parameter] = STATE(5603),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1327),
    [sym_subscript_expression] = STATE(1327),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4567),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6163),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1327),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5603),
    [sym_optional_parameter] = STATE(5603),
    [sym__parameter_name] = STATE(3884),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(1655),
    [anon_sym_export] = ACTIONS(727),
    [anon_sym_type] = ACTIONS(727),
    [anon_sym_namespace] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(737),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(745),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1657),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(1659),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(727),
    [anon_sym_readonly] = ACTIONS(1663),
    [anon_sym_get] = ACTIONS(727),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_declare] = ACTIONS(727),
    [anon_sym_public] = ACTIONS(781),
    [anon_sym_private] = ACTIONS(781),
    [anon_sym_protected] = ACTIONS(781),
    [anon_sym_override] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(727),
    [anon_sym_any] = ACTIONS(727),
    [anon_sym_number] = ACTIONS(727),
    [anon_sym_boolean] = ACTIONS(727),
    [anon_sym_string] = ACTIONS(727),
    [anon_sym_symbol] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(727),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1589),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4567),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4567),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym__formal_parameter] = STATE(5603),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1327),
    [sym_subscript_expression] = STATE(1327),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4567),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6182),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1327),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5603),
    [sym_optional_parameter] = STATE(5603),
    [sym__parameter_name] = STATE(3884),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(1655),
    [anon_sym_export] = ACTIONS(727),
    [anon_sym_type] = ACTIONS(727),
    [anon_sym_namespace] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(737),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(745),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1657),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(1659),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1661),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(727),
    [anon_sym_readonly] = ACTIONS(1663),
    [anon_sym_get] = ACTIONS(727),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_declare] = ACTIONS(727),
    [anon_sym_public] = ACTIONS(781),
    [anon_sym_private] = ACTIONS(781),
    [anon_sym_protected] = ACTIONS(781),
    [anon_sym_override] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(727),
    [anon_sym_any] = ACTIONS(727),
    [anon_sym_number] = ACTIONS(727),
    [anon_sym_boolean] = ACTIONS(727),
    [anon_sym_string] = ACTIONS(727),
    [anon_sym_symbol] = ACTIONS(727),
    [anon_sym_object] = ACTIONS(727),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym__formal_parameter] = STATE(5655),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5655),
    [sym_optional_parameter] = STATE(5655),
    [sym__parameter_name] = STATE(3884),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(1665),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1669),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym__formal_parameter] = STATE(4936),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(4936),
    [sym_optional_parameter] = STATE(4936),
    [sym__parameter_name] = STATE(3884),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(1673),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1669),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym__formal_parameter] = STATE(5920),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5920),
    [sym_optional_parameter] = STATE(5920),
    [sym__parameter_name] = STATE(3884),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(1675),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1669),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym__formal_parameter] = STATE(5920),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5920),
    [sym_optional_parameter] = STATE(5920),
    [sym__parameter_name] = STATE(3884),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(1677),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1669),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym__formal_parameter] = STATE(5920),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5920),
    [sym_optional_parameter] = STATE(5920),
    [sym__parameter_name] = STATE(3884),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(1679),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1669),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym__formal_parameter] = STATE(5920),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5920),
    [sym_optional_parameter] = STATE(5920),
    [sym__parameter_name] = STATE(3884),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(1681),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1669),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym__formal_parameter] = STATE(5920),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5920),
    [sym_optional_parameter] = STATE(5920),
    [sym__parameter_name] = STATE(3884),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(1683),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1669),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym__formal_parameter] = STATE(5920),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5920),
    [sym_optional_parameter] = STATE(5920),
    [sym__parameter_name] = STATE(3884),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(1685),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1669),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym__formal_parameter] = STATE(5603),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5603),
    [sym_optional_parameter] = STATE(5603),
    [sym__parameter_name] = STATE(3884),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(737),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1669),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1831),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(4885),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5646),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(1687),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(1691),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1693),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1695),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(546),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(546),
    [anon_sym_number] = ACTIONS(546),
    [anon_sym_boolean] = ACTIONS(546),
    [anon_sym_string] = ACTIONS(546),
    [anon_sym_symbol] = ACTIONS(546),
    [anon_sym_object] = ACTIONS(546),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym__formal_parameter] = STATE(5920),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4570),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_accessibility_modifier] = STATE(274),
    [sym_override_modifier] = STATE(291),
    [sym_required_parameter] = STATE(5920),
    [sym_optional_parameter] = STATE(5920),
    [sym__parameter_name] = STATE(3884),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(246),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1669),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1854),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(5658),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5660),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(1687),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(1697),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1693),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1695),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(546),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(546),
    [anon_sym_number] = ACTIONS(546),
    [anon_sym_boolean] = ACTIONS(546),
    [anon_sym_string] = ACTIONS(546),
    [anon_sym_symbol] = ACTIONS(546),
    [anon_sym_object] = ACTIONS(546),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1854),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(5658),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5660),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(1687),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(1699),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1693),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1695),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(546),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(546),
    [anon_sym_number] = ACTIONS(546),
    [anon_sym_boolean] = ACTIONS(546),
    [anon_sym_string] = ACTIONS(546),
    [anon_sym_symbol] = ACTIONS(546),
    [anon_sym_object] = ACTIONS(546),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1854),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(5658),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5660),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(1687),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(1701),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1693),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1695),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(546),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(546),
    [anon_sym_number] = ACTIONS(546),
    [anon_sym_boolean] = ACTIONS(546),
    [anon_sym_string] = ACTIONS(546),
    [anon_sym_symbol] = ACTIONS(546),
    [anon_sym_object] = ACTIONS(546),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_statement_block] = STATE(226),
    [ts_builtin_sym_end] = ACTIONS(1703),
    [sym_identifier] = ACTIONS(1705),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_default] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_as] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1705),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1703),
    [anon_sym_RBRACE] = ACTIONS(1703),
    [anon_sym_typeof] = ACTIONS(1705),
    [anon_sym_import] = ACTIONS(1705),
    [anon_sym_with] = ACTIONS(1705),
    [anon_sym_var] = ACTIONS(1705),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_const] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1705),
    [anon_sym_else] = ACTIONS(1705),
    [anon_sym_if] = ACTIONS(1705),
    [anon_sym_switch] = ACTIONS(1705),
    [anon_sym_for] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_await] = ACTIONS(1705),
    [anon_sym_in] = ACTIONS(1705),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1705),
    [anon_sym_try] = ACTIONS(1705),
    [anon_sym_break] = ACTIONS(1705),
    [anon_sym_continue] = ACTIONS(1705),
    [anon_sym_debugger] = ACTIONS(1705),
    [anon_sym_return] = ACTIONS(1705),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1703),
    [anon_sym_case] = ACTIONS(1705),
    [anon_sym_yield] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1703),
    [sym_glimmer_opening_tag] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [anon_sym_SQUOTE] = ACTIONS(1703),
    [anon_sym_class] = ACTIONS(1705),
    [anon_sym_async] = ACTIONS(1705),
    [anon_sym_function] = ACTIONS(1705),
    [anon_sym_QMARK_DOT] = ACTIONS(1703),
    [anon_sym_new] = ACTIONS(1705),
    [anon_sym_using] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1703),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_GT_GT_GT] = ACTIONS(1703),
    [anon_sym_LT_LT] = ACTIONS(1703),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1703),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_STAR_STAR] = ACTIONS(1703),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_LT_EQ] = ACTIONS(1703),
    [anon_sym_EQ_EQ] = ACTIONS(1705),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1703),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1703),
    [anon_sym_GT_EQ] = ACTIONS(1703),
    [anon_sym_QMARK_QMARK] = ACTIONS(1703),
    [anon_sym_instanceof] = ACTIONS(1705),
    [anon_sym_TILDE] = ACTIONS(1703),
    [anon_sym_void] = ACTIONS(1705),
    [anon_sym_delete] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1703),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1703),
    [sym_number] = ACTIONS(1703),
    [sym_private_property_identifier] = ACTIONS(1703),
    [sym_this] = ACTIONS(1705),
    [sym_super] = ACTIONS(1705),
    [sym_true] = ACTIONS(1705),
    [sym_false] = ACTIONS(1705),
    [sym_null] = ACTIONS(1705),
    [sym_undefined] = ACTIONS(1705),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_abstract] = ACTIONS(1705),
    [anon_sym_satisfies] = ACTIONS(1705),
    [anon_sym_interface] = ACTIONS(1705),
    [anon_sym_enum] = ACTIONS(1705),
    [sym__automatic_semicolon] = ACTIONS(1703),
    [sym__ternary_qmark] = ACTIONS(1703),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_statement_block] = STATE(226),
    [ts_builtin_sym_end] = ACTIONS(1703),
    [sym_identifier] = ACTIONS(1705),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_default] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_as] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1705),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1703),
    [anon_sym_RBRACE] = ACTIONS(1703),
    [anon_sym_typeof] = ACTIONS(1705),
    [anon_sym_import] = ACTIONS(1705),
    [anon_sym_with] = ACTIONS(1705),
    [anon_sym_var] = ACTIONS(1705),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_const] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1705),
    [anon_sym_else] = ACTIONS(1705),
    [anon_sym_if] = ACTIONS(1705),
    [anon_sym_switch] = ACTIONS(1705),
    [anon_sym_for] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_await] = ACTIONS(1705),
    [anon_sym_in] = ACTIONS(1705),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1705),
    [anon_sym_try] = ACTIONS(1705),
    [anon_sym_break] = ACTIONS(1705),
    [anon_sym_continue] = ACTIONS(1705),
    [anon_sym_debugger] = ACTIONS(1705),
    [anon_sym_return] = ACTIONS(1705),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1703),
    [anon_sym_case] = ACTIONS(1705),
    [anon_sym_yield] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1703),
    [sym_glimmer_opening_tag] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_DOT] = ACTIONS(1711),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [anon_sym_SQUOTE] = ACTIONS(1703),
    [anon_sym_class] = ACTIONS(1705),
    [anon_sym_async] = ACTIONS(1705),
    [anon_sym_function] = ACTIONS(1705),
    [anon_sym_QMARK_DOT] = ACTIONS(1703),
    [anon_sym_new] = ACTIONS(1705),
    [anon_sym_using] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1703),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_GT_GT_GT] = ACTIONS(1703),
    [anon_sym_LT_LT] = ACTIONS(1703),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1703),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_STAR_STAR] = ACTIONS(1703),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_LT_EQ] = ACTIONS(1703),
    [anon_sym_EQ_EQ] = ACTIONS(1705),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1703),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1703),
    [anon_sym_GT_EQ] = ACTIONS(1703),
    [anon_sym_QMARK_QMARK] = ACTIONS(1703),
    [anon_sym_instanceof] = ACTIONS(1705),
    [anon_sym_TILDE] = ACTIONS(1703),
    [anon_sym_void] = ACTIONS(1705),
    [anon_sym_delete] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1703),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1703),
    [sym_number] = ACTIONS(1703),
    [sym_private_property_identifier] = ACTIONS(1703),
    [sym_this] = ACTIONS(1705),
    [sym_super] = ACTIONS(1705),
    [sym_true] = ACTIONS(1705),
    [sym_false] = ACTIONS(1705),
    [sym_null] = ACTIONS(1705),
    [sym_undefined] = ACTIONS(1705),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_abstract] = ACTIONS(1705),
    [anon_sym_satisfies] = ACTIONS(1705),
    [anon_sym_interface] = ACTIONS(1705),
    [anon_sym_enum] = ACTIONS(1705),
    [sym__automatic_semicolon] = ACTIONS(1703),
    [sym__ternary_qmark] = ACTIONS(1703),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1831),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(4885),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5646),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(1687),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(1713),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1693),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1695),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(546),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(546),
    [anon_sym_number] = ACTIONS(546),
    [anon_sym_boolean] = ACTIONS(546),
    [anon_sym_string] = ACTIONS(546),
    [anon_sym_symbol] = ACTIONS(546),
    [anon_sym_object] = ACTIONS(546),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1854),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(5658),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5660),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(1687),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(1715),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1693),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1695),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(546),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(546),
    [anon_sym_number] = ACTIONS(546),
    [anon_sym_boolean] = ACTIONS(546),
    [anon_sym_string] = ACTIONS(546),
    [anon_sym_symbol] = ACTIONS(546),
    [anon_sym_object] = ACTIONS(546),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_statement_block] = STATE(226),
    [ts_builtin_sym_end] = ACTIONS(1703),
    [sym_identifier] = ACTIONS(1705),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_default] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_as] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1705),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1703),
    [anon_sym_RBRACE] = ACTIONS(1703),
    [anon_sym_typeof] = ACTIONS(1705),
    [anon_sym_import] = ACTIONS(1705),
    [anon_sym_with] = ACTIONS(1705),
    [anon_sym_var] = ACTIONS(1705),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_const] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1705),
    [anon_sym_else] = ACTIONS(1705),
    [anon_sym_if] = ACTIONS(1705),
    [anon_sym_switch] = ACTIONS(1705),
    [anon_sym_for] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_await] = ACTIONS(1705),
    [anon_sym_in] = ACTIONS(1705),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1705),
    [anon_sym_try] = ACTIONS(1705),
    [anon_sym_break] = ACTIONS(1705),
    [anon_sym_continue] = ACTIONS(1705),
    [anon_sym_debugger] = ACTIONS(1705),
    [anon_sym_return] = ACTIONS(1705),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1703),
    [anon_sym_case] = ACTIONS(1705),
    [anon_sym_yield] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1703),
    [sym_glimmer_opening_tag] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_DOT] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [anon_sym_SQUOTE] = ACTIONS(1703),
    [anon_sym_class] = ACTIONS(1705),
    [anon_sym_async] = ACTIONS(1705),
    [anon_sym_function] = ACTIONS(1705),
    [anon_sym_QMARK_DOT] = ACTIONS(1703),
    [anon_sym_new] = ACTIONS(1705),
    [anon_sym_using] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1703),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_GT_GT_GT] = ACTIONS(1703),
    [anon_sym_LT_LT] = ACTIONS(1703),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1703),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_STAR_STAR] = ACTIONS(1703),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_LT_EQ] = ACTIONS(1703),
    [anon_sym_EQ_EQ] = ACTIONS(1705),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1703),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1703),
    [anon_sym_GT_EQ] = ACTIONS(1703),
    [anon_sym_QMARK_QMARK] = ACTIONS(1703),
    [anon_sym_instanceof] = ACTIONS(1705),
    [anon_sym_TILDE] = ACTIONS(1703),
    [anon_sym_void] = ACTIONS(1705),
    [anon_sym_delete] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1703),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1703),
    [sym_number] = ACTIONS(1703),
    [sym_private_property_identifier] = ACTIONS(1703),
    [sym_this] = ACTIONS(1705),
    [sym_super] = ACTIONS(1705),
    [sym_true] = ACTIONS(1705),
    [sym_false] = ACTIONS(1705),
    [sym_null] = ACTIONS(1705),
    [sym_undefined] = ACTIONS(1705),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_abstract] = ACTIONS(1705),
    [anon_sym_satisfies] = ACTIONS(1705),
    [anon_sym_interface] = ACTIONS(1705),
    [anon_sym_enum] = ACTIONS(1705),
    [sym__automatic_semicolon] = ACTIONS(1703),
    [sym__ternary_qmark] = ACTIONS(1703),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1854),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(5658),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5660),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(1687),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(1717),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1693),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1695),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(546),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(546),
    [anon_sym_number] = ACTIONS(546),
    [anon_sym_boolean] = ACTIONS(546),
    [anon_sym_string] = ACTIONS(546),
    [anon_sym_symbol] = ACTIONS(546),
    [anon_sym_object] = ACTIONS(546),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [ts_builtin_sym_end] = ACTIONS(1719),
    [sym_identifier] = ACTIONS(1721),
    [anon_sym_export] = ACTIONS(1721),
    [anon_sym_STAR] = ACTIONS(1723),
    [anon_sym_default] = ACTIONS(1721),
    [anon_sym_type] = ACTIONS(1721),
    [anon_sym_EQ] = ACTIONS(1725),
    [anon_sym_as] = ACTIONS(1723),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1719),
    [anon_sym_COMMA] = ACTIONS(1727),
    [anon_sym_RBRACE] = ACTIONS(1719),
    [anon_sym_typeof] = ACTIONS(1721),
    [anon_sym_import] = ACTIONS(1721),
    [anon_sym_with] = ACTIONS(1721),
    [anon_sym_var] = ACTIONS(1721),
    [anon_sym_let] = ACTIONS(1721),
    [anon_sym_const] = ACTIONS(1721),
    [anon_sym_BANG] = ACTIONS(1721),
    [anon_sym_else] = ACTIONS(1721),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_for] = ACTIONS(1721),
    [anon_sym_LPAREN] = ACTIONS(1719),
    [anon_sym_await] = ACTIONS(1721),
    [anon_sym_in] = ACTIONS(1723),
    [anon_sym_while] = ACTIONS(1721),
    [anon_sym_do] = ACTIONS(1721),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_break] = ACTIONS(1721),
    [anon_sym_continue] = ACTIONS(1721),
    [anon_sym_debugger] = ACTIONS(1721),
    [anon_sym_return] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1721),
    [anon_sym_SEMI] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1721),
    [anon_sym_yield] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1719),
    [sym_glimmer_opening_tag] = ACTIONS(1719),
    [anon_sym_GT] = ACTIONS(1723),
    [anon_sym_DOT] = ACTIONS(1723),
    [anon_sym_DQUOTE] = ACTIONS(1719),
    [anon_sym_SQUOTE] = ACTIONS(1719),
    [anon_sym_class] = ACTIONS(1721),
    [anon_sym_async] = ACTIONS(1721),
    [anon_sym_function] = ACTIONS(1721),
    [anon_sym_QMARK_DOT] = ACTIONS(1727),
    [anon_sym_new] = ACTIONS(1721),
    [anon_sym_using] = ACTIONS(1721),
    [anon_sym_AMP_AMP] = ACTIONS(1727),
    [anon_sym_PIPE_PIPE] = ACTIONS(1727),
    [anon_sym_GT_GT] = ACTIONS(1723),
    [anon_sym_GT_GT_GT] = ACTIONS(1727),
    [anon_sym_LT_LT] = ACTIONS(1727),
    [anon_sym_AMP] = ACTIONS(1723),
    [anon_sym_CARET] = ACTIONS(1727),
    [anon_sym_PIPE] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1721),
    [anon_sym_DASH] = ACTIONS(1721),
    [anon_sym_SLASH] = ACTIONS(1721),
    [anon_sym_PERCENT] = ACTIONS(1727),
    [anon_sym_STAR_STAR] = ACTIONS(1727),
    [anon_sym_LT] = ACTIONS(1721),
    [anon_sym_LT_EQ] = ACTIONS(1727),
    [anon_sym_EQ_EQ] = ACTIONS(1723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1727),
    [anon_sym_BANG_EQ] = ACTIONS(1723),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1727),
    [anon_sym_GT_EQ] = ACTIONS(1727),
    [anon_sym_QMARK_QMARK] = ACTIONS(1727),
    [anon_sym_instanceof] = ACTIONS(1723),
    [anon_sym_TILDE] = ACTIONS(1719),
    [anon_sym_void] = ACTIONS(1721),
    [anon_sym_delete] = ACTIONS(1721),
    [anon_sym_PLUS_PLUS] = ACTIONS(1719),
    [anon_sym_DASH_DASH] = ACTIONS(1719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1719),
    [sym_number] = ACTIONS(1719),
    [sym_private_property_identifier] = ACTIONS(1719),
    [sym_this] = ACTIONS(1721),
    [sym_super] = ACTIONS(1721),
    [sym_true] = ACTIONS(1721),
    [sym_false] = ACTIONS(1721),
    [sym_null] = ACTIONS(1721),
    [sym_undefined] = ACTIONS(1721),
    [anon_sym_AT] = ACTIONS(1719),
    [anon_sym_static] = ACTIONS(1721),
    [anon_sym_readonly] = ACTIONS(1721),
    [anon_sym_get] = ACTIONS(1721),
    [anon_sym_set] = ACTIONS(1721),
    [anon_sym_declare] = ACTIONS(1721),
    [anon_sym_public] = ACTIONS(1721),
    [anon_sym_private] = ACTIONS(1721),
    [anon_sym_protected] = ACTIONS(1721),
    [anon_sym_override] = ACTIONS(1721),
    [anon_sym_module] = ACTIONS(1721),
    [anon_sym_any] = ACTIONS(1721),
    [anon_sym_number] = ACTIONS(1721),
    [anon_sym_boolean] = ACTIONS(1721),
    [anon_sym_string] = ACTIONS(1721),
    [anon_sym_symbol] = ACTIONS(1721),
    [anon_sym_object] = ACTIONS(1721),
    [anon_sym_abstract] = ACTIONS(1721),
    [anon_sym_satisfies] = ACTIONS(1723),
    [anon_sym_interface] = ACTIONS(1721),
    [anon_sym_enum] = ACTIONS(1721),
    [sym__automatic_semicolon] = ACTIONS(1729),
    [sym__ternary_qmark] = ACTIONS(1727),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1873),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(4885),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5646),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(1687),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(1713),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1693),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1695),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(546),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(546),
    [anon_sym_number] = ACTIONS(546),
    [anon_sym_boolean] = ACTIONS(546),
    [anon_sym_string] = ACTIONS(546),
    [anon_sym_symbol] = ACTIONS(546),
    [anon_sym_object] = ACTIONS(546),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2218),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(5732),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(5732),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1386),
    [sym_subscript_expression] = STATE(1386),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(5732),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1386),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_mapped_type_clause] = STATE(6387),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(1731),
    [anon_sym_export] = ACTIONS(1733),
    [anon_sym_type] = ACTIONS(1733),
    [anon_sym_namespace] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1737),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(1741),
    [anon_sym_RBRACK] = ACTIONS(1743),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1745),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1747),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1749),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1733),
    [anon_sym_readonly] = ACTIONS(1733),
    [anon_sym_get] = ACTIONS(1733),
    [anon_sym_set] = ACTIONS(1733),
    [anon_sym_declare] = ACTIONS(1733),
    [anon_sym_public] = ACTIONS(1733),
    [anon_sym_private] = ACTIONS(1733),
    [anon_sym_protected] = ACTIONS(1733),
    [anon_sym_override] = ACTIONS(1733),
    [anon_sym_module] = ACTIONS(1733),
    [anon_sym_any] = ACTIONS(1733),
    [anon_sym_number] = ACTIONS(1733),
    [anon_sym_boolean] = ACTIONS(1733),
    [anon_sym_string] = ACTIONS(1733),
    [anon_sym_symbol] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1733),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [ts_builtin_sym_end] = ACTIONS(1751),
    [sym_identifier] = ACTIONS(1753),
    [anon_sym_export] = ACTIONS(1753),
    [anon_sym_STAR] = ACTIONS(1753),
    [anon_sym_default] = ACTIONS(1753),
    [anon_sym_type] = ACTIONS(1753),
    [anon_sym_as] = ACTIONS(1753),
    [anon_sym_namespace] = ACTIONS(1753),
    [anon_sym_LBRACE] = ACTIONS(1751),
    [anon_sym_COMMA] = ACTIONS(1751),
    [anon_sym_RBRACE] = ACTIONS(1751),
    [anon_sym_typeof] = ACTIONS(1753),
    [anon_sym_import] = ACTIONS(1753),
    [anon_sym_with] = ACTIONS(1753),
    [anon_sym_var] = ACTIONS(1753),
    [anon_sym_let] = ACTIONS(1753),
    [anon_sym_const] = ACTIONS(1753),
    [anon_sym_BANG] = ACTIONS(1753),
    [anon_sym_else] = ACTIONS(1753),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_switch] = ACTIONS(1753),
    [anon_sym_for] = ACTIONS(1753),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_await] = ACTIONS(1753),
    [anon_sym_in] = ACTIONS(1753),
    [anon_sym_while] = ACTIONS(1753),
    [anon_sym_do] = ACTIONS(1753),
    [anon_sym_try] = ACTIONS(1753),
    [anon_sym_break] = ACTIONS(1753),
    [anon_sym_continue] = ACTIONS(1753),
    [anon_sym_debugger] = ACTIONS(1753),
    [anon_sym_return] = ACTIONS(1753),
    [anon_sym_throw] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [anon_sym_case] = ACTIONS(1753),
    [anon_sym_yield] = ACTIONS(1753),
    [anon_sym_LBRACK] = ACTIONS(1751),
    [sym_glimmer_opening_tag] = ACTIONS(1751),
    [anon_sym_GT] = ACTIONS(1753),
    [anon_sym_DOT] = ACTIONS(1753),
    [anon_sym_DQUOTE] = ACTIONS(1751),
    [anon_sym_SQUOTE] = ACTIONS(1751),
    [anon_sym_class] = ACTIONS(1753),
    [anon_sym_async] = ACTIONS(1753),
    [anon_sym_function] = ACTIONS(1753),
    [anon_sym_QMARK_DOT] = ACTIONS(1751),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_using] = ACTIONS(1753),
    [anon_sym_AMP_AMP] = ACTIONS(1751),
    [anon_sym_PIPE_PIPE] = ACTIONS(1751),
    [anon_sym_GT_GT] = ACTIONS(1753),
    [anon_sym_GT_GT_GT] = ACTIONS(1751),
    [anon_sym_LT_LT] = ACTIONS(1751),
    [anon_sym_AMP] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1751),
    [anon_sym_PIPE] = ACTIONS(1753),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_SLASH] = ACTIONS(1753),
    [anon_sym_PERCENT] = ACTIONS(1751),
    [anon_sym_STAR_STAR] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1753),
    [anon_sym_LT_EQ] = ACTIONS(1751),
    [anon_sym_EQ_EQ] = ACTIONS(1753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ] = ACTIONS(1753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1751),
    [anon_sym_GT_EQ] = ACTIONS(1751),
    [anon_sym_QMARK_QMARK] = ACTIONS(1751),
    [anon_sym_instanceof] = ACTIONS(1753),
    [anon_sym_TILDE] = ACTIONS(1751),
    [anon_sym_void] = ACTIONS(1753),
    [anon_sym_delete] = ACTIONS(1753),
    [anon_sym_PLUS_PLUS] = ACTIONS(1751),
    [anon_sym_DASH_DASH] = ACTIONS(1751),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1751),
    [sym_number] = ACTIONS(1751),
    [sym_private_property_identifier] = ACTIONS(1751),
    [sym_this] = ACTIONS(1753),
    [sym_super] = ACTIONS(1753),
    [sym_true] = ACTIONS(1753),
    [sym_false] = ACTIONS(1753),
    [sym_null] = ACTIONS(1753),
    [sym_undefined] = ACTIONS(1753),
    [anon_sym_AT] = ACTIONS(1751),
    [anon_sym_static] = ACTIONS(1753),
    [anon_sym_readonly] = ACTIONS(1753),
    [anon_sym_get] = ACTIONS(1753),
    [anon_sym_set] = ACTIONS(1753),
    [anon_sym_declare] = ACTIONS(1753),
    [anon_sym_public] = ACTIONS(1753),
    [anon_sym_private] = ACTIONS(1753),
    [anon_sym_protected] = ACTIONS(1753),
    [anon_sym_override] = ACTIONS(1753),
    [anon_sym_module] = ACTIONS(1753),
    [anon_sym_any] = ACTIONS(1753),
    [anon_sym_number] = ACTIONS(1753),
    [anon_sym_boolean] = ACTIONS(1753),
    [anon_sym_string] = ACTIONS(1753),
    [anon_sym_symbol] = ACTIONS(1753),
    [anon_sym_object] = ACTIONS(1753),
    [anon_sym_abstract] = ACTIONS(1753),
    [anon_sym_satisfies] = ACTIONS(1753),
    [anon_sym_interface] = ACTIONS(1753),
    [anon_sym_enum] = ACTIONS(1753),
    [sym__automatic_semicolon] = ACTIONS(1751),
    [sym__ternary_qmark] = ACTIONS(1751),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1730),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_RBRACE] = ACTIONS(1755),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1757),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [anon_sym_extends] = ACTIONS(1757),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1755),
    [sym__automatic_semicolon] = ACTIONS(1755),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [ts_builtin_sym_end] = ACTIONS(1759),
    [sym_identifier] = ACTIONS(1761),
    [anon_sym_export] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_default] = ACTIONS(1761),
    [anon_sym_type] = ACTIONS(1761),
    [anon_sym_as] = ACTIONS(1761),
    [anon_sym_namespace] = ACTIONS(1761),
    [anon_sym_LBRACE] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(1759),
    [anon_sym_typeof] = ACTIONS(1761),
    [anon_sym_import] = ACTIONS(1761),
    [anon_sym_with] = ACTIONS(1761),
    [anon_sym_var] = ACTIONS(1761),
    [anon_sym_let] = ACTIONS(1761),
    [anon_sym_const] = ACTIONS(1761),
    [anon_sym_BANG] = ACTIONS(1761),
    [anon_sym_else] = ACTIONS(1761),
    [anon_sym_if] = ACTIONS(1761),
    [anon_sym_switch] = ACTIONS(1761),
    [anon_sym_for] = ACTIONS(1761),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [anon_sym_await] = ACTIONS(1761),
    [anon_sym_in] = ACTIONS(1761),
    [anon_sym_while] = ACTIONS(1761),
    [anon_sym_do] = ACTIONS(1761),
    [anon_sym_try] = ACTIONS(1761),
    [anon_sym_break] = ACTIONS(1761),
    [anon_sym_continue] = ACTIONS(1761),
    [anon_sym_debugger] = ACTIONS(1761),
    [anon_sym_return] = ACTIONS(1761),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_SEMI] = ACTIONS(1759),
    [anon_sym_case] = ACTIONS(1761),
    [anon_sym_yield] = ACTIONS(1761),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [sym_glimmer_opening_tag] = ACTIONS(1759),
    [anon_sym_GT] = ACTIONS(1761),
    [anon_sym_DOT] = ACTIONS(1761),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [anon_sym_SQUOTE] = ACTIONS(1759),
    [anon_sym_class] = ACTIONS(1761),
    [anon_sym_async] = ACTIONS(1761),
    [anon_sym_function] = ACTIONS(1761),
    [anon_sym_QMARK_DOT] = ACTIONS(1759),
    [anon_sym_new] = ACTIONS(1761),
    [anon_sym_using] = ACTIONS(1761),
    [anon_sym_AMP_AMP] = ACTIONS(1759),
    [anon_sym_PIPE_PIPE] = ACTIONS(1759),
    [anon_sym_GT_GT] = ACTIONS(1761),
    [anon_sym_GT_GT_GT] = ACTIONS(1759),
    [anon_sym_LT_LT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym_CARET] = ACTIONS(1759),
    [anon_sym_PIPE] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_PERCENT] = ACTIONS(1759),
    [anon_sym_STAR_STAR] = ACTIONS(1759),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_LT_EQ] = ACTIONS(1759),
    [anon_sym_EQ_EQ] = ACTIONS(1761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1759),
    [anon_sym_BANG_EQ] = ACTIONS(1761),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_QMARK_QMARK] = ACTIONS(1759),
    [anon_sym_instanceof] = ACTIONS(1761),
    [anon_sym_TILDE] = ACTIONS(1759),
    [anon_sym_void] = ACTIONS(1761),
    [anon_sym_delete] = ACTIONS(1761),
    [anon_sym_PLUS_PLUS] = ACTIONS(1759),
    [anon_sym_DASH_DASH] = ACTIONS(1759),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1759),
    [sym_number] = ACTIONS(1759),
    [sym_private_property_identifier] = ACTIONS(1759),
    [sym_this] = ACTIONS(1761),
    [sym_super] = ACTIONS(1761),
    [sym_true] = ACTIONS(1761),
    [sym_false] = ACTIONS(1761),
    [sym_null] = ACTIONS(1761),
    [sym_undefined] = ACTIONS(1761),
    [anon_sym_AT] = ACTIONS(1759),
    [anon_sym_static] = ACTIONS(1761),
    [anon_sym_readonly] = ACTIONS(1761),
    [anon_sym_get] = ACTIONS(1761),
    [anon_sym_set] = ACTIONS(1761),
    [anon_sym_declare] = ACTIONS(1761),
    [anon_sym_public] = ACTIONS(1761),
    [anon_sym_private] = ACTIONS(1761),
    [anon_sym_protected] = ACTIONS(1761),
    [anon_sym_override] = ACTIONS(1761),
    [anon_sym_module] = ACTIONS(1761),
    [anon_sym_any] = ACTIONS(1761),
    [anon_sym_number] = ACTIONS(1761),
    [anon_sym_boolean] = ACTIONS(1761),
    [anon_sym_string] = ACTIONS(1761),
    [anon_sym_symbol] = ACTIONS(1761),
    [anon_sym_object] = ACTIONS(1761),
    [anon_sym_abstract] = ACTIONS(1761),
    [anon_sym_satisfies] = ACTIONS(1761),
    [anon_sym_interface] = ACTIONS(1761),
    [anon_sym_enum] = ACTIONS(1761),
    [sym__automatic_semicolon] = ACTIONS(1759),
    [sym__ternary_qmark] = ACTIONS(1759),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [ts_builtin_sym_end] = ACTIONS(1763),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_export] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_default] = ACTIONS(1765),
    [anon_sym_type] = ACTIONS(1765),
    [anon_sym_as] = ACTIONS(1765),
    [anon_sym_namespace] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(1763),
    [anon_sym_COMMA] = ACTIONS(1763),
    [anon_sym_RBRACE] = ACTIONS(1763),
    [anon_sym_typeof] = ACTIONS(1765),
    [anon_sym_import] = ACTIONS(1765),
    [anon_sym_with] = ACTIONS(1765),
    [anon_sym_var] = ACTIONS(1765),
    [anon_sym_let] = ACTIONS(1765),
    [anon_sym_const] = ACTIONS(1765),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_else] = ACTIONS(1765),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_switch] = ACTIONS(1765),
    [anon_sym_for] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [anon_sym_await] = ACTIONS(1765),
    [anon_sym_in] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1765),
    [anon_sym_do] = ACTIONS(1765),
    [anon_sym_try] = ACTIONS(1765),
    [anon_sym_break] = ACTIONS(1765),
    [anon_sym_continue] = ACTIONS(1765),
    [anon_sym_debugger] = ACTIONS(1765),
    [anon_sym_return] = ACTIONS(1765),
    [anon_sym_throw] = ACTIONS(1765),
    [anon_sym_SEMI] = ACTIONS(1763),
    [anon_sym_case] = ACTIONS(1765),
    [anon_sym_yield] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [sym_glimmer_opening_tag] = ACTIONS(1763),
    [anon_sym_GT] = ACTIONS(1765),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_DQUOTE] = ACTIONS(1763),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_class] = ACTIONS(1765),
    [anon_sym_async] = ACTIONS(1765),
    [anon_sym_function] = ACTIONS(1765),
    [anon_sym_QMARK_DOT] = ACTIONS(1763),
    [anon_sym_new] = ACTIONS(1765),
    [anon_sym_using] = ACTIONS(1765),
    [anon_sym_AMP_AMP] = ACTIONS(1763),
    [anon_sym_PIPE_PIPE] = ACTIONS(1763),
    [anon_sym_GT_GT] = ACTIONS(1765),
    [anon_sym_GT_GT_GT] = ACTIONS(1763),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_AMP] = ACTIONS(1765),
    [anon_sym_CARET] = ACTIONS(1763),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_PERCENT] = ACTIONS(1763),
    [anon_sym_STAR_STAR] = ACTIONS(1763),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1763),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1763),
    [anon_sym_BANG_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1763),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_QMARK_QMARK] = ACTIONS(1763),
    [anon_sym_instanceof] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1763),
    [anon_sym_void] = ACTIONS(1765),
    [anon_sym_delete] = ACTIONS(1765),
    [anon_sym_PLUS_PLUS] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1763),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1763),
    [sym_number] = ACTIONS(1763),
    [sym_private_property_identifier] = ACTIONS(1763),
    [sym_this] = ACTIONS(1765),
    [sym_super] = ACTIONS(1765),
    [sym_true] = ACTIONS(1765),
    [sym_false] = ACTIONS(1765),
    [sym_null] = ACTIONS(1765),
    [sym_undefined] = ACTIONS(1765),
    [anon_sym_AT] = ACTIONS(1763),
    [anon_sym_static] = ACTIONS(1765),
    [anon_sym_readonly] = ACTIONS(1765),
    [anon_sym_get] = ACTIONS(1765),
    [anon_sym_set] = ACTIONS(1765),
    [anon_sym_declare] = ACTIONS(1765),
    [anon_sym_public] = ACTIONS(1765),
    [anon_sym_private] = ACTIONS(1765),
    [anon_sym_protected] = ACTIONS(1765),
    [anon_sym_override] = ACTIONS(1765),
    [anon_sym_module] = ACTIONS(1765),
    [anon_sym_any] = ACTIONS(1765),
    [anon_sym_number] = ACTIONS(1765),
    [anon_sym_boolean] = ACTIONS(1765),
    [anon_sym_string] = ACTIONS(1765),
    [anon_sym_symbol] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(1765),
    [anon_sym_abstract] = ACTIONS(1765),
    [anon_sym_satisfies] = ACTIONS(1765),
    [anon_sym_interface] = ACTIONS(1765),
    [anon_sym_enum] = ACTIONS(1765),
    [sym__automatic_semicolon] = ACTIONS(1763),
    [sym__ternary_qmark] = ACTIONS(1763),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [ts_builtin_sym_end] = ACTIONS(1767),
    [sym_identifier] = ACTIONS(1769),
    [anon_sym_export] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_default] = ACTIONS(1769),
    [anon_sym_type] = ACTIONS(1769),
    [anon_sym_as] = ACTIONS(1771),
    [anon_sym_namespace] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1767),
    [anon_sym_COMMA] = ACTIONS(1773),
    [anon_sym_RBRACE] = ACTIONS(1767),
    [anon_sym_typeof] = ACTIONS(1769),
    [anon_sym_import] = ACTIONS(1769),
    [anon_sym_with] = ACTIONS(1769),
    [anon_sym_var] = ACTIONS(1769),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_const] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_else] = ACTIONS(1769),
    [anon_sym_if] = ACTIONS(1769),
    [anon_sym_switch] = ACTIONS(1769),
    [anon_sym_for] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_await] = ACTIONS(1769),
    [anon_sym_in] = ACTIONS(1771),
    [anon_sym_while] = ACTIONS(1769),
    [anon_sym_do] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1769),
    [anon_sym_break] = ACTIONS(1769),
    [anon_sym_continue] = ACTIONS(1769),
    [anon_sym_debugger] = ACTIONS(1769),
    [anon_sym_return] = ACTIONS(1769),
    [anon_sym_throw] = ACTIONS(1769),
    [anon_sym_SEMI] = ACTIONS(1767),
    [anon_sym_case] = ACTIONS(1769),
    [anon_sym_yield] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [sym_glimmer_opening_tag] = ACTIONS(1767),
    [anon_sym_GT] = ACTIONS(1771),
    [anon_sym_DOT] = ACTIONS(1771),
    [anon_sym_DQUOTE] = ACTIONS(1767),
    [anon_sym_SQUOTE] = ACTIONS(1767),
    [anon_sym_class] = ACTIONS(1769),
    [anon_sym_async] = ACTIONS(1769),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_QMARK_DOT] = ACTIONS(1773),
    [anon_sym_new] = ACTIONS(1769),
    [anon_sym_using] = ACTIONS(1769),
    [anon_sym_AMP_AMP] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1773),
    [anon_sym_GT_GT] = ACTIONS(1771),
    [anon_sym_GT_GT_GT] = ACTIONS(1773),
    [anon_sym_LT_LT] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1771),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_LT_EQ] = ACTIONS(1773),
    [anon_sym_EQ_EQ] = ACTIONS(1771),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1773),
    [anon_sym_BANG_EQ] = ACTIONS(1771),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(1773),
    [anon_sym_QMARK_QMARK] = ACTIONS(1773),
    [anon_sym_instanceof] = ACTIONS(1771),
    [anon_sym_TILDE] = ACTIONS(1767),
    [anon_sym_void] = ACTIONS(1769),
    [anon_sym_delete] = ACTIONS(1769),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1767),
    [sym_number] = ACTIONS(1767),
    [sym_private_property_identifier] = ACTIONS(1767),
    [sym_this] = ACTIONS(1769),
    [sym_super] = ACTIONS(1769),
    [sym_true] = ACTIONS(1769),
    [sym_false] = ACTIONS(1769),
    [sym_null] = ACTIONS(1769),
    [sym_undefined] = ACTIONS(1769),
    [anon_sym_AT] = ACTIONS(1767),
    [anon_sym_static] = ACTIONS(1769),
    [anon_sym_readonly] = ACTIONS(1769),
    [anon_sym_get] = ACTIONS(1769),
    [anon_sym_set] = ACTIONS(1769),
    [anon_sym_declare] = ACTIONS(1769),
    [anon_sym_public] = ACTIONS(1769),
    [anon_sym_private] = ACTIONS(1769),
    [anon_sym_protected] = ACTIONS(1769),
    [anon_sym_override] = ACTIONS(1769),
    [anon_sym_module] = ACTIONS(1769),
    [anon_sym_any] = ACTIONS(1769),
    [anon_sym_number] = ACTIONS(1769),
    [anon_sym_boolean] = ACTIONS(1769),
    [anon_sym_string] = ACTIONS(1769),
    [anon_sym_symbol] = ACTIONS(1769),
    [anon_sym_object] = ACTIONS(1769),
    [anon_sym_abstract] = ACTIONS(1769),
    [anon_sym_satisfies] = ACTIONS(1771),
    [anon_sym_interface] = ACTIONS(1769),
    [anon_sym_enum] = ACTIONS(1769),
    [sym__automatic_semicolon] = ACTIONS(1775),
    [sym__ternary_qmark] = ACTIONS(1773),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [ts_builtin_sym_end] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1779),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_default] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_as] = ACTIONS(1781),
    [anon_sym_namespace] = ACTIONS(1779),
    [anon_sym_LBRACE] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(1783),
    [anon_sym_RBRACE] = ACTIONS(1777),
    [anon_sym_typeof] = ACTIONS(1779),
    [anon_sym_import] = ACTIONS(1779),
    [anon_sym_with] = ACTIONS(1779),
    [anon_sym_var] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_const] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(1779),
    [anon_sym_else] = ACTIONS(1779),
    [anon_sym_if] = ACTIONS(1779),
    [anon_sym_switch] = ACTIONS(1779),
    [anon_sym_for] = ACTIONS(1779),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_in] = ACTIONS(1781),
    [anon_sym_while] = ACTIONS(1779),
    [anon_sym_do] = ACTIONS(1779),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_break] = ACTIONS(1779),
    [anon_sym_continue] = ACTIONS(1779),
    [anon_sym_debugger] = ACTIONS(1779),
    [anon_sym_return] = ACTIONS(1779),
    [anon_sym_throw] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(1777),
    [anon_sym_case] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [sym_glimmer_opening_tag] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_DQUOTE] = ACTIONS(1777),
    [anon_sym_SQUOTE] = ACTIONS(1777),
    [anon_sym_class] = ACTIONS(1779),
    [anon_sym_async] = ACTIONS(1779),
    [anon_sym_function] = ACTIONS(1779),
    [anon_sym_QMARK_DOT] = ACTIONS(1783),
    [anon_sym_new] = ACTIONS(1779),
    [anon_sym_using] = ACTIONS(1779),
    [anon_sym_AMP_AMP] = ACTIONS(1783),
    [anon_sym_PIPE_PIPE] = ACTIONS(1783),
    [anon_sym_GT_GT] = ACTIONS(1781),
    [anon_sym_GT_GT_GT] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1783),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1783),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1779),
    [anon_sym_DASH] = ACTIONS(1779),
    [anon_sym_SLASH] = ACTIONS(1779),
    [anon_sym_PERCENT] = ACTIONS(1783),
    [anon_sym_STAR_STAR] = ACTIONS(1783),
    [anon_sym_LT] = ACTIONS(1779),
    [anon_sym_LT_EQ] = ACTIONS(1783),
    [anon_sym_EQ_EQ] = ACTIONS(1781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1783),
    [anon_sym_BANG_EQ] = ACTIONS(1781),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1783),
    [anon_sym_GT_EQ] = ACTIONS(1783),
    [anon_sym_QMARK_QMARK] = ACTIONS(1783),
    [anon_sym_instanceof] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1777),
    [anon_sym_void] = ACTIONS(1779),
    [anon_sym_delete] = ACTIONS(1779),
    [anon_sym_PLUS_PLUS] = ACTIONS(1777),
    [anon_sym_DASH_DASH] = ACTIONS(1777),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1777),
    [sym_number] = ACTIONS(1777),
    [sym_private_property_identifier] = ACTIONS(1777),
    [sym_this] = ACTIONS(1779),
    [sym_super] = ACTIONS(1779),
    [sym_true] = ACTIONS(1779),
    [sym_false] = ACTIONS(1779),
    [sym_null] = ACTIONS(1779),
    [sym_undefined] = ACTIONS(1779),
    [anon_sym_AT] = ACTIONS(1777),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_abstract] = ACTIONS(1779),
    [anon_sym_satisfies] = ACTIONS(1781),
    [anon_sym_interface] = ACTIONS(1779),
    [anon_sym_enum] = ACTIONS(1779),
    [sym__automatic_semicolon] = ACTIONS(1785),
    [sym__ternary_qmark] = ACTIONS(1783),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [ts_builtin_sym_end] = ACTIONS(1787),
    [sym_identifier] = ACTIONS(1789),
    [anon_sym_export] = ACTIONS(1789),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_default] = ACTIONS(1789),
    [anon_sym_type] = ACTIONS(1789),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(1793),
    [anon_sym_RBRACE] = ACTIONS(1787),
    [anon_sym_typeof] = ACTIONS(1789),
    [anon_sym_import] = ACTIONS(1789),
    [anon_sym_with] = ACTIONS(1789),
    [anon_sym_var] = ACTIONS(1789),
    [anon_sym_let] = ACTIONS(1789),
    [anon_sym_const] = ACTIONS(1789),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_else] = ACTIONS(1789),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_switch] = ACTIONS(1789),
    [anon_sym_for] = ACTIONS(1789),
    [anon_sym_LPAREN] = ACTIONS(1787),
    [anon_sym_await] = ACTIONS(1789),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_while] = ACTIONS(1789),
    [anon_sym_do] = ACTIONS(1789),
    [anon_sym_try] = ACTIONS(1789),
    [anon_sym_break] = ACTIONS(1789),
    [anon_sym_continue] = ACTIONS(1789),
    [anon_sym_debugger] = ACTIONS(1789),
    [anon_sym_return] = ACTIONS(1789),
    [anon_sym_throw] = ACTIONS(1789),
    [anon_sym_SEMI] = ACTIONS(1787),
    [anon_sym_case] = ACTIONS(1789),
    [anon_sym_yield] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [sym_glimmer_opening_tag] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(1787),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1789),
    [anon_sym_QMARK_DOT] = ACTIONS(1793),
    [anon_sym_new] = ACTIONS(1789),
    [anon_sym_using] = ACTIONS(1789),
    [anon_sym_AMP_AMP] = ACTIONS(1793),
    [anon_sym_PIPE_PIPE] = ACTIONS(1793),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1793),
    [anon_sym_LT_LT] = ACTIONS(1793),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1793),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1789),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PERCENT] = ACTIONS(1793),
    [anon_sym_STAR_STAR] = ACTIONS(1793),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_LT_EQ] = ACTIONS(1793),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1793),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1793),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_QMARK_QMARK] = ACTIONS(1793),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1787),
    [anon_sym_void] = ACTIONS(1789),
    [anon_sym_delete] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1787),
    [anon_sym_DASH_DASH] = ACTIONS(1787),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1787),
    [sym_number] = ACTIONS(1787),
    [sym_private_property_identifier] = ACTIONS(1787),
    [sym_this] = ACTIONS(1789),
    [sym_super] = ACTIONS(1789),
    [sym_true] = ACTIONS(1789),
    [sym_false] = ACTIONS(1789),
    [sym_null] = ACTIONS(1789),
    [sym_undefined] = ACTIONS(1789),
    [anon_sym_AT] = ACTIONS(1787),
    [anon_sym_static] = ACTIONS(1789),
    [anon_sym_readonly] = ACTIONS(1789),
    [anon_sym_get] = ACTIONS(1789),
    [anon_sym_set] = ACTIONS(1789),
    [anon_sym_declare] = ACTIONS(1789),
    [anon_sym_public] = ACTIONS(1789),
    [anon_sym_private] = ACTIONS(1789),
    [anon_sym_protected] = ACTIONS(1789),
    [anon_sym_override] = ACTIONS(1789),
    [anon_sym_module] = ACTIONS(1789),
    [anon_sym_any] = ACTIONS(1789),
    [anon_sym_number] = ACTIONS(1789),
    [anon_sym_boolean] = ACTIONS(1789),
    [anon_sym_string] = ACTIONS(1789),
    [anon_sym_symbol] = ACTIONS(1789),
    [anon_sym_object] = ACTIONS(1789),
    [anon_sym_abstract] = ACTIONS(1789),
    [anon_sym_satisfies] = ACTIONS(1791),
    [anon_sym_interface] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1789),
    [sym__automatic_semicolon] = ACTIONS(1795),
    [sym__ternary_qmark] = ACTIONS(1793),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1730),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_RBRACE] = ACTIONS(1755),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_RBRACK] = ACTIONS(1755),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_QMARK] = ACTIONS(1755),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [anon_sym_extends] = ACTIONS(1757),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(3477),
    [sym_expression_statement] = STATE(277),
    [sym_variable_declaration] = STATE(277),
    [sym_lexical_declaration] = STATE(277),
    [sym_empty_statement] = STATE(277),
    [sym_parenthesized_expression] = STATE(1328),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1328),
    [sym_subscript_expression] = STATE(1328),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1328),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1797),
    [anon_sym_export] = ACTIONS(1799),
    [anon_sym_type] = ACTIONS(1799),
    [anon_sym_namespace] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1803),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_var] = ACTIONS(1805),
    [anon_sym_let] = ACTIONS(1807),
    [anon_sym_const] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(1811),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1813),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1815),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1817),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1799),
    [anon_sym_readonly] = ACTIONS(1799),
    [anon_sym_get] = ACTIONS(1799),
    [anon_sym_set] = ACTIONS(1799),
    [anon_sym_declare] = ACTIONS(1799),
    [anon_sym_public] = ACTIONS(1799),
    [anon_sym_private] = ACTIONS(1799),
    [anon_sym_protected] = ACTIONS(1799),
    [anon_sym_override] = ACTIONS(1799),
    [anon_sym_module] = ACTIONS(1799),
    [anon_sym_any] = ACTIONS(1799),
    [anon_sym_number] = ACTIONS(1799),
    [anon_sym_boolean] = ACTIONS(1799),
    [anon_sym_string] = ACTIONS(1799),
    [anon_sym_symbol] = ACTIONS(1799),
    [anon_sym_object] = ACTIONS(1799),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(3477),
    [sym_expression_statement] = STATE(285),
    [sym_variable_declaration] = STATE(285),
    [sym_lexical_declaration] = STATE(285),
    [sym_empty_statement] = STATE(285),
    [sym_parenthesized_expression] = STATE(1328),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1328),
    [sym_subscript_expression] = STATE(1328),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1328),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1797),
    [anon_sym_export] = ACTIONS(1799),
    [anon_sym_type] = ACTIONS(1799),
    [anon_sym_namespace] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1803),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_var] = ACTIONS(1805),
    [anon_sym_let] = ACTIONS(1807),
    [anon_sym_const] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(1811),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1813),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1815),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1817),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1799),
    [anon_sym_readonly] = ACTIONS(1799),
    [anon_sym_get] = ACTIONS(1799),
    [anon_sym_set] = ACTIONS(1799),
    [anon_sym_declare] = ACTIONS(1799),
    [anon_sym_public] = ACTIONS(1799),
    [anon_sym_private] = ACTIONS(1799),
    [anon_sym_protected] = ACTIONS(1799),
    [anon_sym_override] = ACTIONS(1799),
    [anon_sym_module] = ACTIONS(1799),
    [anon_sym_any] = ACTIONS(1799),
    [anon_sym_number] = ACTIONS(1799),
    [anon_sym_boolean] = ACTIONS(1799),
    [anon_sym_string] = ACTIONS(1799),
    [anon_sym_symbol] = ACTIONS(1799),
    [anon_sym_object] = ACTIONS(1799),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [ts_builtin_sym_end] = ACTIONS(1819),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1821),
    [anon_sym_STAR] = ACTIONS(1823),
    [anon_sym_default] = ACTIONS(1821),
    [anon_sym_type] = ACTIONS(1821),
    [anon_sym_as] = ACTIONS(1823),
    [anon_sym_namespace] = ACTIONS(1821),
    [anon_sym_LBRACE] = ACTIONS(1819),
    [anon_sym_COMMA] = ACTIONS(1825),
    [anon_sym_RBRACE] = ACTIONS(1819),
    [anon_sym_typeof] = ACTIONS(1821),
    [anon_sym_import] = ACTIONS(1821),
    [anon_sym_with] = ACTIONS(1821),
    [anon_sym_var] = ACTIONS(1821),
    [anon_sym_let] = ACTIONS(1821),
    [anon_sym_const] = ACTIONS(1821),
    [anon_sym_BANG] = ACTIONS(1821),
    [anon_sym_else] = ACTIONS(1821),
    [anon_sym_if] = ACTIONS(1821),
    [anon_sym_switch] = ACTIONS(1821),
    [anon_sym_for] = ACTIONS(1821),
    [anon_sym_LPAREN] = ACTIONS(1819),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_in] = ACTIONS(1823),
    [anon_sym_while] = ACTIONS(1821),
    [anon_sym_do] = ACTIONS(1821),
    [anon_sym_try] = ACTIONS(1821),
    [anon_sym_break] = ACTIONS(1821),
    [anon_sym_continue] = ACTIONS(1821),
    [anon_sym_debugger] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1821),
    [anon_sym_throw] = ACTIONS(1821),
    [anon_sym_SEMI] = ACTIONS(1819),
    [anon_sym_case] = ACTIONS(1821),
    [anon_sym_yield] = ACTIONS(1821),
    [anon_sym_LBRACK] = ACTIONS(1819),
    [sym_glimmer_opening_tag] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1823),
    [anon_sym_DOT] = ACTIONS(1823),
    [anon_sym_DQUOTE] = ACTIONS(1819),
    [anon_sym_SQUOTE] = ACTIONS(1819),
    [anon_sym_class] = ACTIONS(1821),
    [anon_sym_async] = ACTIONS(1821),
    [anon_sym_function] = ACTIONS(1821),
    [anon_sym_QMARK_DOT] = ACTIONS(1825),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_using] = ACTIONS(1821),
    [anon_sym_AMP_AMP] = ACTIONS(1825),
    [anon_sym_PIPE_PIPE] = ACTIONS(1825),
    [anon_sym_GT_GT] = ACTIONS(1823),
    [anon_sym_GT_GT_GT] = ACTIONS(1825),
    [anon_sym_LT_LT] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1823),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_PIPE] = ACTIONS(1823),
    [anon_sym_PLUS] = ACTIONS(1821),
    [anon_sym_DASH] = ACTIONS(1821),
    [anon_sym_SLASH] = ACTIONS(1821),
    [anon_sym_PERCENT] = ACTIONS(1825),
    [anon_sym_STAR_STAR] = ACTIONS(1825),
    [anon_sym_LT] = ACTIONS(1821),
    [anon_sym_LT_EQ] = ACTIONS(1825),
    [anon_sym_EQ_EQ] = ACTIONS(1823),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1825),
    [anon_sym_BANG_EQ] = ACTIONS(1823),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(1825),
    [anon_sym_QMARK_QMARK] = ACTIONS(1825),
    [anon_sym_instanceof] = ACTIONS(1823),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1821),
    [anon_sym_delete] = ACTIONS(1821),
    [anon_sym_PLUS_PLUS] = ACTIONS(1819),
    [anon_sym_DASH_DASH] = ACTIONS(1819),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1819),
    [sym_number] = ACTIONS(1819),
    [sym_private_property_identifier] = ACTIONS(1819),
    [sym_this] = ACTIONS(1821),
    [sym_super] = ACTIONS(1821),
    [sym_true] = ACTIONS(1821),
    [sym_false] = ACTIONS(1821),
    [sym_null] = ACTIONS(1821),
    [sym_undefined] = ACTIONS(1821),
    [anon_sym_AT] = ACTIONS(1819),
    [anon_sym_static] = ACTIONS(1821),
    [anon_sym_readonly] = ACTIONS(1821),
    [anon_sym_get] = ACTIONS(1821),
    [anon_sym_set] = ACTIONS(1821),
    [anon_sym_declare] = ACTIONS(1821),
    [anon_sym_public] = ACTIONS(1821),
    [anon_sym_private] = ACTIONS(1821),
    [anon_sym_protected] = ACTIONS(1821),
    [anon_sym_override] = ACTIONS(1821),
    [anon_sym_module] = ACTIONS(1821),
    [anon_sym_any] = ACTIONS(1821),
    [anon_sym_number] = ACTIONS(1821),
    [anon_sym_boolean] = ACTIONS(1821),
    [anon_sym_string] = ACTIONS(1821),
    [anon_sym_symbol] = ACTIONS(1821),
    [anon_sym_object] = ACTIONS(1821),
    [anon_sym_abstract] = ACTIONS(1821),
    [anon_sym_satisfies] = ACTIONS(1823),
    [anon_sym_interface] = ACTIONS(1821),
    [anon_sym_enum] = ACTIONS(1821),
    [sym__automatic_semicolon] = ACTIONS(1827),
    [sym__ternary_qmark] = ACTIONS(1825),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [sym_identifier] = ACTIONS(1831),
    [anon_sym_export] = ACTIONS(1831),
    [anon_sym_STAR] = ACTIONS(1831),
    [anon_sym_default] = ACTIONS(1831),
    [anon_sym_type] = ACTIONS(1831),
    [anon_sym_as] = ACTIONS(1831),
    [anon_sym_namespace] = ACTIONS(1831),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym_COMMA] = ACTIONS(1829),
    [anon_sym_RBRACE] = ACTIONS(1829),
    [anon_sym_typeof] = ACTIONS(1831),
    [anon_sym_import] = ACTIONS(1831),
    [anon_sym_with] = ACTIONS(1831),
    [anon_sym_var] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1831),
    [anon_sym_const] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1831),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_if] = ACTIONS(1831),
    [anon_sym_switch] = ACTIONS(1831),
    [anon_sym_for] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_in] = ACTIONS(1831),
    [anon_sym_while] = ACTIONS(1831),
    [anon_sym_do] = ACTIONS(1831),
    [anon_sym_try] = ACTIONS(1831),
    [anon_sym_break] = ACTIONS(1831),
    [anon_sym_continue] = ACTIONS(1831),
    [anon_sym_debugger] = ACTIONS(1831),
    [anon_sym_return] = ACTIONS(1831),
    [anon_sym_throw] = ACTIONS(1831),
    [anon_sym_SEMI] = ACTIONS(1829),
    [anon_sym_case] = ACTIONS(1831),
    [anon_sym_yield] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [sym_glimmer_opening_tag] = ACTIONS(1829),
    [anon_sym_GT] = ACTIONS(1831),
    [anon_sym_DOT] = ACTIONS(1831),
    [anon_sym_DQUOTE] = ACTIONS(1829),
    [anon_sym_SQUOTE] = ACTIONS(1829),
    [anon_sym_class] = ACTIONS(1831),
    [anon_sym_async] = ACTIONS(1831),
    [anon_sym_function] = ACTIONS(1831),
    [anon_sym_QMARK_DOT] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_using] = ACTIONS(1831),
    [anon_sym_AMP_AMP] = ACTIONS(1829),
    [anon_sym_PIPE_PIPE] = ACTIONS(1829),
    [anon_sym_GT_GT] = ACTIONS(1831),
    [anon_sym_GT_GT_GT] = ACTIONS(1829),
    [anon_sym_LT_LT] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(1831),
    [anon_sym_CARET] = ACTIONS(1829),
    [anon_sym_PIPE] = ACTIONS(1831),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_PERCENT] = ACTIONS(1829),
    [anon_sym_STAR_STAR] = ACTIONS(1829),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_EQ_EQ] = ACTIONS(1831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1829),
    [anon_sym_BANG_EQ] = ACTIONS(1831),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_QMARK_QMARK] = ACTIONS(1829),
    [anon_sym_instanceof] = ACTIONS(1831),
    [anon_sym_TILDE] = ACTIONS(1829),
    [anon_sym_void] = ACTIONS(1831),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1829),
    [sym_number] = ACTIONS(1829),
    [sym_private_property_identifier] = ACTIONS(1829),
    [sym_this] = ACTIONS(1831),
    [sym_super] = ACTIONS(1831),
    [sym_true] = ACTIONS(1831),
    [sym_false] = ACTIONS(1831),
    [sym_null] = ACTIONS(1831),
    [sym_undefined] = ACTIONS(1831),
    [anon_sym_AT] = ACTIONS(1829),
    [anon_sym_static] = ACTIONS(1831),
    [anon_sym_readonly] = ACTIONS(1831),
    [anon_sym_get] = ACTIONS(1831),
    [anon_sym_set] = ACTIONS(1831),
    [anon_sym_declare] = ACTIONS(1831),
    [anon_sym_public] = ACTIONS(1831),
    [anon_sym_private] = ACTIONS(1831),
    [anon_sym_protected] = ACTIONS(1831),
    [anon_sym_override] = ACTIONS(1831),
    [anon_sym_module] = ACTIONS(1831),
    [anon_sym_any] = ACTIONS(1831),
    [anon_sym_number] = ACTIONS(1831),
    [anon_sym_boolean] = ACTIONS(1831),
    [anon_sym_string] = ACTIONS(1831),
    [anon_sym_symbol] = ACTIONS(1831),
    [anon_sym_object] = ACTIONS(1831),
    [anon_sym_abstract] = ACTIONS(1831),
    [anon_sym_satisfies] = ACTIONS(1831),
    [anon_sym_interface] = ACTIONS(1831),
    [anon_sym_enum] = ACTIONS(1831),
    [sym__automatic_semicolon] = ACTIONS(1833),
    [sym__ternary_qmark] = ACTIONS(1829),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [ts_builtin_sym_end] = ACTIONS(1835),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1837),
    [anon_sym_STAR] = ACTIONS(1839),
    [anon_sym_default] = ACTIONS(1837),
    [anon_sym_type] = ACTIONS(1837),
    [anon_sym_as] = ACTIONS(1839),
    [anon_sym_namespace] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1835),
    [anon_sym_COMMA] = ACTIONS(1841),
    [anon_sym_RBRACE] = ACTIONS(1835),
    [anon_sym_typeof] = ACTIONS(1837),
    [anon_sym_import] = ACTIONS(1837),
    [anon_sym_with] = ACTIONS(1837),
    [anon_sym_var] = ACTIONS(1837),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_const] = ACTIONS(1837),
    [anon_sym_BANG] = ACTIONS(1837),
    [anon_sym_else] = ACTIONS(1837),
    [anon_sym_if] = ACTIONS(1837),
    [anon_sym_switch] = ACTIONS(1837),
    [anon_sym_for] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_await] = ACTIONS(1837),
    [anon_sym_in] = ACTIONS(1839),
    [anon_sym_while] = ACTIONS(1837),
    [anon_sym_do] = ACTIONS(1837),
    [anon_sym_try] = ACTIONS(1837),
    [anon_sym_break] = ACTIONS(1837),
    [anon_sym_continue] = ACTIONS(1837),
    [anon_sym_debugger] = ACTIONS(1837),
    [anon_sym_return] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1837),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_case] = ACTIONS(1837),
    [anon_sym_yield] = ACTIONS(1837),
    [anon_sym_LBRACK] = ACTIONS(1835),
    [sym_glimmer_opening_tag] = ACTIONS(1835),
    [anon_sym_GT] = ACTIONS(1839),
    [anon_sym_DOT] = ACTIONS(1839),
    [anon_sym_DQUOTE] = ACTIONS(1835),
    [anon_sym_SQUOTE] = ACTIONS(1835),
    [anon_sym_class] = ACTIONS(1837),
    [anon_sym_async] = ACTIONS(1837),
    [anon_sym_function] = ACTIONS(1837),
    [anon_sym_QMARK_DOT] = ACTIONS(1841),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_using] = ACTIONS(1837),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_GT_GT] = ACTIONS(1839),
    [anon_sym_GT_GT_GT] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1839),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_DASH] = ACTIONS(1837),
    [anon_sym_SLASH] = ACTIONS(1837),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_STAR_STAR] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1839),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_QMARK_QMARK] = ACTIONS(1841),
    [anon_sym_instanceof] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1835),
    [anon_sym_void] = ACTIONS(1837),
    [anon_sym_delete] = ACTIONS(1837),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1835),
    [sym_number] = ACTIONS(1835),
    [sym_private_property_identifier] = ACTIONS(1835),
    [sym_this] = ACTIONS(1837),
    [sym_super] = ACTIONS(1837),
    [sym_true] = ACTIONS(1837),
    [sym_false] = ACTIONS(1837),
    [sym_null] = ACTIONS(1837),
    [sym_undefined] = ACTIONS(1837),
    [anon_sym_AT] = ACTIONS(1835),
    [anon_sym_static] = ACTIONS(1837),
    [anon_sym_readonly] = ACTIONS(1837),
    [anon_sym_get] = ACTIONS(1837),
    [anon_sym_set] = ACTIONS(1837),
    [anon_sym_declare] = ACTIONS(1837),
    [anon_sym_public] = ACTIONS(1837),
    [anon_sym_private] = ACTIONS(1837),
    [anon_sym_protected] = ACTIONS(1837),
    [anon_sym_override] = ACTIONS(1837),
    [anon_sym_module] = ACTIONS(1837),
    [anon_sym_any] = ACTIONS(1837),
    [anon_sym_number] = ACTIONS(1837),
    [anon_sym_boolean] = ACTIONS(1837),
    [anon_sym_string] = ACTIONS(1837),
    [anon_sym_symbol] = ACTIONS(1837),
    [anon_sym_object] = ACTIONS(1837),
    [anon_sym_abstract] = ACTIONS(1837),
    [anon_sym_satisfies] = ACTIONS(1839),
    [anon_sym_interface] = ACTIONS(1837),
    [anon_sym_enum] = ACTIONS(1837),
    [sym__automatic_semicolon] = ACTIONS(1843),
    [sym__ternary_qmark] = ACTIONS(1841),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [ts_builtin_sym_end] = ACTIONS(1845),
    [sym_identifier] = ACTIONS(1847),
    [anon_sym_export] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1847),
    [anon_sym_type] = ACTIONS(1847),
    [anon_sym_as] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1847),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_RBRACE] = ACTIONS(1845),
    [anon_sym_typeof] = ACTIONS(1847),
    [anon_sym_import] = ACTIONS(1847),
    [anon_sym_with] = ACTIONS(1847),
    [anon_sym_var] = ACTIONS(1847),
    [anon_sym_let] = ACTIONS(1847),
    [anon_sym_const] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1847),
    [anon_sym_switch] = ACTIONS(1847),
    [anon_sym_for] = ACTIONS(1847),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1847),
    [anon_sym_in] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1847),
    [anon_sym_try] = ACTIONS(1847),
    [anon_sym_break] = ACTIONS(1847),
    [anon_sym_continue] = ACTIONS(1847),
    [anon_sym_debugger] = ACTIONS(1847),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_SEMI] = ACTIONS(1845),
    [anon_sym_case] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1847),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [sym_glimmer_opening_tag] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_DQUOTE] = ACTIONS(1845),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1847),
    [anon_sym_async] = ACTIONS(1847),
    [anon_sym_function] = ACTIONS(1847),
    [anon_sym_QMARK_DOT] = ACTIONS(1851),
    [anon_sym_new] = ACTIONS(1847),
    [anon_sym_using] = ACTIONS(1847),
    [anon_sym_AMP_AMP] = ACTIONS(1851),
    [anon_sym_PIPE_PIPE] = ACTIONS(1851),
    [anon_sym_GT_GT] = ACTIONS(1849),
    [anon_sym_GT_GT_GT] = ACTIONS(1851),
    [anon_sym_LT_LT] = ACTIONS(1851),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [anon_sym_STAR_STAR] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_QMARK_QMARK] = ACTIONS(1851),
    [anon_sym_instanceof] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_void] = ACTIONS(1847),
    [anon_sym_delete] = ACTIONS(1847),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [sym_private_property_identifier] = ACTIONS(1845),
    [sym_this] = ACTIONS(1847),
    [sym_super] = ACTIONS(1847),
    [sym_true] = ACTIONS(1847),
    [sym_false] = ACTIONS(1847),
    [sym_null] = ACTIONS(1847),
    [sym_undefined] = ACTIONS(1847),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_static] = ACTIONS(1847),
    [anon_sym_readonly] = ACTIONS(1847),
    [anon_sym_get] = ACTIONS(1847),
    [anon_sym_set] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1847),
    [anon_sym_public] = ACTIONS(1847),
    [anon_sym_private] = ACTIONS(1847),
    [anon_sym_protected] = ACTIONS(1847),
    [anon_sym_override] = ACTIONS(1847),
    [anon_sym_module] = ACTIONS(1847),
    [anon_sym_any] = ACTIONS(1847),
    [anon_sym_number] = ACTIONS(1847),
    [anon_sym_boolean] = ACTIONS(1847),
    [anon_sym_string] = ACTIONS(1847),
    [anon_sym_symbol] = ACTIONS(1847),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_abstract] = ACTIONS(1847),
    [anon_sym_satisfies] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1847),
    [anon_sym_enum] = ACTIONS(1847),
    [sym__automatic_semicolon] = ACTIONS(1853),
    [sym__ternary_qmark] = ACTIONS(1851),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [ts_builtin_sym_end] = ACTIONS(1855),
    [sym_identifier] = ACTIONS(1857),
    [anon_sym_export] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_default] = ACTIONS(1857),
    [anon_sym_type] = ACTIONS(1857),
    [anon_sym_as] = ACTIONS(1857),
    [anon_sym_namespace] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_RBRACE] = ACTIONS(1855),
    [anon_sym_typeof] = ACTIONS(1857),
    [anon_sym_import] = ACTIONS(1857),
    [anon_sym_with] = ACTIONS(1857),
    [anon_sym_var] = ACTIONS(1857),
    [anon_sym_let] = ACTIONS(1857),
    [anon_sym_const] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_else] = ACTIONS(1857),
    [anon_sym_if] = ACTIONS(1857),
    [anon_sym_switch] = ACTIONS(1857),
    [anon_sym_for] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_in] = ACTIONS(1857),
    [anon_sym_while] = ACTIONS(1857),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_debugger] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1855),
    [anon_sym_case] = ACTIONS(1857),
    [anon_sym_yield] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [sym_glimmer_opening_tag] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_DQUOTE] = ACTIONS(1855),
    [anon_sym_SQUOTE] = ACTIONS(1855),
    [anon_sym_class] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_QMARK_DOT] = ACTIONS(1855),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1855),
    [anon_sym_PIPE_PIPE] = ACTIONS(1855),
    [anon_sym_GT_GT] = ACTIONS(1857),
    [anon_sym_GT_GT_GT] = ACTIONS(1855),
    [anon_sym_LT_LT] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1855),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_STAR_STAR] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_QMARK_QMARK] = ACTIONS(1855),
    [anon_sym_instanceof] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1855),
    [anon_sym_void] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1855),
    [sym_number] = ACTIONS(1855),
    [sym_private_property_identifier] = ACTIONS(1855),
    [sym_this] = ACTIONS(1857),
    [sym_super] = ACTIONS(1857),
    [sym_true] = ACTIONS(1857),
    [sym_false] = ACTIONS(1857),
    [sym_null] = ACTIONS(1857),
    [sym_undefined] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1855),
    [anon_sym_static] = ACTIONS(1857),
    [anon_sym_readonly] = ACTIONS(1857),
    [anon_sym_get] = ACTIONS(1857),
    [anon_sym_set] = ACTIONS(1857),
    [anon_sym_declare] = ACTIONS(1857),
    [anon_sym_public] = ACTIONS(1857),
    [anon_sym_private] = ACTIONS(1857),
    [anon_sym_protected] = ACTIONS(1857),
    [anon_sym_override] = ACTIONS(1857),
    [anon_sym_module] = ACTIONS(1857),
    [anon_sym_any] = ACTIONS(1857),
    [anon_sym_number] = ACTIONS(1857),
    [anon_sym_boolean] = ACTIONS(1857),
    [anon_sym_string] = ACTIONS(1857),
    [anon_sym_symbol] = ACTIONS(1857),
    [anon_sym_object] = ACTIONS(1857),
    [anon_sym_abstract] = ACTIONS(1857),
    [anon_sym_satisfies] = ACTIONS(1857),
    [anon_sym_interface] = ACTIONS(1857),
    [anon_sym_enum] = ACTIONS(1857),
    [sym__automatic_semicolon] = ACTIONS(1855),
    [sym__ternary_qmark] = ACTIONS(1855),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [ts_builtin_sym_end] = ACTIONS(1859),
    [sym_identifier] = ACTIONS(1861),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_default] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_as] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_typeof] = ACTIONS(1861),
    [anon_sym_import] = ACTIONS(1861),
    [anon_sym_with] = ACTIONS(1861),
    [anon_sym_var] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_const] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_else] = ACTIONS(1861),
    [anon_sym_if] = ACTIONS(1861),
    [anon_sym_switch] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_await] = ACTIONS(1861),
    [anon_sym_in] = ACTIONS(1861),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_do] = ACTIONS(1861),
    [anon_sym_try] = ACTIONS(1861),
    [anon_sym_break] = ACTIONS(1861),
    [anon_sym_continue] = ACTIONS(1861),
    [anon_sym_debugger] = ACTIONS(1861),
    [anon_sym_return] = ACTIONS(1861),
    [anon_sym_throw] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_case] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_glimmer_opening_tag] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_DQUOTE] = ACTIONS(1859),
    [anon_sym_SQUOTE] = ACTIONS(1859),
    [anon_sym_class] = ACTIONS(1861),
    [anon_sym_async] = ACTIONS(1861),
    [anon_sym_function] = ACTIONS(1861),
    [anon_sym_QMARK_DOT] = ACTIONS(1859),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_using] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_GT_GT] = ACTIONS(1861),
    [anon_sym_GT_GT_GT] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_QMARK_QMARK] = ACTIONS(1859),
    [anon_sym_instanceof] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1859),
    [anon_sym_void] = ACTIONS(1861),
    [anon_sym_delete] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1859),
    [sym_number] = ACTIONS(1859),
    [sym_private_property_identifier] = ACTIONS(1859),
    [sym_this] = ACTIONS(1861),
    [sym_super] = ACTIONS(1861),
    [sym_true] = ACTIONS(1861),
    [sym_false] = ACTIONS(1861),
    [sym_null] = ACTIONS(1861),
    [sym_undefined] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_abstract] = ACTIONS(1861),
    [anon_sym_satisfies] = ACTIONS(1861),
    [anon_sym_interface] = ACTIONS(1861),
    [anon_sym_enum] = ACTIONS(1861),
    [sym__automatic_semicolon] = ACTIONS(1859),
    [sym__ternary_qmark] = ACTIONS(1859),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [ts_builtin_sym_end] = ACTIONS(1863),
    [sym_identifier] = ACTIONS(1865),
    [anon_sym_export] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1865),
    [anon_sym_default] = ACTIONS(1865),
    [anon_sym_type] = ACTIONS(1865),
    [anon_sym_as] = ACTIONS(1865),
    [anon_sym_namespace] = ACTIONS(1865),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1863),
    [anon_sym_RBRACE] = ACTIONS(1863),
    [anon_sym_typeof] = ACTIONS(1865),
    [anon_sym_import] = ACTIONS(1865),
    [anon_sym_with] = ACTIONS(1865),
    [anon_sym_var] = ACTIONS(1865),
    [anon_sym_let] = ACTIONS(1865),
    [anon_sym_const] = ACTIONS(1865),
    [anon_sym_BANG] = ACTIONS(1865),
    [anon_sym_else] = ACTIONS(1865),
    [anon_sym_if] = ACTIONS(1865),
    [anon_sym_switch] = ACTIONS(1865),
    [anon_sym_for] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_await] = ACTIONS(1865),
    [anon_sym_in] = ACTIONS(1865),
    [anon_sym_while] = ACTIONS(1865),
    [anon_sym_do] = ACTIONS(1865),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_break] = ACTIONS(1865),
    [anon_sym_continue] = ACTIONS(1865),
    [anon_sym_debugger] = ACTIONS(1865),
    [anon_sym_return] = ACTIONS(1865),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_SEMI] = ACTIONS(1863),
    [anon_sym_case] = ACTIONS(1865),
    [anon_sym_yield] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [sym_glimmer_opening_tag] = ACTIONS(1863),
    [anon_sym_GT] = ACTIONS(1865),
    [anon_sym_DOT] = ACTIONS(1865),
    [anon_sym_DQUOTE] = ACTIONS(1863),
    [anon_sym_SQUOTE] = ACTIONS(1863),
    [anon_sym_class] = ACTIONS(1865),
    [anon_sym_async] = ACTIONS(1865),
    [anon_sym_function] = ACTIONS(1865),
    [anon_sym_QMARK_DOT] = ACTIONS(1863),
    [anon_sym_new] = ACTIONS(1865),
    [anon_sym_using] = ACTIONS(1865),
    [anon_sym_AMP_AMP] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1863),
    [anon_sym_GT_GT] = ACTIONS(1865),
    [anon_sym_GT_GT_GT] = ACTIONS(1863),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_AMP] = ACTIONS(1865),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_PIPE] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_SLASH] = ACTIONS(1865),
    [anon_sym_PERCENT] = ACTIONS(1863),
    [anon_sym_STAR_STAR] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1865),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_EQ_EQ] = ACTIONS(1865),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1865),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_QMARK_QMARK] = ACTIONS(1863),
    [anon_sym_instanceof] = ACTIONS(1865),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_void] = ACTIONS(1865),
    [anon_sym_delete] = ACTIONS(1865),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1863),
    [sym_number] = ACTIONS(1863),
    [sym_private_property_identifier] = ACTIONS(1863),
    [sym_this] = ACTIONS(1865),
    [sym_super] = ACTIONS(1865),
    [sym_true] = ACTIONS(1865),
    [sym_false] = ACTIONS(1865),
    [sym_null] = ACTIONS(1865),
    [sym_undefined] = ACTIONS(1865),
    [anon_sym_AT] = ACTIONS(1863),
    [anon_sym_static] = ACTIONS(1865),
    [anon_sym_readonly] = ACTIONS(1865),
    [anon_sym_get] = ACTIONS(1865),
    [anon_sym_set] = ACTIONS(1865),
    [anon_sym_declare] = ACTIONS(1865),
    [anon_sym_public] = ACTIONS(1865),
    [anon_sym_private] = ACTIONS(1865),
    [anon_sym_protected] = ACTIONS(1865),
    [anon_sym_override] = ACTIONS(1865),
    [anon_sym_module] = ACTIONS(1865),
    [anon_sym_any] = ACTIONS(1865),
    [anon_sym_number] = ACTIONS(1865),
    [anon_sym_boolean] = ACTIONS(1865),
    [anon_sym_string] = ACTIONS(1865),
    [anon_sym_symbol] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1865),
    [anon_sym_abstract] = ACTIONS(1865),
    [anon_sym_satisfies] = ACTIONS(1865),
    [anon_sym_interface] = ACTIONS(1865),
    [anon_sym_enum] = ACTIONS(1865),
    [sym__automatic_semicolon] = ACTIONS(1863),
    [sym__ternary_qmark] = ACTIONS(1863),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [ts_builtin_sym_end] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1869),
    [anon_sym_export] = ACTIONS(1869),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_default] = ACTIONS(1869),
    [anon_sym_type] = ACTIONS(1869),
    [anon_sym_as] = ACTIONS(1871),
    [anon_sym_namespace] = ACTIONS(1869),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1873),
    [anon_sym_RBRACE] = ACTIONS(1867),
    [anon_sym_typeof] = ACTIONS(1869),
    [anon_sym_import] = ACTIONS(1869),
    [anon_sym_with] = ACTIONS(1869),
    [anon_sym_var] = ACTIONS(1869),
    [anon_sym_let] = ACTIONS(1869),
    [anon_sym_const] = ACTIONS(1869),
    [anon_sym_BANG] = ACTIONS(1869),
    [anon_sym_else] = ACTIONS(1869),
    [anon_sym_if] = ACTIONS(1869),
    [anon_sym_switch] = ACTIONS(1869),
    [anon_sym_for] = ACTIONS(1869),
    [anon_sym_LPAREN] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_in] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1869),
    [anon_sym_do] = ACTIONS(1869),
    [anon_sym_try] = ACTIONS(1869),
    [anon_sym_break] = ACTIONS(1869),
    [anon_sym_continue] = ACTIONS(1869),
    [anon_sym_debugger] = ACTIONS(1869),
    [anon_sym_return] = ACTIONS(1869),
    [anon_sym_throw] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1867),
    [anon_sym_case] = ACTIONS(1869),
    [anon_sym_yield] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [sym_glimmer_opening_tag] = ACTIONS(1867),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1867),
    [anon_sym_SQUOTE] = ACTIONS(1867),
    [anon_sym_class] = ACTIONS(1869),
    [anon_sym_async] = ACTIONS(1869),
    [anon_sym_function] = ACTIONS(1869),
    [anon_sym_QMARK_DOT] = ACTIONS(1873),
    [anon_sym_new] = ACTIONS(1869),
    [anon_sym_using] = ACTIONS(1869),
    [anon_sym_AMP_AMP] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE] = ACTIONS(1873),
    [anon_sym_GT_GT] = ACTIONS(1871),
    [anon_sym_GT_GT_GT] = ACTIONS(1873),
    [anon_sym_LT_LT] = ACTIONS(1873),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_PERCENT] = ACTIONS(1873),
    [anon_sym_STAR_STAR] = ACTIONS(1873),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_LT_EQ] = ACTIONS(1873),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1873),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1873),
    [anon_sym_GT_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK] = ACTIONS(1873),
    [anon_sym_instanceof] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1869),
    [anon_sym_delete] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1867),
    [anon_sym_DASH_DASH] = ACTIONS(1867),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [sym_private_property_identifier] = ACTIONS(1867),
    [sym_this] = ACTIONS(1869),
    [sym_super] = ACTIONS(1869),
    [sym_true] = ACTIONS(1869),
    [sym_false] = ACTIONS(1869),
    [sym_null] = ACTIONS(1869),
    [sym_undefined] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_static] = ACTIONS(1869),
    [anon_sym_readonly] = ACTIONS(1869),
    [anon_sym_get] = ACTIONS(1869),
    [anon_sym_set] = ACTIONS(1869),
    [anon_sym_declare] = ACTIONS(1869),
    [anon_sym_public] = ACTIONS(1869),
    [anon_sym_private] = ACTIONS(1869),
    [anon_sym_protected] = ACTIONS(1869),
    [anon_sym_override] = ACTIONS(1869),
    [anon_sym_module] = ACTIONS(1869),
    [anon_sym_any] = ACTIONS(1869),
    [anon_sym_number] = ACTIONS(1869),
    [anon_sym_boolean] = ACTIONS(1869),
    [anon_sym_string] = ACTIONS(1869),
    [anon_sym_symbol] = ACTIONS(1869),
    [anon_sym_object] = ACTIONS(1869),
    [anon_sym_abstract] = ACTIONS(1869),
    [anon_sym_satisfies] = ACTIONS(1871),
    [anon_sym_interface] = ACTIONS(1869),
    [anon_sym_enum] = ACTIONS(1869),
    [sym__automatic_semicolon] = ACTIONS(1875),
    [sym__ternary_qmark] = ACTIONS(1873),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [ts_builtin_sym_end] = ACTIONS(1877),
    [sym_identifier] = ACTIONS(1879),
    [anon_sym_export] = ACTIONS(1879),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_default] = ACTIONS(1879),
    [anon_sym_type] = ACTIONS(1879),
    [anon_sym_as] = ACTIONS(1881),
    [anon_sym_namespace] = ACTIONS(1879),
    [anon_sym_LBRACE] = ACTIONS(1877),
    [anon_sym_COMMA] = ACTIONS(1883),
    [anon_sym_RBRACE] = ACTIONS(1877),
    [anon_sym_typeof] = ACTIONS(1879),
    [anon_sym_import] = ACTIONS(1879),
    [anon_sym_with] = ACTIONS(1879),
    [anon_sym_var] = ACTIONS(1879),
    [anon_sym_let] = ACTIONS(1879),
    [anon_sym_const] = ACTIONS(1879),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_else] = ACTIONS(1879),
    [anon_sym_if] = ACTIONS(1879),
    [anon_sym_switch] = ACTIONS(1879),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1877),
    [anon_sym_await] = ACTIONS(1879),
    [anon_sym_in] = ACTIONS(1881),
    [anon_sym_while] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1879),
    [anon_sym_break] = ACTIONS(1879),
    [anon_sym_continue] = ACTIONS(1879),
    [anon_sym_debugger] = ACTIONS(1879),
    [anon_sym_return] = ACTIONS(1879),
    [anon_sym_throw] = ACTIONS(1879),
    [anon_sym_SEMI] = ACTIONS(1877),
    [anon_sym_case] = ACTIONS(1879),
    [anon_sym_yield] = ACTIONS(1879),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [sym_glimmer_opening_tag] = ACTIONS(1877),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_DOT] = ACTIONS(1881),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [anon_sym_SQUOTE] = ACTIONS(1877),
    [anon_sym_class] = ACTIONS(1879),
    [anon_sym_async] = ACTIONS(1879),
    [anon_sym_function] = ACTIONS(1879),
    [anon_sym_QMARK_DOT] = ACTIONS(1883),
    [anon_sym_new] = ACTIONS(1879),
    [anon_sym_using] = ACTIONS(1879),
    [anon_sym_AMP_AMP] = ACTIONS(1883),
    [anon_sym_PIPE_PIPE] = ACTIONS(1883),
    [anon_sym_GT_GT] = ACTIONS(1881),
    [anon_sym_GT_GT_GT] = ACTIONS(1883),
    [anon_sym_LT_LT] = ACTIONS(1883),
    [anon_sym_AMP] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1883),
    [anon_sym_PIPE] = ACTIONS(1881),
    [anon_sym_PLUS] = ACTIONS(1879),
    [anon_sym_DASH] = ACTIONS(1879),
    [anon_sym_SLASH] = ACTIONS(1879),
    [anon_sym_PERCENT] = ACTIONS(1883),
    [anon_sym_STAR_STAR] = ACTIONS(1883),
    [anon_sym_LT] = ACTIONS(1879),
    [anon_sym_LT_EQ] = ACTIONS(1883),
    [anon_sym_EQ_EQ] = ACTIONS(1881),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1883),
    [anon_sym_BANG_EQ] = ACTIONS(1881),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1883),
    [anon_sym_GT_EQ] = ACTIONS(1883),
    [anon_sym_QMARK_QMARK] = ACTIONS(1883),
    [anon_sym_instanceof] = ACTIONS(1881),
    [anon_sym_TILDE] = ACTIONS(1877),
    [anon_sym_void] = ACTIONS(1879),
    [anon_sym_delete] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1877),
    [anon_sym_DASH_DASH] = ACTIONS(1877),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1877),
    [sym_number] = ACTIONS(1877),
    [sym_private_property_identifier] = ACTIONS(1877),
    [sym_this] = ACTIONS(1879),
    [sym_super] = ACTIONS(1879),
    [sym_true] = ACTIONS(1879),
    [sym_false] = ACTIONS(1879),
    [sym_null] = ACTIONS(1879),
    [sym_undefined] = ACTIONS(1879),
    [anon_sym_AT] = ACTIONS(1877),
    [anon_sym_static] = ACTIONS(1879),
    [anon_sym_readonly] = ACTIONS(1879),
    [anon_sym_get] = ACTIONS(1879),
    [anon_sym_set] = ACTIONS(1879),
    [anon_sym_declare] = ACTIONS(1879),
    [anon_sym_public] = ACTIONS(1879),
    [anon_sym_private] = ACTIONS(1879),
    [anon_sym_protected] = ACTIONS(1879),
    [anon_sym_override] = ACTIONS(1879),
    [anon_sym_module] = ACTIONS(1879),
    [anon_sym_any] = ACTIONS(1879),
    [anon_sym_number] = ACTIONS(1879),
    [anon_sym_boolean] = ACTIONS(1879),
    [anon_sym_string] = ACTIONS(1879),
    [anon_sym_symbol] = ACTIONS(1879),
    [anon_sym_object] = ACTIONS(1879),
    [anon_sym_abstract] = ACTIONS(1879),
    [anon_sym_satisfies] = ACTIONS(1881),
    [anon_sym_interface] = ACTIONS(1879),
    [anon_sym_enum] = ACTIONS(1879),
    [sym__automatic_semicolon] = ACTIONS(1885),
    [sym__ternary_qmark] = ACTIONS(1883),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [ts_builtin_sym_end] = ACTIONS(1887),
    [sym_identifier] = ACTIONS(1889),
    [anon_sym_export] = ACTIONS(1889),
    [anon_sym_STAR] = ACTIONS(1889),
    [anon_sym_default] = ACTIONS(1889),
    [anon_sym_type] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(1889),
    [anon_sym_namespace] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1887),
    [anon_sym_COMMA] = ACTIONS(1887),
    [anon_sym_RBRACE] = ACTIONS(1887),
    [anon_sym_typeof] = ACTIONS(1889),
    [anon_sym_import] = ACTIONS(1889),
    [anon_sym_with] = ACTIONS(1889),
    [anon_sym_var] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1889),
    [anon_sym_const] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(1889),
    [anon_sym_else] = ACTIONS(1889),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_switch] = ACTIONS(1889),
    [anon_sym_for] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1887),
    [anon_sym_await] = ACTIONS(1889),
    [anon_sym_in] = ACTIONS(1889),
    [anon_sym_while] = ACTIONS(1889),
    [anon_sym_do] = ACTIONS(1889),
    [anon_sym_try] = ACTIONS(1889),
    [anon_sym_break] = ACTIONS(1889),
    [anon_sym_continue] = ACTIONS(1889),
    [anon_sym_debugger] = ACTIONS(1889),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1889),
    [anon_sym_SEMI] = ACTIONS(1887),
    [anon_sym_case] = ACTIONS(1889),
    [anon_sym_yield] = ACTIONS(1889),
    [anon_sym_LBRACK] = ACTIONS(1887),
    [sym_glimmer_opening_tag] = ACTIONS(1887),
    [anon_sym_GT] = ACTIONS(1889),
    [anon_sym_DOT] = ACTIONS(1889),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [anon_sym_SQUOTE] = ACTIONS(1887),
    [anon_sym_class] = ACTIONS(1889),
    [anon_sym_async] = ACTIONS(1889),
    [anon_sym_function] = ACTIONS(1889),
    [anon_sym_QMARK_DOT] = ACTIONS(1887),
    [anon_sym_new] = ACTIONS(1889),
    [anon_sym_using] = ACTIONS(1889),
    [anon_sym_AMP_AMP] = ACTIONS(1887),
    [anon_sym_PIPE_PIPE] = ACTIONS(1887),
    [anon_sym_GT_GT] = ACTIONS(1889),
    [anon_sym_GT_GT_GT] = ACTIONS(1887),
    [anon_sym_LT_LT] = ACTIONS(1887),
    [anon_sym_AMP] = ACTIONS(1889),
    [anon_sym_CARET] = ACTIONS(1887),
    [anon_sym_PIPE] = ACTIONS(1889),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_SLASH] = ACTIONS(1889),
    [anon_sym_PERCENT] = ACTIONS(1887),
    [anon_sym_STAR_STAR] = ACTIONS(1887),
    [anon_sym_LT] = ACTIONS(1889),
    [anon_sym_LT_EQ] = ACTIONS(1887),
    [anon_sym_EQ_EQ] = ACTIONS(1889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1887),
    [anon_sym_BANG_EQ] = ACTIONS(1889),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1887),
    [anon_sym_GT_EQ] = ACTIONS(1887),
    [anon_sym_QMARK_QMARK] = ACTIONS(1887),
    [anon_sym_instanceof] = ACTIONS(1889),
    [anon_sym_TILDE] = ACTIONS(1887),
    [anon_sym_void] = ACTIONS(1889),
    [anon_sym_delete] = ACTIONS(1889),
    [anon_sym_PLUS_PLUS] = ACTIONS(1887),
    [anon_sym_DASH_DASH] = ACTIONS(1887),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1887),
    [sym_number] = ACTIONS(1887),
    [sym_private_property_identifier] = ACTIONS(1887),
    [sym_this] = ACTIONS(1889),
    [sym_super] = ACTIONS(1889),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [sym_null] = ACTIONS(1889),
    [sym_undefined] = ACTIONS(1889),
    [anon_sym_AT] = ACTIONS(1887),
    [anon_sym_static] = ACTIONS(1889),
    [anon_sym_readonly] = ACTIONS(1889),
    [anon_sym_get] = ACTIONS(1889),
    [anon_sym_set] = ACTIONS(1889),
    [anon_sym_declare] = ACTIONS(1889),
    [anon_sym_public] = ACTIONS(1889),
    [anon_sym_private] = ACTIONS(1889),
    [anon_sym_protected] = ACTIONS(1889),
    [anon_sym_override] = ACTIONS(1889),
    [anon_sym_module] = ACTIONS(1889),
    [anon_sym_any] = ACTIONS(1889),
    [anon_sym_number] = ACTIONS(1889),
    [anon_sym_boolean] = ACTIONS(1889),
    [anon_sym_string] = ACTIONS(1889),
    [anon_sym_symbol] = ACTIONS(1889),
    [anon_sym_object] = ACTIONS(1889),
    [anon_sym_abstract] = ACTIONS(1889),
    [anon_sym_satisfies] = ACTIONS(1889),
    [anon_sym_interface] = ACTIONS(1889),
    [anon_sym_enum] = ACTIONS(1889),
    [sym__automatic_semicolon] = ACTIONS(1887),
    [sym__ternary_qmark] = ACTIONS(1887),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [ts_builtin_sym_end] = ACTIONS(1891),
    [sym_identifier] = ACTIONS(1893),
    [anon_sym_export] = ACTIONS(1893),
    [anon_sym_STAR] = ACTIONS(1895),
    [anon_sym_default] = ACTIONS(1893),
    [anon_sym_type] = ACTIONS(1893),
    [anon_sym_as] = ACTIONS(1895),
    [anon_sym_namespace] = ACTIONS(1893),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_COMMA] = ACTIONS(1897),
    [anon_sym_RBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(1893),
    [anon_sym_import] = ACTIONS(1893),
    [anon_sym_with] = ACTIONS(1893),
    [anon_sym_var] = ACTIONS(1893),
    [anon_sym_let] = ACTIONS(1893),
    [anon_sym_const] = ACTIONS(1893),
    [anon_sym_BANG] = ACTIONS(1893),
    [anon_sym_else] = ACTIONS(1893),
    [anon_sym_if] = ACTIONS(1893),
    [anon_sym_switch] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1893),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_await] = ACTIONS(1893),
    [anon_sym_in] = ACTIONS(1895),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_do] = ACTIONS(1893),
    [anon_sym_try] = ACTIONS(1893),
    [anon_sym_break] = ACTIONS(1893),
    [anon_sym_continue] = ACTIONS(1893),
    [anon_sym_debugger] = ACTIONS(1893),
    [anon_sym_return] = ACTIONS(1893),
    [anon_sym_throw] = ACTIONS(1893),
    [anon_sym_SEMI] = ACTIONS(1891),
    [anon_sym_case] = ACTIONS(1893),
    [anon_sym_yield] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1891),
    [sym_glimmer_opening_tag] = ACTIONS(1891),
    [anon_sym_GT] = ACTIONS(1895),
    [anon_sym_DOT] = ACTIONS(1895),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [anon_sym_SQUOTE] = ACTIONS(1891),
    [anon_sym_class] = ACTIONS(1893),
    [anon_sym_async] = ACTIONS(1893),
    [anon_sym_function] = ACTIONS(1893),
    [anon_sym_QMARK_DOT] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_using] = ACTIONS(1893),
    [anon_sym_AMP_AMP] = ACTIONS(1897),
    [anon_sym_PIPE_PIPE] = ACTIONS(1897),
    [anon_sym_GT_GT] = ACTIONS(1895),
    [anon_sym_GT_GT_GT] = ACTIONS(1897),
    [anon_sym_LT_LT] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1895),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_PIPE] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_SLASH] = ACTIONS(1893),
    [anon_sym_PERCENT] = ACTIONS(1897),
    [anon_sym_STAR_STAR] = ACTIONS(1897),
    [anon_sym_LT] = ACTIONS(1893),
    [anon_sym_LT_EQ] = ACTIONS(1897),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1897),
    [anon_sym_BANG_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1897),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_QMARK_QMARK] = ACTIONS(1897),
    [anon_sym_instanceof] = ACTIONS(1895),
    [anon_sym_TILDE] = ACTIONS(1891),
    [anon_sym_void] = ACTIONS(1893),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_PLUS_PLUS] = ACTIONS(1891),
    [anon_sym_DASH_DASH] = ACTIONS(1891),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1891),
    [sym_number] = ACTIONS(1891),
    [sym_private_property_identifier] = ACTIONS(1891),
    [sym_this] = ACTIONS(1893),
    [sym_super] = ACTIONS(1893),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [sym_null] = ACTIONS(1893),
    [sym_undefined] = ACTIONS(1893),
    [anon_sym_AT] = ACTIONS(1891),
    [anon_sym_static] = ACTIONS(1893),
    [anon_sym_readonly] = ACTIONS(1893),
    [anon_sym_get] = ACTIONS(1893),
    [anon_sym_set] = ACTIONS(1893),
    [anon_sym_declare] = ACTIONS(1893),
    [anon_sym_public] = ACTIONS(1893),
    [anon_sym_private] = ACTIONS(1893),
    [anon_sym_protected] = ACTIONS(1893),
    [anon_sym_override] = ACTIONS(1893),
    [anon_sym_module] = ACTIONS(1893),
    [anon_sym_any] = ACTIONS(1893),
    [anon_sym_number] = ACTIONS(1893),
    [anon_sym_boolean] = ACTIONS(1893),
    [anon_sym_string] = ACTIONS(1893),
    [anon_sym_symbol] = ACTIONS(1893),
    [anon_sym_object] = ACTIONS(1893),
    [anon_sym_abstract] = ACTIONS(1893),
    [anon_sym_satisfies] = ACTIONS(1895),
    [anon_sym_interface] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1893),
    [sym__automatic_semicolon] = ACTIONS(1899),
    [sym__ternary_qmark] = ACTIONS(1897),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [ts_builtin_sym_end] = ACTIONS(1719),
    [sym_identifier] = ACTIONS(1721),
    [anon_sym_export] = ACTIONS(1721),
    [anon_sym_STAR] = ACTIONS(1721),
    [anon_sym_default] = ACTIONS(1721),
    [anon_sym_type] = ACTIONS(1721),
    [anon_sym_as] = ACTIONS(1721),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1719),
    [anon_sym_COMMA] = ACTIONS(1719),
    [anon_sym_RBRACE] = ACTIONS(1719),
    [anon_sym_typeof] = ACTIONS(1721),
    [anon_sym_import] = ACTIONS(1721),
    [anon_sym_with] = ACTIONS(1721),
    [anon_sym_var] = ACTIONS(1721),
    [anon_sym_let] = ACTIONS(1721),
    [anon_sym_const] = ACTIONS(1721),
    [anon_sym_BANG] = ACTIONS(1721),
    [anon_sym_else] = ACTIONS(1721),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_for] = ACTIONS(1721),
    [anon_sym_LPAREN] = ACTIONS(1719),
    [anon_sym_await] = ACTIONS(1721),
    [anon_sym_in] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1721),
    [anon_sym_do] = ACTIONS(1721),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_break] = ACTIONS(1721),
    [anon_sym_continue] = ACTIONS(1721),
    [anon_sym_debugger] = ACTIONS(1721),
    [anon_sym_return] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1721),
    [anon_sym_SEMI] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1721),
    [anon_sym_yield] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1719),
    [sym_glimmer_opening_tag] = ACTIONS(1719),
    [anon_sym_GT] = ACTIONS(1721),
    [anon_sym_DOT] = ACTIONS(1721),
    [anon_sym_DQUOTE] = ACTIONS(1719),
    [anon_sym_SQUOTE] = ACTIONS(1719),
    [anon_sym_class] = ACTIONS(1721),
    [anon_sym_async] = ACTIONS(1721),
    [anon_sym_function] = ACTIONS(1721),
    [anon_sym_QMARK_DOT] = ACTIONS(1719),
    [anon_sym_new] = ACTIONS(1721),
    [anon_sym_using] = ACTIONS(1721),
    [anon_sym_AMP_AMP] = ACTIONS(1719),
    [anon_sym_PIPE_PIPE] = ACTIONS(1719),
    [anon_sym_GT_GT] = ACTIONS(1721),
    [anon_sym_GT_GT_GT] = ACTIONS(1719),
    [anon_sym_LT_LT] = ACTIONS(1719),
    [anon_sym_AMP] = ACTIONS(1721),
    [anon_sym_CARET] = ACTIONS(1719),
    [anon_sym_PIPE] = ACTIONS(1721),
    [anon_sym_PLUS] = ACTIONS(1721),
    [anon_sym_DASH] = ACTIONS(1721),
    [anon_sym_SLASH] = ACTIONS(1721),
    [anon_sym_PERCENT] = ACTIONS(1719),
    [anon_sym_STAR_STAR] = ACTIONS(1719),
    [anon_sym_LT] = ACTIONS(1721),
    [anon_sym_LT_EQ] = ACTIONS(1719),
    [anon_sym_EQ_EQ] = ACTIONS(1721),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ] = ACTIONS(1721),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1719),
    [anon_sym_GT_EQ] = ACTIONS(1719),
    [anon_sym_QMARK_QMARK] = ACTIONS(1719),
    [anon_sym_instanceof] = ACTIONS(1721),
    [anon_sym_TILDE] = ACTIONS(1719),
    [anon_sym_void] = ACTIONS(1721),
    [anon_sym_delete] = ACTIONS(1721),
    [anon_sym_PLUS_PLUS] = ACTIONS(1719),
    [anon_sym_DASH_DASH] = ACTIONS(1719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1719),
    [sym_number] = ACTIONS(1719),
    [sym_private_property_identifier] = ACTIONS(1719),
    [sym_this] = ACTIONS(1721),
    [sym_super] = ACTIONS(1721),
    [sym_true] = ACTIONS(1721),
    [sym_false] = ACTIONS(1721),
    [sym_null] = ACTIONS(1721),
    [sym_undefined] = ACTIONS(1721),
    [anon_sym_AT] = ACTIONS(1719),
    [anon_sym_static] = ACTIONS(1721),
    [anon_sym_readonly] = ACTIONS(1721),
    [anon_sym_get] = ACTIONS(1721),
    [anon_sym_set] = ACTIONS(1721),
    [anon_sym_declare] = ACTIONS(1721),
    [anon_sym_public] = ACTIONS(1721),
    [anon_sym_private] = ACTIONS(1721),
    [anon_sym_protected] = ACTIONS(1721),
    [anon_sym_override] = ACTIONS(1721),
    [anon_sym_module] = ACTIONS(1721),
    [anon_sym_any] = ACTIONS(1721),
    [anon_sym_number] = ACTIONS(1721),
    [anon_sym_boolean] = ACTIONS(1721),
    [anon_sym_string] = ACTIONS(1721),
    [anon_sym_symbol] = ACTIONS(1721),
    [anon_sym_object] = ACTIONS(1721),
    [anon_sym_abstract] = ACTIONS(1721),
    [anon_sym_satisfies] = ACTIONS(1721),
    [anon_sym_interface] = ACTIONS(1721),
    [anon_sym_enum] = ACTIONS(1721),
    [sym__automatic_semicolon] = ACTIONS(1901),
    [sym__ternary_qmark] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [ts_builtin_sym_end] = ACTIONS(1903),
    [sym_identifier] = ACTIONS(1905),
    [anon_sym_export] = ACTIONS(1905),
    [anon_sym_STAR] = ACTIONS(1905),
    [anon_sym_default] = ACTIONS(1905),
    [anon_sym_type] = ACTIONS(1905),
    [anon_sym_as] = ACTIONS(1905),
    [anon_sym_namespace] = ACTIONS(1905),
    [anon_sym_LBRACE] = ACTIONS(1903),
    [anon_sym_COMMA] = ACTIONS(1903),
    [anon_sym_RBRACE] = ACTIONS(1903),
    [anon_sym_typeof] = ACTIONS(1905),
    [anon_sym_import] = ACTIONS(1905),
    [anon_sym_with] = ACTIONS(1905),
    [anon_sym_var] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1905),
    [anon_sym_const] = ACTIONS(1905),
    [anon_sym_BANG] = ACTIONS(1905),
    [anon_sym_else] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1905),
    [anon_sym_switch] = ACTIONS(1905),
    [anon_sym_for] = ACTIONS(1905),
    [anon_sym_LPAREN] = ACTIONS(1903),
    [anon_sym_await] = ACTIONS(1905),
    [anon_sym_in] = ACTIONS(1905),
    [anon_sym_while] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1905),
    [anon_sym_break] = ACTIONS(1905),
    [anon_sym_continue] = ACTIONS(1905),
    [anon_sym_debugger] = ACTIONS(1905),
    [anon_sym_return] = ACTIONS(1905),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_SEMI] = ACTIONS(1903),
    [anon_sym_case] = ACTIONS(1905),
    [anon_sym_yield] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1903),
    [sym_glimmer_opening_tag] = ACTIONS(1903),
    [anon_sym_GT] = ACTIONS(1905),
    [anon_sym_DOT] = ACTIONS(1905),
    [anon_sym_DQUOTE] = ACTIONS(1903),
    [anon_sym_SQUOTE] = ACTIONS(1903),
    [anon_sym_class] = ACTIONS(1905),
    [anon_sym_async] = ACTIONS(1905),
    [anon_sym_function] = ACTIONS(1905),
    [anon_sym_QMARK_DOT] = ACTIONS(1903),
    [anon_sym_new] = ACTIONS(1905),
    [anon_sym_using] = ACTIONS(1905),
    [anon_sym_AMP_AMP] = ACTIONS(1903),
    [anon_sym_PIPE_PIPE] = ACTIONS(1903),
    [anon_sym_GT_GT] = ACTIONS(1905),
    [anon_sym_GT_GT_GT] = ACTIONS(1903),
    [anon_sym_LT_LT] = ACTIONS(1903),
    [anon_sym_AMP] = ACTIONS(1905),
    [anon_sym_CARET] = ACTIONS(1903),
    [anon_sym_PIPE] = ACTIONS(1905),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_SLASH] = ACTIONS(1905),
    [anon_sym_PERCENT] = ACTIONS(1903),
    [anon_sym_STAR_STAR] = ACTIONS(1903),
    [anon_sym_LT] = ACTIONS(1905),
    [anon_sym_LT_EQ] = ACTIONS(1903),
    [anon_sym_EQ_EQ] = ACTIONS(1905),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1903),
    [anon_sym_BANG_EQ] = ACTIONS(1905),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1903),
    [anon_sym_GT_EQ] = ACTIONS(1903),
    [anon_sym_QMARK_QMARK] = ACTIONS(1903),
    [anon_sym_instanceof] = ACTIONS(1905),
    [anon_sym_TILDE] = ACTIONS(1903),
    [anon_sym_void] = ACTIONS(1905),
    [anon_sym_delete] = ACTIONS(1905),
    [anon_sym_PLUS_PLUS] = ACTIONS(1903),
    [anon_sym_DASH_DASH] = ACTIONS(1903),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1903),
    [sym_number] = ACTIONS(1903),
    [sym_private_property_identifier] = ACTIONS(1903),
    [sym_this] = ACTIONS(1905),
    [sym_super] = ACTIONS(1905),
    [sym_true] = ACTIONS(1905),
    [sym_false] = ACTIONS(1905),
    [sym_null] = ACTIONS(1905),
    [sym_undefined] = ACTIONS(1905),
    [anon_sym_AT] = ACTIONS(1903),
    [anon_sym_static] = ACTIONS(1905),
    [anon_sym_readonly] = ACTIONS(1905),
    [anon_sym_get] = ACTIONS(1905),
    [anon_sym_set] = ACTIONS(1905),
    [anon_sym_declare] = ACTIONS(1905),
    [anon_sym_public] = ACTIONS(1905),
    [anon_sym_private] = ACTIONS(1905),
    [anon_sym_protected] = ACTIONS(1905),
    [anon_sym_override] = ACTIONS(1905),
    [anon_sym_module] = ACTIONS(1905),
    [anon_sym_any] = ACTIONS(1905),
    [anon_sym_number] = ACTIONS(1905),
    [anon_sym_boolean] = ACTIONS(1905),
    [anon_sym_string] = ACTIONS(1905),
    [anon_sym_symbol] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1905),
    [anon_sym_abstract] = ACTIONS(1905),
    [anon_sym_satisfies] = ACTIONS(1905),
    [anon_sym_interface] = ACTIONS(1905),
    [anon_sym_enum] = ACTIONS(1905),
    [sym__automatic_semicolon] = ACTIONS(1903),
    [sym__ternary_qmark] = ACTIONS(1903),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [ts_builtin_sym_end] = ACTIONS(1907),
    [sym_identifier] = ACTIONS(1909),
    [anon_sym_export] = ACTIONS(1909),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_default] = ACTIONS(1909),
    [anon_sym_type] = ACTIONS(1909),
    [anon_sym_as] = ACTIONS(1909),
    [anon_sym_namespace] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_COMMA] = ACTIONS(1907),
    [anon_sym_RBRACE] = ACTIONS(1907),
    [anon_sym_typeof] = ACTIONS(1909),
    [anon_sym_import] = ACTIONS(1909),
    [anon_sym_with] = ACTIONS(1909),
    [anon_sym_var] = ACTIONS(1909),
    [anon_sym_let] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_BANG] = ACTIONS(1909),
    [anon_sym_else] = ACTIONS(1909),
    [anon_sym_if] = ACTIONS(1909),
    [anon_sym_switch] = ACTIONS(1909),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_await] = ACTIONS(1909),
    [anon_sym_in] = ACTIONS(1909),
    [anon_sym_while] = ACTIONS(1909),
    [anon_sym_do] = ACTIONS(1909),
    [anon_sym_try] = ACTIONS(1909),
    [anon_sym_break] = ACTIONS(1909),
    [anon_sym_continue] = ACTIONS(1909),
    [anon_sym_debugger] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_throw] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1907),
    [anon_sym_case] = ACTIONS(1909),
    [anon_sym_yield] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [sym_glimmer_opening_tag] = ACTIONS(1907),
    [anon_sym_GT] = ACTIONS(1909),
    [anon_sym_DOT] = ACTIONS(1909),
    [anon_sym_DQUOTE] = ACTIONS(1907),
    [anon_sym_SQUOTE] = ACTIONS(1907),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_async] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1909),
    [anon_sym_QMARK_DOT] = ACTIONS(1907),
    [anon_sym_new] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_PIPE_PIPE] = ACTIONS(1907),
    [anon_sym_GT_GT] = ACTIONS(1909),
    [anon_sym_GT_GT_GT] = ACTIONS(1907),
    [anon_sym_LT_LT] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_CARET] = ACTIONS(1907),
    [anon_sym_PIPE] = ACTIONS(1909),
    [anon_sym_PLUS] = ACTIONS(1909),
    [anon_sym_DASH] = ACTIONS(1909),
    [anon_sym_SLASH] = ACTIONS(1909),
    [anon_sym_PERCENT] = ACTIONS(1907),
    [anon_sym_STAR_STAR] = ACTIONS(1907),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_LT_EQ] = ACTIONS(1907),
    [anon_sym_EQ_EQ] = ACTIONS(1909),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1907),
    [anon_sym_BANG_EQ] = ACTIONS(1909),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1907),
    [anon_sym_GT_EQ] = ACTIONS(1907),
    [anon_sym_QMARK_QMARK] = ACTIONS(1907),
    [anon_sym_instanceof] = ACTIONS(1909),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_void] = ACTIONS(1909),
    [anon_sym_delete] = ACTIONS(1909),
    [anon_sym_PLUS_PLUS] = ACTIONS(1907),
    [anon_sym_DASH_DASH] = ACTIONS(1907),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1907),
    [sym_number] = ACTIONS(1907),
    [sym_private_property_identifier] = ACTIONS(1907),
    [sym_this] = ACTIONS(1909),
    [sym_super] = ACTIONS(1909),
    [sym_true] = ACTIONS(1909),
    [sym_false] = ACTIONS(1909),
    [sym_null] = ACTIONS(1909),
    [sym_undefined] = ACTIONS(1909),
    [anon_sym_AT] = ACTIONS(1907),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_readonly] = ACTIONS(1909),
    [anon_sym_get] = ACTIONS(1909),
    [anon_sym_set] = ACTIONS(1909),
    [anon_sym_declare] = ACTIONS(1909),
    [anon_sym_public] = ACTIONS(1909),
    [anon_sym_private] = ACTIONS(1909),
    [anon_sym_protected] = ACTIONS(1909),
    [anon_sym_override] = ACTIONS(1909),
    [anon_sym_module] = ACTIONS(1909),
    [anon_sym_any] = ACTIONS(1909),
    [anon_sym_number] = ACTIONS(1909),
    [anon_sym_boolean] = ACTIONS(1909),
    [anon_sym_string] = ACTIONS(1909),
    [anon_sym_symbol] = ACTIONS(1909),
    [anon_sym_object] = ACTIONS(1909),
    [anon_sym_abstract] = ACTIONS(1909),
    [anon_sym_satisfies] = ACTIONS(1909),
    [anon_sym_interface] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [sym__automatic_semicolon] = ACTIONS(1907),
    [sym__ternary_qmark] = ACTIONS(1907),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [ts_builtin_sym_end] = ACTIONS(1911),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_export] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_default] = ACTIONS(1913),
    [anon_sym_type] = ACTIONS(1913),
    [anon_sym_as] = ACTIONS(1915),
    [anon_sym_namespace] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_COMMA] = ACTIONS(1917),
    [anon_sym_RBRACE] = ACTIONS(1911),
    [anon_sym_typeof] = ACTIONS(1913),
    [anon_sym_import] = ACTIONS(1913),
    [anon_sym_with] = ACTIONS(1913),
    [anon_sym_var] = ACTIONS(1913),
    [anon_sym_let] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_BANG] = ACTIONS(1913),
    [anon_sym_else] = ACTIONS(1913),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_switch] = ACTIONS(1913),
    [anon_sym_for] = ACTIONS(1913),
    [anon_sym_LPAREN] = ACTIONS(1911),
    [anon_sym_await] = ACTIONS(1913),
    [anon_sym_in] = ACTIONS(1915),
    [anon_sym_while] = ACTIONS(1913),
    [anon_sym_do] = ACTIONS(1913),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1913),
    [anon_sym_debugger] = ACTIONS(1913),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym_case] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [sym_glimmer_opening_tag] = ACTIONS(1911),
    [anon_sym_GT] = ACTIONS(1915),
    [anon_sym_DOT] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1911),
    [anon_sym_SQUOTE] = ACTIONS(1911),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_async] = ACTIONS(1913),
    [anon_sym_function] = ACTIONS(1913),
    [anon_sym_QMARK_DOT] = ACTIONS(1917),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_using] = ACTIONS(1913),
    [anon_sym_AMP_AMP] = ACTIONS(1917),
    [anon_sym_PIPE_PIPE] = ACTIONS(1917),
    [anon_sym_GT_GT] = ACTIONS(1915),
    [anon_sym_GT_GT_GT] = ACTIONS(1917),
    [anon_sym_LT_LT] = ACTIONS(1917),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_CARET] = ACTIONS(1917),
    [anon_sym_PIPE] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1917),
    [anon_sym_STAR_STAR] = ACTIONS(1917),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_EQ] = ACTIONS(1917),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1917),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1917),
    [anon_sym_GT_EQ] = ACTIONS(1917),
    [anon_sym_QMARK_QMARK] = ACTIONS(1917),
    [anon_sym_instanceof] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_void] = ACTIONS(1913),
    [anon_sym_delete] = ACTIONS(1913),
    [anon_sym_PLUS_PLUS] = ACTIONS(1911),
    [anon_sym_DASH_DASH] = ACTIONS(1911),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1911),
    [sym_number] = ACTIONS(1911),
    [sym_private_property_identifier] = ACTIONS(1911),
    [sym_this] = ACTIONS(1913),
    [sym_super] = ACTIONS(1913),
    [sym_true] = ACTIONS(1913),
    [sym_false] = ACTIONS(1913),
    [sym_null] = ACTIONS(1913),
    [sym_undefined] = ACTIONS(1913),
    [anon_sym_AT] = ACTIONS(1911),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_readonly] = ACTIONS(1913),
    [anon_sym_get] = ACTIONS(1913),
    [anon_sym_set] = ACTIONS(1913),
    [anon_sym_declare] = ACTIONS(1913),
    [anon_sym_public] = ACTIONS(1913),
    [anon_sym_private] = ACTIONS(1913),
    [anon_sym_protected] = ACTIONS(1913),
    [anon_sym_override] = ACTIONS(1913),
    [anon_sym_module] = ACTIONS(1913),
    [anon_sym_any] = ACTIONS(1913),
    [anon_sym_number] = ACTIONS(1913),
    [anon_sym_boolean] = ACTIONS(1913),
    [anon_sym_string] = ACTIONS(1913),
    [anon_sym_symbol] = ACTIONS(1913),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_abstract] = ACTIONS(1913),
    [anon_sym_satisfies] = ACTIONS(1915),
    [anon_sym_interface] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
    [sym__automatic_semicolon] = ACTIONS(1919),
    [sym__ternary_qmark] = ACTIONS(1917),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [ts_builtin_sym_end] = ACTIONS(1921),
    [sym_identifier] = ACTIONS(1923),
    [anon_sym_export] = ACTIONS(1923),
    [anon_sym_STAR] = ACTIONS(1925),
    [anon_sym_default] = ACTIONS(1923),
    [anon_sym_type] = ACTIONS(1923),
    [anon_sym_as] = ACTIONS(1925),
    [anon_sym_namespace] = ACTIONS(1923),
    [anon_sym_LBRACE] = ACTIONS(1921),
    [anon_sym_COMMA] = ACTIONS(1927),
    [anon_sym_RBRACE] = ACTIONS(1921),
    [anon_sym_typeof] = ACTIONS(1923),
    [anon_sym_import] = ACTIONS(1923),
    [anon_sym_with] = ACTIONS(1923),
    [anon_sym_var] = ACTIONS(1923),
    [anon_sym_let] = ACTIONS(1923),
    [anon_sym_const] = ACTIONS(1923),
    [anon_sym_BANG] = ACTIONS(1923),
    [anon_sym_else] = ACTIONS(1923),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_switch] = ACTIONS(1923),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_LPAREN] = ACTIONS(1921),
    [anon_sym_await] = ACTIONS(1923),
    [anon_sym_in] = ACTIONS(1925),
    [anon_sym_while] = ACTIONS(1923),
    [anon_sym_do] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1923),
    [anon_sym_break] = ACTIONS(1923),
    [anon_sym_continue] = ACTIONS(1923),
    [anon_sym_debugger] = ACTIONS(1923),
    [anon_sym_return] = ACTIONS(1923),
    [anon_sym_throw] = ACTIONS(1923),
    [anon_sym_SEMI] = ACTIONS(1921),
    [anon_sym_case] = ACTIONS(1923),
    [anon_sym_yield] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1921),
    [sym_glimmer_opening_tag] = ACTIONS(1921),
    [anon_sym_GT] = ACTIONS(1925),
    [anon_sym_DOT] = ACTIONS(1925),
    [anon_sym_DQUOTE] = ACTIONS(1921),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [anon_sym_class] = ACTIONS(1923),
    [anon_sym_async] = ACTIONS(1923),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_QMARK_DOT] = ACTIONS(1927),
    [anon_sym_new] = ACTIONS(1923),
    [anon_sym_using] = ACTIONS(1923),
    [anon_sym_AMP_AMP] = ACTIONS(1927),
    [anon_sym_PIPE_PIPE] = ACTIONS(1927),
    [anon_sym_GT_GT] = ACTIONS(1925),
    [anon_sym_GT_GT_GT] = ACTIONS(1927),
    [anon_sym_LT_LT] = ACTIONS(1927),
    [anon_sym_AMP] = ACTIONS(1925),
    [anon_sym_CARET] = ACTIONS(1927),
    [anon_sym_PIPE] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1923),
    [anon_sym_SLASH] = ACTIONS(1923),
    [anon_sym_PERCENT] = ACTIONS(1927),
    [anon_sym_STAR_STAR] = ACTIONS(1927),
    [anon_sym_LT] = ACTIONS(1923),
    [anon_sym_LT_EQ] = ACTIONS(1927),
    [anon_sym_EQ_EQ] = ACTIONS(1925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1927),
    [anon_sym_BANG_EQ] = ACTIONS(1925),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1927),
    [anon_sym_GT_EQ] = ACTIONS(1927),
    [anon_sym_QMARK_QMARK] = ACTIONS(1927),
    [anon_sym_instanceof] = ACTIONS(1925),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_void] = ACTIONS(1923),
    [anon_sym_delete] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1921),
    [anon_sym_DASH_DASH] = ACTIONS(1921),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1921),
    [sym_number] = ACTIONS(1921),
    [sym_private_property_identifier] = ACTIONS(1921),
    [sym_this] = ACTIONS(1923),
    [sym_super] = ACTIONS(1923),
    [sym_true] = ACTIONS(1923),
    [sym_false] = ACTIONS(1923),
    [sym_null] = ACTIONS(1923),
    [sym_undefined] = ACTIONS(1923),
    [anon_sym_AT] = ACTIONS(1921),
    [anon_sym_static] = ACTIONS(1923),
    [anon_sym_readonly] = ACTIONS(1923),
    [anon_sym_get] = ACTIONS(1923),
    [anon_sym_set] = ACTIONS(1923),
    [anon_sym_declare] = ACTIONS(1923),
    [anon_sym_public] = ACTIONS(1923),
    [anon_sym_private] = ACTIONS(1923),
    [anon_sym_protected] = ACTIONS(1923),
    [anon_sym_override] = ACTIONS(1923),
    [anon_sym_module] = ACTIONS(1923),
    [anon_sym_any] = ACTIONS(1923),
    [anon_sym_number] = ACTIONS(1923),
    [anon_sym_boolean] = ACTIONS(1923),
    [anon_sym_string] = ACTIONS(1923),
    [anon_sym_symbol] = ACTIONS(1923),
    [anon_sym_object] = ACTIONS(1923),
    [anon_sym_abstract] = ACTIONS(1923),
    [anon_sym_satisfies] = ACTIONS(1925),
    [anon_sym_interface] = ACTIONS(1923),
    [anon_sym_enum] = ACTIONS(1923),
    [sym__automatic_semicolon] = ACTIONS(1929),
    [sym__ternary_qmark] = ACTIONS(1927),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(1933),
    [anon_sym_export] = ACTIONS(1933),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_default] = ACTIONS(1933),
    [anon_sym_type] = ACTIONS(1933),
    [anon_sym_as] = ACTIONS(1935),
    [anon_sym_namespace] = ACTIONS(1933),
    [anon_sym_LBRACE] = ACTIONS(1931),
    [anon_sym_COMMA] = ACTIONS(1937),
    [anon_sym_RBRACE] = ACTIONS(1931),
    [anon_sym_typeof] = ACTIONS(1933),
    [anon_sym_import] = ACTIONS(1933),
    [anon_sym_with] = ACTIONS(1933),
    [anon_sym_var] = ACTIONS(1933),
    [anon_sym_let] = ACTIONS(1933),
    [anon_sym_const] = ACTIONS(1933),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_else] = ACTIONS(1933),
    [anon_sym_if] = ACTIONS(1933),
    [anon_sym_switch] = ACTIONS(1933),
    [anon_sym_for] = ACTIONS(1933),
    [anon_sym_LPAREN] = ACTIONS(1931),
    [anon_sym_await] = ACTIONS(1933),
    [anon_sym_in] = ACTIONS(1935),
    [anon_sym_while] = ACTIONS(1933),
    [anon_sym_do] = ACTIONS(1933),
    [anon_sym_try] = ACTIONS(1933),
    [anon_sym_break] = ACTIONS(1933),
    [anon_sym_continue] = ACTIONS(1933),
    [anon_sym_debugger] = ACTIONS(1933),
    [anon_sym_return] = ACTIONS(1933),
    [anon_sym_throw] = ACTIONS(1933),
    [anon_sym_SEMI] = ACTIONS(1931),
    [anon_sym_case] = ACTIONS(1933),
    [anon_sym_yield] = ACTIONS(1933),
    [anon_sym_LBRACK] = ACTIONS(1931),
    [sym_glimmer_opening_tag] = ACTIONS(1931),
    [anon_sym_GT] = ACTIONS(1935),
    [anon_sym_DOT] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [anon_sym_SQUOTE] = ACTIONS(1931),
    [anon_sym_class] = ACTIONS(1933),
    [anon_sym_async] = ACTIONS(1933),
    [anon_sym_function] = ACTIONS(1933),
    [anon_sym_QMARK_DOT] = ACTIONS(1937),
    [anon_sym_new] = ACTIONS(1933),
    [anon_sym_using] = ACTIONS(1933),
    [anon_sym_AMP_AMP] = ACTIONS(1937),
    [anon_sym_PIPE_PIPE] = ACTIONS(1937),
    [anon_sym_GT_GT] = ACTIONS(1935),
    [anon_sym_GT_GT_GT] = ACTIONS(1937),
    [anon_sym_LT_LT] = ACTIONS(1937),
    [anon_sym_AMP] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1937),
    [anon_sym_PIPE] = ACTIONS(1935),
    [anon_sym_PLUS] = ACTIONS(1933),
    [anon_sym_DASH] = ACTIONS(1933),
    [anon_sym_SLASH] = ACTIONS(1933),
    [anon_sym_PERCENT] = ACTIONS(1937),
    [anon_sym_STAR_STAR] = ACTIONS(1937),
    [anon_sym_LT] = ACTIONS(1933),
    [anon_sym_LT_EQ] = ACTIONS(1937),
    [anon_sym_EQ_EQ] = ACTIONS(1935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1937),
    [anon_sym_BANG_EQ] = ACTIONS(1935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1937),
    [anon_sym_GT_EQ] = ACTIONS(1937),
    [anon_sym_QMARK_QMARK] = ACTIONS(1937),
    [anon_sym_instanceof] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1931),
    [anon_sym_void] = ACTIONS(1933),
    [anon_sym_delete] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1931),
    [anon_sym_DASH_DASH] = ACTIONS(1931),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1931),
    [sym_number] = ACTIONS(1931),
    [sym_private_property_identifier] = ACTIONS(1931),
    [sym_this] = ACTIONS(1933),
    [sym_super] = ACTIONS(1933),
    [sym_true] = ACTIONS(1933),
    [sym_false] = ACTIONS(1933),
    [sym_null] = ACTIONS(1933),
    [sym_undefined] = ACTIONS(1933),
    [anon_sym_AT] = ACTIONS(1931),
    [anon_sym_static] = ACTIONS(1933),
    [anon_sym_readonly] = ACTIONS(1933),
    [anon_sym_get] = ACTIONS(1933),
    [anon_sym_set] = ACTIONS(1933),
    [anon_sym_declare] = ACTIONS(1933),
    [anon_sym_public] = ACTIONS(1933),
    [anon_sym_private] = ACTIONS(1933),
    [anon_sym_protected] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_module] = ACTIONS(1933),
    [anon_sym_any] = ACTIONS(1933),
    [anon_sym_number] = ACTIONS(1933),
    [anon_sym_boolean] = ACTIONS(1933),
    [anon_sym_string] = ACTIONS(1933),
    [anon_sym_symbol] = ACTIONS(1933),
    [anon_sym_object] = ACTIONS(1933),
    [anon_sym_abstract] = ACTIONS(1933),
    [anon_sym_satisfies] = ACTIONS(1935),
    [anon_sym_interface] = ACTIONS(1933),
    [anon_sym_enum] = ACTIONS(1933),
    [sym__automatic_semicolon] = ACTIONS(1937),
    [sym__ternary_qmark] = ACTIONS(1937),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [sym_identifier] = ACTIONS(1831),
    [anon_sym_export] = ACTIONS(1831),
    [anon_sym_STAR] = ACTIONS(1831),
    [anon_sym_default] = ACTIONS(1831),
    [anon_sym_type] = ACTIONS(1831),
    [anon_sym_as] = ACTIONS(1831),
    [anon_sym_namespace] = ACTIONS(1831),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym_COMMA] = ACTIONS(1829),
    [anon_sym_RBRACE] = ACTIONS(1829),
    [anon_sym_typeof] = ACTIONS(1831),
    [anon_sym_import] = ACTIONS(1831),
    [anon_sym_with] = ACTIONS(1831),
    [anon_sym_var] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1831),
    [anon_sym_const] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1831),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_if] = ACTIONS(1831),
    [anon_sym_switch] = ACTIONS(1831),
    [anon_sym_for] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_in] = ACTIONS(1831),
    [anon_sym_while] = ACTIONS(1831),
    [anon_sym_do] = ACTIONS(1831),
    [anon_sym_try] = ACTIONS(1831),
    [anon_sym_break] = ACTIONS(1831),
    [anon_sym_continue] = ACTIONS(1831),
    [anon_sym_debugger] = ACTIONS(1831),
    [anon_sym_return] = ACTIONS(1831),
    [anon_sym_throw] = ACTIONS(1831),
    [anon_sym_SEMI] = ACTIONS(1829),
    [anon_sym_case] = ACTIONS(1831),
    [anon_sym_yield] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [sym_glimmer_opening_tag] = ACTIONS(1829),
    [anon_sym_GT] = ACTIONS(1831),
    [anon_sym_DOT] = ACTIONS(1831),
    [anon_sym_DQUOTE] = ACTIONS(1829),
    [anon_sym_SQUOTE] = ACTIONS(1829),
    [anon_sym_class] = ACTIONS(1831),
    [anon_sym_async] = ACTIONS(1831),
    [anon_sym_function] = ACTIONS(1831),
    [anon_sym_QMARK_DOT] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_using] = ACTIONS(1831),
    [anon_sym_AMP_AMP] = ACTIONS(1829),
    [anon_sym_PIPE_PIPE] = ACTIONS(1829),
    [anon_sym_GT_GT] = ACTIONS(1831),
    [anon_sym_GT_GT_GT] = ACTIONS(1829),
    [anon_sym_LT_LT] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(1831),
    [anon_sym_CARET] = ACTIONS(1829),
    [anon_sym_PIPE] = ACTIONS(1831),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_PERCENT] = ACTIONS(1829),
    [anon_sym_STAR_STAR] = ACTIONS(1829),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_EQ_EQ] = ACTIONS(1831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1829),
    [anon_sym_BANG_EQ] = ACTIONS(1831),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_QMARK_QMARK] = ACTIONS(1829),
    [anon_sym_instanceof] = ACTIONS(1831),
    [anon_sym_TILDE] = ACTIONS(1829),
    [anon_sym_void] = ACTIONS(1831),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1829),
    [sym_number] = ACTIONS(1829),
    [sym_private_property_identifier] = ACTIONS(1829),
    [sym_this] = ACTIONS(1831),
    [sym_super] = ACTIONS(1831),
    [sym_true] = ACTIONS(1831),
    [sym_false] = ACTIONS(1831),
    [sym_null] = ACTIONS(1831),
    [sym_undefined] = ACTIONS(1831),
    [anon_sym_AT] = ACTIONS(1829),
    [anon_sym_static] = ACTIONS(1831),
    [anon_sym_readonly] = ACTIONS(1831),
    [anon_sym_get] = ACTIONS(1831),
    [anon_sym_set] = ACTIONS(1831),
    [anon_sym_declare] = ACTIONS(1831),
    [anon_sym_public] = ACTIONS(1831),
    [anon_sym_private] = ACTIONS(1831),
    [anon_sym_protected] = ACTIONS(1831),
    [anon_sym_override] = ACTIONS(1831),
    [anon_sym_module] = ACTIONS(1831),
    [anon_sym_any] = ACTIONS(1831),
    [anon_sym_number] = ACTIONS(1831),
    [anon_sym_boolean] = ACTIONS(1831),
    [anon_sym_string] = ACTIONS(1831),
    [anon_sym_symbol] = ACTIONS(1831),
    [anon_sym_object] = ACTIONS(1831),
    [anon_sym_abstract] = ACTIONS(1831),
    [anon_sym_satisfies] = ACTIONS(1831),
    [anon_sym_interface] = ACTIONS(1831),
    [anon_sym_enum] = ACTIONS(1831),
    [sym__automatic_semicolon] = ACTIONS(1829),
    [sym__ternary_qmark] = ACTIONS(1829),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(1939),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_export] = ACTIONS(1941),
    [anon_sym_STAR] = ACTIONS(1943),
    [anon_sym_default] = ACTIONS(1941),
    [anon_sym_type] = ACTIONS(1941),
    [anon_sym_as] = ACTIONS(1943),
    [anon_sym_namespace] = ACTIONS(1941),
    [anon_sym_LBRACE] = ACTIONS(1939),
    [anon_sym_COMMA] = ACTIONS(1945),
    [anon_sym_RBRACE] = ACTIONS(1939),
    [anon_sym_typeof] = ACTIONS(1941),
    [anon_sym_import] = ACTIONS(1941),
    [anon_sym_with] = ACTIONS(1941),
    [anon_sym_var] = ACTIONS(1941),
    [anon_sym_let] = ACTIONS(1941),
    [anon_sym_const] = ACTIONS(1941),
    [anon_sym_BANG] = ACTIONS(1941),
    [anon_sym_else] = ACTIONS(1941),
    [anon_sym_if] = ACTIONS(1941),
    [anon_sym_switch] = ACTIONS(1941),
    [anon_sym_for] = ACTIONS(1941),
    [anon_sym_LPAREN] = ACTIONS(1939),
    [anon_sym_await] = ACTIONS(1941),
    [anon_sym_in] = ACTIONS(1943),
    [anon_sym_while] = ACTIONS(1941),
    [anon_sym_do] = ACTIONS(1941),
    [anon_sym_try] = ACTIONS(1941),
    [anon_sym_break] = ACTIONS(1941),
    [anon_sym_continue] = ACTIONS(1941),
    [anon_sym_debugger] = ACTIONS(1941),
    [anon_sym_return] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1941),
    [anon_sym_SEMI] = ACTIONS(1939),
    [anon_sym_case] = ACTIONS(1941),
    [anon_sym_yield] = ACTIONS(1941),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [sym_glimmer_opening_tag] = ACTIONS(1939),
    [anon_sym_GT] = ACTIONS(1943),
    [anon_sym_DOT] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1939),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [anon_sym_class] = ACTIONS(1941),
    [anon_sym_async] = ACTIONS(1941),
    [anon_sym_function] = ACTIONS(1941),
    [anon_sym_QMARK_DOT] = ACTIONS(1945),
    [anon_sym_new] = ACTIONS(1941),
    [anon_sym_using] = ACTIONS(1941),
    [anon_sym_AMP_AMP] = ACTIONS(1945),
    [anon_sym_PIPE_PIPE] = ACTIONS(1945),
    [anon_sym_GT_GT] = ACTIONS(1943),
    [anon_sym_GT_GT_GT] = ACTIONS(1945),
    [anon_sym_LT_LT] = ACTIONS(1945),
    [anon_sym_AMP] = ACTIONS(1943),
    [anon_sym_CARET] = ACTIONS(1945),
    [anon_sym_PIPE] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1941),
    [anon_sym_SLASH] = ACTIONS(1941),
    [anon_sym_PERCENT] = ACTIONS(1945),
    [anon_sym_STAR_STAR] = ACTIONS(1945),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_LT_EQ] = ACTIONS(1945),
    [anon_sym_EQ_EQ] = ACTIONS(1943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1945),
    [anon_sym_BANG_EQ] = ACTIONS(1943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1945),
    [anon_sym_GT_EQ] = ACTIONS(1945),
    [anon_sym_QMARK_QMARK] = ACTIONS(1945),
    [anon_sym_instanceof] = ACTIONS(1943),
    [anon_sym_TILDE] = ACTIONS(1939),
    [anon_sym_void] = ACTIONS(1941),
    [anon_sym_delete] = ACTIONS(1941),
    [anon_sym_PLUS_PLUS] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1939),
    [sym_number] = ACTIONS(1939),
    [sym_private_property_identifier] = ACTIONS(1939),
    [sym_this] = ACTIONS(1941),
    [sym_super] = ACTIONS(1941),
    [sym_true] = ACTIONS(1941),
    [sym_false] = ACTIONS(1941),
    [sym_null] = ACTIONS(1941),
    [sym_undefined] = ACTIONS(1941),
    [anon_sym_AT] = ACTIONS(1939),
    [anon_sym_static] = ACTIONS(1941),
    [anon_sym_readonly] = ACTIONS(1941),
    [anon_sym_get] = ACTIONS(1941),
    [anon_sym_set] = ACTIONS(1941),
    [anon_sym_declare] = ACTIONS(1941),
    [anon_sym_public] = ACTIONS(1941),
    [anon_sym_private] = ACTIONS(1941),
    [anon_sym_protected] = ACTIONS(1941),
    [anon_sym_override] = ACTIONS(1941),
    [anon_sym_module] = ACTIONS(1941),
    [anon_sym_any] = ACTIONS(1941),
    [anon_sym_number] = ACTIONS(1941),
    [anon_sym_boolean] = ACTIONS(1941),
    [anon_sym_string] = ACTIONS(1941),
    [anon_sym_symbol] = ACTIONS(1941),
    [anon_sym_object] = ACTIONS(1941),
    [anon_sym_abstract] = ACTIONS(1941),
    [anon_sym_satisfies] = ACTIONS(1943),
    [anon_sym_interface] = ACTIONS(1941),
    [anon_sym_enum] = ACTIONS(1941),
    [sym__automatic_semicolon] = ACTIONS(1947),
    [sym__ternary_qmark] = ACTIONS(1945),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2469),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(1755),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_RBRACK] = ACTIONS(1755),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [anon_sym_extends] = ACTIONS(1757),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1991),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(6041),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(5690),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(5691),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1687),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(1949),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(1949),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1693),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1695),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(546),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(546),
    [anon_sym_number] = ACTIONS(546),
    [anon_sym_boolean] = ACTIONS(546),
    [anon_sym_string] = ACTIONS(546),
    [anon_sym_symbol] = ACTIONS(546),
    [anon_sym_object] = ACTIONS(546),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1991),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(6041),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(5690),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(5691),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1687),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(1949),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(1952),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1693),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1695),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(546),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(546),
    [anon_sym_number] = ACTIONS(546),
    [anon_sym_boolean] = ACTIONS(546),
    [anon_sym_string] = ACTIONS(546),
    [anon_sym_symbol] = ACTIONS(546),
    [anon_sym_object] = ACTIONS(546),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_RBRACK] = ACTIONS(1743),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1991),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(6041),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_spread_element] = STATE(5690),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(5691),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1687),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(1949),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(1956),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1693),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1695),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(546),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(546),
    [anon_sym_number] = ACTIONS(546),
    [anon_sym_boolean] = ACTIONS(546),
    [anon_sym_string] = ACTIONS(546),
    [anon_sym_symbol] = ACTIONS(546),
    [anon_sym_object] = ACTIONS(546),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2242),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(5732),
    [sym_assignment_pattern] = STATE(5240),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(5732),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1386),
    [sym_subscript_expression] = STATE(1386),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(5732),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4706),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1386),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_pattern_repeat1] = STATE(5676),
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_export] = ACTIONS(1962),
    [anon_sym_type] = ACTIONS(1962),
    [anon_sym_namespace] = ACTIONS(1964),
    [anon_sym_LBRACE] = ACTIONS(1737),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1962),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(1741),
    [anon_sym_RBRACK] = ACTIONS(1743),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1966),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1749),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1962),
    [anon_sym_readonly] = ACTIONS(1962),
    [anon_sym_get] = ACTIONS(1962),
    [anon_sym_set] = ACTIONS(1962),
    [anon_sym_declare] = ACTIONS(1962),
    [anon_sym_public] = ACTIONS(1962),
    [anon_sym_private] = ACTIONS(1962),
    [anon_sym_protected] = ACTIONS(1962),
    [anon_sym_override] = ACTIONS(1962),
    [anon_sym_module] = ACTIONS(1962),
    [anon_sym_any] = ACTIONS(1962),
    [anon_sym_number] = ACTIONS(1962),
    [anon_sym_boolean] = ACTIONS(1962),
    [anon_sym_string] = ACTIONS(1962),
    [anon_sym_symbol] = ACTIONS(1962),
    [anon_sym_object] = ACTIONS(1962),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_assignment_pattern] = STATE(5657),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4810),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_pattern_repeat1] = STATE(5661),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_RBRACK] = ACTIONS(1970),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_assignment_pattern] = STATE(6041),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(5691),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(1972),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_RBRACK] = ACTIONS(1972),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1843),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(1755),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_extends] = ACTIONS(1757),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2034),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [anon_sym_extends] = ACTIONS(1757),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4599),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_accessibility_modifier] = STATE(276),
    [sym_override_modifier] = STATE(292),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(1228),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(1974),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1976),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1978),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1789),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_extends] = ACTIONS(1757),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1865),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_spread_element] = STATE(5181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5183),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1980),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(1982),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1984),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1951),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_extends] = ACTIONS(1757),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2354),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [anon_sym_extends] = ACTIONS(1757),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1891),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_spread_element] = STATE(5172),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5173),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1980),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(1986),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1984),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1858),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_spread_element] = STATE(5724),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5725),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1980),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(1988),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1984),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2360),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [anon_sym_extends] = ACTIONS(1757),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_export] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(1990),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(1990),
    [anon_sym_import] = ACTIONS(1990),
    [anon_sym_let] = ACTIONS(1990),
    [anon_sym_BANG] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1992),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(1990),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(1990),
    [anon_sym_LBRACK] = ACTIONS(1992),
    [sym_glimmer_opening_tag] = ACTIONS(1992),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1992),
    [anon_sym_SQUOTE] = ACTIONS(1992),
    [anon_sym_class] = ACTIONS(1990),
    [anon_sym_async] = ACTIONS(1990),
    [anon_sym_function] = ACTIONS(1990),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1990),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1992),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(1990),
    [anon_sym_DASH] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1990),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(1992),
    [anon_sym_void] = ACTIONS(1990),
    [anon_sym_delete] = ACTIONS(1990),
    [anon_sym_PLUS_PLUS] = ACTIONS(1992),
    [anon_sym_DASH_DASH] = ACTIONS(1992),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1992),
    [sym_number] = ACTIONS(1992),
    [sym_private_property_identifier] = ACTIONS(1992),
    [sym_this] = ACTIONS(1990),
    [sym_super] = ACTIONS(1990),
    [sym_true] = ACTIONS(1990),
    [sym_false] = ACTIONS(1990),
    [sym_null] = ACTIONS(1990),
    [sym_undefined] = ACTIONS(1990),
    [anon_sym_AT] = ACTIONS(1992),
    [anon_sym_static] = ACTIONS(1990),
    [anon_sym_readonly] = ACTIONS(1990),
    [anon_sym_get] = ACTIONS(1990),
    [anon_sym_set] = ACTIONS(1990),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(1990),
    [anon_sym_public] = ACTIONS(1990),
    [anon_sym_private] = ACTIONS(1990),
    [anon_sym_protected] = ACTIONS(1990),
    [anon_sym_override] = ACTIONS(1990),
    [anon_sym_module] = ACTIONS(1990),
    [anon_sym_any] = ACTIONS(1990),
    [anon_sym_number] = ACTIONS(1990),
    [anon_sym_boolean] = ACTIONS(1990),
    [anon_sym_string] = ACTIONS(1990),
    [anon_sym_symbol] = ACTIONS(1990),
    [anon_sym_object] = ACTIONS(1990),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_export] = ACTIONS(1994),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(1994),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1994),
    [anon_sym_LBRACE] = ACTIONS(1996),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(1994),
    [anon_sym_import] = ACTIONS(1994),
    [anon_sym_let] = ACTIONS(1994),
    [anon_sym_BANG] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(1994),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(1994),
    [anon_sym_LBRACK] = ACTIONS(1996),
    [sym_glimmer_opening_tag] = ACTIONS(1996),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_class] = ACTIONS(1994),
    [anon_sym_async] = ACTIONS(1994),
    [anon_sym_function] = ACTIONS(1994),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1994),
    [anon_sym_using] = ACTIONS(1994),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(1994),
    [anon_sym_DASH] = ACTIONS(1994),
    [anon_sym_SLASH] = ACTIONS(1994),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(1996),
    [anon_sym_void] = ACTIONS(1994),
    [anon_sym_delete] = ACTIONS(1994),
    [anon_sym_PLUS_PLUS] = ACTIONS(1996),
    [anon_sym_DASH_DASH] = ACTIONS(1996),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1996),
    [sym_number] = ACTIONS(1996),
    [sym_private_property_identifier] = ACTIONS(1996),
    [sym_this] = ACTIONS(1994),
    [sym_super] = ACTIONS(1994),
    [sym_true] = ACTIONS(1994),
    [sym_false] = ACTIONS(1994),
    [sym_null] = ACTIONS(1994),
    [sym_undefined] = ACTIONS(1994),
    [anon_sym_AT] = ACTIONS(1996),
    [anon_sym_static] = ACTIONS(1994),
    [anon_sym_readonly] = ACTIONS(1994),
    [anon_sym_get] = ACTIONS(1994),
    [anon_sym_set] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(1994),
    [anon_sym_public] = ACTIONS(1994),
    [anon_sym_private] = ACTIONS(1994),
    [anon_sym_protected] = ACTIONS(1994),
    [anon_sym_override] = ACTIONS(1994),
    [anon_sym_module] = ACTIONS(1994),
    [anon_sym_any] = ACTIONS(1994),
    [anon_sym_number] = ACTIONS(1994),
    [anon_sym_boolean] = ACTIONS(1994),
    [anon_sym_string] = ACTIONS(1994),
    [anon_sym_symbol] = ACTIONS(1994),
    [anon_sym_object] = ACTIONS(1994),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1885),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_spread_element] = STATE(5114),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5115),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1980),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1984),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1771),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [anon_sym_extends] = ACTIONS(1757),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_export] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(1990),
    [anon_sym_EQ] = ACTIONS(221),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(1990),
    [anon_sym_import] = ACTIONS(1990),
    [anon_sym_let] = ACTIONS(1990),
    [anon_sym_BANG] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1992),
    [anon_sym_RPAREN] = ACTIONS(224),
    [anon_sym_await] = ACTIONS(1990),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(224),
    [anon_sym_yield] = ACTIONS(1990),
    [anon_sym_LBRACK] = ACTIONS(1992),
    [sym_glimmer_opening_tag] = ACTIONS(1992),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1992),
    [anon_sym_SQUOTE] = ACTIONS(1992),
    [anon_sym_class] = ACTIONS(1990),
    [anon_sym_async] = ACTIONS(1990),
    [anon_sym_function] = ACTIONS(1990),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1990),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1992),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(1990),
    [anon_sym_DASH] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1990),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(1992),
    [anon_sym_void] = ACTIONS(1990),
    [anon_sym_delete] = ACTIONS(1990),
    [anon_sym_PLUS_PLUS] = ACTIONS(1992),
    [anon_sym_DASH_DASH] = ACTIONS(1992),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1992),
    [sym_number] = ACTIONS(1992),
    [sym_private_property_identifier] = ACTIONS(1992),
    [sym_this] = ACTIONS(1990),
    [sym_super] = ACTIONS(1990),
    [sym_true] = ACTIONS(1990),
    [sym_false] = ACTIONS(1990),
    [sym_null] = ACTIONS(1990),
    [sym_undefined] = ACTIONS(1990),
    [anon_sym_AT] = ACTIONS(1992),
    [anon_sym_static] = ACTIONS(1990),
    [anon_sym_readonly] = ACTIONS(1990),
    [anon_sym_get] = ACTIONS(1990),
    [anon_sym_set] = ACTIONS(1990),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(1990),
    [anon_sym_public] = ACTIONS(1990),
    [anon_sym_private] = ACTIONS(1990),
    [anon_sym_protected] = ACTIONS(1990),
    [anon_sym_override] = ACTIONS(1990),
    [anon_sym_module] = ACTIONS(1990),
    [anon_sym_any] = ACTIONS(1990),
    [anon_sym_number] = ACTIONS(1990),
    [anon_sym_boolean] = ACTIONS(1990),
    [anon_sym_string] = ACTIONS(1990),
    [anon_sym_symbol] = ACTIONS(1990),
    [anon_sym_object] = ACTIONS(1990),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_export] = ACTIONS(1994),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(1994),
    [anon_sym_EQ] = ACTIONS(221),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1994),
    [anon_sym_LBRACE] = ACTIONS(1996),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(1994),
    [anon_sym_import] = ACTIONS(1994),
    [anon_sym_let] = ACTIONS(1994),
    [anon_sym_BANG] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(224),
    [anon_sym_await] = ACTIONS(1994),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(224),
    [anon_sym_yield] = ACTIONS(1994),
    [anon_sym_LBRACK] = ACTIONS(1996),
    [sym_glimmer_opening_tag] = ACTIONS(1996),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_class] = ACTIONS(1994),
    [anon_sym_async] = ACTIONS(1994),
    [anon_sym_function] = ACTIONS(1994),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1994),
    [anon_sym_using] = ACTIONS(1994),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(1994),
    [anon_sym_DASH] = ACTIONS(1994),
    [anon_sym_SLASH] = ACTIONS(1994),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1994),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(1996),
    [anon_sym_void] = ACTIONS(1994),
    [anon_sym_delete] = ACTIONS(1994),
    [anon_sym_PLUS_PLUS] = ACTIONS(1996),
    [anon_sym_DASH_DASH] = ACTIONS(1996),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1996),
    [sym_number] = ACTIONS(1996),
    [sym_private_property_identifier] = ACTIONS(1996),
    [sym_this] = ACTIONS(1994),
    [sym_super] = ACTIONS(1994),
    [sym_true] = ACTIONS(1994),
    [sym_false] = ACTIONS(1994),
    [sym_null] = ACTIONS(1994),
    [sym_undefined] = ACTIONS(1994),
    [anon_sym_AT] = ACTIONS(1996),
    [anon_sym_static] = ACTIONS(1994),
    [anon_sym_readonly] = ACTIONS(1994),
    [anon_sym_get] = ACTIONS(1994),
    [anon_sym_set] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(1994),
    [anon_sym_public] = ACTIONS(1994),
    [anon_sym_private] = ACTIONS(1994),
    [anon_sym_protected] = ACTIONS(1994),
    [anon_sym_override] = ACTIONS(1994),
    [anon_sym_module] = ACTIONS(1994),
    [anon_sym_any] = ACTIONS(1994),
    [anon_sym_number] = ACTIONS(1994),
    [anon_sym_boolean] = ACTIONS(1994),
    [anon_sym_string] = ACTIONS(1994),
    [anon_sym_symbol] = ACTIONS(1994),
    [anon_sym_object] = ACTIONS(1994),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1874),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_spread_element] = STATE(4961),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(4962),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1980),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(2000),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1984),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2434),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [anon_sym_extends] = ACTIONS(1757),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1893),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_spread_element] = STATE(5190),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5191),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1980),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(2002),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1984),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1878),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_spread_element] = STATE(5038),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [aux_sym_array_repeat1] = STATE(5039),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1980),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(2004),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1984),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(3508),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1789),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym__type_query_member_expression] = STATE(2900),
    [sym__type_query_subscript_expression] = STATE(2898),
    [sym__type_query_call_expression] = STATE(2955),
    [sym__type_query_instantiation_expression] = STATE(2964),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(2006),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(2008),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(3539),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1730),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym__type_query_member_expression] = STATE(2939),
    [sym__type_query_subscript_expression] = STATE(2940),
    [sym__type_query_call_expression] = STATE(3164),
    [sym__type_query_instantiation_expression] = STATE(3270),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(2012),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(3350),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2354),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym__type_query_member_expression] = STATE(2900),
    [sym__type_query_subscript_expression] = STATE(2898),
    [sym__type_query_call_expression] = STATE(2955),
    [sym__type_query_instantiation_expression] = STATE(2964),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(2016),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(3350),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2469),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym__type_query_member_expression] = STATE(2900),
    [sym__type_query_subscript_expression] = STATE(2898),
    [sym__type_query_call_expression] = STATE(2955),
    [sym__type_query_instantiation_expression] = STATE(2964),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2018),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(2020),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(3533),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2360),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym__type_query_member_expression] = STATE(2900),
    [sym__type_query_subscript_expression] = STATE(2898),
    [sym__type_query_call_expression] = STATE(2955),
    [sym__type_query_instantiation_expression] = STATE(2964),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2022),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(2016),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(3540),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1730),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym__type_query_member_expression] = STATE(2900),
    [sym__type_query_subscript_expression] = STATE(2898),
    [sym__type_query_call_expression] = STATE(2955),
    [sym__type_query_instantiation_expression] = STATE(2964),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2024),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(2020),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(3540),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1730),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym__type_query_member_expression] = STATE(2900),
    [sym__type_query_subscript_expression] = STATE(2898),
    [sym__type_query_call_expression] = STATE(2955),
    [sym__type_query_instantiation_expression] = STATE(2964),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2026),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(2016),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_assignment_pattern] = STATE(5761),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(5133),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1991),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_spread_element] = STATE(5690),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(2028),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2030),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(3540),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2469),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym__type_query_member_expression] = STATE(2900),
    [sym__type_query_subscript_expression] = STATE(2898),
    [sym__type_query_call_expression] = STATE(2955),
    [sym__type_query_instantiation_expression] = STATE(2964),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2032),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(2034),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4572),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_override_modifier] = STATE(288),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(719),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2036),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(3540),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1730),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym__type_query_member_expression] = STATE(2900),
    [sym__type_query_subscript_expression] = STATE(2898),
    [sym__type_query_call_expression] = STATE(2955),
    [sym__type_query_instantiation_expression] = STATE(2964),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(2034),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4404),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_override_modifier] = STATE(290),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(2040),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2042),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(3477),
    [sym_expression_statement] = STATE(294),
    [sym_empty_statement] = STATE(294),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(3472),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2034),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym__type_query_member_expression] = STATE(2900),
    [sym__type_query_subscript_expression] = STATE(2898),
    [sym__type_query_call_expression] = STATE(2955),
    [sym__type_query_instantiation_expression] = STATE(2964),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(2044),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(2008),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2024),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4805),
    [sym_assignment_pattern] = STATE(5761),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4805),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1360),
    [sym_subscript_expression] = STATE(1360),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4805),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(5133),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1360),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1687),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1693),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1695),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_readonly] = ACTIONS(546),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [anon_sym_declare] = ACTIONS(546),
    [anon_sym_public] = ACTIONS(546),
    [anon_sym_private] = ACTIONS(546),
    [anon_sym_protected] = ACTIONS(546),
    [anon_sym_override] = ACTIONS(546),
    [anon_sym_module] = ACTIONS(546),
    [anon_sym_any] = ACTIONS(546),
    [anon_sym_number] = ACTIONS(546),
    [anon_sym_boolean] = ACTIONS(546),
    [anon_sym_string] = ACTIONS(546),
    [anon_sym_symbol] = ACTIONS(546),
    [anon_sym_object] = ACTIONS(546),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(3347),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1843),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym__type_query_member_expression] = STATE(2900),
    [sym__type_query_subscript_expression] = STATE(2898),
    [sym__type_query_call_expression] = STATE(2955),
    [sym__type_query_instantiation_expression] = STATE(2964),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2046),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(2016),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(3350),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2469),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym__type_query_member_expression] = STATE(2900),
    [sym__type_query_subscript_expression] = STATE(2898),
    [sym__type_query_call_expression] = STATE(2955),
    [sym__type_query_instantiation_expression] = STATE(2964),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2048),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(2016),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_import] = STATE(3540),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1951),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym__type_query_member_expression] = STATE(2900),
    [sym__type_query_subscript_expression] = STATE(2898),
    [sym__type_query_call_expression] = STATE(2955),
    [sym__type_query_instantiation_expression] = STATE(2964),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2050),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(2016),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(3508),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1771),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym__type_query_member_expression] = STATE(2900),
    [sym__type_query_subscript_expression] = STATE(2898),
    [sym__type_query_call_expression] = STATE(2955),
    [sym__type_query_instantiation_expression] = STATE(2964),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(2052),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(2008),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(3350),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2434),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym__type_query_member_expression] = STATE(2900),
    [sym__type_query_subscript_expression] = STATE(2898),
    [sym__type_query_call_expression] = STATE(2955),
    [sym__type_query_instantiation_expression] = STATE(2964),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2054),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(2016),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_import] = STATE(3477),
    [sym_expression_statement] = STATE(293),
    [sym_empty_statement] = STATE(293),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(5864),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(2041),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_spread_element] = STATE(5690),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(2028),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(2028),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1984),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(3347),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1843),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym__type_query_member_expression] = STATE(2900),
    [sym__type_query_subscript_expression] = STATE(2898),
    [sym__type_query_call_expression] = STATE(2955),
    [sym__type_query_instantiation_expression] = STATE(2964),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2056),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(2034),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4391),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(797),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2058),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1803),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(6058),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(2060),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym__automatic_semicolon] = ACTIONS(2060),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4582),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(2062),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2064),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4572),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(719),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2036),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3917),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3917),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1254),
    [sym_subscript_expression] = STATE(1254),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3917),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_pattern] = STATE(4415),
    [sym_rest_pattern] = STATE(3882),
    [sym_non_null_expression] = STATE(1254),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(699),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(2066),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2068),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1923),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6176),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(2070),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1901),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6484),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(2072),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(5674),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(5674),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(5674),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1413),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2074),
    [anon_sym_export] = ACTIONS(2076),
    [anon_sym_type] = ACTIONS(2076),
    [anon_sym_namespace] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(2080),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_var] = ACTIONS(2082),
    [anon_sym_let] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(2088),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2090),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2092),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2076),
    [anon_sym_readonly] = ACTIONS(2076),
    [anon_sym_get] = ACTIONS(2076),
    [anon_sym_set] = ACTIONS(2076),
    [anon_sym_declare] = ACTIONS(2076),
    [anon_sym_public] = ACTIONS(2076),
    [anon_sym_private] = ACTIONS(2076),
    [anon_sym_protected] = ACTIONS(2076),
    [anon_sym_override] = ACTIONS(2076),
    [anon_sym_module] = ACTIONS(2076),
    [anon_sym_any] = ACTIONS(2076),
    [anon_sym_number] = ACTIONS(2076),
    [anon_sym_boolean] = ACTIONS(2076),
    [anon_sym_string] = ACTIONS(2076),
    [anon_sym_symbol] = ACTIONS(2076),
    [anon_sym_object] = ACTIONS(2076),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1830),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym__extends_clause_single] = STATE(4825),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1882),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6196),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1827),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6212),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1833),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6148),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1834),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6435),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1835),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6240),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1836),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6334),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2190),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1670),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1820),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1863),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1805),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1879),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1667),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1898),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1862),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6183),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1685),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1900),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1688),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1903),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1689),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1904),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2230),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1806),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2218),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_mapped_type_clause] = STATE(6387),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2100),
    [anon_sym_export] = ACTIONS(2102),
    [anon_sym_type] = ACTIONS(2102),
    [anon_sym_namespace] = ACTIONS(2104),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2102),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2106),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2108),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2102),
    [anon_sym_readonly] = ACTIONS(2102),
    [anon_sym_get] = ACTIONS(2102),
    [anon_sym_set] = ACTIONS(2102),
    [anon_sym_declare] = ACTIONS(2102),
    [anon_sym_public] = ACTIONS(2102),
    [anon_sym_private] = ACTIONS(2102),
    [anon_sym_protected] = ACTIONS(2102),
    [anon_sym_override] = ACTIONS(2102),
    [anon_sym_module] = ACTIONS(2102),
    [anon_sym_any] = ACTIONS(2102),
    [anon_sym_number] = ACTIONS(2102),
    [anon_sym_boolean] = ACTIONS(2102),
    [anon_sym_string] = ACTIONS(2102),
    [anon_sym_symbol] = ACTIONS(2102),
    [anon_sym_object] = ACTIONS(2102),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2337),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1635),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2339),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1743),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2340),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1744),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1584),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6259),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2369),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2127),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1594),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6179),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2190),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2139),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1866),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6190),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2230),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(1962),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2337),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(1964),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2339),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(1965),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2340),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(1966),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1869),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6275),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1820),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1811),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1805),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1821),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1667),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1646),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1685),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1648),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1688),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1649),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1689),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1650),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2369),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1700),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2190),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1705),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2230),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1719),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2337),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1721),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1830),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym__extends_clause_single] = STATE(5711),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2340),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1723),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1919),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6313),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1820),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2480),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1805),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2485),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1667),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2500),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1685),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2502),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1688),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2504),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1689),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2509),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1820),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1926),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1805),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1667),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1943),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1685),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1945),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1688),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1946),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1689),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1947),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1820),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2251),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1805),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2255),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1667),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2267),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1685),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2269),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1688),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2270),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1689),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2271),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1820),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2278),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1805),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2282),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1667),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2295),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1685),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2297),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1688),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2298),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1689),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2299),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1820),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2406),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1805),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2410),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1667),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2423),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1685),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2425),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1688),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2426),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_import] = STATE(3412),
    [sym_statement_block] = STATE(1689),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2427),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1920),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6151),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1921),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6155),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1922),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_sequence_expression] = STATE(6172),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1668),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_sequence_expression] = STATE(6047),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2218),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_mapped_type_clause] = STATE(6381),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_export] = ACTIONS(2114),
    [anon_sym_type] = ACTIONS(2114),
    [anon_sym_namespace] = ACTIONS(2116),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2114),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2118),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2120),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2114),
    [anon_sym_readonly] = ACTIONS(2114),
    [anon_sym_get] = ACTIONS(2114),
    [anon_sym_set] = ACTIONS(2114),
    [anon_sym_declare] = ACTIONS(2114),
    [anon_sym_public] = ACTIONS(2114),
    [anon_sym_private] = ACTIONS(2114),
    [anon_sym_protected] = ACTIONS(2114),
    [anon_sym_override] = ACTIONS(2114),
    [anon_sym_module] = ACTIONS(2114),
    [anon_sym_any] = ACTIONS(2114),
    [anon_sym_number] = ACTIONS(2114),
    [anon_sym_boolean] = ACTIONS(2114),
    [anon_sym_string] = ACTIONS(2114),
    [anon_sym_symbol] = ACTIONS(2114),
    [anon_sym_object] = ACTIONS(2114),
    [sym_html_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2369),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1657),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_import] = STATE(3477),
    [sym_statement_block] = STATE(2339),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1722),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2494),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1911),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1781),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1784),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1771),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(2122),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1786),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1791),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1797),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1801),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1802),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1829),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1809),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1843),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1845),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1671),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2242),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1675),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1441),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6308),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6308),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1441),
    [sym_subscript_expression] = STATE(1441),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6308),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1441),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_export] = ACTIONS(2126),
    [anon_sym_type] = ACTIONS(2126),
    [anon_sym_namespace] = ACTIONS(2128),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2126),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2130),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2134),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2126),
    [anon_sym_readonly] = ACTIONS(2126),
    [anon_sym_get] = ACTIONS(2126),
    [anon_sym_set] = ACTIONS(2126),
    [anon_sym_declare] = ACTIONS(2126),
    [anon_sym_public] = ACTIONS(2126),
    [anon_sym_private] = ACTIONS(2126),
    [anon_sym_protected] = ACTIONS(2126),
    [anon_sym_override] = ACTIONS(2126),
    [anon_sym_module] = ACTIONS(2126),
    [anon_sym_any] = ACTIONS(2126),
    [anon_sym_number] = ACTIONS(2126),
    [anon_sym_boolean] = ACTIONS(2126),
    [anon_sym_string] = ACTIONS(2126),
    [anon_sym_symbol] = ACTIONS(2126),
    [anon_sym_object] = ACTIONS(2126),
    [sym_html_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1681),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1687),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1843),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(2136),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1716),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1894),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2303),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1895),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(4138),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(4138),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1322),
    [sym_subscript_expression] = STATE(1322),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(4138),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1322),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2138),
    [anon_sym_export] = ACTIONS(1147),
    [anon_sym_type] = ACTIONS(1147),
    [anon_sym_namespace] = ACTIONS(1149),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1147),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1153),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2140),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2142),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1147),
    [anon_sym_readonly] = ACTIONS(1147),
    [anon_sym_get] = ACTIONS(1147),
    [anon_sym_set] = ACTIONS(1147),
    [anon_sym_declare] = ACTIONS(1147),
    [anon_sym_public] = ACTIONS(1147),
    [anon_sym_private] = ACTIONS(1147),
    [anon_sym_protected] = ACTIONS(1147),
    [anon_sym_override] = ACTIONS(1147),
    [anon_sym_module] = ACTIONS(1147),
    [anon_sym_any] = ACTIONS(1147),
    [anon_sym_number] = ACTIONS(1147),
    [anon_sym_boolean] = ACTIONS(1147),
    [anon_sym_string] = ACTIONS(1147),
    [anon_sym_symbol] = ACTIONS(1147),
    [anon_sym_object] = ACTIONS(1147),
    [sym_html_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2469),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(2136),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1730),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(2144),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2469),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(2144),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1902),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1778),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1746),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1730),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(2146),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1747),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2469),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(2148),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1444),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6317),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6317),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1444),
    [sym_subscript_expression] = STATE(1444),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6317),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1444),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2150),
    [anon_sym_export] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_namespace] = ACTIONS(2154),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2156),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2158),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2160),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_readonly] = ACTIONS(2152),
    [anon_sym_get] = ACTIONS(2152),
    [anon_sym_set] = ACTIONS(2152),
    [anon_sym_declare] = ACTIONS(2152),
    [anon_sym_public] = ACTIONS(2152),
    [anon_sym_private] = ACTIONS(2152),
    [anon_sym_protected] = ACTIONS(2152),
    [anon_sym_override] = ACTIONS(2152),
    [anon_sym_module] = ACTIONS(2152),
    [anon_sym_any] = ACTIONS(2152),
    [anon_sym_number] = ACTIONS(2152),
    [anon_sym_boolean] = ACTIONS(2152),
    [anon_sym_string] = ACTIONS(2152),
    [anon_sym_symbol] = ACTIONS(2152),
    [anon_sym_object] = ACTIONS(2152),
    [sym_html_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2125),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2128),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2130),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2138),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2140),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2210),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2142),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2145),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2146),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2147),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2071),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(1956),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(1957),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(1958),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(1959),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(1960),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(1961),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1664),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(1963),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2218),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1761),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1764),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1785),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(1967),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(1968),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1843),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(2148),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1895),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(1979),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2472),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1810),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1812),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1816),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1819),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1679),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1825),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1735),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1636),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1637),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1638),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1639),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1641),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1642),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1644),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1645),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1647),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1988),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1651),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1652),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2034),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(2122),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(2040),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1653),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1730),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1731),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1730),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(2136),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1445),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6291),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6291),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1445),
    [sym_subscript_expression] = STATE(1445),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6291),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1445),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2162),
    [anon_sym_export] = ACTIONS(2164),
    [anon_sym_type] = ACTIONS(2164),
    [anon_sym_namespace] = ACTIONS(2166),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2164),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2170),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2172),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2164),
    [anon_sym_readonly] = ACTIONS(2164),
    [anon_sym_get] = ACTIONS(2164),
    [anon_sym_set] = ACTIONS(2164),
    [anon_sym_declare] = ACTIONS(2164),
    [anon_sym_public] = ACTIONS(2164),
    [anon_sym_private] = ACTIONS(2164),
    [anon_sym_protected] = ACTIONS(2164),
    [anon_sym_override] = ACTIONS(2164),
    [anon_sym_module] = ACTIONS(2164),
    [anon_sym_any] = ACTIONS(2164),
    [anon_sym_number] = ACTIONS(2164),
    [anon_sym_boolean] = ACTIONS(2164),
    [anon_sym_string] = ACTIONS(2164),
    [anon_sym_symbol] = ACTIONS(2164),
    [anon_sym_object] = ACTIONS(2164),
    [sym_html_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1699),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1701),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1702),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1704),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1706),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2335),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1707),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1708),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1709),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1710),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1711),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1712),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1713),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1714),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1715),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1717),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1718),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1850),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1720),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1859),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1864),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1724),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1725),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1730),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(2148),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1727),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2437),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2479),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2481),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2482),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2484),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2486),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2487),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2488),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2489),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2493),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2440),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2495),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2496),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2544),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2498),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2499),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2501),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2202),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2511),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2512),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1789),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(2122),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2513),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2469),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2470),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6152),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6152),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1215),
    [sym_subscript_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6152),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1215),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_export] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_namespace] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_readonly] = ACTIONS(801),
    [anon_sym_get] = ACTIONS(801),
    [anon_sym_set] = ACTIONS(801),
    [anon_sym_declare] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_override] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_any] = ACTIONS(801),
    [anon_sym_number] = ACTIONS(801),
    [anon_sym_boolean] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_symbol] = ACTIONS(801),
    [anon_sym_object] = ACTIONS(801),
    [sym_html_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1951),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(2136),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1443),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6421),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6421),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1443),
    [sym_subscript_expression] = STATE(1443),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6421),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1443),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2174),
    [anon_sym_export] = ACTIONS(2176),
    [anon_sym_type] = ACTIONS(2176),
    [anon_sym_namespace] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2184),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2176),
    [anon_sym_readonly] = ACTIONS(2176),
    [anon_sym_get] = ACTIONS(2176),
    [anon_sym_set] = ACTIONS(2176),
    [anon_sym_declare] = ACTIONS(2176),
    [anon_sym_public] = ACTIONS(2176),
    [anon_sym_private] = ACTIONS(2176),
    [anon_sym_protected] = ACTIONS(2176),
    [anon_sym_override] = ACTIONS(2176),
    [anon_sym_module] = ACTIONS(2176),
    [anon_sym_any] = ACTIONS(2176),
    [anon_sym_number] = ACTIONS(2176),
    [anon_sym_boolean] = ACTIONS(2176),
    [anon_sym_string] = ACTIONS(2176),
    [anon_sym_symbol] = ACTIONS(2176),
    [anon_sym_object] = ACTIONS(2176),
    [sym_html_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2352),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1925),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1762),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1927),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1928),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1929),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1870),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1931),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1932),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1933),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1934),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1935),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1936),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1937),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1938),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1939),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1941),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1942),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1861),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1944),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1877),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1954),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1948),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1949),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1950),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2097),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1951),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1952),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2098),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2354),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(2136),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1439),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6231),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6231),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1439),
    [sym_subscript_expression] = STATE(1439),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6231),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1439),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_type] = ACTIONS(2188),
    [anon_sym_namespace] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2192),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2194),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2196),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2188),
    [anon_sym_readonly] = ACTIONS(2188),
    [anon_sym_get] = ACTIONS(2188),
    [anon_sym_set] = ACTIONS(2188),
    [anon_sym_declare] = ACTIONS(2188),
    [anon_sym_public] = ACTIONS(2188),
    [anon_sym_private] = ACTIONS(2188),
    [anon_sym_protected] = ACTIONS(2188),
    [anon_sym_override] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_any] = ACTIONS(2188),
    [anon_sym_number] = ACTIONS(2188),
    [anon_sym_boolean] = ACTIONS(2188),
    [anon_sym_string] = ACTIONS(2188),
    [anon_sym_symbol] = ACTIONS(2188),
    [anon_sym_object] = ACTIONS(2188),
    [sym_html_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2359),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2250),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1881),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2252),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2253),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2254),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(2019),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2256),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2257),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2259),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2260),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2261),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2262),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2263),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2264),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2167),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2265),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2266),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1883),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2268),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1884),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1886),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1887),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2272),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2273),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2274),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2354),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2355),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2360),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(2136),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1440),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6378),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6378),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1440),
    [sym_subscript_expression] = STATE(1440),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6378),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1440),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2198),
    [anon_sym_export] = ACTIONS(2200),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_namespace] = ACTIONS(2202),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2208),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_readonly] = ACTIONS(2200),
    [anon_sym_get] = ACTIONS(2200),
    [anon_sym_set] = ACTIONS(2200),
    [anon_sym_declare] = ACTIONS(2200),
    [anon_sym_public] = ACTIONS(2200),
    [anon_sym_private] = ACTIONS(2200),
    [anon_sym_protected] = ACTIONS(2200),
    [anon_sym_override] = ACTIONS(2200),
    [anon_sym_module] = ACTIONS(2200),
    [anon_sym_any] = ACTIONS(2200),
    [anon_sym_number] = ACTIONS(2200),
    [anon_sym_boolean] = ACTIONS(2200),
    [anon_sym_string] = ACTIONS(2200),
    [anon_sym_symbol] = ACTIONS(2200),
    [anon_sym_object] = ACTIONS(2200),
    [sym_html_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2368),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2277),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [588] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1888),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [589] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2279),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [590] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2280),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [591] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2281),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [592] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1889),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [593] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2283),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [594] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2284),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [595] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2285),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [596] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2286),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [597] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2287),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [598] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [599] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2289),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [600] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2290),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [601] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2291),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [602] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2292),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [603] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2293),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [604] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2294),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [605] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1890),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [606] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2296),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [607] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1892),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [608] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1896),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [609] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1897),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [610] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2300),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [611] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2301),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [612] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2302),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [613] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2360),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [614] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2361),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [615] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1807),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [616] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1436),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6118),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6118),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1436),
    [sym_subscript_expression] = STATE(1436),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6118),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1436),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2210),
    [anon_sym_export] = ACTIONS(2212),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2214),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2218),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2220),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_readonly] = ACTIONS(2212),
    [anon_sym_get] = ACTIONS(2212),
    [anon_sym_set] = ACTIONS(2212),
    [anon_sym_declare] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_module] = ACTIONS(2212),
    [anon_sym_any] = ACTIONS(2212),
    [anon_sym_number] = ACTIONS(2212),
    [anon_sym_boolean] = ACTIONS(2212),
    [anon_sym_string] = ACTIONS(2212),
    [anon_sym_symbol] = ACTIONS(2212),
    [anon_sym_object] = ACTIONS(2212),
    [sym_html_comment] = ACTIONS(5),
  },
  [617] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2374),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [618] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2405),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [619] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2024),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [620] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2407),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [621] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2408),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [622] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2409),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [623] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1899),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [624] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2411),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [625] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2412),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [626] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2413),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [627] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2414),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [628] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2415),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [629] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2416),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [630] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2417),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [631] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2418),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [632] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2419),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [633] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2420),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [634] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2421),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [635] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2422),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [636] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2424),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [637] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(2044),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [638] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2428),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [639] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2429),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [640] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2430),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [641] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1766),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [642] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2434),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [643] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2435),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [644] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1777),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [645] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1442),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6170),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6170),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1442),
    [sym_subscript_expression] = STATE(1442),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6170),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1442),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2222),
    [anon_sym_export] = ACTIONS(2224),
    [anon_sym_type] = ACTIONS(2224),
    [anon_sym_namespace] = ACTIONS(2226),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2232),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2224),
    [anon_sym_readonly] = ACTIONS(2224),
    [anon_sym_get] = ACTIONS(2224),
    [anon_sym_set] = ACTIONS(2224),
    [anon_sym_declare] = ACTIONS(2224),
    [anon_sym_public] = ACTIONS(2224),
    [anon_sym_private] = ACTIONS(2224),
    [anon_sym_protected] = ACTIONS(2224),
    [anon_sym_override] = ACTIONS(2224),
    [anon_sym_module] = ACTIONS(2224),
    [anon_sym_any] = ACTIONS(2224),
    [anon_sym_number] = ACTIONS(2224),
    [anon_sym_boolean] = ACTIONS(2224),
    [anon_sym_string] = ACTIONS(2224),
    [anon_sym_symbol] = ACTIONS(2224),
    [anon_sym_object] = ACTIONS(2224),
    [sym_html_comment] = ACTIONS(5),
  },
  [646] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2379),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [647] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1780),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [648] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(3894),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(3894),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1270),
    [sym_subscript_expression] = STATE(1270),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(3894),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1270),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2234),
    [anon_sym_export] = ACTIONS(2236),
    [anon_sym_type] = ACTIONS(2236),
    [anon_sym_namespace] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2240),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2244),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2236),
    [anon_sym_readonly] = ACTIONS(2236),
    [anon_sym_get] = ACTIONS(2236),
    [anon_sym_set] = ACTIONS(2236),
    [anon_sym_declare] = ACTIONS(2236),
    [anon_sym_public] = ACTIONS(2236),
    [anon_sym_private] = ACTIONS(2236),
    [anon_sym_protected] = ACTIONS(2236),
    [anon_sym_override] = ACTIONS(2236),
    [anon_sym_module] = ACTIONS(2236),
    [anon_sym_any] = ACTIONS(2236),
    [anon_sym_number] = ACTIONS(2236),
    [anon_sym_boolean] = ACTIONS(2236),
    [anon_sym_string] = ACTIONS(2236),
    [anon_sym_symbol] = ACTIONS(2236),
    [anon_sym_object] = ACTIONS(2236),
    [sym_html_comment] = ACTIONS(5),
  },
  [649] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2034),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [650] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2035),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [651] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [652] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2037),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [653] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1771),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [654] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(1733),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6315),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6315),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6124),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2966),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6315),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1344),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(442),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1471),
    [anon_sym_export] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_namespace] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1475),
    [anon_sym_using] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1477),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_readonly] = ACTIONS(1053),
    [anon_sym_get] = ACTIONS(1053),
    [anon_sym_set] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_override] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(1053),
    [anon_sym_number] = ACTIONS(1053),
    [anon_sym_boolean] = ACTIONS(1053),
    [anon_sym_string] = ACTIONS(1053),
    [anon_sym_symbol] = ACTIONS(1053),
    [anon_sym_object] = ACTIONS(1053),
    [sym_html_comment] = ACTIONS(5),
  },
  [655] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1434),
    [sym_expression] = STATE(2434),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6444),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6444),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6158),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1434),
    [sym_subscript_expression] = STATE(1434),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6444),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1434),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(618),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_export] = ACTIONS(1391),
    [anon_sym_type] = ACTIONS(1391),
    [anon_sym_namespace] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(1413),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1515),
    [anon_sym_using] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_SLASH] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_void] = ACTIONS(1413),
    [anon_sym_delete] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(2136),
    [sym_private_property_identifier] = ACTIONS(1417),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1391),
    [anon_sym_set] = ACTIONS(1391),
    [anon_sym_declare] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_override] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_any] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_boolean] = ACTIONS(1391),
    [anon_sym_string] = ACTIONS(1391),
    [anon_sym_symbol] = ACTIONS(1391),
    [anon_sym_object] = ACTIONS(1391),
    [sym_html_comment] = ACTIONS(5),
  },
  [656] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1337),
    [sym_expression] = STATE(1924),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6129),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6129),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6303),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1337),
    [sym_subscript_expression] = STATE(1337),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(2977),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6129),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1337),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(651),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_export] = ACTIONS(1111),
    [anon_sym_type] = ACTIONS(1111),
    [anon_sym_namespace] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_readonly] = ACTIONS(1111),
    [anon_sym_get] = ACTIONS(1111),
    [anon_sym_set] = ACTIONS(1111),
    [anon_sym_declare] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_override] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_any] = ACTIONS(1111),
    [anon_sym_number] = ACTIONS(1111),
    [anon_sym_boolean] = ACTIONS(1111),
    [anon_sym_string] = ACTIONS(1111),
    [anon_sym_symbol] = ACTIONS(1111),
    [anon_sym_object] = ACTIONS(1111),
    [sym_html_comment] = ACTIONS(5),
  },
  [657] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1789),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [658] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(1793),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6390),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6390),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6388),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3040),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6390),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1347),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(471),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_export] = ACTIONS(1239),
    [anon_sym_type] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1251),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(872),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1265),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_readonly] = ACTIONS(1239),
    [anon_sym_get] = ACTIONS(1239),
    [anon_sym_set] = ACTIONS(1239),
    [anon_sym_declare] = ACTIONS(1239),
    [anon_sym_public] = ACTIONS(1239),
    [anon_sym_private] = ACTIONS(1239),
    [anon_sym_protected] = ACTIONS(1239),
    [anon_sym_override] = ACTIONS(1239),
    [anon_sym_module] = ACTIONS(1239),
    [anon_sym_any] = ACTIONS(1239),
    [anon_sym_number] = ACTIONS(1239),
    [anon_sym_boolean] = ACTIONS(1239),
    [anon_sym_string] = ACTIONS(1239),
    [anon_sym_symbol] = ACTIONS(1239),
    [anon_sym_object] = ACTIONS(1239),
    [sym_html_comment] = ACTIONS(5),
  },
  [659] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1369),
    [sym_expression] = STATE(1828),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6420),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6420),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6208),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6420),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1369),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(524),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1503),
    [anon_sym_export] = ACTIONS(1355),
    [anon_sym_type] = ACTIONS(1355),
    [anon_sym_namespace] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_using] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1377),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1381),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1355),
    [anon_sym_set] = ACTIONS(1355),
    [anon_sym_declare] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_override] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_any] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_boolean] = ACTIONS(1355),
    [anon_sym_string] = ACTIONS(1355),
    [anon_sym_symbol] = ACTIONS(1355),
    [anon_sym_object] = ACTIONS(1355),
    [sym_html_comment] = ACTIONS(5),
  },
  [660] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2357),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [661] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_expression] = STATE(1910),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6181),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6181),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6147),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1358),
    [sym_subscript_expression] = STATE(1358),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3014),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6181),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1358),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(490),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_export] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_namespace] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(739),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_void] = ACTIONS(759),
    [anon_sym_delete] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(761),
    [anon_sym_DASH_DASH] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(767),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1079),
    [anon_sym_readonly] = ACTIONS(1079),
    [anon_sym_get] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1079),
    [anon_sym_declare] = ACTIONS(1079),
    [anon_sym_public] = ACTIONS(1079),
    [anon_sym_private] = ACTIONS(1079),
    [anon_sym_protected] = ACTIONS(1079),
    [anon_sym_override] = ACTIONS(1079),
    [anon_sym_module] = ACTIONS(1079),
    [anon_sym_any] = ACTIONS(1079),
    [anon_sym_number] = ACTIONS(1079),
    [anon_sym_boolean] = ACTIONS(1079),
    [anon_sym_string] = ACTIONS(1079),
    [anon_sym_symbol] = ACTIONS(1079),
    [anon_sym_object] = ACTIONS(1079),
    [sym_html_comment] = ACTIONS(5),
  },
  [662] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2363),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6440),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6440),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6106),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3008),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6440),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1432),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(587),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_export] = ACTIONS(1427),
    [anon_sym_type] = ACTIONS(1427),
    [anon_sym_namespace] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1439),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1523),
    [anon_sym_using] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_void] = ACTIONS(1449),
    [anon_sym_delete] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1453),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_readonly] = ACTIONS(1427),
    [anon_sym_get] = ACTIONS(1427),
    [anon_sym_set] = ACTIONS(1427),
    [anon_sym_declare] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_override] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_any] = ACTIONS(1427),
    [anon_sym_number] = ACTIONS(1427),
    [anon_sym_boolean] = ACTIONS(1427),
    [anon_sym_string] = ACTIONS(1427),
    [anon_sym_symbol] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1427),
    [sym_html_comment] = ACTIONS(5),
  },
  [663] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1437),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6239),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6239),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1437),
    [sym_subscript_expression] = STATE(1437),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6239),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1437),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_export] = ACTIONS(2248),
    [anon_sym_type] = ACTIONS(2248),
    [anon_sym_namespace] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2248),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2252),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2254),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2256),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2248),
    [anon_sym_readonly] = ACTIONS(2248),
    [anon_sym_get] = ACTIONS(2248),
    [anon_sym_set] = ACTIONS(2248),
    [anon_sym_declare] = ACTIONS(2248),
    [anon_sym_public] = ACTIONS(2248),
    [anon_sym_private] = ACTIONS(2248),
    [anon_sym_protected] = ACTIONS(2248),
    [anon_sym_override] = ACTIONS(2248),
    [anon_sym_module] = ACTIONS(2248),
    [anon_sym_any] = ACTIONS(2248),
    [anon_sym_number] = ACTIONS(2248),
    [anon_sym_boolean] = ACTIONS(2248),
    [anon_sym_string] = ACTIONS(2248),
    [anon_sym_symbol] = ACTIONS(2248),
    [anon_sym_object] = ACTIONS(2248),
    [sym_html_comment] = ACTIONS(5),
  },
  [664] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2391),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6432),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6432),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6361),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6432),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1431),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(556),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_export] = ACTIONS(1317),
    [anon_sym_type] = ACTIONS(1317),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1531),
    [anon_sym_using] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(1345),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_readonly] = ACTIONS(1317),
    [anon_sym_get] = ACTIONS(1317),
    [anon_sym_set] = ACTIONS(1317),
    [anon_sym_declare] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_override] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_any] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_boolean] = ACTIONS(1317),
    [anon_sym_string] = ACTIONS(1317),
    [anon_sym_symbol] = ACTIONS(1317),
    [anon_sym_object] = ACTIONS(1317),
    [sym_html_comment] = ACTIONS(5),
  },
  [665] = {
    [sym_import] = STATE(3412),
    [sym_parenthesized_expression] = STATE(1438),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1576),
    [sym_yield_expression] = STATE(1795),
    [sym_object] = STATE(1779),
    [sym_object_pattern] = STATE(6405),
    [sym_array] = STATE(1779),
    [sym_array_pattern] = STATE(6405),
    [sym_glimmer_template] = STATE(1795),
    [sym_class] = STATE(1779),
    [sym_function_expression] = STATE(1779),
    [sym_generator_function] = STATE(1779),
    [sym_arrow_function] = STATE(1779),
    [sym__call_signature] = STATE(6343),
    [sym_call_expression] = STATE(1779),
    [sym_new_expression] = STATE(1795),
    [sym_await_expression] = STATE(1795),
    [sym_member_expression] = STATE(1438),
    [sym_subscript_expression] = STATE(1438),
    [sym_assignment_expression] = STATE(1795),
    [sym__augmented_assignment_lhs] = STATE(2978),
    [sym_augmented_assignment_expression] = STATE(1795),
    [sym__destructuring_pattern] = STATE(6405),
    [sym_ternary_expression] = STATE(1795),
    [sym_binary_expression] = STATE(1795),
    [sym_unary_expression] = STATE(1795),
    [sym_update_expression] = STATE(1795),
    [sym_string] = STATE(1779),
    [sym_template_string] = STATE(1779),
    [sym_regex] = STATE(1779),
    [sym_meta_property] = STATE(1779),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1438),
    [sym_type_assertion] = STATE(1795),
    [sym_as_expression] = STATE(1795),
    [sym_satisfies_expression] = STATE(1795),
    [sym_instantiation_expression] = STATE(1795),
    [sym_internal_module] = STATE(1795),
    [sym_type_arguments] = STATE(497),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4759),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_export] = ACTIONS(2260),
    [anon_sym_type] = ACTIONS(2260),
    [anon_sym_namespace] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(813),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2264),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(821),
    [sym_number] = ACTIONS(717),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2268),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2260),
    [anon_sym_readonly] = ACTIONS(2260),
    [anon_sym_get] = ACTIONS(2260),
    [anon_sym_set] = ACTIONS(2260),
    [anon_sym_declare] = ACTIONS(2260),
    [anon_sym_public] = ACTIONS(2260),
    [anon_sym_private] = ACTIONS(2260),
    [anon_sym_protected] = ACTIONS(2260),
    [anon_sym_override] = ACTIONS(2260),
    [anon_sym_module] = ACTIONS(2260),
    [anon_sym_any] = ACTIONS(2260),
    [anon_sym_number] = ACTIONS(2260),
    [anon_sym_boolean] = ACTIONS(2260),
    [anon_sym_string] = ACTIONS(2260),
    [anon_sym_symbol] = ACTIONS(2260),
    [anon_sym_object] = ACTIONS(2260),
    [sym_html_comment] = ACTIONS(5),
  },
  [666] = {
    [sym_import] = STATE(3477),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2029),
    [sym_primary_expression] = STATE(2077),
    [sym_yield_expression] = STATE(2348),
    [sym_object] = STATE(2433),
    [sym_object_pattern] = STATE(6209),
    [sym_array] = STATE(2433),
    [sym_array_pattern] = STATE(6209),
    [sym_glimmer_template] = STATE(2348),
    [sym_class] = STATE(2433),
    [sym_function_expression] = STATE(2433),
    [sym_generator_function] = STATE(2433),
    [sym_arrow_function] = STATE(2433),
    [sym__call_signature] = STATE(6207),
    [sym_call_expression] = STATE(2433),
    [sym_new_expression] = STATE(2348),
    [sym_await_expression] = STATE(2348),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(2348),
    [sym__augmented_assignment_lhs] = STATE(3016),
    [sym_augmented_assignment_expression] = STATE(2348),
    [sym__destructuring_pattern] = STATE(6209),
    [sym_ternary_expression] = STATE(2348),
    [sym_binary_expression] = STATE(2348),
    [sym_unary_expression] = STATE(2348),
    [sym_update_expression] = STATE(2348),
    [sym_string] = STATE(2433),
    [sym_template_string] = STATE(2433),
    [sym_regex] = STATE(2433),
    [sym_meta_property] = STATE(2433),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3988),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(2348),
    [sym_as_expression] = STATE(2348),
    [sym_satisfies_expression] = STATE(2348),
    [sym_instantiation_expression] = STATE(2348),
    [sym_internal_module] = STATE(2348),
    [sym_type_arguments] = STATE(413),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_export_statement_repeat1] = STATE(4799),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_export] = ACTIONS(1191),
    [anon_sym_type] = ACTIONS(1191),
    [anon_sym_namespace] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(679),
    [anon_sym_async] = ACTIONS(1207),
    [anon_sym_function] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(1499),
    [anon_sym_using] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1217),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1225),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1501),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_readonly] = ACTIONS(1191),
    [anon_sym_get] = ACTIONS(1191),
    [anon_sym_set] = ACTIONS(1191),
    [anon_sym_declare] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_override] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [sym_html_comment] = ACTIONS(5),
  },
  [667] = {
    [sym_namespace_export] = STATE(6023),
    [sym_export_clause] = STATE(4817),
    [sym_declaration] = STATE(817),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_class_declaration] = STATE(838),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function_declaration] = STATE(838),
    [sym_decorator] = STATE(1249),
    [sym_function_signature] = STATE(838),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(819),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [aux_sym_export_statement_repeat1] = STATE(4639),
    [aux_sym_object_repeat1] = STATE(5582),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_type] = ACTIONS(2274),
    [anon_sym_EQ] = ACTIONS(2276),
    [anon_sym_as] = ACTIONS(2278),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_import] = ACTIONS(2284),
    [anon_sym_var] = ACTIONS(2286),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2295),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2299),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2304),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2312),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [668] = {
    [sym_namespace_export] = STATE(6023),
    [sym_export_clause] = STATE(4817),
    [sym_declaration] = STATE(817),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_class_declaration] = STATE(838),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function_declaration] = STATE(838),
    [sym_decorator] = STATE(1249),
    [sym_function_signature] = STATE(838),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(819),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [aux_sym_export_statement_repeat1] = STATE(4639),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_type] = ACTIONS(2274),
    [anon_sym_EQ] = ACTIONS(2276),
    [anon_sym_as] = ACTIONS(2278),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_import] = ACTIONS(2284),
    [anon_sym_var] = ACTIONS(2286),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2295),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2299),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2304),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2312),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [669] = {
    [sym_namespace_export] = STATE(6023),
    [sym_export_clause] = STATE(4817),
    [sym_declaration] = STATE(817),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_class_declaration] = STATE(838),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function_declaration] = STATE(838),
    [sym_decorator] = STATE(1249),
    [sym_function_signature] = STATE(838),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(819),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [aux_sym_export_statement_repeat1] = STATE(4639),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_type] = ACTIONS(2274),
    [anon_sym_EQ] = ACTIONS(2276),
    [anon_sym_as] = ACTIONS(2278),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_import] = ACTIONS(2284),
    [anon_sym_var] = ACTIONS(2286),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2295),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2299),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2304),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2312),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [670] = {
    [sym__call_signature] = STATE(6338),
    [sym_string] = STATE(4027),
    [sym_formal_parameters] = STATE(3988),
    [sym__property_name] = STATE(4027),
    [sym_computed_property_name] = STATE(4027),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2321),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_async] = ACTIONS(2316),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2334),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2316),
    [anon_sym_readonly] = ACTIONS(2316),
    [anon_sym_get] = ACTIONS(2340),
    [anon_sym_set] = ACTIONS(2340),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2316),
    [anon_sym_public] = ACTIONS(2316),
    [anon_sym_private] = ACTIONS(2316),
    [anon_sym_protected] = ACTIONS(2316),
    [anon_sym_override] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_any] = ACTIONS(2316),
    [anon_sym_number] = ACTIONS(2316),
    [anon_sym_boolean] = ACTIONS(2316),
    [anon_sym_string] = ACTIONS(2316),
    [anon_sym_symbol] = ACTIONS(2316),
    [anon_sym_object] = ACTIONS(2316),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [671] = {
    [sym__call_signature] = STATE(6338),
    [sym_string] = STATE(4027),
    [sym_formal_parameters] = STATE(3988),
    [sym__property_name] = STATE(4027),
    [sym_computed_property_name] = STATE(4027),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2321),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_async] = ACTIONS(2316),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2334),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2316),
    [anon_sym_readonly] = ACTIONS(2316),
    [anon_sym_get] = ACTIONS(2340),
    [anon_sym_set] = ACTIONS(2340),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2316),
    [anon_sym_public] = ACTIONS(2316),
    [anon_sym_private] = ACTIONS(2316),
    [anon_sym_protected] = ACTIONS(2316),
    [anon_sym_override] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_any] = ACTIONS(2316),
    [anon_sym_number] = ACTIONS(2316),
    [anon_sym_boolean] = ACTIONS(2316),
    [anon_sym_string] = ACTIONS(2316),
    [anon_sym_symbol] = ACTIONS(2316),
    [anon_sym_object] = ACTIONS(2316),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [672] = {
    [sym__call_signature] = STATE(6338),
    [sym_string] = STATE(4027),
    [sym_formal_parameters] = STATE(3988),
    [sym__property_name] = STATE(4027),
    [sym_computed_property_name] = STATE(4027),
    [sym_type_parameters] = STATE(6004),
    [aux_sym_object_repeat1] = STATE(5582),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2321),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_async] = ACTIONS(2316),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2316),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2334),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2316),
    [anon_sym_readonly] = ACTIONS(2316),
    [anon_sym_get] = ACTIONS(2340),
    [anon_sym_set] = ACTIONS(2340),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2316),
    [anon_sym_public] = ACTIONS(2316),
    [anon_sym_private] = ACTIONS(2316),
    [anon_sym_protected] = ACTIONS(2316),
    [anon_sym_override] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_any] = ACTIONS(2316),
    [anon_sym_number] = ACTIONS(2316),
    [anon_sym_boolean] = ACTIONS(2316),
    [anon_sym_string] = ACTIONS(2316),
    [anon_sym_symbol] = ACTIONS(2316),
    [anon_sym_object] = ACTIONS(2316),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [673] = {
    [sym_declaration] = STATE(899),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_class_declaration] = STATE(838),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function_declaration] = STATE(838),
    [sym_decorator] = STATE(1249),
    [sym_function_signature] = STATE(838),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(819),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [aux_sym_export_statement_repeat1] = STATE(4639),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2342),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_import] = ACTIONS(2284),
    [anon_sym_var] = ACTIONS(2286),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2295),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2299),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2304),
    [anon_sym_module] = ACTIONS(2344),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2346),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2312),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [674] = {
    [sym_declaration] = STATE(899),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_class_declaration] = STATE(838),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function_declaration] = STATE(838),
    [sym_decorator] = STATE(1249),
    [sym_function_signature] = STATE(838),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(819),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [aux_sym_export_statement_repeat1] = STATE(4639),
    [aux_sym_object_repeat1] = STATE(5582),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2342),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_import] = ACTIONS(2284),
    [anon_sym_var] = ACTIONS(2286),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2295),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2299),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2304),
    [anon_sym_module] = ACTIONS(2344),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2346),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2312),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [675] = {
    [sym_declaration] = STATE(899),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_class_declaration] = STATE(838),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function_declaration] = STATE(838),
    [sym_decorator] = STATE(1249),
    [sym_function_signature] = STATE(838),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(819),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [aux_sym_export_statement_repeat1] = STATE(4639),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2342),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_import] = ACTIONS(2284),
    [anon_sym_var] = ACTIONS(2286),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2295),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2299),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2304),
    [anon_sym_module] = ACTIONS(2344),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2346),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2312),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [676] = {
    [sym_namespace_export] = STATE(6023),
    [sym_export_clause] = STATE(4817),
    [sym_declaration] = STATE(817),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_class_declaration] = STATE(838),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function_declaration] = STATE(838),
    [sym_decorator] = STATE(1249),
    [sym_function_signature] = STATE(838),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(819),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [aux_sym_export_statement_repeat1] = STATE(4639),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_default] = ACTIONS(2348),
    [anon_sym_type] = ACTIONS(2274),
    [anon_sym_EQ] = ACTIONS(2350),
    [anon_sym_as] = ACTIONS(2278),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2284),
    [anon_sym_var] = ACTIONS(2286),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(837),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2295),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2299),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2304),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2312),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [677] = {
    [sym_namespace_export] = STATE(6023),
    [sym_export_clause] = STATE(4817),
    [sym_declaration] = STATE(817),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_class_declaration] = STATE(838),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function_declaration] = STATE(838),
    [sym_decorator] = STATE(1249),
    [sym_function_signature] = STATE(838),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(819),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [aux_sym_export_statement_repeat1] = STATE(4639),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_type] = ACTIONS(2274),
    [anon_sym_EQ] = ACTIONS(2350),
    [anon_sym_as] = ACTIONS(2278),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2284),
    [anon_sym_var] = ACTIONS(2286),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2295),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2299),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2304),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2312),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [678] = {
    [sym_string] = STATE(4027),
    [sym__property_name] = STATE(4027),
    [sym_computed_property_name] = STATE(4027),
    [sym_override_modifier] = STATE(2774),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_export] = ACTIONS(2352),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_type] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_async] = ACTIONS(2354),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2352),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2352),
    [anon_sym_readonly] = ACTIONS(2356),
    [anon_sym_get] = ACTIONS(2358),
    [anon_sym_set] = ACTIONS(2358),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2352),
    [anon_sym_public] = ACTIONS(2352),
    [anon_sym_private] = ACTIONS(2352),
    [anon_sym_protected] = ACTIONS(2352),
    [anon_sym_override] = ACTIONS(2360),
    [anon_sym_module] = ACTIONS(2352),
    [anon_sym_any] = ACTIONS(2352),
    [anon_sym_number] = ACTIONS(2352),
    [anon_sym_boolean] = ACTIONS(2352),
    [anon_sym_string] = ACTIONS(2352),
    [anon_sym_symbol] = ACTIONS(2352),
    [anon_sym_object] = ACTIONS(2352),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [679] = {
    [sym_string] = STATE(4027),
    [sym__property_name] = STATE(4027),
    [sym_computed_property_name] = STATE(4027),
    [sym_override_modifier] = STATE(2774),
    [aux_sym_object_repeat1] = STATE(5582),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_export] = ACTIONS(2352),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_type] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_async] = ACTIONS(2354),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2352),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2352),
    [anon_sym_readonly] = ACTIONS(2356),
    [anon_sym_get] = ACTIONS(2358),
    [anon_sym_set] = ACTIONS(2358),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2352),
    [anon_sym_public] = ACTIONS(2352),
    [anon_sym_private] = ACTIONS(2352),
    [anon_sym_protected] = ACTIONS(2352),
    [anon_sym_override] = ACTIONS(2360),
    [anon_sym_module] = ACTIONS(2352),
    [anon_sym_any] = ACTIONS(2352),
    [anon_sym_number] = ACTIONS(2352),
    [anon_sym_boolean] = ACTIONS(2352),
    [anon_sym_string] = ACTIONS(2352),
    [anon_sym_symbol] = ACTIONS(2352),
    [anon_sym_object] = ACTIONS(2352),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [680] = {
    [sym_string] = STATE(4027),
    [sym__property_name] = STATE(4027),
    [sym_computed_property_name] = STATE(4027),
    [sym_override_modifier] = STATE(2774),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_export] = ACTIONS(2352),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_type] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_let] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_async] = ACTIONS(2354),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2352),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2352),
    [anon_sym_readonly] = ACTIONS(2356),
    [anon_sym_get] = ACTIONS(2358),
    [anon_sym_set] = ACTIONS(2358),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2352),
    [anon_sym_public] = ACTIONS(2352),
    [anon_sym_private] = ACTIONS(2352),
    [anon_sym_protected] = ACTIONS(2352),
    [anon_sym_override] = ACTIONS(2360),
    [anon_sym_module] = ACTIONS(2352),
    [anon_sym_any] = ACTIONS(2352),
    [anon_sym_number] = ACTIONS(2352),
    [anon_sym_boolean] = ACTIONS(2352),
    [anon_sym_string] = ACTIONS(2352),
    [anon_sym_symbol] = ACTIONS(2352),
    [anon_sym_object] = ACTIONS(2352),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [681] = {
    [sym_string] = STATE(4027),
    [sym__property_name] = STATE(4027),
    [sym_computed_property_name] = STATE(4027),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_export] = ACTIONS(2352),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_type] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_async] = ACTIONS(2354),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2352),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2352),
    [anon_sym_readonly] = ACTIONS(2352),
    [anon_sym_get] = ACTIONS(2358),
    [anon_sym_set] = ACTIONS(2358),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2352),
    [anon_sym_public] = ACTIONS(2352),
    [anon_sym_private] = ACTIONS(2352),
    [anon_sym_protected] = ACTIONS(2352),
    [anon_sym_override] = ACTIONS(2352),
    [anon_sym_module] = ACTIONS(2352),
    [anon_sym_any] = ACTIONS(2352),
    [anon_sym_number] = ACTIONS(2352),
    [anon_sym_boolean] = ACTIONS(2352),
    [anon_sym_string] = ACTIONS(2352),
    [anon_sym_symbol] = ACTIONS(2352),
    [anon_sym_object] = ACTIONS(2352),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [682] = {
    [ts_builtin_sym_end] = ACTIONS(1903),
    [sym_identifier] = ACTIONS(1905),
    [anon_sym_export] = ACTIONS(1905),
    [anon_sym_default] = ACTIONS(1905),
    [anon_sym_type] = ACTIONS(1905),
    [anon_sym_EQ] = ACTIONS(1905),
    [anon_sym_namespace] = ACTIONS(1905),
    [anon_sym_LBRACE] = ACTIONS(1903),
    [anon_sym_COMMA] = ACTIONS(1903),
    [anon_sym_RBRACE] = ACTIONS(1903),
    [anon_sym_typeof] = ACTIONS(1905),
    [anon_sym_import] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(1905),
    [anon_sym_with] = ACTIONS(1905),
    [anon_sym_var] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1905),
    [anon_sym_const] = ACTIONS(1905),
    [anon_sym_BANG] = ACTIONS(1903),
    [anon_sym_else] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1905),
    [anon_sym_switch] = ACTIONS(1905),
    [anon_sym_for] = ACTIONS(1905),
    [anon_sym_LPAREN] = ACTIONS(1903),
    [anon_sym_RPAREN] = ACTIONS(1903),
    [anon_sym_await] = ACTIONS(1905),
    [anon_sym_while] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1905),
    [anon_sym_break] = ACTIONS(1905),
    [anon_sym_continue] = ACTIONS(1905),
    [anon_sym_debugger] = ACTIONS(1905),
    [anon_sym_return] = ACTIONS(1905),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_SEMI] = ACTIONS(1903),
    [anon_sym_COLON] = ACTIONS(1903),
    [anon_sym_case] = ACTIONS(1905),
    [anon_sym_yield] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1903),
    [anon_sym_RBRACK] = ACTIONS(1903),
    [sym_glimmer_opening_tag] = ACTIONS(1903),
    [anon_sym_GT] = ACTIONS(1903),
    [anon_sym_DQUOTE] = ACTIONS(1903),
    [anon_sym_SQUOTE] = ACTIONS(1903),
    [anon_sym_class] = ACTIONS(1905),
    [anon_sym_async] = ACTIONS(1905),
    [anon_sym_function] = ACTIONS(1905),
    [anon_sym_EQ_GT] = ACTIONS(1903),
    [anon_sym_new] = ACTIONS(1905),
    [anon_sym_using] = ACTIONS(1905),
    [anon_sym_AMP] = ACTIONS(1903),
    [anon_sym_PIPE] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_SLASH] = ACTIONS(1905),
    [anon_sym_LT] = ACTIONS(1905),
    [anon_sym_TILDE] = ACTIONS(1903),
    [anon_sym_void] = ACTIONS(1905),
    [anon_sym_delete] = ACTIONS(1905),
    [anon_sym_PLUS_PLUS] = ACTIONS(1903),
    [anon_sym_DASH_DASH] = ACTIONS(1903),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1903),
    [sym_number] = ACTIONS(1903),
    [sym_private_property_identifier] = ACTIONS(1903),
    [sym_this] = ACTIONS(1905),
    [sym_super] = ACTIONS(1905),
    [sym_true] = ACTIONS(1905),
    [sym_false] = ACTIONS(1905),
    [sym_null] = ACTIONS(1905),
    [sym_undefined] = ACTIONS(1905),
    [anon_sym_AT] = ACTIONS(1903),
    [anon_sym_static] = ACTIONS(1905),
    [anon_sym_readonly] = ACTIONS(1905),
    [anon_sym_get] = ACTIONS(1905),
    [anon_sym_set] = ACTIONS(1905),
    [anon_sym_QMARK] = ACTIONS(1903),
    [anon_sym_declare] = ACTIONS(1905),
    [anon_sym_public] = ACTIONS(1905),
    [anon_sym_private] = ACTIONS(1905),
    [anon_sym_protected] = ACTIONS(1905),
    [anon_sym_override] = ACTIONS(1905),
    [anon_sym_module] = ACTIONS(1905),
    [anon_sym_any] = ACTIONS(1905),
    [anon_sym_number] = ACTIONS(1905),
    [anon_sym_boolean] = ACTIONS(1905),
    [anon_sym_string] = ACTIONS(1905),
    [anon_sym_symbol] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1905),
    [anon_sym_abstract] = ACTIONS(1905),
    [anon_sym_extends] = ACTIONS(1905),
    [anon_sym_interface] = ACTIONS(1905),
    [anon_sym_enum] = ACTIONS(1905),
    [sym_html_comment] = ACTIONS(5),
  },
  [683] = {
    [sym_string] = STATE(4027),
    [sym__property_name] = STATE(4027),
    [sym_computed_property_name] = STATE(4027),
    [aux_sym_object_repeat1] = STATE(5582),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_export] = ACTIONS(2352),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_type] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_async] = ACTIONS(2354),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2352),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2352),
    [anon_sym_readonly] = ACTIONS(2352),
    [anon_sym_get] = ACTIONS(2358),
    [anon_sym_set] = ACTIONS(2358),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2352),
    [anon_sym_public] = ACTIONS(2352),
    [anon_sym_private] = ACTIONS(2352),
    [anon_sym_protected] = ACTIONS(2352),
    [anon_sym_override] = ACTIONS(2352),
    [anon_sym_module] = ACTIONS(2352),
    [anon_sym_any] = ACTIONS(2352),
    [anon_sym_number] = ACTIONS(2352),
    [anon_sym_boolean] = ACTIONS(2352),
    [anon_sym_string] = ACTIONS(2352),
    [anon_sym_symbol] = ACTIONS(2352),
    [anon_sym_object] = ACTIONS(2352),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [684] = {
    [sym_string] = STATE(4027),
    [sym__property_name] = STATE(4027),
    [sym_computed_property_name] = STATE(4027),
    [aux_sym_object_repeat1] = STATE(5582),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_export] = ACTIONS(2352),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_async] = ACTIONS(2352),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2352),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2352),
    [anon_sym_readonly] = ACTIONS(2352),
    [anon_sym_get] = ACTIONS(2352),
    [anon_sym_set] = ACTIONS(2352),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2352),
    [anon_sym_public] = ACTIONS(2352),
    [anon_sym_private] = ACTIONS(2352),
    [anon_sym_protected] = ACTIONS(2352),
    [anon_sym_override] = ACTIONS(2352),
    [anon_sym_module] = ACTIONS(2352),
    [anon_sym_any] = ACTIONS(2352),
    [anon_sym_number] = ACTIONS(2352),
    [anon_sym_boolean] = ACTIONS(2352),
    [anon_sym_string] = ACTIONS(2352),
    [anon_sym_symbol] = ACTIONS(2352),
    [anon_sym_object] = ACTIONS(2352),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [685] = {
    [sym_string] = STATE(4027),
    [sym__property_name] = STATE(4027),
    [sym_computed_property_name] = STATE(4027),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_export] = ACTIONS(2352),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_async] = ACTIONS(2352),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2352),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2352),
    [anon_sym_readonly] = ACTIONS(2352),
    [anon_sym_get] = ACTIONS(2352),
    [anon_sym_set] = ACTIONS(2352),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2352),
    [anon_sym_public] = ACTIONS(2352),
    [anon_sym_private] = ACTIONS(2352),
    [anon_sym_protected] = ACTIONS(2352),
    [anon_sym_override] = ACTIONS(2352),
    [anon_sym_module] = ACTIONS(2352),
    [anon_sym_any] = ACTIONS(2352),
    [anon_sym_number] = ACTIONS(2352),
    [anon_sym_boolean] = ACTIONS(2352),
    [anon_sym_string] = ACTIONS(2352),
    [anon_sym_symbol] = ACTIONS(2352),
    [anon_sym_object] = ACTIONS(2352),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [686] = {
    [ts_builtin_sym_end] = ACTIONS(1859),
    [sym_identifier] = ACTIONS(1861),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_default] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_typeof] = ACTIONS(1861),
    [anon_sym_import] = ACTIONS(1861),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_with] = ACTIONS(1861),
    [anon_sym_var] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_const] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_else] = ACTIONS(1861),
    [anon_sym_if] = ACTIONS(1861),
    [anon_sym_switch] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_await] = ACTIONS(1861),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_do] = ACTIONS(1861),
    [anon_sym_try] = ACTIONS(1861),
    [anon_sym_break] = ACTIONS(1861),
    [anon_sym_continue] = ACTIONS(1861),
    [anon_sym_debugger] = ACTIONS(1861),
    [anon_sym_return] = ACTIONS(1861),
    [anon_sym_throw] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_COLON] = ACTIONS(1859),
    [anon_sym_case] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_RBRACK] = ACTIONS(1859),
    [sym_glimmer_opening_tag] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [anon_sym_DQUOTE] = ACTIONS(1859),
    [anon_sym_SQUOTE] = ACTIONS(1859),
    [anon_sym_class] = ACTIONS(1861),
    [anon_sym_async] = ACTIONS(1861),
    [anon_sym_function] = ACTIONS(1861),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_using] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1859),
    [anon_sym_void] = ACTIONS(1861),
    [anon_sym_delete] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1859),
    [sym_number] = ACTIONS(1859),
    [sym_private_property_identifier] = ACTIONS(1859),
    [sym_this] = ACTIONS(1861),
    [sym_super] = ACTIONS(1861),
    [sym_true] = ACTIONS(1861),
    [sym_false] = ACTIONS(1861),
    [sym_null] = ACTIONS(1861),
    [sym_undefined] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_abstract] = ACTIONS(1861),
    [anon_sym_extends] = ACTIONS(1861),
    [anon_sym_interface] = ACTIONS(1861),
    [anon_sym_enum] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [687] = {
    [sym_string] = STATE(4027),
    [sym__property_name] = STATE(4027),
    [sym_computed_property_name] = STATE(4027),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_export] = ACTIONS(2352),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_let] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_async] = ACTIONS(2352),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2352),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2352),
    [anon_sym_readonly] = ACTIONS(2352),
    [anon_sym_get] = ACTIONS(2352),
    [anon_sym_set] = ACTIONS(2352),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2352),
    [anon_sym_public] = ACTIONS(2352),
    [anon_sym_private] = ACTIONS(2352),
    [anon_sym_protected] = ACTIONS(2352),
    [anon_sym_override] = ACTIONS(2352),
    [anon_sym_module] = ACTIONS(2352),
    [anon_sym_any] = ACTIONS(2352),
    [anon_sym_number] = ACTIONS(2352),
    [anon_sym_boolean] = ACTIONS(2352),
    [anon_sym_string] = ACTIONS(2352),
    [anon_sym_symbol] = ACTIONS(2352),
    [anon_sym_object] = ACTIONS(2352),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [688] = {
    [sym_string] = STATE(4027),
    [sym__property_name] = STATE(4027),
    [sym_computed_property_name] = STATE(4027),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_export] = ACTIONS(2352),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_type] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_let] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_async] = ACTIONS(2354),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2352),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2352),
    [anon_sym_readonly] = ACTIONS(2352),
    [anon_sym_get] = ACTIONS(2358),
    [anon_sym_set] = ACTIONS(2358),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(2352),
    [anon_sym_public] = ACTIONS(2352),
    [anon_sym_private] = ACTIONS(2352),
    [anon_sym_protected] = ACTIONS(2352),
    [anon_sym_override] = ACTIONS(2352),
    [anon_sym_module] = ACTIONS(2352),
    [anon_sym_any] = ACTIONS(2352),
    [anon_sym_number] = ACTIONS(2352),
    [anon_sym_boolean] = ACTIONS(2352),
    [anon_sym_string] = ACTIONS(2352),
    [anon_sym_symbol] = ACTIONS(2352),
    [anon_sym_object] = ACTIONS(2352),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(2362),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_export] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_type] = ACTIONS(2364),
    [anon_sym_EQ] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_COMMA] = ACTIONS(2362),
    [anon_sym_RBRACE] = ACTIONS(2362),
    [anon_sym_typeof] = ACTIONS(2364),
    [anon_sym_import] = ACTIONS(2364),
    [anon_sym_with] = ACTIONS(2364),
    [anon_sym_var] = ACTIONS(2364),
    [anon_sym_let] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_LPAREN] = ACTIONS(2362),
    [anon_sym_RPAREN] = ACTIONS(2362),
    [anon_sym_await] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_debugger] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_throw] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym_COLON] = ACTIONS(2362),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_yield] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2362),
    [anon_sym_RBRACK] = ACTIONS(2362),
    [sym_glimmer_opening_tag] = ACTIONS(2362),
    [anon_sym_GT] = ACTIONS(2362),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_async] = ACTIONS(2364),
    [anon_sym_function] = ACTIONS(2364),
    [anon_sym_EQ_GT] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(2364),
    [anon_sym_using] = ACTIONS(2364),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_PIPE] = ACTIONS(2362),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_SLASH] = ACTIONS(2364),
    [anon_sym_LT] = ACTIONS(2364),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_void] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2362),
    [sym_number] = ACTIONS(2362),
    [sym_private_property_identifier] = ACTIONS(2362),
    [sym_this] = ACTIONS(2364),
    [sym_super] = ACTIONS(2364),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [sym_null] = ACTIONS(2364),
    [sym_undefined] = ACTIONS(2364),
    [anon_sym_AT] = ACTIONS(2362),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_readonly] = ACTIONS(2364),
    [anon_sym_get] = ACTIONS(2364),
    [anon_sym_set] = ACTIONS(2364),
    [anon_sym_QMARK] = ACTIONS(2362),
    [anon_sym_declare] = ACTIONS(2364),
    [anon_sym_public] = ACTIONS(2364),
    [anon_sym_private] = ACTIONS(2364),
    [anon_sym_protected] = ACTIONS(2364),
    [anon_sym_override] = ACTIONS(2364),
    [anon_sym_module] = ACTIONS(2364),
    [anon_sym_any] = ACTIONS(2364),
    [anon_sym_number] = ACTIONS(2364),
    [anon_sym_boolean] = ACTIONS(2364),
    [anon_sym_string] = ACTIONS(2364),
    [anon_sym_symbol] = ACTIONS(2364),
    [anon_sym_object] = ACTIONS(2364),
    [anon_sym_abstract] = ACTIONS(2364),
    [anon_sym_extends] = ACTIONS(2364),
    [anon_sym_interface] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [sym_html_comment] = ACTIONS(5),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2368),
    [anon_sym_export] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_type] = ACTIONS(2368),
    [anon_sym_EQ] = ACTIONS(2368),
    [anon_sym_namespace] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_COMMA] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_typeof] = ACTIONS(2368),
    [anon_sym_import] = ACTIONS(2368),
    [anon_sym_with] = ACTIONS(2368),
    [anon_sym_var] = ACTIONS(2368),
    [anon_sym_let] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_LPAREN] = ACTIONS(2366),
    [anon_sym_RPAREN] = ACTIONS(2366),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_try] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_debugger] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_throw] = ACTIONS(2368),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym_COLON] = ACTIONS(2366),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_yield] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2366),
    [anon_sym_RBRACK] = ACTIONS(2366),
    [sym_glimmer_opening_tag] = ACTIONS(2366),
    [anon_sym_GT] = ACTIONS(2366),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_class] = ACTIONS(2368),
    [anon_sym_async] = ACTIONS(2368),
    [anon_sym_function] = ACTIONS(2368),
    [anon_sym_EQ_GT] = ACTIONS(2366),
    [anon_sym_new] = ACTIONS(2368),
    [anon_sym_using] = ACTIONS(2368),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_PIPE] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_SLASH] = ACTIONS(2368),
    [anon_sym_LT] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_void] = ACTIONS(2368),
    [anon_sym_delete] = ACTIONS(2368),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2366),
    [sym_number] = ACTIONS(2366),
    [sym_private_property_identifier] = ACTIONS(2366),
    [sym_this] = ACTIONS(2368),
    [sym_super] = ACTIONS(2368),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [sym_null] = ACTIONS(2368),
    [sym_undefined] = ACTIONS(2368),
    [anon_sym_AT] = ACTIONS(2366),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_readonly] = ACTIONS(2368),
    [anon_sym_get] = ACTIONS(2368),
    [anon_sym_set] = ACTIONS(2368),
    [anon_sym_QMARK] = ACTIONS(2366),
    [anon_sym_declare] = ACTIONS(2368),
    [anon_sym_public] = ACTIONS(2368),
    [anon_sym_private] = ACTIONS(2368),
    [anon_sym_protected] = ACTIONS(2368),
    [anon_sym_override] = ACTIONS(2368),
    [anon_sym_module] = ACTIONS(2368),
    [anon_sym_any] = ACTIONS(2368),
    [anon_sym_number] = ACTIONS(2368),
    [anon_sym_boolean] = ACTIONS(2368),
    [anon_sym_string] = ACTIONS(2368),
    [anon_sym_symbol] = ACTIONS(2368),
    [anon_sym_object] = ACTIONS(2368),
    [anon_sym_abstract] = ACTIONS(2368),
    [anon_sym_extends] = ACTIONS(2368),
    [anon_sym_interface] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [sym_html_comment] = ACTIONS(5),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(2370),
    [sym_identifier] = ACTIONS(2372),
    [anon_sym_export] = ACTIONS(2372),
    [anon_sym_default] = ACTIONS(2372),
    [anon_sym_type] = ACTIONS(2372),
    [anon_sym_EQ] = ACTIONS(2372),
    [anon_sym_namespace] = ACTIONS(2372),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_typeof] = ACTIONS(2372),
    [anon_sym_import] = ACTIONS(2372),
    [anon_sym_with] = ACTIONS(2372),
    [anon_sym_var] = ACTIONS(2372),
    [anon_sym_let] = ACTIONS(2372),
    [anon_sym_const] = ACTIONS(2372),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_else] = ACTIONS(2372),
    [anon_sym_if] = ACTIONS(2372),
    [anon_sym_switch] = ACTIONS(2372),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_RPAREN] = ACTIONS(2370),
    [anon_sym_await] = ACTIONS(2372),
    [anon_sym_while] = ACTIONS(2372),
    [anon_sym_do] = ACTIONS(2372),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_break] = ACTIONS(2372),
    [anon_sym_continue] = ACTIONS(2372),
    [anon_sym_debugger] = ACTIONS(2372),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_throw] = ACTIONS(2372),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_case] = ACTIONS(2372),
    [anon_sym_yield] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_RBRACK] = ACTIONS(2370),
    [sym_glimmer_opening_tag] = ACTIONS(2370),
    [anon_sym_GT] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2372),
    [anon_sym_async] = ACTIONS(2372),
    [anon_sym_function] = ACTIONS(2372),
    [anon_sym_EQ_GT] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2372),
    [anon_sym_using] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_PIPE] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_SLASH] = ACTIONS(2372),
    [anon_sym_LT] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2372),
    [anon_sym_delete] = ACTIONS(2372),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2370),
    [sym_number] = ACTIONS(2370),
    [sym_private_property_identifier] = ACTIONS(2370),
    [sym_this] = ACTIONS(2372),
    [sym_super] = ACTIONS(2372),
    [sym_true] = ACTIONS(2372),
    [sym_false] = ACTIONS(2372),
    [sym_null] = ACTIONS(2372),
    [sym_undefined] = ACTIONS(2372),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2372),
    [anon_sym_readonly] = ACTIONS(2372),
    [anon_sym_get] = ACTIONS(2372),
    [anon_sym_set] = ACTIONS(2372),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_declare] = ACTIONS(2372),
    [anon_sym_public] = ACTIONS(2372),
    [anon_sym_private] = ACTIONS(2372),
    [anon_sym_protected] = ACTIONS(2372),
    [anon_sym_override] = ACTIONS(2372),
    [anon_sym_module] = ACTIONS(2372),
    [anon_sym_any] = ACTIONS(2372),
    [anon_sym_number] = ACTIONS(2372),
    [anon_sym_boolean] = ACTIONS(2372),
    [anon_sym_string] = ACTIONS(2372),
    [anon_sym_symbol] = ACTIONS(2372),
    [anon_sym_object] = ACTIONS(2372),
    [anon_sym_abstract] = ACTIONS(2372),
    [anon_sym_extends] = ACTIONS(2372),
    [anon_sym_interface] = ACTIONS(2372),
    [anon_sym_enum] = ACTIONS(2372),
    [sym_html_comment] = ACTIONS(5),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(2374),
    [sym_identifier] = ACTIONS(2376),
    [anon_sym_export] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2376),
    [anon_sym_type] = ACTIONS(2376),
    [anon_sym_EQ] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_COMMA] = ACTIONS(2374),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_typeof] = ACTIONS(2376),
    [anon_sym_import] = ACTIONS(2376),
    [anon_sym_with] = ACTIONS(2376),
    [anon_sym_var] = ACTIONS(2376),
    [anon_sym_let] = ACTIONS(2376),
    [anon_sym_const] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_else] = ACTIONS(2376),
    [anon_sym_if] = ACTIONS(2376),
    [anon_sym_switch] = ACTIONS(2376),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [anon_sym_RPAREN] = ACTIONS(2374),
    [anon_sym_await] = ACTIONS(2376),
    [anon_sym_while] = ACTIONS(2376),
    [anon_sym_do] = ACTIONS(2376),
    [anon_sym_try] = ACTIONS(2376),
    [anon_sym_break] = ACTIONS(2376),
    [anon_sym_continue] = ACTIONS(2376),
    [anon_sym_debugger] = ACTIONS(2376),
    [anon_sym_return] = ACTIONS(2376),
    [anon_sym_throw] = ACTIONS(2376),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym_COLON] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2376),
    [anon_sym_yield] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_RBRACK] = ACTIONS(2374),
    [sym_glimmer_opening_tag] = ACTIONS(2374),
    [anon_sym_GT] = ACTIONS(2374),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2376),
    [anon_sym_async] = ACTIONS(2376),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2376),
    [anon_sym_using] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_PIPE] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_SLASH] = ACTIONS(2376),
    [anon_sym_LT] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_void] = ACTIONS(2376),
    [anon_sym_delete] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2374),
    [sym_number] = ACTIONS(2374),
    [sym_private_property_identifier] = ACTIONS(2374),
    [sym_this] = ACTIONS(2376),
    [sym_super] = ACTIONS(2376),
    [sym_true] = ACTIONS(2376),
    [sym_false] = ACTIONS(2376),
    [sym_null] = ACTIONS(2376),
    [sym_undefined] = ACTIONS(2376),
    [anon_sym_AT] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2376),
    [anon_sym_readonly] = ACTIONS(2376),
    [anon_sym_get] = ACTIONS(2376),
    [anon_sym_set] = ACTIONS(2376),
    [anon_sym_QMARK] = ACTIONS(2374),
    [anon_sym_declare] = ACTIONS(2376),
    [anon_sym_public] = ACTIONS(2376),
    [anon_sym_private] = ACTIONS(2376),
    [anon_sym_protected] = ACTIONS(2376),
    [anon_sym_override] = ACTIONS(2376),
    [anon_sym_module] = ACTIONS(2376),
    [anon_sym_any] = ACTIONS(2376),
    [anon_sym_number] = ACTIONS(2376),
    [anon_sym_boolean] = ACTIONS(2376),
    [anon_sym_string] = ACTIONS(2376),
    [anon_sym_symbol] = ACTIONS(2376),
    [anon_sym_object] = ACTIONS(2376),
    [anon_sym_abstract] = ACTIONS(2376),
    [anon_sym_extends] = ACTIONS(2376),
    [anon_sym_interface] = ACTIONS(2376),
    [anon_sym_enum] = ACTIONS(2376),
    [sym_html_comment] = ACTIONS(5),
  },
  [693] = {
    [sym_declaration] = STATE(899),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_class_declaration] = STATE(838),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function_declaration] = STATE(838),
    [sym_decorator] = STATE(1249),
    [sym_function_signature] = STATE(838),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(819),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [aux_sym_export_statement_repeat1] = STATE(4639),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2342),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2284),
    [anon_sym_var] = ACTIONS(2286),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(837),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2295),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2299),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2304),
    [anon_sym_module] = ACTIONS(2344),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2346),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2312),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(2378),
    [sym_identifier] = ACTIONS(2380),
    [anon_sym_export] = ACTIONS(2380),
    [anon_sym_default] = ACTIONS(2380),
    [anon_sym_type] = ACTIONS(2380),
    [anon_sym_EQ] = ACTIONS(2380),
    [anon_sym_namespace] = ACTIONS(2380),
    [anon_sym_LBRACE] = ACTIONS(2378),
    [anon_sym_COMMA] = ACTIONS(2378),
    [anon_sym_RBRACE] = ACTIONS(2378),
    [anon_sym_typeof] = ACTIONS(2380),
    [anon_sym_import] = ACTIONS(2380),
    [anon_sym_with] = ACTIONS(2380),
    [anon_sym_var] = ACTIONS(2380),
    [anon_sym_let] = ACTIONS(2380),
    [anon_sym_const] = ACTIONS(2380),
    [anon_sym_BANG] = ACTIONS(2378),
    [anon_sym_else] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2380),
    [anon_sym_switch] = ACTIONS(2380),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_LPAREN] = ACTIONS(2378),
    [anon_sym_RPAREN] = ACTIONS(2378),
    [anon_sym_await] = ACTIONS(2380),
    [anon_sym_while] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(2380),
    [anon_sym_try] = ACTIONS(2380),
    [anon_sym_break] = ACTIONS(2380),
    [anon_sym_continue] = ACTIONS(2380),
    [anon_sym_debugger] = ACTIONS(2380),
    [anon_sym_return] = ACTIONS(2380),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym_COLON] = ACTIONS(2378),
    [anon_sym_case] = ACTIONS(2380),
    [anon_sym_yield] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_RBRACK] = ACTIONS(2378),
    [sym_glimmer_opening_tag] = ACTIONS(2378),
    [anon_sym_GT] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [anon_sym_SQUOTE] = ACTIONS(2378),
    [anon_sym_class] = ACTIONS(2380),
    [anon_sym_async] = ACTIONS(2380),
    [anon_sym_function] = ACTIONS(2380),
    [anon_sym_EQ_GT] = ACTIONS(2378),
    [anon_sym_new] = ACTIONS(2380),
    [anon_sym_using] = ACTIONS(2380),
    [anon_sym_AMP] = ACTIONS(2378),
    [anon_sym_PIPE] = ACTIONS(2378),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_DASH] = ACTIONS(2380),
    [anon_sym_SLASH] = ACTIONS(2380),
    [anon_sym_LT] = ACTIONS(2380),
    [anon_sym_TILDE] = ACTIONS(2378),
    [anon_sym_void] = ACTIONS(2380),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_PLUS_PLUS] = ACTIONS(2378),
    [anon_sym_DASH_DASH] = ACTIONS(2378),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2378),
    [sym_number] = ACTIONS(2378),
    [sym_private_property_identifier] = ACTIONS(2378),
    [sym_this] = ACTIONS(2380),
    [sym_super] = ACTIONS(2380),
    [sym_true] = ACTIONS(2380),
    [sym_false] = ACTIONS(2380),
    [sym_null] = ACTIONS(2380),
    [sym_undefined] = ACTIONS(2380),
    [anon_sym_AT] = ACTIONS(2378),
    [anon_sym_static] = ACTIONS(2380),
    [anon_sym_readonly] = ACTIONS(2380),
    [anon_sym_get] = ACTIONS(2380),
    [anon_sym_set] = ACTIONS(2380),
    [anon_sym_QMARK] = ACTIONS(2378),
    [anon_sym_declare] = ACTIONS(2380),
    [anon_sym_public] = ACTIONS(2380),
    [anon_sym_private] = ACTIONS(2380),
    [anon_sym_protected] = ACTIONS(2380),
    [anon_sym_override] = ACTIONS(2380),
    [anon_sym_module] = ACTIONS(2380),
    [anon_sym_any] = ACTIONS(2380),
    [anon_sym_number] = ACTIONS(2380),
    [anon_sym_boolean] = ACTIONS(2380),
    [anon_sym_string] = ACTIONS(2380),
    [anon_sym_symbol] = ACTIONS(2380),
    [anon_sym_object] = ACTIONS(2380),
    [anon_sym_abstract] = ACTIONS(2380),
    [anon_sym_extends] = ACTIONS(2380),
    [anon_sym_interface] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2380),
    [sym_html_comment] = ACTIONS(5),
  },
  [695] = {
    [sym_declaration] = STATE(899),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_class_declaration] = STATE(838),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function_declaration] = STATE(838),
    [sym_decorator] = STATE(1249),
    [sym_function_signature] = STATE(838),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(819),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [aux_sym_export_statement_repeat1] = STATE(4639),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2342),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2284),
    [anon_sym_var] = ACTIONS(2286),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2295),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2299),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2304),
    [anon_sym_module] = ACTIONS(2344),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2346),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2312),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [696] = {
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_export] = ACTIONS(1994),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_type] = ACTIONS(1994),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1994),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_let] = ACTIONS(1994),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(1996),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_async] = ACTIONS(1994),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1994),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1996),
    [sym_private_property_identifier] = ACTIONS(1996),
    [anon_sym_static] = ACTIONS(1994),
    [anon_sym_readonly] = ACTIONS(1994),
    [anon_sym_get] = ACTIONS(1994),
    [anon_sym_set] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(1994),
    [anon_sym_public] = ACTIONS(1994),
    [anon_sym_private] = ACTIONS(1994),
    [anon_sym_protected] = ACTIONS(1994),
    [anon_sym_override] = ACTIONS(1994),
    [anon_sym_module] = ACTIONS(1994),
    [anon_sym_any] = ACTIONS(1994),
    [anon_sym_number] = ACTIONS(1994),
    [anon_sym_boolean] = ACTIONS(1994),
    [anon_sym_string] = ACTIONS(1994),
    [anon_sym_symbol] = ACTIONS(1994),
    [anon_sym_object] = ACTIONS(1994),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [697] = {
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_export] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(1990),
    [anon_sym_type] = ACTIONS(1990),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(1990),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(1992),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1992),
    [anon_sym_SQUOTE] = ACTIONS(1992),
    [anon_sym_async] = ACTIONS(1990),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1990),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1992),
    [sym_private_property_identifier] = ACTIONS(1992),
    [anon_sym_static] = ACTIONS(1990),
    [anon_sym_readonly] = ACTIONS(1990),
    [anon_sym_get] = ACTIONS(1990),
    [anon_sym_set] = ACTIONS(1990),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(1990),
    [anon_sym_public] = ACTIONS(1990),
    [anon_sym_private] = ACTIONS(1990),
    [anon_sym_protected] = ACTIONS(1990),
    [anon_sym_override] = ACTIONS(1990),
    [anon_sym_module] = ACTIONS(1990),
    [anon_sym_any] = ACTIONS(1990),
    [anon_sym_number] = ACTIONS(1990),
    [anon_sym_boolean] = ACTIONS(1990),
    [anon_sym_string] = ACTIONS(1990),
    [anon_sym_symbol] = ACTIONS(1990),
    [anon_sym_object] = ACTIONS(1990),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [698] = {
    [aux_sym_object_repeat1] = STATE(5582),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_export] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(1990),
    [anon_sym_type] = ACTIONS(1990),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1990),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(1992),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1992),
    [anon_sym_SQUOTE] = ACTIONS(1992),
    [anon_sym_async] = ACTIONS(1990),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1990),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1992),
    [sym_private_property_identifier] = ACTIONS(1992),
    [anon_sym_static] = ACTIONS(1990),
    [anon_sym_readonly] = ACTIONS(1990),
    [anon_sym_get] = ACTIONS(1990),
    [anon_sym_set] = ACTIONS(1990),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(1990),
    [anon_sym_public] = ACTIONS(1990),
    [anon_sym_private] = ACTIONS(1990),
    [anon_sym_protected] = ACTIONS(1990),
    [anon_sym_override] = ACTIONS(1990),
    [anon_sym_module] = ACTIONS(1990),
    [anon_sym_any] = ACTIONS(1990),
    [anon_sym_number] = ACTIONS(1990),
    [anon_sym_boolean] = ACTIONS(1990),
    [anon_sym_string] = ACTIONS(1990),
    [anon_sym_symbol] = ACTIONS(1990),
    [anon_sym_object] = ACTIONS(1990),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [699] = {
    [aux_sym_object_repeat1] = STATE(5582),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_export] = ACTIONS(1994),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_type] = ACTIONS(1994),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1994),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1994),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(1996),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_async] = ACTIONS(1994),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1994),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1996),
    [sym_private_property_identifier] = ACTIONS(1996),
    [anon_sym_static] = ACTIONS(1994),
    [anon_sym_readonly] = ACTIONS(1994),
    [anon_sym_get] = ACTIONS(1994),
    [anon_sym_set] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(1994),
    [anon_sym_public] = ACTIONS(1994),
    [anon_sym_private] = ACTIONS(1994),
    [anon_sym_protected] = ACTIONS(1994),
    [anon_sym_override] = ACTIONS(1994),
    [anon_sym_module] = ACTIONS(1994),
    [anon_sym_any] = ACTIONS(1994),
    [anon_sym_number] = ACTIONS(1994),
    [anon_sym_boolean] = ACTIONS(1994),
    [anon_sym_string] = ACTIONS(1994),
    [anon_sym_symbol] = ACTIONS(1994),
    [anon_sym_object] = ACTIONS(1994),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [700] = {
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_export] = ACTIONS(1994),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_type] = ACTIONS(1994),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1994),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(1994),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(1996),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1996),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_async] = ACTIONS(1994),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1994),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1996),
    [sym_private_property_identifier] = ACTIONS(1996),
    [anon_sym_static] = ACTIONS(1994),
    [anon_sym_readonly] = ACTIONS(1994),
    [anon_sym_get] = ACTIONS(1994),
    [anon_sym_set] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(1994),
    [anon_sym_public] = ACTIONS(1994),
    [anon_sym_private] = ACTIONS(1994),
    [anon_sym_protected] = ACTIONS(1994),
    [anon_sym_override] = ACTIONS(1994),
    [anon_sym_module] = ACTIONS(1994),
    [anon_sym_any] = ACTIONS(1994),
    [anon_sym_number] = ACTIONS(1994),
    [anon_sym_boolean] = ACTIONS(1994),
    [anon_sym_string] = ACTIONS(1994),
    [anon_sym_symbol] = ACTIONS(1994),
    [anon_sym_object] = ACTIONS(1994),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [701] = {
    [sym_declaration] = STATE(4562),
    [sym_variable_declaration] = STATE(4507),
    [sym_lexical_declaration] = STATE(4507),
    [sym_class_declaration] = STATE(4507),
    [sym_function_declaration] = STATE(4507),
    [sym_generator_function_declaration] = STATE(4507),
    [sym_decorator] = STATE(1249),
    [sym_function_signature] = STATE(4507),
    [sym_ambient_declaration] = STATE(4507),
    [sym_abstract_class_declaration] = STATE(4507),
    [sym_module] = STATE(4507),
    [sym_internal_module] = STATE(4512),
    [sym_import_alias] = STATE(4507),
    [sym_interface_declaration] = STATE(4507),
    [sym_enum_declaration] = STATE(4507),
    [sym_type_alias_declaration] = STATE(4507),
    [aux_sym_export_statement_repeat1] = STATE(4589),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2382),
    [anon_sym_EQ] = ACTIONS(921),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2384),
    [anon_sym_import] = ACTIONS(2386),
    [anon_sym_var] = ACTIONS(2388),
    [anon_sym_let] = ACTIONS(2390),
    [anon_sym_const] = ACTIONS(2392),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2394),
    [anon_sym_async] = ACTIONS(2396),
    [anon_sym_function] = ACTIONS(2398),
    [anon_sym_EQ_GT] = ACTIONS(927),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2400),
    [anon_sym_module] = ACTIONS(2402),
    [anon_sym_abstract] = ACTIONS(2404),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2406),
    [anon_sym_interface] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2410),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [702] = {
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_export] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(1990),
    [anon_sym_type] = ACTIONS(1990),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_let] = ACTIONS(1990),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(1992),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1992),
    [anon_sym_SQUOTE] = ACTIONS(1992),
    [anon_sym_async] = ACTIONS(1990),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1990),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1992),
    [sym_private_property_identifier] = ACTIONS(1992),
    [anon_sym_static] = ACTIONS(1990),
    [anon_sym_readonly] = ACTIONS(1990),
    [anon_sym_get] = ACTIONS(1990),
    [anon_sym_set] = ACTIONS(1990),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_declare] = ACTIONS(1990),
    [anon_sym_public] = ACTIONS(1990),
    [anon_sym_private] = ACTIONS(1990),
    [anon_sym_protected] = ACTIONS(1990),
    [anon_sym_override] = ACTIONS(1990),
    [anon_sym_module] = ACTIONS(1990),
    [anon_sym_any] = ACTIONS(1990),
    [anon_sym_number] = ACTIONS(1990),
    [anon_sym_boolean] = ACTIONS(1990),
    [anon_sym_string] = ACTIONS(1990),
    [anon_sym_symbol] = ACTIONS(1990),
    [anon_sym_object] = ACTIONS(1990),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [703] = {
    [sym_declaration] = STATE(899),
    [sym_variable_declaration] = STATE(838),
    [sym_lexical_declaration] = STATE(838),
    [sym_class_declaration] = STATE(838),
    [sym_function_declaration] = STATE(838),
    [sym_generator_function_declaration] = STATE(838),
    [sym_decorator] = STATE(1249),
    [sym_function_signature] = STATE(838),
    [sym_ambient_declaration] = STATE(838),
    [sym_abstract_class_declaration] = STATE(838),
    [sym_module] = STATE(838),
    [sym_internal_module] = STATE(819),
    [sym_import_alias] = STATE(838),
    [sym_interface_declaration] = STATE(838),
    [sym_enum_declaration] = STATE(838),
    [sym_type_alias_declaration] = STATE(838),
    [aux_sym_export_statement_repeat1] = STATE(4639),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2342),
    [anon_sym_EQ] = ACTIONS(921),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2280),
    [anon_sym_import] = ACTIONS(2284),
    [anon_sym_var] = ACTIONS(2286),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2295),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2299),
    [anon_sym_EQ_GT] = ACTIONS(927),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2304),
    [anon_sym_module] = ACTIONS(2344),
    [anon_sym_abstract] = ACTIONS(2308),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2346),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2312),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [704] = {
    [sym__call_signature] = STATE(6369),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_export] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2414),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_RBRACE] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(128),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_readonly] = ACTIONS(2414),
    [anon_sym_get] = ACTIONS(2414),
    [anon_sym_set] = ACTIONS(2414),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_override] = ACTIONS(2414),
    [anon_sym_module] = ACTIONS(2414),
    [anon_sym_any] = ACTIONS(2414),
    [anon_sym_number] = ACTIONS(2414),
    [anon_sym_boolean] = ACTIONS(2414),
    [anon_sym_string] = ACTIONS(2414),
    [anon_sym_symbol] = ACTIONS(2414),
    [anon_sym_object] = ACTIONS(2414),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [705] = {
    [sym__call_signature] = STATE(6369),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_export] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2414),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_COMMA] = ACTIONS(809),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_let] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_RPAREN] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(809),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_readonly] = ACTIONS(2414),
    [anon_sym_get] = ACTIONS(2414),
    [anon_sym_set] = ACTIONS(2414),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_declare] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_override] = ACTIONS(2414),
    [anon_sym_module] = ACTIONS(2414),
    [anon_sym_any] = ACTIONS(2414),
    [anon_sym_number] = ACTIONS(2414),
    [anon_sym_boolean] = ACTIONS(2414),
    [anon_sym_string] = ACTIONS(2414),
    [anon_sym_symbol] = ACTIONS(2414),
    [anon_sym_object] = ACTIONS(2414),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [706] = {
    [sym__call_signature] = STATE(6338),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_export] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2426),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_readonly] = ACTIONS(2426),
    [anon_sym_get] = ACTIONS(2426),
    [anon_sym_set] = ACTIONS(2426),
    [anon_sym_declare] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_module] = ACTIONS(2426),
    [anon_sym_any] = ACTIONS(2426),
    [anon_sym_number] = ACTIONS(2426),
    [anon_sym_boolean] = ACTIONS(2426),
    [anon_sym_string] = ACTIONS(2426),
    [anon_sym_symbol] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2426),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [707] = {
    [sym__call_signature] = STATE(6192),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2430),
    [anon_sym_export] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2432),
    [anon_sym_EQ] = ACTIONS(878),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2432),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2432),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2432),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2432),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_readonly] = ACTIONS(2432),
    [anon_sym_get] = ACTIONS(2432),
    [anon_sym_set] = ACTIONS(2432),
    [anon_sym_declare] = ACTIONS(2432),
    [anon_sym_public] = ACTIONS(2432),
    [anon_sym_private] = ACTIONS(2432),
    [anon_sym_protected] = ACTIONS(2432),
    [anon_sym_override] = ACTIONS(2432),
    [anon_sym_module] = ACTIONS(2432),
    [anon_sym_any] = ACTIONS(2432),
    [anon_sym_number] = ACTIONS(2432),
    [anon_sym_boolean] = ACTIONS(2432),
    [anon_sym_string] = ACTIONS(2432),
    [anon_sym_symbol] = ACTIONS(2432),
    [anon_sym_object] = ACTIONS(2432),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [708] = {
    [sym__call_signature] = STATE(6396),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2436),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2436),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2436),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_EQ_GT] = ACTIONS(868),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2436),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_readonly] = ACTIONS(2436),
    [anon_sym_get] = ACTIONS(2436),
    [anon_sym_set] = ACTIONS(2436),
    [anon_sym_declare] = ACTIONS(2436),
    [anon_sym_public] = ACTIONS(2436),
    [anon_sym_private] = ACTIONS(2436),
    [anon_sym_protected] = ACTIONS(2436),
    [anon_sym_override] = ACTIONS(2436),
    [anon_sym_module] = ACTIONS(2436),
    [anon_sym_any] = ACTIONS(2436),
    [anon_sym_number] = ACTIONS(2436),
    [anon_sym_boolean] = ACTIONS(2436),
    [anon_sym_string] = ACTIONS(2436),
    [anon_sym_symbol] = ACTIONS(2436),
    [anon_sym_object] = ACTIONS(2436),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [709] = {
    [sym__call_signature] = STATE(6286),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2440),
    [anon_sym_EQ] = ACTIONS(221),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_let] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_RPAREN] = ACTIONS(224),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(224),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_readonly] = ACTIONS(2440),
    [anon_sym_get] = ACTIONS(2440),
    [anon_sym_set] = ACTIONS(2440),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2440),
    [anon_sym_public] = ACTIONS(2440),
    [anon_sym_private] = ACTIONS(2440),
    [anon_sym_protected] = ACTIONS(2440),
    [anon_sym_override] = ACTIONS(2440),
    [anon_sym_module] = ACTIONS(2440),
    [anon_sym_any] = ACTIONS(2440),
    [anon_sym_number] = ACTIONS(2440),
    [anon_sym_boolean] = ACTIONS(2440),
    [anon_sym_string] = ACTIONS(2440),
    [anon_sym_symbol] = ACTIONS(2440),
    [anon_sym_object] = ACTIONS(2440),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [710] = {
    [sym__call_signature] = STATE(6338),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_export] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2426),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(837),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_readonly] = ACTIONS(2426),
    [anon_sym_get] = ACTIONS(2426),
    [anon_sym_set] = ACTIONS(2426),
    [anon_sym_declare] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_module] = ACTIONS(2426),
    [anon_sym_any] = ACTIONS(2426),
    [anon_sym_number] = ACTIONS(2426),
    [anon_sym_boolean] = ACTIONS(2426),
    [anon_sym_string] = ACTIONS(2426),
    [anon_sym_symbol] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2426),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [711] = {
    [sym__call_signature] = STATE(6396),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2436),
    [anon_sym_EQ] = ACTIONS(862),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2436),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2436),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_EQ_GT] = ACTIONS(868),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2436),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_readonly] = ACTIONS(2436),
    [anon_sym_get] = ACTIONS(2436),
    [anon_sym_set] = ACTIONS(2436),
    [anon_sym_declare] = ACTIONS(2436),
    [anon_sym_public] = ACTIONS(2436),
    [anon_sym_private] = ACTIONS(2436),
    [anon_sym_protected] = ACTIONS(2436),
    [anon_sym_override] = ACTIONS(2436),
    [anon_sym_module] = ACTIONS(2436),
    [anon_sym_any] = ACTIONS(2436),
    [anon_sym_number] = ACTIONS(2436),
    [anon_sym_boolean] = ACTIONS(2436),
    [anon_sym_string] = ACTIONS(2436),
    [anon_sym_symbol] = ACTIONS(2436),
    [anon_sym_object] = ACTIONS(2436),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [712] = {
    [sym__call_signature] = STATE(6192),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2430),
    [anon_sym_export] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2432),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2432),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2432),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2432),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2432),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_readonly] = ACTIONS(2432),
    [anon_sym_get] = ACTIONS(2432),
    [anon_sym_set] = ACTIONS(2432),
    [anon_sym_declare] = ACTIONS(2432),
    [anon_sym_public] = ACTIONS(2432),
    [anon_sym_private] = ACTIONS(2432),
    [anon_sym_protected] = ACTIONS(2432),
    [anon_sym_override] = ACTIONS(2432),
    [anon_sym_module] = ACTIONS(2432),
    [anon_sym_any] = ACTIONS(2432),
    [anon_sym_number] = ACTIONS(2432),
    [anon_sym_boolean] = ACTIONS(2432),
    [anon_sym_string] = ACTIONS(2432),
    [anon_sym_symbol] = ACTIONS(2432),
    [anon_sym_object] = ACTIONS(2432),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [713] = {
    [sym__call_signature] = STATE(6338),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_export] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2426),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_readonly] = ACTIONS(2426),
    [anon_sym_get] = ACTIONS(2426),
    [anon_sym_set] = ACTIONS(2426),
    [anon_sym_declare] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_module] = ACTIONS(2426),
    [anon_sym_any] = ACTIONS(2426),
    [anon_sym_number] = ACTIONS(2426),
    [anon_sym_boolean] = ACTIONS(2426),
    [anon_sym_string] = ACTIONS(2426),
    [anon_sym_symbol] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2426),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [714] = {
    [sym__call_signature] = STATE(6192),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2430),
    [anon_sym_export] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2432),
    [anon_sym_EQ] = ACTIONS(878),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2432),
    [anon_sym_COMMA] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(892),
    [anon_sym_let] = ACTIONS(2432),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(892),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2432),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2432),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_readonly] = ACTIONS(2432),
    [anon_sym_get] = ACTIONS(2432),
    [anon_sym_set] = ACTIONS(2432),
    [anon_sym_declare] = ACTIONS(2432),
    [anon_sym_public] = ACTIONS(2432),
    [anon_sym_private] = ACTIONS(2432),
    [anon_sym_protected] = ACTIONS(2432),
    [anon_sym_override] = ACTIONS(2432),
    [anon_sym_module] = ACTIONS(2432),
    [anon_sym_any] = ACTIONS(2432),
    [anon_sym_number] = ACTIONS(2432),
    [anon_sym_boolean] = ACTIONS(2432),
    [anon_sym_string] = ACTIONS(2432),
    [anon_sym_symbol] = ACTIONS(2432),
    [anon_sym_object] = ACTIONS(2432),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [715] = {
    [sym__call_signature] = STATE(6338),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_export] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2426),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(853),
    [anon_sym_of] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_readonly] = ACTIONS(2426),
    [anon_sym_get] = ACTIONS(2426),
    [anon_sym_set] = ACTIONS(2426),
    [anon_sym_declare] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_module] = ACTIONS(2426),
    [anon_sym_any] = ACTIONS(2426),
    [anon_sym_number] = ACTIONS(2426),
    [anon_sym_boolean] = ACTIONS(2426),
    [anon_sym_string] = ACTIONS(2426),
    [anon_sym_symbol] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2426),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [716] = {
    [sym__call_signature] = STATE(6338),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_export] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2426),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_readonly] = ACTIONS(2426),
    [anon_sym_get] = ACTIONS(2426),
    [anon_sym_set] = ACTIONS(2426),
    [anon_sym_declare] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_module] = ACTIONS(2426),
    [anon_sym_any] = ACTIONS(2426),
    [anon_sym_number] = ACTIONS(2426),
    [anon_sym_boolean] = ACTIONS(2426),
    [anon_sym_string] = ACTIONS(2426),
    [anon_sym_symbol] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2426),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [717] = {
    [sym__call_signature] = STATE(6286),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2440),
    [anon_sym_EQ] = ACTIONS(890),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_readonly] = ACTIONS(2440),
    [anon_sym_get] = ACTIONS(2440),
    [anon_sym_set] = ACTIONS(2440),
    [anon_sym_declare] = ACTIONS(2440),
    [anon_sym_public] = ACTIONS(2440),
    [anon_sym_private] = ACTIONS(2440),
    [anon_sym_protected] = ACTIONS(2440),
    [anon_sym_override] = ACTIONS(2440),
    [anon_sym_module] = ACTIONS(2440),
    [anon_sym_any] = ACTIONS(2440),
    [anon_sym_number] = ACTIONS(2440),
    [anon_sym_boolean] = ACTIONS(2440),
    [anon_sym_string] = ACTIONS(2440),
    [anon_sym_symbol] = ACTIONS(2440),
    [anon_sym_object] = ACTIONS(2440),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [718] = {
    [sym__call_signature] = STATE(6286),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2440),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_readonly] = ACTIONS(2440),
    [anon_sym_get] = ACTIONS(2440),
    [anon_sym_set] = ACTIONS(2440),
    [anon_sym_declare] = ACTIONS(2440),
    [anon_sym_public] = ACTIONS(2440),
    [anon_sym_private] = ACTIONS(2440),
    [anon_sym_protected] = ACTIONS(2440),
    [anon_sym_override] = ACTIONS(2440),
    [anon_sym_module] = ACTIONS(2440),
    [anon_sym_any] = ACTIONS(2440),
    [anon_sym_number] = ACTIONS(2440),
    [anon_sym_boolean] = ACTIONS(2440),
    [anon_sym_string] = ACTIONS(2440),
    [anon_sym_symbol] = ACTIONS(2440),
    [anon_sym_object] = ACTIONS(2440),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [719] = {
    [ts_builtin_sym_end] = ACTIONS(1719),
    [sym_identifier] = ACTIONS(1721),
    [anon_sym_export] = ACTIONS(1721),
    [anon_sym_default] = ACTIONS(1721),
    [anon_sym_type] = ACTIONS(1721),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1719),
    [anon_sym_COMMA] = ACTIONS(1719),
    [anon_sym_RBRACE] = ACTIONS(1719),
    [anon_sym_typeof] = ACTIONS(1721),
    [anon_sym_import] = ACTIONS(1721),
    [anon_sym_with] = ACTIONS(1721),
    [anon_sym_var] = ACTIONS(1721),
    [anon_sym_let] = ACTIONS(1721),
    [anon_sym_const] = ACTIONS(1721),
    [anon_sym_BANG] = ACTIONS(1719),
    [anon_sym_else] = ACTIONS(1721),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_for] = ACTIONS(1721),
    [anon_sym_LPAREN] = ACTIONS(1719),
    [anon_sym_await] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1721),
    [anon_sym_do] = ACTIONS(1721),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_break] = ACTIONS(1721),
    [anon_sym_continue] = ACTIONS(1721),
    [anon_sym_debugger] = ACTIONS(1721),
    [anon_sym_return] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1721),
    [anon_sym_SEMI] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1721),
    [anon_sym_catch] = ACTIONS(1721),
    [anon_sym_finally] = ACTIONS(1721),
    [anon_sym_yield] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1719),
    [sym_glimmer_opening_tag] = ACTIONS(1719),
    [anon_sym_DQUOTE] = ACTIONS(1719),
    [anon_sym_SQUOTE] = ACTIONS(1719),
    [anon_sym_class] = ACTIONS(1721),
    [anon_sym_async] = ACTIONS(1721),
    [anon_sym_function] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1721),
    [anon_sym_using] = ACTIONS(1721),
    [anon_sym_PLUS] = ACTIONS(1721),
    [anon_sym_DASH] = ACTIONS(1721),
    [anon_sym_SLASH] = ACTIONS(1721),
    [anon_sym_LT] = ACTIONS(1721),
    [anon_sym_TILDE] = ACTIONS(1719),
    [anon_sym_void] = ACTIONS(1721),
    [anon_sym_delete] = ACTIONS(1721),
    [anon_sym_PLUS_PLUS] = ACTIONS(1719),
    [anon_sym_DASH_DASH] = ACTIONS(1719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1719),
    [sym_number] = ACTIONS(1719),
    [sym_private_property_identifier] = ACTIONS(1719),
    [sym_this] = ACTIONS(1721),
    [sym_super] = ACTIONS(1721),
    [sym_true] = ACTIONS(1721),
    [sym_false] = ACTIONS(1721),
    [sym_null] = ACTIONS(1721),
    [sym_undefined] = ACTIONS(1721),
    [anon_sym_AT] = ACTIONS(1719),
    [anon_sym_static] = ACTIONS(1721),
    [anon_sym_readonly] = ACTIONS(1721),
    [anon_sym_get] = ACTIONS(1721),
    [anon_sym_set] = ACTIONS(1721),
    [anon_sym_declare] = ACTIONS(1721),
    [anon_sym_public] = ACTIONS(1721),
    [anon_sym_private] = ACTIONS(1721),
    [anon_sym_protected] = ACTIONS(1721),
    [anon_sym_override] = ACTIONS(1721),
    [anon_sym_module] = ACTIONS(1721),
    [anon_sym_any] = ACTIONS(1721),
    [anon_sym_number] = ACTIONS(1721),
    [anon_sym_boolean] = ACTIONS(1721),
    [anon_sym_string] = ACTIONS(1721),
    [anon_sym_symbol] = ACTIONS(1721),
    [anon_sym_object] = ACTIONS(1721),
    [anon_sym_abstract] = ACTIONS(1721),
    [anon_sym_interface] = ACTIONS(1721),
    [anon_sym_enum] = ACTIONS(1721),
    [sym__automatic_semicolon] = ACTIONS(1729),
    [sym_html_comment] = ACTIONS(5),
  },
  [720] = {
    [sym__call_signature] = STATE(6110),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_export] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(899),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(224),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2446),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(908),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2446),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_readonly] = ACTIONS(2446),
    [anon_sym_get] = ACTIONS(2446),
    [anon_sym_set] = ACTIONS(2446),
    [anon_sym_declare] = ACTIONS(2446),
    [anon_sym_public] = ACTIONS(2446),
    [anon_sym_private] = ACTIONS(2446),
    [anon_sym_protected] = ACTIONS(2446),
    [anon_sym_override] = ACTIONS(2446),
    [anon_sym_module] = ACTIONS(2446),
    [anon_sym_any] = ACTIONS(2446),
    [anon_sym_number] = ACTIONS(2446),
    [anon_sym_boolean] = ACTIONS(2446),
    [anon_sym_string] = ACTIONS(2446),
    [anon_sym_symbol] = ACTIONS(2446),
    [anon_sym_object] = ACTIONS(2446),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [721] = {
    [sym__call_signature] = STATE(6192),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2430),
    [anon_sym_export] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2432),
    [anon_sym_EQ] = ACTIONS(912),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2432),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_RBRACE] = ACTIONS(224),
    [anon_sym_let] = ACTIONS(2432),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(224),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2432),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2432),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_readonly] = ACTIONS(2432),
    [anon_sym_get] = ACTIONS(2432),
    [anon_sym_set] = ACTIONS(2432),
    [anon_sym_declare] = ACTIONS(2432),
    [anon_sym_public] = ACTIONS(2432),
    [anon_sym_private] = ACTIONS(2432),
    [anon_sym_protected] = ACTIONS(2432),
    [anon_sym_override] = ACTIONS(2432),
    [anon_sym_module] = ACTIONS(2432),
    [anon_sym_any] = ACTIONS(2432),
    [anon_sym_number] = ACTIONS(2432),
    [anon_sym_boolean] = ACTIONS(2432),
    [anon_sym_string] = ACTIONS(2432),
    [anon_sym_symbol] = ACTIONS(2432),
    [anon_sym_object] = ACTIONS(2432),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [722] = {
    [sym__call_signature] = STATE(6216),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_export] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2450),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(941),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_readonly] = ACTIONS(2450),
    [anon_sym_get] = ACTIONS(2450),
    [anon_sym_set] = ACTIONS(2450),
    [anon_sym_declare] = ACTIONS(2450),
    [anon_sym_public] = ACTIONS(2450),
    [anon_sym_private] = ACTIONS(2450),
    [anon_sym_protected] = ACTIONS(2450),
    [anon_sym_override] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_any] = ACTIONS(2450),
    [anon_sym_number] = ACTIONS(2450),
    [anon_sym_boolean] = ACTIONS(2450),
    [anon_sym_string] = ACTIONS(2450),
    [anon_sym_symbol] = ACTIONS(2450),
    [anon_sym_object] = ACTIONS(2450),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [723] = {
    [sym_catch_clause] = STATE(752),
    [sym_finally_clause] = STATE(795),
    [ts_builtin_sym_end] = ACTIONS(2452),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_export] = ACTIONS(2454),
    [anon_sym_default] = ACTIONS(2454),
    [anon_sym_type] = ACTIONS(2454),
    [anon_sym_namespace] = ACTIONS(2454),
    [anon_sym_LBRACE] = ACTIONS(2452),
    [anon_sym_RBRACE] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2454),
    [anon_sym_import] = ACTIONS(2454),
    [anon_sym_with] = ACTIONS(2454),
    [anon_sym_var] = ACTIONS(2454),
    [anon_sym_let] = ACTIONS(2454),
    [anon_sym_const] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2454),
    [anon_sym_if] = ACTIONS(2454),
    [anon_sym_switch] = ACTIONS(2454),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [anon_sym_await] = ACTIONS(2454),
    [anon_sym_while] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2454),
    [anon_sym_try] = ACTIONS(2454),
    [anon_sym_break] = ACTIONS(2454),
    [anon_sym_continue] = ACTIONS(2454),
    [anon_sym_debugger] = ACTIONS(2454),
    [anon_sym_return] = ACTIONS(2454),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2454),
    [anon_sym_catch] = ACTIONS(2456),
    [anon_sym_finally] = ACTIONS(2458),
    [anon_sym_yield] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2452),
    [sym_glimmer_opening_tag] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2452),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_class] = ACTIONS(2454),
    [anon_sym_async] = ACTIONS(2454),
    [anon_sym_function] = ACTIONS(2454),
    [anon_sym_new] = ACTIONS(2454),
    [anon_sym_using] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_void] = ACTIONS(2454),
    [anon_sym_delete] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2452),
    [sym_number] = ACTIONS(2452),
    [sym_private_property_identifier] = ACTIONS(2452),
    [sym_this] = ACTIONS(2454),
    [sym_super] = ACTIONS(2454),
    [sym_true] = ACTIONS(2454),
    [sym_false] = ACTIONS(2454),
    [sym_null] = ACTIONS(2454),
    [sym_undefined] = ACTIONS(2454),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2454),
    [anon_sym_readonly] = ACTIONS(2454),
    [anon_sym_get] = ACTIONS(2454),
    [anon_sym_set] = ACTIONS(2454),
    [anon_sym_declare] = ACTIONS(2454),
    [anon_sym_public] = ACTIONS(2454),
    [anon_sym_private] = ACTIONS(2454),
    [anon_sym_protected] = ACTIONS(2454),
    [anon_sym_override] = ACTIONS(2454),
    [anon_sym_module] = ACTIONS(2454),
    [anon_sym_any] = ACTIONS(2454),
    [anon_sym_number] = ACTIONS(2454),
    [anon_sym_boolean] = ACTIONS(2454),
    [anon_sym_string] = ACTIONS(2454),
    [anon_sym_symbol] = ACTIONS(2454),
    [anon_sym_object] = ACTIONS(2454),
    [anon_sym_abstract] = ACTIONS(2454),
    [anon_sym_interface] = ACTIONS(2454),
    [anon_sym_enum] = ACTIONS(2454),
    [sym_html_comment] = ACTIONS(5),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [sym_identifier] = ACTIONS(1831),
    [anon_sym_export] = ACTIONS(1831),
    [anon_sym_default] = ACTIONS(1831),
    [anon_sym_type] = ACTIONS(1831),
    [anon_sym_namespace] = ACTIONS(1831),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym_COMMA] = ACTIONS(1829),
    [anon_sym_RBRACE] = ACTIONS(1829),
    [anon_sym_typeof] = ACTIONS(1831),
    [anon_sym_import] = ACTIONS(1831),
    [anon_sym_with] = ACTIONS(1831),
    [anon_sym_var] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1831),
    [anon_sym_const] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_if] = ACTIONS(1831),
    [anon_sym_switch] = ACTIONS(1831),
    [anon_sym_for] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_while] = ACTIONS(1831),
    [anon_sym_do] = ACTIONS(1831),
    [anon_sym_try] = ACTIONS(1831),
    [anon_sym_break] = ACTIONS(1831),
    [anon_sym_continue] = ACTIONS(1831),
    [anon_sym_debugger] = ACTIONS(1831),
    [anon_sym_return] = ACTIONS(1831),
    [anon_sym_throw] = ACTIONS(1831),
    [anon_sym_SEMI] = ACTIONS(1829),
    [anon_sym_case] = ACTIONS(1831),
    [anon_sym_catch] = ACTIONS(1831),
    [anon_sym_finally] = ACTIONS(1831),
    [anon_sym_yield] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [sym_glimmer_opening_tag] = ACTIONS(1829),
    [anon_sym_DQUOTE] = ACTIONS(1829),
    [anon_sym_SQUOTE] = ACTIONS(1829),
    [anon_sym_class] = ACTIONS(1831),
    [anon_sym_async] = ACTIONS(1831),
    [anon_sym_function] = ACTIONS(1831),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_using] = ACTIONS(1831),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_TILDE] = ACTIONS(1829),
    [anon_sym_void] = ACTIONS(1831),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1829),
    [sym_number] = ACTIONS(1829),
    [sym_private_property_identifier] = ACTIONS(1829),
    [sym_this] = ACTIONS(1831),
    [sym_super] = ACTIONS(1831),
    [sym_true] = ACTIONS(1831),
    [sym_false] = ACTIONS(1831),
    [sym_null] = ACTIONS(1831),
    [sym_undefined] = ACTIONS(1831),
    [anon_sym_AT] = ACTIONS(1829),
    [anon_sym_static] = ACTIONS(1831),
    [anon_sym_readonly] = ACTIONS(1831),
    [anon_sym_get] = ACTIONS(1831),
    [anon_sym_set] = ACTIONS(1831),
    [anon_sym_declare] = ACTIONS(1831),
    [anon_sym_public] = ACTIONS(1831),
    [anon_sym_private] = ACTIONS(1831),
    [anon_sym_protected] = ACTIONS(1831),
    [anon_sym_override] = ACTIONS(1831),
    [anon_sym_module] = ACTIONS(1831),
    [anon_sym_any] = ACTIONS(1831),
    [anon_sym_number] = ACTIONS(1831),
    [anon_sym_boolean] = ACTIONS(1831),
    [anon_sym_string] = ACTIONS(1831),
    [anon_sym_symbol] = ACTIONS(1831),
    [anon_sym_object] = ACTIONS(1831),
    [anon_sym_abstract] = ACTIONS(1831),
    [anon_sym_interface] = ACTIONS(1831),
    [anon_sym_enum] = ACTIONS(1831),
    [sym__automatic_semicolon] = ACTIONS(2460),
    [sym_html_comment] = ACTIONS(5),
  },
  [725] = {
    [sym__call_signature] = STATE(6216),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_export] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(935),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2450),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(941),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_readonly] = ACTIONS(2450),
    [anon_sym_get] = ACTIONS(2450),
    [anon_sym_set] = ACTIONS(2450),
    [anon_sym_declare] = ACTIONS(2450),
    [anon_sym_public] = ACTIONS(2450),
    [anon_sym_private] = ACTIONS(2450),
    [anon_sym_protected] = ACTIONS(2450),
    [anon_sym_override] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_any] = ACTIONS(2450),
    [anon_sym_number] = ACTIONS(2450),
    [anon_sym_boolean] = ACTIONS(2450),
    [anon_sym_string] = ACTIONS(2450),
    [anon_sym_symbol] = ACTIONS(2450),
    [anon_sym_object] = ACTIONS(2450),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [726] = {
    [sym__call_signature] = STATE(6110),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_export] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(915),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2446),
    [anon_sym_let] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2446),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(908),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2446),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_readonly] = ACTIONS(2446),
    [anon_sym_get] = ACTIONS(2446),
    [anon_sym_set] = ACTIONS(2446),
    [anon_sym_declare] = ACTIONS(2446),
    [anon_sym_public] = ACTIONS(2446),
    [anon_sym_private] = ACTIONS(2446),
    [anon_sym_protected] = ACTIONS(2446),
    [anon_sym_override] = ACTIONS(2446),
    [anon_sym_module] = ACTIONS(2446),
    [anon_sym_any] = ACTIONS(2446),
    [anon_sym_number] = ACTIONS(2446),
    [anon_sym_boolean] = ACTIONS(2446),
    [anon_sym_string] = ACTIONS(2446),
    [anon_sym_symbol] = ACTIONS(2446),
    [anon_sym_object] = ACTIONS(2446),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(1751),
    [sym_identifier] = ACTIONS(1753),
    [anon_sym_export] = ACTIONS(1753),
    [anon_sym_default] = ACTIONS(1753),
    [anon_sym_type] = ACTIONS(1753),
    [anon_sym_namespace] = ACTIONS(1753),
    [anon_sym_LBRACE] = ACTIONS(1751),
    [anon_sym_COMMA] = ACTIONS(1751),
    [anon_sym_RBRACE] = ACTIONS(1751),
    [anon_sym_typeof] = ACTIONS(1753),
    [anon_sym_import] = ACTIONS(1753),
    [anon_sym_with] = ACTIONS(1753),
    [anon_sym_var] = ACTIONS(1753),
    [anon_sym_let] = ACTIONS(1753),
    [anon_sym_const] = ACTIONS(1753),
    [anon_sym_BANG] = ACTIONS(1751),
    [anon_sym_else] = ACTIONS(1753),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_switch] = ACTIONS(1753),
    [anon_sym_for] = ACTIONS(1753),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_await] = ACTIONS(1753),
    [anon_sym_while] = ACTIONS(1753),
    [anon_sym_do] = ACTIONS(1753),
    [anon_sym_try] = ACTIONS(1753),
    [anon_sym_break] = ACTIONS(1753),
    [anon_sym_continue] = ACTIONS(1753),
    [anon_sym_debugger] = ACTIONS(1753),
    [anon_sym_return] = ACTIONS(1753),
    [anon_sym_throw] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [anon_sym_case] = ACTIONS(1753),
    [anon_sym_yield] = ACTIONS(1753),
    [anon_sym_LBRACK] = ACTIONS(1751),
    [sym_glimmer_opening_tag] = ACTIONS(1751),
    [anon_sym_DQUOTE] = ACTIONS(1751),
    [anon_sym_SQUOTE] = ACTIONS(1751),
    [anon_sym_class] = ACTIONS(1753),
    [anon_sym_async] = ACTIONS(1753),
    [anon_sym_function] = ACTIONS(1753),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_using] = ACTIONS(1753),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_SLASH] = ACTIONS(1753),
    [anon_sym_LT] = ACTIONS(1753),
    [anon_sym_TILDE] = ACTIONS(1751),
    [anon_sym_void] = ACTIONS(1753),
    [anon_sym_delete] = ACTIONS(1753),
    [anon_sym_PLUS_PLUS] = ACTIONS(1751),
    [anon_sym_DASH_DASH] = ACTIONS(1751),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1751),
    [sym_number] = ACTIONS(1751),
    [sym_private_property_identifier] = ACTIONS(1751),
    [sym_this] = ACTIONS(1753),
    [sym_super] = ACTIONS(1753),
    [sym_true] = ACTIONS(1753),
    [sym_false] = ACTIONS(1753),
    [sym_null] = ACTIONS(1753),
    [sym_undefined] = ACTIONS(1753),
    [anon_sym_AT] = ACTIONS(1751),
    [anon_sym_static] = ACTIONS(1753),
    [anon_sym_readonly] = ACTIONS(1753),
    [anon_sym_get] = ACTIONS(1753),
    [anon_sym_set] = ACTIONS(1753),
    [anon_sym_declare] = ACTIONS(1753),
    [anon_sym_public] = ACTIONS(1753),
    [anon_sym_private] = ACTIONS(1753),
    [anon_sym_protected] = ACTIONS(1753),
    [anon_sym_override] = ACTIONS(1753),
    [anon_sym_module] = ACTIONS(1753),
    [anon_sym_any] = ACTIONS(1753),
    [anon_sym_number] = ACTIONS(1753),
    [anon_sym_boolean] = ACTIONS(1753),
    [anon_sym_string] = ACTIONS(1753),
    [anon_sym_symbol] = ACTIONS(1753),
    [anon_sym_object] = ACTIONS(1753),
    [anon_sym_abstract] = ACTIONS(1753),
    [anon_sym_interface] = ACTIONS(1753),
    [anon_sym_enum] = ACTIONS(1753),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(1751),
    [sym_html_comment] = ACTIONS(5),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(1759),
    [sym_identifier] = ACTIONS(1761),
    [anon_sym_export] = ACTIONS(1761),
    [anon_sym_default] = ACTIONS(1761),
    [anon_sym_type] = ACTIONS(1761),
    [anon_sym_namespace] = ACTIONS(1761),
    [anon_sym_LBRACE] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(1759),
    [anon_sym_typeof] = ACTIONS(1761),
    [anon_sym_import] = ACTIONS(1761),
    [anon_sym_with] = ACTIONS(1761),
    [anon_sym_var] = ACTIONS(1761),
    [anon_sym_let] = ACTIONS(1761),
    [anon_sym_const] = ACTIONS(1761),
    [anon_sym_BANG] = ACTIONS(1759),
    [anon_sym_else] = ACTIONS(1761),
    [anon_sym_if] = ACTIONS(1761),
    [anon_sym_switch] = ACTIONS(1761),
    [anon_sym_for] = ACTIONS(1761),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [anon_sym_await] = ACTIONS(1761),
    [anon_sym_while] = ACTIONS(1761),
    [anon_sym_do] = ACTIONS(1761),
    [anon_sym_try] = ACTIONS(1761),
    [anon_sym_break] = ACTIONS(1761),
    [anon_sym_continue] = ACTIONS(1761),
    [anon_sym_debugger] = ACTIONS(1761),
    [anon_sym_return] = ACTIONS(1761),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_SEMI] = ACTIONS(1759),
    [anon_sym_case] = ACTIONS(1761),
    [anon_sym_yield] = ACTIONS(1761),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [sym_glimmer_opening_tag] = ACTIONS(1759),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [anon_sym_SQUOTE] = ACTIONS(1759),
    [anon_sym_class] = ACTIONS(1761),
    [anon_sym_async] = ACTIONS(1761),
    [anon_sym_function] = ACTIONS(1761),
    [anon_sym_new] = ACTIONS(1761),
    [anon_sym_using] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_TILDE] = ACTIONS(1759),
    [anon_sym_void] = ACTIONS(1761),
    [anon_sym_delete] = ACTIONS(1761),
    [anon_sym_PLUS_PLUS] = ACTIONS(1759),
    [anon_sym_DASH_DASH] = ACTIONS(1759),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1759),
    [sym_number] = ACTIONS(1759),
    [sym_private_property_identifier] = ACTIONS(1759),
    [sym_this] = ACTIONS(1761),
    [sym_super] = ACTIONS(1761),
    [sym_true] = ACTIONS(1761),
    [sym_false] = ACTIONS(1761),
    [sym_null] = ACTIONS(1761),
    [sym_undefined] = ACTIONS(1761),
    [anon_sym_AT] = ACTIONS(1759),
    [anon_sym_static] = ACTIONS(1761),
    [anon_sym_readonly] = ACTIONS(1761),
    [anon_sym_get] = ACTIONS(1761),
    [anon_sym_set] = ACTIONS(1761),
    [anon_sym_declare] = ACTIONS(1761),
    [anon_sym_public] = ACTIONS(1761),
    [anon_sym_private] = ACTIONS(1761),
    [anon_sym_protected] = ACTIONS(1761),
    [anon_sym_override] = ACTIONS(1761),
    [anon_sym_module] = ACTIONS(1761),
    [anon_sym_any] = ACTIONS(1761),
    [anon_sym_number] = ACTIONS(1761),
    [anon_sym_boolean] = ACTIONS(1761),
    [anon_sym_string] = ACTIONS(1761),
    [anon_sym_symbol] = ACTIONS(1761),
    [anon_sym_object] = ACTIONS(1761),
    [anon_sym_abstract] = ACTIONS(1761),
    [anon_sym_interface] = ACTIONS(1761),
    [anon_sym_enum] = ACTIONS(1761),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1759),
    [sym__automatic_semicolon] = ACTIONS(1759),
    [sym_html_comment] = ACTIONS(5),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [sym_identifier] = ACTIONS(1831),
    [anon_sym_export] = ACTIONS(1831),
    [anon_sym_default] = ACTIONS(1831),
    [anon_sym_type] = ACTIONS(1831),
    [anon_sym_namespace] = ACTIONS(1831),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym_COMMA] = ACTIONS(1829),
    [anon_sym_RBRACE] = ACTIONS(1829),
    [anon_sym_typeof] = ACTIONS(1831),
    [anon_sym_import] = ACTIONS(1831),
    [anon_sym_with] = ACTIONS(1831),
    [anon_sym_var] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1831),
    [anon_sym_const] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_if] = ACTIONS(1831),
    [anon_sym_switch] = ACTIONS(1831),
    [anon_sym_for] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_while] = ACTIONS(1831),
    [anon_sym_do] = ACTIONS(1831),
    [anon_sym_try] = ACTIONS(1831),
    [anon_sym_break] = ACTIONS(1831),
    [anon_sym_continue] = ACTIONS(1831),
    [anon_sym_debugger] = ACTIONS(1831),
    [anon_sym_return] = ACTIONS(1831),
    [anon_sym_throw] = ACTIONS(1831),
    [anon_sym_SEMI] = ACTIONS(1829),
    [anon_sym_case] = ACTIONS(1831),
    [anon_sym_yield] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [sym_glimmer_opening_tag] = ACTIONS(1829),
    [anon_sym_DQUOTE] = ACTIONS(1829),
    [anon_sym_SQUOTE] = ACTIONS(1829),
    [anon_sym_class] = ACTIONS(1831),
    [anon_sym_async] = ACTIONS(1831),
    [anon_sym_function] = ACTIONS(1831),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_using] = ACTIONS(1831),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_TILDE] = ACTIONS(1829),
    [anon_sym_void] = ACTIONS(1831),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1829),
    [sym_number] = ACTIONS(1829),
    [sym_private_property_identifier] = ACTIONS(1829),
    [sym_this] = ACTIONS(1831),
    [sym_super] = ACTIONS(1831),
    [sym_true] = ACTIONS(1831),
    [sym_false] = ACTIONS(1831),
    [sym_null] = ACTIONS(1831),
    [sym_undefined] = ACTIONS(1831),
    [anon_sym_AT] = ACTIONS(1829),
    [anon_sym_static] = ACTIONS(1831),
    [anon_sym_readonly] = ACTIONS(1831),
    [anon_sym_get] = ACTIONS(1831),
    [anon_sym_set] = ACTIONS(1831),
    [anon_sym_declare] = ACTIONS(1831),
    [anon_sym_public] = ACTIONS(1831),
    [anon_sym_private] = ACTIONS(1831),
    [anon_sym_protected] = ACTIONS(1831),
    [anon_sym_override] = ACTIONS(1831),
    [anon_sym_module] = ACTIONS(1831),
    [anon_sym_any] = ACTIONS(1831),
    [anon_sym_number] = ACTIONS(1831),
    [anon_sym_boolean] = ACTIONS(1831),
    [anon_sym_string] = ACTIONS(1831),
    [anon_sym_symbol] = ACTIONS(1831),
    [anon_sym_object] = ACTIONS(1831),
    [anon_sym_abstract] = ACTIONS(1831),
    [anon_sym_interface] = ACTIONS(1831),
    [anon_sym_enum] = ACTIONS(1831),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1829),
    [sym__automatic_semicolon] = ACTIONS(1829),
    [sym_html_comment] = ACTIONS(5),
  },
  [730] = {
    [sym__call_signature] = STATE(6230),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2462),
    [anon_sym_export] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2464),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_EQ_GT] = ACTIONS(927),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_readonly] = ACTIONS(2464),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_declare] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_module] = ACTIONS(2464),
    [anon_sym_any] = ACTIONS(2464),
    [anon_sym_number] = ACTIONS(2464),
    [anon_sym_boolean] = ACTIONS(2464),
    [anon_sym_string] = ACTIONS(2464),
    [anon_sym_symbol] = ACTIONS(2464),
    [anon_sym_object] = ACTIONS(2464),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [731] = {
    [sym__call_signature] = STATE(6230),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2462),
    [anon_sym_export] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(921),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2464),
    [anon_sym_function] = ACTIONS(2428),
    [anon_sym_EQ_GT] = ACTIONS(927),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_readonly] = ACTIONS(2464),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_declare] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_module] = ACTIONS(2464),
    [anon_sym_any] = ACTIONS(2464),
    [anon_sym_number] = ACTIONS(2464),
    [anon_sym_boolean] = ACTIONS(2464),
    [anon_sym_string] = ACTIONS(2464),
    [anon_sym_symbol] = ACTIONS(2464),
    [anon_sym_object] = ACTIONS(2464),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(1759),
    [sym_identifier] = ACTIONS(1761),
    [anon_sym_export] = ACTIONS(1761),
    [anon_sym_default] = ACTIONS(1761),
    [anon_sym_type] = ACTIONS(1761),
    [anon_sym_namespace] = ACTIONS(1761),
    [anon_sym_LBRACE] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(1759),
    [anon_sym_typeof] = ACTIONS(1761),
    [anon_sym_import] = ACTIONS(1761),
    [anon_sym_with] = ACTIONS(1761),
    [anon_sym_var] = ACTIONS(1761),
    [anon_sym_let] = ACTIONS(1761),
    [anon_sym_const] = ACTIONS(1761),
    [anon_sym_BANG] = ACTIONS(1759),
    [anon_sym_else] = ACTIONS(1761),
    [anon_sym_if] = ACTIONS(1761),
    [anon_sym_switch] = ACTIONS(1761),
    [anon_sym_for] = ACTIONS(1761),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [anon_sym_await] = ACTIONS(1761),
    [anon_sym_while] = ACTIONS(1761),
    [anon_sym_do] = ACTIONS(1761),
    [anon_sym_try] = ACTIONS(1761),
    [anon_sym_break] = ACTIONS(1761),
    [anon_sym_continue] = ACTIONS(1761),
    [anon_sym_debugger] = ACTIONS(1761),
    [anon_sym_return] = ACTIONS(1761),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_SEMI] = ACTIONS(1759),
    [anon_sym_case] = ACTIONS(1761),
    [anon_sym_catch] = ACTIONS(1761),
    [anon_sym_finally] = ACTIONS(1761),
    [anon_sym_yield] = ACTIONS(1761),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [sym_glimmer_opening_tag] = ACTIONS(1759),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [anon_sym_SQUOTE] = ACTIONS(1759),
    [anon_sym_class] = ACTIONS(1761),
    [anon_sym_async] = ACTIONS(1761),
    [anon_sym_function] = ACTIONS(1761),
    [anon_sym_new] = ACTIONS(1761),
    [anon_sym_using] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_TILDE] = ACTIONS(1759),
    [anon_sym_void] = ACTIONS(1761),
    [anon_sym_delete] = ACTIONS(1761),
    [anon_sym_PLUS_PLUS] = ACTIONS(1759),
    [anon_sym_DASH_DASH] = ACTIONS(1759),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1759),
    [sym_number] = ACTIONS(1759),
    [sym_private_property_identifier] = ACTIONS(1759),
    [sym_this] = ACTIONS(1761),
    [sym_super] = ACTIONS(1761),
    [sym_true] = ACTIONS(1761),
    [sym_false] = ACTIONS(1761),
    [sym_null] = ACTIONS(1761),
    [sym_undefined] = ACTIONS(1761),
    [anon_sym_AT] = ACTIONS(1759),
    [anon_sym_static] = ACTIONS(1761),
    [anon_sym_readonly] = ACTIONS(1761),
    [anon_sym_get] = ACTIONS(1761),
    [anon_sym_set] = ACTIONS(1761),
    [anon_sym_declare] = ACTIONS(1761),
    [anon_sym_public] = ACTIONS(1761),
    [anon_sym_private] = ACTIONS(1761),
    [anon_sym_protected] = ACTIONS(1761),
    [anon_sym_override] = ACTIONS(1761),
    [anon_sym_module] = ACTIONS(1761),
    [anon_sym_any] = ACTIONS(1761),
    [anon_sym_number] = ACTIONS(1761),
    [anon_sym_boolean] = ACTIONS(1761),
    [anon_sym_string] = ACTIONS(1761),
    [anon_sym_symbol] = ACTIONS(1761),
    [anon_sym_object] = ACTIONS(1761),
    [anon_sym_abstract] = ACTIONS(1761),
    [anon_sym_interface] = ACTIONS(1761),
    [anon_sym_enum] = ACTIONS(1761),
    [sym_html_comment] = ACTIONS(5),
  },
  [733] = {
    [sym__call_signature] = STATE(6110),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_export] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(899),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(224),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2446),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(908),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2446),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_readonly] = ACTIONS(2446),
    [anon_sym_get] = ACTIONS(2446),
    [anon_sym_set] = ACTIONS(2446),
    [anon_sym_declare] = ACTIONS(2446),
    [anon_sym_public] = ACTIONS(2446),
    [anon_sym_private] = ACTIONS(2446),
    [anon_sym_protected] = ACTIONS(2446),
    [anon_sym_override] = ACTIONS(2446),
    [anon_sym_module] = ACTIONS(2446),
    [anon_sym_any] = ACTIONS(2446),
    [anon_sym_number] = ACTIONS(2446),
    [anon_sym_boolean] = ACTIONS(2446),
    [anon_sym_string] = ACTIONS(2446),
    [anon_sym_symbol] = ACTIONS(2446),
    [anon_sym_object] = ACTIONS(2446),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(1763),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_export] = ACTIONS(1765),
    [anon_sym_default] = ACTIONS(1765),
    [anon_sym_type] = ACTIONS(1765),
    [anon_sym_namespace] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(1763),
    [anon_sym_COMMA] = ACTIONS(1763),
    [anon_sym_RBRACE] = ACTIONS(1763),
    [anon_sym_typeof] = ACTIONS(1765),
    [anon_sym_import] = ACTIONS(1765),
    [anon_sym_with] = ACTIONS(1765),
    [anon_sym_var] = ACTIONS(1765),
    [anon_sym_let] = ACTIONS(1765),
    [anon_sym_const] = ACTIONS(1765),
    [anon_sym_BANG] = ACTIONS(1763),
    [anon_sym_else] = ACTIONS(1765),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_switch] = ACTIONS(1765),
    [anon_sym_for] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [anon_sym_await] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1765),
    [anon_sym_do] = ACTIONS(1765),
    [anon_sym_try] = ACTIONS(1765),
    [anon_sym_break] = ACTIONS(1765),
    [anon_sym_continue] = ACTIONS(1765),
    [anon_sym_debugger] = ACTIONS(1765),
    [anon_sym_return] = ACTIONS(1765),
    [anon_sym_throw] = ACTIONS(1765),
    [anon_sym_SEMI] = ACTIONS(1763),
    [anon_sym_case] = ACTIONS(1765),
    [anon_sym_yield] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [sym_glimmer_opening_tag] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1763),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_class] = ACTIONS(1765),
    [anon_sym_async] = ACTIONS(1765),
    [anon_sym_function] = ACTIONS(1765),
    [anon_sym_new] = ACTIONS(1765),
    [anon_sym_using] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1763),
    [anon_sym_void] = ACTIONS(1765),
    [anon_sym_delete] = ACTIONS(1765),
    [anon_sym_PLUS_PLUS] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1763),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1763),
    [sym_number] = ACTIONS(1763),
    [sym_private_property_identifier] = ACTIONS(1763),
    [sym_this] = ACTIONS(1765),
    [sym_super] = ACTIONS(1765),
    [sym_true] = ACTIONS(1765),
    [sym_false] = ACTIONS(1765),
    [sym_null] = ACTIONS(1765),
    [sym_undefined] = ACTIONS(1765),
    [anon_sym_AT] = ACTIONS(1763),
    [anon_sym_static] = ACTIONS(1765),
    [anon_sym_readonly] = ACTIONS(1765),
    [anon_sym_get] = ACTIONS(1765),
    [anon_sym_set] = ACTIONS(1765),
    [anon_sym_declare] = ACTIONS(1765),
    [anon_sym_public] = ACTIONS(1765),
    [anon_sym_private] = ACTIONS(1765),
    [anon_sym_protected] = ACTIONS(1765),
    [anon_sym_override] = ACTIONS(1765),
    [anon_sym_module] = ACTIONS(1765),
    [anon_sym_any] = ACTIONS(1765),
    [anon_sym_number] = ACTIONS(1765),
    [anon_sym_boolean] = ACTIONS(1765),
    [anon_sym_string] = ACTIONS(1765),
    [anon_sym_symbol] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(1765),
    [anon_sym_abstract] = ACTIONS(1765),
    [anon_sym_interface] = ACTIONS(1765),
    [anon_sym_enum] = ACTIONS(1765),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1763),
    [sym__automatic_semicolon] = ACTIONS(1763),
    [sym_html_comment] = ACTIONS(5),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [sym_identifier] = ACTIONS(1831),
    [anon_sym_export] = ACTIONS(1831),
    [anon_sym_default] = ACTIONS(1831),
    [anon_sym_type] = ACTIONS(1831),
    [anon_sym_namespace] = ACTIONS(1831),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym_COMMA] = ACTIONS(1829),
    [anon_sym_RBRACE] = ACTIONS(1829),
    [anon_sym_typeof] = ACTIONS(1831),
    [anon_sym_import] = ACTIONS(1831),
    [anon_sym_with] = ACTIONS(1831),
    [anon_sym_var] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1831),
    [anon_sym_const] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_if] = ACTIONS(1831),
    [anon_sym_switch] = ACTIONS(1831),
    [anon_sym_for] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_while] = ACTIONS(1831),
    [anon_sym_do] = ACTIONS(1831),
    [anon_sym_try] = ACTIONS(1831),
    [anon_sym_break] = ACTIONS(1831),
    [anon_sym_continue] = ACTIONS(1831),
    [anon_sym_debugger] = ACTIONS(1831),
    [anon_sym_return] = ACTIONS(1831),
    [anon_sym_throw] = ACTIONS(1831),
    [anon_sym_SEMI] = ACTIONS(1829),
    [anon_sym_case] = ACTIONS(1831),
    [anon_sym_catch] = ACTIONS(1831),
    [anon_sym_finally] = ACTIONS(1831),
    [anon_sym_yield] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [sym_glimmer_opening_tag] = ACTIONS(1829),
    [anon_sym_DQUOTE] = ACTIONS(1829),
    [anon_sym_SQUOTE] = ACTIONS(1829),
    [anon_sym_class] = ACTIONS(1831),
    [anon_sym_async] = ACTIONS(1831),
    [anon_sym_function] = ACTIONS(1831),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_using] = ACTIONS(1831),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_TILDE] = ACTIONS(1829),
    [anon_sym_void] = ACTIONS(1831),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1829),
    [sym_number] = ACTIONS(1829),
    [sym_private_property_identifier] = ACTIONS(1829),
    [sym_this] = ACTIONS(1831),
    [sym_super] = ACTIONS(1831),
    [sym_true] = ACTIONS(1831),
    [sym_false] = ACTIONS(1831),
    [sym_null] = ACTIONS(1831),
    [sym_undefined] = ACTIONS(1831),
    [anon_sym_AT] = ACTIONS(1829),
    [anon_sym_static] = ACTIONS(1831),
    [anon_sym_readonly] = ACTIONS(1831),
    [anon_sym_get] = ACTIONS(1831),
    [anon_sym_set] = ACTIONS(1831),
    [anon_sym_declare] = ACTIONS(1831),
    [anon_sym_public] = ACTIONS(1831),
    [anon_sym_private] = ACTIONS(1831),
    [anon_sym_protected] = ACTIONS(1831),
    [anon_sym_override] = ACTIONS(1831),
    [anon_sym_module] = ACTIONS(1831),
    [anon_sym_any] = ACTIONS(1831),
    [anon_sym_number] = ACTIONS(1831),
    [anon_sym_boolean] = ACTIONS(1831),
    [anon_sym_string] = ACTIONS(1831),
    [anon_sym_symbol] = ACTIONS(1831),
    [anon_sym_object] = ACTIONS(1831),
    [anon_sym_abstract] = ACTIONS(1831),
    [anon_sym_interface] = ACTIONS(1831),
    [anon_sym_enum] = ACTIONS(1831),
    [sym_html_comment] = ACTIONS(5),
  },
  [736] = {
    [sym__call_signature] = STATE(6230),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2462),
    [anon_sym_export] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(921),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2464),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_EQ_GT] = ACTIONS(927),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_readonly] = ACTIONS(2464),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_declare] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_module] = ACTIONS(2464),
    [anon_sym_any] = ACTIONS(2464),
    [anon_sym_number] = ACTIONS(2464),
    [anon_sym_boolean] = ACTIONS(2464),
    [anon_sym_string] = ACTIONS(2464),
    [anon_sym_symbol] = ACTIONS(2464),
    [anon_sym_object] = ACTIONS(2464),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(1719),
    [sym_identifier] = ACTIONS(1721),
    [anon_sym_export] = ACTIONS(1721),
    [anon_sym_default] = ACTIONS(1721),
    [anon_sym_type] = ACTIONS(1721),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1719),
    [anon_sym_COMMA] = ACTIONS(1719),
    [anon_sym_RBRACE] = ACTIONS(1719),
    [anon_sym_typeof] = ACTIONS(1721),
    [anon_sym_import] = ACTIONS(1721),
    [anon_sym_with] = ACTIONS(1721),
    [anon_sym_var] = ACTIONS(1721),
    [anon_sym_let] = ACTIONS(1721),
    [anon_sym_const] = ACTIONS(1721),
    [anon_sym_BANG] = ACTIONS(1719),
    [anon_sym_else] = ACTIONS(1721),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_switch] = ACTIONS(1721),
    [anon_sym_for] = ACTIONS(1721),
    [anon_sym_LPAREN] = ACTIONS(1719),
    [anon_sym_await] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1721),
    [anon_sym_do] = ACTIONS(1721),
    [anon_sym_try] = ACTIONS(1721),
    [anon_sym_break] = ACTIONS(1721),
    [anon_sym_continue] = ACTIONS(1721),
    [anon_sym_debugger] = ACTIONS(1721),
    [anon_sym_return] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1721),
    [anon_sym_SEMI] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1721),
    [anon_sym_yield] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1719),
    [sym_glimmer_opening_tag] = ACTIONS(1719),
    [anon_sym_DQUOTE] = ACTIONS(1719),
    [anon_sym_SQUOTE] = ACTIONS(1719),
    [anon_sym_class] = ACTIONS(1721),
    [anon_sym_async] = ACTIONS(1721),
    [anon_sym_function] = ACTIONS(1721),
    [anon_sym_new] = ACTIONS(1721),
    [anon_sym_using] = ACTIONS(1721),
    [anon_sym_PLUS] = ACTIONS(1721),
    [anon_sym_DASH] = ACTIONS(1721),
    [anon_sym_SLASH] = ACTIONS(1721),
    [anon_sym_LT] = ACTIONS(1721),
    [anon_sym_TILDE] = ACTIONS(1719),
    [anon_sym_void] = ACTIONS(1721),
    [anon_sym_delete] = ACTIONS(1721),
    [anon_sym_PLUS_PLUS] = ACTIONS(1719),
    [anon_sym_DASH_DASH] = ACTIONS(1719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1719),
    [sym_number] = ACTIONS(1719),
    [sym_private_property_identifier] = ACTIONS(1719),
    [sym_this] = ACTIONS(1721),
    [sym_super] = ACTIONS(1721),
    [sym_true] = ACTIONS(1721),
    [sym_false] = ACTIONS(1721),
    [sym_null] = ACTIONS(1721),
    [sym_undefined] = ACTIONS(1721),
    [anon_sym_AT] = ACTIONS(1719),
    [anon_sym_static] = ACTIONS(1721),
    [anon_sym_readonly] = ACTIONS(1721),
    [anon_sym_get] = ACTIONS(1721),
    [anon_sym_set] = ACTIONS(1721),
    [anon_sym_declare] = ACTIONS(1721),
    [anon_sym_public] = ACTIONS(1721),
    [anon_sym_private] = ACTIONS(1721),
    [anon_sym_protected] = ACTIONS(1721),
    [anon_sym_override] = ACTIONS(1721),
    [anon_sym_module] = ACTIONS(1721),
    [anon_sym_any] = ACTIONS(1721),
    [anon_sym_number] = ACTIONS(1721),
    [anon_sym_boolean] = ACTIONS(1721),
    [anon_sym_string] = ACTIONS(1721),
    [anon_sym_symbol] = ACTIONS(1721),
    [anon_sym_object] = ACTIONS(1721),
    [anon_sym_abstract] = ACTIONS(1721),
    [anon_sym_interface] = ACTIONS(1721),
    [anon_sym_enum] = ACTIONS(1721),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1719),
    [sym__automatic_semicolon] = ACTIONS(2466),
    [sym_html_comment] = ACTIONS(5),
  },
  [738] = {
    [sym__call_signature] = STATE(6230),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2462),
    [anon_sym_export] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(921),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2464),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_EQ_GT] = ACTIONS(927),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_readonly] = ACTIONS(2464),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_declare] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_module] = ACTIONS(2464),
    [anon_sym_any] = ACTIONS(2464),
    [anon_sym_number] = ACTIONS(2464),
    [anon_sym_boolean] = ACTIONS(2464),
    [anon_sym_string] = ACTIONS(2464),
    [anon_sym_symbol] = ACTIONS(2464),
    [anon_sym_object] = ACTIONS(2464),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [sym_identifier] = ACTIONS(1831),
    [anon_sym_export] = ACTIONS(1831),
    [anon_sym_default] = ACTIONS(1831),
    [anon_sym_type] = ACTIONS(1831),
    [anon_sym_namespace] = ACTIONS(1831),
    [anon_sym_LBRACE] = ACTIONS(1829),
    [anon_sym_COMMA] = ACTIONS(1829),
    [anon_sym_RBRACE] = ACTIONS(1829),
    [anon_sym_typeof] = ACTIONS(1831),
    [anon_sym_import] = ACTIONS(1831),
    [anon_sym_with] = ACTIONS(1831),
    [anon_sym_var] = ACTIONS(1831),
    [anon_sym_let] = ACTIONS(1831),
    [anon_sym_const] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_if] = ACTIONS(1831),
    [anon_sym_switch] = ACTIONS(1831),
    [anon_sym_for] = ACTIONS(1831),
    [anon_sym_LPAREN] = ACTIONS(1829),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_while] = ACTIONS(1831),
    [anon_sym_do] = ACTIONS(1831),
    [anon_sym_try] = ACTIONS(1831),
    [anon_sym_break] = ACTIONS(1831),
    [anon_sym_continue] = ACTIONS(1831),
    [anon_sym_debugger] = ACTIONS(1831),
    [anon_sym_return] = ACTIONS(1831),
    [anon_sym_throw] = ACTIONS(1831),
    [anon_sym_SEMI] = ACTIONS(1829),
    [anon_sym_case] = ACTIONS(1831),
    [anon_sym_yield] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [sym_glimmer_opening_tag] = ACTIONS(1829),
    [anon_sym_DQUOTE] = ACTIONS(1829),
    [anon_sym_SQUOTE] = ACTIONS(1829),
    [anon_sym_class] = ACTIONS(1831),
    [anon_sym_async] = ACTIONS(1831),
    [anon_sym_function] = ACTIONS(1831),
    [anon_sym_new] = ACTIONS(1831),
    [anon_sym_using] = ACTIONS(1831),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_TILDE] = ACTIONS(1829),
    [anon_sym_void] = ACTIONS(1831),
    [anon_sym_delete] = ACTIONS(1831),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1829),
    [sym_number] = ACTIONS(1829),
    [sym_private_property_identifier] = ACTIONS(1829),
    [sym_this] = ACTIONS(1831),
    [sym_super] = ACTIONS(1831),
    [sym_true] = ACTIONS(1831),
    [sym_false] = ACTIONS(1831),
    [sym_null] = ACTIONS(1831),
    [sym_undefined] = ACTIONS(1831),
    [anon_sym_AT] = ACTIONS(1829),
    [anon_sym_static] = ACTIONS(1831),
    [anon_sym_readonly] = ACTIONS(1831),
    [anon_sym_get] = ACTIONS(1831),
    [anon_sym_set] = ACTIONS(1831),
    [anon_sym_declare] = ACTIONS(1831),
    [anon_sym_public] = ACTIONS(1831),
    [anon_sym_private] = ACTIONS(1831),
    [anon_sym_protected] = ACTIONS(1831),
    [anon_sym_override] = ACTIONS(1831),
    [anon_sym_module] = ACTIONS(1831),
    [anon_sym_any] = ACTIONS(1831),
    [anon_sym_number] = ACTIONS(1831),
    [anon_sym_boolean] = ACTIONS(1831),
    [anon_sym_string] = ACTIONS(1831),
    [anon_sym_symbol] = ACTIONS(1831),
    [anon_sym_object] = ACTIONS(1831),
    [anon_sym_abstract] = ACTIONS(1831),
    [anon_sym_interface] = ACTIONS(1831),
    [anon_sym_enum] = ACTIONS(1831),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1829),
    [sym__automatic_semicolon] = ACTIONS(2468),
    [sym_html_comment] = ACTIONS(5),
  },
  [740] = {
    [sym__call_signature] = STATE(6230),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2462),
    [anon_sym_export] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(921),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2464),
    [anon_sym_function] = ACTIONS(2470),
    [anon_sym_EQ_GT] = ACTIONS(927),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_readonly] = ACTIONS(2464),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_declare] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_module] = ACTIONS(2464),
    [anon_sym_any] = ACTIONS(2464),
    [anon_sym_number] = ACTIONS(2464),
    [anon_sym_boolean] = ACTIONS(2464),
    [anon_sym_string] = ACTIONS(2464),
    [anon_sym_symbol] = ACTIONS(2464),
    [anon_sym_object] = ACTIONS(2464),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [741] = {
    [sym__call_signature] = STATE(6110),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_export] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(915),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2446),
    [anon_sym_let] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(947),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2446),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(908),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2446),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_readonly] = ACTIONS(2446),
    [anon_sym_get] = ACTIONS(2446),
    [anon_sym_set] = ACTIONS(2446),
    [anon_sym_declare] = ACTIONS(2446),
    [anon_sym_public] = ACTIONS(2446),
    [anon_sym_private] = ACTIONS(2446),
    [anon_sym_protected] = ACTIONS(2446),
    [anon_sym_override] = ACTIONS(2446),
    [anon_sym_module] = ACTIONS(2446),
    [anon_sym_any] = ACTIONS(2446),
    [anon_sym_number] = ACTIONS(2446),
    [anon_sym_boolean] = ACTIONS(2446),
    [anon_sym_string] = ACTIONS(2446),
    [anon_sym_symbol] = ACTIONS(2446),
    [anon_sym_object] = ACTIONS(2446),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [742] = {
    [sym__call_signature] = STATE(6110),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_export] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2446),
    [anon_sym_let] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2446),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(908),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2446),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_readonly] = ACTIONS(2446),
    [anon_sym_get] = ACTIONS(2446),
    [anon_sym_set] = ACTIONS(2446),
    [anon_sym_declare] = ACTIONS(2446),
    [anon_sym_public] = ACTIONS(2446),
    [anon_sym_private] = ACTIONS(2446),
    [anon_sym_protected] = ACTIONS(2446),
    [anon_sym_override] = ACTIONS(2446),
    [anon_sym_module] = ACTIONS(2446),
    [anon_sym_any] = ACTIONS(2446),
    [anon_sym_number] = ACTIONS(2446),
    [anon_sym_boolean] = ACTIONS(2446),
    [anon_sym_string] = ACTIONS(2446),
    [anon_sym_symbol] = ACTIONS(2446),
    [anon_sym_object] = ACTIONS(2446),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [743] = {
    [sym_statement_block] = STATE(825),
    [ts_builtin_sym_end] = ACTIONS(1703),
    [sym_identifier] = ACTIONS(1705),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_default] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1705),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_RBRACE] = ACTIONS(1703),
    [anon_sym_typeof] = ACTIONS(1705),
    [anon_sym_import] = ACTIONS(1705),
    [anon_sym_with] = ACTIONS(1705),
    [anon_sym_var] = ACTIONS(1705),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_const] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1703),
    [anon_sym_else] = ACTIONS(1705),
    [anon_sym_if] = ACTIONS(1705),
    [anon_sym_switch] = ACTIONS(1705),
    [anon_sym_for] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_await] = ACTIONS(1705),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1705),
    [anon_sym_try] = ACTIONS(1705),
    [anon_sym_break] = ACTIONS(1705),
    [anon_sym_continue] = ACTIONS(1705),
    [anon_sym_debugger] = ACTIONS(1705),
    [anon_sym_return] = ACTIONS(1705),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1703),
    [anon_sym_case] = ACTIONS(1705),
    [anon_sym_yield] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1703),
    [sym_glimmer_opening_tag] = ACTIONS(1703),
    [anon_sym_DOT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [anon_sym_SQUOTE] = ACTIONS(1703),
    [anon_sym_class] = ACTIONS(1705),
    [anon_sym_async] = ACTIONS(1705),
    [anon_sym_function] = ACTIONS(1705),
    [anon_sym_new] = ACTIONS(1705),
    [anon_sym_using] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_TILDE] = ACTIONS(1703),
    [anon_sym_void] = ACTIONS(1705),
    [anon_sym_delete] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1703),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1703),
    [sym_number] = ACTIONS(1703),
    [sym_private_property_identifier] = ACTIONS(1703),
    [sym_this] = ACTIONS(1705),
    [sym_super] = ACTIONS(1705),
    [sym_true] = ACTIONS(1705),
    [sym_false] = ACTIONS(1705),
    [sym_null] = ACTIONS(1705),
    [sym_undefined] = ACTIONS(1705),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_abstract] = ACTIONS(1705),
    [anon_sym_interface] = ACTIONS(1705),
    [anon_sym_enum] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [744] = {
    [sym__call_signature] = STATE(6110),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_export] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(915),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2446),
    [anon_sym_let] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2446),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(908),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2446),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_readonly] = ACTIONS(2446),
    [anon_sym_get] = ACTIONS(2446),
    [anon_sym_set] = ACTIONS(2446),
    [anon_sym_declare] = ACTIONS(2446),
    [anon_sym_public] = ACTIONS(2446),
    [anon_sym_private] = ACTIONS(2446),
    [anon_sym_protected] = ACTIONS(2446),
    [anon_sym_override] = ACTIONS(2446),
    [anon_sym_module] = ACTIONS(2446),
    [anon_sym_any] = ACTIONS(2446),
    [anon_sym_number] = ACTIONS(2446),
    [anon_sym_boolean] = ACTIONS(2446),
    [anon_sym_string] = ACTIONS(2446),
    [anon_sym_symbol] = ACTIONS(2446),
    [anon_sym_object] = ACTIONS(2446),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [745] = {
    [sym__call_signature] = STATE(6366),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_export] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2478),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_let] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(959),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_readonly] = ACTIONS(2478),
    [anon_sym_get] = ACTIONS(2478),
    [anon_sym_set] = ACTIONS(2478),
    [anon_sym_declare] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_override] = ACTIONS(2478),
    [anon_sym_module] = ACTIONS(2478),
    [anon_sym_any] = ACTIONS(2478),
    [anon_sym_number] = ACTIONS(2478),
    [anon_sym_boolean] = ACTIONS(2478),
    [anon_sym_string] = ACTIONS(2478),
    [anon_sym_symbol] = ACTIONS(2478),
    [anon_sym_object] = ACTIONS(2478),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [746] = {
    [sym_statement_block] = STATE(825),
    [ts_builtin_sym_end] = ACTIONS(1703),
    [sym_identifier] = ACTIONS(1705),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_default] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1705),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_RBRACE] = ACTIONS(1703),
    [anon_sym_typeof] = ACTIONS(1705),
    [anon_sym_import] = ACTIONS(1705),
    [anon_sym_with] = ACTIONS(1705),
    [anon_sym_var] = ACTIONS(1705),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_const] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1703),
    [anon_sym_else] = ACTIONS(1705),
    [anon_sym_if] = ACTIONS(1705),
    [anon_sym_switch] = ACTIONS(1705),
    [anon_sym_for] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_await] = ACTIONS(1705),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1705),
    [anon_sym_try] = ACTIONS(1705),
    [anon_sym_break] = ACTIONS(1705),
    [anon_sym_continue] = ACTIONS(1705),
    [anon_sym_debugger] = ACTIONS(1705),
    [anon_sym_return] = ACTIONS(1705),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1703),
    [anon_sym_case] = ACTIONS(1705),
    [anon_sym_yield] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1703),
    [sym_glimmer_opening_tag] = ACTIONS(1703),
    [anon_sym_DOT] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [anon_sym_SQUOTE] = ACTIONS(1703),
    [anon_sym_class] = ACTIONS(1705),
    [anon_sym_async] = ACTIONS(1705),
    [anon_sym_function] = ACTIONS(1705),
    [anon_sym_new] = ACTIONS(1705),
    [anon_sym_using] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_TILDE] = ACTIONS(1703),
    [anon_sym_void] = ACTIONS(1705),
    [anon_sym_delete] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1703),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1703),
    [sym_number] = ACTIONS(1703),
    [sym_private_property_identifier] = ACTIONS(1703),
    [sym_this] = ACTIONS(1705),
    [sym_super] = ACTIONS(1705),
    [sym_true] = ACTIONS(1705),
    [sym_false] = ACTIONS(1705),
    [sym_null] = ACTIONS(1705),
    [sym_undefined] = ACTIONS(1705),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_abstract] = ACTIONS(1705),
    [anon_sym_interface] = ACTIONS(1705),
    [anon_sym_enum] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [747] = {
    [sym__call_signature] = STATE(6162),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_export] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2484),
    [anon_sym_EQ] = ACTIONS(967),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2484),
    [anon_sym_let] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2484),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(973),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2484),
    [anon_sym_readonly] = ACTIONS(2484),
    [anon_sym_get] = ACTIONS(2484),
    [anon_sym_set] = ACTIONS(2484),
    [anon_sym_declare] = ACTIONS(2484),
    [anon_sym_public] = ACTIONS(2484),
    [anon_sym_private] = ACTIONS(2484),
    [anon_sym_protected] = ACTIONS(2484),
    [anon_sym_override] = ACTIONS(2484),
    [anon_sym_module] = ACTIONS(2484),
    [anon_sym_any] = ACTIONS(2484),
    [anon_sym_number] = ACTIONS(2484),
    [anon_sym_boolean] = ACTIONS(2484),
    [anon_sym_string] = ACTIONS(2484),
    [anon_sym_symbol] = ACTIONS(2484),
    [anon_sym_object] = ACTIONS(2484),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [748] = {
    [sym__call_signature] = STATE(6162),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_export] = ACTIONS(2484),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2484),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2484),
    [anon_sym_let] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2484),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(973),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2484),
    [anon_sym_readonly] = ACTIONS(2484),
    [anon_sym_get] = ACTIONS(2484),
    [anon_sym_set] = ACTIONS(2484),
    [anon_sym_declare] = ACTIONS(2484),
    [anon_sym_public] = ACTIONS(2484),
    [anon_sym_private] = ACTIONS(2484),
    [anon_sym_protected] = ACTIONS(2484),
    [anon_sym_override] = ACTIONS(2484),
    [anon_sym_module] = ACTIONS(2484),
    [anon_sym_any] = ACTIONS(2484),
    [anon_sym_number] = ACTIONS(2484),
    [anon_sym_boolean] = ACTIONS(2484),
    [anon_sym_string] = ACTIONS(2484),
    [anon_sym_symbol] = ACTIONS(2484),
    [anon_sym_object] = ACTIONS(2484),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [749] = {
    [sym__call_signature] = STATE(6369),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_export] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2414),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_let] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_readonly] = ACTIONS(2414),
    [anon_sym_get] = ACTIONS(2414),
    [anon_sym_set] = ACTIONS(2414),
    [anon_sym_declare] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_override] = ACTIONS(2414),
    [anon_sym_module] = ACTIONS(2414),
    [anon_sym_any] = ACTIONS(2414),
    [anon_sym_number] = ACTIONS(2414),
    [anon_sym_boolean] = ACTIONS(2414),
    [anon_sym_string] = ACTIONS(2414),
    [anon_sym_symbol] = ACTIONS(2414),
    [anon_sym_object] = ACTIONS(2414),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [750] = {
    [sym__call_signature] = STATE(6369),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_export] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2414),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_let] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(853),
    [anon_sym_of] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_readonly] = ACTIONS(2414),
    [anon_sym_get] = ACTIONS(2414),
    [anon_sym_set] = ACTIONS(2414),
    [anon_sym_declare] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_override] = ACTIONS(2414),
    [anon_sym_module] = ACTIONS(2414),
    [anon_sym_any] = ACTIONS(2414),
    [anon_sym_number] = ACTIONS(2414),
    [anon_sym_boolean] = ACTIONS(2414),
    [anon_sym_string] = ACTIONS(2414),
    [anon_sym_symbol] = ACTIONS(2414),
    [anon_sym_object] = ACTIONS(2414),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [751] = {
    [sym__call_signature] = STATE(6366),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_export] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2478),
    [anon_sym_EQ] = ACTIONS(953),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_let] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(959),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_readonly] = ACTIONS(2478),
    [anon_sym_get] = ACTIONS(2478),
    [anon_sym_set] = ACTIONS(2478),
    [anon_sym_declare] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_override] = ACTIONS(2478),
    [anon_sym_module] = ACTIONS(2478),
    [anon_sym_any] = ACTIONS(2478),
    [anon_sym_number] = ACTIONS(2478),
    [anon_sym_boolean] = ACTIONS(2478),
    [anon_sym_string] = ACTIONS(2478),
    [anon_sym_symbol] = ACTIONS(2478),
    [anon_sym_object] = ACTIONS(2478),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [752] = {
    [sym_finally_clause] = STATE(903),
    [ts_builtin_sym_end] = ACTIONS(2486),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_export] = ACTIONS(2488),
    [anon_sym_default] = ACTIONS(2488),
    [anon_sym_type] = ACTIONS(2488),
    [anon_sym_namespace] = ACTIONS(2488),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_RBRACE] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2488),
    [anon_sym_import] = ACTIONS(2488),
    [anon_sym_with] = ACTIONS(2488),
    [anon_sym_var] = ACTIONS(2488),
    [anon_sym_let] = ACTIONS(2488),
    [anon_sym_const] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2488),
    [anon_sym_if] = ACTIONS(2488),
    [anon_sym_switch] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_LPAREN] = ACTIONS(2486),
    [anon_sym_await] = ACTIONS(2488),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_do] = ACTIONS(2488),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_break] = ACTIONS(2488),
    [anon_sym_continue] = ACTIONS(2488),
    [anon_sym_debugger] = ACTIONS(2488),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym_case] = ACTIONS(2488),
    [anon_sym_finally] = ACTIONS(2458),
    [anon_sym_yield] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [sym_glimmer_opening_tag] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2486),
    [anon_sym_SQUOTE] = ACTIONS(2486),
    [anon_sym_class] = ACTIONS(2488),
    [anon_sym_async] = ACTIONS(2488),
    [anon_sym_function] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_using] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_SLASH] = ACTIONS(2488),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2486),
    [anon_sym_void] = ACTIONS(2488),
    [anon_sym_delete] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2486),
    [sym_number] = ACTIONS(2486),
    [sym_private_property_identifier] = ACTIONS(2486),
    [sym_this] = ACTIONS(2488),
    [sym_super] = ACTIONS(2488),
    [sym_true] = ACTIONS(2488),
    [sym_false] = ACTIONS(2488),
    [sym_null] = ACTIONS(2488),
    [sym_undefined] = ACTIONS(2488),
    [anon_sym_AT] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2488),
    [anon_sym_readonly] = ACTIONS(2488),
    [anon_sym_get] = ACTIONS(2488),
    [anon_sym_set] = ACTIONS(2488),
    [anon_sym_declare] = ACTIONS(2488),
    [anon_sym_public] = ACTIONS(2488),
    [anon_sym_private] = ACTIONS(2488),
    [anon_sym_protected] = ACTIONS(2488),
    [anon_sym_override] = ACTIONS(2488),
    [anon_sym_module] = ACTIONS(2488),
    [anon_sym_any] = ACTIONS(2488),
    [anon_sym_number] = ACTIONS(2488),
    [anon_sym_boolean] = ACTIONS(2488),
    [anon_sym_string] = ACTIONS(2488),
    [anon_sym_symbol] = ACTIONS(2488),
    [anon_sym_object] = ACTIONS(2488),
    [anon_sym_abstract] = ACTIONS(2488),
    [anon_sym_interface] = ACTIONS(2488),
    [anon_sym_enum] = ACTIONS(2488),
    [sym_html_comment] = ACTIONS(5),
  },
  [753] = {
    [sym__call_signature] = STATE(6369),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_export] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2414),
    [anon_sym_EQ] = ACTIONS(1049),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_let] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_readonly] = ACTIONS(2414),
    [anon_sym_get] = ACTIONS(2414),
    [anon_sym_set] = ACTIONS(2414),
    [anon_sym_declare] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_override] = ACTIONS(2414),
    [anon_sym_module] = ACTIONS(2414),
    [anon_sym_any] = ACTIONS(2414),
    [anon_sym_number] = ACTIONS(2414),
    [anon_sym_boolean] = ACTIONS(2414),
    [anon_sym_string] = ACTIONS(2414),
    [anon_sym_symbol] = ACTIONS(2414),
    [anon_sym_object] = ACTIONS(2414),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(2490),
    [sym_identifier] = ACTIONS(2492),
    [anon_sym_export] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_type] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_RBRACE] = ACTIONS(2490),
    [anon_sym_typeof] = ACTIONS(2492),
    [anon_sym_import] = ACTIONS(2492),
    [anon_sym_with] = ACTIONS(2492),
    [anon_sym_var] = ACTIONS(2492),
    [anon_sym_let] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_LPAREN] = ACTIONS(2490),
    [anon_sym_RPAREN] = ACTIONS(2490),
    [anon_sym_await] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_debugger] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_yield] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [sym_glimmer_opening_tag] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2490),
    [anon_sym_SQUOTE] = ACTIONS(2490),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_async] = ACTIONS(2492),
    [anon_sym_function] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_SLASH] = ACTIONS(2492),
    [anon_sym_LT] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_void] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2490),
    [sym_number] = ACTIONS(2490),
    [sym_private_property_identifier] = ACTIONS(2490),
    [sym_this] = ACTIONS(2492),
    [sym_super] = ACTIONS(2492),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [sym_null] = ACTIONS(2492),
    [sym_undefined] = ACTIONS(2492),
    [anon_sym_AT] = ACTIONS(2490),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_readonly] = ACTIONS(2492),
    [anon_sym_get] = ACTIONS(2492),
    [anon_sym_set] = ACTIONS(2492),
    [anon_sym_declare] = ACTIONS(2492),
    [anon_sym_public] = ACTIONS(2492),
    [anon_sym_private] = ACTIONS(2492),
    [anon_sym_protected] = ACTIONS(2492),
    [anon_sym_override] = ACTIONS(2492),
    [anon_sym_module] = ACTIONS(2492),
    [anon_sym_any] = ACTIONS(2492),
    [anon_sym_number] = ACTIONS(2492),
    [anon_sym_boolean] = ACTIONS(2492),
    [anon_sym_string] = ACTIONS(2492),
    [anon_sym_symbol] = ACTIONS(2492),
    [anon_sym_object] = ACTIONS(2492),
    [anon_sym_abstract] = ACTIONS(2492),
    [anon_sym_interface] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [sym_html_comment] = ACTIONS(5),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(1767),
    [sym_identifier] = ACTIONS(1769),
    [anon_sym_export] = ACTIONS(1769),
    [anon_sym_default] = ACTIONS(1769),
    [anon_sym_type] = ACTIONS(1769),
    [anon_sym_namespace] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1767),
    [anon_sym_RBRACE] = ACTIONS(1767),
    [anon_sym_typeof] = ACTIONS(1769),
    [anon_sym_import] = ACTIONS(1769),
    [anon_sym_with] = ACTIONS(1769),
    [anon_sym_var] = ACTIONS(1769),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_const] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_else] = ACTIONS(1769),
    [anon_sym_if] = ACTIONS(1769),
    [anon_sym_switch] = ACTIONS(1769),
    [anon_sym_for] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_await] = ACTIONS(1769),
    [anon_sym_while] = ACTIONS(1769),
    [anon_sym_do] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1769),
    [anon_sym_break] = ACTIONS(1769),
    [anon_sym_continue] = ACTIONS(1769),
    [anon_sym_debugger] = ACTIONS(1769),
    [anon_sym_return] = ACTIONS(1769),
    [anon_sym_throw] = ACTIONS(1769),
    [anon_sym_SEMI] = ACTIONS(1767),
    [anon_sym_case] = ACTIONS(1769),
    [anon_sym_yield] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [sym_glimmer_opening_tag] = ACTIONS(1767),
    [anon_sym_DQUOTE] = ACTIONS(1767),
    [anon_sym_SQUOTE] = ACTIONS(1767),
    [anon_sym_class] = ACTIONS(1769),
    [anon_sym_async] = ACTIONS(1769),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_new] = ACTIONS(1769),
    [anon_sym_using] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1767),
    [anon_sym_void] = ACTIONS(1769),
    [anon_sym_delete] = ACTIONS(1769),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1767),
    [sym_number] = ACTIONS(1767),
    [sym_private_property_identifier] = ACTIONS(1767),
    [sym_this] = ACTIONS(1769),
    [sym_super] = ACTIONS(1769),
    [sym_true] = ACTIONS(1769),
    [sym_false] = ACTIONS(1769),
    [sym_null] = ACTIONS(1769),
    [sym_undefined] = ACTIONS(1769),
    [anon_sym_AT] = ACTIONS(1767),
    [anon_sym_static] = ACTIONS(1769),
    [anon_sym_readonly] = ACTIONS(1769),
    [anon_sym_get] = ACTIONS(1769),
    [anon_sym_set] = ACTIONS(1769),
    [anon_sym_declare] = ACTIONS(1769),
    [anon_sym_public] = ACTIONS(1769),
    [anon_sym_private] = ACTIONS(1769),
    [anon_sym_protected] = ACTIONS(1769),
    [anon_sym_override] = ACTIONS(1769),
    [anon_sym_module] = ACTIONS(1769),
    [anon_sym_any] = ACTIONS(1769),
    [anon_sym_number] = ACTIONS(1769),
    [anon_sym_boolean] = ACTIONS(1769),
    [anon_sym_string] = ACTIONS(1769),
    [anon_sym_symbol] = ACTIONS(1769),
    [anon_sym_object] = ACTIONS(1769),
    [anon_sym_abstract] = ACTIONS(1769),
    [anon_sym_interface] = ACTIONS(1769),
    [anon_sym_enum] = ACTIONS(1769),
    [sym__automatic_semicolon] = ACTIONS(1775),
    [sym_html_comment] = ACTIONS(5),
  },
  [756] = {
    [sym__call_signature] = STATE(6369),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_export] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2414),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_let] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_readonly] = ACTIONS(2414),
    [anon_sym_get] = ACTIONS(2414),
    [anon_sym_set] = ACTIONS(2414),
    [anon_sym_declare] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_override] = ACTIONS(2414),
    [anon_sym_module] = ACTIONS(2414),
    [anon_sym_any] = ACTIONS(2414),
    [anon_sym_number] = ACTIONS(2414),
    [anon_sym_boolean] = ACTIONS(2414),
    [anon_sym_string] = ACTIONS(2414),
    [anon_sym_symbol] = ACTIONS(2414),
    [anon_sym_object] = ACTIONS(2414),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1779),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_default] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1779),
    [anon_sym_LBRACE] = ACTIONS(1777),
    [anon_sym_RBRACE] = ACTIONS(1777),
    [anon_sym_typeof] = ACTIONS(1779),
    [anon_sym_import] = ACTIONS(1779),
    [anon_sym_with] = ACTIONS(1779),
    [anon_sym_var] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_const] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_else] = ACTIONS(1779),
    [anon_sym_if] = ACTIONS(1779),
    [anon_sym_switch] = ACTIONS(1779),
    [anon_sym_for] = ACTIONS(1779),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_while] = ACTIONS(1779),
    [anon_sym_do] = ACTIONS(1779),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_break] = ACTIONS(1779),
    [anon_sym_continue] = ACTIONS(1779),
    [anon_sym_debugger] = ACTIONS(1779),
    [anon_sym_return] = ACTIONS(1779),
    [anon_sym_throw] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(1777),
    [anon_sym_case] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [sym_glimmer_opening_tag] = ACTIONS(1777),
    [anon_sym_DQUOTE] = ACTIONS(1777),
    [anon_sym_SQUOTE] = ACTIONS(1777),
    [anon_sym_class] = ACTIONS(1779),
    [anon_sym_async] = ACTIONS(1779),
    [anon_sym_function] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1779),
    [anon_sym_using] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1779),
    [anon_sym_DASH] = ACTIONS(1779),
    [anon_sym_SLASH] = ACTIONS(1779),
    [anon_sym_LT] = ACTIONS(1779),
    [anon_sym_TILDE] = ACTIONS(1777),
    [anon_sym_void] = ACTIONS(1779),
    [anon_sym_delete] = ACTIONS(1779),
    [anon_sym_PLUS_PLUS] = ACTIONS(1777),
    [anon_sym_DASH_DASH] = ACTIONS(1777),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1777),
    [sym_number] = ACTIONS(1777),
    [sym_private_property_identifier] = ACTIONS(1777),
    [sym_this] = ACTIONS(1779),
    [sym_super] = ACTIONS(1779),
    [sym_true] = ACTIONS(1779),
    [sym_false] = ACTIONS(1779),
    [sym_null] = ACTIONS(1779),
    [sym_undefined] = ACTIONS(1779),
    [anon_sym_AT] = ACTIONS(1777),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_abstract] = ACTIONS(1779),
    [anon_sym_interface] = ACTIONS(1779),
    [anon_sym_enum] = ACTIONS(1779),
    [sym__automatic_semicolon] = ACTIONS(1785),
    [sym_html_comment] = ACTIONS(5),
  },
  [758] = {
    [ts_builtin_sym_end] = ACTIONS(2494),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_export] = ACTIONS(2496),
    [anon_sym_default] = ACTIONS(2496),
    [anon_sym_type] = ACTIONS(2496),
    [anon_sym_namespace] = ACTIONS(2496),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_typeof] = ACTIONS(2496),
    [anon_sym_import] = ACTIONS(2496),
    [anon_sym_with] = ACTIONS(2496),
    [anon_sym_var] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_const] = ACTIONS(2496),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_else] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_switch] = ACTIONS(2496),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_LPAREN] = ACTIONS(2494),
    [anon_sym_await] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_do] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [anon_sym_break] = ACTIONS(2496),
    [anon_sym_continue] = ACTIONS(2496),
    [anon_sym_debugger] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2496),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym_case] = ACTIONS(2496),
    [anon_sym_finally] = ACTIONS(2496),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [sym_glimmer_opening_tag] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2496),
    [anon_sym_async] = ACTIONS(2496),
    [anon_sym_function] = ACTIONS(2496),
    [anon_sym_new] = ACTIONS(2496),
    [anon_sym_using] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_SLASH] = ACTIONS(2496),
    [anon_sym_LT] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_void] = ACTIONS(2496),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2494),
    [sym_number] = ACTIONS(2494),
    [sym_private_property_identifier] = ACTIONS(2494),
    [sym_this] = ACTIONS(2496),
    [sym_super] = ACTIONS(2496),
    [sym_true] = ACTIONS(2496),
    [sym_false] = ACTIONS(2496),
    [sym_null] = ACTIONS(2496),
    [sym_undefined] = ACTIONS(2496),
    [anon_sym_AT] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2496),
    [anon_sym_readonly] = ACTIONS(2496),
    [anon_sym_get] = ACTIONS(2496),
    [anon_sym_set] = ACTIONS(2496),
    [anon_sym_declare] = ACTIONS(2496),
    [anon_sym_public] = ACTIONS(2496),
    [anon_sym_private] = ACTIONS(2496),
    [anon_sym_protected] = ACTIONS(2496),
    [anon_sym_override] = ACTIONS(2496),
    [anon_sym_module] = ACTIONS(2496),
    [anon_sym_any] = ACTIONS(2496),
    [anon_sym_number] = ACTIONS(2496),
    [anon_sym_boolean] = ACTIONS(2496),
    [anon_sym_string] = ACTIONS(2496),
    [anon_sym_symbol] = ACTIONS(2496),
    [anon_sym_object] = ACTIONS(2496),
    [anon_sym_abstract] = ACTIONS(2496),
    [anon_sym_interface] = ACTIONS(2496),
    [anon_sym_enum] = ACTIONS(2496),
    [sym_html_comment] = ACTIONS(5),
  },
  [759] = {
    [ts_builtin_sym_end] = ACTIONS(1863),
    [sym_identifier] = ACTIONS(1865),
    [anon_sym_export] = ACTIONS(1865),
    [anon_sym_default] = ACTIONS(1865),
    [anon_sym_type] = ACTIONS(1865),
    [anon_sym_namespace] = ACTIONS(1865),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_RBRACE] = ACTIONS(1863),
    [anon_sym_typeof] = ACTIONS(1865),
    [anon_sym_import] = ACTIONS(1865),
    [anon_sym_with] = ACTIONS(1865),
    [anon_sym_var] = ACTIONS(1865),
    [anon_sym_let] = ACTIONS(1865),
    [anon_sym_const] = ACTIONS(1865),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_else] = ACTIONS(1865),
    [anon_sym_if] = ACTIONS(1865),
    [anon_sym_switch] = ACTIONS(1865),
    [anon_sym_for] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_await] = ACTIONS(1865),
    [anon_sym_while] = ACTIONS(1865),
    [anon_sym_do] = ACTIONS(1865),
    [anon_sym_try] = ACTIONS(1865),
    [anon_sym_break] = ACTIONS(1865),
    [anon_sym_continue] = ACTIONS(1865),
    [anon_sym_debugger] = ACTIONS(1865),
    [anon_sym_return] = ACTIONS(1865),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_SEMI] = ACTIONS(1863),
    [anon_sym_case] = ACTIONS(1865),
    [anon_sym_yield] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [sym_glimmer_opening_tag] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1865),
    [anon_sym_DQUOTE] = ACTIONS(1863),
    [anon_sym_SQUOTE] = ACTIONS(1863),
    [anon_sym_class] = ACTIONS(1865),
    [anon_sym_async] = ACTIONS(1865),
    [anon_sym_function] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1865),
    [anon_sym_using] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_SLASH] = ACTIONS(1865),
    [anon_sym_LT] = ACTIONS(1865),
    [anon_sym_TILDE] = ACTIONS(1863),
    [anon_sym_void] = ACTIONS(1865),
    [anon_sym_delete] = ACTIONS(1865),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1863),
    [sym_number] = ACTIONS(1863),
    [sym_private_property_identifier] = ACTIONS(1863),
    [sym_this] = ACTIONS(1865),
    [sym_super] = ACTIONS(1865),
    [sym_true] = ACTIONS(1865),
    [sym_false] = ACTIONS(1865),
    [sym_null] = ACTIONS(1865),
    [sym_undefined] = ACTIONS(1865),
    [anon_sym_AT] = ACTIONS(1863),
    [anon_sym_static] = ACTIONS(1865),
    [anon_sym_readonly] = ACTIONS(1865),
    [anon_sym_get] = ACTIONS(1865),
    [anon_sym_set] = ACTIONS(1865),
    [anon_sym_declare] = ACTIONS(1865),
    [anon_sym_public] = ACTIONS(1865),
    [anon_sym_private] = ACTIONS(1865),
    [anon_sym_protected] = ACTIONS(1865),
    [anon_sym_override] = ACTIONS(1865),
    [anon_sym_module] = ACTIONS(1865),
    [anon_sym_any] = ACTIONS(1865),
    [anon_sym_number] = ACTIONS(1865),
    [anon_sym_boolean] = ACTIONS(1865),
    [anon_sym_string] = ACTIONS(1865),
    [anon_sym_symbol] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1865),
    [anon_sym_abstract] = ACTIONS(1865),
    [anon_sym_interface] = ACTIONS(1865),
    [anon_sym_enum] = ACTIONS(1865),
    [sym_html_comment] = ACTIONS(5),
  },
  [760] = {
    [sym__call_signature] = STATE(6369),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_export] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2414),
    [anon_sym_EQ] = ACTIONS(1047),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_let] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_readonly] = ACTIONS(2414),
    [anon_sym_get] = ACTIONS(2414),
    [anon_sym_set] = ACTIONS(2414),
    [anon_sym_declare] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_override] = ACTIONS(2414),
    [anon_sym_module] = ACTIONS(2414),
    [anon_sym_any] = ACTIONS(2414),
    [anon_sym_number] = ACTIONS(2414),
    [anon_sym_boolean] = ACTIONS(2414),
    [anon_sym_string] = ACTIONS(2414),
    [anon_sym_symbol] = ACTIONS(2414),
    [anon_sym_object] = ACTIONS(2414),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [761] = {
    [ts_builtin_sym_end] = ACTIONS(1939),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_export] = ACTIONS(1941),
    [anon_sym_default] = ACTIONS(1941),
    [anon_sym_type] = ACTIONS(1941),
    [anon_sym_namespace] = ACTIONS(1941),
    [anon_sym_LBRACE] = ACTIONS(1939),
    [anon_sym_RBRACE] = ACTIONS(1939),
    [anon_sym_typeof] = ACTIONS(1941),
    [anon_sym_import] = ACTIONS(1941),
    [anon_sym_with] = ACTIONS(1941),
    [anon_sym_var] = ACTIONS(1941),
    [anon_sym_let] = ACTIONS(1941),
    [anon_sym_const] = ACTIONS(1941),
    [anon_sym_BANG] = ACTIONS(1939),
    [anon_sym_else] = ACTIONS(1941),
    [anon_sym_if] = ACTIONS(1941),
    [anon_sym_switch] = ACTIONS(1941),
    [anon_sym_for] = ACTIONS(1941),
    [anon_sym_LPAREN] = ACTIONS(1939),
    [anon_sym_await] = ACTIONS(1941),
    [anon_sym_while] = ACTIONS(1941),
    [anon_sym_do] = ACTIONS(1941),
    [anon_sym_try] = ACTIONS(1941),
    [anon_sym_break] = ACTIONS(1941),
    [anon_sym_continue] = ACTIONS(1941),
    [anon_sym_debugger] = ACTIONS(1941),
    [anon_sym_return] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1941),
    [anon_sym_SEMI] = ACTIONS(1939),
    [anon_sym_case] = ACTIONS(1941),
    [anon_sym_yield] = ACTIONS(1941),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [sym_glimmer_opening_tag] = ACTIONS(1939),
    [anon_sym_DQUOTE] = ACTIONS(1939),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [anon_sym_class] = ACTIONS(1941),
    [anon_sym_async] = ACTIONS(1941),
    [anon_sym_function] = ACTIONS(1941),
    [anon_sym_new] = ACTIONS(1941),
    [anon_sym_using] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1941),
    [anon_sym_SLASH] = ACTIONS(1941),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_TILDE] = ACTIONS(1939),
    [anon_sym_void] = ACTIONS(1941),
    [anon_sym_delete] = ACTIONS(1941),
    [anon_sym_PLUS_PLUS] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1939),
    [sym_number] = ACTIONS(1939),
    [sym_private_property_identifier] = ACTIONS(1939),
    [sym_this] = ACTIONS(1941),
    [sym_super] = ACTIONS(1941),
    [sym_true] = ACTIONS(1941),
    [sym_false] = ACTIONS(1941),
    [sym_null] = ACTIONS(1941),
    [sym_undefined] = ACTIONS(1941),
    [anon_sym_AT] = ACTIONS(1939),
    [anon_sym_static] = ACTIONS(1941),
    [anon_sym_readonly] = ACTIONS(1941),
    [anon_sym_get] = ACTIONS(1941),
    [anon_sym_set] = ACTIONS(1941),
    [anon_sym_declare] = ACTIONS(1941),
    [anon_sym_public] = ACTIONS(1941),
    [anon_sym_private] = ACTIONS(1941),
    [anon_sym_protected] = ACTIONS(1941),
    [anon_sym_override] = ACTIONS(1941),
    [anon_sym_module] = ACTIONS(1941),
    [anon_sym_any] = ACTIONS(1941),
    [anon_sym_number] = ACTIONS(1941),
    [anon_sym_boolean] = ACTIONS(1941),
    [anon_sym_string] = ACTIONS(1941),
    [anon_sym_symbol] = ACTIONS(1941),
    [anon_sym_object] = ACTIONS(1941),
    [anon_sym_abstract] = ACTIONS(1941),
    [anon_sym_interface] = ACTIONS(1941),
    [anon_sym_enum] = ACTIONS(1941),
    [sym__automatic_semicolon] = ACTIONS(1947),
    [sym_html_comment] = ACTIONS(5),
  },
  [762] = {
    [sym__call_signature] = STATE(6369),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_export] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2414),
    [anon_sym_EQ] = ACTIONS(1035),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_let] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_readonly] = ACTIONS(2414),
    [anon_sym_get] = ACTIONS(2414),
    [anon_sym_set] = ACTIONS(2414),
    [anon_sym_declare] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_override] = ACTIONS(2414),
    [anon_sym_module] = ACTIONS(2414),
    [anon_sym_any] = ACTIONS(2414),
    [anon_sym_number] = ACTIONS(2414),
    [anon_sym_boolean] = ACTIONS(2414),
    [anon_sym_string] = ACTIONS(2414),
    [anon_sym_symbol] = ACTIONS(2414),
    [anon_sym_object] = ACTIONS(2414),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [763] = {
    [ts_builtin_sym_end] = ACTIONS(1787),
    [sym_identifier] = ACTIONS(1789),
    [anon_sym_export] = ACTIONS(1789),
    [anon_sym_default] = ACTIONS(1789),
    [anon_sym_type] = ACTIONS(1789),
    [anon_sym_namespace] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_RBRACE] = ACTIONS(1787),
    [anon_sym_typeof] = ACTIONS(1789),
    [anon_sym_import] = ACTIONS(1789),
    [anon_sym_with] = ACTIONS(1789),
    [anon_sym_var] = ACTIONS(1789),
    [anon_sym_let] = ACTIONS(1789),
    [anon_sym_const] = ACTIONS(1789),
    [anon_sym_BANG] = ACTIONS(1787),
    [anon_sym_else] = ACTIONS(1789),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_switch] = ACTIONS(1789),
    [anon_sym_for] = ACTIONS(1789),
    [anon_sym_LPAREN] = ACTIONS(1787),
    [anon_sym_await] = ACTIONS(1789),
    [anon_sym_while] = ACTIONS(1789),
    [anon_sym_do] = ACTIONS(1789),
    [anon_sym_try] = ACTIONS(1789),
    [anon_sym_break] = ACTIONS(1789),
    [anon_sym_continue] = ACTIONS(1789),
    [anon_sym_debugger] = ACTIONS(1789),
    [anon_sym_return] = ACTIONS(1789),
    [anon_sym_throw] = ACTIONS(1789),
    [anon_sym_SEMI] = ACTIONS(1787),
    [anon_sym_case] = ACTIONS(1789),
    [anon_sym_yield] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [sym_glimmer_opening_tag] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1787),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1789),
    [anon_sym_new] = ACTIONS(1789),
    [anon_sym_using] = ACTIONS(1789),
    [anon_sym_PLUS] = ACTIONS(1789),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1787),
    [anon_sym_void] = ACTIONS(1789),
    [anon_sym_delete] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1787),
    [anon_sym_DASH_DASH] = ACTIONS(1787),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1787),
    [sym_number] = ACTIONS(1787),
    [sym_private_property_identifier] = ACTIONS(1787),
    [sym_this] = ACTIONS(1789),
    [sym_super] = ACTIONS(1789),
    [sym_true] = ACTIONS(1789),
    [sym_false] = ACTIONS(1789),
    [sym_null] = ACTIONS(1789),
    [sym_undefined] = ACTIONS(1789),
    [anon_sym_AT] = ACTIONS(1787),
    [anon_sym_static] = ACTIONS(1789),
    [anon_sym_readonly] = ACTIONS(1789),
    [anon_sym_get] = ACTIONS(1789),
    [anon_sym_set] = ACTIONS(1789),
    [anon_sym_declare] = ACTIONS(1789),
    [anon_sym_public] = ACTIONS(1789),
    [anon_sym_private] = ACTIONS(1789),
    [anon_sym_protected] = ACTIONS(1789),
    [anon_sym_override] = ACTIONS(1789),
    [anon_sym_module] = ACTIONS(1789),
    [anon_sym_any] = ACTIONS(1789),
    [anon_sym_number] = ACTIONS(1789),
    [anon_sym_boolean] = ACTIONS(1789),
    [anon_sym_string] = ACTIONS(1789),
    [anon_sym_symbol] = ACTIONS(1789),
    [anon_sym_object] = ACTIONS(1789),
    [anon_sym_abstract] = ACTIONS(1789),
    [anon_sym_interface] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1789),
    [sym__automatic_semicolon] = ACTIONS(1795),
    [sym_html_comment] = ACTIONS(5),
  },
  [764] = {
    [ts_builtin_sym_end] = ACTIONS(1845),
    [sym_identifier] = ACTIONS(1847),
    [anon_sym_export] = ACTIONS(1847),
    [anon_sym_default] = ACTIONS(1847),
    [anon_sym_type] = ACTIONS(1847),
    [anon_sym_namespace] = ACTIONS(1847),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_RBRACE] = ACTIONS(1845),
    [anon_sym_typeof] = ACTIONS(1847),
    [anon_sym_import] = ACTIONS(1847),
    [anon_sym_with] = ACTIONS(1847),
    [anon_sym_var] = ACTIONS(1847),
    [anon_sym_let] = ACTIONS(1847),
    [anon_sym_const] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_else] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1847),
    [anon_sym_switch] = ACTIONS(1847),
    [anon_sym_for] = ACTIONS(1847),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1847),
    [anon_sym_while] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1847),
    [anon_sym_try] = ACTIONS(1847),
    [anon_sym_break] = ACTIONS(1847),
    [anon_sym_continue] = ACTIONS(1847),
    [anon_sym_debugger] = ACTIONS(1847),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_SEMI] = ACTIONS(1845),
    [anon_sym_case] = ACTIONS(1847),
    [anon_sym_yield] = ACTIONS(1847),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [sym_glimmer_opening_tag] = ACTIONS(1845),
    [anon_sym_DQUOTE] = ACTIONS(1845),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1847),
    [anon_sym_async] = ACTIONS(1847),
    [anon_sym_function] = ACTIONS(1847),
    [anon_sym_new] = ACTIONS(1847),
    [anon_sym_using] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1847),
    [anon_sym_SLASH] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_void] = ACTIONS(1847),
    [anon_sym_delete] = ACTIONS(1847),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [sym_private_property_identifier] = ACTIONS(1845),
    [sym_this] = ACTIONS(1847),
    [sym_super] = ACTIONS(1847),
    [sym_true] = ACTIONS(1847),
    [sym_false] = ACTIONS(1847),
    [sym_null] = ACTIONS(1847),
    [sym_undefined] = ACTIONS(1847),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_static] = ACTIONS(1847),
    [anon_sym_readonly] = ACTIONS(1847),
    [anon_sym_get] = ACTIONS(1847),
    [anon_sym_set] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1847),
    [anon_sym_public] = ACTIONS(1847),
    [anon_sym_private] = ACTIONS(1847),
    [anon_sym_protected] = ACTIONS(1847),
    [anon_sym_override] = ACTIONS(1847),
    [anon_sym_module] = ACTIONS(1847),
    [anon_sym_any] = ACTIONS(1847),
    [anon_sym_number] = ACTIONS(1847),
    [anon_sym_boolean] = ACTIONS(1847),
    [anon_sym_string] = ACTIONS(1847),
    [anon_sym_symbol] = ACTIONS(1847),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_abstract] = ACTIONS(1847),
    [anon_sym_interface] = ACTIONS(1847),
    [anon_sym_enum] = ACTIONS(1847),
    [sym__automatic_semicolon] = ACTIONS(1853),
    [sym_html_comment] = ACTIONS(5),
  },
  [765] = {
    [ts_builtin_sym_end] = ACTIONS(1891),
    [sym_identifier] = ACTIONS(1893),
    [anon_sym_export] = ACTIONS(1893),
    [anon_sym_default] = ACTIONS(1893),
    [anon_sym_type] = ACTIONS(1893),
    [anon_sym_namespace] = ACTIONS(1893),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_RBRACE] = ACTIONS(1891),
    [anon_sym_typeof] = ACTIONS(1893),
    [anon_sym_import] = ACTIONS(1893),
    [anon_sym_with] = ACTIONS(1893),
    [anon_sym_var] = ACTIONS(1893),
    [anon_sym_let] = ACTIONS(1893),
    [anon_sym_const] = ACTIONS(1893),
    [anon_sym_BANG] = ACTIONS(1891),
    [anon_sym_else] = ACTIONS(1893),
    [anon_sym_if] = ACTIONS(1893),
    [anon_sym_switch] = ACTIONS(1893),
    [anon_sym_for] = ACTIONS(1893),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_await] = ACTIONS(1893),
    [anon_sym_while] = ACTIONS(1893),
    [anon_sym_do] = ACTIONS(1893),
    [anon_sym_try] = ACTIONS(1893),
    [anon_sym_break] = ACTIONS(1893),
    [anon_sym_continue] = ACTIONS(1893),
    [anon_sym_debugger] = ACTIONS(1893),
    [anon_sym_return] = ACTIONS(1893),
    [anon_sym_throw] = ACTIONS(1893),
    [anon_sym_SEMI] = ACTIONS(1891),
    [anon_sym_case] = ACTIONS(1893),
    [anon_sym_yield] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1891),
    [sym_glimmer_opening_tag] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1891),
    [anon_sym_SQUOTE] = ACTIONS(1891),
    [anon_sym_class] = ACTIONS(1893),
    [anon_sym_async] = ACTIONS(1893),
    [anon_sym_function] = ACTIONS(1893),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_using] = ACTIONS(1893),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_SLASH] = ACTIONS(1893),
    [anon_sym_LT] = ACTIONS(1893),
    [anon_sym_TILDE] = ACTIONS(1891),
    [anon_sym_void] = ACTIONS(1893),
    [anon_sym_delete] = ACTIONS(1893),
    [anon_sym_PLUS_PLUS] = ACTIONS(1891),
    [anon_sym_DASH_DASH] = ACTIONS(1891),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1891),
    [sym_number] = ACTIONS(1891),
    [sym_private_property_identifier] = ACTIONS(1891),
    [sym_this] = ACTIONS(1893),
    [sym_super] = ACTIONS(1893),
    [sym_true] = ACTIONS(1893),
    [sym_false] = ACTIONS(1893),
    [sym_null] = ACTIONS(1893),
    [sym_undefined] = ACTIONS(1893),
    [anon_sym_AT] = ACTIONS(1891),
    [anon_sym_static] = ACTIONS(1893),
    [anon_sym_readonly] = ACTIONS(1893),
    [anon_sym_get] = ACTIONS(1893),
    [anon_sym_set] = ACTIONS(1893),
    [anon_sym_declare] = ACTIONS(1893),
    [anon_sym_public] = ACTIONS(1893),
    [anon_sym_private] = ACTIONS(1893),
    [anon_sym_protected] = ACTIONS(1893),
    [anon_sym_override] = ACTIONS(1893),
    [anon_sym_module] = ACTIONS(1893),
    [anon_sym_any] = ACTIONS(1893),
    [anon_sym_number] = ACTIONS(1893),
    [anon_sym_boolean] = ACTIONS(1893),
    [anon_sym_string] = ACTIONS(1893),
    [anon_sym_symbol] = ACTIONS(1893),
    [anon_sym_object] = ACTIONS(1893),
    [anon_sym_abstract] = ACTIONS(1893),
    [anon_sym_interface] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1893),
    [sym__automatic_semicolon] = ACTIONS(1899),
    [sym_html_comment] = ACTIONS(5),
  },
  [766] = {
    [sym_else_clause] = STATE(888),
    [ts_builtin_sym_end] = ACTIONS(2498),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_export] = ACTIONS(2500),
    [anon_sym_default] = ACTIONS(2500),
    [anon_sym_type] = ACTIONS(2500),
    [anon_sym_namespace] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_RBRACE] = ACTIONS(2498),
    [anon_sym_typeof] = ACTIONS(2500),
    [anon_sym_import] = ACTIONS(2500),
    [anon_sym_with] = ACTIONS(2500),
    [anon_sym_var] = ACTIONS(2500),
    [anon_sym_let] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_BANG] = ACTIONS(2498),
    [anon_sym_else] = ACTIONS(2502),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_LPAREN] = ACTIONS(2498),
    [anon_sym_await] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_try] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_debugger] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_throw] = ACTIONS(2500),
    [anon_sym_SEMI] = ACTIONS(2498),
    [anon_sym_case] = ACTIONS(2500),
    [anon_sym_yield] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [sym_glimmer_opening_tag] = ACTIONS(2498),
    [anon_sym_DQUOTE] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2498),
    [anon_sym_class] = ACTIONS(2500),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_function] = ACTIONS(2500),
    [anon_sym_new] = ACTIONS(2500),
    [anon_sym_using] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_SLASH] = ACTIONS(2500),
    [anon_sym_LT] = ACTIONS(2500),
    [anon_sym_TILDE] = ACTIONS(2498),
    [anon_sym_void] = ACTIONS(2500),
    [anon_sym_delete] = ACTIONS(2500),
    [anon_sym_PLUS_PLUS] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2498),
    [sym_number] = ACTIONS(2498),
    [sym_private_property_identifier] = ACTIONS(2498),
    [sym_this] = ACTIONS(2500),
    [sym_super] = ACTIONS(2500),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [sym_null] = ACTIONS(2500),
    [sym_undefined] = ACTIONS(2500),
    [anon_sym_AT] = ACTIONS(2498),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_readonly] = ACTIONS(2500),
    [anon_sym_get] = ACTIONS(2500),
    [anon_sym_set] = ACTIONS(2500),
    [anon_sym_declare] = ACTIONS(2500),
    [anon_sym_public] = ACTIONS(2500),
    [anon_sym_private] = ACTIONS(2500),
    [anon_sym_protected] = ACTIONS(2500),
    [anon_sym_override] = ACTIONS(2500),
    [anon_sym_module] = ACTIONS(2500),
    [anon_sym_any] = ACTIONS(2500),
    [anon_sym_number] = ACTIONS(2500),
    [anon_sym_boolean] = ACTIONS(2500),
    [anon_sym_string] = ACTIONS(2500),
    [anon_sym_symbol] = ACTIONS(2500),
    [anon_sym_object] = ACTIONS(2500),
    [anon_sym_abstract] = ACTIONS(2500),
    [anon_sym_interface] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [sym_html_comment] = ACTIONS(5),
  },
  [767] = {
    [ts_builtin_sym_end] = ACTIONS(2504),
    [sym_identifier] = ACTIONS(2506),
    [anon_sym_export] = ACTIONS(2506),
    [anon_sym_default] = ACTIONS(2506),
    [anon_sym_type] = ACTIONS(2506),
    [anon_sym_namespace] = ACTIONS(2506),
    [anon_sym_LBRACE] = ACTIONS(2504),
    [anon_sym_RBRACE] = ACTIONS(2504),
    [anon_sym_typeof] = ACTIONS(2506),
    [anon_sym_import] = ACTIONS(2506),
    [anon_sym_with] = ACTIONS(2506),
    [anon_sym_var] = ACTIONS(2506),
    [anon_sym_let] = ACTIONS(2506),
    [anon_sym_const] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2506),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_switch] = ACTIONS(2506),
    [anon_sym_for] = ACTIONS(2506),
    [anon_sym_LPAREN] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(2506),
    [anon_sym_do] = ACTIONS(2506),
    [anon_sym_try] = ACTIONS(2506),
    [anon_sym_break] = ACTIONS(2506),
    [anon_sym_continue] = ACTIONS(2506),
    [anon_sym_debugger] = ACTIONS(2506),
    [anon_sym_return] = ACTIONS(2506),
    [anon_sym_throw] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2506),
    [anon_sym_yield] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [sym_glimmer_opening_tag] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2504),
    [anon_sym_SQUOTE] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2506),
    [anon_sym_async] = ACTIONS(2506),
    [anon_sym_function] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2506),
    [anon_sym_using] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_SLASH] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2504),
    [anon_sym_void] = ACTIONS(2506),
    [anon_sym_delete] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2504),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2504),
    [sym_number] = ACTIONS(2504),
    [sym_private_property_identifier] = ACTIONS(2504),
    [sym_this] = ACTIONS(2506),
    [sym_super] = ACTIONS(2506),
    [sym_true] = ACTIONS(2506),
    [sym_false] = ACTIONS(2506),
    [sym_null] = ACTIONS(2506),
    [sym_undefined] = ACTIONS(2506),
    [anon_sym_AT] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2506),
    [anon_sym_readonly] = ACTIONS(2506),
    [anon_sym_get] = ACTIONS(2506),
    [anon_sym_set] = ACTIONS(2506),
    [anon_sym_declare] = ACTIONS(2506),
    [anon_sym_public] = ACTIONS(2506),
    [anon_sym_private] = ACTIONS(2506),
    [anon_sym_protected] = ACTIONS(2506),
    [anon_sym_override] = ACTIONS(2506),
    [anon_sym_module] = ACTIONS(2506),
    [anon_sym_any] = ACTIONS(2506),
    [anon_sym_number] = ACTIONS(2506),
    [anon_sym_boolean] = ACTIONS(2506),
    [anon_sym_string] = ACTIONS(2506),
    [anon_sym_symbol] = ACTIONS(2506),
    [anon_sym_object] = ACTIONS(2506),
    [anon_sym_abstract] = ACTIONS(2506),
    [anon_sym_interface] = ACTIONS(2506),
    [anon_sym_enum] = ACTIONS(2506),
    [sym__automatic_semicolon] = ACTIONS(2508),
    [sym_html_comment] = ACTIONS(5),
  },
  [768] = {
    [ts_builtin_sym_end] = ACTIONS(2510),
    [sym_identifier] = ACTIONS(2512),
    [anon_sym_export] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_type] = ACTIONS(2512),
    [anon_sym_namespace] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_RBRACE] = ACTIONS(2510),
    [anon_sym_typeof] = ACTIONS(2512),
    [anon_sym_import] = ACTIONS(2512),
    [anon_sym_with] = ACTIONS(2512),
    [anon_sym_var] = ACTIONS(2512),
    [anon_sym_let] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [anon_sym_await] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_debugger] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_throw] = ACTIONS(2512),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_finally] = ACTIONS(2512),
    [anon_sym_yield] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [sym_glimmer_opening_tag] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_async] = ACTIONS(2512),
    [anon_sym_function] = ACTIONS(2512),
    [anon_sym_new] = ACTIONS(2512),
    [anon_sym_using] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_SLASH] = ACTIONS(2512),
    [anon_sym_LT] = ACTIONS(2512),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_void] = ACTIONS(2512),
    [anon_sym_delete] = ACTIONS(2512),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2510),
    [sym_number] = ACTIONS(2510),
    [sym_private_property_identifier] = ACTIONS(2510),
    [sym_this] = ACTIONS(2512),
    [sym_super] = ACTIONS(2512),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [sym_null] = ACTIONS(2512),
    [sym_undefined] = ACTIONS(2512),
    [anon_sym_AT] = ACTIONS(2510),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_readonly] = ACTIONS(2512),
    [anon_sym_get] = ACTIONS(2512),
    [anon_sym_set] = ACTIONS(2512),
    [anon_sym_declare] = ACTIONS(2512),
    [anon_sym_public] = ACTIONS(2512),
    [anon_sym_private] = ACTIONS(2512),
    [anon_sym_protected] = ACTIONS(2512),
    [anon_sym_override] = ACTIONS(2512),
    [anon_sym_module] = ACTIONS(2512),
    [anon_sym_any] = ACTIONS(2512),
    [anon_sym_number] = ACTIONS(2512),
    [anon_sym_boolean] = ACTIONS(2512),
    [anon_sym_string] = ACTIONS(2512),
    [anon_sym_symbol] = ACTIONS(2512),
    [anon_sym_object] = ACTIONS(2512),
    [anon_sym_abstract] = ACTIONS(2512),
    [anon_sym_interface] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [sym_html_comment] = ACTIONS(5),
  },
  [769] = {
    [sym__call_signature] = STATE(6369),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_export] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2414),
    [anon_sym_EQ] = ACTIONS(1033),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_let] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_readonly] = ACTIONS(2414),
    [anon_sym_get] = ACTIONS(2414),
    [anon_sym_set] = ACTIONS(2414),
    [anon_sym_declare] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_override] = ACTIONS(2414),
    [anon_sym_module] = ACTIONS(2414),
    [anon_sym_any] = ACTIONS(2414),
    [anon_sym_number] = ACTIONS(2414),
    [anon_sym_boolean] = ACTIONS(2414),
    [anon_sym_string] = ACTIONS(2414),
    [anon_sym_symbol] = ACTIONS(2414),
    [anon_sym_object] = ACTIONS(2414),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [770] = {
    [sym__call_signature] = STATE(6369),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_export] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2414),
    [anon_sym_EQ] = ACTIONS(1037),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_let] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_readonly] = ACTIONS(2414),
    [anon_sym_get] = ACTIONS(2414),
    [anon_sym_set] = ACTIONS(2414),
    [anon_sym_declare] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_override] = ACTIONS(2414),
    [anon_sym_module] = ACTIONS(2414),
    [anon_sym_any] = ACTIONS(2414),
    [anon_sym_number] = ACTIONS(2414),
    [anon_sym_boolean] = ACTIONS(2414),
    [anon_sym_string] = ACTIONS(2414),
    [anon_sym_symbol] = ACTIONS(2414),
    [anon_sym_object] = ACTIONS(2414),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [771] = {
    [ts_builtin_sym_end] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_export] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_type] = ACTIONS(2516),
    [anon_sym_namespace] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_RBRACE] = ACTIONS(2514),
    [anon_sym_typeof] = ACTIONS(2516),
    [anon_sym_import] = ACTIONS(2516),
    [anon_sym_with] = ACTIONS(2516),
    [anon_sym_var] = ACTIONS(2516),
    [anon_sym_let] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_await] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_debugger] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_throw] = ACTIONS(2516),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [sym_glimmer_opening_tag] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_async] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_SLASH] = ACTIONS(2516),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_void] = ACTIONS(2516),
    [anon_sym_delete] = ACTIONS(2516),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2514),
    [sym_number] = ACTIONS(2514),
    [sym_private_property_identifier] = ACTIONS(2514),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(2516),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_readonly] = ACTIONS(2516),
    [anon_sym_get] = ACTIONS(2516),
    [anon_sym_set] = ACTIONS(2516),
    [anon_sym_declare] = ACTIONS(2516),
    [anon_sym_public] = ACTIONS(2516),
    [anon_sym_private] = ACTIONS(2516),
    [anon_sym_protected] = ACTIONS(2516),
    [anon_sym_override] = ACTIONS(2516),
    [anon_sym_module] = ACTIONS(2516),
    [anon_sym_any] = ACTIONS(2516),
    [anon_sym_number] = ACTIONS(2516),
    [anon_sym_boolean] = ACTIONS(2516),
    [anon_sym_string] = ACTIONS(2516),
    [anon_sym_symbol] = ACTIONS(2516),
    [anon_sym_object] = ACTIONS(2516),
    [anon_sym_abstract] = ACTIONS(2516),
    [anon_sym_interface] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [sym__automatic_semicolon] = ACTIONS(2514),
    [sym_html_comment] = ACTIONS(5),
  },
  [772] = {
    [ts_builtin_sym_end] = ACTIONS(1911),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_export] = ACTIONS(1913),
    [anon_sym_default] = ACTIONS(1913),
    [anon_sym_type] = ACTIONS(1913),
    [anon_sym_namespace] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_RBRACE] = ACTIONS(1911),
    [anon_sym_typeof] = ACTIONS(1913),
    [anon_sym_import] = ACTIONS(1913),
    [anon_sym_with] = ACTIONS(1913),
    [anon_sym_var] = ACTIONS(1913),
    [anon_sym_let] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_BANG] = ACTIONS(1911),
    [anon_sym_else] = ACTIONS(1913),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_switch] = ACTIONS(1913),
    [anon_sym_for] = ACTIONS(1913),
    [anon_sym_LPAREN] = ACTIONS(1911),
    [anon_sym_await] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1913),
    [anon_sym_do] = ACTIONS(1913),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1913),
    [anon_sym_debugger] = ACTIONS(1913),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym_case] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [sym_glimmer_opening_tag] = ACTIONS(1911),
    [anon_sym_DQUOTE] = ACTIONS(1911),
    [anon_sym_SQUOTE] = ACTIONS(1911),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_async] = ACTIONS(1913),
    [anon_sym_function] = ACTIONS(1913),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_using] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_void] = ACTIONS(1913),
    [anon_sym_delete] = ACTIONS(1913),
    [anon_sym_PLUS_PLUS] = ACTIONS(1911),
    [anon_sym_DASH_DASH] = ACTIONS(1911),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1911),
    [sym_number] = ACTIONS(1911),
    [sym_private_property_identifier] = ACTIONS(1911),
    [sym_this] = ACTIONS(1913),
    [sym_super] = ACTIONS(1913),
    [sym_true] = ACTIONS(1913),
    [sym_false] = ACTIONS(1913),
    [sym_null] = ACTIONS(1913),
    [sym_undefined] = ACTIONS(1913),
    [anon_sym_AT] = ACTIONS(1911),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_readonly] = ACTIONS(1913),
    [anon_sym_get] = ACTIONS(1913),
    [anon_sym_set] = ACTIONS(1913),
    [anon_sym_declare] = ACTIONS(1913),
    [anon_sym_public] = ACTIONS(1913),
    [anon_sym_private] = ACTIONS(1913),
    [anon_sym_protected] = ACTIONS(1913),
    [anon_sym_override] = ACTIONS(1913),
    [anon_sym_module] = ACTIONS(1913),
    [anon_sym_any] = ACTIONS(1913),
    [anon_sym_number] = ACTIONS(1913),
    [anon_sym_boolean] = ACTIONS(1913),
    [anon_sym_string] = ACTIONS(1913),
    [anon_sym_symbol] = ACTIONS(1913),
    [anon_sym_object] = ACTIONS(1913),
    [anon_sym_abstract] = ACTIONS(1913),
    [anon_sym_interface] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
    [sym__automatic_semicolon] = ACTIONS(1919),
    [sym_html_comment] = ACTIONS(5),
  },
  [773] = {
    [sym_statement_block] = STATE(825),
    [ts_builtin_sym_end] = ACTIONS(1703),
    [sym_identifier] = ACTIONS(1705),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_default] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1705),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_RBRACE] = ACTIONS(1703),
    [anon_sym_typeof] = ACTIONS(1705),
    [anon_sym_import] = ACTIONS(1705),
    [anon_sym_with] = ACTIONS(1705),
    [anon_sym_var] = ACTIONS(1705),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_const] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1703),
    [anon_sym_else] = ACTIONS(1705),
    [anon_sym_if] = ACTIONS(1705),
    [anon_sym_switch] = ACTIONS(1705),
    [anon_sym_for] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_await] = ACTIONS(1705),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1705),
    [anon_sym_try] = ACTIONS(1705),
    [anon_sym_break] = ACTIONS(1705),
    [anon_sym_continue] = ACTIONS(1705),
    [anon_sym_debugger] = ACTIONS(1705),
    [anon_sym_return] = ACTIONS(1705),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1703),
    [anon_sym_case] = ACTIONS(1705),
    [anon_sym_yield] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1703),
    [sym_glimmer_opening_tag] = ACTIONS(1703),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [anon_sym_SQUOTE] = ACTIONS(1703),
    [anon_sym_class] = ACTIONS(1705),
    [anon_sym_async] = ACTIONS(1705),
    [anon_sym_function] = ACTIONS(1705),
    [anon_sym_new] = ACTIONS(1705),
    [anon_sym_using] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_TILDE] = ACTIONS(1703),
    [anon_sym_void] = ACTIONS(1705),
    [anon_sym_delete] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1703),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1703),
    [sym_number] = ACTIONS(1703),
    [sym_private_property_identifier] = ACTIONS(1703),
    [sym_this] = ACTIONS(1705),
    [sym_super] = ACTIONS(1705),
    [sym_true] = ACTIONS(1705),
    [sym_false] = ACTIONS(1705),
    [sym_null] = ACTIONS(1705),
    [sym_undefined] = ACTIONS(1705),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_abstract] = ACTIONS(1705),
    [anon_sym_interface] = ACTIONS(1705),
    [anon_sym_enum] = ACTIONS(1705),
    [sym_html_comment] = ACTIONS(5),
  },
  [774] = {
    [ts_builtin_sym_end] = ACTIONS(1877),
    [sym_identifier] = ACTIONS(1879),
    [anon_sym_export] = ACTIONS(1879),
    [anon_sym_default] = ACTIONS(1879),
    [anon_sym_type] = ACTIONS(1879),
    [anon_sym_namespace] = ACTIONS(1879),
    [anon_sym_LBRACE] = ACTIONS(1877),
    [anon_sym_RBRACE] = ACTIONS(1877),
    [anon_sym_typeof] = ACTIONS(1879),
    [anon_sym_import] = ACTIONS(1879),
    [anon_sym_with] = ACTIONS(1879),
    [anon_sym_var] = ACTIONS(1879),
    [anon_sym_let] = ACTIONS(1879),
    [anon_sym_const] = ACTIONS(1879),
    [anon_sym_BANG] = ACTIONS(1877),
    [anon_sym_else] = ACTIONS(1879),
    [anon_sym_if] = ACTIONS(1879),
    [anon_sym_switch] = ACTIONS(1879),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1877),
    [anon_sym_await] = ACTIONS(1879),
    [anon_sym_while] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1879),
    [anon_sym_break] = ACTIONS(1879),
    [anon_sym_continue] = ACTIONS(1879),
    [anon_sym_debugger] = ACTIONS(1879),
    [anon_sym_return] = ACTIONS(1879),
    [anon_sym_throw] = ACTIONS(1879),
    [anon_sym_SEMI] = ACTIONS(1877),
    [anon_sym_case] = ACTIONS(1879),
    [anon_sym_yield] = ACTIONS(1879),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [sym_glimmer_opening_tag] = ACTIONS(1877),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [anon_sym_SQUOTE] = ACTIONS(1877),
    [anon_sym_class] = ACTIONS(1879),
    [anon_sym_async] = ACTIONS(1879),
    [anon_sym_function] = ACTIONS(1879),
    [anon_sym_new] = ACTIONS(1879),
    [anon_sym_using] = ACTIONS(1879),
    [anon_sym_PLUS] = ACTIONS(1879),
    [anon_sym_DASH] = ACTIONS(1879),
    [anon_sym_SLASH] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1877),
    [anon_sym_void] = ACTIONS(1879),
    [anon_sym_delete] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1877),
    [anon_sym_DASH_DASH] = ACTIONS(1877),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1877),
    [sym_number] = ACTIONS(1877),
    [sym_private_property_identifier] = ACTIONS(1877),
    [sym_this] = ACTIONS(1879),
    [sym_super] = ACTIONS(1879),
    [sym_true] = ACTIONS(1879),
    [sym_false] = ACTIONS(1879),
    [sym_null] = ACTIONS(1879),
    [sym_undefined] = ACTIONS(1879),
    [anon_sym_AT] = ACTIONS(1877),
    [anon_sym_static] = ACTIONS(1879),
    [anon_sym_readonly] = ACTIONS(1879),
    [anon_sym_get] = ACTIONS(1879),
    [anon_sym_set] = ACTIONS(1879),
    [anon_sym_declare] = ACTIONS(1879),
    [anon_sym_public] = ACTIONS(1879),
    [anon_sym_private] = ACTIONS(1879),
    [anon_sym_protected] = ACTIONS(1879),
    [anon_sym_override] = ACTIONS(1879),
    [anon_sym_module] = ACTIONS(1879),
    [anon_sym_any] = ACTIONS(1879),
    [anon_sym_number] = ACTIONS(1879),
    [anon_sym_boolean] = ACTIONS(1879),
    [anon_sym_string] = ACTIONS(1879),
    [anon_sym_symbol] = ACTIONS(1879),
    [anon_sym_object] = ACTIONS(1879),
    [anon_sym_abstract] = ACTIONS(1879),
    [anon_sym_interface] = ACTIONS(1879),
    [anon_sym_enum] = ACTIONS(1879),
    [sym__automatic_semicolon] = ACTIONS(1885),
    [sym_html_comment] = ACTIONS(5),
  },
  [775] = {
    [sym__call_signature] = STATE(6369),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_export] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2414),
    [anon_sym_EQ] = ACTIONS(1041),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_let] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_readonly] = ACTIONS(2414),
    [anon_sym_get] = ACTIONS(2414),
    [anon_sym_set] = ACTIONS(2414),
    [anon_sym_declare] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_override] = ACTIONS(2414),
    [anon_sym_module] = ACTIONS(2414),
    [anon_sym_any] = ACTIONS(2414),
    [anon_sym_number] = ACTIONS(2414),
    [anon_sym_boolean] = ACTIONS(2414),
    [anon_sym_string] = ACTIONS(2414),
    [anon_sym_symbol] = ACTIONS(2414),
    [anon_sym_object] = ACTIONS(2414),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [776] = {
    [sym__call_signature] = STATE(6369),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_export] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2414),
    [anon_sym_EQ] = ACTIONS(979),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_let] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_readonly] = ACTIONS(2414),
    [anon_sym_get] = ACTIONS(2414),
    [anon_sym_set] = ACTIONS(2414),
    [anon_sym_declare] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_override] = ACTIONS(2414),
    [anon_sym_module] = ACTIONS(2414),
    [anon_sym_any] = ACTIONS(2414),
    [anon_sym_number] = ACTIONS(2414),
    [anon_sym_boolean] = ACTIONS(2414),
    [anon_sym_string] = ACTIONS(2414),
    [anon_sym_symbol] = ACTIONS(2414),
    [anon_sym_object] = ACTIONS(2414),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [777] = {
    [ts_builtin_sym_end] = ACTIONS(2518),
    [sym_identifier] = ACTIONS(2520),
    [anon_sym_export] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_type] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_RBRACE] = ACTIONS(2518),
    [anon_sym_typeof] = ACTIONS(2520),
    [anon_sym_import] = ACTIONS(2520),
    [anon_sym_with] = ACTIONS(2520),
    [anon_sym_var] = ACTIONS(2520),
    [anon_sym_let] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_LPAREN] = ACTIONS(2518),
    [anon_sym_RPAREN] = ACTIONS(2518),
    [anon_sym_await] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_debugger] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_yield] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [sym_glimmer_opening_tag] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_async] = ACTIONS(2520),
    [anon_sym_function] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_SLASH] = ACTIONS(2520),
    [anon_sym_LT] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_void] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2518),
    [sym_number] = ACTIONS(2518),
    [sym_private_property_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2520),
    [sym_super] = ACTIONS(2520),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [sym_null] = ACTIONS(2520),
    [sym_undefined] = ACTIONS(2520),
    [anon_sym_AT] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_readonly] = ACTIONS(2520),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
    [anon_sym_declare] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_override] = ACTIONS(2520),
    [anon_sym_module] = ACTIONS(2520),
    [anon_sym_any] = ACTIONS(2520),
    [anon_sym_number] = ACTIONS(2520),
    [anon_sym_boolean] = ACTIONS(2520),
    [anon_sym_string] = ACTIONS(2520),
    [anon_sym_symbol] = ACTIONS(2520),
    [anon_sym_object] = ACTIONS(2520),
    [anon_sym_abstract] = ACTIONS(2520),
    [anon_sym_interface] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [sym_html_comment] = ACTIONS(5),
  },
  [778] = {
    [sym__call_signature] = STATE(6369),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_export] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2414),
    [anon_sym_EQ] = ACTIONS(1043),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_let] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_readonly] = ACTIONS(2414),
    [anon_sym_get] = ACTIONS(2414),
    [anon_sym_set] = ACTIONS(2414),
    [anon_sym_declare] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_override] = ACTIONS(2414),
    [anon_sym_module] = ACTIONS(2414),
    [anon_sym_any] = ACTIONS(2414),
    [anon_sym_number] = ACTIONS(2414),
    [anon_sym_boolean] = ACTIONS(2414),
    [anon_sym_string] = ACTIONS(2414),
    [anon_sym_symbol] = ACTIONS(2414),
    [anon_sym_object] = ACTIONS(2414),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [779] = {
    [sym__call_signature] = STATE(6369),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_export] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2414),
    [anon_sym_EQ] = ACTIONS(1039),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_let] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_readonly] = ACTIONS(2414),
    [anon_sym_get] = ACTIONS(2414),
    [anon_sym_set] = ACTIONS(2414),
    [anon_sym_declare] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_override] = ACTIONS(2414),
    [anon_sym_module] = ACTIONS(2414),
    [anon_sym_any] = ACTIONS(2414),
    [anon_sym_number] = ACTIONS(2414),
    [anon_sym_boolean] = ACTIONS(2414),
    [anon_sym_string] = ACTIONS(2414),
    [anon_sym_symbol] = ACTIONS(2414),
    [anon_sym_object] = ACTIONS(2414),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [780] = {
    [ts_builtin_sym_end] = ACTIONS(1835),
    [sym_identifier] = ACTIONS(1837),
    [anon_sym_export] = ACTIONS(1837),
    [anon_sym_default] = ACTIONS(1837),
    [anon_sym_type] = ACTIONS(1837),
    [anon_sym_namespace] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1835),
    [anon_sym_RBRACE] = ACTIONS(1835),
    [anon_sym_typeof] = ACTIONS(1837),
    [anon_sym_import] = ACTIONS(1837),
    [anon_sym_with] = ACTIONS(1837),
    [anon_sym_var] = ACTIONS(1837),
    [anon_sym_let] = ACTIONS(1837),
    [anon_sym_const] = ACTIONS(1837),
    [anon_sym_BANG] = ACTIONS(1835),
    [anon_sym_else] = ACTIONS(1837),
    [anon_sym_if] = ACTIONS(1837),
    [anon_sym_switch] = ACTIONS(1837),
    [anon_sym_for] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_await] = ACTIONS(1837),
    [anon_sym_while] = ACTIONS(1837),
    [anon_sym_do] = ACTIONS(1837),
    [anon_sym_try] = ACTIONS(1837),
    [anon_sym_break] = ACTIONS(1837),
    [anon_sym_continue] = ACTIONS(1837),
    [anon_sym_debugger] = ACTIONS(1837),
    [anon_sym_return] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1837),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_case] = ACTIONS(1837),
    [anon_sym_yield] = ACTIONS(1837),
    [anon_sym_LBRACK] = ACTIONS(1835),
    [sym_glimmer_opening_tag] = ACTIONS(1835),
    [anon_sym_DQUOTE] = ACTIONS(1835),
    [anon_sym_SQUOTE] = ACTIONS(1835),
    [anon_sym_class] = ACTIONS(1837),
    [anon_sym_async] = ACTIONS(1837),
    [anon_sym_function] = ACTIONS(1837),
    [anon_sym_new] = ACTIONS(1837),
    [anon_sym_using] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_DASH] = ACTIONS(1837),
    [anon_sym_SLASH] = ACTIONS(1837),
    [anon_sym_LT] = ACTIONS(1837),
    [anon_sym_TILDE] = ACTIONS(1835),
    [anon_sym_void] = ACTIONS(1837),
    [anon_sym_delete] = ACTIONS(1837),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1835),
    [sym_number] = ACTIONS(1835),
    [sym_private_property_identifier] = ACTIONS(1835),
    [sym_this] = ACTIONS(1837),
    [sym_super] = ACTIONS(1837),
    [sym_true] = ACTIONS(1837),
    [sym_false] = ACTIONS(1837),
    [sym_null] = ACTIONS(1837),
    [sym_undefined] = ACTIONS(1837),
    [anon_sym_AT] = ACTIONS(1835),
    [anon_sym_static] = ACTIONS(1837),
    [anon_sym_readonly] = ACTIONS(1837),
    [anon_sym_get] = ACTIONS(1837),
    [anon_sym_set] = ACTIONS(1837),
    [anon_sym_declare] = ACTIONS(1837),
    [anon_sym_public] = ACTIONS(1837),
    [anon_sym_private] = ACTIONS(1837),
    [anon_sym_protected] = ACTIONS(1837),
    [anon_sym_override] = ACTIONS(1837),
    [anon_sym_module] = ACTIONS(1837),
    [anon_sym_any] = ACTIONS(1837),
    [anon_sym_number] = ACTIONS(1837),
    [anon_sym_boolean] = ACTIONS(1837),
    [anon_sym_string] = ACTIONS(1837),
    [anon_sym_symbol] = ACTIONS(1837),
    [anon_sym_object] = ACTIONS(1837),
    [anon_sym_abstract] = ACTIONS(1837),
    [anon_sym_interface] = ACTIONS(1837),
    [anon_sym_enum] = ACTIONS(1837),
    [sym__automatic_semicolon] = ACTIONS(1843),
    [sym_html_comment] = ACTIONS(5),
  },
  [781] = {
    [ts_builtin_sym_end] = ACTIONS(1921),
    [sym_identifier] = ACTIONS(1923),
    [anon_sym_export] = ACTIONS(1923),
    [anon_sym_default] = ACTIONS(1923),
    [anon_sym_type] = ACTIONS(1923),
    [anon_sym_namespace] = ACTIONS(1923),
    [anon_sym_LBRACE] = ACTIONS(1921),
    [anon_sym_RBRACE] = ACTIONS(1921),
    [anon_sym_typeof] = ACTIONS(1923),
    [anon_sym_import] = ACTIONS(1923),
    [anon_sym_with] = ACTIONS(1923),
    [anon_sym_var] = ACTIONS(1923),
    [anon_sym_let] = ACTIONS(1923),
    [anon_sym_const] = ACTIONS(1923),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_else] = ACTIONS(1923),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_switch] = ACTIONS(1923),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_LPAREN] = ACTIONS(1921),
    [anon_sym_await] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1923),
    [anon_sym_do] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1923),
    [anon_sym_break] = ACTIONS(1923),
    [anon_sym_continue] = ACTIONS(1923),
    [anon_sym_debugger] = ACTIONS(1923),
    [anon_sym_return] = ACTIONS(1923),
    [anon_sym_throw] = ACTIONS(1923),
    [anon_sym_SEMI] = ACTIONS(1921),
    [anon_sym_case] = ACTIONS(1923),
    [anon_sym_yield] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1921),
    [sym_glimmer_opening_tag] = ACTIONS(1921),
    [anon_sym_DQUOTE] = ACTIONS(1921),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [anon_sym_class] = ACTIONS(1923),
    [anon_sym_async] = ACTIONS(1923),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_new] = ACTIONS(1923),
    [anon_sym_using] = ACTIONS(1923),
    [anon_sym_PLUS] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1923),
    [anon_sym_SLASH] = ACTIONS(1923),
    [anon_sym_LT] = ACTIONS(1923),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_void] = ACTIONS(1923),
    [anon_sym_delete] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1921),
    [anon_sym_DASH_DASH] = ACTIONS(1921),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1921),
    [sym_number] = ACTIONS(1921),
    [sym_private_property_identifier] = ACTIONS(1921),
    [sym_this] = ACTIONS(1923),
    [sym_super] = ACTIONS(1923),
    [sym_true] = ACTIONS(1923),
    [sym_false] = ACTIONS(1923),
    [sym_null] = ACTIONS(1923),
    [sym_undefined] = ACTIONS(1923),
    [anon_sym_AT] = ACTIONS(1921),
    [anon_sym_static] = ACTIONS(1923),
    [anon_sym_readonly] = ACTIONS(1923),
    [anon_sym_get] = ACTIONS(1923),
    [anon_sym_set] = ACTIONS(1923),
    [anon_sym_declare] = ACTIONS(1923),
    [anon_sym_public] = ACTIONS(1923),
    [anon_sym_private] = ACTIONS(1923),
    [anon_sym_protected] = ACTIONS(1923),
    [anon_sym_override] = ACTIONS(1923),
    [anon_sym_module] = ACTIONS(1923),
    [anon_sym_any] = ACTIONS(1923),
    [anon_sym_number] = ACTIONS(1923),
    [anon_sym_boolean] = ACTIONS(1923),
    [anon_sym_string] = ACTIONS(1923),
    [anon_sym_symbol] = ACTIONS(1923),
    [anon_sym_object] = ACTIONS(1923),
    [anon_sym_abstract] = ACTIONS(1923),
    [anon_sym_interface] = ACTIONS(1923),
    [anon_sym_enum] = ACTIONS(1923),
    [sym__automatic_semicolon] = ACTIONS(1929),
    [sym_html_comment] = ACTIONS(5),
  },
  [782] = {
    [ts_builtin_sym_end] = ACTIONS(2522),
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_export] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_type] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_typeof] = ACTIONS(2524),
    [anon_sym_import] = ACTIONS(2524),
    [anon_sym_with] = ACTIONS(2524),
    [anon_sym_var] = ACTIONS(2524),
    [anon_sym_let] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2522),
    [anon_sym_await] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_debugger] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_yield] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [sym_glimmer_opening_tag] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_void] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2522),
    [sym_number] = ACTIONS(2522),
    [sym_private_property_identifier] = ACTIONS(2522),
    [sym_this] = ACTIONS(2524),
    [sym_super] = ACTIONS(2524),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [sym_null] = ACTIONS(2524),
    [sym_undefined] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_readonly] = ACTIONS(2524),
    [anon_sym_get] = ACTIONS(2524),
    [anon_sym_set] = ACTIONS(2524),
    [anon_sym_declare] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_override] = ACTIONS(2524),
    [anon_sym_module] = ACTIONS(2524),
    [anon_sym_any] = ACTIONS(2524),
    [anon_sym_number] = ACTIONS(2524),
    [anon_sym_boolean] = ACTIONS(2524),
    [anon_sym_string] = ACTIONS(2524),
    [anon_sym_symbol] = ACTIONS(2524),
    [anon_sym_object] = ACTIONS(2524),
    [anon_sym_abstract] = ACTIONS(2524),
    [anon_sym_interface] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [sym__automatic_semicolon] = ACTIONS(2522),
    [sym_html_comment] = ACTIONS(5),
  },
  [783] = {
    [ts_builtin_sym_end] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1869),
    [anon_sym_export] = ACTIONS(1869),
    [anon_sym_default] = ACTIONS(1869),
    [anon_sym_type] = ACTIONS(1869),
    [anon_sym_namespace] = ACTIONS(1869),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1867),
    [anon_sym_typeof] = ACTIONS(1869),
    [anon_sym_import] = ACTIONS(1869),
    [anon_sym_with] = ACTIONS(1869),
    [anon_sym_var] = ACTIONS(1869),
    [anon_sym_let] = ACTIONS(1869),
    [anon_sym_const] = ACTIONS(1869),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_else] = ACTIONS(1869),
    [anon_sym_if] = ACTIONS(1869),
    [anon_sym_switch] = ACTIONS(1869),
    [anon_sym_for] = ACTIONS(1869),
    [anon_sym_LPAREN] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_while] = ACTIONS(1869),
    [anon_sym_do] = ACTIONS(1869),
    [anon_sym_try] = ACTIONS(1869),
    [anon_sym_break] = ACTIONS(1869),
    [anon_sym_continue] = ACTIONS(1869),
    [anon_sym_debugger] = ACTIONS(1869),
    [anon_sym_return] = ACTIONS(1869),
    [anon_sym_throw] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1867),
    [anon_sym_case] = ACTIONS(1869),
    [anon_sym_yield] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [sym_glimmer_opening_tag] = ACTIONS(1867),
    [anon_sym_DQUOTE] = ACTIONS(1867),
    [anon_sym_SQUOTE] = ACTIONS(1867),
    [anon_sym_class] = ACTIONS(1869),
    [anon_sym_async] = ACTIONS(1869),
    [anon_sym_function] = ACTIONS(1869),
    [anon_sym_new] = ACTIONS(1869),
    [anon_sym_using] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1869),
    [anon_sym_delete] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1867),
    [anon_sym_DASH_DASH] = ACTIONS(1867),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [sym_private_property_identifier] = ACTIONS(1867),
    [sym_this] = ACTIONS(1869),
    [sym_super] = ACTIONS(1869),
    [sym_true] = ACTIONS(1869),
    [sym_false] = ACTIONS(1869),
    [sym_null] = ACTIONS(1869),
    [sym_undefined] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_static] = ACTIONS(1869),
    [anon_sym_readonly] = ACTIONS(1869),
    [anon_sym_get] = ACTIONS(1869),
    [anon_sym_set] = ACTIONS(1869),
    [anon_sym_declare] = ACTIONS(1869),
    [anon_sym_public] = ACTIONS(1869),
    [anon_sym_private] = ACTIONS(1869),
    [anon_sym_protected] = ACTIONS(1869),
    [anon_sym_override] = ACTIONS(1869),
    [anon_sym_module] = ACTIONS(1869),
    [anon_sym_any] = ACTIONS(1869),
    [anon_sym_number] = ACTIONS(1869),
    [anon_sym_boolean] = ACTIONS(1869),
    [anon_sym_string] = ACTIONS(1869),
    [anon_sym_symbol] = ACTIONS(1869),
    [anon_sym_object] = ACTIONS(1869),
    [anon_sym_abstract] = ACTIONS(1869),
    [anon_sym_interface] = ACTIONS(1869),
    [anon_sym_enum] = ACTIONS(1869),
    [sym__automatic_semicolon] = ACTIONS(1875),
    [sym_html_comment] = ACTIONS(5),
  },
  [784] = {
    [ts_builtin_sym_end] = ACTIONS(1855),
    [sym_identifier] = ACTIONS(1857),
    [anon_sym_export] = ACTIONS(1857),
    [anon_sym_default] = ACTIONS(1857),
    [anon_sym_type] = ACTIONS(1857),
    [anon_sym_namespace] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_RBRACE] = ACTIONS(1855),
    [anon_sym_typeof] = ACTIONS(1857),
    [anon_sym_import] = ACTIONS(1857),
    [anon_sym_with] = ACTIONS(1857),
    [anon_sym_var] = ACTIONS(1857),
    [anon_sym_let] = ACTIONS(1857),
    [anon_sym_const] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1855),
    [anon_sym_else] = ACTIONS(1857),
    [anon_sym_if] = ACTIONS(1857),
    [anon_sym_switch] = ACTIONS(1857),
    [anon_sym_for] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_while] = ACTIONS(1857),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_try] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_debugger] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1855),
    [anon_sym_case] = ACTIONS(1857),
    [anon_sym_yield] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [sym_glimmer_opening_tag] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_DQUOTE] = ACTIONS(1855),
    [anon_sym_SQUOTE] = ACTIONS(1855),
    [anon_sym_class] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_function] = ACTIONS(1857),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_using] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1855),
    [anon_sym_void] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1855),
    [sym_number] = ACTIONS(1855),
    [sym_private_property_identifier] = ACTIONS(1855),
    [sym_this] = ACTIONS(1857),
    [sym_super] = ACTIONS(1857),
    [sym_true] = ACTIONS(1857),
    [sym_false] = ACTIONS(1857),
    [sym_null] = ACTIONS(1857),
    [sym_undefined] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1855),
    [anon_sym_static] = ACTIONS(1857),
    [anon_sym_readonly] = ACTIONS(1857),
    [anon_sym_get] = ACTIONS(1857),
    [anon_sym_set] = ACTIONS(1857),
    [anon_sym_declare] = ACTIONS(1857),
    [anon_sym_public] = ACTIONS(1857),
    [anon_sym_private] = ACTIONS(1857),
    [anon_sym_protected] = ACTIONS(1857),
    [anon_sym_override] = ACTIONS(1857),
    [anon_sym_module] = ACTIONS(1857),
    [anon_sym_any] = ACTIONS(1857),
    [anon_sym_number] = ACTIONS(1857),
    [anon_sym_boolean] = ACTIONS(1857),
    [anon_sym_string] = ACTIONS(1857),
    [anon_sym_symbol] = ACTIONS(1857),
    [anon_sym_object] = ACTIONS(1857),
    [anon_sym_abstract] = ACTIONS(1857),
    [anon_sym_interface] = ACTIONS(1857),
    [anon_sym_enum] = ACTIONS(1857),
    [sym_html_comment] = ACTIONS(5),
  },
  [785] = {
    [ts_builtin_sym_end] = ACTIONS(2526),
    [sym_identifier] = ACTIONS(2528),
    [anon_sym_export] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_type] = ACTIONS(2528),
    [anon_sym_namespace] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_RBRACE] = ACTIONS(2526),
    [anon_sym_typeof] = ACTIONS(2528),
    [anon_sym_import] = ACTIONS(2528),
    [anon_sym_with] = ACTIONS(2528),
    [anon_sym_var] = ACTIONS(2528),
    [anon_sym_let] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_LPAREN] = ACTIONS(2526),
    [anon_sym_await] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_try] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_debugger] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_throw] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_finally] = ACTIONS(2528),
    [anon_sym_yield] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [sym_glimmer_opening_tag] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_async] = ACTIONS(2528),
    [anon_sym_function] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_SLASH] = ACTIONS(2528),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_void] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2526),
    [sym_number] = ACTIONS(2526),
    [sym_private_property_identifier] = ACTIONS(2526),
    [sym_this] = ACTIONS(2528),
    [sym_super] = ACTIONS(2528),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [sym_null] = ACTIONS(2528),
    [sym_undefined] = ACTIONS(2528),
    [anon_sym_AT] = ACTIONS(2526),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_readonly] = ACTIONS(2528),
    [anon_sym_get] = ACTIONS(2528),
    [anon_sym_set] = ACTIONS(2528),
    [anon_sym_declare] = ACTIONS(2528),
    [anon_sym_public] = ACTIONS(2528),
    [anon_sym_private] = ACTIONS(2528),
    [anon_sym_protected] = ACTIONS(2528),
    [anon_sym_override] = ACTIONS(2528),
    [anon_sym_module] = ACTIONS(2528),
    [anon_sym_any] = ACTIONS(2528),
    [anon_sym_number] = ACTIONS(2528),
    [anon_sym_boolean] = ACTIONS(2528),
    [anon_sym_string] = ACTIONS(2528),
    [anon_sym_symbol] = ACTIONS(2528),
    [anon_sym_object] = ACTIONS(2528),
    [anon_sym_abstract] = ACTIONS(2528),
    [anon_sym_interface] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [sym_html_comment] = ACTIONS(5),
  },
  [786] = {
    [sym__call_signature] = STATE(6369),
    [sym_formal_parameters] = STATE(3988),
    [sym_type_parameters] = STATE(6004),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_export] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2414),
    [anon_sym_EQ] = ACTIONS(1045),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2414),
    [anon_sym_let] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2414),
    [anon_sym_function] = ACTIONS(2419),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2414),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2414),
    [anon_sym_readonly] = ACTIONS(2414),
    [anon_sym_get] = ACTIONS(2414),
    [anon_sym_set] = ACTIONS(2414),
    [anon_sym_declare] = ACTIONS(2414),
    [anon_sym_public] = ACTIONS(2414),
    [anon_sym_private] = ACTIONS(2414),
    [anon_sym_protected] = ACTIONS(2414),
    [anon_sym_override] = ACTIONS(2414),
    [anon_sym_module] = ACTIONS(2414),
    [anon_sym_any] = ACTIONS(2414),
    [anon_sym_number] = ACTIONS(2414),
    [anon_sym_boolean] = ACTIONS(2414),
    [anon_sym_string] = ACTIONS(2414),
    [anon_sym_symbol] = ACTIONS(2414),
    [anon_sym_object] = ACTIONS(2414),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [787] = {
    [ts_builtin_sym_end] = ACTIONS(1819),
    [sym_identifier] = ACTIONS(1821),
    [anon_sym_export] = ACTIONS(1821),
    [anon_sym_default] = ACTIONS(1821),
    [anon_sym_type] = ACTIONS(1821),
    [anon_sym_namespace] = ACTIONS(1821),
    [anon_sym_LBRACE] = ACTIONS(1819),
    [anon_sym_RBRACE] = ACTIONS(1819),
    [anon_sym_typeof] = ACTIONS(1821),
    [anon_sym_import] = ACTIONS(1821),
    [anon_sym_with] = ACTIONS(1821),
    [anon_sym_var] = ACTIONS(1821),
    [anon_sym_let] = ACTIONS(1821),
    [anon_sym_const] = ACTIONS(1821),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_else] = ACTIONS(1821),
    [anon_sym_if] = ACTIONS(1821),
    [anon_sym_switch] = ACTIONS(1821),
    [anon_sym_for] = ACTIONS(1821),
    [anon_sym_LPAREN] = ACTIONS(1819),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_while] = ACTIONS(1821),
    [anon_sym_do] = ACTIONS(1821),
    [anon_sym_try] = ACTIONS(1821),
    [anon_sym_break] = ACTIONS(1821),
    [anon_sym_continue] = ACTIONS(1821),
    [anon_sym_debugger] = ACTIONS(1821),
    [anon_sym_return] = ACTIONS(1821),
    [anon_sym_throw] = ACTIONS(1821),
    [anon_sym_SEMI] = ACTIONS(1819),
    [anon_sym_case] = ACTIONS(1821),
    [anon_sym_yield] = ACTIONS(1821),
    [anon_sym_LBRACK] = ACTIONS(1819),
    [sym_glimmer_opening_tag] = ACTIONS(1819),
    [anon_sym_DQUOTE] = ACTIONS(1819),
    [anon_sym_SQUOTE] = ACTIONS(1819),
    [anon_sym_class] = ACTIONS(1821),
    [anon_sym_async] = ACTIONS(1821),
    [anon_sym_function] = ACTIONS(1821),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_using] = ACTIONS(1821),
    [anon_sym_PLUS] = ACTIONS(1821),
    [anon_sym_DASH] = ACTIONS(1821),
    [anon_sym_SLASH] = ACTIONS(1821),
    [anon_sym_LT] = ACTIONS(1821),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1821),
    [anon_sym_delete] = ACTIONS(1821),
    [anon_sym_PLUS_PLUS] = ACTIONS(1819),
    [anon_sym_DASH_DASH] = ACTIONS(1819),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1819),
    [sym_number] = ACTIONS(1819),
    [sym_private_property_identifier] = ACTIONS(1819),
    [sym_this] = ACTIONS(1821),
    [sym_super] = ACTIONS(1821),
    [sym_true] = ACTIONS(1821),
    [sym_false] = ACTIONS(1821),
    [sym_null] = ACTIONS(1821),
    [sym_undefined] = ACTIONS(1821),
    [anon_sym_AT] = ACTIONS(1819),
    [anon_sym_static] = ACTIONS(1821),
    [anon_sym_readonly] = ACTIONS(1821),
    [anon_sym_get] = ACTIONS(1821),
    [anon_sym_set] = ACTIONS(1821),
    [anon_sym_declare] = ACTIONS(1821),
    [anon_sym_public] = ACTIONS(1821),
    [anon_sym_private] = ACTIONS(1821),
    [anon_sym_protected] = ACTIONS(1821),
    [anon_sym_override] = ACTIONS(1821),
    [anon_sym_module] = ACTIONS(1821),
    [anon_sym_any] = ACTIONS(1821),
    [anon_sym_number] = ACTIONS(1821),
    [anon_sym_boolean] = ACTIONS(1821),
    [anon_sym_string] = ACTIONS(1821),
    [anon_sym_symbol] = ACTIONS(1821),
    [anon_sym_object] = ACTIONS(1821),
    [anon_sym_abstract] = ACTIONS(1821),
    [anon_sym_interface] = ACTIONS(1821),
    [anon_sym_enum] = ACTIONS(1821),
    [sym__automatic_semicolon] = ACTIONS(1827),
    [sym_html_comment] = ACTIONS(5),
  },
  [788] = {
    [ts_builtin_sym_end] = ACTIONS(2530),
    [sym_identifier] = ACTIONS(2532),
    [anon_sym_export] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_type] = ACTIONS(2532),
    [anon_sym_namespace] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_RBRACE] = ACTIONS(2530),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_import] = ACTIONS(2532),
    [anon_sym_with] = ACTIONS(2532),
    [anon_sym_var] = ACTIONS(2532),
    [anon_sym_let] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_LPAREN] = ACTIONS(2530),
    [anon_sym_await] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_debugger] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_yield] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [sym_glimmer_opening_tag] = ACTIONS(2530),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_async] = ACTIONS(2532),
    [anon_sym_function] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_SLASH] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2530),
    [sym_number] = ACTIONS(2530),
    [sym_private_property_identifier] = ACTIONS(2530),
    [sym_this] = ACTIONS(2532),
    [sym_super] = ACTIONS(2532),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [sym_null] = ACTIONS(2532),
    [sym_undefined] = ACTIONS(2532),
    [anon_sym_AT] = ACTIONS(2530),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_readonly] = ACTIONS(2532),
    [anon_sym_get] = ACTIONS(2532),
    [anon_sym_set] = ACTIONS(2532),
    [anon_sym_declare] = ACTIONS(2532),
    [anon_sym_public] = ACTIONS(2532),
    [anon_sym_private] = ACTIONS(2532),
    [anon_sym_protected] = ACTIONS(2532),
    [anon_sym_override] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(2532),
    [anon_sym_any] = ACTIONS(2532),
    [anon_sym_number] = ACTIONS(2532),
    [anon_sym_boolean] = ACTIONS(2532),
    [anon_sym_string] = ACTIONS(2532),
    [anon_sym_symbol] = ACTIONS(2532),
    [anon_sym_object] = ACTIONS(2532),
    [anon_sym_abstract] = ACTIONS(2532),
    [anon_sym_interface] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [sym_html_comment] = ACTIONS(5),
  },
  [789] = {
    [ts_builtin_sym_end] = ACTIONS(2534),
    [sym_identifier] = ACTIONS(2536),
    [anon_sym_export] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_type] = ACTIONS(2536),
    [anon_sym_namespace] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_RBRACE] = ACTIONS(2534),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_import] = ACTIONS(2536),
    [anon_sym_with] = ACTIONS(2536),
    [anon_sym_var] = ACTIONS(2536),
    [anon_sym_let] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_LPAREN] = ACTIONS(2534),
    [anon_sym_await] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_try] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_debugger] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_throw] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_yield] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [sym_glimmer_opening_tag] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_async] = ACTIONS(2536),
    [anon_sym_function] = ACTIONS(2536),
    [anon_sym_new] = ACTIONS(2536),
    [anon_sym_using] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_SLASH] = ACTIONS(2536),
    [anon_sym_LT] = ACTIONS(2536),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_void] = ACTIONS(2536),
    [anon_sym_delete] = ACTIONS(2536),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2534),
    [sym_number] = ACTIONS(2534),
    [sym_private_property_identifier] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_super] = ACTIONS(2536),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [sym_null] = ACTIONS(2536),
    [sym_undefined] = ACTIONS(2536),
    [anon_sym_AT] = ACTIONS(2534),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_readonly] = ACTIONS(2536),
    [anon_sym_get] = ACTIONS(2536),
    [anon_sym_set] = ACTIONS(2536),
    [anon_sym_declare] = ACTIONS(2536),
    [anon_sym_public] = ACTIONS(2536),
    [anon_sym_private] = ACTIONS(2536),
    [anon_sym_protected] = ACTIONS(2536),
    [anon_sym_override] = ACTIONS(2536),
    [anon_sym_module] = ACTIONS(2536),
    [anon_sym_any] = ACTIONS(2536),
    [anon_sym_number] = ACTIONS(2536),
    [anon_sym_boolean] = ACTIONS(2536),
    [anon_sym_string] = ACTIONS(2536),
    [anon_sym_symbol] = ACTIONS(2536),
    [anon_sym_object] = ACTIONS(2536),
    [anon_sym_abstract] = ACTIONS(2536),
    [anon_sym_interface] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [sym_html_comment] = ACTIONS(5),
  },
  [790] = {
    [ts_builtin_sym_end] = ACTIONS(2538),
    [sym_identifier] = ACTIONS(2540),
    [anon_sym_export] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_type] = ACTIONS(2540),
    [anon_sym_namespace] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_typeof] = ACTIONS(2540),
    [anon_sym_import] = ACTIONS(2540),
    [anon_sym_with] = ACTIONS(2540),
    [anon_sym_var] = ACTIONS(2540),
    [anon_sym_let] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(2538),
    [anon_sym_await] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_try] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_debugger] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_throw] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_yield] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [sym_glimmer_opening_tag] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_async] = ACTIONS(2540),
    [anon_sym_function] = ACTIONS(2540),
    [anon_sym_new] = ACTIONS(2540),
    [anon_sym_using] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_void] = ACTIONS(2540),
    [anon_sym_delete] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2538),
    [sym_number] = ACTIONS(2538),
    [sym_private_property_identifier] = ACTIONS(2538),
    [sym_this] = ACTIONS(2540),
    [sym_super] = ACTIONS(2540),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [sym_null] = ACTIONS(2540),
    [sym_undefined] = ACTIONS(2540),
    [anon_sym_AT] = ACTIONS(2538),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_readonly] = ACTIONS(2540),
    [anon_sym_get] = ACTIONS(2540),
    [anon_sym_set] = ACTIONS(2540),
    [anon_sym_declare] = ACTIONS(2540),
    [anon_sym_public] = ACTIONS(2540),
    [anon_sym_private] = ACTIONS(2540),
    [anon_sym_protected] = ACTIONS(2540),
    [anon_sym_override] = ACTIONS(2540),
    [anon_sym_module] = ACTIONS(2540),
    [anon_sym_any] = ACTIONS(2540),
    [anon_sym_number] = ACTIONS(2540),
    [anon_sym_boolean] = ACTIONS(2540),
    [anon_sym_string] = ACTIONS(2540),
    [anon_sym_symbol] = ACTIONS(2540),
    [anon_sym_object] = ACTIONS(2540),
    [anon_sym_abstract] = ACTIONS(2540),
    [anon_sym_interface] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [sym_html_comment] = ACTIONS(5),
  },
  [791] = {
    [ts_builtin_sym_end] = ACTIONS(2542),
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_export] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_type] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(2542),
    [anon_sym_typeof] = ACTIONS(2544),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_with] = ACTIONS(2544),
    [anon_sym_var] = ACTIONS(2544),
    [anon_sym_let] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_LPAREN] = ACTIONS(2542),
    [anon_sym_await] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_debugger] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_yield] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [sym_glimmer_opening_tag] = ACTIONS(2542),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_async] = ACTIONS(2544),
    [anon_sym_function] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_SLASH] = ACTIONS(2544),
    [anon_sym_LT] = ACTIONS(2544),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_void] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2542),
    [sym_number] = ACTIONS(2542),
    [sym_private_property_identifier] = ACTIONS(2542),
    [sym_this] = ACTIONS(2544),
    [sym_super] = ACTIONS(2544),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [sym_null] = ACTIONS(2544),
    [sym_undefined] = ACTIONS(2544),
    [anon_sym_AT] = ACTIONS(2542),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_readonly] = ACTIONS(2544),
    [anon_sym_get] = ACTIONS(2544),
    [anon_sym_set] = ACTIONS(2544),
    [anon_sym_declare] = ACTIONS(2544),
    [anon_sym_public] = ACTIONS(2544),
    [anon_sym_private] = ACTIONS(2544),
    [anon_sym_protected] = ACTIONS(2544),
    [anon_sym_override] = ACTIONS(2544),
    [anon_sym_module] = ACTIONS(2544),
    [anon_sym_any] = ACTIONS(2544),
    [anon_sym_number] = ACTIONS(2544),
    [anon_sym_boolean] = ACTIONS(2544),
    [anon_sym_string] = ACTIONS(2544),
    [anon_sym_symbol] = ACTIONS(2544),
    [anon_sym_object] = ACTIONS(2544),
    [anon_sym_abstract] = ACTIONS(2544),
    [anon_sym_interface] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [sym_html_comment] = ACTIONS(5),
  },
  [792] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_rest_pattern] = STATE(5898),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(5032),
    [sym_optional_tuple_parameter] = STATE(5032),
    [sym_optional_type] = STATE(5032),
    [sym_rest_type] = STATE(5032),
    [sym__tuple_type_member] = STATE(5032),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(2548),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [793] = {
    [ts_builtin_sym_end] = ACTIONS(2558),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_export] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_type] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_typeof] = ACTIONS(2560),
    [anon_sym_import] = ACTIONS(2560),
    [anon_sym_with] = ACTIONS(2560),
    [anon_sym_var] = ACTIONS(2560),
    [anon_sym_let] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_LPAREN] = ACTIONS(2558),
    [anon_sym_await] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_debugger] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_yield] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2558),
    [sym_glimmer_opening_tag] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_async] = ACTIONS(2560),
    [anon_sym_function] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2560),
    [anon_sym_LT] = ACTIONS(2560),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_void] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2558),
    [sym_number] = ACTIONS(2558),
    [sym_private_property_identifier] = ACTIONS(2558),
    [sym_this] = ACTIONS(2560),
    [sym_super] = ACTIONS(2560),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [sym_null] = ACTIONS(2560),
    [sym_undefined] = ACTIONS(2560),
    [anon_sym_AT] = ACTIONS(2558),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_readonly] = ACTIONS(2560),
    [anon_sym_get] = ACTIONS(2560),
    [anon_sym_set] = ACTIONS(2560),
    [anon_sym_declare] = ACTIONS(2560),
    [anon_sym_public] = ACTIONS(2560),
    [anon_sym_private] = ACTIONS(2560),
    [anon_sym_protected] = ACTIONS(2560),
    [anon_sym_override] = ACTIONS(2560),
    [anon_sym_module] = ACTIONS(2560),
    [anon_sym_any] = ACTIONS(2560),
    [anon_sym_number] = ACTIONS(2560),
    [anon_sym_boolean] = ACTIONS(2560),
    [anon_sym_string] = ACTIONS(2560),
    [anon_sym_symbol] = ACTIONS(2560),
    [anon_sym_object] = ACTIONS(2560),
    [anon_sym_abstract] = ACTIONS(2560),
    [anon_sym_interface] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [sym_html_comment] = ACTIONS(5),
  },
  [794] = {
    [ts_builtin_sym_end] = ACTIONS(2562),
    [sym_identifier] = ACTIONS(2564),
    [anon_sym_export] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_type] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_typeof] = ACTIONS(2564),
    [anon_sym_import] = ACTIONS(2564),
    [anon_sym_with] = ACTIONS(2564),
    [anon_sym_var] = ACTIONS(2564),
    [anon_sym_let] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_await] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_debugger] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_yield] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [sym_glimmer_opening_tag] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_async] = ACTIONS(2564),
    [anon_sym_function] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_void] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2562),
    [sym_number] = ACTIONS(2562),
    [sym_private_property_identifier] = ACTIONS(2562),
    [sym_this] = ACTIONS(2564),
    [sym_super] = ACTIONS(2564),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [sym_null] = ACTIONS(2564),
    [sym_undefined] = ACTIONS(2564),
    [anon_sym_AT] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_readonly] = ACTIONS(2564),
    [anon_sym_get] = ACTIONS(2564),
    [anon_sym_set] = ACTIONS(2564),
    [anon_sym_declare] = ACTIONS(2564),
    [anon_sym_public] = ACTIONS(2564),
    [anon_sym_private] = ACTIONS(2564),
    [anon_sym_protected] = ACTIONS(2564),
    [anon_sym_override] = ACTIONS(2564),
    [anon_sym_module] = ACTIONS(2564),
    [anon_sym_any] = ACTIONS(2564),
    [anon_sym_number] = ACTIONS(2564),
    [anon_sym_boolean] = ACTIONS(2564),
    [anon_sym_string] = ACTIONS(2564),
    [anon_sym_symbol] = ACTIONS(2564),
    [anon_sym_object] = ACTIONS(2564),
    [anon_sym_abstract] = ACTIONS(2564),
    [anon_sym_interface] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [sym_html_comment] = ACTIONS(5),
  },
  [795] = {
    [ts_builtin_sym_end] = ACTIONS(2566),
    [sym_identifier] = ACTIONS(2568),
    [anon_sym_export] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_type] = ACTIONS(2568),
    [anon_sym_namespace] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_RBRACE] = ACTIONS(2566),
    [anon_sym_typeof] = ACTIONS(2568),
    [anon_sym_import] = ACTIONS(2568),
    [anon_sym_with] = ACTIONS(2568),
    [anon_sym_var] = ACTIONS(2568),
    [anon_sym_let] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_LPAREN] = ACTIONS(2566),
    [anon_sym_await] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_try] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_debugger] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_throw] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_yield] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [sym_glimmer_opening_tag] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_async] = ACTIONS(2568),
    [anon_sym_function] = ACTIONS(2568),
    [anon_sym_new] = ACTIONS(2568),
    [anon_sym_using] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_SLASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_void] = ACTIONS(2568),
    [anon_sym_delete] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2566),
    [sym_number] = ACTIONS(2566),
    [sym_private_property_identifier] = ACTIONS(2566),
    [sym_this] = ACTIONS(2568),
    [sym_super] = ACTIONS(2568),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [sym_null] = ACTIONS(2568),
    [sym_undefined] = ACTIONS(2568),
    [anon_sym_AT] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_readonly] = ACTIONS(2568),
    [anon_sym_get] = ACTIONS(2568),
    [anon_sym_set] = ACTIONS(2568),
    [anon_sym_declare] = ACTIONS(2568),
    [anon_sym_public] = ACTIONS(2568),
    [anon_sym_private] = ACTIONS(2568),
    [anon_sym_protected] = ACTIONS(2568),
    [anon_sym_override] = ACTIONS(2568),
    [anon_sym_module] = ACTIONS(2568),
    [anon_sym_any] = ACTIONS(2568),
    [anon_sym_number] = ACTIONS(2568),
    [anon_sym_boolean] = ACTIONS(2568),
    [anon_sym_string] = ACTIONS(2568),
    [anon_sym_symbol] = ACTIONS(2568),
    [anon_sym_object] = ACTIONS(2568),
    [anon_sym_abstract] = ACTIONS(2568),
    [anon_sym_interface] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [sym_html_comment] = ACTIONS(5),
  },
  [796] = {
    [ts_builtin_sym_end] = ACTIONS(2570),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_export] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_type] = ACTIONS(2572),
    [anon_sym_namespace] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2570),
    [anon_sym_typeof] = ACTIONS(2572),
    [anon_sym_import] = ACTIONS(2572),
    [anon_sym_with] = ACTIONS(2572),
    [anon_sym_var] = ACTIONS(2572),
    [anon_sym_let] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2570),
    [anon_sym_await] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_debugger] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_yield] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [sym_glimmer_opening_tag] = ACTIONS(2570),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_async] = ACTIONS(2572),
    [anon_sym_function] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_using] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2570),
    [sym_number] = ACTIONS(2570),
    [sym_private_property_identifier] = ACTIONS(2570),
    [sym_this] = ACTIONS(2572),
    [sym_super] = ACTIONS(2572),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [sym_null] = ACTIONS(2572),
    [sym_undefined] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2570),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_readonly] = ACTIONS(2572),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_declare] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_module] = ACTIONS(2572),
    [anon_sym_any] = ACTIONS(2572),
    [anon_sym_number] = ACTIONS(2572),
    [anon_sym_boolean] = ACTIONS(2572),
    [anon_sym_string] = ACTIONS(2572),
    [anon_sym_symbol] = ACTIONS(2572),
    [anon_sym_object] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_interface] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [sym_html_comment] = ACTIONS(5),
  },
  [797] = {
    [ts_builtin_sym_end] = ACTIONS(2574),
    [sym_identifier] = ACTIONS(2576),
    [anon_sym_export] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_type] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_typeof] = ACTIONS(2576),
    [anon_sym_import] = ACTIONS(2576),
    [anon_sym_with] = ACTIONS(2576),
    [anon_sym_var] = ACTIONS(2576),
    [anon_sym_let] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_await] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_debugger] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_yield] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [sym_glimmer_opening_tag] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_async] = ACTIONS(2576),
    [anon_sym_function] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_SLASH] = ACTIONS(2576),
    [anon_sym_LT] = ACTIONS(2576),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_void] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2574),
    [sym_number] = ACTIONS(2574),
    [sym_private_property_identifier] = ACTIONS(2574),
    [sym_this] = ACTIONS(2576),
    [sym_super] = ACTIONS(2576),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [sym_null] = ACTIONS(2576),
    [sym_undefined] = ACTIONS(2576),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_readonly] = ACTIONS(2576),
    [anon_sym_get] = ACTIONS(2576),
    [anon_sym_set] = ACTIONS(2576),
    [anon_sym_declare] = ACTIONS(2576),
    [anon_sym_public] = ACTIONS(2576),
    [anon_sym_private] = ACTIONS(2576),
    [anon_sym_protected] = ACTIONS(2576),
    [anon_sym_override] = ACTIONS(2576),
    [anon_sym_module] = ACTIONS(2576),
    [anon_sym_any] = ACTIONS(2576),
    [anon_sym_number] = ACTIONS(2576),
    [anon_sym_boolean] = ACTIONS(2576),
    [anon_sym_string] = ACTIONS(2576),
    [anon_sym_symbol] = ACTIONS(2576),
    [anon_sym_object] = ACTIONS(2576),
    [anon_sym_abstract] = ACTIONS(2576),
    [anon_sym_interface] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [sym_html_comment] = ACTIONS(5),
  },
  [798] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_rest_pattern] = STATE(5898),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(5108),
    [sym_optional_tuple_parameter] = STATE(5108),
    [sym_optional_type] = STATE(5108),
    [sym_rest_type] = STATE(5108),
    [sym__tuple_type_member] = STATE(5108),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(2578),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [799] = {
    [ts_builtin_sym_end] = ACTIONS(2582),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_export] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_type] = ACTIONS(2584),
    [anon_sym_namespace] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_RBRACE] = ACTIONS(2582),
    [anon_sym_typeof] = ACTIONS(2584),
    [anon_sym_import] = ACTIONS(2584),
    [anon_sym_with] = ACTIONS(2584),
    [anon_sym_var] = ACTIONS(2584),
    [anon_sym_let] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_else] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_LPAREN] = ACTIONS(2582),
    [anon_sym_await] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_try] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_debugger] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_throw] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_yield] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [sym_glimmer_opening_tag] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_async] = ACTIONS(2584),
    [anon_sym_function] = ACTIONS(2584),
    [anon_sym_new] = ACTIONS(2584),
    [anon_sym_using] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_SLASH] = ACTIONS(2584),
    [anon_sym_LT] = ACTIONS(2584),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_void] = ACTIONS(2584),
    [anon_sym_delete] = ACTIONS(2584),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2582),
    [sym_number] = ACTIONS(2582),
    [sym_private_property_identifier] = ACTIONS(2582),
    [sym_this] = ACTIONS(2584),
    [sym_super] = ACTIONS(2584),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [sym_null] = ACTIONS(2584),
    [sym_undefined] = ACTIONS(2584),
    [anon_sym_AT] = ACTIONS(2582),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_readonly] = ACTIONS(2584),
    [anon_sym_get] = ACTIONS(2584),
    [anon_sym_set] = ACTIONS(2584),
    [anon_sym_declare] = ACTIONS(2584),
    [anon_sym_public] = ACTIONS(2584),
    [anon_sym_private] = ACTIONS(2584),
    [anon_sym_protected] = ACTIONS(2584),
    [anon_sym_override] = ACTIONS(2584),
    [anon_sym_module] = ACTIONS(2584),
    [anon_sym_any] = ACTIONS(2584),
    [anon_sym_number] = ACTIONS(2584),
    [anon_sym_boolean] = ACTIONS(2584),
    [anon_sym_string] = ACTIONS(2584),
    [anon_sym_symbol] = ACTIONS(2584),
    [anon_sym_object] = ACTIONS(2584),
    [anon_sym_abstract] = ACTIONS(2584),
    [anon_sym_interface] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [sym_html_comment] = ACTIONS(5),
  },
  [800] = {
    [ts_builtin_sym_end] = ACTIONS(2586),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_export] = ACTIONS(2588),
    [anon_sym_default] = ACTIONS(2588),
    [anon_sym_type] = ACTIONS(2588),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_RBRACE] = ACTIONS(2586),
    [anon_sym_typeof] = ACTIONS(2588),
    [anon_sym_import] = ACTIONS(2588),
    [anon_sym_with] = ACTIONS(2588),
    [anon_sym_var] = ACTIONS(2588),
    [anon_sym_let] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_for] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_await] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_try] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2588),
    [anon_sym_continue] = ACTIONS(2588),
    [anon_sym_debugger] = ACTIONS(2588),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_yield] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [sym_glimmer_opening_tag] = ACTIONS(2586),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_async] = ACTIONS(2588),
    [anon_sym_function] = ACTIONS(2588),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_using] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_LT] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_void] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2586),
    [sym_number] = ACTIONS(2586),
    [sym_private_property_identifier] = ACTIONS(2586),
    [sym_this] = ACTIONS(2588),
    [sym_super] = ACTIONS(2588),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [sym_null] = ACTIONS(2588),
    [sym_undefined] = ACTIONS(2588),
    [anon_sym_AT] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_readonly] = ACTIONS(2588),
    [anon_sym_get] = ACTIONS(2588),
    [anon_sym_set] = ACTIONS(2588),
    [anon_sym_declare] = ACTIONS(2588),
    [anon_sym_public] = ACTIONS(2588),
    [anon_sym_private] = ACTIONS(2588),
    [anon_sym_protected] = ACTIONS(2588),
    [anon_sym_override] = ACTIONS(2588),
    [anon_sym_module] = ACTIONS(2588),
    [anon_sym_any] = ACTIONS(2588),
    [anon_sym_number] = ACTIONS(2588),
    [anon_sym_boolean] = ACTIONS(2588),
    [anon_sym_string] = ACTIONS(2588),
    [anon_sym_symbol] = ACTIONS(2588),
    [anon_sym_object] = ACTIONS(2588),
    [anon_sym_abstract] = ACTIONS(2588),
    [anon_sym_interface] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [sym_html_comment] = ACTIONS(5),
  },
  [801] = {
    [ts_builtin_sym_end] = ACTIONS(2590),
    [sym_identifier] = ACTIONS(2592),
    [anon_sym_export] = ACTIONS(2592),
    [anon_sym_default] = ACTIONS(2592),
    [anon_sym_type] = ACTIONS(2592),
    [anon_sym_namespace] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2590),
    [anon_sym_RBRACE] = ACTIONS(2590),
    [anon_sym_typeof] = ACTIONS(2592),
    [anon_sym_import] = ACTIONS(2592),
    [anon_sym_with] = ACTIONS(2592),
    [anon_sym_var] = ACTIONS(2592),
    [anon_sym_let] = ACTIONS(2592),
    [anon_sym_const] = ACTIONS(2592),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_else] = ACTIONS(2592),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_LPAREN] = ACTIONS(2590),
    [anon_sym_await] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_try] = ACTIONS(2592),
    [anon_sym_break] = ACTIONS(2592),
    [anon_sym_continue] = ACTIONS(2592),
    [anon_sym_debugger] = ACTIONS(2592),
    [anon_sym_return] = ACTIONS(2592),
    [anon_sym_throw] = ACTIONS(2592),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2592),
    [anon_sym_yield] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [sym_glimmer_opening_tag] = ACTIONS(2590),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [anon_sym_SQUOTE] = ACTIONS(2590),
    [anon_sym_class] = ACTIONS(2592),
    [anon_sym_async] = ACTIONS(2592),
    [anon_sym_function] = ACTIONS(2592),
    [anon_sym_new] = ACTIONS(2592),
    [anon_sym_using] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_LT] = ACTIONS(2592),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_void] = ACTIONS(2592),
    [anon_sym_delete] = ACTIONS(2592),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2590),
    [sym_number] = ACTIONS(2590),
    [sym_private_property_identifier] = ACTIONS(2590),
    [sym_this] = ACTIONS(2592),
    [sym_super] = ACTIONS(2592),
    [sym_true] = ACTIONS(2592),
    [sym_false] = ACTIONS(2592),
    [sym_null] = ACTIONS(2592),
    [sym_undefined] = ACTIONS(2592),
    [anon_sym_AT] = ACTIONS(2590),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_readonly] = ACTIONS(2592),
    [anon_sym_get] = ACTIONS(2592),
    [anon_sym_set] = ACTIONS(2592),
    [anon_sym_declare] = ACTIONS(2592),
    [anon_sym_public] = ACTIONS(2592),
    [anon_sym_private] = ACTIONS(2592),
    [anon_sym_protected] = ACTIONS(2592),
    [anon_sym_override] = ACTIONS(2592),
    [anon_sym_module] = ACTIONS(2592),
    [anon_sym_any] = ACTIONS(2592),
    [anon_sym_number] = ACTIONS(2592),
    [anon_sym_boolean] = ACTIONS(2592),
    [anon_sym_string] = ACTIONS(2592),
    [anon_sym_symbol] = ACTIONS(2592),
    [anon_sym_object] = ACTIONS(2592),
    [anon_sym_abstract] = ACTIONS(2592),
    [anon_sym_interface] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [sym_html_comment] = ACTIONS(5),
  },
  [802] = {
    [ts_builtin_sym_end] = ACTIONS(2594),
    [sym_identifier] = ACTIONS(2596),
    [anon_sym_export] = ACTIONS(2596),
    [anon_sym_default] = ACTIONS(2596),
    [anon_sym_type] = ACTIONS(2596),
    [anon_sym_namespace] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2594),
    [anon_sym_RBRACE] = ACTIONS(2594),
    [anon_sym_typeof] = ACTIONS(2596),
    [anon_sym_import] = ACTIONS(2596),
    [anon_sym_with] = ACTIONS(2596),
    [anon_sym_var] = ACTIONS(2596),
    [anon_sym_let] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_else] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2596),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_LPAREN] = ACTIONS(2594),
    [anon_sym_await] = ACTIONS(2596),
    [anon_sym_while] = ACTIONS(2596),
    [anon_sym_do] = ACTIONS(2596),
    [anon_sym_try] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2596),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_debugger] = ACTIONS(2596),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_throw] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym_case] = ACTIONS(2596),
    [anon_sym_yield] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [sym_glimmer_opening_tag] = ACTIONS(2594),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [anon_sym_class] = ACTIONS(2596),
    [anon_sym_async] = ACTIONS(2596),
    [anon_sym_function] = ACTIONS(2596),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_using] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2596),
    [anon_sym_LT] = ACTIONS(2596),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_void] = ACTIONS(2596),
    [anon_sym_delete] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2594),
    [sym_number] = ACTIONS(2594),
    [sym_private_property_identifier] = ACTIONS(2594),
    [sym_this] = ACTIONS(2596),
    [sym_super] = ACTIONS(2596),
    [sym_true] = ACTIONS(2596),
    [sym_false] = ACTIONS(2596),
    [sym_null] = ACTIONS(2596),
    [sym_undefined] = ACTIONS(2596),
    [anon_sym_AT] = ACTIONS(2594),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_readonly] = ACTIONS(2596),
    [anon_sym_get] = ACTIONS(2596),
    [anon_sym_set] = ACTIONS(2596),
    [anon_sym_declare] = ACTIONS(2596),
    [anon_sym_public] = ACTIONS(2596),
    [anon_sym_private] = ACTIONS(2596),
    [anon_sym_protected] = ACTIONS(2596),
    [anon_sym_override] = ACTIONS(2596),
    [anon_sym_module] = ACTIONS(2596),
    [anon_sym_any] = ACTIONS(2596),
    [anon_sym_number] = ACTIONS(2596),
    [anon_sym_boolean] = ACTIONS(2596),
    [anon_sym_string] = ACTIONS(2596),
    [anon_sym_symbol] = ACTIONS(2596),
    [anon_sym_object] = ACTIONS(2596),
    [anon_sym_abstract] = ACTIONS(2596),
    [anon_sym_interface] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [sym_html_comment] = ACTIONS(5),
  },
  [803] = {
    [ts_builtin_sym_end] = ACTIONS(2598),
    [sym_identifier] = ACTIONS(2600),
    [anon_sym_export] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_type] = ACTIONS(2600),
    [anon_sym_namespace] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2598),
    [anon_sym_RBRACE] = ACTIONS(2598),
    [anon_sym_typeof] = ACTIONS(2600),
    [anon_sym_import] = ACTIONS(2600),
    [anon_sym_with] = ACTIONS(2600),
    [anon_sym_var] = ACTIONS(2600),
    [anon_sym_let] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_else] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2598),
    [anon_sym_await] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_try] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_debugger] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_yield] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [sym_glimmer_opening_tag] = ACTIONS(2598),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [anon_sym_SQUOTE] = ACTIONS(2598),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_async] = ACTIONS(2600),
    [anon_sym_function] = ACTIONS(2600),
    [anon_sym_new] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_SLASH] = ACTIONS(2600),
    [anon_sym_LT] = ACTIONS(2600),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_void] = ACTIONS(2600),
    [anon_sym_delete] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2598),
    [anon_sym_DASH_DASH] = ACTIONS(2598),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2598),
    [sym_number] = ACTIONS(2598),
    [sym_private_property_identifier] = ACTIONS(2598),
    [sym_this] = ACTIONS(2600),
    [sym_super] = ACTIONS(2600),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [sym_null] = ACTIONS(2600),
    [sym_undefined] = ACTIONS(2600),
    [anon_sym_AT] = ACTIONS(2598),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_readonly] = ACTIONS(2600),
    [anon_sym_get] = ACTIONS(2600),
    [anon_sym_set] = ACTIONS(2600),
    [anon_sym_declare] = ACTIONS(2600),
    [anon_sym_public] = ACTIONS(2600),
    [anon_sym_private] = ACTIONS(2600),
    [anon_sym_protected] = ACTIONS(2600),
    [anon_sym_override] = ACTIONS(2600),
    [anon_sym_module] = ACTIONS(2600),
    [anon_sym_any] = ACTIONS(2600),
    [anon_sym_number] = ACTIONS(2600),
    [anon_sym_boolean] = ACTIONS(2600),
    [anon_sym_string] = ACTIONS(2600),
    [anon_sym_symbol] = ACTIONS(2600),
    [anon_sym_object] = ACTIONS(2600),
    [anon_sym_abstract] = ACTIONS(2600),
    [anon_sym_interface] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [sym_html_comment] = ACTIONS(5),
  },
  [804] = {
    [ts_builtin_sym_end] = ACTIONS(2602),
    [sym_identifier] = ACTIONS(2604),
    [anon_sym_export] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_type] = ACTIONS(2604),
    [anon_sym_namespace] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_RBRACE] = ACTIONS(2602),
    [anon_sym_typeof] = ACTIONS(2604),
    [anon_sym_import] = ACTIONS(2604),
    [anon_sym_with] = ACTIONS(2604),
    [anon_sym_var] = ACTIONS(2604),
    [anon_sym_let] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_else] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_LPAREN] = ACTIONS(2602),
    [anon_sym_await] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_try] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_debugger] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_throw] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_yield] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2602),
    [sym_glimmer_opening_tag] = ACTIONS(2602),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_async] = ACTIONS(2604),
    [anon_sym_function] = ACTIONS(2604),
    [anon_sym_new] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_LT] = ACTIONS(2604),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_void] = ACTIONS(2604),
    [anon_sym_delete] = ACTIONS(2604),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2602),
    [sym_number] = ACTIONS(2602),
    [sym_private_property_identifier] = ACTIONS(2602),
    [sym_this] = ACTIONS(2604),
    [sym_super] = ACTIONS(2604),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [sym_null] = ACTIONS(2604),
    [sym_undefined] = ACTIONS(2604),
    [anon_sym_AT] = ACTIONS(2602),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_readonly] = ACTIONS(2604),
    [anon_sym_get] = ACTIONS(2604),
    [anon_sym_set] = ACTIONS(2604),
    [anon_sym_declare] = ACTIONS(2604),
    [anon_sym_public] = ACTIONS(2604),
    [anon_sym_private] = ACTIONS(2604),
    [anon_sym_protected] = ACTIONS(2604),
    [anon_sym_override] = ACTIONS(2604),
    [anon_sym_module] = ACTIONS(2604),
    [anon_sym_any] = ACTIONS(2604),
    [anon_sym_number] = ACTIONS(2604),
    [anon_sym_boolean] = ACTIONS(2604),
    [anon_sym_string] = ACTIONS(2604),
    [anon_sym_symbol] = ACTIONS(2604),
    [anon_sym_object] = ACTIONS(2604),
    [anon_sym_abstract] = ACTIONS(2604),
    [anon_sym_interface] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [sym_html_comment] = ACTIONS(5),
  },
  [805] = {
    [ts_builtin_sym_end] = ACTIONS(2606),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_export] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_type] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_RBRACE] = ACTIONS(2606),
    [anon_sym_typeof] = ACTIONS(2608),
    [anon_sym_import] = ACTIONS(2608),
    [anon_sym_with] = ACTIONS(2608),
    [anon_sym_var] = ACTIONS(2608),
    [anon_sym_let] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_else] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_LPAREN] = ACTIONS(2606),
    [anon_sym_await] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_debugger] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_yield] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [sym_glimmer_opening_tag] = ACTIONS(2606),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_async] = ACTIONS(2608),
    [anon_sym_function] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_SLASH] = ACTIONS(2608),
    [anon_sym_LT] = ACTIONS(2608),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_void] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2606),
    [sym_number] = ACTIONS(2606),
    [sym_private_property_identifier] = ACTIONS(2606),
    [sym_this] = ACTIONS(2608),
    [sym_super] = ACTIONS(2608),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [sym_null] = ACTIONS(2608),
    [sym_undefined] = ACTIONS(2608),
    [anon_sym_AT] = ACTIONS(2606),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_readonly] = ACTIONS(2608),
    [anon_sym_get] = ACTIONS(2608),
    [anon_sym_set] = ACTIONS(2608),
    [anon_sym_declare] = ACTIONS(2608),
    [anon_sym_public] = ACTIONS(2608),
    [anon_sym_private] = ACTIONS(2608),
    [anon_sym_protected] = ACTIONS(2608),
    [anon_sym_override] = ACTIONS(2608),
    [anon_sym_module] = ACTIONS(2608),
    [anon_sym_any] = ACTIONS(2608),
    [anon_sym_number] = ACTIONS(2608),
    [anon_sym_boolean] = ACTIONS(2608),
    [anon_sym_string] = ACTIONS(2608),
    [anon_sym_symbol] = ACTIONS(2608),
    [anon_sym_object] = ACTIONS(2608),
    [anon_sym_abstract] = ACTIONS(2608),
    [anon_sym_interface] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [sym_html_comment] = ACTIONS(5),
  },
  [806] = {
    [ts_builtin_sym_end] = ACTIONS(2610),
    [sym_identifier] = ACTIONS(2612),
    [anon_sym_export] = ACTIONS(2612),
    [anon_sym_default] = ACTIONS(2612),
    [anon_sym_type] = ACTIONS(2612),
    [anon_sym_namespace] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [anon_sym_typeof] = ACTIONS(2612),
    [anon_sym_import] = ACTIONS(2612),
    [anon_sym_with] = ACTIONS(2612),
    [anon_sym_var] = ACTIONS(2612),
    [anon_sym_let] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_LPAREN] = ACTIONS(2610),
    [anon_sym_await] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_debugger] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym_case] = ACTIONS(2612),
    [anon_sym_yield] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [sym_glimmer_opening_tag] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_async] = ACTIONS(2612),
    [anon_sym_function] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_SLASH] = ACTIONS(2612),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_void] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2610),
    [sym_number] = ACTIONS(2610),
    [sym_private_property_identifier] = ACTIONS(2610),
    [sym_this] = ACTIONS(2612),
    [sym_super] = ACTIONS(2612),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [sym_null] = ACTIONS(2612),
    [sym_undefined] = ACTIONS(2612),
    [anon_sym_AT] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_readonly] = ACTIONS(2612),
    [anon_sym_get] = ACTIONS(2612),
    [anon_sym_set] = ACTIONS(2612),
    [anon_sym_declare] = ACTIONS(2612),
    [anon_sym_public] = ACTIONS(2612),
    [anon_sym_private] = ACTIONS(2612),
    [anon_sym_protected] = ACTIONS(2612),
    [anon_sym_override] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2612),
    [anon_sym_any] = ACTIONS(2612),
    [anon_sym_number] = ACTIONS(2612),
    [anon_sym_boolean] = ACTIONS(2612),
    [anon_sym_string] = ACTIONS(2612),
    [anon_sym_symbol] = ACTIONS(2612),
    [anon_sym_object] = ACTIONS(2612),
    [anon_sym_abstract] = ACTIONS(2612),
    [anon_sym_interface] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [sym_html_comment] = ACTIONS(5),
  },
  [807] = {
    [ts_builtin_sym_end] = ACTIONS(2610),
    [sym_identifier] = ACTIONS(2612),
    [anon_sym_export] = ACTIONS(2612),
    [anon_sym_default] = ACTIONS(2612),
    [anon_sym_type] = ACTIONS(2612),
    [anon_sym_namespace] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [anon_sym_typeof] = ACTIONS(2612),
    [anon_sym_import] = ACTIONS(2612),
    [anon_sym_with] = ACTIONS(2612),
    [anon_sym_var] = ACTIONS(2612),
    [anon_sym_let] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_LPAREN] = ACTIONS(2610),
    [anon_sym_await] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_debugger] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym_case] = ACTIONS(2612),
    [anon_sym_yield] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2610),
    [sym_glimmer_opening_tag] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_async] = ACTIONS(2612),
    [anon_sym_function] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_SLASH] = ACTIONS(2612),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_void] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2610),
    [sym_number] = ACTIONS(2610),
    [sym_private_property_identifier] = ACTIONS(2610),
    [sym_this] = ACTIONS(2612),
    [sym_super] = ACTIONS(2612),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [sym_null] = ACTIONS(2612),
    [sym_undefined] = ACTIONS(2612),
    [anon_sym_AT] = ACTIONS(2610),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_readonly] = ACTIONS(2612),
    [anon_sym_get] = ACTIONS(2612),
    [anon_sym_set] = ACTIONS(2612),
    [anon_sym_declare] = ACTIONS(2612),
    [anon_sym_public] = ACTIONS(2612),
    [anon_sym_private] = ACTIONS(2612),
    [anon_sym_protected] = ACTIONS(2612),
    [anon_sym_override] = ACTIONS(2612),
    [anon_sym_module] = ACTIONS(2612),
    [anon_sym_any] = ACTIONS(2612),
    [anon_sym_number] = ACTIONS(2612),
    [anon_sym_boolean] = ACTIONS(2612),
    [anon_sym_string] = ACTIONS(2612),
    [anon_sym_symbol] = ACTIONS(2612),
    [anon_sym_object] = ACTIONS(2612),
    [anon_sym_abstract] = ACTIONS(2612),
    [anon_sym_interface] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [sym_html_comment] = ACTIONS(5),
  },
  [808] = {
    [ts_builtin_sym_end] = ACTIONS(2614),
    [sym_identifier] = ACTIONS(2616),
    [anon_sym_export] = ACTIONS(2616),
    [anon_sym_default] = ACTIONS(2616),
    [anon_sym_type] = ACTIONS(2616),
    [anon_sym_namespace] = ACTIONS(2616),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_RBRACE] = ACTIONS(2614),
    [anon_sym_typeof] = ACTIONS(2616),
    [anon_sym_import] = ACTIONS(2616),
    [anon_sym_with] = ACTIONS(2616),
    [anon_sym_var] = ACTIONS(2616),
    [anon_sym_let] = ACTIONS(2616),
    [anon_sym_const] = ACTIONS(2616),
    [anon_sym_BANG] = ACTIONS(2614),
    [anon_sym_else] = ACTIONS(2616),
    [anon_sym_if] = ACTIONS(2616),
    [anon_sym_switch] = ACTIONS(2616),
    [anon_sym_for] = ACTIONS(2616),
    [anon_sym_LPAREN] = ACTIONS(2614),
    [anon_sym_await] = ACTIONS(2616),
    [anon_sym_while] = ACTIONS(2616),
    [anon_sym_do] = ACTIONS(2616),
    [anon_sym_try] = ACTIONS(2616),
    [anon_sym_break] = ACTIONS(2616),
    [anon_sym_continue] = ACTIONS(2616),
    [anon_sym_debugger] = ACTIONS(2616),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_throw] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym_case] = ACTIONS(2616),
    [anon_sym_yield] = ACTIONS(2616),
    [anon_sym_LBRACK] = ACTIONS(2614),
    [sym_glimmer_opening_tag] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2614),
    [anon_sym_class] = ACTIONS(2616),
    [anon_sym_async] = ACTIONS(2616),
    [anon_sym_function] = ACTIONS(2616),
    [anon_sym_new] = ACTIONS(2616),
    [anon_sym_using] = ACTIONS(2616),
    [anon_sym_PLUS] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2616),
    [anon_sym_SLASH] = ACTIONS(2616),
    [anon_sym_LT] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_void] = ACTIONS(2616),
    [anon_sym_delete] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2614),
    [sym_number] = ACTIONS(2614),
    [sym_private_property_identifier] = ACTIONS(2614),
    [sym_this] = ACTIONS(2616),
    [sym_super] = ACTIONS(2616),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [sym_null] = ACTIONS(2616),
    [sym_undefined] = ACTIONS(2616),
    [anon_sym_AT] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2616),
    [anon_sym_readonly] = ACTIONS(2616),
    [anon_sym_get] = ACTIONS(2616),
    [anon_sym_set] = ACTIONS(2616),
    [anon_sym_declare] = ACTIONS(2616),
    [anon_sym_public] = ACTIONS(2616),
    [anon_sym_private] = ACTIONS(2616),
    [anon_sym_protected] = ACTIONS(2616),
    [anon_sym_override] = ACTIONS(2616),
    [anon_sym_module] = ACTIONS(2616),
    [anon_sym_any] = ACTIONS(2616),
    [anon_sym_number] = ACTIONS(2616),
    [anon_sym_boolean] = ACTIONS(2616),
    [anon_sym_string] = ACTIONS(2616),
    [anon_sym_symbol] = ACTIONS(2616),
    [anon_sym_object] = ACTIONS(2616),
    [anon_sym_abstract] = ACTIONS(2616),
    [anon_sym_interface] = ACTIONS(2616),
    [anon_sym_enum] = ACTIONS(2616),
    [sym_html_comment] = ACTIONS(5),
  },
  [809] = {
    [ts_builtin_sym_end] = ACTIONS(1907),
    [sym_identifier] = ACTIONS(1909),
    [anon_sym_export] = ACTIONS(1909),
    [anon_sym_default] = ACTIONS(1909),
    [anon_sym_type] = ACTIONS(1909),
    [anon_sym_namespace] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_RBRACE] = ACTIONS(1907),
    [anon_sym_typeof] = ACTIONS(1909),
    [anon_sym_import] = ACTIONS(1909),
    [anon_sym_with] = ACTIONS(1909),
    [anon_sym_var] = ACTIONS(1909),
    [anon_sym_let] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_BANG] = ACTIONS(1907),
    [anon_sym_else] = ACTIONS(1909),
    [anon_sym_if] = ACTIONS(1909),
    [anon_sym_switch] = ACTIONS(1909),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_await] = ACTIONS(1909),
    [anon_sym_while] = ACTIONS(1909),
    [anon_sym_do] = ACTIONS(1909),
    [anon_sym_try] = ACTIONS(1909),
    [anon_sym_break] = ACTIONS(1909),
    [anon_sym_continue] = ACTIONS(1909),
    [anon_sym_debugger] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_throw] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1907),
    [anon_sym_case] = ACTIONS(1909),
    [anon_sym_yield] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [sym_glimmer_opening_tag] = ACTIONS(1907),
    [anon_sym_DQUOTE] = ACTIONS(1907),
    [anon_sym_SQUOTE] = ACTIONS(1907),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_async] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1909),
    [anon_sym_new] = ACTIONS(1909),
    [anon_sym_using] = ACTIONS(1909),
    [anon_sym_PLUS] = ACTIONS(1909),
    [anon_sym_DASH] = ACTIONS(1909),
    [anon_sym_SLASH] = ACTIONS(1909),
    [anon_sym_LT] = ACTIONS(1909),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_void] = ACTIONS(1909),
    [anon_sym_delete] = ACTIONS(1909),
    [anon_sym_PLUS_PLUS] = ACTIONS(1907),
    [anon_sym_DASH_DASH] = ACTIONS(1907),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1907),
    [sym_number] = ACTIONS(1907),
    [sym_private_property_identifier] = ACTIONS(1907),
    [sym_this] = ACTIONS(1909),
    [sym_super] = ACTIONS(1909),
    [sym_true] = ACTIONS(1909),
    [sym_false] = ACTIONS(1909),
    [sym_null] = ACTIONS(1909),
    [sym_undefined] = ACTIONS(1909),
    [anon_sym_AT] = ACTIONS(1907),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_readonly] = ACTIONS(1909),
    [anon_sym_get] = ACTIONS(1909),
    [anon_sym_set] = ACTIONS(1909),
    [anon_sym_declare] = ACTIONS(1909),
    [anon_sym_public] = ACTIONS(1909),
    [anon_sym_private] = ACTIONS(1909),
    [anon_sym_protected] = ACTIONS(1909),
    [anon_sym_override] = ACTIONS(1909),
    [anon_sym_module] = ACTIONS(1909),
    [anon_sym_any] = ACTIONS(1909),
    [anon_sym_number] = ACTIONS(1909),
    [anon_sym_boolean] = ACTIONS(1909),
    [anon_sym_string] = ACTIONS(1909),
    [anon_sym_symbol] = ACTIONS(1909),
    [anon_sym_object] = ACTIONS(1909),
    [anon_sym_abstract] = ACTIONS(1909),
    [anon_sym_interface] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [sym_html_comment] = ACTIONS(5),
  },
  [810] = {
    [ts_builtin_sym_end] = ACTIONS(2618),
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_type] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2618),
    [anon_sym_RBRACE] = ACTIONS(2618),
    [anon_sym_typeof] = ACTIONS(2620),
    [anon_sym_import] = ACTIONS(2620),
    [anon_sym_with] = ACTIONS(2620),
    [anon_sym_var] = ACTIONS(2620),
    [anon_sym_let] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2618),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_LPAREN] = ACTIONS(2618),
    [anon_sym_await] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_debugger] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2618),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_yield] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2618),
    [sym_glimmer_opening_tag] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2618),
    [anon_sym_SQUOTE] = ACTIONS(2618),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_async] = ACTIONS(2620),
    [anon_sym_function] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_using] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2618),
    [anon_sym_void] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2618),
    [sym_number] = ACTIONS(2618),
    [sym_private_property_identifier] = ACTIONS(2618),
    [sym_this] = ACTIONS(2620),
    [sym_super] = ACTIONS(2620),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [sym_null] = ACTIONS(2620),
    [sym_undefined] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_readonly] = ACTIONS(2620),
    [anon_sym_get] = ACTIONS(2620),
    [anon_sym_set] = ACTIONS(2620),
    [anon_sym_declare] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_override] = ACTIONS(2620),
    [anon_sym_module] = ACTIONS(2620),
    [anon_sym_any] = ACTIONS(2620),
    [anon_sym_number] = ACTIONS(2620),
    [anon_sym_boolean] = ACTIONS(2620),
    [anon_sym_string] = ACTIONS(2620),
    [anon_sym_symbol] = ACTIONS(2620),
    [anon_sym_object] = ACTIONS(2620),
    [anon_sym_abstract] = ACTIONS(2620),
    [anon_sym_interface] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [sym_html_comment] = ACTIONS(5),
  },
  [811] = {
    [ts_builtin_sym_end] = ACTIONS(2622),
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_export] = ACTIONS(2624),
    [anon_sym_default] = ACTIONS(2624),
    [anon_sym_type] = ACTIONS(2624),
    [anon_sym_namespace] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_typeof] = ACTIONS(2624),
    [anon_sym_import] = ACTIONS(2624),
    [anon_sym_with] = ACTIONS(2624),
    [anon_sym_var] = ACTIONS(2624),
    [anon_sym_let] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_if] = ACTIONS(2624),
    [anon_sym_switch] = ACTIONS(2624),
    [anon_sym_for] = ACTIONS(2624),
    [anon_sym_LPAREN] = ACTIONS(2622),
    [anon_sym_await] = ACTIONS(2624),
    [anon_sym_while] = ACTIONS(2624),
    [anon_sym_do] = ACTIONS(2624),
    [anon_sym_try] = ACTIONS(2624),
    [anon_sym_break] = ACTIONS(2624),
    [anon_sym_continue] = ACTIONS(2624),
    [anon_sym_debugger] = ACTIONS(2624),
    [anon_sym_return] = ACTIONS(2624),
    [anon_sym_throw] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2624),
    [anon_sym_yield] = ACTIONS(2624),
    [anon_sym_LBRACK] = ACTIONS(2622),
    [sym_glimmer_opening_tag] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [anon_sym_class] = ACTIONS(2624),
    [anon_sym_async] = ACTIONS(2624),
    [anon_sym_function] = ACTIONS(2624),
    [anon_sym_new] = ACTIONS(2624),
    [anon_sym_using] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_void] = ACTIONS(2624),
    [anon_sym_delete] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2622),
    [sym_number] = ACTIONS(2622),
    [sym_private_property_identifier] = ACTIONS(2622),
    [sym_this] = ACTIONS(2624),
    [sym_super] = ACTIONS(2624),
    [sym_true] = ACTIONS(2624),
    [sym_false] = ACTIONS(2624),
    [sym_null] = ACTIONS(2624),
    [sym_undefined] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2624),
    [anon_sym_readonly] = ACTIONS(2624),
    [anon_sym_get] = ACTIONS(2624),
    [anon_sym_set] = ACTIONS(2624),
    [anon_sym_declare] = ACTIONS(2624),
    [anon_sym_public] = ACTIONS(2624),
    [anon_sym_private] = ACTIONS(2624),
    [anon_sym_protected] = ACTIONS(2624),
    [anon_sym_override] = ACTIONS(2624),
    [anon_sym_module] = ACTIONS(2624),
    [anon_sym_any] = ACTIONS(2624),
    [anon_sym_number] = ACTIONS(2624),
    [anon_sym_boolean] = ACTIONS(2624),
    [anon_sym_string] = ACTIONS(2624),
    [anon_sym_symbol] = ACTIONS(2624),
    [anon_sym_object] = ACTIONS(2624),
    [anon_sym_abstract] = ACTIONS(2624),
    [anon_sym_interface] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [sym_html_comment] = ACTIONS(5),
  },
  [812] = {
    [ts_builtin_sym_end] = ACTIONS(2626),
    [sym_identifier] = ACTIONS(2628),
    [anon_sym_export] = ACTIONS(2628),
    [anon_sym_default] = ACTIONS(2628),
    [anon_sym_type] = ACTIONS(2628),
    [anon_sym_namespace] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_RBRACE] = ACTIONS(2626),
    [anon_sym_typeof] = ACTIONS(2628),
    [anon_sym_import] = ACTIONS(2628),
    [anon_sym_with] = ACTIONS(2628),
    [anon_sym_var] = ACTIONS(2628),
    [anon_sym_let] = ACTIONS(2628),
    [anon_sym_const] = ACTIONS(2628),
    [anon_sym_BANG] = ACTIONS(2626),
    [anon_sym_else] = ACTIONS(2628),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_switch] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2628),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_await] = ACTIONS(2628),
    [anon_sym_while] = ACTIONS(2628),
    [anon_sym_do] = ACTIONS(2628),
    [anon_sym_try] = ACTIONS(2628),
    [anon_sym_break] = ACTIONS(2628),
    [anon_sym_continue] = ACTIONS(2628),
    [anon_sym_debugger] = ACTIONS(2628),
    [anon_sym_return] = ACTIONS(2628),
    [anon_sym_throw] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2626),
    [anon_sym_case] = ACTIONS(2628),
    [anon_sym_yield] = ACTIONS(2628),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [sym_glimmer_opening_tag] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [anon_sym_SQUOTE] = ACTIONS(2626),
    [anon_sym_class] = ACTIONS(2628),
    [anon_sym_async] = ACTIONS(2628),
    [anon_sym_function] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2628),
    [anon_sym_using] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_SLASH] = ACTIONS(2628),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_TILDE] = ACTIONS(2626),
    [anon_sym_void] = ACTIONS(2628),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2626),
    [sym_number] = ACTIONS(2626),
    [sym_private_property_identifier] = ACTIONS(2626),
    [sym_this] = ACTIONS(2628),
    [sym_super] = ACTIONS(2628),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [sym_null] = ACTIONS(2628),
    [sym_undefined] = ACTIONS(2628),
    [anon_sym_AT] = ACTIONS(2626),
    [anon_sym_static] = ACTIONS(2628),
    [anon_sym_readonly] = ACTIONS(2628),
    [anon_sym_get] = ACTIONS(2628),
    [anon_sym_set] = ACTIONS(2628),
    [anon_sym_declare] = ACTIONS(2628),
    [anon_sym_public] = ACTIONS(2628),
    [anon_sym_private] = ACTIONS(2628),
    [anon_sym_protected] = ACTIONS(2628),
    [anon_sym_override] = ACTIONS(2628),
    [anon_sym_module] = ACTIONS(2628),
    [anon_sym_any] = ACTIONS(2628),
    [anon_sym_number] = ACTIONS(2628),
    [anon_sym_boolean] = ACTIONS(2628),
    [anon_sym_string] = ACTIONS(2628),
    [anon_sym_symbol] = ACTIONS(2628),
    [anon_sym_object] = ACTIONS(2628),
    [anon_sym_abstract] = ACTIONS(2628),
    [anon_sym_interface] = ACTIONS(2628),
    [anon_sym_enum] = ACTIONS(2628),
    [sym_html_comment] = ACTIONS(5),
  },
  [813] = {
    [ts_builtin_sym_end] = ACTIONS(2626),
    [sym_identifier] = ACTIONS(2628),
    [anon_sym_export] = ACTIONS(2628),
    [anon_sym_default] = ACTIONS(2628),
    [anon_sym_type] = ACTIONS(2628),
    [anon_sym_namespace] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_RBRACE] = ACTIONS(2626),
    [anon_sym_typeof] = ACTIONS(2628),
    [anon_sym_import] = ACTIONS(2628),
    [anon_sym_with] = ACTIONS(2628),
    [anon_sym_var] = ACTIONS(2628),
    [anon_sym_let] = ACTIONS(2628),
    [anon_sym_const] = ACTIONS(2628),
    [anon_sym_BANG] = ACTIONS(2626),
    [anon_sym_else] = ACTIONS(2628),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_switch] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2628),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_await] = ACTIONS(2628),
    [anon_sym_while] = ACTIONS(2628),
    [anon_sym_do] = ACTIONS(2628),
    [anon_sym_try] = ACTIONS(2628),
    [anon_sym_break] = ACTIONS(2628),
    [anon_sym_continue] = ACTIONS(2628),
    [anon_sym_debugger] = ACTIONS(2628),
    [anon_sym_return] = ACTIONS(2628),
    [anon_sym_throw] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2626),
    [anon_sym_case] = ACTIONS(2628),
    [anon_sym_yield] = ACTIONS(2628),
    [anon_sym_LBRACK] = ACTIONS(2626),
    [sym_glimmer_opening_tag] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [anon_sym_SQUOTE] = ACTIONS(2626),
    [anon_sym_class] = ACTIONS(2628),
    [anon_sym_async] = ACTIONS(2628),
    [anon_sym_function] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2628),
    [anon_sym_using] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_SLASH] = ACTIONS(2628),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_TILDE] = ACTIONS(2626),
    [anon_sym_void] = ACTIONS(2628),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2626),
    [sym_number] = ACTIONS(2626),
    [sym_private_property_identifier] = ACTIONS(2626),
    [sym_this] = ACTIONS(2628),
    [sym_super] = ACTIONS(2628),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [sym_null] = ACTIONS(2628),
    [sym_undefined] = ACTIONS(2628),
    [anon_sym_AT] = ACTIONS(2626),
    [anon_sym_static] = ACTIONS(2628),
    [anon_sym_readonly] = ACTIONS(2628),
    [anon_sym_get] = ACTIONS(2628),
    [anon_sym_set] = ACTIONS(2628),
    [anon_sym_declare] = ACTIONS(2628),
    [anon_sym_public] = ACTIONS(2628),
    [anon_sym_private] = ACTIONS(2628),
    [anon_sym_protected] = ACTIONS(2628),
    [anon_sym_override] = ACTIONS(2628),
    [anon_sym_module] = ACTIONS(2628),
    [anon_sym_any] = ACTIONS(2628),
    [anon_sym_number] = ACTIONS(2628),
    [anon_sym_boolean] = ACTIONS(2628),
    [anon_sym_string] = ACTIONS(2628),
    [anon_sym_symbol] = ACTIONS(2628),
    [anon_sym_object] = ACTIONS(2628),
    [anon_sym_abstract] = ACTIONS(2628),
    [anon_sym_interface] = ACTIONS(2628),
    [anon_sym_enum] = ACTIONS(2628),
    [sym_html_comment] = ACTIONS(5),
  },
  [814] = {
    [ts_builtin_sym_end] = ACTIONS(2630),
    [sym_identifier] = ACTIONS(2632),
    [anon_sym_export] = ACTIONS(2632),
    [anon_sym_default] = ACTIONS(2632),
    [anon_sym_type] = ACTIONS(2632),
    [anon_sym_namespace] = ACTIONS(2632),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [anon_sym_RBRACE] = ACTIONS(2630),
    [anon_sym_typeof] = ACTIONS(2632),
    [anon_sym_import] = ACTIONS(2632),
    [anon_sym_with] = ACTIONS(2632),
    [anon_sym_var] = ACTIONS(2632),
    [anon_sym_let] = ACTIONS(2632),
    [anon_sym_const] = ACTIONS(2632),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_else] = ACTIONS(2632),
    [anon_sym_if] = ACTIONS(2632),
    [anon_sym_switch] = ACTIONS(2632),
    [anon_sym_for] = ACTIONS(2632),
    [anon_sym_LPAREN] = ACTIONS(2630),
    [anon_sym_await] = ACTIONS(2632),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_do] = ACTIONS(2632),
    [anon_sym_try] = ACTIONS(2632),
    [anon_sym_break] = ACTIONS(2632),
    [anon_sym_continue] = ACTIONS(2632),
    [anon_sym_debugger] = ACTIONS(2632),
    [anon_sym_return] = ACTIONS(2632),
    [anon_sym_throw] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2630),
    [anon_sym_case] = ACTIONS(2632),
    [anon_sym_yield] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2630),
    [sym_glimmer_opening_tag] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [anon_sym_SQUOTE] = ACTIONS(2630),
    [anon_sym_class] = ACTIONS(2632),
    [anon_sym_async] = ACTIONS(2632),
    [anon_sym_function] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2632),
    [anon_sym_using] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2632),
    [anon_sym_LT] = ACTIONS(2632),
    [anon_sym_TILDE] = ACTIONS(2630),
    [anon_sym_void] = ACTIONS(2632),
    [anon_sym_delete] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2630),
    [sym_number] = ACTIONS(2630),
    [sym_private_property_identifier] = ACTIONS(2630),
    [sym_this] = ACTIONS(2632),
    [sym_super] = ACTIONS(2632),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [sym_null] = ACTIONS(2632),
    [sym_undefined] = ACTIONS(2632),
    [anon_sym_AT] = ACTIONS(2630),
    [anon_sym_static] = ACTIONS(2632),
    [anon_sym_readonly] = ACTIONS(2632),
    [anon_sym_get] = ACTIONS(2632),
    [anon_sym_set] = ACTIONS(2632),
    [anon_sym_declare] = ACTIONS(2632),
    [anon_sym_public] = ACTIONS(2632),
    [anon_sym_private] = ACTIONS(2632),
    [anon_sym_protected] = ACTIONS(2632),
    [anon_sym_override] = ACTIONS(2632),
    [anon_sym_module] = ACTIONS(2632),
    [anon_sym_any] = ACTIONS(2632),
    [anon_sym_number] = ACTIONS(2632),
    [anon_sym_boolean] = ACTIONS(2632),
    [anon_sym_string] = ACTIONS(2632),
    [anon_sym_symbol] = ACTIONS(2632),
    [anon_sym_object] = ACTIONS(2632),
    [anon_sym_abstract] = ACTIONS(2632),
    [anon_sym_interface] = ACTIONS(2632),
    [anon_sym_enum] = ACTIONS(2632),
    [sym_html_comment] = ACTIONS(5),
  },
  [815] = {
    [ts_builtin_sym_end] = ACTIONS(2634),
    [sym_identifier] = ACTIONS(2636),
    [anon_sym_export] = ACTIONS(2636),
    [anon_sym_default] = ACTIONS(2636),
    [anon_sym_type] = ACTIONS(2636),
    [anon_sym_namespace] = ACTIONS(2636),
    [anon_sym_LBRACE] = ACTIONS(2634),
    [anon_sym_RBRACE] = ACTIONS(2634),
    [anon_sym_typeof] = ACTIONS(2636),
    [anon_sym_import] = ACTIONS(2636),
    [anon_sym_with] = ACTIONS(2636),
    [anon_sym_var] = ACTIONS(2636),
    [anon_sym_let] = ACTIONS(2636),
    [anon_sym_const] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2634),
    [anon_sym_else] = ACTIONS(2636),
    [anon_sym_if] = ACTIONS(2636),
    [anon_sym_switch] = ACTIONS(2636),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_LPAREN] = ACTIONS(2634),
    [anon_sym_await] = ACTIONS(2636),
    [anon_sym_while] = ACTIONS(2636),
    [anon_sym_do] = ACTIONS(2636),
    [anon_sym_try] = ACTIONS(2636),
    [anon_sym_break] = ACTIONS(2636),
    [anon_sym_continue] = ACTIONS(2636),
    [anon_sym_debugger] = ACTIONS(2636),
    [anon_sym_return] = ACTIONS(2636),
    [anon_sym_throw] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2636),
    [anon_sym_yield] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2634),
    [sym_glimmer_opening_tag] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2634),
    [anon_sym_SQUOTE] = ACTIONS(2634),
    [anon_sym_class] = ACTIONS(2636),
    [anon_sym_async] = ACTIONS(2636),
    [anon_sym_function] = ACTIONS(2636),
    [anon_sym_new] = ACTIONS(2636),
    [anon_sym_using] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2636),
    [anon_sym_LT] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2634),
    [anon_sym_void] = ACTIONS(2636),
    [anon_sym_delete] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2634),
    [sym_number] = ACTIONS(2634),
    [sym_private_property_identifier] = ACTIONS(2634),
    [sym_this] = ACTIONS(2636),
    [sym_super] = ACTIONS(2636),
    [sym_true] = ACTIONS(2636),
    [sym_false] = ACTIONS(2636),
    [sym_null] = ACTIONS(2636),
    [sym_undefined] = ACTIONS(2636),
    [anon_sym_AT] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2636),
    [anon_sym_readonly] = ACTIONS(2636),
    [anon_sym_get] = ACTIONS(2636),
    [anon_sym_set] = ACTIONS(2636),
    [anon_sym_declare] = ACTIONS(2636),
    [anon_sym_public] = ACTIONS(2636),
    [anon_sym_private] = ACTIONS(2636),
    [anon_sym_protected] = ACTIONS(2636),
    [anon_sym_override] = ACTIONS(2636),
    [anon_sym_module] = ACTIONS(2636),
    [anon_sym_any] = ACTIONS(2636),
    [anon_sym_number] = ACTIONS(2636),
    [anon_sym_boolean] = ACTIONS(2636),
    [anon_sym_string] = ACTIONS(2636),
    [anon_sym_symbol] = ACTIONS(2636),
    [anon_sym_object] = ACTIONS(2636),
    [anon_sym_abstract] = ACTIONS(2636),
    [anon_sym_interface] = ACTIONS(2636),
    [anon_sym_enum] = ACTIONS(2636),
    [sym_html_comment] = ACTIONS(5),
  },
  [816] = {
    [ts_builtin_sym_end] = ACTIONS(2638),
    [sym_identifier] = ACTIONS(2640),
    [anon_sym_export] = ACTIONS(2640),
    [anon_sym_default] = ACTIONS(2640),
    [anon_sym_type] = ACTIONS(2640),
    [anon_sym_namespace] = ACTIONS(2640),
    [anon_sym_LBRACE] = ACTIONS(2638),
    [anon_sym_RBRACE] = ACTIONS(2638),
    [anon_sym_typeof] = ACTIONS(2640),
    [anon_sym_import] = ACTIONS(2640),
    [anon_sym_with] = ACTIONS(2640),
    [anon_sym_var] = ACTIONS(2640),
    [anon_sym_let] = ACTIONS(2640),
    [anon_sym_const] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_else] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2640),
    [anon_sym_switch] = ACTIONS(2640),
    [anon_sym_for] = ACTIONS(2640),
    [anon_sym_LPAREN] = ACTIONS(2638),
    [anon_sym_await] = ACTIONS(2640),
    [anon_sym_while] = ACTIONS(2640),
    [anon_sym_do] = ACTIONS(2640),
    [anon_sym_try] = ACTIONS(2640),
    [anon_sym_break] = ACTIONS(2640),
    [anon_sym_continue] = ACTIONS(2640),
    [anon_sym_debugger] = ACTIONS(2640),
    [anon_sym_return] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2640),
    [anon_sym_yield] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2638),
    [sym_glimmer_opening_tag] = ACTIONS(2638),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [anon_sym_SQUOTE] = ACTIONS(2638),
    [anon_sym_class] = ACTIONS(2640),
    [anon_sym_async] = ACTIONS(2640),
    [anon_sym_function] = ACTIONS(2640),
    [anon_sym_new] = ACTIONS(2640),
    [anon_sym_using] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2640),
    [anon_sym_LT] = ACTIONS(2640),
    [anon_sym_TILDE] = ACTIONS(2638),
    [anon_sym_void] = ACTIONS(2640),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2638),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2638),
    [sym_number] = ACTIONS(2638),
    [sym_private_property_identifier] = ACTIONS(2638),
    [sym_this] = ACTIONS(2640),
    [sym_super] = ACTIONS(2640),
    [sym_true] = ACTIONS(2640),
    [sym_false] = ACTIONS(2640),
    [sym_null] = ACTIONS(2640),
    [sym_undefined] = ACTIONS(2640),
    [anon_sym_AT] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2640),
    [anon_sym_readonly] = ACTIONS(2640),
    [anon_sym_get] = ACTIONS(2640),
    [anon_sym_set] = ACTIONS(2640),
    [anon_sym_declare] = ACTIONS(2640),
    [anon_sym_public] = ACTIONS(2640),
    [anon_sym_private] = ACTIONS(2640),
    [anon_sym_protected] = ACTIONS(2640),
    [anon_sym_override] = ACTIONS(2640),
    [anon_sym_module] = ACTIONS(2640),
    [anon_sym_any] = ACTIONS(2640),
    [anon_sym_number] = ACTIONS(2640),
    [anon_sym_boolean] = ACTIONS(2640),
    [anon_sym_string] = ACTIONS(2640),
    [anon_sym_symbol] = ACTIONS(2640),
    [anon_sym_object] = ACTIONS(2640),
    [anon_sym_abstract] = ACTIONS(2640),
    [anon_sym_interface] = ACTIONS(2640),
    [anon_sym_enum] = ACTIONS(2640),
    [sym_html_comment] = ACTIONS(5),
  },
  [817] = {
    [ts_builtin_sym_end] = ACTIONS(2642),
    [sym_identifier] = ACTIONS(2644),
    [anon_sym_export] = ACTIONS(2644),
    [anon_sym_default] = ACTIONS(2644),
    [anon_sym_type] = ACTIONS(2644),
    [anon_sym_namespace] = ACTIONS(2644),
    [anon_sym_LBRACE] = ACTIONS(2642),
    [anon_sym_RBRACE] = ACTIONS(2642),
    [anon_sym_typeof] = ACTIONS(2644),
    [anon_sym_import] = ACTIONS(2644),
    [anon_sym_with] = ACTIONS(2644),
    [anon_sym_var] = ACTIONS(2644),
    [anon_sym_let] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_else] = ACTIONS(2644),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2644),
    [anon_sym_for] = ACTIONS(2644),
    [anon_sym_LPAREN] = ACTIONS(2642),
    [anon_sym_await] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2644),
    [anon_sym_do] = ACTIONS(2644),
    [anon_sym_try] = ACTIONS(2644),
    [anon_sym_break] = ACTIONS(2644),
    [anon_sym_continue] = ACTIONS(2644),
    [anon_sym_debugger] = ACTIONS(2644),
    [anon_sym_return] = ACTIONS(2644),
    [anon_sym_throw] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2642),
    [anon_sym_case] = ACTIONS(2644),
    [anon_sym_yield] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2642),
    [sym_glimmer_opening_tag] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2642),
    [anon_sym_SQUOTE] = ACTIONS(2642),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_async] = ACTIONS(2644),
    [anon_sym_function] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2644),
    [anon_sym_using] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2644),
    [anon_sym_LT] = ACTIONS(2644),
    [anon_sym_TILDE] = ACTIONS(2642),
    [anon_sym_void] = ACTIONS(2644),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2642),
    [anon_sym_DASH_DASH] = ACTIONS(2642),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2642),
    [sym_number] = ACTIONS(2642),
    [sym_private_property_identifier] = ACTIONS(2642),
    [sym_this] = ACTIONS(2644),
    [sym_super] = ACTIONS(2644),
    [sym_true] = ACTIONS(2644),
    [sym_false] = ACTIONS(2644),
    [sym_null] = ACTIONS(2644),
    [sym_undefined] = ACTIONS(2644),
    [anon_sym_AT] = ACTIONS(2642),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_readonly] = ACTIONS(2644),
    [anon_sym_get] = ACTIONS(2644),
    [anon_sym_set] = ACTIONS(2644),
    [anon_sym_declare] = ACTIONS(2644),
    [anon_sym_public] = ACTIONS(2644),
    [anon_sym_private] = ACTIONS(2644),
    [anon_sym_protected] = ACTIONS(2644),
    [anon_sym_override] = ACTIONS(2644),
    [anon_sym_module] = ACTIONS(2644),
    [anon_sym_any] = ACTIONS(2644),
    [anon_sym_number] = ACTIONS(2644),
    [anon_sym_boolean] = ACTIONS(2644),
    [anon_sym_string] = ACTIONS(2644),
    [anon_sym_symbol] = ACTIONS(2644),
    [anon_sym_object] = ACTIONS(2644),
    [anon_sym_abstract] = ACTIONS(2644),
    [anon_sym_interface] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [sym_html_comment] = ACTIONS(5),
  },
  [818] = {
    [ts_builtin_sym_end] = ACTIONS(2646),
    [sym_identifier] = ACTIONS(2648),
    [anon_sym_export] = ACTIONS(2648),
    [anon_sym_default] = ACTIONS(2648),
    [anon_sym_type] = ACTIONS(2648),
    [anon_sym_namespace] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2646),
    [anon_sym_RBRACE] = ACTIONS(2646),
    [anon_sym_typeof] = ACTIONS(2648),
    [anon_sym_import] = ACTIONS(2648),
    [anon_sym_with] = ACTIONS(2648),
    [anon_sym_var] = ACTIONS(2648),
    [anon_sym_let] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_BANG] = ACTIONS(2646),
    [anon_sym_else] = ACTIONS(2648),
    [anon_sym_if] = ACTIONS(2648),
    [anon_sym_switch] = ACTIONS(2648),
    [anon_sym_for] = ACTIONS(2648),
    [anon_sym_LPAREN] = ACTIONS(2646),
    [anon_sym_await] = ACTIONS(2648),
    [anon_sym_while] = ACTIONS(2648),
    [anon_sym_do] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2648),
    [anon_sym_break] = ACTIONS(2648),
    [anon_sym_continue] = ACTIONS(2648),
    [anon_sym_debugger] = ACTIONS(2648),
    [anon_sym_return] = ACTIONS(2648),
    [anon_sym_throw] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2646),
    [anon_sym_case] = ACTIONS(2648),
    [anon_sym_yield] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2646),
    [sym_glimmer_opening_tag] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(2646),
    [anon_sym_SQUOTE] = ACTIONS(2646),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_async] = ACTIONS(2648),
    [anon_sym_function] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2648),
    [anon_sym_DASH] = ACTIONS(2648),
    [anon_sym_SLASH] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2648),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_void] = ACTIONS(2648),
    [anon_sym_delete] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2646),
    [anon_sym_DASH_DASH] = ACTIONS(2646),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2646),
    [sym_number] = ACTIONS(2646),
    [sym_private_property_identifier] = ACTIONS(2646),
    [sym_this] = ACTIONS(2648),
    [sym_super] = ACTIONS(2648),
    [sym_true] = ACTIONS(2648),
    [sym_false] = ACTIONS(2648),
    [sym_null] = ACTIONS(2648),
    [sym_undefined] = ACTIONS(2648),
    [anon_sym_AT] = ACTIONS(2646),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_readonly] = ACTIONS(2648),
    [anon_sym_get] = ACTIONS(2648),
    [anon_sym_set] = ACTIONS(2648),
    [anon_sym_declare] = ACTIONS(2648),
    [anon_sym_public] = ACTIONS(2648),
    [anon_sym_private] = ACTIONS(2648),
    [anon_sym_protected] = ACTIONS(2648),
    [anon_sym_override] = ACTIONS(2648),
    [anon_sym_module] = ACTIONS(2648),
    [anon_sym_any] = ACTIONS(2648),
    [anon_sym_number] = ACTIONS(2648),
    [anon_sym_boolean] = ACTIONS(2648),
    [anon_sym_string] = ACTIONS(2648),
    [anon_sym_symbol] = ACTIONS(2648),
    [anon_sym_object] = ACTIONS(2648),
    [anon_sym_abstract] = ACTIONS(2648),
    [anon_sym_interface] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [sym_html_comment] = ACTIONS(5),
  },
  [819] = {
    [ts_builtin_sym_end] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(1933),
    [anon_sym_export] = ACTIONS(1933),
    [anon_sym_default] = ACTIONS(1933),
    [anon_sym_type] = ACTIONS(1933),
    [anon_sym_namespace] = ACTIONS(1933),
    [anon_sym_LBRACE] = ACTIONS(1931),
    [anon_sym_RBRACE] = ACTIONS(1931),
    [anon_sym_typeof] = ACTIONS(1933),
    [anon_sym_import] = ACTIONS(1933),
    [anon_sym_with] = ACTIONS(1933),
    [anon_sym_var] = ACTIONS(1933),
    [anon_sym_let] = ACTIONS(1933),
    [anon_sym_const] = ACTIONS(1933),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_else] = ACTIONS(1933),
    [anon_sym_if] = ACTIONS(1933),
    [anon_sym_switch] = ACTIONS(1933),
    [anon_sym_for] = ACTIONS(1933),
    [anon_sym_LPAREN] = ACTIONS(1931),
    [anon_sym_await] = ACTIONS(1933),
    [anon_sym_while] = ACTIONS(1933),
    [anon_sym_do] = ACTIONS(1933),
    [anon_sym_try] = ACTIONS(1933),
    [anon_sym_break] = ACTIONS(1933),
    [anon_sym_continue] = ACTIONS(1933),
    [anon_sym_debugger] = ACTIONS(1933),
    [anon_sym_return] = ACTIONS(1933),
    [anon_sym_throw] = ACTIONS(1933),
    [anon_sym_SEMI] = ACTIONS(1931),
    [anon_sym_case] = ACTIONS(1933),
    [anon_sym_yield] = ACTIONS(1933),
    [anon_sym_LBRACK] = ACTIONS(1931),
    [sym_glimmer_opening_tag] = ACTIONS(1931),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [anon_sym_SQUOTE] = ACTIONS(1931),
    [anon_sym_class] = ACTIONS(1933),
    [anon_sym_async] = ACTIONS(1933),
    [anon_sym_function] = ACTIONS(1933),
    [anon_sym_new] = ACTIONS(1933),
    [anon_sym_using] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1933),
    [anon_sym_DASH] = ACTIONS(1933),
    [anon_sym_SLASH] = ACTIONS(1933),
    [anon_sym_LT] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1931),
    [anon_sym_void] = ACTIONS(1933),
    [anon_sym_delete] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1931),
    [anon_sym_DASH_DASH] = ACTIONS(1931),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1931),
    [sym_number] = ACTIONS(1931),
    [sym_private_property_identifier] = ACTIONS(1931),
    [sym_this] = ACTIONS(1933),
    [sym_super] = ACTIONS(1933),
    [sym_true] = ACTIONS(1933),
    [sym_false] = ACTIONS(1933),
    [sym_null] = ACTIONS(1933),
    [sym_undefined] = ACTIONS(1933),
    [anon_sym_AT] = ACTIONS(1931),
    [anon_sym_static] = ACTIONS(1933),
    [anon_sym_readonly] = ACTIONS(1933),
    [anon_sym_get] = ACTIONS(1933),
    [anon_sym_set] = ACTIONS(1933),
    [anon_sym_declare] = ACTIONS(1933),
    [anon_sym_public] = ACTIONS(1933),
    [anon_sym_private] = ACTIONS(1933),
    [anon_sym_protected] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_module] = ACTIONS(1933),
    [anon_sym_any] = ACTIONS(1933),
    [anon_sym_number] = ACTIONS(1933),
    [anon_sym_boolean] = ACTIONS(1933),
    [anon_sym_string] = ACTIONS(1933),
    [anon_sym_symbol] = ACTIONS(1933),
    [anon_sym_object] = ACTIONS(1933),
    [anon_sym_abstract] = ACTIONS(1933),
    [anon_sym_interface] = ACTIONS(1933),
    [anon_sym_enum] = ACTIONS(1933),
    [sym_html_comment] = ACTIONS(5),
  },
  [820] = {
    [ts_builtin_sym_end] = ACTIONS(2650),
    [sym_identifier] = ACTIONS(2652),
    [anon_sym_export] = ACTIONS(2652),
    [anon_sym_default] = ACTIONS(2652),
    [anon_sym_type] = ACTIONS(2652),
    [anon_sym_namespace] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_RBRACE] = ACTIONS(2650),
    [anon_sym_typeof] = ACTIONS(2652),
    [anon_sym_import] = ACTIONS(2652),
    [anon_sym_with] = ACTIONS(2652),
    [anon_sym_var] = ACTIONS(2652),
    [anon_sym_let] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_else] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2650),
    [anon_sym_await] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_debugger] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2652),
    [anon_sym_yield] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [sym_glimmer_opening_tag] = ACTIONS(2650),
    [anon_sym_DQUOTE] = ACTIONS(2650),
    [anon_sym_SQUOTE] = ACTIONS(2650),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_async] = ACTIONS(2652),
    [anon_sym_function] = ACTIONS(2652),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_using] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2652),
    [anon_sym_LT] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_void] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2650),
    [sym_number] = ACTIONS(2650),
    [sym_private_property_identifier] = ACTIONS(2650),
    [sym_this] = ACTIONS(2652),
    [sym_super] = ACTIONS(2652),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [sym_null] = ACTIONS(2652),
    [sym_undefined] = ACTIONS(2652),
    [anon_sym_AT] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2652),
    [anon_sym_readonly] = ACTIONS(2652),
    [anon_sym_get] = ACTIONS(2652),
    [anon_sym_set] = ACTIONS(2652),
    [anon_sym_declare] = ACTIONS(2652),
    [anon_sym_public] = ACTIONS(2652),
    [anon_sym_private] = ACTIONS(2652),
    [anon_sym_protected] = ACTIONS(2652),
    [anon_sym_override] = ACTIONS(2652),
    [anon_sym_module] = ACTIONS(2652),
    [anon_sym_any] = ACTIONS(2652),
    [anon_sym_number] = ACTIONS(2652),
    [anon_sym_boolean] = ACTIONS(2652),
    [anon_sym_string] = ACTIONS(2652),
    [anon_sym_symbol] = ACTIONS(2652),
    [anon_sym_object] = ACTIONS(2652),
    [anon_sym_abstract] = ACTIONS(2652),
    [anon_sym_interface] = ACTIONS(2652),
    [anon_sym_enum] = ACTIONS(2652),
    [sym_html_comment] = ACTIONS(5),
  },
  [821] = {
    [ts_builtin_sym_end] = ACTIONS(2654),
    [sym_identifier] = ACTIONS(2656),
    [anon_sym_export] = ACTIONS(2656),
    [anon_sym_default] = ACTIONS(2656),
    [anon_sym_type] = ACTIONS(2656),
    [anon_sym_namespace] = ACTIONS(2656),
    [anon_sym_LBRACE] = ACTIONS(2654),
    [anon_sym_RBRACE] = ACTIONS(2654),
    [anon_sym_typeof] = ACTIONS(2656),
    [anon_sym_import] = ACTIONS(2656),
    [anon_sym_with] = ACTIONS(2656),
    [anon_sym_var] = ACTIONS(2656),
    [anon_sym_let] = ACTIONS(2656),
    [anon_sym_const] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_else] = ACTIONS(2656),
    [anon_sym_if] = ACTIONS(2656),
    [anon_sym_switch] = ACTIONS(2656),
    [anon_sym_for] = ACTIONS(2656),
    [anon_sym_LPAREN] = ACTIONS(2654),
    [anon_sym_await] = ACTIONS(2656),
    [anon_sym_while] = ACTIONS(2656),
    [anon_sym_do] = ACTIONS(2656),
    [anon_sym_try] = ACTIONS(2656),
    [anon_sym_break] = ACTIONS(2656),
    [anon_sym_continue] = ACTIONS(2656),
    [anon_sym_debugger] = ACTIONS(2656),
    [anon_sym_return] = ACTIONS(2656),
    [anon_sym_throw] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2656),
    [anon_sym_yield] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2654),
    [sym_glimmer_opening_tag] = ACTIONS(2654),
    [anon_sym_DQUOTE] = ACTIONS(2654),
    [anon_sym_SQUOTE] = ACTIONS(2654),
    [anon_sym_class] = ACTIONS(2656),
    [anon_sym_async] = ACTIONS(2656),
    [anon_sym_function] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2656),
    [anon_sym_using] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2656),
    [anon_sym_SLASH] = ACTIONS(2656),
    [anon_sym_LT] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2654),
    [anon_sym_void] = ACTIONS(2656),
    [anon_sym_delete] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2654),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2654),
    [sym_number] = ACTIONS(2654),
    [sym_private_property_identifier] = ACTIONS(2654),
    [sym_this] = ACTIONS(2656),
    [sym_super] = ACTIONS(2656),
    [sym_true] = ACTIONS(2656),
    [sym_false] = ACTIONS(2656),
    [sym_null] = ACTIONS(2656),
    [sym_undefined] = ACTIONS(2656),
    [anon_sym_AT] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2656),
    [anon_sym_readonly] = ACTIONS(2656),
    [anon_sym_get] = ACTIONS(2656),
    [anon_sym_set] = ACTIONS(2656),
    [anon_sym_declare] = ACTIONS(2656),
    [anon_sym_public] = ACTIONS(2656),
    [anon_sym_private] = ACTIONS(2656),
    [anon_sym_protected] = ACTIONS(2656),
    [anon_sym_override] = ACTIONS(2656),
    [anon_sym_module] = ACTIONS(2656),
    [anon_sym_any] = ACTIONS(2656),
    [anon_sym_number] = ACTIONS(2656),
    [anon_sym_boolean] = ACTIONS(2656),
    [anon_sym_string] = ACTIONS(2656),
    [anon_sym_symbol] = ACTIONS(2656),
    [anon_sym_object] = ACTIONS(2656),
    [anon_sym_abstract] = ACTIONS(2656),
    [anon_sym_interface] = ACTIONS(2656),
    [anon_sym_enum] = ACTIONS(2656),
    [sym_html_comment] = ACTIONS(5),
  },
  [822] = {
    [ts_builtin_sym_end] = ACTIONS(2658),
    [sym_identifier] = ACTIONS(2660),
    [anon_sym_export] = ACTIONS(2660),
    [anon_sym_default] = ACTIONS(2660),
    [anon_sym_type] = ACTIONS(2660),
    [anon_sym_namespace] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2658),
    [anon_sym_RBRACE] = ACTIONS(2658),
    [anon_sym_typeof] = ACTIONS(2660),
    [anon_sym_import] = ACTIONS(2660),
    [anon_sym_with] = ACTIONS(2660),
    [anon_sym_var] = ACTIONS(2660),
    [anon_sym_let] = ACTIONS(2660),
    [anon_sym_const] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2660),
    [anon_sym_if] = ACTIONS(2660),
    [anon_sym_switch] = ACTIONS(2660),
    [anon_sym_for] = ACTIONS(2660),
    [anon_sym_LPAREN] = ACTIONS(2658),
    [anon_sym_await] = ACTIONS(2660),
    [anon_sym_while] = ACTIONS(2660),
    [anon_sym_do] = ACTIONS(2660),
    [anon_sym_try] = ACTIONS(2660),
    [anon_sym_break] = ACTIONS(2660),
    [anon_sym_continue] = ACTIONS(2660),
    [anon_sym_debugger] = ACTIONS(2660),
    [anon_sym_return] = ACTIONS(2660),
    [anon_sym_throw] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2660),
    [anon_sym_yield] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [sym_glimmer_opening_tag] = ACTIONS(2658),
    [anon_sym_DQUOTE] = ACTIONS(2658),
    [anon_sym_SQUOTE] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2660),
    [anon_sym_async] = ACTIONS(2660),
    [anon_sym_function] = ACTIONS(2660),
    [anon_sym_new] = ACTIONS(2660),
    [anon_sym_using] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2660),
    [anon_sym_SLASH] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2658),
    [anon_sym_void] = ACTIONS(2660),
    [anon_sym_delete] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2658),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2658),
    [sym_number] = ACTIONS(2658),
    [sym_private_property_identifier] = ACTIONS(2658),
    [sym_this] = ACTIONS(2660),
    [sym_super] = ACTIONS(2660),
    [sym_true] = ACTIONS(2660),
    [sym_false] = ACTIONS(2660),
    [sym_null] = ACTIONS(2660),
    [sym_undefined] = ACTIONS(2660),
    [anon_sym_AT] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2660),
    [anon_sym_readonly] = ACTIONS(2660),
    [anon_sym_get] = ACTIONS(2660),
    [anon_sym_set] = ACTIONS(2660),
    [anon_sym_declare] = ACTIONS(2660),
    [anon_sym_public] = ACTIONS(2660),
    [anon_sym_private] = ACTIONS(2660),
    [anon_sym_protected] = ACTIONS(2660),
    [anon_sym_override] = ACTIONS(2660),
    [anon_sym_module] = ACTIONS(2660),
    [anon_sym_any] = ACTIONS(2660),
    [anon_sym_number] = ACTIONS(2660),
    [anon_sym_boolean] = ACTIONS(2660),
    [anon_sym_string] = ACTIONS(2660),
    [anon_sym_symbol] = ACTIONS(2660),
    [anon_sym_object] = ACTIONS(2660),
    [anon_sym_abstract] = ACTIONS(2660),
    [anon_sym_interface] = ACTIONS(2660),
    [anon_sym_enum] = ACTIONS(2660),
    [sym_html_comment] = ACTIONS(5),
  },
  [823] = {
    [ts_builtin_sym_end] = ACTIONS(2658),
    [sym_identifier] = ACTIONS(2660),
    [anon_sym_export] = ACTIONS(2660),
    [anon_sym_default] = ACTIONS(2660),
    [anon_sym_type] = ACTIONS(2660),
    [anon_sym_namespace] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2658),
    [anon_sym_RBRACE] = ACTIONS(2658),
    [anon_sym_typeof] = ACTIONS(2660),
    [anon_sym_import] = ACTIONS(2660),
    [anon_sym_with] = ACTIONS(2660),
    [anon_sym_var] = ACTIONS(2660),
    [anon_sym_let] = ACTIONS(2660),
    [anon_sym_const] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2660),
    [anon_sym_if] = ACTIONS(2660),
    [anon_sym_switch] = ACTIONS(2660),
    [anon_sym_for] = ACTIONS(2660),
    [anon_sym_LPAREN] = ACTIONS(2658),
    [anon_sym_await] = ACTIONS(2660),
    [anon_sym_while] = ACTIONS(2660),
    [anon_sym_do] = ACTIONS(2660),
    [anon_sym_try] = ACTIONS(2660),
    [anon_sym_break] = ACTIONS(2660),
    [anon_sym_continue] = ACTIONS(2660),
    [anon_sym_debugger] = ACTIONS(2660),
    [anon_sym_return] = ACTIONS(2660),
    [anon_sym_throw] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2660),
    [anon_sym_yield] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [sym_glimmer_opening_tag] = ACTIONS(2658),
    [anon_sym_DQUOTE] = ACTIONS(2658),
    [anon_sym_SQUOTE] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2660),
    [anon_sym_async] = ACTIONS(2660),
    [anon_sym_function] = ACTIONS(2660),
    [anon_sym_new] = ACTIONS(2660),
    [anon_sym_using] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2660),
    [anon_sym_SLASH] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2658),
    [anon_sym_void] = ACTIONS(2660),
    [anon_sym_delete] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2658),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2658),
    [sym_number] = ACTIONS(2658),
    [sym_private_property_identifier] = ACTIONS(2658),
    [sym_this] = ACTIONS(2660),
    [sym_super] = ACTIONS(2660),
    [sym_true] = ACTIONS(2660),
    [sym_false] = ACTIONS(2660),
    [sym_null] = ACTIONS(2660),
    [sym_undefined] = ACTIONS(2660),
    [anon_sym_AT] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2660),
    [anon_sym_readonly] = ACTIONS(2660),
    [anon_sym_get] = ACTIONS(2660),
    [anon_sym_set] = ACTIONS(2660),
    [anon_sym_declare] = ACTIONS(2660),
    [anon_sym_public] = ACTIONS(2660),
    [anon_sym_private] = ACTIONS(2660),
    [anon_sym_protected] = ACTIONS(2660),
    [anon_sym_override] = ACTIONS(2660),
    [anon_sym_module] = ACTIONS(2660),
    [anon_sym_any] = ACTIONS(2660),
    [anon_sym_number] = ACTIONS(2660),
    [anon_sym_boolean] = ACTIONS(2660),
    [anon_sym_string] = ACTIONS(2660),
    [anon_sym_symbol] = ACTIONS(2660),
    [anon_sym_object] = ACTIONS(2660),
    [anon_sym_abstract] = ACTIONS(2660),
    [anon_sym_interface] = ACTIONS(2660),
    [anon_sym_enum] = ACTIONS(2660),
    [sym_html_comment] = ACTIONS(5),
  },
  [824] = {
    [ts_builtin_sym_end] = ACTIONS(2658),
    [sym_identifier] = ACTIONS(2660),
    [anon_sym_export] = ACTIONS(2660),
    [anon_sym_default] = ACTIONS(2660),
    [anon_sym_type] = ACTIONS(2660),
    [anon_sym_namespace] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2658),
    [anon_sym_RBRACE] = ACTIONS(2658),
    [anon_sym_typeof] = ACTIONS(2660),
    [anon_sym_import] = ACTIONS(2660),
    [anon_sym_with] = ACTIONS(2660),
    [anon_sym_var] = ACTIONS(2660),
    [anon_sym_let] = ACTIONS(2660),
    [anon_sym_const] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2660),
    [anon_sym_if] = ACTIONS(2660),
    [anon_sym_switch] = ACTIONS(2660),
    [anon_sym_for] = ACTIONS(2660),
    [anon_sym_LPAREN] = ACTIONS(2658),
    [anon_sym_await] = ACTIONS(2660),
    [anon_sym_while] = ACTIONS(2660),
    [anon_sym_do] = ACTIONS(2660),
    [anon_sym_try] = ACTIONS(2660),
    [anon_sym_break] = ACTIONS(2660),
    [anon_sym_continue] = ACTIONS(2660),
    [anon_sym_debugger] = ACTIONS(2660),
    [anon_sym_return] = ACTIONS(2660),
    [anon_sym_throw] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2660),
    [anon_sym_yield] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [sym_glimmer_opening_tag] = ACTIONS(2658),
    [anon_sym_DQUOTE] = ACTIONS(2658),
    [anon_sym_SQUOTE] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2660),
    [anon_sym_async] = ACTIONS(2660),
    [anon_sym_function] = ACTIONS(2660),
    [anon_sym_new] = ACTIONS(2660),
    [anon_sym_using] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2660),
    [anon_sym_SLASH] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2658),
    [anon_sym_void] = ACTIONS(2660),
    [anon_sym_delete] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2658),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2658),
    [sym_number] = ACTIONS(2658),
    [sym_private_property_identifier] = ACTIONS(2658),
    [sym_this] = ACTIONS(2660),
    [sym_super] = ACTIONS(2660),
    [sym_true] = ACTIONS(2660),
    [sym_false] = ACTIONS(2660),
    [sym_null] = ACTIONS(2660),
    [sym_undefined] = ACTIONS(2660),
    [anon_sym_AT] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2660),
    [anon_sym_readonly] = ACTIONS(2660),
    [anon_sym_get] = ACTIONS(2660),
    [anon_sym_set] = ACTIONS(2660),
    [anon_sym_declare] = ACTIONS(2660),
    [anon_sym_public] = ACTIONS(2660),
    [anon_sym_private] = ACTIONS(2660),
    [anon_sym_protected] = ACTIONS(2660),
    [anon_sym_override] = ACTIONS(2660),
    [anon_sym_module] = ACTIONS(2660),
    [anon_sym_any] = ACTIONS(2660),
    [anon_sym_number] = ACTIONS(2660),
    [anon_sym_boolean] = ACTIONS(2660),
    [anon_sym_string] = ACTIONS(2660),
    [anon_sym_symbol] = ACTIONS(2660),
    [anon_sym_object] = ACTIONS(2660),
    [anon_sym_abstract] = ACTIONS(2660),
    [anon_sym_interface] = ACTIONS(2660),
    [anon_sym_enum] = ACTIONS(2660),
    [sym_html_comment] = ACTIONS(5),
  },
  [825] = {
    [ts_builtin_sym_end] = ACTIONS(1887),
    [sym_identifier] = ACTIONS(1889),
    [anon_sym_export] = ACTIONS(1889),
    [anon_sym_default] = ACTIONS(1889),
    [anon_sym_type] = ACTIONS(1889),
    [anon_sym_namespace] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1887),
    [anon_sym_RBRACE] = ACTIONS(1887),
    [anon_sym_typeof] = ACTIONS(1889),
    [anon_sym_import] = ACTIONS(1889),
    [anon_sym_with] = ACTIONS(1889),
    [anon_sym_var] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1889),
    [anon_sym_const] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(1887),
    [anon_sym_else] = ACTIONS(1889),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_switch] = ACTIONS(1889),
    [anon_sym_for] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1887),
    [anon_sym_await] = ACTIONS(1889),
    [anon_sym_while] = ACTIONS(1889),
    [anon_sym_do] = ACTIONS(1889),
    [anon_sym_try] = ACTIONS(1889),
    [anon_sym_break] = ACTIONS(1889),
    [anon_sym_continue] = ACTIONS(1889),
    [anon_sym_debugger] = ACTIONS(1889),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1889),
    [anon_sym_SEMI] = ACTIONS(1887),
    [anon_sym_case] = ACTIONS(1889),
    [anon_sym_yield] = ACTIONS(1889),
    [anon_sym_LBRACK] = ACTIONS(1887),
    [sym_glimmer_opening_tag] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [anon_sym_SQUOTE] = ACTIONS(1887),
    [anon_sym_class] = ACTIONS(1889),
    [anon_sym_async] = ACTIONS(1889),
    [anon_sym_function] = ACTIONS(1889),
    [anon_sym_new] = ACTIONS(1889),
    [anon_sym_using] = ACTIONS(1889),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_SLASH] = ACTIONS(1889),
    [anon_sym_LT] = ACTIONS(1889),
    [anon_sym_TILDE] = ACTIONS(1887),
    [anon_sym_void] = ACTIONS(1889),
    [anon_sym_delete] = ACTIONS(1889),
    [anon_sym_PLUS_PLUS] = ACTIONS(1887),
    [anon_sym_DASH_DASH] = ACTIONS(1887),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1887),
    [sym_number] = ACTIONS(1887),
    [sym_private_property_identifier] = ACTIONS(1887),
    [sym_this] = ACTIONS(1889),
    [sym_super] = ACTIONS(1889),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [sym_null] = ACTIONS(1889),
    [sym_undefined] = ACTIONS(1889),
    [anon_sym_AT] = ACTIONS(1887),
    [anon_sym_static] = ACTIONS(1889),
    [anon_sym_readonly] = ACTIONS(1889),
    [anon_sym_get] = ACTIONS(1889),
    [anon_sym_set] = ACTIONS(1889),
    [anon_sym_declare] = ACTIONS(1889),
    [anon_sym_public] = ACTIONS(1889),
    [anon_sym_private] = ACTIONS(1889),
    [anon_sym_protected] = ACTIONS(1889),
    [anon_sym_override] = ACTIONS(1889),
    [anon_sym_module] = ACTIONS(1889),
    [anon_sym_any] = ACTIONS(1889),
    [anon_sym_number] = ACTIONS(1889),
    [anon_sym_boolean] = ACTIONS(1889),
    [anon_sym_string] = ACTIONS(1889),
    [anon_sym_symbol] = ACTIONS(1889),
    [anon_sym_object] = ACTIONS(1889),
    [anon_sym_abstract] = ACTIONS(1889),
    [anon_sym_interface] = ACTIONS(1889),
    [anon_sym_enum] = ACTIONS(1889),
    [sym_html_comment] = ACTIONS(5),
  },
  [826] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_rest_pattern] = STATE(5898),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(5105),
    [sym_optional_tuple_parameter] = STATE(5105),
    [sym_optional_type] = STATE(5105),
    [sym_rest_type] = STATE(5105),
    [sym__tuple_type_member] = STATE(5105),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(2662),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(2664),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [827] = {
    [ts_builtin_sym_end] = ACTIONS(2666),
    [sym_identifier] = ACTIONS(2668),
    [anon_sym_export] = ACTIONS(2668),
    [anon_sym_default] = ACTIONS(2668),
    [anon_sym_type] = ACTIONS(2668),
    [anon_sym_namespace] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_typeof] = ACTIONS(2668),
    [anon_sym_import] = ACTIONS(2668),
    [anon_sym_with] = ACTIONS(2668),
    [anon_sym_var] = ACTIONS(2668),
    [anon_sym_let] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_else] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_LPAREN] = ACTIONS(2666),
    [anon_sym_await] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_debugger] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym_case] = ACTIONS(2668),
    [anon_sym_yield] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2666),
    [sym_glimmer_opening_tag] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [anon_sym_SQUOTE] = ACTIONS(2666),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_async] = ACTIONS(2668),
    [anon_sym_function] = ACTIONS(2668),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_using] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2668),
    [anon_sym_LT] = ACTIONS(2668),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_void] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2666),
    [sym_number] = ACTIONS(2666),
    [sym_private_property_identifier] = ACTIONS(2666),
    [sym_this] = ACTIONS(2668),
    [sym_super] = ACTIONS(2668),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [sym_null] = ACTIONS(2668),
    [sym_undefined] = ACTIONS(2668),
    [anon_sym_AT] = ACTIONS(2666),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_readonly] = ACTIONS(2668),
    [anon_sym_get] = ACTIONS(2668),
    [anon_sym_set] = ACTIONS(2668),
    [anon_sym_declare] = ACTIONS(2668),
    [anon_sym_public] = ACTIONS(2668),
    [anon_sym_private] = ACTIONS(2668),
    [anon_sym_protected] = ACTIONS(2668),
    [anon_sym_override] = ACTIONS(2668),
    [anon_sym_module] = ACTIONS(2668),
    [anon_sym_any] = ACTIONS(2668),
    [anon_sym_number] = ACTIONS(2668),
    [anon_sym_boolean] = ACTIONS(2668),
    [anon_sym_string] = ACTIONS(2668),
    [anon_sym_symbol] = ACTIONS(2668),
    [anon_sym_object] = ACTIONS(2668),
    [anon_sym_abstract] = ACTIONS(2668),
    [anon_sym_interface] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [sym_html_comment] = ACTIONS(5),
  },
  [828] = {
    [ts_builtin_sym_end] = ACTIONS(2670),
    [sym_identifier] = ACTIONS(2672),
    [anon_sym_export] = ACTIONS(2672),
    [anon_sym_default] = ACTIONS(2672),
    [anon_sym_type] = ACTIONS(2672),
    [anon_sym_namespace] = ACTIONS(2672),
    [anon_sym_LBRACE] = ACTIONS(2670),
    [anon_sym_RBRACE] = ACTIONS(2670),
    [anon_sym_typeof] = ACTIONS(2672),
    [anon_sym_import] = ACTIONS(2672),
    [anon_sym_with] = ACTIONS(2672),
    [anon_sym_var] = ACTIONS(2672),
    [anon_sym_let] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_else] = ACTIONS(2672),
    [anon_sym_if] = ACTIONS(2672),
    [anon_sym_switch] = ACTIONS(2672),
    [anon_sym_for] = ACTIONS(2672),
    [anon_sym_LPAREN] = ACTIONS(2670),
    [anon_sym_await] = ACTIONS(2672),
    [anon_sym_while] = ACTIONS(2672),
    [anon_sym_do] = ACTIONS(2672),
    [anon_sym_try] = ACTIONS(2672),
    [anon_sym_break] = ACTIONS(2672),
    [anon_sym_continue] = ACTIONS(2672),
    [anon_sym_debugger] = ACTIONS(2672),
    [anon_sym_return] = ACTIONS(2672),
    [anon_sym_throw] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2670),
    [anon_sym_case] = ACTIONS(2672),
    [anon_sym_yield] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2670),
    [sym_glimmer_opening_tag] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [anon_sym_SQUOTE] = ACTIONS(2670),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_async] = ACTIONS(2672),
    [anon_sym_function] = ACTIONS(2672),
    [anon_sym_new] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_SLASH] = ACTIONS(2672),
    [anon_sym_LT] = ACTIONS(2672),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_void] = ACTIONS(2672),
    [anon_sym_delete] = ACTIONS(2672),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2670),
    [sym_number] = ACTIONS(2670),
    [sym_private_property_identifier] = ACTIONS(2670),
    [sym_this] = ACTIONS(2672),
    [sym_super] = ACTIONS(2672),
    [sym_true] = ACTIONS(2672),
    [sym_false] = ACTIONS(2672),
    [sym_null] = ACTIONS(2672),
    [sym_undefined] = ACTIONS(2672),
    [anon_sym_AT] = ACTIONS(2670),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_readonly] = ACTIONS(2672),
    [anon_sym_get] = ACTIONS(2672),
    [anon_sym_set] = ACTIONS(2672),
    [anon_sym_declare] = ACTIONS(2672),
    [anon_sym_public] = ACTIONS(2672),
    [anon_sym_private] = ACTIONS(2672),
    [anon_sym_protected] = ACTIONS(2672),
    [anon_sym_override] = ACTIONS(2672),
    [anon_sym_module] = ACTIONS(2672),
    [anon_sym_any] = ACTIONS(2672),
    [anon_sym_number] = ACTIONS(2672),
    [anon_sym_boolean] = ACTIONS(2672),
    [anon_sym_string] = ACTIONS(2672),
    [anon_sym_symbol] = ACTIONS(2672),
    [anon_sym_object] = ACTIONS(2672),
    [anon_sym_abstract] = ACTIONS(2672),
    [anon_sym_interface] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [sym_html_comment] = ACTIONS(5),
  },
  [829] = {
    [ts_builtin_sym_end] = ACTIONS(2674),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_export] = ACTIONS(2676),
    [anon_sym_default] = ACTIONS(2676),
    [anon_sym_type] = ACTIONS(2676),
    [anon_sym_namespace] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_RBRACE] = ACTIONS(2674),
    [anon_sym_typeof] = ACTIONS(2676),
    [anon_sym_import] = ACTIONS(2676),
    [anon_sym_with] = ACTIONS(2676),
    [anon_sym_var] = ACTIONS(2676),
    [anon_sym_let] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_switch] = ACTIONS(2676),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2674),
    [anon_sym_await] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_break] = ACTIONS(2676),
    [anon_sym_continue] = ACTIONS(2676),
    [anon_sym_debugger] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_throw] = ACTIONS(2676),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym_case] = ACTIONS(2676),
    [anon_sym_yield] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2674),
    [sym_glimmer_opening_tag] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_class] = ACTIONS(2676),
    [anon_sym_async] = ACTIONS(2676),
    [anon_sym_function] = ACTIONS(2676),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_using] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_void] = ACTIONS(2676),
    [anon_sym_delete] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2674),
    [sym_number] = ACTIONS(2674),
    [sym_private_property_identifier] = ACTIONS(2674),
    [sym_this] = ACTIONS(2676),
    [sym_super] = ACTIONS(2676),
    [sym_true] = ACTIONS(2676),
    [sym_false] = ACTIONS(2676),
    [sym_null] = ACTIONS(2676),
    [sym_undefined] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2674),
    [anon_sym_static] = ACTIONS(2676),
    [anon_sym_readonly] = ACTIONS(2676),
    [anon_sym_get] = ACTIONS(2676),
    [anon_sym_set] = ACTIONS(2676),
    [anon_sym_declare] = ACTIONS(2676),
    [anon_sym_public] = ACTIONS(2676),
    [anon_sym_private] = ACTIONS(2676),
    [anon_sym_protected] = ACTIONS(2676),
    [anon_sym_override] = ACTIONS(2676),
    [anon_sym_module] = ACTIONS(2676),
    [anon_sym_any] = ACTIONS(2676),
    [anon_sym_number] = ACTIONS(2676),
    [anon_sym_boolean] = ACTIONS(2676),
    [anon_sym_string] = ACTIONS(2676),
    [anon_sym_symbol] = ACTIONS(2676),
    [anon_sym_object] = ACTIONS(2676),
    [anon_sym_abstract] = ACTIONS(2676),
    [anon_sym_interface] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [sym_html_comment] = ACTIONS(5),
  },
  [830] = {
    [ts_builtin_sym_end] = ACTIONS(2678),
    [sym_identifier] = ACTIONS(2680),
    [anon_sym_export] = ACTIONS(2680),
    [anon_sym_default] = ACTIONS(2680),
    [anon_sym_type] = ACTIONS(2680),
    [anon_sym_namespace] = ACTIONS(2680),
    [anon_sym_LBRACE] = ACTIONS(2678),
    [anon_sym_RBRACE] = ACTIONS(2678),
    [anon_sym_typeof] = ACTIONS(2680),
    [anon_sym_import] = ACTIONS(2680),
    [anon_sym_with] = ACTIONS(2680),
    [anon_sym_var] = ACTIONS(2680),
    [anon_sym_let] = ACTIONS(2680),
    [anon_sym_const] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2678),
    [anon_sym_else] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_switch] = ACTIONS(2680),
    [anon_sym_for] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2678),
    [anon_sym_await] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2680),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_try] = ACTIONS(2680),
    [anon_sym_break] = ACTIONS(2680),
    [anon_sym_continue] = ACTIONS(2680),
    [anon_sym_debugger] = ACTIONS(2680),
    [anon_sym_return] = ACTIONS(2680),
    [anon_sym_throw] = ACTIONS(2680),
    [anon_sym_SEMI] = ACTIONS(2678),
    [anon_sym_case] = ACTIONS(2680),
    [anon_sym_yield] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2678),
    [sym_glimmer_opening_tag] = ACTIONS(2678),
    [anon_sym_DQUOTE] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_class] = ACTIONS(2680),
    [anon_sym_async] = ACTIONS(2680),
    [anon_sym_function] = ACTIONS(2680),
    [anon_sym_new] = ACTIONS(2680),
    [anon_sym_using] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_SLASH] = ACTIONS(2680),
    [anon_sym_LT] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_void] = ACTIONS(2680),
    [anon_sym_delete] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2678),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2678),
    [sym_number] = ACTIONS(2678),
    [sym_private_property_identifier] = ACTIONS(2678),
    [sym_this] = ACTIONS(2680),
    [sym_super] = ACTIONS(2680),
    [sym_true] = ACTIONS(2680),
    [sym_false] = ACTIONS(2680),
    [sym_null] = ACTIONS(2680),
    [sym_undefined] = ACTIONS(2680),
    [anon_sym_AT] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2680),
    [anon_sym_readonly] = ACTIONS(2680),
    [anon_sym_get] = ACTIONS(2680),
    [anon_sym_set] = ACTIONS(2680),
    [anon_sym_declare] = ACTIONS(2680),
    [anon_sym_public] = ACTIONS(2680),
    [anon_sym_private] = ACTIONS(2680),
    [anon_sym_protected] = ACTIONS(2680),
    [anon_sym_override] = ACTIONS(2680),
    [anon_sym_module] = ACTIONS(2680),
    [anon_sym_any] = ACTIONS(2680),
    [anon_sym_number] = ACTIONS(2680),
    [anon_sym_boolean] = ACTIONS(2680),
    [anon_sym_string] = ACTIONS(2680),
    [anon_sym_symbol] = ACTIONS(2680),
    [anon_sym_object] = ACTIONS(2680),
    [anon_sym_abstract] = ACTIONS(2680),
    [anon_sym_interface] = ACTIONS(2680),
    [anon_sym_enum] = ACTIONS(2680),
    [sym_html_comment] = ACTIONS(5),
  },
  [831] = {
    [ts_builtin_sym_end] = ACTIONS(2682),
    [sym_identifier] = ACTIONS(2684),
    [anon_sym_export] = ACTIONS(2684),
    [anon_sym_default] = ACTIONS(2684),
    [anon_sym_type] = ACTIONS(2684),
    [anon_sym_namespace] = ACTIONS(2684),
    [anon_sym_LBRACE] = ACTIONS(2682),
    [anon_sym_RBRACE] = ACTIONS(2682),
    [anon_sym_typeof] = ACTIONS(2684),
    [anon_sym_import] = ACTIONS(2684),
    [anon_sym_with] = ACTIONS(2684),
    [anon_sym_var] = ACTIONS(2684),
    [anon_sym_let] = ACTIONS(2684),
    [anon_sym_const] = ACTIONS(2684),
    [anon_sym_BANG] = ACTIONS(2682),
    [anon_sym_else] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(2684),
    [anon_sym_switch] = ACTIONS(2684),
    [anon_sym_for] = ACTIONS(2684),
    [anon_sym_LPAREN] = ACTIONS(2682),
    [anon_sym_await] = ACTIONS(2684),
    [anon_sym_while] = ACTIONS(2684),
    [anon_sym_do] = ACTIONS(2684),
    [anon_sym_try] = ACTIONS(2684),
    [anon_sym_break] = ACTIONS(2684),
    [anon_sym_continue] = ACTIONS(2684),
    [anon_sym_debugger] = ACTIONS(2684),
    [anon_sym_return] = ACTIONS(2684),
    [anon_sym_throw] = ACTIONS(2684),
    [anon_sym_SEMI] = ACTIONS(2682),
    [anon_sym_case] = ACTIONS(2684),
    [anon_sym_yield] = ACTIONS(2684),
    [anon_sym_LBRACK] = ACTIONS(2682),
    [sym_glimmer_opening_tag] = ACTIONS(2682),
    [anon_sym_DQUOTE] = ACTIONS(2682),
    [anon_sym_SQUOTE] = ACTIONS(2682),
    [anon_sym_class] = ACTIONS(2684),
    [anon_sym_async] = ACTIONS(2684),
    [anon_sym_function] = ACTIONS(2684),
    [anon_sym_new] = ACTIONS(2684),
    [anon_sym_using] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_SLASH] = ACTIONS(2684),
    [anon_sym_LT] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2682),
    [anon_sym_void] = ACTIONS(2684),
    [anon_sym_delete] = ACTIONS(2684),
    [anon_sym_PLUS_PLUS] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2682),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2682),
    [sym_number] = ACTIONS(2682),
    [sym_private_property_identifier] = ACTIONS(2682),
    [sym_this] = ACTIONS(2684),
    [sym_super] = ACTIONS(2684),
    [sym_true] = ACTIONS(2684),
    [sym_false] = ACTIONS(2684),
    [sym_null] = ACTIONS(2684),
    [sym_undefined] = ACTIONS(2684),
    [anon_sym_AT] = ACTIONS(2682),
    [anon_sym_static] = ACTIONS(2684),
    [anon_sym_readonly] = ACTIONS(2684),
    [anon_sym_get] = ACTIONS(2684),
    [anon_sym_set] = ACTIONS(2684),
    [anon_sym_declare] = ACTIONS(2684),
    [anon_sym_public] = ACTIONS(2684),
    [anon_sym_private] = ACTIONS(2684),
    [anon_sym_protected] = ACTIONS(2684),
    [anon_sym_override] = ACTIONS(2684),
    [anon_sym_module] = ACTIONS(2684),
    [anon_sym_any] = ACTIONS(2684),
    [anon_sym_number] = ACTIONS(2684),
    [anon_sym_boolean] = ACTIONS(2684),
    [anon_sym_string] = ACTIONS(2684),
    [anon_sym_symbol] = ACTIONS(2684),
    [anon_sym_object] = ACTIONS(2684),
    [anon_sym_abstract] = ACTIONS(2684),
    [anon_sym_interface] = ACTIONS(2684),
    [anon_sym_enum] = ACTIONS(2684),
    [sym_html_comment] = ACTIONS(5),
  },
  [832] = {
    [ts_builtin_sym_end] = ACTIONS(2686),
    [sym_identifier] = ACTIONS(2688),
    [anon_sym_export] = ACTIONS(2688),
    [anon_sym_default] = ACTIONS(2688),
    [anon_sym_type] = ACTIONS(2688),
    [anon_sym_namespace] = ACTIONS(2688),
    [anon_sym_LBRACE] = ACTIONS(2686),
    [anon_sym_RBRACE] = ACTIONS(2686),
    [anon_sym_typeof] = ACTIONS(2688),
    [anon_sym_import] = ACTIONS(2688),
    [anon_sym_with] = ACTIONS(2688),
    [anon_sym_var] = ACTIONS(2688),
    [anon_sym_let] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_BANG] = ACTIONS(2686),
    [anon_sym_else] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_LPAREN] = ACTIONS(2686),
    [anon_sym_await] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_break] = ACTIONS(2688),
    [anon_sym_continue] = ACTIONS(2688),
    [anon_sym_debugger] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_throw] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2686),
    [anon_sym_case] = ACTIONS(2688),
    [anon_sym_yield] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2686),
    [sym_glimmer_opening_tag] = ACTIONS(2686),
    [anon_sym_DQUOTE] = ACTIONS(2686),
    [anon_sym_SQUOTE] = ACTIONS(2686),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_async] = ACTIONS(2688),
    [anon_sym_function] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_SLASH] = ACTIONS(2688),
    [anon_sym_LT] = ACTIONS(2688),
    [anon_sym_TILDE] = ACTIONS(2686),
    [anon_sym_void] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2688),
    [anon_sym_PLUS_PLUS] = ACTIONS(2686),
    [anon_sym_DASH_DASH] = ACTIONS(2686),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2686),
    [sym_number] = ACTIONS(2686),
    [sym_private_property_identifier] = ACTIONS(2686),
    [sym_this] = ACTIONS(2688),
    [sym_super] = ACTIONS(2688),
    [sym_true] = ACTIONS(2688),
    [sym_false] = ACTIONS(2688),
    [sym_null] = ACTIONS(2688),
    [sym_undefined] = ACTIONS(2688),
    [anon_sym_AT] = ACTIONS(2686),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_readonly] = ACTIONS(2688),
    [anon_sym_get] = ACTIONS(2688),
    [anon_sym_set] = ACTIONS(2688),
    [anon_sym_declare] = ACTIONS(2688),
    [anon_sym_public] = ACTIONS(2688),
    [anon_sym_private] = ACTIONS(2688),
    [anon_sym_protected] = ACTIONS(2688),
    [anon_sym_override] = ACTIONS(2688),
    [anon_sym_module] = ACTIONS(2688),
    [anon_sym_any] = ACTIONS(2688),
    [anon_sym_number] = ACTIONS(2688),
    [anon_sym_boolean] = ACTIONS(2688),
    [anon_sym_string] = ACTIONS(2688),
    [anon_sym_symbol] = ACTIONS(2688),
    [anon_sym_object] = ACTIONS(2688),
    [anon_sym_abstract] = ACTIONS(2688),
    [anon_sym_interface] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [sym_html_comment] = ACTIONS(5),
  },
  [833] = {
    [ts_builtin_sym_end] = ACTIONS(2690),
    [sym_identifier] = ACTIONS(2692),
    [anon_sym_export] = ACTIONS(2692),
    [anon_sym_default] = ACTIONS(2692),
    [anon_sym_type] = ACTIONS(2692),
    [anon_sym_namespace] = ACTIONS(2692),
    [anon_sym_LBRACE] = ACTIONS(2690),
    [anon_sym_RBRACE] = ACTIONS(2690),
    [anon_sym_typeof] = ACTIONS(2692),
    [anon_sym_import] = ACTIONS(2692),
    [anon_sym_with] = ACTIONS(2692),
    [anon_sym_var] = ACTIONS(2692),
    [anon_sym_let] = ACTIONS(2692),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_else] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_switch] = ACTIONS(2692),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_LPAREN] = ACTIONS(2690),
    [anon_sym_await] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_break] = ACTIONS(2692),
    [anon_sym_continue] = ACTIONS(2692),
    [anon_sym_debugger] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_throw] = ACTIONS(2692),
    [anon_sym_SEMI] = ACTIONS(2690),
    [anon_sym_case] = ACTIONS(2692),
    [anon_sym_yield] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2690),
    [sym_glimmer_opening_tag] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_class] = ACTIONS(2692),
    [anon_sym_async] = ACTIONS(2692),
    [anon_sym_function] = ACTIONS(2692),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_using] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_SLASH] = ACTIONS(2692),
    [anon_sym_LT] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_void] = ACTIONS(2692),
    [anon_sym_delete] = ACTIONS(2692),
    [anon_sym_PLUS_PLUS] = ACTIONS(2690),
    [anon_sym_DASH_DASH] = ACTIONS(2690),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2690),
    [sym_number] = ACTIONS(2690),
    [sym_private_property_identifier] = ACTIONS(2690),
    [sym_this] = ACTIONS(2692),
    [sym_super] = ACTIONS(2692),
    [sym_true] = ACTIONS(2692),
    [sym_false] = ACTIONS(2692),
    [sym_null] = ACTIONS(2692),
    [sym_undefined] = ACTIONS(2692),
    [anon_sym_AT] = ACTIONS(2690),
    [anon_sym_static] = ACTIONS(2692),
    [anon_sym_readonly] = ACTIONS(2692),
    [anon_sym_get] = ACTIONS(2692),
    [anon_sym_set] = ACTIONS(2692),
    [anon_sym_declare] = ACTIONS(2692),
    [anon_sym_public] = ACTIONS(2692),
    [anon_sym_private] = ACTIONS(2692),
    [anon_sym_protected] = ACTIONS(2692),
    [anon_sym_override] = ACTIONS(2692),
    [anon_sym_module] = ACTIONS(2692),
    [anon_sym_any] = ACTIONS(2692),
    [anon_sym_number] = ACTIONS(2692),
    [anon_sym_boolean] = ACTIONS(2692),
    [anon_sym_string] = ACTIONS(2692),
    [anon_sym_symbol] = ACTIONS(2692),
    [anon_sym_object] = ACTIONS(2692),
    [anon_sym_abstract] = ACTIONS(2692),
    [anon_sym_interface] = ACTIONS(2692),
    [anon_sym_enum] = ACTIONS(2692),
    [sym_html_comment] = ACTIONS(5),
  },
  [834] = {
    [ts_builtin_sym_end] = ACTIONS(2694),
    [sym_identifier] = ACTIONS(2696),
    [anon_sym_export] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_type] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2694),
    [anon_sym_RBRACE] = ACTIONS(2694),
    [anon_sym_typeof] = ACTIONS(2696),
    [anon_sym_import] = ACTIONS(2696),
    [anon_sym_with] = ACTIONS(2696),
    [anon_sym_var] = ACTIONS(2696),
    [anon_sym_let] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_BANG] = ACTIONS(2694),
    [anon_sym_else] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_LPAREN] = ACTIONS(2694),
    [anon_sym_await] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_debugger] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_yield] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2694),
    [sym_glimmer_opening_tag] = ACTIONS(2694),
    [anon_sym_DQUOTE] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_async] = ACTIONS(2696),
    [anon_sym_function] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_SLASH] = ACTIONS(2696),
    [anon_sym_LT] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2694),
    [anon_sym_void] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_PLUS_PLUS] = ACTIONS(2694),
    [anon_sym_DASH_DASH] = ACTIONS(2694),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2694),
    [sym_number] = ACTIONS(2694),
    [sym_private_property_identifier] = ACTIONS(2694),
    [sym_this] = ACTIONS(2696),
    [sym_super] = ACTIONS(2696),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [sym_null] = ACTIONS(2696),
    [sym_undefined] = ACTIONS(2696),
    [anon_sym_AT] = ACTIONS(2694),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_readonly] = ACTIONS(2696),
    [anon_sym_get] = ACTIONS(2696),
    [anon_sym_set] = ACTIONS(2696),
    [anon_sym_declare] = ACTIONS(2696),
    [anon_sym_public] = ACTIONS(2696),
    [anon_sym_private] = ACTIONS(2696),
    [anon_sym_protected] = ACTIONS(2696),
    [anon_sym_override] = ACTIONS(2696),
    [anon_sym_module] = ACTIONS(2696),
    [anon_sym_any] = ACTIONS(2696),
    [anon_sym_number] = ACTIONS(2696),
    [anon_sym_boolean] = ACTIONS(2696),
    [anon_sym_string] = ACTIONS(2696),
    [anon_sym_symbol] = ACTIONS(2696),
    [anon_sym_object] = ACTIONS(2696),
    [anon_sym_abstract] = ACTIONS(2696),
    [anon_sym_interface] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [sym_html_comment] = ACTIONS(5),
  },
  [835] = {
    [ts_builtin_sym_end] = ACTIONS(2698),
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_export] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_type] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_RBRACE] = ACTIONS(2698),
    [anon_sym_typeof] = ACTIONS(2700),
    [anon_sym_import] = ACTIONS(2700),
    [anon_sym_with] = ACTIONS(2700),
    [anon_sym_var] = ACTIONS(2700),
    [anon_sym_let] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2698),
    [anon_sym_await] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_debugger] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_yield] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2698),
    [sym_glimmer_opening_tag] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_async] = ACTIONS(2700),
    [anon_sym_function] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_void] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2698),
    [sym_number] = ACTIONS(2698),
    [sym_private_property_identifier] = ACTIONS(2698),
    [sym_this] = ACTIONS(2700),
    [sym_super] = ACTIONS(2700),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [sym_null] = ACTIONS(2700),
    [sym_undefined] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_readonly] = ACTIONS(2700),
    [anon_sym_get] = ACTIONS(2700),
    [anon_sym_set] = ACTIONS(2700),
    [anon_sym_declare] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_override] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2700),
    [anon_sym_any] = ACTIONS(2700),
    [anon_sym_number] = ACTIONS(2700),
    [anon_sym_boolean] = ACTIONS(2700),
    [anon_sym_string] = ACTIONS(2700),
    [anon_sym_symbol] = ACTIONS(2700),
    [anon_sym_object] = ACTIONS(2700),
    [anon_sym_abstract] = ACTIONS(2700),
    [anon_sym_interface] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [sym_html_comment] = ACTIONS(5),
  },
  [836] = {
    [ts_builtin_sym_end] = ACTIONS(2702),
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_export] = ACTIONS(2704),
    [anon_sym_default] = ACTIONS(2704),
    [anon_sym_type] = ACTIONS(2704),
    [anon_sym_namespace] = ACTIONS(2704),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_RBRACE] = ACTIONS(2702),
    [anon_sym_typeof] = ACTIONS(2704),
    [anon_sym_import] = ACTIONS(2704),
    [anon_sym_with] = ACTIONS(2704),
    [anon_sym_var] = ACTIONS(2704),
    [anon_sym_let] = ACTIONS(2704),
    [anon_sym_const] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_else] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_switch] = ACTIONS(2704),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2702),
    [anon_sym_await] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_break] = ACTIONS(2704),
    [anon_sym_continue] = ACTIONS(2704),
    [anon_sym_debugger] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_throw] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym_case] = ACTIONS(2704),
    [anon_sym_yield] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [sym_glimmer_opening_tag] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2704),
    [anon_sym_async] = ACTIONS(2704),
    [anon_sym_function] = ACTIONS(2704),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_using] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_SLASH] = ACTIONS(2704),
    [anon_sym_LT] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_void] = ACTIONS(2704),
    [anon_sym_delete] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2702),
    [sym_number] = ACTIONS(2702),
    [sym_private_property_identifier] = ACTIONS(2702),
    [sym_this] = ACTIONS(2704),
    [sym_super] = ACTIONS(2704),
    [sym_true] = ACTIONS(2704),
    [sym_false] = ACTIONS(2704),
    [sym_null] = ACTIONS(2704),
    [sym_undefined] = ACTIONS(2704),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2704),
    [anon_sym_readonly] = ACTIONS(2704),
    [anon_sym_get] = ACTIONS(2704),
    [anon_sym_set] = ACTIONS(2704),
    [anon_sym_declare] = ACTIONS(2704),
    [anon_sym_public] = ACTIONS(2704),
    [anon_sym_private] = ACTIONS(2704),
    [anon_sym_protected] = ACTIONS(2704),
    [anon_sym_override] = ACTIONS(2704),
    [anon_sym_module] = ACTIONS(2704),
    [anon_sym_any] = ACTIONS(2704),
    [anon_sym_number] = ACTIONS(2704),
    [anon_sym_boolean] = ACTIONS(2704),
    [anon_sym_string] = ACTIONS(2704),
    [anon_sym_symbol] = ACTIONS(2704),
    [anon_sym_object] = ACTIONS(2704),
    [anon_sym_abstract] = ACTIONS(2704),
    [anon_sym_interface] = ACTIONS(2704),
    [anon_sym_enum] = ACTIONS(2704),
    [sym_html_comment] = ACTIONS(5),
  },
  [837] = {
    [ts_builtin_sym_end] = ACTIONS(2706),
    [sym_identifier] = ACTIONS(2708),
    [anon_sym_export] = ACTIONS(2708),
    [anon_sym_default] = ACTIONS(2708),
    [anon_sym_type] = ACTIONS(2708),
    [anon_sym_namespace] = ACTIONS(2708),
    [anon_sym_LBRACE] = ACTIONS(2706),
    [anon_sym_RBRACE] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2708),
    [anon_sym_import] = ACTIONS(2708),
    [anon_sym_with] = ACTIONS(2708),
    [anon_sym_var] = ACTIONS(2708),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2706),
    [anon_sym_else] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_switch] = ACTIONS(2708),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_LPAREN] = ACTIONS(2706),
    [anon_sym_await] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_break] = ACTIONS(2708),
    [anon_sym_continue] = ACTIONS(2708),
    [anon_sym_debugger] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_throw] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2708),
    [anon_sym_yield] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2706),
    [sym_glimmer_opening_tag] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_class] = ACTIONS(2708),
    [anon_sym_async] = ACTIONS(2708),
    [anon_sym_function] = ACTIONS(2708),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_using] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_SLASH] = ACTIONS(2708),
    [anon_sym_LT] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2706),
    [anon_sym_void] = ACTIONS(2708),
    [anon_sym_delete] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2706),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2706),
    [sym_number] = ACTIONS(2706),
    [sym_private_property_identifier] = ACTIONS(2706),
    [sym_this] = ACTIONS(2708),
    [sym_super] = ACTIONS(2708),
    [sym_true] = ACTIONS(2708),
    [sym_false] = ACTIONS(2708),
    [sym_null] = ACTIONS(2708),
    [sym_undefined] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2708),
    [anon_sym_readonly] = ACTIONS(2708),
    [anon_sym_get] = ACTIONS(2708),
    [anon_sym_set] = ACTIONS(2708),
    [anon_sym_declare] = ACTIONS(2708),
    [anon_sym_public] = ACTIONS(2708),
    [anon_sym_private] = ACTIONS(2708),
    [anon_sym_protected] = ACTIONS(2708),
    [anon_sym_override] = ACTIONS(2708),
    [anon_sym_module] = ACTIONS(2708),
    [anon_sym_any] = ACTIONS(2708),
    [anon_sym_number] = ACTIONS(2708),
    [anon_sym_boolean] = ACTIONS(2708),
    [anon_sym_string] = ACTIONS(2708),
    [anon_sym_symbol] = ACTIONS(2708),
    [anon_sym_object] = ACTIONS(2708),
    [anon_sym_abstract] = ACTIONS(2708),
    [anon_sym_interface] = ACTIONS(2708),
    [anon_sym_enum] = ACTIONS(2708),
    [sym_html_comment] = ACTIONS(5),
  },
  [838] = {
    [ts_builtin_sym_end] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(1933),
    [anon_sym_export] = ACTIONS(1933),
    [anon_sym_default] = ACTIONS(1933),
    [anon_sym_type] = ACTIONS(1933),
    [anon_sym_namespace] = ACTIONS(1933),
    [anon_sym_LBRACE] = ACTIONS(1931),
    [anon_sym_RBRACE] = ACTIONS(1931),
    [anon_sym_typeof] = ACTIONS(1933),
    [anon_sym_import] = ACTIONS(1933),
    [anon_sym_with] = ACTIONS(1933),
    [anon_sym_var] = ACTIONS(1933),
    [anon_sym_let] = ACTIONS(1933),
    [anon_sym_const] = ACTIONS(1933),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_else] = ACTIONS(1933),
    [anon_sym_if] = ACTIONS(1933),
    [anon_sym_switch] = ACTIONS(1933),
    [anon_sym_for] = ACTIONS(1933),
    [anon_sym_LPAREN] = ACTIONS(1931),
    [anon_sym_await] = ACTIONS(1933),
    [anon_sym_while] = ACTIONS(1933),
    [anon_sym_do] = ACTIONS(1933),
    [anon_sym_try] = ACTIONS(1933),
    [anon_sym_break] = ACTIONS(1933),
    [anon_sym_continue] = ACTIONS(1933),
    [anon_sym_debugger] = ACTIONS(1933),
    [anon_sym_return] = ACTIONS(1933),
    [anon_sym_throw] = ACTIONS(1933),
    [anon_sym_SEMI] = ACTIONS(1931),
    [anon_sym_case] = ACTIONS(1933),
    [anon_sym_yield] = ACTIONS(1933),
    [anon_sym_LBRACK] = ACTIONS(1931),
    [sym_glimmer_opening_tag] = ACTIONS(1931),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [anon_sym_SQUOTE] = ACTIONS(1931),
    [anon_sym_class] = ACTIONS(1933),
    [anon_sym_async] = ACTIONS(1933),
    [anon_sym_function] = ACTIONS(1933),
    [anon_sym_new] = ACTIONS(1933),
    [anon_sym_using] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1933),
    [anon_sym_DASH] = ACTIONS(1933),
    [anon_sym_SLASH] = ACTIONS(1933),
    [anon_sym_LT] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1931),
    [anon_sym_void] = ACTIONS(1933),
    [anon_sym_delete] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1931),
    [anon_sym_DASH_DASH] = ACTIONS(1931),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1931),
    [sym_number] = ACTIONS(1931),
    [sym_private_property_identifier] = ACTIONS(1931),
    [sym_this] = ACTIONS(1933),
    [sym_super] = ACTIONS(1933),
    [sym_true] = ACTIONS(1933),
    [sym_false] = ACTIONS(1933),
    [sym_null] = ACTIONS(1933),
    [sym_undefined] = ACTIONS(1933),
    [anon_sym_AT] = ACTIONS(1931),
    [anon_sym_static] = ACTIONS(1933),
    [anon_sym_readonly] = ACTIONS(1933),
    [anon_sym_get] = ACTIONS(1933),
    [anon_sym_set] = ACTIONS(1933),
    [anon_sym_declare] = ACTIONS(1933),
    [anon_sym_public] = ACTIONS(1933),
    [anon_sym_private] = ACTIONS(1933),
    [anon_sym_protected] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_module] = ACTIONS(1933),
    [anon_sym_any] = ACTIONS(1933),
    [anon_sym_number] = ACTIONS(1933),
    [anon_sym_boolean] = ACTIONS(1933),
    [anon_sym_string] = ACTIONS(1933),
    [anon_sym_symbol] = ACTIONS(1933),
    [anon_sym_object] = ACTIONS(1933),
    [anon_sym_abstract] = ACTIONS(1933),
    [anon_sym_interface] = ACTIONS(1933),
    [anon_sym_enum] = ACTIONS(1933),
    [sym_html_comment] = ACTIONS(5),
  },
  [839] = {
    [ts_builtin_sym_end] = ACTIONS(2710),
    [sym_identifier] = ACTIONS(2712),
    [anon_sym_export] = ACTIONS(2712),
    [anon_sym_default] = ACTIONS(2712),
    [anon_sym_type] = ACTIONS(2712),
    [anon_sym_namespace] = ACTIONS(2712),
    [anon_sym_LBRACE] = ACTIONS(2710),
    [anon_sym_RBRACE] = ACTIONS(2710),
    [anon_sym_typeof] = ACTIONS(2712),
    [anon_sym_import] = ACTIONS(2712),
    [anon_sym_with] = ACTIONS(2712),
    [anon_sym_var] = ACTIONS(2712),
    [anon_sym_let] = ACTIONS(2712),
    [anon_sym_const] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2710),
    [anon_sym_else] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_switch] = ACTIONS(2712),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2710),
    [anon_sym_await] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2712),
    [anon_sym_do] = ACTIONS(2712),
    [anon_sym_try] = ACTIONS(2712),
    [anon_sym_break] = ACTIONS(2712),
    [anon_sym_continue] = ACTIONS(2712),
    [anon_sym_debugger] = ACTIONS(2712),
    [anon_sym_return] = ACTIONS(2712),
    [anon_sym_throw] = ACTIONS(2712),
    [anon_sym_SEMI] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2712),
    [anon_sym_yield] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2710),
    [sym_glimmer_opening_tag] = ACTIONS(2710),
    [anon_sym_DQUOTE] = ACTIONS(2710),
    [anon_sym_SQUOTE] = ACTIONS(2710),
    [anon_sym_class] = ACTIONS(2712),
    [anon_sym_async] = ACTIONS(2712),
    [anon_sym_function] = ACTIONS(2712),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_SLASH] = ACTIONS(2712),
    [anon_sym_LT] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2710),
    [anon_sym_void] = ACTIONS(2712),
    [anon_sym_delete] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2710),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2710),
    [sym_number] = ACTIONS(2710),
    [sym_private_property_identifier] = ACTIONS(2710),
    [sym_this] = ACTIONS(2712),
    [sym_super] = ACTIONS(2712),
    [sym_true] = ACTIONS(2712),
    [sym_false] = ACTIONS(2712),
    [sym_null] = ACTIONS(2712),
    [sym_undefined] = ACTIONS(2712),
    [anon_sym_AT] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2712),
    [anon_sym_readonly] = ACTIONS(2712),
    [anon_sym_get] = ACTIONS(2712),
    [anon_sym_set] = ACTIONS(2712),
    [anon_sym_declare] = ACTIONS(2712),
    [anon_sym_public] = ACTIONS(2712),
    [anon_sym_private] = ACTIONS(2712),
    [anon_sym_protected] = ACTIONS(2712),
    [anon_sym_override] = ACTIONS(2712),
    [anon_sym_module] = ACTIONS(2712),
    [anon_sym_any] = ACTIONS(2712),
    [anon_sym_number] = ACTIONS(2712),
    [anon_sym_boolean] = ACTIONS(2712),
    [anon_sym_string] = ACTIONS(2712),
    [anon_sym_symbol] = ACTIONS(2712),
    [anon_sym_object] = ACTIONS(2712),
    [anon_sym_abstract] = ACTIONS(2712),
    [anon_sym_interface] = ACTIONS(2712),
    [anon_sym_enum] = ACTIONS(2712),
    [sym_html_comment] = ACTIONS(5),
  },
  [840] = {
    [ts_builtin_sym_end] = ACTIONS(2706),
    [sym_identifier] = ACTIONS(2708),
    [anon_sym_export] = ACTIONS(2708),
    [anon_sym_default] = ACTIONS(2708),
    [anon_sym_type] = ACTIONS(2708),
    [anon_sym_namespace] = ACTIONS(2708),
    [anon_sym_LBRACE] = ACTIONS(2706),
    [anon_sym_RBRACE] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2708),
    [anon_sym_import] = ACTIONS(2708),
    [anon_sym_with] = ACTIONS(2708),
    [anon_sym_var] = ACTIONS(2708),
    [anon_sym_let] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2706),
    [anon_sym_else] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_switch] = ACTIONS(2708),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_LPAREN] = ACTIONS(2706),
    [anon_sym_await] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_break] = ACTIONS(2708),
    [anon_sym_continue] = ACTIONS(2708),
    [anon_sym_debugger] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_throw] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2708),
    [anon_sym_yield] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2706),
    [sym_glimmer_opening_tag] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_class] = ACTIONS(2708),
    [anon_sym_async] = ACTIONS(2708),
    [anon_sym_function] = ACTIONS(2708),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_using] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_SLASH] = ACTIONS(2708),
    [anon_sym_LT] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2706),
    [anon_sym_void] = ACTIONS(2708),
    [anon_sym_delete] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2706),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2706),
    [sym_number] = ACTIONS(2706),
    [sym_private_property_identifier] = ACTIONS(2706),
    [sym_this] = ACTIONS(2708),
    [sym_super] = ACTIONS(2708),
    [sym_true] = ACTIONS(2708),
    [sym_false] = ACTIONS(2708),
    [sym_null] = ACTIONS(2708),
    [sym_undefined] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2708),
    [anon_sym_readonly] = ACTIONS(2708),
    [anon_sym_get] = ACTIONS(2708),
    [anon_sym_set] = ACTIONS(2708),
    [anon_sym_declare] = ACTIONS(2708),
    [anon_sym_public] = ACTIONS(2708),
    [anon_sym_private] = ACTIONS(2708),
    [anon_sym_protected] = ACTIONS(2708),
    [anon_sym_override] = ACTIONS(2708),
    [anon_sym_module] = ACTIONS(2708),
    [anon_sym_any] = ACTIONS(2708),
    [anon_sym_number] = ACTIONS(2708),
    [anon_sym_boolean] = ACTIONS(2708),
    [anon_sym_string] = ACTIONS(2708),
    [anon_sym_symbol] = ACTIONS(2708),
    [anon_sym_object] = ACTIONS(2708),
    [anon_sym_abstract] = ACTIONS(2708),
    [anon_sym_interface] = ACTIONS(2708),
    [anon_sym_enum] = ACTIONS(2708),
    [sym_html_comment] = ACTIONS(5),
  },
  [841] = {
    [ts_builtin_sym_end] = ACTIONS(2714),
    [sym_identifier] = ACTIONS(2716),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_default] = ACTIONS(2716),
    [anon_sym_type] = ACTIONS(2716),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_LBRACE] = ACTIONS(2714),
    [anon_sym_RBRACE] = ACTIONS(2714),
    [anon_sym_typeof] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2716),
    [anon_sym_with] = ACTIONS(2716),
    [anon_sym_var] = ACTIONS(2716),
    [anon_sym_let] = ACTIONS(2716),
    [anon_sym_const] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_else] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_switch] = ACTIONS(2716),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_LPAREN] = ACTIONS(2714),
    [anon_sym_await] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_break] = ACTIONS(2716),
    [anon_sym_continue] = ACTIONS(2716),
    [anon_sym_debugger] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_throw] = ACTIONS(2716),
    [anon_sym_SEMI] = ACTIONS(2714),
    [anon_sym_case] = ACTIONS(2716),
    [anon_sym_yield] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2714),
    [sym_glimmer_opening_tag] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_class] = ACTIONS(2716),
    [anon_sym_async] = ACTIONS(2716),
    [anon_sym_function] = ACTIONS(2716),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_using] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_SLASH] = ACTIONS(2716),
    [anon_sym_LT] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2714),
    [anon_sym_void] = ACTIONS(2716),
    [anon_sym_delete] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2714),
    [anon_sym_DASH_DASH] = ACTIONS(2714),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2714),
    [sym_number] = ACTIONS(2714),
    [sym_private_property_identifier] = ACTIONS(2714),
    [sym_this] = ACTIONS(2716),
    [sym_super] = ACTIONS(2716),
    [sym_true] = ACTIONS(2716),
    [sym_false] = ACTIONS(2716),
    [sym_null] = ACTIONS(2716),
    [sym_undefined] = ACTIONS(2716),
    [anon_sym_AT] = ACTIONS(2714),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_readonly] = ACTIONS(2716),
    [anon_sym_get] = ACTIONS(2716),
    [anon_sym_set] = ACTIONS(2716),
    [anon_sym_declare] = ACTIONS(2716),
    [anon_sym_public] = ACTIONS(2716),
    [anon_sym_private] = ACTIONS(2716),
    [anon_sym_protected] = ACTIONS(2716),
    [anon_sym_override] = ACTIONS(2716),
    [anon_sym_module] = ACTIONS(2716),
    [anon_sym_any] = ACTIONS(2716),
    [anon_sym_number] = ACTIONS(2716),
    [anon_sym_boolean] = ACTIONS(2716),
    [anon_sym_string] = ACTIONS(2716),
    [anon_sym_symbol] = ACTIONS(2716),
    [anon_sym_object] = ACTIONS(2716),
    [anon_sym_abstract] = ACTIONS(2716),
    [anon_sym_interface] = ACTIONS(2716),
    [anon_sym_enum] = ACTIONS(2716),
    [sym_html_comment] = ACTIONS(5),
  },
  [842] = {
    [ts_builtin_sym_end] = ACTIONS(2718),
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_export] = ACTIONS(2720),
    [anon_sym_default] = ACTIONS(2720),
    [anon_sym_type] = ACTIONS(2720),
    [anon_sym_namespace] = ACTIONS(2720),
    [anon_sym_LBRACE] = ACTIONS(2718),
    [anon_sym_RBRACE] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2720),
    [anon_sym_import] = ACTIONS(2720),
    [anon_sym_with] = ACTIONS(2720),
    [anon_sym_var] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_const] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2718),
    [anon_sym_else] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_switch] = ACTIONS(2720),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_await] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_break] = ACTIONS(2720),
    [anon_sym_continue] = ACTIONS(2720),
    [anon_sym_debugger] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_throw] = ACTIONS(2720),
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym_case] = ACTIONS(2720),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2718),
    [sym_glimmer_opening_tag] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_class] = ACTIONS(2720),
    [anon_sym_async] = ACTIONS(2720),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_using] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_SLASH] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2718),
    [anon_sym_void] = ACTIONS(2720),
    [anon_sym_delete] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2718),
    [sym_number] = ACTIONS(2718),
    [sym_private_property_identifier] = ACTIONS(2718),
    [sym_this] = ACTIONS(2720),
    [sym_super] = ACTIONS(2720),
    [sym_true] = ACTIONS(2720),
    [sym_false] = ACTIONS(2720),
    [sym_null] = ACTIONS(2720),
    [sym_undefined] = ACTIONS(2720),
    [anon_sym_AT] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2720),
    [anon_sym_readonly] = ACTIONS(2720),
    [anon_sym_get] = ACTIONS(2720),
    [anon_sym_set] = ACTIONS(2720),
    [anon_sym_declare] = ACTIONS(2720),
    [anon_sym_public] = ACTIONS(2720),
    [anon_sym_private] = ACTIONS(2720),
    [anon_sym_protected] = ACTIONS(2720),
    [anon_sym_override] = ACTIONS(2720),
    [anon_sym_module] = ACTIONS(2720),
    [anon_sym_any] = ACTIONS(2720),
    [anon_sym_number] = ACTIONS(2720),
    [anon_sym_boolean] = ACTIONS(2720),
    [anon_sym_string] = ACTIONS(2720),
    [anon_sym_symbol] = ACTIONS(2720),
    [anon_sym_object] = ACTIONS(2720),
    [anon_sym_abstract] = ACTIONS(2720),
    [anon_sym_interface] = ACTIONS(2720),
    [anon_sym_enum] = ACTIONS(2720),
    [sym_html_comment] = ACTIONS(5),
  },
  [843] = {
    [ts_builtin_sym_end] = ACTIONS(2722),
    [sym_identifier] = ACTIONS(2724),
    [anon_sym_export] = ACTIONS(2724),
    [anon_sym_default] = ACTIONS(2724),
    [anon_sym_type] = ACTIONS(2724),
    [anon_sym_namespace] = ACTIONS(2724),
    [anon_sym_LBRACE] = ACTIONS(2722),
    [anon_sym_RBRACE] = ACTIONS(2722),
    [anon_sym_typeof] = ACTIONS(2724),
    [anon_sym_import] = ACTIONS(2724),
    [anon_sym_with] = ACTIONS(2724),
    [anon_sym_var] = ACTIONS(2724),
    [anon_sym_let] = ACTIONS(2724),
    [anon_sym_const] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2722),
    [anon_sym_else] = ACTIONS(2724),
    [anon_sym_if] = ACTIONS(2724),
    [anon_sym_switch] = ACTIONS(2724),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_LPAREN] = ACTIONS(2722),
    [anon_sym_await] = ACTIONS(2724),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2724),
    [anon_sym_try] = ACTIONS(2724),
    [anon_sym_break] = ACTIONS(2724),
    [anon_sym_continue] = ACTIONS(2724),
    [anon_sym_debugger] = ACTIONS(2724),
    [anon_sym_return] = ACTIONS(2724),
    [anon_sym_throw] = ACTIONS(2724),
    [anon_sym_SEMI] = ACTIONS(2722),
    [anon_sym_case] = ACTIONS(2724),
    [anon_sym_yield] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2722),
    [sym_glimmer_opening_tag] = ACTIONS(2722),
    [anon_sym_DQUOTE] = ACTIONS(2722),
    [anon_sym_SQUOTE] = ACTIONS(2722),
    [anon_sym_class] = ACTIONS(2724),
    [anon_sym_async] = ACTIONS(2724),
    [anon_sym_function] = ACTIONS(2724),
    [anon_sym_new] = ACTIONS(2724),
    [anon_sym_using] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_SLASH] = ACTIONS(2724),
    [anon_sym_LT] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_void] = ACTIONS(2724),
    [anon_sym_delete] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2722),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2722),
    [sym_number] = ACTIONS(2722),
    [sym_private_property_identifier] = ACTIONS(2722),
    [sym_this] = ACTIONS(2724),
    [sym_super] = ACTIONS(2724),
    [sym_true] = ACTIONS(2724),
    [sym_false] = ACTIONS(2724),
    [sym_null] = ACTIONS(2724),
    [sym_undefined] = ACTIONS(2724),
    [anon_sym_AT] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2724),
    [anon_sym_readonly] = ACTIONS(2724),
    [anon_sym_get] = ACTIONS(2724),
    [anon_sym_set] = ACTIONS(2724),
    [anon_sym_declare] = ACTIONS(2724),
    [anon_sym_public] = ACTIONS(2724),
    [anon_sym_private] = ACTIONS(2724),
    [anon_sym_protected] = ACTIONS(2724),
    [anon_sym_override] = ACTIONS(2724),
    [anon_sym_module] = ACTIONS(2724),
    [anon_sym_any] = ACTIONS(2724),
    [anon_sym_number] = ACTIONS(2724),
    [anon_sym_boolean] = ACTIONS(2724),
    [anon_sym_string] = ACTIONS(2724),
    [anon_sym_symbol] = ACTIONS(2724),
    [anon_sym_object] = ACTIONS(2724),
    [anon_sym_abstract] = ACTIONS(2724),
    [anon_sym_interface] = ACTIONS(2724),
    [anon_sym_enum] = ACTIONS(2724),
    [sym_html_comment] = ACTIONS(5),
  },
  [844] = {
    [ts_builtin_sym_end] = ACTIONS(2726),
    [sym_identifier] = ACTIONS(2728),
    [anon_sym_export] = ACTIONS(2728),
    [anon_sym_default] = ACTIONS(2728),
    [anon_sym_type] = ACTIONS(2728),
    [anon_sym_namespace] = ACTIONS(2728),
    [anon_sym_LBRACE] = ACTIONS(2726),
    [anon_sym_RBRACE] = ACTIONS(2726),
    [anon_sym_typeof] = ACTIONS(2728),
    [anon_sym_import] = ACTIONS(2728),
    [anon_sym_with] = ACTIONS(2728),
    [anon_sym_var] = ACTIONS(2728),
    [anon_sym_let] = ACTIONS(2728),
    [anon_sym_const] = ACTIONS(2728),
    [anon_sym_BANG] = ACTIONS(2726),
    [anon_sym_else] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_switch] = ACTIONS(2728),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_LPAREN] = ACTIONS(2726),
    [anon_sym_await] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_break] = ACTIONS(2728),
    [anon_sym_continue] = ACTIONS(2728),
    [anon_sym_debugger] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_throw] = ACTIONS(2728),
    [anon_sym_SEMI] = ACTIONS(2726),
    [anon_sym_case] = ACTIONS(2728),
    [anon_sym_yield] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2726),
    [sym_glimmer_opening_tag] = ACTIONS(2726),
    [anon_sym_DQUOTE] = ACTIONS(2726),
    [anon_sym_SQUOTE] = ACTIONS(2726),
    [anon_sym_class] = ACTIONS(2728),
    [anon_sym_async] = ACTIONS(2728),
    [anon_sym_function] = ACTIONS(2728),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_using] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_SLASH] = ACTIONS(2728),
    [anon_sym_LT] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_void] = ACTIONS(2728),
    [anon_sym_delete] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2726),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2726),
    [sym_number] = ACTIONS(2726),
    [sym_private_property_identifier] = ACTIONS(2726),
    [sym_this] = ACTIONS(2728),
    [sym_super] = ACTIONS(2728),
    [sym_true] = ACTIONS(2728),
    [sym_false] = ACTIONS(2728),
    [sym_null] = ACTIONS(2728),
    [sym_undefined] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(2726),
    [anon_sym_static] = ACTIONS(2728),
    [anon_sym_readonly] = ACTIONS(2728),
    [anon_sym_get] = ACTIONS(2728),
    [anon_sym_set] = ACTIONS(2728),
    [anon_sym_declare] = ACTIONS(2728),
    [anon_sym_public] = ACTIONS(2728),
    [anon_sym_private] = ACTIONS(2728),
    [anon_sym_protected] = ACTIONS(2728),
    [anon_sym_override] = ACTIONS(2728),
    [anon_sym_module] = ACTIONS(2728),
    [anon_sym_any] = ACTIONS(2728),
    [anon_sym_number] = ACTIONS(2728),
    [anon_sym_boolean] = ACTIONS(2728),
    [anon_sym_string] = ACTIONS(2728),
    [anon_sym_symbol] = ACTIONS(2728),
    [anon_sym_object] = ACTIONS(2728),
    [anon_sym_abstract] = ACTIONS(2728),
    [anon_sym_interface] = ACTIONS(2728),
    [anon_sym_enum] = ACTIONS(2728),
    [sym_html_comment] = ACTIONS(5),
  },
  [845] = {
    [ts_builtin_sym_end] = ACTIONS(2718),
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_export] = ACTIONS(2720),
    [anon_sym_default] = ACTIONS(2720),
    [anon_sym_type] = ACTIONS(2720),
    [anon_sym_namespace] = ACTIONS(2720),
    [anon_sym_LBRACE] = ACTIONS(2718),
    [anon_sym_RBRACE] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2720),
    [anon_sym_import] = ACTIONS(2720),
    [anon_sym_with] = ACTIONS(2720),
    [anon_sym_var] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_const] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2718),
    [anon_sym_else] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_switch] = ACTIONS(2720),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_await] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_break] = ACTIONS(2720),
    [anon_sym_continue] = ACTIONS(2720),
    [anon_sym_debugger] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_throw] = ACTIONS(2720),
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym_case] = ACTIONS(2720),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2718),
    [sym_glimmer_opening_tag] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_class] = ACTIONS(2720),
    [anon_sym_async] = ACTIONS(2720),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_using] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_SLASH] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2718),
    [anon_sym_void] = ACTIONS(2720),
    [anon_sym_delete] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2718),
    [sym_number] = ACTIONS(2718),
    [sym_private_property_identifier] = ACTIONS(2718),
    [sym_this] = ACTIONS(2720),
    [sym_super] = ACTIONS(2720),
    [sym_true] = ACTIONS(2720),
    [sym_false] = ACTIONS(2720),
    [sym_null] = ACTIONS(2720),
    [sym_undefined] = ACTIONS(2720),
    [anon_sym_AT] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2720),
    [anon_sym_readonly] = ACTIONS(2720),
    [anon_sym_get] = ACTIONS(2720),
    [anon_sym_set] = ACTIONS(2720),
    [anon_sym_declare] = ACTIONS(2720),
    [anon_sym_public] = ACTIONS(2720),
    [anon_sym_private] = ACTIONS(2720),
    [anon_sym_protected] = ACTIONS(2720),
    [anon_sym_override] = ACTIONS(2720),
    [anon_sym_module] = ACTIONS(2720),
    [anon_sym_any] = ACTIONS(2720),
    [anon_sym_number] = ACTIONS(2720),
    [anon_sym_boolean] = ACTIONS(2720),
    [anon_sym_string] = ACTIONS(2720),
    [anon_sym_symbol] = ACTIONS(2720),
    [anon_sym_object] = ACTIONS(2720),
    [anon_sym_abstract] = ACTIONS(2720),
    [anon_sym_interface] = ACTIONS(2720),
    [anon_sym_enum] = ACTIONS(2720),
    [sym_html_comment] = ACTIONS(5),
  },
  [846] = {
    [ts_builtin_sym_end] = ACTIONS(2730),
    [sym_identifier] = ACTIONS(2732),
    [anon_sym_export] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_type] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2730),
    [anon_sym_RBRACE] = ACTIONS(2730),
    [anon_sym_typeof] = ACTIONS(2732),
    [anon_sym_import] = ACTIONS(2732),
    [anon_sym_with] = ACTIONS(2732),
    [anon_sym_var] = ACTIONS(2732),
    [anon_sym_let] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_BANG] = ACTIONS(2730),
    [anon_sym_else] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_LPAREN] = ACTIONS(2730),
    [anon_sym_await] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_debugger] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2730),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_yield] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2730),
    [sym_glimmer_opening_tag] = ACTIONS(2730),
    [anon_sym_DQUOTE] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_async] = ACTIONS(2732),
    [anon_sym_function] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_SLASH] = ACTIONS(2732),
    [anon_sym_LT] = ACTIONS(2732),
    [anon_sym_TILDE] = ACTIONS(2730),
    [anon_sym_void] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2730),
    [sym_number] = ACTIONS(2730),
    [sym_private_property_identifier] = ACTIONS(2730),
    [sym_this] = ACTIONS(2732),
    [sym_super] = ACTIONS(2732),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [sym_null] = ACTIONS(2732),
    [sym_undefined] = ACTIONS(2732),
    [anon_sym_AT] = ACTIONS(2730),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_readonly] = ACTIONS(2732),
    [anon_sym_get] = ACTIONS(2732),
    [anon_sym_set] = ACTIONS(2732),
    [anon_sym_declare] = ACTIONS(2732),
    [anon_sym_public] = ACTIONS(2732),
    [anon_sym_private] = ACTIONS(2732),
    [anon_sym_protected] = ACTIONS(2732),
    [anon_sym_override] = ACTIONS(2732),
    [anon_sym_module] = ACTIONS(2732),
    [anon_sym_any] = ACTIONS(2732),
    [anon_sym_number] = ACTIONS(2732),
    [anon_sym_boolean] = ACTIONS(2732),
    [anon_sym_string] = ACTIONS(2732),
    [anon_sym_symbol] = ACTIONS(2732),
    [anon_sym_object] = ACTIONS(2732),
    [anon_sym_abstract] = ACTIONS(2732),
    [anon_sym_interface] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [sym_html_comment] = ACTIONS(5),
  },
  [847] = {
    [ts_builtin_sym_end] = ACTIONS(2734),
    [sym_identifier] = ACTIONS(2736),
    [anon_sym_export] = ACTIONS(2736),
    [anon_sym_default] = ACTIONS(2736),
    [anon_sym_type] = ACTIONS(2736),
    [anon_sym_namespace] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_RBRACE] = ACTIONS(2734),
    [anon_sym_typeof] = ACTIONS(2736),
    [anon_sym_import] = ACTIONS(2736),
    [anon_sym_with] = ACTIONS(2736),
    [anon_sym_var] = ACTIONS(2736),
    [anon_sym_let] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_else] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2736),
    [anon_sym_LPAREN] = ACTIONS(2734),
    [anon_sym_await] = ACTIONS(2736),
    [anon_sym_while] = ACTIONS(2736),
    [anon_sym_do] = ACTIONS(2736),
    [anon_sym_try] = ACTIONS(2736),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2736),
    [anon_sym_debugger] = ACTIONS(2736),
    [anon_sym_return] = ACTIONS(2736),
    [anon_sym_throw] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym_case] = ACTIONS(2736),
    [anon_sym_yield] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [sym_glimmer_opening_tag] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_async] = ACTIONS(2736),
    [anon_sym_function] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_using] = ACTIONS(2736),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_SLASH] = ACTIONS(2736),
    [anon_sym_LT] = ACTIONS(2736),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_void] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2736),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2734),
    [sym_number] = ACTIONS(2734),
    [sym_private_property_identifier] = ACTIONS(2734),
    [sym_this] = ACTIONS(2736),
    [sym_super] = ACTIONS(2736),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [sym_null] = ACTIONS(2736),
    [sym_undefined] = ACTIONS(2736),
    [anon_sym_AT] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_readonly] = ACTIONS(2736),
    [anon_sym_get] = ACTIONS(2736),
    [anon_sym_set] = ACTIONS(2736),
    [anon_sym_declare] = ACTIONS(2736),
    [anon_sym_public] = ACTIONS(2736),
    [anon_sym_private] = ACTIONS(2736),
    [anon_sym_protected] = ACTIONS(2736),
    [anon_sym_override] = ACTIONS(2736),
    [anon_sym_module] = ACTIONS(2736),
    [anon_sym_any] = ACTIONS(2736),
    [anon_sym_number] = ACTIONS(2736),
    [anon_sym_boolean] = ACTIONS(2736),
    [anon_sym_string] = ACTIONS(2736),
    [anon_sym_symbol] = ACTIONS(2736),
    [anon_sym_object] = ACTIONS(2736),
    [anon_sym_abstract] = ACTIONS(2736),
    [anon_sym_interface] = ACTIONS(2736),
    [anon_sym_enum] = ACTIONS(2736),
    [sym_html_comment] = ACTIONS(5),
  },
  [848] = {
    [ts_builtin_sym_end] = ACTIONS(2718),
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_export] = ACTIONS(2720),
    [anon_sym_default] = ACTIONS(2720),
    [anon_sym_type] = ACTIONS(2720),
    [anon_sym_namespace] = ACTIONS(2720),
    [anon_sym_LBRACE] = ACTIONS(2718),
    [anon_sym_RBRACE] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2720),
    [anon_sym_import] = ACTIONS(2720),
    [anon_sym_with] = ACTIONS(2720),
    [anon_sym_var] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_const] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2718),
    [anon_sym_else] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_switch] = ACTIONS(2720),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_await] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_break] = ACTIONS(2720),
    [anon_sym_continue] = ACTIONS(2720),
    [anon_sym_debugger] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_throw] = ACTIONS(2720),
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym_case] = ACTIONS(2720),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2718),
    [sym_glimmer_opening_tag] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_class] = ACTIONS(2720),
    [anon_sym_async] = ACTIONS(2720),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_using] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_SLASH] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2718),
    [anon_sym_void] = ACTIONS(2720),
    [anon_sym_delete] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2718),
    [sym_number] = ACTIONS(2718),
    [sym_private_property_identifier] = ACTIONS(2718),
    [sym_this] = ACTIONS(2720),
    [sym_super] = ACTIONS(2720),
    [sym_true] = ACTIONS(2720),
    [sym_false] = ACTIONS(2720),
    [sym_null] = ACTIONS(2720),
    [sym_undefined] = ACTIONS(2720),
    [anon_sym_AT] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2720),
    [anon_sym_readonly] = ACTIONS(2720),
    [anon_sym_get] = ACTIONS(2720),
    [anon_sym_set] = ACTIONS(2720),
    [anon_sym_declare] = ACTIONS(2720),
    [anon_sym_public] = ACTIONS(2720),
    [anon_sym_private] = ACTIONS(2720),
    [anon_sym_protected] = ACTIONS(2720),
    [anon_sym_override] = ACTIONS(2720),
    [anon_sym_module] = ACTIONS(2720),
    [anon_sym_any] = ACTIONS(2720),
    [anon_sym_number] = ACTIONS(2720),
    [anon_sym_boolean] = ACTIONS(2720),
    [anon_sym_string] = ACTIONS(2720),
    [anon_sym_symbol] = ACTIONS(2720),
    [anon_sym_object] = ACTIONS(2720),
    [anon_sym_abstract] = ACTIONS(2720),
    [anon_sym_interface] = ACTIONS(2720),
    [anon_sym_enum] = ACTIONS(2720),
    [sym_html_comment] = ACTIONS(5),
  },
  [849] = {
    [ts_builtin_sym_end] = ACTIONS(2718),
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_export] = ACTIONS(2720),
    [anon_sym_default] = ACTIONS(2720),
    [anon_sym_type] = ACTIONS(2720),
    [anon_sym_namespace] = ACTIONS(2720),
    [anon_sym_LBRACE] = ACTIONS(2718),
    [anon_sym_RBRACE] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2720),
    [anon_sym_import] = ACTIONS(2720),
    [anon_sym_with] = ACTIONS(2720),
    [anon_sym_var] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_const] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2718),
    [anon_sym_else] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_switch] = ACTIONS(2720),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_await] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_break] = ACTIONS(2720),
    [anon_sym_continue] = ACTIONS(2720),
    [anon_sym_debugger] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_throw] = ACTIONS(2720),
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym_case] = ACTIONS(2720),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2718),
    [sym_glimmer_opening_tag] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_class] = ACTIONS(2720),
    [anon_sym_async] = ACTIONS(2720),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_using] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_SLASH] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2718),
    [anon_sym_void] = ACTIONS(2720),
    [anon_sym_delete] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2718),
    [sym_number] = ACTIONS(2718),
    [sym_private_property_identifier] = ACTIONS(2718),
    [sym_this] = ACTIONS(2720),
    [sym_super] = ACTIONS(2720),
    [sym_true] = ACTIONS(2720),
    [sym_false] = ACTIONS(2720),
    [sym_null] = ACTIONS(2720),
    [sym_undefined] = ACTIONS(2720),
    [anon_sym_AT] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2720),
    [anon_sym_readonly] = ACTIONS(2720),
    [anon_sym_get] = ACTIONS(2720),
    [anon_sym_set] = ACTIONS(2720),
    [anon_sym_declare] = ACTIONS(2720),
    [anon_sym_public] = ACTIONS(2720),
    [anon_sym_private] = ACTIONS(2720),
    [anon_sym_protected] = ACTIONS(2720),
    [anon_sym_override] = ACTIONS(2720),
    [anon_sym_module] = ACTIONS(2720),
    [anon_sym_any] = ACTIONS(2720),
    [anon_sym_number] = ACTIONS(2720),
    [anon_sym_boolean] = ACTIONS(2720),
    [anon_sym_string] = ACTIONS(2720),
    [anon_sym_symbol] = ACTIONS(2720),
    [anon_sym_object] = ACTIONS(2720),
    [anon_sym_abstract] = ACTIONS(2720),
    [anon_sym_interface] = ACTIONS(2720),
    [anon_sym_enum] = ACTIONS(2720),
    [sym_html_comment] = ACTIONS(5),
  },
  [850] = {
    [ts_builtin_sym_end] = ACTIONS(2718),
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_export] = ACTIONS(2720),
    [anon_sym_default] = ACTIONS(2720),
    [anon_sym_type] = ACTIONS(2720),
    [anon_sym_namespace] = ACTIONS(2720),
    [anon_sym_LBRACE] = ACTIONS(2718),
    [anon_sym_RBRACE] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2720),
    [anon_sym_import] = ACTIONS(2720),
    [anon_sym_with] = ACTIONS(2720),
    [anon_sym_var] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_const] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2718),
    [anon_sym_else] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_switch] = ACTIONS(2720),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_await] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_break] = ACTIONS(2720),
    [anon_sym_continue] = ACTIONS(2720),
    [anon_sym_debugger] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_throw] = ACTIONS(2720),
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym_case] = ACTIONS(2720),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2718),
    [sym_glimmer_opening_tag] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_class] = ACTIONS(2720),
    [anon_sym_async] = ACTIONS(2720),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_using] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_SLASH] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2718),
    [anon_sym_void] = ACTIONS(2720),
    [anon_sym_delete] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2718),
    [sym_number] = ACTIONS(2718),
    [sym_private_property_identifier] = ACTIONS(2718),
    [sym_this] = ACTIONS(2720),
    [sym_super] = ACTIONS(2720),
    [sym_true] = ACTIONS(2720),
    [sym_false] = ACTIONS(2720),
    [sym_null] = ACTIONS(2720),
    [sym_undefined] = ACTIONS(2720),
    [anon_sym_AT] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2720),
    [anon_sym_readonly] = ACTIONS(2720),
    [anon_sym_get] = ACTIONS(2720),
    [anon_sym_set] = ACTIONS(2720),
    [anon_sym_declare] = ACTIONS(2720),
    [anon_sym_public] = ACTIONS(2720),
    [anon_sym_private] = ACTIONS(2720),
    [anon_sym_protected] = ACTIONS(2720),
    [anon_sym_override] = ACTIONS(2720),
    [anon_sym_module] = ACTIONS(2720),
    [anon_sym_any] = ACTIONS(2720),
    [anon_sym_number] = ACTIONS(2720),
    [anon_sym_boolean] = ACTIONS(2720),
    [anon_sym_string] = ACTIONS(2720),
    [anon_sym_symbol] = ACTIONS(2720),
    [anon_sym_object] = ACTIONS(2720),
    [anon_sym_abstract] = ACTIONS(2720),
    [anon_sym_interface] = ACTIONS(2720),
    [anon_sym_enum] = ACTIONS(2720),
    [sym_html_comment] = ACTIONS(5),
  },
  [851] = {
    [ts_builtin_sym_end] = ACTIONS(2718),
    [sym_identifier] = ACTIONS(2720),
    [anon_sym_export] = ACTIONS(2720),
    [anon_sym_default] = ACTIONS(2720),
    [anon_sym_type] = ACTIONS(2720),
    [anon_sym_namespace] = ACTIONS(2720),
    [anon_sym_LBRACE] = ACTIONS(2718),
    [anon_sym_RBRACE] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2720),
    [anon_sym_import] = ACTIONS(2720),
    [anon_sym_with] = ACTIONS(2720),
    [anon_sym_var] = ACTIONS(2720),
    [anon_sym_let] = ACTIONS(2720),
    [anon_sym_const] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2718),
    [anon_sym_else] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_switch] = ACTIONS(2720),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_await] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_break] = ACTIONS(2720),
    [anon_sym_continue] = ACTIONS(2720),
    [anon_sym_debugger] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_throw] = ACTIONS(2720),
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym_case] = ACTIONS(2720),
    [anon_sym_yield] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2718),
    [sym_glimmer_opening_tag] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_class] = ACTIONS(2720),
    [anon_sym_async] = ACTIONS(2720),
    [anon_sym_function] = ACTIONS(2720),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_using] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_SLASH] = ACTIONS(2720),
    [anon_sym_LT] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2718),
    [anon_sym_void] = ACTIONS(2720),
    [anon_sym_delete] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2718),
    [sym_number] = ACTIONS(2718),
    [sym_private_property_identifier] = ACTIONS(2718),
    [sym_this] = ACTIONS(2720),
    [sym_super] = ACTIONS(2720),
    [sym_true] = ACTIONS(2720),
    [sym_false] = ACTIONS(2720),
    [sym_null] = ACTIONS(2720),
    [sym_undefined] = ACTIONS(2720),
    [anon_sym_AT] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2720),
    [anon_sym_readonly] = ACTIONS(2720),
    [anon_sym_get] = ACTIONS(2720),
    [anon_sym_set] = ACTIONS(2720),
    [anon_sym_declare] = ACTIONS(2720),
    [anon_sym_public] = ACTIONS(2720),
    [anon_sym_private] = ACTIONS(2720),
    [anon_sym_protected] = ACTIONS(2720),
    [anon_sym_override] = ACTIONS(2720),
    [anon_sym_module] = ACTIONS(2720),
    [anon_sym_any] = ACTIONS(2720),
    [anon_sym_number] = ACTIONS(2720),
    [anon_sym_boolean] = ACTIONS(2720),
    [anon_sym_string] = ACTIONS(2720),
    [anon_sym_symbol] = ACTIONS(2720),
    [anon_sym_object] = ACTIONS(2720),
    [anon_sym_abstract] = ACTIONS(2720),
    [anon_sym_interface] = ACTIONS(2720),
    [anon_sym_enum] = ACTIONS(2720),
    [sym_html_comment] = ACTIONS(5),
  },
  [852] = {
    [ts_builtin_sym_end] = ACTIONS(2738),
    [sym_identifier] = ACTIONS(2740),
    [anon_sym_export] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_type] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_RBRACE] = ACTIONS(2738),
    [anon_sym_typeof] = ACTIONS(2740),
    [anon_sym_import] = ACTIONS(2740),
    [anon_sym_with] = ACTIONS(2740),
    [anon_sym_var] = ACTIONS(2740),
    [anon_sym_let] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2738),
    [anon_sym_else] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_LPAREN] = ACTIONS(2738),
    [anon_sym_await] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_debugger] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_yield] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2738),
    [sym_glimmer_opening_tag] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_async] = ACTIONS(2740),
    [anon_sym_function] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_SLASH] = ACTIONS(2740),
    [anon_sym_LT] = ACTIONS(2740),
    [anon_sym_TILDE] = ACTIONS(2738),
    [anon_sym_void] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2738),
    [sym_number] = ACTIONS(2738),
    [sym_private_property_identifier] = ACTIONS(2738),
    [sym_this] = ACTIONS(2740),
    [sym_super] = ACTIONS(2740),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [sym_null] = ACTIONS(2740),
    [sym_undefined] = ACTIONS(2740),
    [anon_sym_AT] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_readonly] = ACTIONS(2740),
    [anon_sym_get] = ACTIONS(2740),
    [anon_sym_set] = ACTIONS(2740),
    [anon_sym_declare] = ACTIONS(2740),
    [anon_sym_public] = ACTIONS(2740),
    [anon_sym_private] = ACTIONS(2740),
    [anon_sym_protected] = ACTIONS(2740),
    [anon_sym_override] = ACTIONS(2740),
    [anon_sym_module] = ACTIONS(2740),
    [anon_sym_any] = ACTIONS(2740),
    [anon_sym_number] = ACTIONS(2740),
    [anon_sym_boolean] = ACTIONS(2740),
    [anon_sym_string] = ACTIONS(2740),
    [anon_sym_symbol] = ACTIONS(2740),
    [anon_sym_object] = ACTIONS(2740),
    [anon_sym_abstract] = ACTIONS(2740),
    [anon_sym_interface] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [sym_html_comment] = ACTIONS(5),
  },
  [853] = {
    [ts_builtin_sym_end] = ACTIONS(2742),
    [sym_identifier] = ACTIONS(2744),
    [anon_sym_export] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_type] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_RBRACE] = ACTIONS(2742),
    [anon_sym_typeof] = ACTIONS(2744),
    [anon_sym_import] = ACTIONS(2744),
    [anon_sym_with] = ACTIONS(2744),
    [anon_sym_var] = ACTIONS(2744),
    [anon_sym_let] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_else] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_await] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_debugger] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_yield] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2742),
    [sym_glimmer_opening_tag] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_async] = ACTIONS(2744),
    [anon_sym_function] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_SLASH] = ACTIONS(2744),
    [anon_sym_LT] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_void] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2742),
    [sym_number] = ACTIONS(2742),
    [sym_private_property_identifier] = ACTIONS(2742),
    [sym_this] = ACTIONS(2744),
    [sym_super] = ACTIONS(2744),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [sym_null] = ACTIONS(2744),
    [sym_undefined] = ACTIONS(2744),
    [anon_sym_AT] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_readonly] = ACTIONS(2744),
    [anon_sym_get] = ACTIONS(2744),
    [anon_sym_set] = ACTIONS(2744),
    [anon_sym_declare] = ACTIONS(2744),
    [anon_sym_public] = ACTIONS(2744),
    [anon_sym_private] = ACTIONS(2744),
    [anon_sym_protected] = ACTIONS(2744),
    [anon_sym_override] = ACTIONS(2744),
    [anon_sym_module] = ACTIONS(2744),
    [anon_sym_any] = ACTIONS(2744),
    [anon_sym_number] = ACTIONS(2744),
    [anon_sym_boolean] = ACTIONS(2744),
    [anon_sym_string] = ACTIONS(2744),
    [anon_sym_symbol] = ACTIONS(2744),
    [anon_sym_object] = ACTIONS(2744),
    [anon_sym_abstract] = ACTIONS(2744),
    [anon_sym_interface] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [sym_html_comment] = ACTIONS(5),
  },
  [854] = {
    [ts_builtin_sym_end] = ACTIONS(2530),
    [sym_identifier] = ACTIONS(2532),
    [anon_sym_export] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_type] = ACTIONS(2532),
    [anon_sym_namespace] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_RBRACE] = ACTIONS(2530),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_import] = ACTIONS(2532),
    [anon_sym_with] = ACTIONS(2532),
    [anon_sym_var] = ACTIONS(2532),
    [anon_sym_let] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_LPAREN] = ACTIONS(2530),
    [anon_sym_await] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_debugger] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_yield] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [sym_glimmer_opening_tag] = ACTIONS(2530),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_async] = ACTIONS(2532),
    [anon_sym_function] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_SLASH] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2530),
    [sym_number] = ACTIONS(2530),
    [sym_private_property_identifier] = ACTIONS(2530),
    [sym_this] = ACTIONS(2532),
    [sym_super] = ACTIONS(2532),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [sym_null] = ACTIONS(2532),
    [sym_undefined] = ACTIONS(2532),
    [anon_sym_AT] = ACTIONS(2530),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_readonly] = ACTIONS(2532),
    [anon_sym_get] = ACTIONS(2532),
    [anon_sym_set] = ACTIONS(2532),
    [anon_sym_declare] = ACTIONS(2532),
    [anon_sym_public] = ACTIONS(2532),
    [anon_sym_private] = ACTIONS(2532),
    [anon_sym_protected] = ACTIONS(2532),
    [anon_sym_override] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(2532),
    [anon_sym_any] = ACTIONS(2532),
    [anon_sym_number] = ACTIONS(2532),
    [anon_sym_boolean] = ACTIONS(2532),
    [anon_sym_string] = ACTIONS(2532),
    [anon_sym_symbol] = ACTIONS(2532),
    [anon_sym_object] = ACTIONS(2532),
    [anon_sym_abstract] = ACTIONS(2532),
    [anon_sym_interface] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [sym_html_comment] = ACTIONS(5),
  },
  [855] = {
    [ts_builtin_sym_end] = ACTIONS(2746),
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_export] = ACTIONS(2748),
    [anon_sym_default] = ACTIONS(2748),
    [anon_sym_type] = ACTIONS(2748),
    [anon_sym_namespace] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_RBRACE] = ACTIONS(2746),
    [anon_sym_typeof] = ACTIONS(2748),
    [anon_sym_import] = ACTIONS(2748),
    [anon_sym_with] = ACTIONS(2748),
    [anon_sym_var] = ACTIONS(2748),
    [anon_sym_let] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_else] = ACTIONS(2748),
    [anon_sym_if] = ACTIONS(2748),
    [anon_sym_switch] = ACTIONS(2748),
    [anon_sym_for] = ACTIONS(2748),
    [anon_sym_LPAREN] = ACTIONS(2746),
    [anon_sym_await] = ACTIONS(2748),
    [anon_sym_while] = ACTIONS(2748),
    [anon_sym_do] = ACTIONS(2748),
    [anon_sym_try] = ACTIONS(2748),
    [anon_sym_break] = ACTIONS(2748),
    [anon_sym_continue] = ACTIONS(2748),
    [anon_sym_debugger] = ACTIONS(2748),
    [anon_sym_return] = ACTIONS(2748),
    [anon_sym_throw] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym_case] = ACTIONS(2748),
    [anon_sym_yield] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2746),
    [sym_glimmer_opening_tag] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_async] = ACTIONS(2748),
    [anon_sym_function] = ACTIONS(2748),
    [anon_sym_new] = ACTIONS(2748),
    [anon_sym_using] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_SLASH] = ACTIONS(2748),
    [anon_sym_LT] = ACTIONS(2748),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_void] = ACTIONS(2748),
    [anon_sym_delete] = ACTIONS(2748),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2746),
    [sym_number] = ACTIONS(2746),
    [sym_private_property_identifier] = ACTIONS(2746),
    [sym_this] = ACTIONS(2748),
    [sym_super] = ACTIONS(2748),
    [sym_true] = ACTIONS(2748),
    [sym_false] = ACTIONS(2748),
    [sym_null] = ACTIONS(2748),
    [sym_undefined] = ACTIONS(2748),
    [anon_sym_AT] = ACTIONS(2746),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_readonly] = ACTIONS(2748),
    [anon_sym_get] = ACTIONS(2748),
    [anon_sym_set] = ACTIONS(2748),
    [anon_sym_declare] = ACTIONS(2748),
    [anon_sym_public] = ACTIONS(2748),
    [anon_sym_private] = ACTIONS(2748),
    [anon_sym_protected] = ACTIONS(2748),
    [anon_sym_override] = ACTIONS(2748),
    [anon_sym_module] = ACTIONS(2748),
    [anon_sym_any] = ACTIONS(2748),
    [anon_sym_number] = ACTIONS(2748),
    [anon_sym_boolean] = ACTIONS(2748),
    [anon_sym_string] = ACTIONS(2748),
    [anon_sym_symbol] = ACTIONS(2748),
    [anon_sym_object] = ACTIONS(2748),
    [anon_sym_abstract] = ACTIONS(2748),
    [anon_sym_interface] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [sym_html_comment] = ACTIONS(5),
  },
  [856] = {
    [ts_builtin_sym_end] = ACTIONS(1751),
    [sym_identifier] = ACTIONS(1753),
    [anon_sym_export] = ACTIONS(1753),
    [anon_sym_default] = ACTIONS(1753),
    [anon_sym_type] = ACTIONS(1753),
    [anon_sym_namespace] = ACTIONS(1753),
    [anon_sym_LBRACE] = ACTIONS(1751),
    [anon_sym_RBRACE] = ACTIONS(1751),
    [anon_sym_typeof] = ACTIONS(1753),
    [anon_sym_import] = ACTIONS(1753),
    [anon_sym_with] = ACTIONS(1753),
    [anon_sym_var] = ACTIONS(1753),
    [anon_sym_let] = ACTIONS(1753),
    [anon_sym_const] = ACTIONS(1753),
    [anon_sym_BANG] = ACTIONS(1751),
    [anon_sym_else] = ACTIONS(1753),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_switch] = ACTIONS(1753),
    [anon_sym_for] = ACTIONS(1753),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_await] = ACTIONS(1753),
    [anon_sym_while] = ACTIONS(1753),
    [anon_sym_do] = ACTIONS(1753),
    [anon_sym_try] = ACTIONS(1753),
    [anon_sym_break] = ACTIONS(1753),
    [anon_sym_continue] = ACTIONS(1753),
    [anon_sym_debugger] = ACTIONS(1753),
    [anon_sym_return] = ACTIONS(1753),
    [anon_sym_throw] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [anon_sym_case] = ACTIONS(1753),
    [anon_sym_yield] = ACTIONS(1753),
    [anon_sym_LBRACK] = ACTIONS(1751),
    [sym_glimmer_opening_tag] = ACTIONS(1751),
    [anon_sym_DQUOTE] = ACTIONS(1751),
    [anon_sym_SQUOTE] = ACTIONS(1751),
    [anon_sym_class] = ACTIONS(1753),
    [anon_sym_async] = ACTIONS(1753),
    [anon_sym_function] = ACTIONS(1753),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_using] = ACTIONS(1753),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_SLASH] = ACTIONS(1753),
    [anon_sym_LT] = ACTIONS(1753),
    [anon_sym_TILDE] = ACTIONS(1751),
    [anon_sym_void] = ACTIONS(1753),
    [anon_sym_delete] = ACTIONS(1753),
    [anon_sym_PLUS_PLUS] = ACTIONS(1751),
    [anon_sym_DASH_DASH] = ACTIONS(1751),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1751),
    [sym_number] = ACTIONS(1751),
    [sym_private_property_identifier] = ACTIONS(1751),
    [sym_this] = ACTIONS(1753),
    [sym_super] = ACTIONS(1753),
    [sym_true] = ACTIONS(1753),
    [sym_false] = ACTIONS(1753),
    [sym_null] = ACTIONS(1753),
    [sym_undefined] = ACTIONS(1753),
    [anon_sym_AT] = ACTIONS(1751),
    [anon_sym_static] = ACTIONS(1753),
    [anon_sym_readonly] = ACTIONS(1753),
    [anon_sym_get] = ACTIONS(1753),
    [anon_sym_set] = ACTIONS(1753),
    [anon_sym_declare] = ACTIONS(1753),
    [anon_sym_public] = ACTIONS(1753),
    [anon_sym_private] = ACTIONS(1753),
    [anon_sym_protected] = ACTIONS(1753),
    [anon_sym_override] = ACTIONS(1753),
    [anon_sym_module] = ACTIONS(1753),
    [anon_sym_any] = ACTIONS(1753),
    [anon_sym_number] = ACTIONS(1753),
    [anon_sym_boolean] = ACTIONS(1753),
    [anon_sym_string] = ACTIONS(1753),
    [anon_sym_symbol] = ACTIONS(1753),
    [anon_sym_object] = ACTIONS(1753),
    [anon_sym_abstract] = ACTIONS(1753),
    [anon_sym_interface] = ACTIONS(1753),
    [anon_sym_enum] = ACTIONS(1753),
    [sym_html_comment] = ACTIONS(5),
  },
  [857] = {
    [ts_builtin_sym_end] = ACTIONS(2750),
    [sym_identifier] = ACTIONS(2752),
    [anon_sym_export] = ACTIONS(2752),
    [anon_sym_default] = ACTIONS(2752),
    [anon_sym_type] = ACTIONS(2752),
    [anon_sym_namespace] = ACTIONS(2752),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_RBRACE] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2752),
    [anon_sym_import] = ACTIONS(2752),
    [anon_sym_with] = ACTIONS(2752),
    [anon_sym_var] = ACTIONS(2752),
    [anon_sym_let] = ACTIONS(2752),
    [anon_sym_const] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2750),
    [anon_sym_else] = ACTIONS(2752),
    [anon_sym_if] = ACTIONS(2752),
    [anon_sym_switch] = ACTIONS(2752),
    [anon_sym_for] = ACTIONS(2752),
    [anon_sym_LPAREN] = ACTIONS(2750),
    [anon_sym_await] = ACTIONS(2752),
    [anon_sym_while] = ACTIONS(2752),
    [anon_sym_do] = ACTIONS(2752),
    [anon_sym_try] = ACTIONS(2752),
    [anon_sym_break] = ACTIONS(2752),
    [anon_sym_continue] = ACTIONS(2752),
    [anon_sym_debugger] = ACTIONS(2752),
    [anon_sym_return] = ACTIONS(2752),
    [anon_sym_throw] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2752),
    [anon_sym_yield] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [sym_glimmer_opening_tag] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2750),
    [anon_sym_SQUOTE] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2752),
    [anon_sym_async] = ACTIONS(2752),
    [anon_sym_function] = ACTIONS(2752),
    [anon_sym_new] = ACTIONS(2752),
    [anon_sym_using] = ACTIONS(2752),
    [anon_sym_PLUS] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2752),
    [anon_sym_SLASH] = ACTIONS(2752),
    [anon_sym_LT] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_void] = ACTIONS(2752),
    [anon_sym_delete] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2750),
    [sym_number] = ACTIONS(2750),
    [sym_private_property_identifier] = ACTIONS(2750),
    [sym_this] = ACTIONS(2752),
    [sym_super] = ACTIONS(2752),
    [sym_true] = ACTIONS(2752),
    [sym_false] = ACTIONS(2752),
    [sym_null] = ACTIONS(2752),
    [sym_undefined] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2752),
    [anon_sym_readonly] = ACTIONS(2752),
    [anon_sym_get] = ACTIONS(2752),
    [anon_sym_set] = ACTIONS(2752),
    [anon_sym_declare] = ACTIONS(2752),
    [anon_sym_public] = ACTIONS(2752),
    [anon_sym_private] = ACTIONS(2752),
    [anon_sym_protected] = ACTIONS(2752),
    [anon_sym_override] = ACTIONS(2752),
    [anon_sym_module] = ACTIONS(2752),
    [anon_sym_any] = ACTIONS(2752),
    [anon_sym_number] = ACTIONS(2752),
    [anon_sym_boolean] = ACTIONS(2752),
    [anon_sym_string] = ACTIONS(2752),
    [anon_sym_symbol] = ACTIONS(2752),
    [anon_sym_object] = ACTIONS(2752),
    [anon_sym_abstract] = ACTIONS(2752),
    [anon_sym_interface] = ACTIONS(2752),
    [anon_sym_enum] = ACTIONS(2752),
    [sym_html_comment] = ACTIONS(5),
  },
  [858] = {
    [ts_builtin_sym_end] = ACTIONS(1763),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_export] = ACTIONS(1765),
    [anon_sym_default] = ACTIONS(1765),
    [anon_sym_type] = ACTIONS(1765),
    [anon_sym_namespace] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(1763),
    [anon_sym_RBRACE] = ACTIONS(1763),
    [anon_sym_typeof] = ACTIONS(1765),
    [anon_sym_import] = ACTIONS(1765),
    [anon_sym_with] = ACTIONS(1765),
    [anon_sym_var] = ACTIONS(1765),
    [anon_sym_let] = ACTIONS(1765),
    [anon_sym_const] = ACTIONS(1765),
    [anon_sym_BANG] = ACTIONS(1763),
    [anon_sym_else] = ACTIONS(1765),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_switch] = ACTIONS(1765),
    [anon_sym_for] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [anon_sym_await] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1765),
    [anon_sym_do] = ACTIONS(1765),
    [anon_sym_try] = ACTIONS(1765),
    [anon_sym_break] = ACTIONS(1765),
    [anon_sym_continue] = ACTIONS(1765),
    [anon_sym_debugger] = ACTIONS(1765),
    [anon_sym_return] = ACTIONS(1765),
    [anon_sym_throw] = ACTIONS(1765),
    [anon_sym_SEMI] = ACTIONS(1763),
    [anon_sym_case] = ACTIONS(1765),
    [anon_sym_yield] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [sym_glimmer_opening_tag] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1763),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_class] = ACTIONS(1765),
    [anon_sym_async] = ACTIONS(1765),
    [anon_sym_function] = ACTIONS(1765),
    [anon_sym_new] = ACTIONS(1765),
    [anon_sym_using] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1763),
    [anon_sym_void] = ACTIONS(1765),
    [anon_sym_delete] = ACTIONS(1765),
    [anon_sym_PLUS_PLUS] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1763),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1763),
    [sym_number] = ACTIONS(1763),
    [sym_private_property_identifier] = ACTIONS(1763),
    [sym_this] = ACTIONS(1765),
    [sym_super] = ACTIONS(1765),
    [sym_true] = ACTIONS(1765),
    [sym_false] = ACTIONS(1765),
    [sym_null] = ACTIONS(1765),
    [sym_undefined] = ACTIONS(1765),
    [anon_sym_AT] = ACTIONS(1763),
    [anon_sym_static] = ACTIONS(1765),
    [anon_sym_readonly] = ACTIONS(1765),
    [anon_sym_get] = ACTIONS(1765),
    [anon_sym_set] = ACTIONS(1765),
    [anon_sym_declare] = ACTIONS(1765),
    [anon_sym_public] = ACTIONS(1765),
    [anon_sym_private] = ACTIONS(1765),
    [anon_sym_protected] = ACTIONS(1765),
    [anon_sym_override] = ACTIONS(1765),
    [anon_sym_module] = ACTIONS(1765),
    [anon_sym_any] = ACTIONS(1765),
    [anon_sym_number] = ACTIONS(1765),
    [anon_sym_boolean] = ACTIONS(1765),
    [anon_sym_string] = ACTIONS(1765),
    [anon_sym_symbol] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(1765),
    [anon_sym_abstract] = ACTIONS(1765),
    [anon_sym_interface] = ACTIONS(1765),
    [anon_sym_enum] = ACTIONS(1765),
    [sym_html_comment] = ACTIONS(5),
  },
  [859] = {
    [ts_builtin_sym_end] = ACTIONS(2746),
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_export] = ACTIONS(2748),
    [anon_sym_default] = ACTIONS(2748),
    [anon_sym_type] = ACTIONS(2748),
    [anon_sym_namespace] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_RBRACE] = ACTIONS(2746),
    [anon_sym_typeof] = ACTIONS(2748),
    [anon_sym_import] = ACTIONS(2748),
    [anon_sym_with] = ACTIONS(2748),
    [anon_sym_var] = ACTIONS(2748),
    [anon_sym_let] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_else] = ACTIONS(2748),
    [anon_sym_if] = ACTIONS(2748),
    [anon_sym_switch] = ACTIONS(2748),
    [anon_sym_for] = ACTIONS(2748),
    [anon_sym_LPAREN] = ACTIONS(2746),
    [anon_sym_await] = ACTIONS(2748),
    [anon_sym_while] = ACTIONS(2748),
    [anon_sym_do] = ACTIONS(2748),
    [anon_sym_try] = ACTIONS(2748),
    [anon_sym_break] = ACTIONS(2748),
    [anon_sym_continue] = ACTIONS(2748),
    [anon_sym_debugger] = ACTIONS(2748),
    [anon_sym_return] = ACTIONS(2748),
    [anon_sym_throw] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym_case] = ACTIONS(2748),
    [anon_sym_yield] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2746),
    [sym_glimmer_opening_tag] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_async] = ACTIONS(2748),
    [anon_sym_function] = ACTIONS(2748),
    [anon_sym_new] = ACTIONS(2748),
    [anon_sym_using] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_SLASH] = ACTIONS(2748),
    [anon_sym_LT] = ACTIONS(2748),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_void] = ACTIONS(2748),
    [anon_sym_delete] = ACTIONS(2748),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2746),
    [sym_number] = ACTIONS(2746),
    [sym_private_property_identifier] = ACTIONS(2746),
    [sym_this] = ACTIONS(2748),
    [sym_super] = ACTIONS(2748),
    [sym_true] = ACTIONS(2748),
    [sym_false] = ACTIONS(2748),
    [sym_null] = ACTIONS(2748),
    [sym_undefined] = ACTIONS(2748),
    [anon_sym_AT] = ACTIONS(2746),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_readonly] = ACTIONS(2748),
    [anon_sym_get] = ACTIONS(2748),
    [anon_sym_set] = ACTIONS(2748),
    [anon_sym_declare] = ACTIONS(2748),
    [anon_sym_public] = ACTIONS(2748),
    [anon_sym_private] = ACTIONS(2748),
    [anon_sym_protected] = ACTIONS(2748),
    [anon_sym_override] = ACTIONS(2748),
    [anon_sym_module] = ACTIONS(2748),
    [anon_sym_any] = ACTIONS(2748),
    [anon_sym_number] = ACTIONS(2748),
    [anon_sym_boolean] = ACTIONS(2748),
    [anon_sym_string] = ACTIONS(2748),
    [anon_sym_symbol] = ACTIONS(2748),
    [anon_sym_object] = ACTIONS(2748),
    [anon_sym_abstract] = ACTIONS(2748),
    [anon_sym_interface] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [sym_html_comment] = ACTIONS(5),
  },
  [860] = {
    [ts_builtin_sym_end] = ACTIONS(2754),
    [sym_identifier] = ACTIONS(2756),
    [anon_sym_export] = ACTIONS(2756),
    [anon_sym_default] = ACTIONS(2756),
    [anon_sym_type] = ACTIONS(2756),
    [anon_sym_namespace] = ACTIONS(2756),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_RBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(2756),
    [anon_sym_import] = ACTIONS(2756),
    [anon_sym_with] = ACTIONS(2756),
    [anon_sym_var] = ACTIONS(2756),
    [anon_sym_let] = ACTIONS(2756),
    [anon_sym_const] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2754),
    [anon_sym_else] = ACTIONS(2756),
    [anon_sym_if] = ACTIONS(2756),
    [anon_sym_switch] = ACTIONS(2756),
    [anon_sym_for] = ACTIONS(2756),
    [anon_sym_LPAREN] = ACTIONS(2754),
    [anon_sym_await] = ACTIONS(2756),
    [anon_sym_while] = ACTIONS(2756),
    [anon_sym_do] = ACTIONS(2756),
    [anon_sym_try] = ACTIONS(2756),
    [anon_sym_break] = ACTIONS(2756),
    [anon_sym_continue] = ACTIONS(2756),
    [anon_sym_debugger] = ACTIONS(2756),
    [anon_sym_return] = ACTIONS(2756),
    [anon_sym_throw] = ACTIONS(2756),
    [anon_sym_SEMI] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2756),
    [anon_sym_yield] = ACTIONS(2756),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [sym_glimmer_opening_tag] = ACTIONS(2754),
    [anon_sym_DQUOTE] = ACTIONS(2754),
    [anon_sym_SQUOTE] = ACTIONS(2754),
    [anon_sym_class] = ACTIONS(2756),
    [anon_sym_async] = ACTIONS(2756),
    [anon_sym_function] = ACTIONS(2756),
    [anon_sym_new] = ACTIONS(2756),
    [anon_sym_using] = ACTIONS(2756),
    [anon_sym_PLUS] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2756),
    [anon_sym_SLASH] = ACTIONS(2756),
    [anon_sym_LT] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2754),
    [anon_sym_void] = ACTIONS(2756),
    [anon_sym_delete] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2754),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2754),
    [sym_number] = ACTIONS(2754),
    [sym_private_property_identifier] = ACTIONS(2754),
    [sym_this] = ACTIONS(2756),
    [sym_super] = ACTIONS(2756),
    [sym_true] = ACTIONS(2756),
    [sym_false] = ACTIONS(2756),
    [sym_null] = ACTIONS(2756),
    [sym_undefined] = ACTIONS(2756),
    [anon_sym_AT] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2756),
    [anon_sym_readonly] = ACTIONS(2756),
    [anon_sym_get] = ACTIONS(2756),
    [anon_sym_set] = ACTIONS(2756),
    [anon_sym_declare] = ACTIONS(2756),
    [anon_sym_public] = ACTIONS(2756),
    [anon_sym_private] = ACTIONS(2756),
    [anon_sym_protected] = ACTIONS(2756),
    [anon_sym_override] = ACTIONS(2756),
    [anon_sym_module] = ACTIONS(2756),
    [anon_sym_any] = ACTIONS(2756),
    [anon_sym_number] = ACTIONS(2756),
    [anon_sym_boolean] = ACTIONS(2756),
    [anon_sym_string] = ACTIONS(2756),
    [anon_sym_symbol] = ACTIONS(2756),
    [anon_sym_object] = ACTIONS(2756),
    [anon_sym_abstract] = ACTIONS(2756),
    [anon_sym_interface] = ACTIONS(2756),
    [anon_sym_enum] = ACTIONS(2756),
    [sym_html_comment] = ACTIONS(5),
  },
  [861] = {
    [ts_builtin_sym_end] = ACTIONS(2758),
    [sym_identifier] = ACTIONS(2760),
    [anon_sym_export] = ACTIONS(2760),
    [anon_sym_default] = ACTIONS(2760),
    [anon_sym_type] = ACTIONS(2760),
    [anon_sym_namespace] = ACTIONS(2760),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_RBRACE] = ACTIONS(2758),
    [anon_sym_typeof] = ACTIONS(2760),
    [anon_sym_import] = ACTIONS(2760),
    [anon_sym_with] = ACTIONS(2760),
    [anon_sym_var] = ACTIONS(2760),
    [anon_sym_let] = ACTIONS(2760),
    [anon_sym_const] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2758),
    [anon_sym_else] = ACTIONS(2760),
    [anon_sym_if] = ACTIONS(2760),
    [anon_sym_switch] = ACTIONS(2760),
    [anon_sym_for] = ACTIONS(2760),
    [anon_sym_LPAREN] = ACTIONS(2758),
    [anon_sym_await] = ACTIONS(2760),
    [anon_sym_while] = ACTIONS(2760),
    [anon_sym_do] = ACTIONS(2760),
    [anon_sym_try] = ACTIONS(2760),
    [anon_sym_break] = ACTIONS(2760),
    [anon_sym_continue] = ACTIONS(2760),
    [anon_sym_debugger] = ACTIONS(2760),
    [anon_sym_return] = ACTIONS(2760),
    [anon_sym_throw] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2760),
    [anon_sym_yield] = ACTIONS(2760),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [sym_glimmer_opening_tag] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2758),
    [anon_sym_SQUOTE] = ACTIONS(2758),
    [anon_sym_class] = ACTIONS(2760),
    [anon_sym_async] = ACTIONS(2760),
    [anon_sym_function] = ACTIONS(2760),
    [anon_sym_new] = ACTIONS(2760),
    [anon_sym_using] = ACTIONS(2760),
    [anon_sym_PLUS] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2760),
    [anon_sym_SLASH] = ACTIONS(2760),
    [anon_sym_LT] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2758),
    [anon_sym_void] = ACTIONS(2760),
    [anon_sym_delete] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2758),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2758),
    [sym_number] = ACTIONS(2758),
    [sym_private_property_identifier] = ACTIONS(2758),
    [sym_this] = ACTIONS(2760),
    [sym_super] = ACTIONS(2760),
    [sym_true] = ACTIONS(2760),
    [sym_false] = ACTIONS(2760),
    [sym_null] = ACTIONS(2760),
    [sym_undefined] = ACTIONS(2760),
    [anon_sym_AT] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2760),
    [anon_sym_readonly] = ACTIONS(2760),
    [anon_sym_get] = ACTIONS(2760),
    [anon_sym_set] = ACTIONS(2760),
    [anon_sym_declare] = ACTIONS(2760),
    [anon_sym_public] = ACTIONS(2760),
    [anon_sym_private] = ACTIONS(2760),
    [anon_sym_protected] = ACTIONS(2760),
    [anon_sym_override] = ACTIONS(2760),
    [anon_sym_module] = ACTIONS(2760),
    [anon_sym_any] = ACTIONS(2760),
    [anon_sym_number] = ACTIONS(2760),
    [anon_sym_boolean] = ACTIONS(2760),
    [anon_sym_string] = ACTIONS(2760),
    [anon_sym_symbol] = ACTIONS(2760),
    [anon_sym_object] = ACTIONS(2760),
    [anon_sym_abstract] = ACTIONS(2760),
    [anon_sym_interface] = ACTIONS(2760),
    [anon_sym_enum] = ACTIONS(2760),
    [sym_html_comment] = ACTIONS(5),
  },
  [862] = {
    [ts_builtin_sym_end] = ACTIONS(2762),
    [sym_identifier] = ACTIONS(2764),
    [anon_sym_export] = ACTIONS(2764),
    [anon_sym_default] = ACTIONS(2764),
    [anon_sym_type] = ACTIONS(2764),
    [anon_sym_namespace] = ACTIONS(2764),
    [anon_sym_LBRACE] = ACTIONS(2762),
    [anon_sym_RBRACE] = ACTIONS(2762),
    [anon_sym_typeof] = ACTIONS(2764),
    [anon_sym_import] = ACTIONS(2764),
    [anon_sym_with] = ACTIONS(2764),
    [anon_sym_var] = ACTIONS(2764),
    [anon_sym_let] = ACTIONS(2764),
    [anon_sym_const] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2762),
    [anon_sym_else] = ACTIONS(2764),
    [anon_sym_if] = ACTIONS(2764),
    [anon_sym_switch] = ACTIONS(2764),
    [anon_sym_for] = ACTIONS(2764),
    [anon_sym_LPAREN] = ACTIONS(2762),
    [anon_sym_await] = ACTIONS(2764),
    [anon_sym_while] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(2764),
    [anon_sym_try] = ACTIONS(2764),
    [anon_sym_break] = ACTIONS(2764),
    [anon_sym_continue] = ACTIONS(2764),
    [anon_sym_debugger] = ACTIONS(2764),
    [anon_sym_return] = ACTIONS(2764),
    [anon_sym_throw] = ACTIONS(2764),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym_case] = ACTIONS(2764),
    [anon_sym_yield] = ACTIONS(2764),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [sym_glimmer_opening_tag] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2762),
    [anon_sym_SQUOTE] = ACTIONS(2762),
    [anon_sym_class] = ACTIONS(2764),
    [anon_sym_async] = ACTIONS(2764),
    [anon_sym_function] = ACTIONS(2764),
    [anon_sym_new] = ACTIONS(2764),
    [anon_sym_using] = ACTIONS(2764),
    [anon_sym_PLUS] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2764),
    [anon_sym_SLASH] = ACTIONS(2764),
    [anon_sym_LT] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2762),
    [anon_sym_void] = ACTIONS(2764),
    [anon_sym_delete] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2762),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2762),
    [sym_number] = ACTIONS(2762),
    [sym_private_property_identifier] = ACTIONS(2762),
    [sym_this] = ACTIONS(2764),
    [sym_super] = ACTIONS(2764),
    [sym_true] = ACTIONS(2764),
    [sym_false] = ACTIONS(2764),
    [sym_null] = ACTIONS(2764),
    [sym_undefined] = ACTIONS(2764),
    [anon_sym_AT] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2764),
    [anon_sym_readonly] = ACTIONS(2764),
    [anon_sym_get] = ACTIONS(2764),
    [anon_sym_set] = ACTIONS(2764),
    [anon_sym_declare] = ACTIONS(2764),
    [anon_sym_public] = ACTIONS(2764),
    [anon_sym_private] = ACTIONS(2764),
    [anon_sym_protected] = ACTIONS(2764),
    [anon_sym_override] = ACTIONS(2764),
    [anon_sym_module] = ACTIONS(2764),
    [anon_sym_any] = ACTIONS(2764),
    [anon_sym_number] = ACTIONS(2764),
    [anon_sym_boolean] = ACTIONS(2764),
    [anon_sym_string] = ACTIONS(2764),
    [anon_sym_symbol] = ACTIONS(2764),
    [anon_sym_object] = ACTIONS(2764),
    [anon_sym_abstract] = ACTIONS(2764),
    [anon_sym_interface] = ACTIONS(2764),
    [anon_sym_enum] = ACTIONS(2764),
    [sym_html_comment] = ACTIONS(5),
  },
  [863] = {
    [ts_builtin_sym_end] = ACTIONS(2766),
    [sym_identifier] = ACTIONS(2768),
    [anon_sym_export] = ACTIONS(2768),
    [anon_sym_default] = ACTIONS(2768),
    [anon_sym_type] = ACTIONS(2768),
    [anon_sym_namespace] = ACTIONS(2768),
    [anon_sym_LBRACE] = ACTIONS(2766),
    [anon_sym_RBRACE] = ACTIONS(2766),
    [anon_sym_typeof] = ACTIONS(2768),
    [anon_sym_import] = ACTIONS(2768),
    [anon_sym_with] = ACTIONS(2768),
    [anon_sym_var] = ACTIONS(2768),
    [anon_sym_let] = ACTIONS(2768),
    [anon_sym_const] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2766),
    [anon_sym_else] = ACTIONS(2768),
    [anon_sym_if] = ACTIONS(2768),
    [anon_sym_switch] = ACTIONS(2768),
    [anon_sym_for] = ACTIONS(2768),
    [anon_sym_LPAREN] = ACTIONS(2766),
    [anon_sym_await] = ACTIONS(2768),
    [anon_sym_while] = ACTIONS(2768),
    [anon_sym_do] = ACTIONS(2768),
    [anon_sym_try] = ACTIONS(2768),
    [anon_sym_break] = ACTIONS(2768),
    [anon_sym_continue] = ACTIONS(2768),
    [anon_sym_debugger] = ACTIONS(2768),
    [anon_sym_return] = ACTIONS(2768),
    [anon_sym_throw] = ACTIONS(2768),
    [anon_sym_SEMI] = ACTIONS(2766),
    [anon_sym_case] = ACTIONS(2768),
    [anon_sym_yield] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [sym_glimmer_opening_tag] = ACTIONS(2766),
    [anon_sym_DQUOTE] = ACTIONS(2766),
    [anon_sym_SQUOTE] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2768),
    [anon_sym_async] = ACTIONS(2768),
    [anon_sym_function] = ACTIONS(2768),
    [anon_sym_new] = ACTIONS(2768),
    [anon_sym_using] = ACTIONS(2768),
    [anon_sym_PLUS] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2768),
    [anon_sym_SLASH] = ACTIONS(2768),
    [anon_sym_LT] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2766),
    [anon_sym_void] = ACTIONS(2768),
    [anon_sym_delete] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2766),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2766),
    [sym_number] = ACTIONS(2766),
    [sym_private_property_identifier] = ACTIONS(2766),
    [sym_this] = ACTIONS(2768),
    [sym_super] = ACTIONS(2768),
    [sym_true] = ACTIONS(2768),
    [sym_false] = ACTIONS(2768),
    [sym_null] = ACTIONS(2768),
    [sym_undefined] = ACTIONS(2768),
    [anon_sym_AT] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2768),
    [anon_sym_readonly] = ACTIONS(2768),
    [anon_sym_get] = ACTIONS(2768),
    [anon_sym_set] = ACTIONS(2768),
    [anon_sym_declare] = ACTIONS(2768),
    [anon_sym_public] = ACTIONS(2768),
    [anon_sym_private] = ACTIONS(2768),
    [anon_sym_protected] = ACTIONS(2768),
    [anon_sym_override] = ACTIONS(2768),
    [anon_sym_module] = ACTIONS(2768),
    [anon_sym_any] = ACTIONS(2768),
    [anon_sym_number] = ACTIONS(2768),
    [anon_sym_boolean] = ACTIONS(2768),
    [anon_sym_string] = ACTIONS(2768),
    [anon_sym_symbol] = ACTIONS(2768),
    [anon_sym_object] = ACTIONS(2768),
    [anon_sym_abstract] = ACTIONS(2768),
    [anon_sym_interface] = ACTIONS(2768),
    [anon_sym_enum] = ACTIONS(2768),
    [sym_html_comment] = ACTIONS(5),
  },
  [864] = {
    [ts_builtin_sym_end] = ACTIONS(2770),
    [sym_identifier] = ACTIONS(2772),
    [anon_sym_export] = ACTIONS(2772),
    [anon_sym_default] = ACTIONS(2772),
    [anon_sym_type] = ACTIONS(2772),
    [anon_sym_namespace] = ACTIONS(2772),
    [anon_sym_LBRACE] = ACTIONS(2770),
    [anon_sym_RBRACE] = ACTIONS(2770),
    [anon_sym_typeof] = ACTIONS(2772),
    [anon_sym_import] = ACTIONS(2772),
    [anon_sym_with] = ACTIONS(2772),
    [anon_sym_var] = ACTIONS(2772),
    [anon_sym_let] = ACTIONS(2772),
    [anon_sym_const] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2770),
    [anon_sym_else] = ACTIONS(2772),
    [anon_sym_if] = ACTIONS(2772),
    [anon_sym_switch] = ACTIONS(2772),
    [anon_sym_for] = ACTIONS(2772),
    [anon_sym_LPAREN] = ACTIONS(2770),
    [anon_sym_await] = ACTIONS(2772),
    [anon_sym_while] = ACTIONS(2772),
    [anon_sym_do] = ACTIONS(2772),
    [anon_sym_try] = ACTIONS(2772),
    [anon_sym_break] = ACTIONS(2772),
    [anon_sym_continue] = ACTIONS(2772),
    [anon_sym_debugger] = ACTIONS(2772),
    [anon_sym_return] = ACTIONS(2772),
    [anon_sym_throw] = ACTIONS(2772),
    [anon_sym_SEMI] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2772),
    [anon_sym_yield] = ACTIONS(2772),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [sym_glimmer_opening_tag] = ACTIONS(2770),
    [anon_sym_DQUOTE] = ACTIONS(2770),
    [anon_sym_SQUOTE] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2772),
    [anon_sym_async] = ACTIONS(2772),
    [anon_sym_function] = ACTIONS(2772),
    [anon_sym_new] = ACTIONS(2772),
    [anon_sym_using] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2772),
    [anon_sym_SLASH] = ACTIONS(2772),
    [anon_sym_LT] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2770),
    [anon_sym_void] = ACTIONS(2772),
    [anon_sym_delete] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2770),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2770),
    [sym_number] = ACTIONS(2770),
    [sym_private_property_identifier] = ACTIONS(2770),
    [sym_this] = ACTIONS(2772),
    [sym_super] = ACTIONS(2772),
    [sym_true] = ACTIONS(2772),
    [sym_false] = ACTIONS(2772),
    [sym_null] = ACTIONS(2772),
    [sym_undefined] = ACTIONS(2772),
    [anon_sym_AT] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2772),
    [anon_sym_readonly] = ACTIONS(2772),
    [anon_sym_get] = ACTIONS(2772),
    [anon_sym_set] = ACTIONS(2772),
    [anon_sym_declare] = ACTIONS(2772),
    [anon_sym_public] = ACTIONS(2772),
    [anon_sym_private] = ACTIONS(2772),
    [anon_sym_protected] = ACTIONS(2772),
    [anon_sym_override] = ACTIONS(2772),
    [anon_sym_module] = ACTIONS(2772),
    [anon_sym_any] = ACTIONS(2772),
    [anon_sym_number] = ACTIONS(2772),
    [anon_sym_boolean] = ACTIONS(2772),
    [anon_sym_string] = ACTIONS(2772),
    [anon_sym_symbol] = ACTIONS(2772),
    [anon_sym_object] = ACTIONS(2772),
    [anon_sym_abstract] = ACTIONS(2772),
    [anon_sym_interface] = ACTIONS(2772),
    [anon_sym_enum] = ACTIONS(2772),
    [sym_html_comment] = ACTIONS(5),
  },
  [865] = {
    [ts_builtin_sym_end] = ACTIONS(2774),
    [sym_identifier] = ACTIONS(2776),
    [anon_sym_export] = ACTIONS(2776),
    [anon_sym_default] = ACTIONS(2776),
    [anon_sym_type] = ACTIONS(2776),
    [anon_sym_namespace] = ACTIONS(2776),
    [anon_sym_LBRACE] = ACTIONS(2774),
    [anon_sym_RBRACE] = ACTIONS(2774),
    [anon_sym_typeof] = ACTIONS(2776),
    [anon_sym_import] = ACTIONS(2776),
    [anon_sym_with] = ACTIONS(2776),
    [anon_sym_var] = ACTIONS(2776),
    [anon_sym_let] = ACTIONS(2776),
    [anon_sym_const] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2774),
    [anon_sym_else] = ACTIONS(2776),
    [anon_sym_if] = ACTIONS(2776),
    [anon_sym_switch] = ACTIONS(2776),
    [anon_sym_for] = ACTIONS(2776),
    [anon_sym_LPAREN] = ACTIONS(2774),
    [anon_sym_await] = ACTIONS(2776),
    [anon_sym_while] = ACTIONS(2776),
    [anon_sym_do] = ACTIONS(2776),
    [anon_sym_try] = ACTIONS(2776),
    [anon_sym_break] = ACTIONS(2776),
    [anon_sym_continue] = ACTIONS(2776),
    [anon_sym_debugger] = ACTIONS(2776),
    [anon_sym_return] = ACTIONS(2776),
    [anon_sym_throw] = ACTIONS(2776),
    [anon_sym_SEMI] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2776),
    [anon_sym_yield] = ACTIONS(2776),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [sym_glimmer_opening_tag] = ACTIONS(2774),
    [anon_sym_DQUOTE] = ACTIONS(2774),
    [anon_sym_SQUOTE] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2776),
    [anon_sym_async] = ACTIONS(2776),
    [anon_sym_function] = ACTIONS(2776),
    [anon_sym_new] = ACTIONS(2776),
    [anon_sym_using] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_SLASH] = ACTIONS(2776),
    [anon_sym_LT] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2774),
    [anon_sym_void] = ACTIONS(2776),
    [anon_sym_delete] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2774),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2774),
    [sym_number] = ACTIONS(2774),
    [sym_private_property_identifier] = ACTIONS(2774),
    [sym_this] = ACTIONS(2776),
    [sym_super] = ACTIONS(2776),
    [sym_true] = ACTIONS(2776),
    [sym_false] = ACTIONS(2776),
    [sym_null] = ACTIONS(2776),
    [sym_undefined] = ACTIONS(2776),
    [anon_sym_AT] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2776),
    [anon_sym_readonly] = ACTIONS(2776),
    [anon_sym_get] = ACTIONS(2776),
    [anon_sym_set] = ACTIONS(2776),
    [anon_sym_declare] = ACTIONS(2776),
    [anon_sym_public] = ACTIONS(2776),
    [anon_sym_private] = ACTIONS(2776),
    [anon_sym_protected] = ACTIONS(2776),
    [anon_sym_override] = ACTIONS(2776),
    [anon_sym_module] = ACTIONS(2776),
    [anon_sym_any] = ACTIONS(2776),
    [anon_sym_number] = ACTIONS(2776),
    [anon_sym_boolean] = ACTIONS(2776),
    [anon_sym_string] = ACTIONS(2776),
    [anon_sym_symbol] = ACTIONS(2776),
    [anon_sym_object] = ACTIONS(2776),
    [anon_sym_abstract] = ACTIONS(2776),
    [anon_sym_interface] = ACTIONS(2776),
    [anon_sym_enum] = ACTIONS(2776),
    [sym_html_comment] = ACTIONS(5),
  },
  [866] = {
    [ts_builtin_sym_end] = ACTIONS(2778),
    [sym_identifier] = ACTIONS(2780),
    [anon_sym_export] = ACTIONS(2780),
    [anon_sym_default] = ACTIONS(2780),
    [anon_sym_type] = ACTIONS(2780),
    [anon_sym_namespace] = ACTIONS(2780),
    [anon_sym_LBRACE] = ACTIONS(2778),
    [anon_sym_RBRACE] = ACTIONS(2778),
    [anon_sym_typeof] = ACTIONS(2780),
    [anon_sym_import] = ACTIONS(2780),
    [anon_sym_with] = ACTIONS(2780),
    [anon_sym_var] = ACTIONS(2780),
    [anon_sym_let] = ACTIONS(2780),
    [anon_sym_const] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2778),
    [anon_sym_else] = ACTIONS(2780),
    [anon_sym_if] = ACTIONS(2780),
    [anon_sym_switch] = ACTIONS(2780),
    [anon_sym_for] = ACTIONS(2780),
    [anon_sym_LPAREN] = ACTIONS(2778),
    [anon_sym_await] = ACTIONS(2780),
    [anon_sym_while] = ACTIONS(2780),
    [anon_sym_do] = ACTIONS(2780),
    [anon_sym_try] = ACTIONS(2780),
    [anon_sym_break] = ACTIONS(2780),
    [anon_sym_continue] = ACTIONS(2780),
    [anon_sym_debugger] = ACTIONS(2780),
    [anon_sym_return] = ACTIONS(2780),
    [anon_sym_throw] = ACTIONS(2780),
    [anon_sym_SEMI] = ACTIONS(2778),
    [anon_sym_case] = ACTIONS(2780),
    [anon_sym_yield] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2778),
    [sym_glimmer_opening_tag] = ACTIONS(2778),
    [anon_sym_DQUOTE] = ACTIONS(2778),
    [anon_sym_SQUOTE] = ACTIONS(2778),
    [anon_sym_class] = ACTIONS(2780),
    [anon_sym_async] = ACTIONS(2780),
    [anon_sym_function] = ACTIONS(2780),
    [anon_sym_new] = ACTIONS(2780),
    [anon_sym_using] = ACTIONS(2780),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_SLASH] = ACTIONS(2780),
    [anon_sym_LT] = ACTIONS(2780),
    [anon_sym_TILDE] = ACTIONS(2778),
    [anon_sym_void] = ACTIONS(2780),
    [anon_sym_delete] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2778),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2778),
    [sym_number] = ACTIONS(2778),
    [sym_private_property_identifier] = ACTIONS(2778),
    [sym_this] = ACTIONS(2780),
    [sym_super] = ACTIONS(2780),
    [sym_true] = ACTIONS(2780),
    [sym_false] = ACTIONS(2780),
    [sym_null] = ACTIONS(2780),
    [sym_undefined] = ACTIONS(2780),
    [anon_sym_AT] = ACTIONS(2778),
    [anon_sym_static] = ACTIONS(2780),
    [anon_sym_readonly] = ACTIONS(2780),
    [anon_sym_get] = ACTIONS(2780),
    [anon_sym_set] = ACTIONS(2780),
    [anon_sym_declare] = ACTIONS(2780),
    [anon_sym_public] = ACTIONS(2780),
    [anon_sym_private] = ACTIONS(2780),
    [anon_sym_protected] = ACTIONS(2780),
    [anon_sym_override] = ACTIONS(2780),
    [anon_sym_module] = ACTIONS(2780),
    [anon_sym_any] = ACTIONS(2780),
    [anon_sym_number] = ACTIONS(2780),
    [anon_sym_boolean] = ACTIONS(2780),
    [anon_sym_string] = ACTIONS(2780),
    [anon_sym_symbol] = ACTIONS(2780),
    [anon_sym_object] = ACTIONS(2780),
    [anon_sym_abstract] = ACTIONS(2780),
    [anon_sym_interface] = ACTIONS(2780),
    [anon_sym_enum] = ACTIONS(2780),
    [sym_html_comment] = ACTIONS(5),
  },
  [867] = {
    [ts_builtin_sym_end] = ACTIONS(2778),
    [sym_identifier] = ACTIONS(2780),
    [anon_sym_export] = ACTIONS(2780),
    [anon_sym_default] = ACTIONS(2780),
    [anon_sym_type] = ACTIONS(2780),
    [anon_sym_namespace] = ACTIONS(2780),
    [anon_sym_LBRACE] = ACTIONS(2778),
    [anon_sym_RBRACE] = ACTIONS(2778),
    [anon_sym_typeof] = ACTIONS(2780),
    [anon_sym_import] = ACTIONS(2780),
    [anon_sym_with] = ACTIONS(2780),
    [anon_sym_var] = ACTIONS(2780),
    [anon_sym_let] = ACTIONS(2780),
    [anon_sym_const] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2778),
    [anon_sym_else] = ACTIONS(2780),
    [anon_sym_if] = ACTIONS(2780),
    [anon_sym_switch] = ACTIONS(2780),
    [anon_sym_for] = ACTIONS(2780),
    [anon_sym_LPAREN] = ACTIONS(2778),
    [anon_sym_await] = ACTIONS(2780),
    [anon_sym_while] = ACTIONS(2780),
    [anon_sym_do] = ACTIONS(2780),
    [anon_sym_try] = ACTIONS(2780),
    [anon_sym_break] = ACTIONS(2780),
    [anon_sym_continue] = ACTIONS(2780),
    [anon_sym_debugger] = ACTIONS(2780),
    [anon_sym_return] = ACTIONS(2780),
    [anon_sym_throw] = ACTIONS(2780),
    [anon_sym_SEMI] = ACTIONS(2778),
    [anon_sym_case] = ACTIONS(2780),
    [anon_sym_yield] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2778),
    [sym_glimmer_opening_tag] = ACTIONS(2778),
    [anon_sym_DQUOTE] = ACTIONS(2778),
    [anon_sym_SQUOTE] = ACTIONS(2778),
    [anon_sym_class] = ACTIONS(2780),
    [anon_sym_async] = ACTIONS(2780),
    [anon_sym_function] = ACTIONS(2780),
    [anon_sym_new] = ACTIONS(2780),
    [anon_sym_using] = ACTIONS(2780),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_SLASH] = ACTIONS(2780),
    [anon_sym_LT] = ACTIONS(2780),
    [anon_sym_TILDE] = ACTIONS(2778),
    [anon_sym_void] = ACTIONS(2780),
    [anon_sym_delete] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2778),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2778),
    [sym_number] = ACTIONS(2778),
    [sym_private_property_identifier] = ACTIONS(2778),
    [sym_this] = ACTIONS(2780),
    [sym_super] = ACTIONS(2780),
    [sym_true] = ACTIONS(2780),
    [sym_false] = ACTIONS(2780),
    [sym_null] = ACTIONS(2780),
    [sym_undefined] = ACTIONS(2780),
    [anon_sym_AT] = ACTIONS(2778),
    [anon_sym_static] = ACTIONS(2780),
    [anon_sym_readonly] = ACTIONS(2780),
    [anon_sym_get] = ACTIONS(2780),
    [anon_sym_set] = ACTIONS(2780),
    [anon_sym_declare] = ACTIONS(2780),
    [anon_sym_public] = ACTIONS(2780),
    [anon_sym_private] = ACTIONS(2780),
    [anon_sym_protected] = ACTIONS(2780),
    [anon_sym_override] = ACTIONS(2780),
    [anon_sym_module] = ACTIONS(2780),
    [anon_sym_any] = ACTIONS(2780),
    [anon_sym_number] = ACTIONS(2780),
    [anon_sym_boolean] = ACTIONS(2780),
    [anon_sym_string] = ACTIONS(2780),
    [anon_sym_symbol] = ACTIONS(2780),
    [anon_sym_object] = ACTIONS(2780),
    [anon_sym_abstract] = ACTIONS(2780),
    [anon_sym_interface] = ACTIONS(2780),
    [anon_sym_enum] = ACTIONS(2780),
    [sym_html_comment] = ACTIONS(5),
  },
  [868] = {
    [ts_builtin_sym_end] = ACTIONS(2782),
    [sym_identifier] = ACTIONS(2784),
    [anon_sym_export] = ACTIONS(2784),
    [anon_sym_default] = ACTIONS(2784),
    [anon_sym_type] = ACTIONS(2784),
    [anon_sym_namespace] = ACTIONS(2784),
    [anon_sym_LBRACE] = ACTIONS(2782),
    [anon_sym_RBRACE] = ACTIONS(2782),
    [anon_sym_typeof] = ACTIONS(2784),
    [anon_sym_import] = ACTIONS(2784),
    [anon_sym_with] = ACTIONS(2784),
    [anon_sym_var] = ACTIONS(2784),
    [anon_sym_let] = ACTIONS(2784),
    [anon_sym_const] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2782),
    [anon_sym_else] = ACTIONS(2784),
    [anon_sym_if] = ACTIONS(2784),
    [anon_sym_switch] = ACTIONS(2784),
    [anon_sym_for] = ACTIONS(2784),
    [anon_sym_LPAREN] = ACTIONS(2782),
    [anon_sym_await] = ACTIONS(2784),
    [anon_sym_while] = ACTIONS(2784),
    [anon_sym_do] = ACTIONS(2784),
    [anon_sym_try] = ACTIONS(2784),
    [anon_sym_break] = ACTIONS(2784),
    [anon_sym_continue] = ACTIONS(2784),
    [anon_sym_debugger] = ACTIONS(2784),
    [anon_sym_return] = ACTIONS(2784),
    [anon_sym_throw] = ACTIONS(2784),
    [anon_sym_SEMI] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2784),
    [anon_sym_yield] = ACTIONS(2784),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [sym_glimmer_opening_tag] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2782),
    [anon_sym_SQUOTE] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2784),
    [anon_sym_async] = ACTIONS(2784),
    [anon_sym_function] = ACTIONS(2784),
    [anon_sym_new] = ACTIONS(2784),
    [anon_sym_using] = ACTIONS(2784),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_SLASH] = ACTIONS(2784),
    [anon_sym_LT] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2782),
    [anon_sym_void] = ACTIONS(2784),
    [anon_sym_delete] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2782),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2782),
    [sym_number] = ACTIONS(2782),
    [sym_private_property_identifier] = ACTIONS(2782),
    [sym_this] = ACTIONS(2784),
    [sym_super] = ACTIONS(2784),
    [sym_true] = ACTIONS(2784),
    [sym_false] = ACTIONS(2784),
    [sym_null] = ACTIONS(2784),
    [sym_undefined] = ACTIONS(2784),
    [anon_sym_AT] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2784),
    [anon_sym_readonly] = ACTIONS(2784),
    [anon_sym_get] = ACTIONS(2784),
    [anon_sym_set] = ACTIONS(2784),
    [anon_sym_declare] = ACTIONS(2784),
    [anon_sym_public] = ACTIONS(2784),
    [anon_sym_private] = ACTIONS(2784),
    [anon_sym_protected] = ACTIONS(2784),
    [anon_sym_override] = ACTIONS(2784),
    [anon_sym_module] = ACTIONS(2784),
    [anon_sym_any] = ACTIONS(2784),
    [anon_sym_number] = ACTIONS(2784),
    [anon_sym_boolean] = ACTIONS(2784),
    [anon_sym_string] = ACTIONS(2784),
    [anon_sym_symbol] = ACTIONS(2784),
    [anon_sym_object] = ACTIONS(2784),
    [anon_sym_abstract] = ACTIONS(2784),
    [anon_sym_interface] = ACTIONS(2784),
    [anon_sym_enum] = ACTIONS(2784),
    [sym_html_comment] = ACTIONS(5),
  },
  [869] = {
    [ts_builtin_sym_end] = ACTIONS(2786),
    [sym_identifier] = ACTIONS(2788),
    [anon_sym_export] = ACTIONS(2788),
    [anon_sym_default] = ACTIONS(2788),
    [anon_sym_type] = ACTIONS(2788),
    [anon_sym_namespace] = ACTIONS(2788),
    [anon_sym_LBRACE] = ACTIONS(2786),
    [anon_sym_RBRACE] = ACTIONS(2786),
    [anon_sym_typeof] = ACTIONS(2788),
    [anon_sym_import] = ACTIONS(2788),
    [anon_sym_with] = ACTIONS(2788),
    [anon_sym_var] = ACTIONS(2788),
    [anon_sym_let] = ACTIONS(2788),
    [anon_sym_const] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2786),
    [anon_sym_else] = ACTIONS(2788),
    [anon_sym_if] = ACTIONS(2788),
    [anon_sym_switch] = ACTIONS(2788),
    [anon_sym_for] = ACTIONS(2788),
    [anon_sym_LPAREN] = ACTIONS(2786),
    [anon_sym_await] = ACTIONS(2788),
    [anon_sym_while] = ACTIONS(2788),
    [anon_sym_do] = ACTIONS(2788),
    [anon_sym_try] = ACTIONS(2788),
    [anon_sym_break] = ACTIONS(2788),
    [anon_sym_continue] = ACTIONS(2788),
    [anon_sym_debugger] = ACTIONS(2788),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2788),
    [anon_sym_SEMI] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2788),
    [anon_sym_yield] = ACTIONS(2788),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [sym_glimmer_opening_tag] = ACTIONS(2786),
    [anon_sym_DQUOTE] = ACTIONS(2786),
    [anon_sym_SQUOTE] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2788),
    [anon_sym_async] = ACTIONS(2788),
    [anon_sym_function] = ACTIONS(2788),
    [anon_sym_new] = ACTIONS(2788),
    [anon_sym_using] = ACTIONS(2788),
    [anon_sym_PLUS] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2788),
    [anon_sym_SLASH] = ACTIONS(2788),
    [anon_sym_LT] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2786),
    [anon_sym_void] = ACTIONS(2788),
    [anon_sym_delete] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2786),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2786),
    [sym_number] = ACTIONS(2786),
    [sym_private_property_identifier] = ACTIONS(2786),
    [sym_this] = ACTIONS(2788),
    [sym_super] = ACTIONS(2788),
    [sym_true] = ACTIONS(2788),
    [sym_false] = ACTIONS(2788),
    [sym_null] = ACTIONS(2788),
    [sym_undefined] = ACTIONS(2788),
    [anon_sym_AT] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2788),
    [anon_sym_readonly] = ACTIONS(2788),
    [anon_sym_get] = ACTIONS(2788),
    [anon_sym_set] = ACTIONS(2788),
    [anon_sym_declare] = ACTIONS(2788),
    [anon_sym_public] = ACTIONS(2788),
    [anon_sym_private] = ACTIONS(2788),
    [anon_sym_protected] = ACTIONS(2788),
    [anon_sym_override] = ACTIONS(2788),
    [anon_sym_module] = ACTIONS(2788),
    [anon_sym_any] = ACTIONS(2788),
    [anon_sym_number] = ACTIONS(2788),
    [anon_sym_boolean] = ACTIONS(2788),
    [anon_sym_string] = ACTIONS(2788),
    [anon_sym_symbol] = ACTIONS(2788),
    [anon_sym_object] = ACTIONS(2788),
    [anon_sym_abstract] = ACTIONS(2788),
    [anon_sym_interface] = ACTIONS(2788),
    [anon_sym_enum] = ACTIONS(2788),
    [sym_html_comment] = ACTIONS(5),
  },
  [870] = {
    [ts_builtin_sym_end] = ACTIONS(2790),
    [sym_identifier] = ACTIONS(2792),
    [anon_sym_export] = ACTIONS(2792),
    [anon_sym_default] = ACTIONS(2792),
    [anon_sym_type] = ACTIONS(2792),
    [anon_sym_namespace] = ACTIONS(2792),
    [anon_sym_LBRACE] = ACTIONS(2790),
    [anon_sym_RBRACE] = ACTIONS(2790),
    [anon_sym_typeof] = ACTIONS(2792),
    [anon_sym_import] = ACTIONS(2792),
    [anon_sym_with] = ACTIONS(2792),
    [anon_sym_var] = ACTIONS(2792),
    [anon_sym_let] = ACTIONS(2792),
    [anon_sym_const] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2790),
    [anon_sym_else] = ACTIONS(2792),
    [anon_sym_if] = ACTIONS(2792),
    [anon_sym_switch] = ACTIONS(2792),
    [anon_sym_for] = ACTIONS(2792),
    [anon_sym_LPAREN] = ACTIONS(2790),
    [anon_sym_await] = ACTIONS(2792),
    [anon_sym_while] = ACTIONS(2792),
    [anon_sym_do] = ACTIONS(2792),
    [anon_sym_try] = ACTIONS(2792),
    [anon_sym_break] = ACTIONS(2792),
    [anon_sym_continue] = ACTIONS(2792),
    [anon_sym_debugger] = ACTIONS(2792),
    [anon_sym_return] = ACTIONS(2792),
    [anon_sym_throw] = ACTIONS(2792),
    [anon_sym_SEMI] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2792),
    [anon_sym_yield] = ACTIONS(2792),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [sym_glimmer_opening_tag] = ACTIONS(2790),
    [anon_sym_DQUOTE] = ACTIONS(2790),
    [anon_sym_SQUOTE] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2792),
    [anon_sym_async] = ACTIONS(2792),
    [anon_sym_function] = ACTIONS(2792),
    [anon_sym_new] = ACTIONS(2792),
    [anon_sym_using] = ACTIONS(2792),
    [anon_sym_PLUS] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2792),
    [anon_sym_SLASH] = ACTIONS(2792),
    [anon_sym_LT] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2790),
    [anon_sym_void] = ACTIONS(2792),
    [anon_sym_delete] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2790),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2790),
    [sym_number] = ACTIONS(2790),
    [sym_private_property_identifier] = ACTIONS(2790),
    [sym_this] = ACTIONS(2792),
    [sym_super] = ACTIONS(2792),
    [sym_true] = ACTIONS(2792),
    [sym_false] = ACTIONS(2792),
    [sym_null] = ACTIONS(2792),
    [sym_undefined] = ACTIONS(2792),
    [anon_sym_AT] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2792),
    [anon_sym_readonly] = ACTIONS(2792),
    [anon_sym_get] = ACTIONS(2792),
    [anon_sym_set] = ACTIONS(2792),
    [anon_sym_declare] = ACTIONS(2792),
    [anon_sym_public] = ACTIONS(2792),
    [anon_sym_private] = ACTIONS(2792),
    [anon_sym_protected] = ACTIONS(2792),
    [anon_sym_override] = ACTIONS(2792),
    [anon_sym_module] = ACTIONS(2792),
    [anon_sym_any] = ACTIONS(2792),
    [anon_sym_number] = ACTIONS(2792),
    [anon_sym_boolean] = ACTIONS(2792),
    [anon_sym_string] = ACTIONS(2792),
    [anon_sym_symbol] = ACTIONS(2792),
    [anon_sym_object] = ACTIONS(2792),
    [anon_sym_abstract] = ACTIONS(2792),
    [anon_sym_interface] = ACTIONS(2792),
    [anon_sym_enum] = ACTIONS(2792),
    [sym_html_comment] = ACTIONS(5),
  },
  [871] = {
    [ts_builtin_sym_end] = ACTIONS(2794),
    [sym_identifier] = ACTIONS(2796),
    [anon_sym_export] = ACTIONS(2796),
    [anon_sym_default] = ACTIONS(2796),
    [anon_sym_type] = ACTIONS(2796),
    [anon_sym_namespace] = ACTIONS(2796),
    [anon_sym_LBRACE] = ACTIONS(2794),
    [anon_sym_RBRACE] = ACTIONS(2794),
    [anon_sym_typeof] = ACTIONS(2796),
    [anon_sym_import] = ACTIONS(2796),
    [anon_sym_with] = ACTIONS(2796),
    [anon_sym_var] = ACTIONS(2796),
    [anon_sym_let] = ACTIONS(2796),
    [anon_sym_const] = ACTIONS(2796),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_else] = ACTIONS(2796),
    [anon_sym_if] = ACTIONS(2796),
    [anon_sym_switch] = ACTIONS(2796),
    [anon_sym_for] = ACTIONS(2796),
    [anon_sym_LPAREN] = ACTIONS(2794),
    [anon_sym_await] = ACTIONS(2796),
    [anon_sym_while] = ACTIONS(2796),
    [anon_sym_do] = ACTIONS(2796),
    [anon_sym_try] = ACTIONS(2796),
    [anon_sym_break] = ACTIONS(2796),
    [anon_sym_continue] = ACTIONS(2796),
    [anon_sym_debugger] = ACTIONS(2796),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2796),
    [anon_sym_yield] = ACTIONS(2796),
    [anon_sym_LBRACK] = ACTIONS(2794),
    [sym_glimmer_opening_tag] = ACTIONS(2794),
    [anon_sym_DQUOTE] = ACTIONS(2794),
    [anon_sym_SQUOTE] = ACTIONS(2794),
    [anon_sym_class] = ACTIONS(2796),
    [anon_sym_async] = ACTIONS(2796),
    [anon_sym_function] = ACTIONS(2796),
    [anon_sym_new] = ACTIONS(2796),
    [anon_sym_using] = ACTIONS(2796),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_SLASH] = ACTIONS(2796),
    [anon_sym_LT] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_void] = ACTIONS(2796),
    [anon_sym_delete] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2794),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2794),
    [sym_number] = ACTIONS(2794),
    [sym_private_property_identifier] = ACTIONS(2794),
    [sym_this] = ACTIONS(2796),
    [sym_super] = ACTIONS(2796),
    [sym_true] = ACTIONS(2796),
    [sym_false] = ACTIONS(2796),
    [sym_null] = ACTIONS(2796),
    [sym_undefined] = ACTIONS(2796),
    [anon_sym_AT] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2796),
    [anon_sym_readonly] = ACTIONS(2796),
    [anon_sym_get] = ACTIONS(2796),
    [anon_sym_set] = ACTIONS(2796),
    [anon_sym_declare] = ACTIONS(2796),
    [anon_sym_public] = ACTIONS(2796),
    [anon_sym_private] = ACTIONS(2796),
    [anon_sym_protected] = ACTIONS(2796),
    [anon_sym_override] = ACTIONS(2796),
    [anon_sym_module] = ACTIONS(2796),
    [anon_sym_any] = ACTIONS(2796),
    [anon_sym_number] = ACTIONS(2796),
    [anon_sym_boolean] = ACTIONS(2796),
    [anon_sym_string] = ACTIONS(2796),
    [anon_sym_symbol] = ACTIONS(2796),
    [anon_sym_object] = ACTIONS(2796),
    [anon_sym_abstract] = ACTIONS(2796),
    [anon_sym_interface] = ACTIONS(2796),
    [anon_sym_enum] = ACTIONS(2796),
    [sym_html_comment] = ACTIONS(5),
  },
  [872] = {
    [ts_builtin_sym_end] = ACTIONS(2798),
    [sym_identifier] = ACTIONS(2800),
    [anon_sym_export] = ACTIONS(2800),
    [anon_sym_default] = ACTIONS(2800),
    [anon_sym_type] = ACTIONS(2800),
    [anon_sym_namespace] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_typeof] = ACTIONS(2800),
    [anon_sym_import] = ACTIONS(2800),
    [anon_sym_with] = ACTIONS(2800),
    [anon_sym_var] = ACTIONS(2800),
    [anon_sym_let] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2798),
    [anon_sym_else] = ACTIONS(2800),
    [anon_sym_if] = ACTIONS(2800),
    [anon_sym_switch] = ACTIONS(2800),
    [anon_sym_for] = ACTIONS(2800),
    [anon_sym_LPAREN] = ACTIONS(2798),
    [anon_sym_await] = ACTIONS(2800),
    [anon_sym_while] = ACTIONS(2800),
    [anon_sym_do] = ACTIONS(2800),
    [anon_sym_try] = ACTIONS(2800),
    [anon_sym_break] = ACTIONS(2800),
    [anon_sym_continue] = ACTIONS(2800),
    [anon_sym_debugger] = ACTIONS(2800),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_throw] = ACTIONS(2800),
    [anon_sym_SEMI] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2800),
    [anon_sym_yield] = ACTIONS(2800),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [sym_glimmer_opening_tag] = ACTIONS(2798),
    [anon_sym_DQUOTE] = ACTIONS(2798),
    [anon_sym_SQUOTE] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2800),
    [anon_sym_async] = ACTIONS(2800),
    [anon_sym_function] = ACTIONS(2800),
    [anon_sym_new] = ACTIONS(2800),
    [anon_sym_using] = ACTIONS(2800),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_SLASH] = ACTIONS(2800),
    [anon_sym_LT] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2798),
    [anon_sym_void] = ACTIONS(2800),
    [anon_sym_delete] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2798),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2798),
    [sym_number] = ACTIONS(2798),
    [sym_private_property_identifier] = ACTIONS(2798),
    [sym_this] = ACTIONS(2800),
    [sym_super] = ACTIONS(2800),
    [sym_true] = ACTIONS(2800),
    [sym_false] = ACTIONS(2800),
    [sym_null] = ACTIONS(2800),
    [sym_undefined] = ACTIONS(2800),
    [anon_sym_AT] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2800),
    [anon_sym_readonly] = ACTIONS(2800),
    [anon_sym_get] = ACTIONS(2800),
    [anon_sym_set] = ACTIONS(2800),
    [anon_sym_declare] = ACTIONS(2800),
    [anon_sym_public] = ACTIONS(2800),
    [anon_sym_private] = ACTIONS(2800),
    [anon_sym_protected] = ACTIONS(2800),
    [anon_sym_override] = ACTIONS(2800),
    [anon_sym_module] = ACTIONS(2800),
    [anon_sym_any] = ACTIONS(2800),
    [anon_sym_number] = ACTIONS(2800),
    [anon_sym_boolean] = ACTIONS(2800),
    [anon_sym_string] = ACTIONS(2800),
    [anon_sym_symbol] = ACTIONS(2800),
    [anon_sym_object] = ACTIONS(2800),
    [anon_sym_abstract] = ACTIONS(2800),
    [anon_sym_interface] = ACTIONS(2800),
    [anon_sym_enum] = ACTIONS(2800),
    [sym_html_comment] = ACTIONS(5),
  },
  [873] = {
    [ts_builtin_sym_end] = ACTIONS(2802),
    [sym_identifier] = ACTIONS(2804),
    [anon_sym_export] = ACTIONS(2804),
    [anon_sym_default] = ACTIONS(2804),
    [anon_sym_type] = ACTIONS(2804),
    [anon_sym_namespace] = ACTIONS(2804),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_RBRACE] = ACTIONS(2802),
    [anon_sym_typeof] = ACTIONS(2804),
    [anon_sym_import] = ACTIONS(2804),
    [anon_sym_with] = ACTIONS(2804),
    [anon_sym_var] = ACTIONS(2804),
    [anon_sym_let] = ACTIONS(2804),
    [anon_sym_const] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2802),
    [anon_sym_else] = ACTIONS(2804),
    [anon_sym_if] = ACTIONS(2804),
    [anon_sym_switch] = ACTIONS(2804),
    [anon_sym_for] = ACTIONS(2804),
    [anon_sym_LPAREN] = ACTIONS(2802),
    [anon_sym_await] = ACTIONS(2804),
    [anon_sym_while] = ACTIONS(2804),
    [anon_sym_do] = ACTIONS(2804),
    [anon_sym_try] = ACTIONS(2804),
    [anon_sym_break] = ACTIONS(2804),
    [anon_sym_continue] = ACTIONS(2804),
    [anon_sym_debugger] = ACTIONS(2804),
    [anon_sym_return] = ACTIONS(2804),
    [anon_sym_throw] = ACTIONS(2804),
    [anon_sym_SEMI] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2804),
    [anon_sym_yield] = ACTIONS(2804),
    [anon_sym_LBRACK] = ACTIONS(2802),
    [sym_glimmer_opening_tag] = ACTIONS(2802),
    [anon_sym_DQUOTE] = ACTIONS(2802),
    [anon_sym_SQUOTE] = ACTIONS(2802),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_async] = ACTIONS(2804),
    [anon_sym_function] = ACTIONS(2804),
    [anon_sym_new] = ACTIONS(2804),
    [anon_sym_using] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2804),
    [anon_sym_DASH] = ACTIONS(2804),
    [anon_sym_SLASH] = ACTIONS(2804),
    [anon_sym_LT] = ACTIONS(2804),
    [anon_sym_TILDE] = ACTIONS(2802),
    [anon_sym_void] = ACTIONS(2804),
    [anon_sym_delete] = ACTIONS(2804),
    [anon_sym_PLUS_PLUS] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2802),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2802),
    [sym_number] = ACTIONS(2802),
    [sym_private_property_identifier] = ACTIONS(2802),
    [sym_this] = ACTIONS(2804),
    [sym_super] = ACTIONS(2804),
    [sym_true] = ACTIONS(2804),
    [sym_false] = ACTIONS(2804),
    [sym_null] = ACTIONS(2804),
    [sym_undefined] = ACTIONS(2804),
    [anon_sym_AT] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2804),
    [anon_sym_readonly] = ACTIONS(2804),
    [anon_sym_get] = ACTIONS(2804),
    [anon_sym_set] = ACTIONS(2804),
    [anon_sym_declare] = ACTIONS(2804),
    [anon_sym_public] = ACTIONS(2804),
    [anon_sym_private] = ACTIONS(2804),
    [anon_sym_protected] = ACTIONS(2804),
    [anon_sym_override] = ACTIONS(2804),
    [anon_sym_module] = ACTIONS(2804),
    [anon_sym_any] = ACTIONS(2804),
    [anon_sym_number] = ACTIONS(2804),
    [anon_sym_boolean] = ACTIONS(2804),
    [anon_sym_string] = ACTIONS(2804),
    [anon_sym_symbol] = ACTIONS(2804),
    [anon_sym_object] = ACTIONS(2804),
    [anon_sym_abstract] = ACTIONS(2804),
    [anon_sym_interface] = ACTIONS(2804),
    [anon_sym_enum] = ACTIONS(2804),
    [sym_html_comment] = ACTIONS(5),
  },
  [874] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_rest_pattern] = STATE(5898),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(4955),
    [sym_optional_tuple_parameter] = STATE(4955),
    [sym_optional_type] = STATE(4955),
    [sym_rest_type] = STATE(4955),
    [sym__tuple_type_member] = STATE(4955),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(2806),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(2808),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [875] = {
    [ts_builtin_sym_end] = ACTIONS(2810),
    [sym_identifier] = ACTIONS(2812),
    [anon_sym_export] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_type] = ACTIONS(2812),
    [anon_sym_namespace] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_RBRACE] = ACTIONS(2810),
    [anon_sym_typeof] = ACTIONS(2812),
    [anon_sym_import] = ACTIONS(2812),
    [anon_sym_with] = ACTIONS(2812),
    [anon_sym_var] = ACTIONS(2812),
    [anon_sym_let] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_else] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_LPAREN] = ACTIONS(2810),
    [anon_sym_await] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_try] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_debugger] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_throw] = ACTIONS(2812),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_yield] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2810),
    [sym_glimmer_opening_tag] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_async] = ACTIONS(2812),
    [anon_sym_function] = ACTIONS(2812),
    [anon_sym_new] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_SLASH] = ACTIONS(2812),
    [anon_sym_LT] = ACTIONS(2812),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_void] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2812),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2810),
    [sym_number] = ACTIONS(2810),
    [sym_private_property_identifier] = ACTIONS(2810),
    [sym_this] = ACTIONS(2812),
    [sym_super] = ACTIONS(2812),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [sym_null] = ACTIONS(2812),
    [sym_undefined] = ACTIONS(2812),
    [anon_sym_AT] = ACTIONS(2810),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_readonly] = ACTIONS(2812),
    [anon_sym_get] = ACTIONS(2812),
    [anon_sym_set] = ACTIONS(2812),
    [anon_sym_declare] = ACTIONS(2812),
    [anon_sym_public] = ACTIONS(2812),
    [anon_sym_private] = ACTIONS(2812),
    [anon_sym_protected] = ACTIONS(2812),
    [anon_sym_override] = ACTIONS(2812),
    [anon_sym_module] = ACTIONS(2812),
    [anon_sym_any] = ACTIONS(2812),
    [anon_sym_number] = ACTIONS(2812),
    [anon_sym_boolean] = ACTIONS(2812),
    [anon_sym_string] = ACTIONS(2812),
    [anon_sym_symbol] = ACTIONS(2812),
    [anon_sym_object] = ACTIONS(2812),
    [anon_sym_abstract] = ACTIONS(2812),
    [anon_sym_interface] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [sym_html_comment] = ACTIONS(5),
  },
  [876] = {
    [ts_builtin_sym_end] = ACTIONS(2814),
    [sym_identifier] = ACTIONS(2816),
    [anon_sym_export] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_type] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_RBRACE] = ACTIONS(2814),
    [anon_sym_typeof] = ACTIONS(2816),
    [anon_sym_import] = ACTIONS(2816),
    [anon_sym_with] = ACTIONS(2816),
    [anon_sym_var] = ACTIONS(2816),
    [anon_sym_let] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_LPAREN] = ACTIONS(2814),
    [anon_sym_await] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_debugger] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_yield] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [sym_glimmer_opening_tag] = ACTIONS(2814),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_async] = ACTIONS(2816),
    [anon_sym_function] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_SLASH] = ACTIONS(2816),
    [anon_sym_LT] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_void] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2814),
    [sym_number] = ACTIONS(2814),
    [sym_private_property_identifier] = ACTIONS(2814),
    [sym_this] = ACTIONS(2816),
    [sym_super] = ACTIONS(2816),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [sym_null] = ACTIONS(2816),
    [sym_undefined] = ACTIONS(2816),
    [anon_sym_AT] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_readonly] = ACTIONS(2816),
    [anon_sym_get] = ACTIONS(2816),
    [anon_sym_set] = ACTIONS(2816),
    [anon_sym_declare] = ACTIONS(2816),
    [anon_sym_public] = ACTIONS(2816),
    [anon_sym_private] = ACTIONS(2816),
    [anon_sym_protected] = ACTIONS(2816),
    [anon_sym_override] = ACTIONS(2816),
    [anon_sym_module] = ACTIONS(2816),
    [anon_sym_any] = ACTIONS(2816),
    [anon_sym_number] = ACTIONS(2816),
    [anon_sym_boolean] = ACTIONS(2816),
    [anon_sym_string] = ACTIONS(2816),
    [anon_sym_symbol] = ACTIONS(2816),
    [anon_sym_object] = ACTIONS(2816),
    [anon_sym_abstract] = ACTIONS(2816),
    [anon_sym_interface] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [sym_html_comment] = ACTIONS(5),
  },
  [877] = {
    [ts_builtin_sym_end] = ACTIONS(2530),
    [sym_identifier] = ACTIONS(2532),
    [anon_sym_export] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_type] = ACTIONS(2532),
    [anon_sym_namespace] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_RBRACE] = ACTIONS(2530),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_import] = ACTIONS(2532),
    [anon_sym_with] = ACTIONS(2532),
    [anon_sym_var] = ACTIONS(2532),
    [anon_sym_let] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_LPAREN] = ACTIONS(2530),
    [anon_sym_await] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_debugger] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_yield] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [sym_glimmer_opening_tag] = ACTIONS(2530),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_async] = ACTIONS(2532),
    [anon_sym_function] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_SLASH] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_void] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2530),
    [sym_number] = ACTIONS(2530),
    [sym_private_property_identifier] = ACTIONS(2530),
    [sym_this] = ACTIONS(2532),
    [sym_super] = ACTIONS(2532),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [sym_null] = ACTIONS(2532),
    [sym_undefined] = ACTIONS(2532),
    [anon_sym_AT] = ACTIONS(2530),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_readonly] = ACTIONS(2532),
    [anon_sym_get] = ACTIONS(2532),
    [anon_sym_set] = ACTIONS(2532),
    [anon_sym_declare] = ACTIONS(2532),
    [anon_sym_public] = ACTIONS(2532),
    [anon_sym_private] = ACTIONS(2532),
    [anon_sym_protected] = ACTIONS(2532),
    [anon_sym_override] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(2532),
    [anon_sym_any] = ACTIONS(2532),
    [anon_sym_number] = ACTIONS(2532),
    [anon_sym_boolean] = ACTIONS(2532),
    [anon_sym_string] = ACTIONS(2532),
    [anon_sym_symbol] = ACTIONS(2532),
    [anon_sym_object] = ACTIONS(2532),
    [anon_sym_abstract] = ACTIONS(2532),
    [anon_sym_interface] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [sym_html_comment] = ACTIONS(5),
  },
  [878] = {
    [ts_builtin_sym_end] = ACTIONS(2818),
    [sym_identifier] = ACTIONS(2820),
    [anon_sym_export] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_type] = ACTIONS(2820),
    [anon_sym_namespace] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_RBRACE] = ACTIONS(2818),
    [anon_sym_typeof] = ACTIONS(2820),
    [anon_sym_import] = ACTIONS(2820),
    [anon_sym_with] = ACTIONS(2820),
    [anon_sym_var] = ACTIONS(2820),
    [anon_sym_let] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_else] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_LPAREN] = ACTIONS(2818),
    [anon_sym_await] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_try] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_debugger] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_throw] = ACTIONS(2820),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_yield] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [sym_glimmer_opening_tag] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_class] = ACTIONS(2820),
    [anon_sym_async] = ACTIONS(2820),
    [anon_sym_function] = ACTIONS(2820),
    [anon_sym_new] = ACTIONS(2820),
    [anon_sym_using] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_SLASH] = ACTIONS(2820),
    [anon_sym_LT] = ACTIONS(2820),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_void] = ACTIONS(2820),
    [anon_sym_delete] = ACTIONS(2820),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2818),
    [sym_number] = ACTIONS(2818),
    [sym_private_property_identifier] = ACTIONS(2818),
    [sym_this] = ACTIONS(2820),
    [sym_super] = ACTIONS(2820),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [sym_null] = ACTIONS(2820),
    [sym_undefined] = ACTIONS(2820),
    [anon_sym_AT] = ACTIONS(2818),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_readonly] = ACTIONS(2820),
    [anon_sym_get] = ACTIONS(2820),
    [anon_sym_set] = ACTIONS(2820),
    [anon_sym_declare] = ACTIONS(2820),
    [anon_sym_public] = ACTIONS(2820),
    [anon_sym_private] = ACTIONS(2820),
    [anon_sym_protected] = ACTIONS(2820),
    [anon_sym_override] = ACTIONS(2820),
    [anon_sym_module] = ACTIONS(2820),
    [anon_sym_any] = ACTIONS(2820),
    [anon_sym_number] = ACTIONS(2820),
    [anon_sym_boolean] = ACTIONS(2820),
    [anon_sym_string] = ACTIONS(2820),
    [anon_sym_symbol] = ACTIONS(2820),
    [anon_sym_object] = ACTIONS(2820),
    [anon_sym_abstract] = ACTIONS(2820),
    [anon_sym_interface] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [sym_html_comment] = ACTIONS(5),
  },
  [879] = {
    [ts_builtin_sym_end] = ACTIONS(2822),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_export] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_type] = ACTIONS(2824),
    [anon_sym_namespace] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_RBRACE] = ACTIONS(2822),
    [anon_sym_typeof] = ACTIONS(2824),
    [anon_sym_import] = ACTIONS(2824),
    [anon_sym_with] = ACTIONS(2824),
    [anon_sym_var] = ACTIONS(2824),
    [anon_sym_let] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_else] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_LPAREN] = ACTIONS(2822),
    [anon_sym_await] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_try] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_debugger] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_throw] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_yield] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [sym_glimmer_opening_tag] = ACTIONS(2822),
    [anon_sym_DQUOTE] = ACTIONS(2822),
    [anon_sym_SQUOTE] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_async] = ACTIONS(2824),
    [anon_sym_function] = ACTIONS(2824),
    [anon_sym_new] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_SLASH] = ACTIONS(2824),
    [anon_sym_LT] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_void] = ACTIONS(2824),
    [anon_sym_delete] = ACTIONS(2824),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2822),
    [sym_number] = ACTIONS(2822),
    [sym_private_property_identifier] = ACTIONS(2822),
    [sym_this] = ACTIONS(2824),
    [sym_super] = ACTIONS(2824),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [sym_null] = ACTIONS(2824),
    [sym_undefined] = ACTIONS(2824),
    [anon_sym_AT] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_readonly] = ACTIONS(2824),
    [anon_sym_get] = ACTIONS(2824),
    [anon_sym_set] = ACTIONS(2824),
    [anon_sym_declare] = ACTIONS(2824),
    [anon_sym_public] = ACTIONS(2824),
    [anon_sym_private] = ACTIONS(2824),
    [anon_sym_protected] = ACTIONS(2824),
    [anon_sym_override] = ACTIONS(2824),
    [anon_sym_module] = ACTIONS(2824),
    [anon_sym_any] = ACTIONS(2824),
    [anon_sym_number] = ACTIONS(2824),
    [anon_sym_boolean] = ACTIONS(2824),
    [anon_sym_string] = ACTIONS(2824),
    [anon_sym_symbol] = ACTIONS(2824),
    [anon_sym_object] = ACTIONS(2824),
    [anon_sym_abstract] = ACTIONS(2824),
    [anon_sym_interface] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [sym_html_comment] = ACTIONS(5),
  },
  [880] = {
    [ts_builtin_sym_end] = ACTIONS(2826),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_export] = ACTIONS(2828),
    [anon_sym_default] = ACTIONS(2828),
    [anon_sym_type] = ACTIONS(2828),
    [anon_sym_namespace] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_typeof] = ACTIONS(2828),
    [anon_sym_import] = ACTIONS(2828),
    [anon_sym_with] = ACTIONS(2828),
    [anon_sym_var] = ACTIONS(2828),
    [anon_sym_let] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_else] = ACTIONS(2828),
    [anon_sym_if] = ACTIONS(2828),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_for] = ACTIONS(2828),
    [anon_sym_LPAREN] = ACTIONS(2826),
    [anon_sym_await] = ACTIONS(2828),
    [anon_sym_while] = ACTIONS(2828),
    [anon_sym_do] = ACTIONS(2828),
    [anon_sym_try] = ACTIONS(2828),
    [anon_sym_break] = ACTIONS(2828),
    [anon_sym_continue] = ACTIONS(2828),
    [anon_sym_debugger] = ACTIONS(2828),
    [anon_sym_return] = ACTIONS(2828),
    [anon_sym_throw] = ACTIONS(2828),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_yield] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [sym_glimmer_opening_tag] = ACTIONS(2826),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_async] = ACTIONS(2828),
    [anon_sym_function] = ACTIONS(2828),
    [anon_sym_new] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_SLASH] = ACTIONS(2828),
    [anon_sym_LT] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_void] = ACTIONS(2828),
    [anon_sym_delete] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2826),
    [sym_number] = ACTIONS(2826),
    [sym_private_property_identifier] = ACTIONS(2826),
    [sym_this] = ACTIONS(2828),
    [sym_super] = ACTIONS(2828),
    [sym_true] = ACTIONS(2828),
    [sym_false] = ACTIONS(2828),
    [sym_null] = ACTIONS(2828),
    [sym_undefined] = ACTIONS(2828),
    [anon_sym_AT] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_readonly] = ACTIONS(2828),
    [anon_sym_get] = ACTIONS(2828),
    [anon_sym_set] = ACTIONS(2828),
    [anon_sym_declare] = ACTIONS(2828),
    [anon_sym_public] = ACTIONS(2828),
    [anon_sym_private] = ACTIONS(2828),
    [anon_sym_protected] = ACTIONS(2828),
    [anon_sym_override] = ACTIONS(2828),
    [anon_sym_module] = ACTIONS(2828),
    [anon_sym_any] = ACTIONS(2828),
    [anon_sym_number] = ACTIONS(2828),
    [anon_sym_boolean] = ACTIONS(2828),
    [anon_sym_string] = ACTIONS(2828),
    [anon_sym_symbol] = ACTIONS(2828),
    [anon_sym_object] = ACTIONS(2828),
    [anon_sym_abstract] = ACTIONS(2828),
    [anon_sym_interface] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [sym_html_comment] = ACTIONS(5),
  },
  [881] = {
    [ts_builtin_sym_end] = ACTIONS(2830),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_export] = ACTIONS(2832),
    [anon_sym_default] = ACTIONS(2832),
    [anon_sym_type] = ACTIONS(2832),
    [anon_sym_namespace] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_RBRACE] = ACTIONS(2830),
    [anon_sym_typeof] = ACTIONS(2832),
    [anon_sym_import] = ACTIONS(2832),
    [anon_sym_with] = ACTIONS(2832),
    [anon_sym_var] = ACTIONS(2832),
    [anon_sym_let] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_else] = ACTIONS(2832),
    [anon_sym_if] = ACTIONS(2832),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_for] = ACTIONS(2832),
    [anon_sym_LPAREN] = ACTIONS(2830),
    [anon_sym_await] = ACTIONS(2832),
    [anon_sym_while] = ACTIONS(2832),
    [anon_sym_do] = ACTIONS(2832),
    [anon_sym_try] = ACTIONS(2832),
    [anon_sym_break] = ACTIONS(2832),
    [anon_sym_continue] = ACTIONS(2832),
    [anon_sym_debugger] = ACTIONS(2832),
    [anon_sym_return] = ACTIONS(2832),
    [anon_sym_throw] = ACTIONS(2832),
    [anon_sym_SEMI] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2832),
    [anon_sym_yield] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [sym_glimmer_opening_tag] = ACTIONS(2830),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [anon_sym_SQUOTE] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2832),
    [anon_sym_async] = ACTIONS(2832),
    [anon_sym_function] = ACTIONS(2832),
    [anon_sym_new] = ACTIONS(2832),
    [anon_sym_using] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_SLASH] = ACTIONS(2832),
    [anon_sym_LT] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_void] = ACTIONS(2832),
    [anon_sym_delete] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2830),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2830),
    [sym_number] = ACTIONS(2830),
    [sym_private_property_identifier] = ACTIONS(2830),
    [sym_this] = ACTIONS(2832),
    [sym_super] = ACTIONS(2832),
    [sym_true] = ACTIONS(2832),
    [sym_false] = ACTIONS(2832),
    [sym_null] = ACTIONS(2832),
    [sym_undefined] = ACTIONS(2832),
    [anon_sym_AT] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_readonly] = ACTIONS(2832),
    [anon_sym_get] = ACTIONS(2832),
    [anon_sym_set] = ACTIONS(2832),
    [anon_sym_declare] = ACTIONS(2832),
    [anon_sym_public] = ACTIONS(2832),
    [anon_sym_private] = ACTIONS(2832),
    [anon_sym_protected] = ACTIONS(2832),
    [anon_sym_override] = ACTIONS(2832),
    [anon_sym_module] = ACTIONS(2832),
    [anon_sym_any] = ACTIONS(2832),
    [anon_sym_number] = ACTIONS(2832),
    [anon_sym_boolean] = ACTIONS(2832),
    [anon_sym_string] = ACTIONS(2832),
    [anon_sym_symbol] = ACTIONS(2832),
    [anon_sym_object] = ACTIONS(2832),
    [anon_sym_abstract] = ACTIONS(2832),
    [anon_sym_interface] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [sym_html_comment] = ACTIONS(5),
  },
  [882] = {
    [ts_builtin_sym_end] = ACTIONS(2834),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_export] = ACTIONS(2836),
    [anon_sym_default] = ACTIONS(2836),
    [anon_sym_type] = ACTIONS(2836),
    [anon_sym_namespace] = ACTIONS(2836),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_RBRACE] = ACTIONS(2834),
    [anon_sym_typeof] = ACTIONS(2836),
    [anon_sym_import] = ACTIONS(2836),
    [anon_sym_with] = ACTIONS(2836),
    [anon_sym_var] = ACTIONS(2836),
    [anon_sym_let] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_else] = ACTIONS(2836),
    [anon_sym_if] = ACTIONS(2836),
    [anon_sym_switch] = ACTIONS(2836),
    [anon_sym_for] = ACTIONS(2836),
    [anon_sym_LPAREN] = ACTIONS(2834),
    [anon_sym_await] = ACTIONS(2836),
    [anon_sym_while] = ACTIONS(2836),
    [anon_sym_do] = ACTIONS(2836),
    [anon_sym_try] = ACTIONS(2836),
    [anon_sym_break] = ACTIONS(2836),
    [anon_sym_continue] = ACTIONS(2836),
    [anon_sym_debugger] = ACTIONS(2836),
    [anon_sym_return] = ACTIONS(2836),
    [anon_sym_throw] = ACTIONS(2836),
    [anon_sym_SEMI] = ACTIONS(2834),
    [anon_sym_case] = ACTIONS(2836),
    [anon_sym_yield] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [sym_glimmer_opening_tag] = ACTIONS(2834),
    [anon_sym_DQUOTE] = ACTIONS(2834),
    [anon_sym_SQUOTE] = ACTIONS(2834),
    [anon_sym_class] = ACTIONS(2836),
    [anon_sym_async] = ACTIONS(2836),
    [anon_sym_function] = ACTIONS(2836),
    [anon_sym_new] = ACTIONS(2836),
    [anon_sym_using] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_SLASH] = ACTIONS(2836),
    [anon_sym_LT] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_void] = ACTIONS(2836),
    [anon_sym_delete] = ACTIONS(2836),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2834),
    [sym_number] = ACTIONS(2834),
    [sym_private_property_identifier] = ACTIONS(2834),
    [sym_this] = ACTIONS(2836),
    [sym_super] = ACTIONS(2836),
    [sym_true] = ACTIONS(2836),
    [sym_false] = ACTIONS(2836),
    [sym_null] = ACTIONS(2836),
    [sym_undefined] = ACTIONS(2836),
    [anon_sym_AT] = ACTIONS(2834),
    [anon_sym_static] = ACTIONS(2836),
    [anon_sym_readonly] = ACTIONS(2836),
    [anon_sym_get] = ACTIONS(2836),
    [anon_sym_set] = ACTIONS(2836),
    [anon_sym_declare] = ACTIONS(2836),
    [anon_sym_public] = ACTIONS(2836),
    [anon_sym_private] = ACTIONS(2836),
    [anon_sym_protected] = ACTIONS(2836),
    [anon_sym_override] = ACTIONS(2836),
    [anon_sym_module] = ACTIONS(2836),
    [anon_sym_any] = ACTIONS(2836),
    [anon_sym_number] = ACTIONS(2836),
    [anon_sym_boolean] = ACTIONS(2836),
    [anon_sym_string] = ACTIONS(2836),
    [anon_sym_symbol] = ACTIONS(2836),
    [anon_sym_object] = ACTIONS(2836),
    [anon_sym_abstract] = ACTIONS(2836),
    [anon_sym_interface] = ACTIONS(2836),
    [anon_sym_enum] = ACTIONS(2836),
    [sym_html_comment] = ACTIONS(5),
  },
  [883] = {
    [ts_builtin_sym_end] = ACTIONS(2838),
    [sym_identifier] = ACTIONS(2840),
    [anon_sym_export] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_type] = ACTIONS(2840),
    [anon_sym_namespace] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2838),
    [anon_sym_RBRACE] = ACTIONS(2838),
    [anon_sym_typeof] = ACTIONS(2840),
    [anon_sym_import] = ACTIONS(2840),
    [anon_sym_with] = ACTIONS(2840),
    [anon_sym_var] = ACTIONS(2840),
    [anon_sym_let] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_BANG] = ACTIONS(2838),
    [anon_sym_else] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_LPAREN] = ACTIONS(2838),
    [anon_sym_await] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_try] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_debugger] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_throw] = ACTIONS(2840),
    [anon_sym_SEMI] = ACTIONS(2838),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_yield] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_glimmer_opening_tag] = ACTIONS(2838),
    [anon_sym_DQUOTE] = ACTIONS(2838),
    [anon_sym_SQUOTE] = ACTIONS(2838),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_async] = ACTIONS(2840),
    [anon_sym_function] = ACTIONS(2840),
    [anon_sym_new] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_SLASH] = ACTIONS(2840),
    [anon_sym_LT] = ACTIONS(2840),
    [anon_sym_TILDE] = ACTIONS(2838),
    [anon_sym_void] = ACTIONS(2840),
    [anon_sym_delete] = ACTIONS(2840),
    [anon_sym_PLUS_PLUS] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2838),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2838),
    [sym_number] = ACTIONS(2838),
    [sym_private_property_identifier] = ACTIONS(2838),
    [sym_this] = ACTIONS(2840),
    [sym_super] = ACTIONS(2840),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [sym_null] = ACTIONS(2840),
    [sym_undefined] = ACTIONS(2840),
    [anon_sym_AT] = ACTIONS(2838),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_readonly] = ACTIONS(2840),
    [anon_sym_get] = ACTIONS(2840),
    [anon_sym_set] = ACTIONS(2840),
    [anon_sym_declare] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_protected] = ACTIONS(2840),
    [anon_sym_override] = ACTIONS(2840),
    [anon_sym_module] = ACTIONS(2840),
    [anon_sym_any] = ACTIONS(2840),
    [anon_sym_number] = ACTIONS(2840),
    [anon_sym_boolean] = ACTIONS(2840),
    [anon_sym_string] = ACTIONS(2840),
    [anon_sym_symbol] = ACTIONS(2840),
    [anon_sym_object] = ACTIONS(2840),
    [anon_sym_abstract] = ACTIONS(2840),
    [anon_sym_interface] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [sym_html_comment] = ACTIONS(5),
  },
  [884] = {
    [ts_builtin_sym_end] = ACTIONS(2842),
    [sym_identifier] = ACTIONS(2844),
    [anon_sym_export] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_type] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_RBRACE] = ACTIONS(2842),
    [anon_sym_typeof] = ACTIONS(2844),
    [anon_sym_import] = ACTIONS(2844),
    [anon_sym_with] = ACTIONS(2844),
    [anon_sym_var] = ACTIONS(2844),
    [anon_sym_let] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_else] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(2842),
    [anon_sym_await] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_debugger] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_yield] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [sym_glimmer_opening_tag] = ACTIONS(2842),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_async] = ACTIONS(2844),
    [anon_sym_function] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_SLASH] = ACTIONS(2844),
    [anon_sym_LT] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_void] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2842),
    [sym_number] = ACTIONS(2842),
    [sym_private_property_identifier] = ACTIONS(2842),
    [sym_this] = ACTIONS(2844),
    [sym_super] = ACTIONS(2844),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [sym_null] = ACTIONS(2844),
    [sym_undefined] = ACTIONS(2844),
    [anon_sym_AT] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_readonly] = ACTIONS(2844),
    [anon_sym_get] = ACTIONS(2844),
    [anon_sym_set] = ACTIONS(2844),
    [anon_sym_declare] = ACTIONS(2844),
    [anon_sym_public] = ACTIONS(2844),
    [anon_sym_private] = ACTIONS(2844),
    [anon_sym_protected] = ACTIONS(2844),
    [anon_sym_override] = ACTIONS(2844),
    [anon_sym_module] = ACTIONS(2844),
    [anon_sym_any] = ACTIONS(2844),
    [anon_sym_number] = ACTIONS(2844),
    [anon_sym_boolean] = ACTIONS(2844),
    [anon_sym_string] = ACTIONS(2844),
    [anon_sym_symbol] = ACTIONS(2844),
    [anon_sym_object] = ACTIONS(2844),
    [anon_sym_abstract] = ACTIONS(2844),
    [anon_sym_interface] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [sym_html_comment] = ACTIONS(5),
  },
  [885] = {
    [ts_builtin_sym_end] = ACTIONS(2846),
    [sym_identifier] = ACTIONS(2848),
    [anon_sym_export] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_type] = ACTIONS(2848),
    [anon_sym_namespace] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_RBRACE] = ACTIONS(2846),
    [anon_sym_typeof] = ACTIONS(2848),
    [anon_sym_import] = ACTIONS(2848),
    [anon_sym_with] = ACTIONS(2848),
    [anon_sym_var] = ACTIONS(2848),
    [anon_sym_let] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_else] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_LPAREN] = ACTIONS(2846),
    [anon_sym_await] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_debugger] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_throw] = ACTIONS(2848),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_yield] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_glimmer_opening_tag] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_async] = ACTIONS(2848),
    [anon_sym_function] = ACTIONS(2848),
    [anon_sym_new] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_SLASH] = ACTIONS(2848),
    [anon_sym_LT] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_void] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2846),
    [sym_number] = ACTIONS(2846),
    [sym_private_property_identifier] = ACTIONS(2846),
    [sym_this] = ACTIONS(2848),
    [sym_super] = ACTIONS(2848),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [sym_null] = ACTIONS(2848),
    [sym_undefined] = ACTIONS(2848),
    [anon_sym_AT] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_readonly] = ACTIONS(2848),
    [anon_sym_get] = ACTIONS(2848),
    [anon_sym_set] = ACTIONS(2848),
    [anon_sym_declare] = ACTIONS(2848),
    [anon_sym_public] = ACTIONS(2848),
    [anon_sym_private] = ACTIONS(2848),
    [anon_sym_protected] = ACTIONS(2848),
    [anon_sym_override] = ACTIONS(2848),
    [anon_sym_module] = ACTIONS(2848),
    [anon_sym_any] = ACTIONS(2848),
    [anon_sym_number] = ACTIONS(2848),
    [anon_sym_boolean] = ACTIONS(2848),
    [anon_sym_string] = ACTIONS(2848),
    [anon_sym_symbol] = ACTIONS(2848),
    [anon_sym_object] = ACTIONS(2848),
    [anon_sym_abstract] = ACTIONS(2848),
    [anon_sym_interface] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [sym_html_comment] = ACTIONS(5),
  },
  [886] = {
    [ts_builtin_sym_end] = ACTIONS(2850),
    [sym_identifier] = ACTIONS(2852),
    [anon_sym_export] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_type] = ACTIONS(2852),
    [anon_sym_namespace] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_RBRACE] = ACTIONS(2850),
    [anon_sym_typeof] = ACTIONS(2852),
    [anon_sym_import] = ACTIONS(2852),
    [anon_sym_with] = ACTIONS(2852),
    [anon_sym_var] = ACTIONS(2852),
    [anon_sym_let] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_else] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_LPAREN] = ACTIONS(2850),
    [anon_sym_await] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_debugger] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_throw] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_yield] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [sym_glimmer_opening_tag] = ACTIONS(2850),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_async] = ACTIONS(2852),
    [anon_sym_function] = ACTIONS(2852),
    [anon_sym_new] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_SLASH] = ACTIONS(2852),
    [anon_sym_LT] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_void] = ACTIONS(2852),
    [anon_sym_delete] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2850),
    [sym_number] = ACTIONS(2850),
    [sym_private_property_identifier] = ACTIONS(2850),
    [sym_this] = ACTIONS(2852),
    [sym_super] = ACTIONS(2852),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [sym_null] = ACTIONS(2852),
    [sym_undefined] = ACTIONS(2852),
    [anon_sym_AT] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_readonly] = ACTIONS(2852),
    [anon_sym_get] = ACTIONS(2852),
    [anon_sym_set] = ACTIONS(2852),
    [anon_sym_declare] = ACTIONS(2852),
    [anon_sym_public] = ACTIONS(2852),
    [anon_sym_private] = ACTIONS(2852),
    [anon_sym_protected] = ACTIONS(2852),
    [anon_sym_override] = ACTIONS(2852),
    [anon_sym_module] = ACTIONS(2852),
    [anon_sym_any] = ACTIONS(2852),
    [anon_sym_number] = ACTIONS(2852),
    [anon_sym_boolean] = ACTIONS(2852),
    [anon_sym_string] = ACTIONS(2852),
    [anon_sym_symbol] = ACTIONS(2852),
    [anon_sym_object] = ACTIONS(2852),
    [anon_sym_abstract] = ACTIONS(2852),
    [anon_sym_interface] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [sym_html_comment] = ACTIONS(5),
  },
  [887] = {
    [ts_builtin_sym_end] = ACTIONS(2854),
    [sym_identifier] = ACTIONS(2856),
    [anon_sym_export] = ACTIONS(2856),
    [anon_sym_default] = ACTIONS(2856),
    [anon_sym_type] = ACTIONS(2856),
    [anon_sym_namespace] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_RBRACE] = ACTIONS(2854),
    [anon_sym_typeof] = ACTIONS(2856),
    [anon_sym_import] = ACTIONS(2856),
    [anon_sym_with] = ACTIONS(2856),
    [anon_sym_var] = ACTIONS(2856),
    [anon_sym_let] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_else] = ACTIONS(2856),
    [anon_sym_if] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_for] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(2854),
    [anon_sym_await] = ACTIONS(2856),
    [anon_sym_while] = ACTIONS(2856),
    [anon_sym_do] = ACTIONS(2856),
    [anon_sym_try] = ACTIONS(2856),
    [anon_sym_break] = ACTIONS(2856),
    [anon_sym_continue] = ACTIONS(2856),
    [anon_sym_debugger] = ACTIONS(2856),
    [anon_sym_return] = ACTIONS(2856),
    [anon_sym_throw] = ACTIONS(2856),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2856),
    [anon_sym_yield] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [sym_glimmer_opening_tag] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2856),
    [anon_sym_async] = ACTIONS(2856),
    [anon_sym_function] = ACTIONS(2856),
    [anon_sym_new] = ACTIONS(2856),
    [anon_sym_using] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2856),
    [anon_sym_SLASH] = ACTIONS(2856),
    [anon_sym_LT] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_void] = ACTIONS(2856),
    [anon_sym_delete] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2854),
    [sym_number] = ACTIONS(2854),
    [sym_private_property_identifier] = ACTIONS(2854),
    [sym_this] = ACTIONS(2856),
    [sym_super] = ACTIONS(2856),
    [sym_true] = ACTIONS(2856),
    [sym_false] = ACTIONS(2856),
    [sym_null] = ACTIONS(2856),
    [sym_undefined] = ACTIONS(2856),
    [anon_sym_AT] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_readonly] = ACTIONS(2856),
    [anon_sym_get] = ACTIONS(2856),
    [anon_sym_set] = ACTIONS(2856),
    [anon_sym_declare] = ACTIONS(2856),
    [anon_sym_public] = ACTIONS(2856),
    [anon_sym_private] = ACTIONS(2856),
    [anon_sym_protected] = ACTIONS(2856),
    [anon_sym_override] = ACTIONS(2856),
    [anon_sym_module] = ACTIONS(2856),
    [anon_sym_any] = ACTIONS(2856),
    [anon_sym_number] = ACTIONS(2856),
    [anon_sym_boolean] = ACTIONS(2856),
    [anon_sym_string] = ACTIONS(2856),
    [anon_sym_symbol] = ACTIONS(2856),
    [anon_sym_object] = ACTIONS(2856),
    [anon_sym_abstract] = ACTIONS(2856),
    [anon_sym_interface] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [sym_html_comment] = ACTIONS(5),
  },
  [888] = {
    [ts_builtin_sym_end] = ACTIONS(2858),
    [sym_identifier] = ACTIONS(2860),
    [anon_sym_export] = ACTIONS(2860),
    [anon_sym_default] = ACTIONS(2860),
    [anon_sym_type] = ACTIONS(2860),
    [anon_sym_namespace] = ACTIONS(2860),
    [anon_sym_LBRACE] = ACTIONS(2858),
    [anon_sym_RBRACE] = ACTIONS(2858),
    [anon_sym_typeof] = ACTIONS(2860),
    [anon_sym_import] = ACTIONS(2860),
    [anon_sym_with] = ACTIONS(2860),
    [anon_sym_var] = ACTIONS(2860),
    [anon_sym_let] = ACTIONS(2860),
    [anon_sym_const] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_else] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_switch] = ACTIONS(2860),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_LPAREN] = ACTIONS(2858),
    [anon_sym_await] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_try] = ACTIONS(2860),
    [anon_sym_break] = ACTIONS(2860),
    [anon_sym_continue] = ACTIONS(2860),
    [anon_sym_debugger] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_throw] = ACTIONS(2860),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2860),
    [anon_sym_yield] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [sym_glimmer_opening_tag] = ACTIONS(2858),
    [anon_sym_DQUOTE] = ACTIONS(2858),
    [anon_sym_SQUOTE] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2860),
    [anon_sym_async] = ACTIONS(2860),
    [anon_sym_function] = ACTIONS(2860),
    [anon_sym_new] = ACTIONS(2860),
    [anon_sym_using] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_SLASH] = ACTIONS(2860),
    [anon_sym_LT] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_void] = ACTIONS(2860),
    [anon_sym_delete] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2858),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2858),
    [sym_number] = ACTIONS(2858),
    [sym_private_property_identifier] = ACTIONS(2858),
    [sym_this] = ACTIONS(2860),
    [sym_super] = ACTIONS(2860),
    [sym_true] = ACTIONS(2860),
    [sym_false] = ACTIONS(2860),
    [sym_null] = ACTIONS(2860),
    [sym_undefined] = ACTIONS(2860),
    [anon_sym_AT] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2860),
    [anon_sym_readonly] = ACTIONS(2860),
    [anon_sym_get] = ACTIONS(2860),
    [anon_sym_set] = ACTIONS(2860),
    [anon_sym_declare] = ACTIONS(2860),
    [anon_sym_public] = ACTIONS(2860),
    [anon_sym_private] = ACTIONS(2860),
    [anon_sym_protected] = ACTIONS(2860),
    [anon_sym_override] = ACTIONS(2860),
    [anon_sym_module] = ACTIONS(2860),
    [anon_sym_any] = ACTIONS(2860),
    [anon_sym_number] = ACTIONS(2860),
    [anon_sym_boolean] = ACTIONS(2860),
    [anon_sym_string] = ACTIONS(2860),
    [anon_sym_symbol] = ACTIONS(2860),
    [anon_sym_object] = ACTIONS(2860),
    [anon_sym_abstract] = ACTIONS(2860),
    [anon_sym_interface] = ACTIONS(2860),
    [anon_sym_enum] = ACTIONS(2860),
    [sym_html_comment] = ACTIONS(5),
  },
  [889] = {
    [ts_builtin_sym_end] = ACTIONS(2862),
    [sym_identifier] = ACTIONS(2864),
    [anon_sym_export] = ACTIONS(2864),
    [anon_sym_default] = ACTIONS(2864),
    [anon_sym_type] = ACTIONS(2864),
    [anon_sym_namespace] = ACTIONS(2864),
    [anon_sym_LBRACE] = ACTIONS(2862),
    [anon_sym_RBRACE] = ACTIONS(2862),
    [anon_sym_typeof] = ACTIONS(2864),
    [anon_sym_import] = ACTIONS(2864),
    [anon_sym_with] = ACTIONS(2864),
    [anon_sym_var] = ACTIONS(2864),
    [anon_sym_let] = ACTIONS(2864),
    [anon_sym_const] = ACTIONS(2864),
    [anon_sym_BANG] = ACTIONS(2862),
    [anon_sym_else] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_switch] = ACTIONS(2864),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_LPAREN] = ACTIONS(2862),
    [anon_sym_await] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_break] = ACTIONS(2864),
    [anon_sym_continue] = ACTIONS(2864),
    [anon_sym_debugger] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_throw] = ACTIONS(2864),
    [anon_sym_SEMI] = ACTIONS(2862),
    [anon_sym_case] = ACTIONS(2864),
    [anon_sym_yield] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [sym_glimmer_opening_tag] = ACTIONS(2862),
    [anon_sym_DQUOTE] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_class] = ACTIONS(2864),
    [anon_sym_async] = ACTIONS(2864),
    [anon_sym_function] = ACTIONS(2864),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_using] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_SLASH] = ACTIONS(2864),
    [anon_sym_LT] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2862),
    [anon_sym_void] = ACTIONS(2864),
    [anon_sym_delete] = ACTIONS(2864),
    [anon_sym_PLUS_PLUS] = ACTIONS(2862),
    [anon_sym_DASH_DASH] = ACTIONS(2862),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2862),
    [sym_number] = ACTIONS(2862),
    [sym_private_property_identifier] = ACTIONS(2862),
    [sym_this] = ACTIONS(2864),
    [sym_super] = ACTIONS(2864),
    [sym_true] = ACTIONS(2864),
    [sym_false] = ACTIONS(2864),
    [sym_null] = ACTIONS(2864),
    [sym_undefined] = ACTIONS(2864),
    [anon_sym_AT] = ACTIONS(2862),
    [anon_sym_static] = ACTIONS(2864),
    [anon_sym_readonly] = ACTIONS(2864),
    [anon_sym_get] = ACTIONS(2864),
    [anon_sym_set] = ACTIONS(2864),
    [anon_sym_declare] = ACTIONS(2864),
    [anon_sym_public] = ACTIONS(2864),
    [anon_sym_private] = ACTIONS(2864),
    [anon_sym_protected] = ACTIONS(2864),
    [anon_sym_override] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2864),
    [anon_sym_any] = ACTIONS(2864),
    [anon_sym_number] = ACTIONS(2864),
    [anon_sym_boolean] = ACTIONS(2864),
    [anon_sym_string] = ACTIONS(2864),
    [anon_sym_symbol] = ACTIONS(2864),
    [anon_sym_object] = ACTIONS(2864),
    [anon_sym_abstract] = ACTIONS(2864),
    [anon_sym_interface] = ACTIONS(2864),
    [anon_sym_enum] = ACTIONS(2864),
    [sym_html_comment] = ACTIONS(5),
  },
  [890] = {
    [ts_builtin_sym_end] = ACTIONS(2866),
    [sym_identifier] = ACTIONS(2868),
    [anon_sym_export] = ACTIONS(2868),
    [anon_sym_default] = ACTIONS(2868),
    [anon_sym_type] = ACTIONS(2868),
    [anon_sym_namespace] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_RBRACE] = ACTIONS(2866),
    [anon_sym_typeof] = ACTIONS(2868),
    [anon_sym_import] = ACTIONS(2868),
    [anon_sym_with] = ACTIONS(2868),
    [anon_sym_var] = ACTIONS(2868),
    [anon_sym_let] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_BANG] = ACTIONS(2866),
    [anon_sym_else] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_switch] = ACTIONS(2868),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_LPAREN] = ACTIONS(2866),
    [anon_sym_await] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_break] = ACTIONS(2868),
    [anon_sym_continue] = ACTIONS(2868),
    [anon_sym_debugger] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_throw] = ACTIONS(2868),
    [anon_sym_SEMI] = ACTIONS(2866),
    [anon_sym_case] = ACTIONS(2868),
    [anon_sym_yield] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [sym_glimmer_opening_tag] = ACTIONS(2866),
    [anon_sym_DQUOTE] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_class] = ACTIONS(2868),
    [anon_sym_async] = ACTIONS(2868),
    [anon_sym_function] = ACTIONS(2868),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_using] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_SLASH] = ACTIONS(2868),
    [anon_sym_LT] = ACTIONS(2868),
    [anon_sym_TILDE] = ACTIONS(2866),
    [anon_sym_void] = ACTIONS(2868),
    [anon_sym_delete] = ACTIONS(2868),
    [anon_sym_PLUS_PLUS] = ACTIONS(2866),
    [anon_sym_DASH_DASH] = ACTIONS(2866),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2866),
    [sym_number] = ACTIONS(2866),
    [sym_private_property_identifier] = ACTIONS(2866),
    [sym_this] = ACTIONS(2868),
    [sym_super] = ACTIONS(2868),
    [sym_true] = ACTIONS(2868),
    [sym_false] = ACTIONS(2868),
    [sym_null] = ACTIONS(2868),
    [sym_undefined] = ACTIONS(2868),
    [anon_sym_AT] = ACTIONS(2866),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_readonly] = ACTIONS(2868),
    [anon_sym_get] = ACTIONS(2868),
    [anon_sym_set] = ACTIONS(2868),
    [anon_sym_declare] = ACTIONS(2868),
    [anon_sym_public] = ACTIONS(2868),
    [anon_sym_private] = ACTIONS(2868),
    [anon_sym_protected] = ACTIONS(2868),
    [anon_sym_override] = ACTIONS(2868),
    [anon_sym_module] = ACTIONS(2868),
    [anon_sym_any] = ACTIONS(2868),
    [anon_sym_number] = ACTIONS(2868),
    [anon_sym_boolean] = ACTIONS(2868),
    [anon_sym_string] = ACTIONS(2868),
    [anon_sym_symbol] = ACTIONS(2868),
    [anon_sym_object] = ACTIONS(2868),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_interface] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [sym_html_comment] = ACTIONS(5),
  },
  [891] = {
    [ts_builtin_sym_end] = ACTIONS(2870),
    [sym_identifier] = ACTIONS(2872),
    [anon_sym_export] = ACTIONS(2872),
    [anon_sym_default] = ACTIONS(2872),
    [anon_sym_type] = ACTIONS(2872),
    [anon_sym_namespace] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2870),
    [anon_sym_RBRACE] = ACTIONS(2870),
    [anon_sym_typeof] = ACTIONS(2872),
    [anon_sym_import] = ACTIONS(2872),
    [anon_sym_with] = ACTIONS(2872),
    [anon_sym_var] = ACTIONS(2872),
    [anon_sym_let] = ACTIONS(2872),
    [anon_sym_const] = ACTIONS(2872),
    [anon_sym_BANG] = ACTIONS(2870),
    [anon_sym_else] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_switch] = ACTIONS(2872),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_LPAREN] = ACTIONS(2870),
    [anon_sym_await] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_break] = ACTIONS(2872),
    [anon_sym_continue] = ACTIONS(2872),
    [anon_sym_debugger] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_throw] = ACTIONS(2872),
    [anon_sym_SEMI] = ACTIONS(2870),
    [anon_sym_case] = ACTIONS(2872),
    [anon_sym_yield] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [sym_glimmer_opening_tag] = ACTIONS(2870),
    [anon_sym_DQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_class] = ACTIONS(2872),
    [anon_sym_async] = ACTIONS(2872),
    [anon_sym_function] = ACTIONS(2872),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_using] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_SLASH] = ACTIONS(2872),
    [anon_sym_LT] = ACTIONS(2872),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_void] = ACTIONS(2872),
    [anon_sym_delete] = ACTIONS(2872),
    [anon_sym_PLUS_PLUS] = ACTIONS(2870),
    [anon_sym_DASH_DASH] = ACTIONS(2870),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2870),
    [sym_number] = ACTIONS(2870),
    [sym_private_property_identifier] = ACTIONS(2870),
    [sym_this] = ACTIONS(2872),
    [sym_super] = ACTIONS(2872),
    [sym_true] = ACTIONS(2872),
    [sym_false] = ACTIONS(2872),
    [sym_null] = ACTIONS(2872),
    [sym_undefined] = ACTIONS(2872),
    [anon_sym_AT] = ACTIONS(2870),
    [anon_sym_static] = ACTIONS(2872),
    [anon_sym_readonly] = ACTIONS(2872),
    [anon_sym_get] = ACTIONS(2872),
    [anon_sym_set] = ACTIONS(2872),
    [anon_sym_declare] = ACTIONS(2872),
    [anon_sym_public] = ACTIONS(2872),
    [anon_sym_private] = ACTIONS(2872),
    [anon_sym_protected] = ACTIONS(2872),
    [anon_sym_override] = ACTIONS(2872),
    [anon_sym_module] = ACTIONS(2872),
    [anon_sym_any] = ACTIONS(2872),
    [anon_sym_number] = ACTIONS(2872),
    [anon_sym_boolean] = ACTIONS(2872),
    [anon_sym_string] = ACTIONS(2872),
    [anon_sym_symbol] = ACTIONS(2872),
    [anon_sym_object] = ACTIONS(2872),
    [anon_sym_abstract] = ACTIONS(2872),
    [anon_sym_interface] = ACTIONS(2872),
    [anon_sym_enum] = ACTIONS(2872),
    [sym_html_comment] = ACTIONS(5),
  },
  [892] = {
    [ts_builtin_sym_end] = ACTIONS(2874),
    [sym_identifier] = ACTIONS(2876),
    [anon_sym_export] = ACTIONS(2876),
    [anon_sym_default] = ACTIONS(2876),
    [anon_sym_type] = ACTIONS(2876),
    [anon_sym_namespace] = ACTIONS(2876),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_RBRACE] = ACTIONS(2874),
    [anon_sym_typeof] = ACTIONS(2876),
    [anon_sym_import] = ACTIONS(2876),
    [anon_sym_with] = ACTIONS(2876),
    [anon_sym_var] = ACTIONS(2876),
    [anon_sym_let] = ACTIONS(2876),
    [anon_sym_const] = ACTIONS(2876),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_else] = ACTIONS(2876),
    [anon_sym_if] = ACTIONS(2876),
    [anon_sym_switch] = ACTIONS(2876),
    [anon_sym_for] = ACTIONS(2876),
    [anon_sym_LPAREN] = ACTIONS(2874),
    [anon_sym_await] = ACTIONS(2876),
    [anon_sym_while] = ACTIONS(2876),
    [anon_sym_do] = ACTIONS(2876),
    [anon_sym_try] = ACTIONS(2876),
    [anon_sym_break] = ACTIONS(2876),
    [anon_sym_continue] = ACTIONS(2876),
    [anon_sym_debugger] = ACTIONS(2876),
    [anon_sym_return] = ACTIONS(2876),
    [anon_sym_throw] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2874),
    [anon_sym_case] = ACTIONS(2876),
    [anon_sym_yield] = ACTIONS(2876),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [sym_glimmer_opening_tag] = ACTIONS(2874),
    [anon_sym_DQUOTE] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_class] = ACTIONS(2876),
    [anon_sym_async] = ACTIONS(2876),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_new] = ACTIONS(2876),
    [anon_sym_using] = ACTIONS(2876),
    [anon_sym_PLUS] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2876),
    [anon_sym_SLASH] = ACTIONS(2876),
    [anon_sym_LT] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2874),
    [anon_sym_void] = ACTIONS(2876),
    [anon_sym_delete] = ACTIONS(2876),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2874),
    [sym_number] = ACTIONS(2874),
    [sym_private_property_identifier] = ACTIONS(2874),
    [sym_this] = ACTIONS(2876),
    [sym_super] = ACTIONS(2876),
    [sym_true] = ACTIONS(2876),
    [sym_false] = ACTIONS(2876),
    [sym_null] = ACTIONS(2876),
    [sym_undefined] = ACTIONS(2876),
    [anon_sym_AT] = ACTIONS(2874),
    [anon_sym_static] = ACTIONS(2876),
    [anon_sym_readonly] = ACTIONS(2876),
    [anon_sym_get] = ACTIONS(2876),
    [anon_sym_set] = ACTIONS(2876),
    [anon_sym_declare] = ACTIONS(2876),
    [anon_sym_public] = ACTIONS(2876),
    [anon_sym_private] = ACTIONS(2876),
    [anon_sym_protected] = ACTIONS(2876),
    [anon_sym_override] = ACTIONS(2876),
    [anon_sym_module] = ACTIONS(2876),
    [anon_sym_any] = ACTIONS(2876),
    [anon_sym_number] = ACTIONS(2876),
    [anon_sym_boolean] = ACTIONS(2876),
    [anon_sym_string] = ACTIONS(2876),
    [anon_sym_symbol] = ACTIONS(2876),
    [anon_sym_object] = ACTIONS(2876),
    [anon_sym_abstract] = ACTIONS(2876),
    [anon_sym_interface] = ACTIONS(2876),
    [anon_sym_enum] = ACTIONS(2876),
    [sym_html_comment] = ACTIONS(5),
  },
  [893] = {
    [ts_builtin_sym_end] = ACTIONS(2878),
    [sym_identifier] = ACTIONS(2880),
    [anon_sym_export] = ACTIONS(2880),
    [anon_sym_default] = ACTIONS(2880),
    [anon_sym_type] = ACTIONS(2880),
    [anon_sym_namespace] = ACTIONS(2880),
    [anon_sym_LBRACE] = ACTIONS(2878),
    [anon_sym_RBRACE] = ACTIONS(2878),
    [anon_sym_typeof] = ACTIONS(2880),
    [anon_sym_import] = ACTIONS(2880),
    [anon_sym_with] = ACTIONS(2880),
    [anon_sym_var] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2880),
    [anon_sym_const] = ACTIONS(2880),
    [anon_sym_BANG] = ACTIONS(2878),
    [anon_sym_else] = ACTIONS(2880),
    [anon_sym_if] = ACTIONS(2880),
    [anon_sym_switch] = ACTIONS(2880),
    [anon_sym_for] = ACTIONS(2880),
    [anon_sym_LPAREN] = ACTIONS(2878),
    [anon_sym_await] = ACTIONS(2880),
    [anon_sym_while] = ACTIONS(2880),
    [anon_sym_do] = ACTIONS(2880),
    [anon_sym_try] = ACTIONS(2880),
    [anon_sym_break] = ACTIONS(2880),
    [anon_sym_continue] = ACTIONS(2880),
    [anon_sym_debugger] = ACTIONS(2880),
    [anon_sym_return] = ACTIONS(2880),
    [anon_sym_throw] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2878),
    [anon_sym_case] = ACTIONS(2880),
    [anon_sym_yield] = ACTIONS(2880),
    [anon_sym_LBRACK] = ACTIONS(2878),
    [sym_glimmer_opening_tag] = ACTIONS(2878),
    [anon_sym_DQUOTE] = ACTIONS(2878),
    [anon_sym_SQUOTE] = ACTIONS(2878),
    [anon_sym_class] = ACTIONS(2880),
    [anon_sym_async] = ACTIONS(2880),
    [anon_sym_function] = ACTIONS(2880),
    [anon_sym_new] = ACTIONS(2880),
    [anon_sym_using] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2880),
    [anon_sym_SLASH] = ACTIONS(2880),
    [anon_sym_LT] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2878),
    [anon_sym_void] = ACTIONS(2880),
    [anon_sym_delete] = ACTIONS(2880),
    [anon_sym_PLUS_PLUS] = ACTIONS(2878),
    [anon_sym_DASH_DASH] = ACTIONS(2878),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2878),
    [sym_number] = ACTIONS(2878),
    [sym_private_property_identifier] = ACTIONS(2878),
    [sym_this] = ACTIONS(2880),
    [sym_super] = ACTIONS(2880),
    [sym_true] = ACTIONS(2880),
    [sym_false] = ACTIONS(2880),
    [sym_null] = ACTIONS(2880),
    [sym_undefined] = ACTIONS(2880),
    [anon_sym_AT] = ACTIONS(2878),
    [anon_sym_static] = ACTIONS(2880),
    [anon_sym_readonly] = ACTIONS(2880),
    [anon_sym_get] = ACTIONS(2880),
    [anon_sym_set] = ACTIONS(2880),
    [anon_sym_declare] = ACTIONS(2880),
    [anon_sym_public] = ACTIONS(2880),
    [anon_sym_private] = ACTIONS(2880),
    [anon_sym_protected] = ACTIONS(2880),
    [anon_sym_override] = ACTIONS(2880),
    [anon_sym_module] = ACTIONS(2880),
    [anon_sym_any] = ACTIONS(2880),
    [anon_sym_number] = ACTIONS(2880),
    [anon_sym_boolean] = ACTIONS(2880),
    [anon_sym_string] = ACTIONS(2880),
    [anon_sym_symbol] = ACTIONS(2880),
    [anon_sym_object] = ACTIONS(2880),
    [anon_sym_abstract] = ACTIONS(2880),
    [anon_sym_interface] = ACTIONS(2880),
    [anon_sym_enum] = ACTIONS(2880),
    [sym_html_comment] = ACTIONS(5),
  },
  [894] = {
    [ts_builtin_sym_end] = ACTIONS(2882),
    [sym_identifier] = ACTIONS(2884),
    [anon_sym_export] = ACTIONS(2884),
    [anon_sym_default] = ACTIONS(2884),
    [anon_sym_type] = ACTIONS(2884),
    [anon_sym_namespace] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2882),
    [anon_sym_typeof] = ACTIONS(2884),
    [anon_sym_import] = ACTIONS(2884),
    [anon_sym_with] = ACTIONS(2884),
    [anon_sym_var] = ACTIONS(2884),
    [anon_sym_let] = ACTIONS(2884),
    [anon_sym_const] = ACTIONS(2884),
    [anon_sym_BANG] = ACTIONS(2882),
    [anon_sym_else] = ACTIONS(2884),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_switch] = ACTIONS(2884),
    [anon_sym_for] = ACTIONS(2884),
    [anon_sym_LPAREN] = ACTIONS(2882),
    [anon_sym_await] = ACTIONS(2884),
    [anon_sym_while] = ACTIONS(2884),
    [anon_sym_do] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2884),
    [anon_sym_break] = ACTIONS(2884),
    [anon_sym_continue] = ACTIONS(2884),
    [anon_sym_debugger] = ACTIONS(2884),
    [anon_sym_return] = ACTIONS(2884),
    [anon_sym_throw] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2882),
    [anon_sym_case] = ACTIONS(2884),
    [anon_sym_yield] = ACTIONS(2884),
    [anon_sym_LBRACK] = ACTIONS(2882),
    [sym_glimmer_opening_tag] = ACTIONS(2882),
    [anon_sym_DQUOTE] = ACTIONS(2882),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2884),
    [anon_sym_async] = ACTIONS(2884),
    [anon_sym_function] = ACTIONS(2884),
    [anon_sym_new] = ACTIONS(2884),
    [anon_sym_using] = ACTIONS(2884),
    [anon_sym_PLUS] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2884),
    [anon_sym_SLASH] = ACTIONS(2884),
    [anon_sym_LT] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2882),
    [anon_sym_void] = ACTIONS(2884),
    [anon_sym_delete] = ACTIONS(2884),
    [anon_sym_PLUS_PLUS] = ACTIONS(2882),
    [anon_sym_DASH_DASH] = ACTIONS(2882),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2882),
    [sym_number] = ACTIONS(2882),
    [sym_private_property_identifier] = ACTIONS(2882),
    [sym_this] = ACTIONS(2884),
    [sym_super] = ACTIONS(2884),
    [sym_true] = ACTIONS(2884),
    [sym_false] = ACTIONS(2884),
    [sym_null] = ACTIONS(2884),
    [sym_undefined] = ACTIONS(2884),
    [anon_sym_AT] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2884),
    [anon_sym_readonly] = ACTIONS(2884),
    [anon_sym_get] = ACTIONS(2884),
    [anon_sym_set] = ACTIONS(2884),
    [anon_sym_declare] = ACTIONS(2884),
    [anon_sym_public] = ACTIONS(2884),
    [anon_sym_private] = ACTIONS(2884),
    [anon_sym_protected] = ACTIONS(2884),
    [anon_sym_override] = ACTIONS(2884),
    [anon_sym_module] = ACTIONS(2884),
    [anon_sym_any] = ACTIONS(2884),
    [anon_sym_number] = ACTIONS(2884),
    [anon_sym_boolean] = ACTIONS(2884),
    [anon_sym_string] = ACTIONS(2884),
    [anon_sym_symbol] = ACTIONS(2884),
    [anon_sym_object] = ACTIONS(2884),
    [anon_sym_abstract] = ACTIONS(2884),
    [anon_sym_interface] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2884),
    [sym_html_comment] = ACTIONS(5),
  },
  [895] = {
    [ts_builtin_sym_end] = ACTIONS(2886),
    [sym_identifier] = ACTIONS(2888),
    [anon_sym_export] = ACTIONS(2888),
    [anon_sym_default] = ACTIONS(2888),
    [anon_sym_type] = ACTIONS(2888),
    [anon_sym_namespace] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(2886),
    [anon_sym_RBRACE] = ACTIONS(2886),
    [anon_sym_typeof] = ACTIONS(2888),
    [anon_sym_import] = ACTIONS(2888),
    [anon_sym_with] = ACTIONS(2888),
    [anon_sym_var] = ACTIONS(2888),
    [anon_sym_let] = ACTIONS(2888),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_BANG] = ACTIONS(2886),
    [anon_sym_else] = ACTIONS(2888),
    [anon_sym_if] = ACTIONS(2888),
    [anon_sym_switch] = ACTIONS(2888),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_LPAREN] = ACTIONS(2886),
    [anon_sym_await] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2888),
    [anon_sym_do] = ACTIONS(2888),
    [anon_sym_try] = ACTIONS(2888),
    [anon_sym_break] = ACTIONS(2888),
    [anon_sym_continue] = ACTIONS(2888),
    [anon_sym_debugger] = ACTIONS(2888),
    [anon_sym_return] = ACTIONS(2888),
    [anon_sym_throw] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2886),
    [anon_sym_case] = ACTIONS(2888),
    [anon_sym_yield] = ACTIONS(2888),
    [anon_sym_LBRACK] = ACTIONS(2886),
    [sym_glimmer_opening_tag] = ACTIONS(2886),
    [anon_sym_DQUOTE] = ACTIONS(2886),
    [anon_sym_SQUOTE] = ACTIONS(2886),
    [anon_sym_class] = ACTIONS(2888),
    [anon_sym_async] = ACTIONS(2888),
    [anon_sym_function] = ACTIONS(2888),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(2888),
    [anon_sym_PLUS] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2888),
    [anon_sym_SLASH] = ACTIONS(2888),
    [anon_sym_LT] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2886),
    [anon_sym_void] = ACTIONS(2888),
    [anon_sym_delete] = ACTIONS(2888),
    [anon_sym_PLUS_PLUS] = ACTIONS(2886),
    [anon_sym_DASH_DASH] = ACTIONS(2886),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2886),
    [sym_number] = ACTIONS(2886),
    [sym_private_property_identifier] = ACTIONS(2886),
    [sym_this] = ACTIONS(2888),
    [sym_super] = ACTIONS(2888),
    [sym_true] = ACTIONS(2888),
    [sym_false] = ACTIONS(2888),
    [sym_null] = ACTIONS(2888),
    [sym_undefined] = ACTIONS(2888),
    [anon_sym_AT] = ACTIONS(2886),
    [anon_sym_static] = ACTIONS(2888),
    [anon_sym_readonly] = ACTIONS(2888),
    [anon_sym_get] = ACTIONS(2888),
    [anon_sym_set] = ACTIONS(2888),
    [anon_sym_declare] = ACTIONS(2888),
    [anon_sym_public] = ACTIONS(2888),
    [anon_sym_private] = ACTIONS(2888),
    [anon_sym_protected] = ACTIONS(2888),
    [anon_sym_override] = ACTIONS(2888),
    [anon_sym_module] = ACTIONS(2888),
    [anon_sym_any] = ACTIONS(2888),
    [anon_sym_number] = ACTIONS(2888),
    [anon_sym_boolean] = ACTIONS(2888),
    [anon_sym_string] = ACTIONS(2888),
    [anon_sym_symbol] = ACTIONS(2888),
    [anon_sym_object] = ACTIONS(2888),
    [anon_sym_abstract] = ACTIONS(2888),
    [anon_sym_interface] = ACTIONS(2888),
    [anon_sym_enum] = ACTIONS(2888),
    [sym_html_comment] = ACTIONS(5),
  },
  [896] = {
    [ts_builtin_sym_end] = ACTIONS(2890),
    [sym_identifier] = ACTIONS(2892),
    [anon_sym_export] = ACTIONS(2892),
    [anon_sym_default] = ACTIONS(2892),
    [anon_sym_type] = ACTIONS(2892),
    [anon_sym_namespace] = ACTIONS(2892),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_RBRACE] = ACTIONS(2890),
    [anon_sym_typeof] = ACTIONS(2892),
    [anon_sym_import] = ACTIONS(2892),
    [anon_sym_with] = ACTIONS(2892),
    [anon_sym_var] = ACTIONS(2892),
    [anon_sym_let] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_BANG] = ACTIONS(2890),
    [anon_sym_else] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_switch] = ACTIONS(2892),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2890),
    [anon_sym_await] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_break] = ACTIONS(2892),
    [anon_sym_continue] = ACTIONS(2892),
    [anon_sym_debugger] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_throw] = ACTIONS(2892),
    [anon_sym_SEMI] = ACTIONS(2890),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_yield] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2890),
    [sym_glimmer_opening_tag] = ACTIONS(2890),
    [anon_sym_DQUOTE] = ACTIONS(2890),
    [anon_sym_SQUOTE] = ACTIONS(2890),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_async] = ACTIONS(2892),
    [anon_sym_function] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_SLASH] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2892),
    [anon_sym_TILDE] = ACTIONS(2890),
    [anon_sym_void] = ACTIONS(2892),
    [anon_sym_delete] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2890),
    [anon_sym_DASH_DASH] = ACTIONS(2890),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2890),
    [sym_number] = ACTIONS(2890),
    [sym_private_property_identifier] = ACTIONS(2890),
    [sym_this] = ACTIONS(2892),
    [sym_super] = ACTIONS(2892),
    [sym_true] = ACTIONS(2892),
    [sym_false] = ACTIONS(2892),
    [sym_null] = ACTIONS(2892),
    [sym_undefined] = ACTIONS(2892),
    [anon_sym_AT] = ACTIONS(2890),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_readonly] = ACTIONS(2892),
    [anon_sym_get] = ACTIONS(2892),
    [anon_sym_set] = ACTIONS(2892),
    [anon_sym_declare] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_protected] = ACTIONS(2892),
    [anon_sym_override] = ACTIONS(2892),
    [anon_sym_module] = ACTIONS(2892),
    [anon_sym_any] = ACTIONS(2892),
    [anon_sym_number] = ACTIONS(2892),
    [anon_sym_boolean] = ACTIONS(2892),
    [anon_sym_string] = ACTIONS(2892),
    [anon_sym_symbol] = ACTIONS(2892),
    [anon_sym_object] = ACTIONS(2892),
    [anon_sym_abstract] = ACTIONS(2892),
    [anon_sym_interface] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [sym_html_comment] = ACTIONS(5),
  },
  [897] = {
    [ts_builtin_sym_end] = ACTIONS(2894),
    [sym_identifier] = ACTIONS(2896),
    [anon_sym_export] = ACTIONS(2896),
    [anon_sym_default] = ACTIONS(2896),
    [anon_sym_type] = ACTIONS(2896),
    [anon_sym_namespace] = ACTIONS(2896),
    [anon_sym_LBRACE] = ACTIONS(2894),
    [anon_sym_RBRACE] = ACTIONS(2894),
    [anon_sym_typeof] = ACTIONS(2896),
    [anon_sym_import] = ACTIONS(2896),
    [anon_sym_with] = ACTIONS(2896),
    [anon_sym_var] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_BANG] = ACTIONS(2894),
    [anon_sym_else] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_switch] = ACTIONS(2896),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2894),
    [anon_sym_await] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_break] = ACTIONS(2896),
    [anon_sym_continue] = ACTIONS(2896),
    [anon_sym_debugger] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_throw] = ACTIONS(2896),
    [anon_sym_SEMI] = ACTIONS(2894),
    [anon_sym_case] = ACTIONS(2896),
    [anon_sym_yield] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2894),
    [sym_glimmer_opening_tag] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_class] = ACTIONS(2896),
    [anon_sym_async] = ACTIONS(2896),
    [anon_sym_function] = ACTIONS(2896),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_using] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_SLASH] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_void] = ACTIONS(2896),
    [anon_sym_delete] = ACTIONS(2896),
    [anon_sym_PLUS_PLUS] = ACTIONS(2894),
    [anon_sym_DASH_DASH] = ACTIONS(2894),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2894),
    [sym_number] = ACTIONS(2894),
    [sym_private_property_identifier] = ACTIONS(2894),
    [sym_this] = ACTIONS(2896),
    [sym_super] = ACTIONS(2896),
    [sym_true] = ACTIONS(2896),
    [sym_false] = ACTIONS(2896),
    [sym_null] = ACTIONS(2896),
    [sym_undefined] = ACTIONS(2896),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_static] = ACTIONS(2896),
    [anon_sym_readonly] = ACTIONS(2896),
    [anon_sym_get] = ACTIONS(2896),
    [anon_sym_set] = ACTIONS(2896),
    [anon_sym_declare] = ACTIONS(2896),
    [anon_sym_public] = ACTIONS(2896),
    [anon_sym_private] = ACTIONS(2896),
    [anon_sym_protected] = ACTIONS(2896),
    [anon_sym_override] = ACTIONS(2896),
    [anon_sym_module] = ACTIONS(2896),
    [anon_sym_any] = ACTIONS(2896),
    [anon_sym_number] = ACTIONS(2896),
    [anon_sym_boolean] = ACTIONS(2896),
    [anon_sym_string] = ACTIONS(2896),
    [anon_sym_symbol] = ACTIONS(2896),
    [anon_sym_object] = ACTIONS(2896),
    [anon_sym_abstract] = ACTIONS(2896),
    [anon_sym_interface] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2896),
    [sym_html_comment] = ACTIONS(5),
  },
  [898] = {
    [ts_builtin_sym_end] = ACTIONS(2894),
    [sym_identifier] = ACTIONS(2896),
    [anon_sym_export] = ACTIONS(2896),
    [anon_sym_default] = ACTIONS(2896),
    [anon_sym_type] = ACTIONS(2896),
    [anon_sym_namespace] = ACTIONS(2896),
    [anon_sym_LBRACE] = ACTIONS(2894),
    [anon_sym_RBRACE] = ACTIONS(2894),
    [anon_sym_typeof] = ACTIONS(2896),
    [anon_sym_import] = ACTIONS(2896),
    [anon_sym_with] = ACTIONS(2896),
    [anon_sym_var] = ACTIONS(2896),
    [anon_sym_let] = ACTIONS(2896),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_BANG] = ACTIONS(2894),
    [anon_sym_else] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_switch] = ACTIONS(2896),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2894),
    [anon_sym_await] = ACTIONS(2896),
    [anon_sym_while] = ACTIONS(2896),
    [anon_sym_do] = ACTIONS(2896),
    [anon_sym_try] = ACTIONS(2896),
    [anon_sym_break] = ACTIONS(2896),
    [anon_sym_continue] = ACTIONS(2896),
    [anon_sym_debugger] = ACTIONS(2896),
    [anon_sym_return] = ACTIONS(2896),
    [anon_sym_throw] = ACTIONS(2896),
    [anon_sym_SEMI] = ACTIONS(2894),
    [anon_sym_case] = ACTIONS(2896),
    [anon_sym_yield] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2894),
    [sym_glimmer_opening_tag] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_class] = ACTIONS(2896),
    [anon_sym_async] = ACTIONS(2896),
    [anon_sym_function] = ACTIONS(2896),
    [anon_sym_new] = ACTIONS(2896),
    [anon_sym_using] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_SLASH] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_void] = ACTIONS(2896),
    [anon_sym_delete] = ACTIONS(2896),
    [anon_sym_PLUS_PLUS] = ACTIONS(2894),
    [anon_sym_DASH_DASH] = ACTIONS(2894),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2894),
    [sym_number] = ACTIONS(2894),
    [sym_private_property_identifier] = ACTIONS(2894),
    [sym_this] = ACTIONS(2896),
    [sym_super] = ACTIONS(2896),
    [sym_true] = ACTIONS(2896),
    [sym_false] = ACTIONS(2896),
    [sym_null] = ACTIONS(2896),
    [sym_undefined] = ACTIONS(2896),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_static] = ACTIONS(2896),
    [anon_sym_readonly] = ACTIONS(2896),
    [anon_sym_get] = ACTIONS(2896),
    [anon_sym_set] = ACTIONS(2896),
    [anon_sym_declare] = ACTIONS(2896),
    [anon_sym_public] = ACTIONS(2896),
    [anon_sym_private] = ACTIONS(2896),
    [anon_sym_protected] = ACTIONS(2896),
    [anon_sym_override] = ACTIONS(2896),
    [anon_sym_module] = ACTIONS(2896),
    [anon_sym_any] = ACTIONS(2896),
    [anon_sym_number] = ACTIONS(2896),
    [anon_sym_boolean] = ACTIONS(2896),
    [anon_sym_string] = ACTIONS(2896),
    [anon_sym_symbol] = ACTIONS(2896),
    [anon_sym_object] = ACTIONS(2896),
    [anon_sym_abstract] = ACTIONS(2896),
    [anon_sym_interface] = ACTIONS(2896),
    [anon_sym_enum] = ACTIONS(2896),
    [sym_html_comment] = ACTIONS(5),
  },
  [899] = {
    [ts_builtin_sym_end] = ACTIONS(2898),
    [sym_identifier] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(2900),
    [anon_sym_default] = ACTIONS(2900),
    [anon_sym_type] = ACTIONS(2900),
    [anon_sym_namespace] = ACTIONS(2900),
    [anon_sym_LBRACE] = ACTIONS(2898),
    [anon_sym_RBRACE] = ACTIONS(2898),
    [anon_sym_typeof] = ACTIONS(2900),
    [anon_sym_import] = ACTIONS(2900),
    [anon_sym_with] = ACTIONS(2900),
    [anon_sym_var] = ACTIONS(2900),
    [anon_sym_let] = ACTIONS(2900),
    [anon_sym_const] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(2898),
    [anon_sym_else] = ACTIONS(2900),
    [anon_sym_if] = ACTIONS(2900),
    [anon_sym_switch] = ACTIONS(2900),
    [anon_sym_for] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2898),
    [anon_sym_await] = ACTIONS(2900),
    [anon_sym_while] = ACTIONS(2900),
    [anon_sym_do] = ACTIONS(2900),
    [anon_sym_try] = ACTIONS(2900),
    [anon_sym_break] = ACTIONS(2900),
    [anon_sym_continue] = ACTIONS(2900),
    [anon_sym_debugger] = ACTIONS(2900),
    [anon_sym_return] = ACTIONS(2900),
    [anon_sym_throw] = ACTIONS(2900),
    [anon_sym_SEMI] = ACTIONS(2898),
    [anon_sym_case] = ACTIONS(2900),
    [anon_sym_yield] = ACTIONS(2900),
    [anon_sym_LBRACK] = ACTIONS(2898),
    [sym_glimmer_opening_tag] = ACTIONS(2898),
    [anon_sym_DQUOTE] = ACTIONS(2898),
    [anon_sym_SQUOTE] = ACTIONS(2898),
    [anon_sym_class] = ACTIONS(2900),
    [anon_sym_async] = ACTIONS(2900),
    [anon_sym_function] = ACTIONS(2900),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_using] = ACTIONS(2900),
    [anon_sym_PLUS] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2900),
    [anon_sym_SLASH] = ACTIONS(2900),
    [anon_sym_LT] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2898),
    [anon_sym_void] = ACTIONS(2900),
    [anon_sym_delete] = ACTIONS(2900),
    [anon_sym_PLUS_PLUS] = ACTIONS(2898),
    [anon_sym_DASH_DASH] = ACTIONS(2898),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2898),
    [sym_number] = ACTIONS(2898),
    [sym_private_property_identifier] = ACTIONS(2898),
    [sym_this] = ACTIONS(2900),
    [sym_super] = ACTIONS(2900),
    [sym_true] = ACTIONS(2900),
    [sym_false] = ACTIONS(2900),
    [sym_null] = ACTIONS(2900),
    [sym_undefined] = ACTIONS(2900),
    [anon_sym_AT] = ACTIONS(2898),
    [anon_sym_static] = ACTIONS(2900),
    [anon_sym_readonly] = ACTIONS(2900),
    [anon_sym_get] = ACTIONS(2900),
    [anon_sym_set] = ACTIONS(2900),
    [anon_sym_declare] = ACTIONS(2900),
    [anon_sym_public] = ACTIONS(2900),
    [anon_sym_private] = ACTIONS(2900),
    [anon_sym_protected] = ACTIONS(2900),
    [anon_sym_override] = ACTIONS(2900),
    [anon_sym_module] = ACTIONS(2900),
    [anon_sym_any] = ACTIONS(2900),
    [anon_sym_number] = ACTIONS(2900),
    [anon_sym_boolean] = ACTIONS(2900),
    [anon_sym_string] = ACTIONS(2900),
    [anon_sym_symbol] = ACTIONS(2900),
    [anon_sym_object] = ACTIONS(2900),
    [anon_sym_abstract] = ACTIONS(2900),
    [anon_sym_interface] = ACTIONS(2900),
    [anon_sym_enum] = ACTIONS(2900),
    [sym_html_comment] = ACTIONS(5),
  },
  [900] = {
    [ts_builtin_sym_end] = ACTIONS(2902),
    [sym_identifier] = ACTIONS(2904),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_default] = ACTIONS(2904),
    [anon_sym_type] = ACTIONS(2904),
    [anon_sym_namespace] = ACTIONS(2904),
    [anon_sym_LBRACE] = ACTIONS(2902),
    [anon_sym_RBRACE] = ACTIONS(2902),
    [anon_sym_typeof] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2904),
    [anon_sym_with] = ACTIONS(2904),
    [anon_sym_var] = ACTIONS(2904),
    [anon_sym_let] = ACTIONS(2904),
    [anon_sym_const] = ACTIONS(2904),
    [anon_sym_BANG] = ACTIONS(2902),
    [anon_sym_else] = ACTIONS(2904),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_switch] = ACTIONS(2904),
    [anon_sym_for] = ACTIONS(2904),
    [anon_sym_LPAREN] = ACTIONS(2902),
    [anon_sym_await] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2904),
    [anon_sym_do] = ACTIONS(2904),
    [anon_sym_try] = ACTIONS(2904),
    [anon_sym_break] = ACTIONS(2904),
    [anon_sym_continue] = ACTIONS(2904),
    [anon_sym_debugger] = ACTIONS(2904),
    [anon_sym_return] = ACTIONS(2904),
    [anon_sym_throw] = ACTIONS(2904),
    [anon_sym_SEMI] = ACTIONS(2902),
    [anon_sym_case] = ACTIONS(2904),
    [anon_sym_yield] = ACTIONS(2904),
    [anon_sym_LBRACK] = ACTIONS(2902),
    [sym_glimmer_opening_tag] = ACTIONS(2902),
    [anon_sym_DQUOTE] = ACTIONS(2902),
    [anon_sym_SQUOTE] = ACTIONS(2902),
    [anon_sym_class] = ACTIONS(2904),
    [anon_sym_async] = ACTIONS(2904),
    [anon_sym_function] = ACTIONS(2904),
    [anon_sym_new] = ACTIONS(2904),
    [anon_sym_using] = ACTIONS(2904),
    [anon_sym_PLUS] = ACTIONS(2904),
    [anon_sym_DASH] = ACTIONS(2904),
    [anon_sym_SLASH] = ACTIONS(2904),
    [anon_sym_LT] = ACTIONS(2904),
    [anon_sym_TILDE] = ACTIONS(2902),
    [anon_sym_void] = ACTIONS(2904),
    [anon_sym_delete] = ACTIONS(2904),
    [anon_sym_PLUS_PLUS] = ACTIONS(2902),
    [anon_sym_DASH_DASH] = ACTIONS(2902),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2902),
    [sym_number] = ACTIONS(2902),
    [sym_private_property_identifier] = ACTIONS(2902),
    [sym_this] = ACTIONS(2904),
    [sym_super] = ACTIONS(2904),
    [sym_true] = ACTIONS(2904),
    [sym_false] = ACTIONS(2904),
    [sym_null] = ACTIONS(2904),
    [sym_undefined] = ACTIONS(2904),
    [anon_sym_AT] = ACTIONS(2902),
    [anon_sym_static] = ACTIONS(2904),
    [anon_sym_readonly] = ACTIONS(2904),
    [anon_sym_get] = ACTIONS(2904),
    [anon_sym_set] = ACTIONS(2904),
    [anon_sym_declare] = ACTIONS(2904),
    [anon_sym_public] = ACTIONS(2904),
    [anon_sym_private] = ACTIONS(2904),
    [anon_sym_protected] = ACTIONS(2904),
    [anon_sym_override] = ACTIONS(2904),
    [anon_sym_module] = ACTIONS(2904),
    [anon_sym_any] = ACTIONS(2904),
    [anon_sym_number] = ACTIONS(2904),
    [anon_sym_boolean] = ACTIONS(2904),
    [anon_sym_string] = ACTIONS(2904),
    [anon_sym_symbol] = ACTIONS(2904),
    [anon_sym_object] = ACTIONS(2904),
    [anon_sym_abstract] = ACTIONS(2904),
    [anon_sym_interface] = ACTIONS(2904),
    [anon_sym_enum] = ACTIONS(2904),
    [sym_html_comment] = ACTIONS(5),
  },
  [901] = {
    [ts_builtin_sym_end] = ACTIONS(2906),
    [sym_identifier] = ACTIONS(2908),
    [anon_sym_export] = ACTIONS(2908),
    [anon_sym_default] = ACTIONS(2908),
    [anon_sym_type] = ACTIONS(2908),
    [anon_sym_namespace] = ACTIONS(2908),
    [anon_sym_LBRACE] = ACTIONS(2906),
    [anon_sym_RBRACE] = ACTIONS(2906),
    [anon_sym_typeof] = ACTIONS(2908),
    [anon_sym_import] = ACTIONS(2908),
    [anon_sym_with] = ACTIONS(2908),
    [anon_sym_var] = ACTIONS(2908),
    [anon_sym_let] = ACTIONS(2908),
    [anon_sym_const] = ACTIONS(2908),
    [anon_sym_BANG] = ACTIONS(2906),
    [anon_sym_else] = ACTIONS(2908),
    [anon_sym_if] = ACTIONS(2908),
    [anon_sym_switch] = ACTIONS(2908),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_LPAREN] = ACTIONS(2906),
    [anon_sym_await] = ACTIONS(2908),
    [anon_sym_while] = ACTIONS(2908),
    [anon_sym_do] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2908),
    [anon_sym_break] = ACTIONS(2908),
    [anon_sym_continue] = ACTIONS(2908),
    [anon_sym_debugger] = ACTIONS(2908),
    [anon_sym_return] = ACTIONS(2908),
    [anon_sym_throw] = ACTIONS(2908),
    [anon_sym_SEMI] = ACTIONS(2906),
    [anon_sym_case] = ACTIONS(2908),
    [anon_sym_yield] = ACTIONS(2908),
    [anon_sym_LBRACK] = ACTIONS(2906),
    [sym_glimmer_opening_tag] = ACTIONS(2906),
    [anon_sym_DQUOTE] = ACTIONS(2906),
    [anon_sym_SQUOTE] = ACTIONS(2906),
    [anon_sym_class] = ACTIONS(2908),
    [anon_sym_async] = ACTIONS(2908),
    [anon_sym_function] = ACTIONS(2908),
    [anon_sym_new] = ACTIONS(2908),
    [anon_sym_using] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_SLASH] = ACTIONS(2908),
    [anon_sym_LT] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2906),
    [anon_sym_void] = ACTIONS(2908),
    [anon_sym_delete] = ACTIONS(2908),
    [anon_sym_PLUS_PLUS] = ACTIONS(2906),
    [anon_sym_DASH_DASH] = ACTIONS(2906),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2906),
    [sym_number] = ACTIONS(2906),
    [sym_private_property_identifier] = ACTIONS(2906),
    [sym_this] = ACTIONS(2908),
    [sym_super] = ACTIONS(2908),
    [sym_true] = ACTIONS(2908),
    [sym_false] = ACTIONS(2908),
    [sym_null] = ACTIONS(2908),
    [sym_undefined] = ACTIONS(2908),
    [anon_sym_AT] = ACTIONS(2906),
    [anon_sym_static] = ACTIONS(2908),
    [anon_sym_readonly] = ACTIONS(2908),
    [anon_sym_get] = ACTIONS(2908),
    [anon_sym_set] = ACTIONS(2908),
    [anon_sym_declare] = ACTIONS(2908),
    [anon_sym_public] = ACTIONS(2908),
    [anon_sym_private] = ACTIONS(2908),
    [anon_sym_protected] = ACTIONS(2908),
    [anon_sym_override] = ACTIONS(2908),
    [anon_sym_module] = ACTIONS(2908),
    [anon_sym_any] = ACTIONS(2908),
    [anon_sym_number] = ACTIONS(2908),
    [anon_sym_boolean] = ACTIONS(2908),
    [anon_sym_string] = ACTIONS(2908),
    [anon_sym_symbol] = ACTIONS(2908),
    [anon_sym_object] = ACTIONS(2908),
    [anon_sym_abstract] = ACTIONS(2908),
    [anon_sym_interface] = ACTIONS(2908),
    [anon_sym_enum] = ACTIONS(2908),
    [sym_html_comment] = ACTIONS(5),
  },
  [902] = {
    [ts_builtin_sym_end] = ACTIONS(2910),
    [sym_identifier] = ACTIONS(2912),
    [anon_sym_export] = ACTIONS(2912),
    [anon_sym_default] = ACTIONS(2912),
    [anon_sym_type] = ACTIONS(2912),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [anon_sym_typeof] = ACTIONS(2912),
    [anon_sym_import] = ACTIONS(2912),
    [anon_sym_with] = ACTIONS(2912),
    [anon_sym_var] = ACTIONS(2912),
    [anon_sym_let] = ACTIONS(2912),
    [anon_sym_const] = ACTIONS(2912),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_else] = ACTIONS(2912),
    [anon_sym_if] = ACTIONS(2912),
    [anon_sym_switch] = ACTIONS(2912),
    [anon_sym_for] = ACTIONS(2912),
    [anon_sym_LPAREN] = ACTIONS(2910),
    [anon_sym_await] = ACTIONS(2912),
    [anon_sym_while] = ACTIONS(2912),
    [anon_sym_do] = ACTIONS(2912),
    [anon_sym_try] = ACTIONS(2912),
    [anon_sym_break] = ACTIONS(2912),
    [anon_sym_continue] = ACTIONS(2912),
    [anon_sym_debugger] = ACTIONS(2912),
    [anon_sym_return] = ACTIONS(2912),
    [anon_sym_throw] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym_case] = ACTIONS(2912),
    [anon_sym_yield] = ACTIONS(2912),
    [anon_sym_LBRACK] = ACTIONS(2910),
    [sym_glimmer_opening_tag] = ACTIONS(2910),
    [anon_sym_DQUOTE] = ACTIONS(2910),
    [anon_sym_SQUOTE] = ACTIONS(2910),
    [anon_sym_class] = ACTIONS(2912),
    [anon_sym_async] = ACTIONS(2912),
    [anon_sym_function] = ACTIONS(2912),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_using] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(2912),
    [anon_sym_DASH] = ACTIONS(2912),
    [anon_sym_SLASH] = ACTIONS(2912),
    [anon_sym_LT] = ACTIONS(2912),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_void] = ACTIONS(2912),
    [anon_sym_delete] = ACTIONS(2912),
    [anon_sym_PLUS_PLUS] = ACTIONS(2910),
    [anon_sym_DASH_DASH] = ACTIONS(2910),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2910),
    [sym_number] = ACTIONS(2910),
    [sym_private_property_identifier] = ACTIONS(2910),
    [sym_this] = ACTIONS(2912),
    [sym_super] = ACTIONS(2912),
    [sym_true] = ACTIONS(2912),
    [sym_false] = ACTIONS(2912),
    [sym_null] = ACTIONS(2912),
    [sym_undefined] = ACTIONS(2912),
    [anon_sym_AT] = ACTIONS(2910),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_readonly] = ACTIONS(2912),
    [anon_sym_get] = ACTIONS(2912),
    [anon_sym_set] = ACTIONS(2912),
    [anon_sym_declare] = ACTIONS(2912),
    [anon_sym_public] = ACTIONS(2912),
    [anon_sym_private] = ACTIONS(2912),
    [anon_sym_protected] = ACTIONS(2912),
    [anon_sym_override] = ACTIONS(2912),
    [anon_sym_module] = ACTIONS(2912),
    [anon_sym_any] = ACTIONS(2912),
    [anon_sym_number] = ACTIONS(2912),
    [anon_sym_boolean] = ACTIONS(2912),
    [anon_sym_string] = ACTIONS(2912),
    [anon_sym_symbol] = ACTIONS(2912),
    [anon_sym_object] = ACTIONS(2912),
    [anon_sym_abstract] = ACTIONS(2912),
    [anon_sym_interface] = ACTIONS(2912),
    [anon_sym_enum] = ACTIONS(2912),
    [sym_html_comment] = ACTIONS(5),
  },
  [903] = {
    [ts_builtin_sym_end] = ACTIONS(2914),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_export] = ACTIONS(2916),
    [anon_sym_default] = ACTIONS(2916),
    [anon_sym_type] = ACTIONS(2916),
    [anon_sym_namespace] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2914),
    [anon_sym_RBRACE] = ACTIONS(2914),
    [anon_sym_typeof] = ACTIONS(2916),
    [anon_sym_import] = ACTIONS(2916),
    [anon_sym_with] = ACTIONS(2916),
    [anon_sym_var] = ACTIONS(2916),
    [anon_sym_let] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_BANG] = ACTIONS(2914),
    [anon_sym_else] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_switch] = ACTIONS(2916),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_LPAREN] = ACTIONS(2914),
    [anon_sym_await] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_break] = ACTIONS(2916),
    [anon_sym_continue] = ACTIONS(2916),
    [anon_sym_debugger] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_throw] = ACTIONS(2916),
    [anon_sym_SEMI] = ACTIONS(2914),
    [anon_sym_case] = ACTIONS(2916),
    [anon_sym_yield] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2914),
    [sym_glimmer_opening_tag] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(2914),
    [anon_sym_SQUOTE] = ACTIONS(2914),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_async] = ACTIONS(2916),
    [anon_sym_function] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_using] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_SLASH] = ACTIONS(2916),
    [anon_sym_LT] = ACTIONS(2916),
    [anon_sym_TILDE] = ACTIONS(2914),
    [anon_sym_void] = ACTIONS(2916),
    [anon_sym_delete] = ACTIONS(2916),
    [anon_sym_PLUS_PLUS] = ACTIONS(2914),
    [anon_sym_DASH_DASH] = ACTIONS(2914),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2914),
    [sym_number] = ACTIONS(2914),
    [sym_private_property_identifier] = ACTIONS(2914),
    [sym_this] = ACTIONS(2916),
    [sym_super] = ACTIONS(2916),
    [sym_true] = ACTIONS(2916),
    [sym_false] = ACTIONS(2916),
    [sym_null] = ACTIONS(2916),
    [sym_undefined] = ACTIONS(2916),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_readonly] = ACTIONS(2916),
    [anon_sym_get] = ACTIONS(2916),
    [anon_sym_set] = ACTIONS(2916),
    [anon_sym_declare] = ACTIONS(2916),
    [anon_sym_public] = ACTIONS(2916),
    [anon_sym_private] = ACTIONS(2916),
    [anon_sym_protected] = ACTIONS(2916),
    [anon_sym_override] = ACTIONS(2916),
    [anon_sym_module] = ACTIONS(2916),
    [anon_sym_any] = ACTIONS(2916),
    [anon_sym_number] = ACTIONS(2916),
    [anon_sym_boolean] = ACTIONS(2916),
    [anon_sym_string] = ACTIONS(2916),
    [anon_sym_symbol] = ACTIONS(2916),
    [anon_sym_object] = ACTIONS(2916),
    [anon_sym_abstract] = ACTIONS(2916),
    [anon_sym_interface] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [sym_html_comment] = ACTIONS(5),
  },
  [904] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_rest_pattern] = STATE(5898),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(4956),
    [sym_optional_tuple_parameter] = STATE(4956),
    [sym_optional_type] = STATE(4956),
    [sym_rest_type] = STATE(4956),
    [sym__tuple_type_member] = STATE(4956),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(2918),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(2920),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [905] = {
    [ts_builtin_sym_end] = ACTIONS(2922),
    [sym_identifier] = ACTIONS(2924),
    [anon_sym_export] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_type] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_RBRACE] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2924),
    [anon_sym_import] = ACTIONS(2924),
    [anon_sym_with] = ACTIONS(2924),
    [anon_sym_var] = ACTIONS(2924),
    [anon_sym_let] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_else] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_LPAREN] = ACTIONS(2922),
    [anon_sym_await] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_debugger] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_yield] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2922),
    [sym_glimmer_opening_tag] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_async] = ACTIONS(2924),
    [anon_sym_function] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_SLASH] = ACTIONS(2924),
    [anon_sym_LT] = ACTIONS(2924),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_void] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2922),
    [sym_number] = ACTIONS(2922),
    [sym_private_property_identifier] = ACTIONS(2922),
    [sym_this] = ACTIONS(2924),
    [sym_super] = ACTIONS(2924),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [sym_null] = ACTIONS(2924),
    [sym_undefined] = ACTIONS(2924),
    [anon_sym_AT] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_readonly] = ACTIONS(2924),
    [anon_sym_get] = ACTIONS(2924),
    [anon_sym_set] = ACTIONS(2924),
    [anon_sym_declare] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_protected] = ACTIONS(2924),
    [anon_sym_override] = ACTIONS(2924),
    [anon_sym_module] = ACTIONS(2924),
    [anon_sym_any] = ACTIONS(2924),
    [anon_sym_number] = ACTIONS(2924),
    [anon_sym_boolean] = ACTIONS(2924),
    [anon_sym_string] = ACTIONS(2924),
    [anon_sym_symbol] = ACTIONS(2924),
    [anon_sym_object] = ACTIONS(2924),
    [anon_sym_abstract] = ACTIONS(2924),
    [anon_sym_interface] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [sym_html_comment] = ACTIONS(5),
  },
  [906] = {
    [ts_builtin_sym_end] = ACTIONS(2926),
    [sym_identifier] = ACTIONS(2928),
    [anon_sym_export] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_type] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_RBRACE] = ACTIONS(2926),
    [anon_sym_typeof] = ACTIONS(2928),
    [anon_sym_import] = ACTIONS(2928),
    [anon_sym_with] = ACTIONS(2928),
    [anon_sym_var] = ACTIONS(2928),
    [anon_sym_let] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_else] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_LPAREN] = ACTIONS(2926),
    [anon_sym_await] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_debugger] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_yield] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2926),
    [sym_glimmer_opening_tag] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_async] = ACTIONS(2928),
    [anon_sym_function] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_SLASH] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2928),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_void] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2926),
    [sym_number] = ACTIONS(2926),
    [sym_private_property_identifier] = ACTIONS(2926),
    [sym_this] = ACTIONS(2928),
    [sym_super] = ACTIONS(2928),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [sym_null] = ACTIONS(2928),
    [sym_undefined] = ACTIONS(2928),
    [anon_sym_AT] = ACTIONS(2926),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_readonly] = ACTIONS(2928),
    [anon_sym_get] = ACTIONS(2928),
    [anon_sym_set] = ACTIONS(2928),
    [anon_sym_declare] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_protected] = ACTIONS(2928),
    [anon_sym_override] = ACTIONS(2928),
    [anon_sym_module] = ACTIONS(2928),
    [anon_sym_any] = ACTIONS(2928),
    [anon_sym_number] = ACTIONS(2928),
    [anon_sym_boolean] = ACTIONS(2928),
    [anon_sym_string] = ACTIONS(2928),
    [anon_sym_symbol] = ACTIONS(2928),
    [anon_sym_object] = ACTIONS(2928),
    [anon_sym_abstract] = ACTIONS(2928),
    [anon_sym_interface] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [sym_html_comment] = ACTIONS(5),
  },
  [907] = {
    [ts_builtin_sym_end] = ACTIONS(2930),
    [sym_identifier] = ACTIONS(2932),
    [anon_sym_export] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_type] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_RBRACE] = ACTIONS(2930),
    [anon_sym_typeof] = ACTIONS(2932),
    [anon_sym_import] = ACTIONS(2932),
    [anon_sym_with] = ACTIONS(2932),
    [anon_sym_var] = ACTIONS(2932),
    [anon_sym_let] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_else] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_LPAREN] = ACTIONS(2930),
    [anon_sym_await] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_debugger] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_yield] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2930),
    [sym_glimmer_opening_tag] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_async] = ACTIONS(2932),
    [anon_sym_function] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_SLASH] = ACTIONS(2932),
    [anon_sym_LT] = ACTIONS(2932),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_void] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2930),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [sym_this] = ACTIONS(2932),
    [sym_super] = ACTIONS(2932),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [sym_null] = ACTIONS(2932),
    [sym_undefined] = ACTIONS(2932),
    [anon_sym_AT] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_readonly] = ACTIONS(2932),
    [anon_sym_get] = ACTIONS(2932),
    [anon_sym_set] = ACTIONS(2932),
    [anon_sym_declare] = ACTIONS(2932),
    [anon_sym_public] = ACTIONS(2932),
    [anon_sym_private] = ACTIONS(2932),
    [anon_sym_protected] = ACTIONS(2932),
    [anon_sym_override] = ACTIONS(2932),
    [anon_sym_module] = ACTIONS(2932),
    [anon_sym_any] = ACTIONS(2932),
    [anon_sym_number] = ACTIONS(2932),
    [anon_sym_boolean] = ACTIONS(2932),
    [anon_sym_string] = ACTIONS(2932),
    [anon_sym_symbol] = ACTIONS(2932),
    [anon_sym_object] = ACTIONS(2932),
    [anon_sym_abstract] = ACTIONS(2932),
    [anon_sym_interface] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [sym_html_comment] = ACTIONS(5),
  },
  [908] = {
    [ts_builtin_sym_end] = ACTIONS(2934),
    [sym_identifier] = ACTIONS(2936),
    [anon_sym_export] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_type] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_RBRACE] = ACTIONS(2934),
    [anon_sym_typeof] = ACTIONS(2936),
    [anon_sym_import] = ACTIONS(2936),
    [anon_sym_with] = ACTIONS(2936),
    [anon_sym_var] = ACTIONS(2936),
    [anon_sym_let] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_else] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_LPAREN] = ACTIONS(2934),
    [anon_sym_await] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_debugger] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_yield] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2934),
    [sym_glimmer_opening_tag] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_async] = ACTIONS(2936),
    [anon_sym_function] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_SLASH] = ACTIONS(2936),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_void] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2934),
    [sym_number] = ACTIONS(2934),
    [sym_private_property_identifier] = ACTIONS(2934),
    [sym_this] = ACTIONS(2936),
    [sym_super] = ACTIONS(2936),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [sym_null] = ACTIONS(2936),
    [sym_undefined] = ACTIONS(2936),
    [anon_sym_AT] = ACTIONS(2934),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_readonly] = ACTIONS(2936),
    [anon_sym_get] = ACTIONS(2936),
    [anon_sym_set] = ACTIONS(2936),
    [anon_sym_declare] = ACTIONS(2936),
    [anon_sym_public] = ACTIONS(2936),
    [anon_sym_private] = ACTIONS(2936),
    [anon_sym_protected] = ACTIONS(2936),
    [anon_sym_override] = ACTIONS(2936),
    [anon_sym_module] = ACTIONS(2936),
    [anon_sym_any] = ACTIONS(2936),
    [anon_sym_number] = ACTIONS(2936),
    [anon_sym_boolean] = ACTIONS(2936),
    [anon_sym_string] = ACTIONS(2936),
    [anon_sym_symbol] = ACTIONS(2936),
    [anon_sym_object] = ACTIONS(2936),
    [anon_sym_abstract] = ACTIONS(2936),
    [anon_sym_interface] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [sym_html_comment] = ACTIONS(5),
  },
  [909] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_rest_pattern] = STATE(5898),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(6037),
    [sym_optional_tuple_parameter] = STATE(6037),
    [sym_optional_type] = STATE(6037),
    [sym_rest_type] = STATE(6037),
    [sym__tuple_type_member] = STATE(6037),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [910] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_rest_pattern] = STATE(5898),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(6037),
    [sym_optional_tuple_parameter] = STATE(6037),
    [sym_optional_type] = STATE(6037),
    [sym_rest_type] = STATE(6037),
    [sym__tuple_type_member] = STATE(6037),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(2940),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [911] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_rest_pattern] = STATE(5898),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(6037),
    [sym_optional_tuple_parameter] = STATE(6037),
    [sym_optional_type] = STATE(6037),
    [sym_rest_type] = STATE(6037),
    [sym__tuple_type_member] = STATE(6037),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [912] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_rest_pattern] = STATE(5898),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(6037),
    [sym_optional_tuple_parameter] = STATE(6037),
    [sym_optional_type] = STATE(6037),
    [sym_rest_type] = STATE(6037),
    [sym__tuple_type_member] = STATE(6037),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(2944),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [913] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_rest_pattern] = STATE(5898),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(6037),
    [sym_optional_tuple_parameter] = STATE(6037),
    [sym_optional_type] = STATE(6037),
    [sym_rest_type] = STATE(6037),
    [sym__tuple_type_member] = STATE(6037),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [914] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_rest_pattern] = STATE(5898),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(6037),
    [sym_optional_tuple_parameter] = STATE(6037),
    [sym_optional_type] = STATE(6037),
    [sym_rest_type] = STATE(6037),
    [sym__tuple_type_member] = STATE(6037),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(2948),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [915] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_rest_pattern] = STATE(5898),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(6037),
    [sym_optional_tuple_parameter] = STATE(6037),
    [sym_optional_type] = STATE(6037),
    [sym_rest_type] = STATE(6037),
    [sym__tuple_type_member] = STATE(6037),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [916] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_rest_pattern] = STATE(5898),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(6037),
    [sym_optional_tuple_parameter] = STATE(6037),
    [sym_optional_type] = STATE(6037),
    [sym_rest_type] = STATE(6037),
    [sym__tuple_type_member] = STATE(6037),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(2952),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [917] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_rest_pattern] = STATE(5898),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(6037),
    [sym_optional_tuple_parameter] = STATE(6037),
    [sym_optional_type] = STATE(6037),
    [sym_rest_type] = STATE(6037),
    [sym__tuple_type_member] = STATE(6037),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [918] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_rest_pattern] = STATE(5898),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(6037),
    [sym_optional_tuple_parameter] = STATE(6037),
    [sym_optional_type] = STATE(6037),
    [sym_rest_type] = STATE(6037),
    [sym__tuple_type_member] = STATE(6037),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(2956),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [919] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_rest_pattern] = STATE(5898),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4062),
    [sym_tuple_parameter] = STATE(6037),
    [sym_optional_tuple_parameter] = STATE(6037),
    [sym_optional_type] = STATE(6037),
    [sym_rest_type] = STATE(6037),
    [sym__tuple_type_member] = STATE(6037),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [920] = {
    [sym_identifier] = ACTIONS(2958),
    [anon_sym_export] = ACTIONS(2958),
    [anon_sym_type] = ACTIONS(2958),
    [anon_sym_namespace] = ACTIONS(2958),
    [anon_sym_LBRACE] = ACTIONS(2960),
    [anon_sym_typeof] = ACTIONS(2958),
    [anon_sym_import] = ACTIONS(2958),
    [anon_sym_with] = ACTIONS(2958),
    [anon_sym_var] = ACTIONS(2958),
    [anon_sym_let] = ACTIONS(2958),
    [anon_sym_const] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_switch] = ACTIONS(2958),
    [anon_sym_for] = ACTIONS(2958),
    [anon_sym_LPAREN] = ACTIONS(2960),
    [anon_sym_await] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2958),
    [anon_sym_do] = ACTIONS(2958),
    [anon_sym_try] = ACTIONS(2958),
    [anon_sym_break] = ACTIONS(2958),
    [anon_sym_continue] = ACTIONS(2958),
    [anon_sym_debugger] = ACTIONS(2958),
    [anon_sym_return] = ACTIONS(2958),
    [anon_sym_throw] = ACTIONS(2958),
    [anon_sym_SEMI] = ACTIONS(2960),
    [anon_sym_yield] = ACTIONS(2958),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [sym_glimmer_opening_tag] = ACTIONS(2960),
    [anon_sym_DQUOTE] = ACTIONS(2960),
    [anon_sym_SQUOTE] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2958),
    [anon_sym_async] = ACTIONS(2958),
    [anon_sym_function] = ACTIONS(2958),
    [anon_sym_new] = ACTIONS(2958),
    [anon_sym_using] = ACTIONS(2958),
    [anon_sym_PLUS] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2958),
    [anon_sym_SLASH] = ACTIONS(2958),
    [anon_sym_LT] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_void] = ACTIONS(2958),
    [anon_sym_delete] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2960),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2960),
    [sym_number] = ACTIONS(2960),
    [sym_private_property_identifier] = ACTIONS(2960),
    [sym_this] = ACTIONS(2958),
    [sym_super] = ACTIONS(2958),
    [sym_true] = ACTIONS(2958),
    [sym_false] = ACTIONS(2958),
    [sym_null] = ACTIONS(2958),
    [sym_undefined] = ACTIONS(2958),
    [anon_sym_AT] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2958),
    [anon_sym_readonly] = ACTIONS(2958),
    [anon_sym_get] = ACTIONS(2958),
    [anon_sym_set] = ACTIONS(2958),
    [anon_sym_declare] = ACTIONS(2958),
    [anon_sym_public] = ACTIONS(2958),
    [anon_sym_private] = ACTIONS(2958),
    [anon_sym_protected] = ACTIONS(2958),
    [anon_sym_override] = ACTIONS(2958),
    [anon_sym_module] = ACTIONS(2958),
    [anon_sym_any] = ACTIONS(2958),
    [anon_sym_number] = ACTIONS(2958),
    [anon_sym_boolean] = ACTIONS(2958),
    [anon_sym_string] = ACTIONS(2958),
    [anon_sym_symbol] = ACTIONS(2958),
    [anon_sym_object] = ACTIONS(2958),
    [anon_sym_abstract] = ACTIONS(2958),
    [anon_sym_interface] = ACTIONS(2958),
    [anon_sym_enum] = ACTIONS(2958),
    [sym_html_comment] = ACTIONS(5),
  },
  [921] = {
    [sym_identifier] = ACTIONS(2962),
    [anon_sym_export] = ACTIONS(2962),
    [anon_sym_type] = ACTIONS(2962),
    [anon_sym_namespace] = ACTIONS(2962),
    [anon_sym_LBRACE] = ACTIONS(2964),
    [anon_sym_typeof] = ACTIONS(2962),
    [anon_sym_import] = ACTIONS(2962),
    [anon_sym_with] = ACTIONS(2962),
    [anon_sym_var] = ACTIONS(2962),
    [anon_sym_let] = ACTIONS(2962),
    [anon_sym_const] = ACTIONS(2962),
    [anon_sym_BANG] = ACTIONS(2964),
    [anon_sym_if] = ACTIONS(2962),
    [anon_sym_switch] = ACTIONS(2962),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_LPAREN] = ACTIONS(2964),
    [anon_sym_await] = ACTIONS(2962),
    [anon_sym_while] = ACTIONS(2962),
    [anon_sym_do] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2962),
    [anon_sym_break] = ACTIONS(2962),
    [anon_sym_continue] = ACTIONS(2962),
    [anon_sym_debugger] = ACTIONS(2962),
    [anon_sym_return] = ACTIONS(2962),
    [anon_sym_throw] = ACTIONS(2962),
    [anon_sym_SEMI] = ACTIONS(2964),
    [anon_sym_yield] = ACTIONS(2962),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [sym_glimmer_opening_tag] = ACTIONS(2964),
    [anon_sym_DQUOTE] = ACTIONS(2964),
    [anon_sym_SQUOTE] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2962),
    [anon_sym_async] = ACTIONS(2962),
    [anon_sym_function] = ACTIONS(2962),
    [anon_sym_new] = ACTIONS(2962),
    [anon_sym_using] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_SLASH] = ACTIONS(2962),
    [anon_sym_LT] = ACTIONS(2962),
    [anon_sym_TILDE] = ACTIONS(2964),
    [anon_sym_void] = ACTIONS(2962),
    [anon_sym_delete] = ACTIONS(2962),
    [anon_sym_PLUS_PLUS] = ACTIONS(2964),
    [anon_sym_DASH_DASH] = ACTIONS(2964),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2964),
    [sym_number] = ACTIONS(2964),
    [sym_private_property_identifier] = ACTIONS(2964),
    [sym_this] = ACTIONS(2962),
    [sym_super] = ACTIONS(2962),
    [sym_true] = ACTIONS(2962),
    [sym_false] = ACTIONS(2962),
    [sym_null] = ACTIONS(2962),
    [sym_undefined] = ACTIONS(2962),
    [anon_sym_AT] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2962),
    [anon_sym_readonly] = ACTIONS(2962),
    [anon_sym_get] = ACTIONS(2962),
    [anon_sym_set] = ACTIONS(2962),
    [anon_sym_declare] = ACTIONS(2962),
    [anon_sym_public] = ACTIONS(2962),
    [anon_sym_private] = ACTIONS(2962),
    [anon_sym_protected] = ACTIONS(2962),
    [anon_sym_override] = ACTIONS(2962),
    [anon_sym_module] = ACTIONS(2962),
    [anon_sym_any] = ACTIONS(2962),
    [anon_sym_number] = ACTIONS(2962),
    [anon_sym_boolean] = ACTIONS(2962),
    [anon_sym_string] = ACTIONS(2962),
    [anon_sym_symbol] = ACTIONS(2962),
    [anon_sym_object] = ACTIONS(2962),
    [anon_sym_abstract] = ACTIONS(2962),
    [anon_sym_interface] = ACTIONS(2962),
    [anon_sym_enum] = ACTIONS(2962),
    [sym_html_comment] = ACTIONS(5),
  },
  [922] = {
    [sym_identifier] = ACTIONS(2958),
    [anon_sym_export] = ACTIONS(2958),
    [anon_sym_type] = ACTIONS(2958),
    [anon_sym_namespace] = ACTIONS(2958),
    [anon_sym_LBRACE] = ACTIONS(2960),
    [anon_sym_typeof] = ACTIONS(2958),
    [anon_sym_import] = ACTIONS(2958),
    [anon_sym_with] = ACTIONS(2958),
    [anon_sym_var] = ACTIONS(2958),
    [anon_sym_let] = ACTIONS(2958),
    [anon_sym_const] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_switch] = ACTIONS(2958),
    [anon_sym_for] = ACTIONS(2958),
    [anon_sym_LPAREN] = ACTIONS(2960),
    [anon_sym_await] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2958),
    [anon_sym_do] = ACTIONS(2958),
    [anon_sym_try] = ACTIONS(2958),
    [anon_sym_break] = ACTIONS(2958),
    [anon_sym_continue] = ACTIONS(2958),
    [anon_sym_debugger] = ACTIONS(2958),
    [anon_sym_return] = ACTIONS(2958),
    [anon_sym_throw] = ACTIONS(2958),
    [anon_sym_SEMI] = ACTIONS(2960),
    [anon_sym_yield] = ACTIONS(2958),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [sym_glimmer_opening_tag] = ACTIONS(2960),
    [anon_sym_DQUOTE] = ACTIONS(2960),
    [anon_sym_SQUOTE] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2958),
    [anon_sym_async] = ACTIONS(2958),
    [anon_sym_function] = ACTIONS(2958),
    [anon_sym_new] = ACTIONS(2958),
    [anon_sym_using] = ACTIONS(2958),
    [anon_sym_PLUS] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2958),
    [anon_sym_SLASH] = ACTIONS(2958),
    [anon_sym_LT] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_void] = ACTIONS(2958),
    [anon_sym_delete] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2960),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2960),
    [sym_number] = ACTIONS(2960),
    [sym_private_property_identifier] = ACTIONS(2960),
    [sym_this] = ACTIONS(2958),
    [sym_super] = ACTIONS(2958),
    [sym_true] = ACTIONS(2958),
    [sym_false] = ACTIONS(2958),
    [sym_null] = ACTIONS(2958),
    [sym_undefined] = ACTIONS(2958),
    [anon_sym_AT] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2958),
    [anon_sym_readonly] = ACTIONS(2958),
    [anon_sym_get] = ACTIONS(2958),
    [anon_sym_set] = ACTIONS(2958),
    [anon_sym_declare] = ACTIONS(2958),
    [anon_sym_public] = ACTIONS(2958),
    [anon_sym_private] = ACTIONS(2958),
    [anon_sym_protected] = ACTIONS(2958),
    [anon_sym_override] = ACTIONS(2958),
    [anon_sym_module] = ACTIONS(2958),
    [anon_sym_any] = ACTIONS(2958),
    [anon_sym_number] = ACTIONS(2958),
    [anon_sym_boolean] = ACTIONS(2958),
    [anon_sym_string] = ACTIONS(2958),
    [anon_sym_symbol] = ACTIONS(2958),
    [anon_sym_object] = ACTIONS(2958),
    [anon_sym_abstract] = ACTIONS(2958),
    [anon_sym_interface] = ACTIONS(2958),
    [anon_sym_enum] = ACTIONS(2958),
    [sym_html_comment] = ACTIONS(5),
  },
  [923] = {
    [sym_identifier] = ACTIONS(2958),
    [anon_sym_export] = ACTIONS(2958),
    [anon_sym_type] = ACTIONS(2958),
    [anon_sym_namespace] = ACTIONS(2958),
    [anon_sym_LBRACE] = ACTIONS(2960),
    [anon_sym_typeof] = ACTIONS(2958),
    [anon_sym_import] = ACTIONS(2958),
    [anon_sym_with] = ACTIONS(2958),
    [anon_sym_var] = ACTIONS(2958),
    [anon_sym_let] = ACTIONS(2958),
    [anon_sym_const] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_switch] = ACTIONS(2958),
    [anon_sym_for] = ACTIONS(2958),
    [anon_sym_LPAREN] = ACTIONS(2960),
    [anon_sym_await] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2958),
    [anon_sym_do] = ACTIONS(2958),
    [anon_sym_try] = ACTIONS(2958),
    [anon_sym_break] = ACTIONS(2958),
    [anon_sym_continue] = ACTIONS(2958),
    [anon_sym_debugger] = ACTIONS(2958),
    [anon_sym_return] = ACTIONS(2958),
    [anon_sym_throw] = ACTIONS(2958),
    [anon_sym_SEMI] = ACTIONS(2960),
    [anon_sym_yield] = ACTIONS(2958),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [sym_glimmer_opening_tag] = ACTIONS(2960),
    [anon_sym_DQUOTE] = ACTIONS(2960),
    [anon_sym_SQUOTE] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2958),
    [anon_sym_async] = ACTIONS(2958),
    [anon_sym_function] = ACTIONS(2958),
    [anon_sym_new] = ACTIONS(2958),
    [anon_sym_using] = ACTIONS(2958),
    [anon_sym_PLUS] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2958),
    [anon_sym_SLASH] = ACTIONS(2958),
    [anon_sym_LT] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_void] = ACTIONS(2958),
    [anon_sym_delete] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2960),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2960),
    [sym_number] = ACTIONS(2960),
    [sym_private_property_identifier] = ACTIONS(2960),
    [sym_this] = ACTIONS(2958),
    [sym_super] = ACTIONS(2958),
    [sym_true] = ACTIONS(2958),
    [sym_false] = ACTIONS(2958),
    [sym_null] = ACTIONS(2958),
    [sym_undefined] = ACTIONS(2958),
    [anon_sym_AT] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2958),
    [anon_sym_readonly] = ACTIONS(2958),
    [anon_sym_get] = ACTIONS(2958),
    [anon_sym_set] = ACTIONS(2958),
    [anon_sym_declare] = ACTIONS(2958),
    [anon_sym_public] = ACTIONS(2958),
    [anon_sym_private] = ACTIONS(2958),
    [anon_sym_protected] = ACTIONS(2958),
    [anon_sym_override] = ACTIONS(2958),
    [anon_sym_module] = ACTIONS(2958),
    [anon_sym_any] = ACTIONS(2958),
    [anon_sym_number] = ACTIONS(2958),
    [anon_sym_boolean] = ACTIONS(2958),
    [anon_sym_string] = ACTIONS(2958),
    [anon_sym_symbol] = ACTIONS(2958),
    [anon_sym_object] = ACTIONS(2958),
    [anon_sym_abstract] = ACTIONS(2958),
    [anon_sym_interface] = ACTIONS(2958),
    [anon_sym_enum] = ACTIONS(2958),
    [sym_html_comment] = ACTIONS(5),
  },
  [924] = {
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_export] = ACTIONS(2516),
    [anon_sym_type] = ACTIONS(2516),
    [anon_sym_namespace] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_typeof] = ACTIONS(2516),
    [anon_sym_import] = ACTIONS(2516),
    [anon_sym_with] = ACTIONS(2516),
    [anon_sym_var] = ACTIONS(2516),
    [anon_sym_let] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_await] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_debugger] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_throw] = ACTIONS(2516),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym_yield] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [sym_glimmer_opening_tag] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_async] = ACTIONS(2516),
    [anon_sym_function] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_SLASH] = ACTIONS(2516),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_void] = ACTIONS(2516),
    [anon_sym_delete] = ACTIONS(2516),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2514),
    [sym_number] = ACTIONS(2514),
    [sym_private_property_identifier] = ACTIONS(2514),
    [sym_this] = ACTIONS(2516),
    [sym_super] = ACTIONS(2516),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [sym_null] = ACTIONS(2516),
    [sym_undefined] = ACTIONS(2516),
    [anon_sym_AT] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_readonly] = ACTIONS(2516),
    [anon_sym_get] = ACTIONS(2516),
    [anon_sym_set] = ACTIONS(2516),
    [anon_sym_declare] = ACTIONS(2516),
    [anon_sym_public] = ACTIONS(2516),
    [anon_sym_private] = ACTIONS(2516),
    [anon_sym_protected] = ACTIONS(2516),
    [anon_sym_override] = ACTIONS(2516),
    [anon_sym_module] = ACTIONS(2516),
    [anon_sym_any] = ACTIONS(2516),
    [anon_sym_number] = ACTIONS(2516),
    [anon_sym_boolean] = ACTIONS(2516),
    [anon_sym_string] = ACTIONS(2516),
    [anon_sym_symbol] = ACTIONS(2516),
    [anon_sym_object] = ACTIONS(2516),
    [anon_sym_abstract] = ACTIONS(2516),
    [anon_sym_interface] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [sym_html_comment] = ACTIONS(5),
  },
  [925] = {
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2966),
    [anon_sym_type] = ACTIONS(2966),
    [anon_sym_namespace] = ACTIONS(2966),
    [anon_sym_LBRACE] = ACTIONS(2968),
    [anon_sym_typeof] = ACTIONS(2966),
    [anon_sym_import] = ACTIONS(2966),
    [anon_sym_with] = ACTIONS(2966),
    [anon_sym_var] = ACTIONS(2966),
    [anon_sym_let] = ACTIONS(2966),
    [anon_sym_const] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2968),
    [anon_sym_if] = ACTIONS(2966),
    [anon_sym_switch] = ACTIONS(2966),
    [anon_sym_for] = ACTIONS(2966),
    [anon_sym_LPAREN] = ACTIONS(2968),
    [anon_sym_await] = ACTIONS(2966),
    [anon_sym_while] = ACTIONS(2966),
    [anon_sym_do] = ACTIONS(2966),
    [anon_sym_try] = ACTIONS(2966),
    [anon_sym_break] = ACTIONS(2966),
    [anon_sym_continue] = ACTIONS(2966),
    [anon_sym_debugger] = ACTIONS(2966),
    [anon_sym_return] = ACTIONS(2966),
    [anon_sym_throw] = ACTIONS(2966),
    [anon_sym_SEMI] = ACTIONS(2968),
    [anon_sym_yield] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [sym_glimmer_opening_tag] = ACTIONS(2968),
    [anon_sym_DQUOTE] = ACTIONS(2968),
    [anon_sym_SQUOTE] = ACTIONS(2968),
    [anon_sym_class] = ACTIONS(2966),
    [anon_sym_async] = ACTIONS(2966),
    [anon_sym_function] = ACTIONS(2966),
    [anon_sym_new] = ACTIONS(2966),
    [anon_sym_using] = ACTIONS(2966),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_SLASH] = ACTIONS(2966),
    [anon_sym_LT] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2968),
    [anon_sym_void] = ACTIONS(2966),
    [anon_sym_delete] = ACTIONS(2966),
    [anon_sym_PLUS_PLUS] = ACTIONS(2968),
    [anon_sym_DASH_DASH] = ACTIONS(2968),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2968),
    [sym_number] = ACTIONS(2968),
    [sym_private_property_identifier] = ACTIONS(2968),
    [sym_this] = ACTIONS(2966),
    [sym_super] = ACTIONS(2966),
    [sym_true] = ACTIONS(2966),
    [sym_false] = ACTIONS(2966),
    [sym_null] = ACTIONS(2966),
    [sym_undefined] = ACTIONS(2966),
    [anon_sym_AT] = ACTIONS(2968),
    [anon_sym_static] = ACTIONS(2966),
    [anon_sym_readonly] = ACTIONS(2966),
    [anon_sym_get] = ACTIONS(2966),
    [anon_sym_set] = ACTIONS(2966),
    [anon_sym_declare] = ACTIONS(2966),
    [anon_sym_public] = ACTIONS(2966),
    [anon_sym_private] = ACTIONS(2966),
    [anon_sym_protected] = ACTIONS(2966),
    [anon_sym_override] = ACTIONS(2966),
    [anon_sym_module] = ACTIONS(2966),
    [anon_sym_any] = ACTIONS(2966),
    [anon_sym_number] = ACTIONS(2966),
    [anon_sym_boolean] = ACTIONS(2966),
    [anon_sym_string] = ACTIONS(2966),
    [anon_sym_symbol] = ACTIONS(2966),
    [anon_sym_object] = ACTIONS(2966),
    [anon_sym_abstract] = ACTIONS(2966),
    [anon_sym_interface] = ACTIONS(2966),
    [anon_sym_enum] = ACTIONS(2966),
    [sym_html_comment] = ACTIONS(5),
  },
  [926] = {
    [sym_identifier] = ACTIONS(2958),
    [anon_sym_export] = ACTIONS(2958),
    [anon_sym_type] = ACTIONS(2958),
    [anon_sym_namespace] = ACTIONS(2958),
    [anon_sym_LBRACE] = ACTIONS(2960),
    [anon_sym_typeof] = ACTIONS(2958),
    [anon_sym_import] = ACTIONS(2958),
    [anon_sym_with] = ACTIONS(2958),
    [anon_sym_var] = ACTIONS(2958),
    [anon_sym_let] = ACTIONS(2958),
    [anon_sym_const] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_switch] = ACTIONS(2958),
    [anon_sym_for] = ACTIONS(2958),
    [anon_sym_LPAREN] = ACTIONS(2960),
    [anon_sym_await] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2958),
    [anon_sym_do] = ACTIONS(2958),
    [anon_sym_try] = ACTIONS(2958),
    [anon_sym_break] = ACTIONS(2958),
    [anon_sym_continue] = ACTIONS(2958),
    [anon_sym_debugger] = ACTIONS(2958),
    [anon_sym_return] = ACTIONS(2958),
    [anon_sym_throw] = ACTIONS(2958),
    [anon_sym_SEMI] = ACTIONS(2960),
    [anon_sym_yield] = ACTIONS(2958),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [sym_glimmer_opening_tag] = ACTIONS(2960),
    [anon_sym_DQUOTE] = ACTIONS(2960),
    [anon_sym_SQUOTE] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2958),
    [anon_sym_async] = ACTIONS(2958),
    [anon_sym_function] = ACTIONS(2958),
    [anon_sym_new] = ACTIONS(2958),
    [anon_sym_using] = ACTIONS(2958),
    [anon_sym_PLUS] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2958),
    [anon_sym_SLASH] = ACTIONS(2958),
    [anon_sym_LT] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_void] = ACTIONS(2958),
    [anon_sym_delete] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2960),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2960),
    [sym_number] = ACTIONS(2960),
    [sym_private_property_identifier] = ACTIONS(2960),
    [sym_this] = ACTIONS(2958),
    [sym_super] = ACTIONS(2958),
    [sym_true] = ACTIONS(2958),
    [sym_false] = ACTIONS(2958),
    [sym_null] = ACTIONS(2958),
    [sym_undefined] = ACTIONS(2958),
    [anon_sym_AT] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2958),
    [anon_sym_readonly] = ACTIONS(2958),
    [anon_sym_get] = ACTIONS(2958),
    [anon_sym_set] = ACTIONS(2958),
    [anon_sym_declare] = ACTIONS(2958),
    [anon_sym_public] = ACTIONS(2958),
    [anon_sym_private] = ACTIONS(2958),
    [anon_sym_protected] = ACTIONS(2958),
    [anon_sym_override] = ACTIONS(2958),
    [anon_sym_module] = ACTIONS(2958),
    [anon_sym_any] = ACTIONS(2958),
    [anon_sym_number] = ACTIONS(2958),
    [anon_sym_boolean] = ACTIONS(2958),
    [anon_sym_string] = ACTIONS(2958),
    [anon_sym_symbol] = ACTIONS(2958),
    [anon_sym_object] = ACTIONS(2958),
    [anon_sym_abstract] = ACTIONS(2958),
    [anon_sym_interface] = ACTIONS(2958),
    [anon_sym_enum] = ACTIONS(2958),
    [sym_html_comment] = ACTIONS(5),
  },
  [927] = {
    [sym_identifier] = ACTIONS(2958),
    [anon_sym_export] = ACTIONS(2958),
    [anon_sym_type] = ACTIONS(2958),
    [anon_sym_namespace] = ACTIONS(2958),
    [anon_sym_LBRACE] = ACTIONS(2960),
    [anon_sym_typeof] = ACTIONS(2958),
    [anon_sym_import] = ACTIONS(2958),
    [anon_sym_with] = ACTIONS(2958),
    [anon_sym_var] = ACTIONS(2958),
    [anon_sym_let] = ACTIONS(2958),
    [anon_sym_const] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_switch] = ACTIONS(2958),
    [anon_sym_for] = ACTIONS(2958),
    [anon_sym_LPAREN] = ACTIONS(2960),
    [anon_sym_await] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2958),
    [anon_sym_do] = ACTIONS(2958),
    [anon_sym_try] = ACTIONS(2958),
    [anon_sym_break] = ACTIONS(2958),
    [anon_sym_continue] = ACTIONS(2958),
    [anon_sym_debugger] = ACTIONS(2958),
    [anon_sym_return] = ACTIONS(2958),
    [anon_sym_throw] = ACTIONS(2958),
    [anon_sym_SEMI] = ACTIONS(2960),
    [anon_sym_yield] = ACTIONS(2958),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [sym_glimmer_opening_tag] = ACTIONS(2960),
    [anon_sym_DQUOTE] = ACTIONS(2960),
    [anon_sym_SQUOTE] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2958),
    [anon_sym_async] = ACTIONS(2958),
    [anon_sym_function] = ACTIONS(2958),
    [anon_sym_new] = ACTIONS(2958),
    [anon_sym_using] = ACTIONS(2958),
    [anon_sym_PLUS] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2958),
    [anon_sym_SLASH] = ACTIONS(2958),
    [anon_sym_LT] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_void] = ACTIONS(2958),
    [anon_sym_delete] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2960),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2960),
    [sym_number] = ACTIONS(2960),
    [sym_private_property_identifier] = ACTIONS(2960),
    [sym_this] = ACTIONS(2958),
    [sym_super] = ACTIONS(2958),
    [sym_true] = ACTIONS(2958),
    [sym_false] = ACTIONS(2958),
    [sym_null] = ACTIONS(2958),
    [sym_undefined] = ACTIONS(2958),
    [anon_sym_AT] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2958),
    [anon_sym_readonly] = ACTIONS(2958),
    [anon_sym_get] = ACTIONS(2958),
    [anon_sym_set] = ACTIONS(2958),
    [anon_sym_declare] = ACTIONS(2958),
    [anon_sym_public] = ACTIONS(2958),
    [anon_sym_private] = ACTIONS(2958),
    [anon_sym_protected] = ACTIONS(2958),
    [anon_sym_override] = ACTIONS(2958),
    [anon_sym_module] = ACTIONS(2958),
    [anon_sym_any] = ACTIONS(2958),
    [anon_sym_number] = ACTIONS(2958),
    [anon_sym_boolean] = ACTIONS(2958),
    [anon_sym_string] = ACTIONS(2958),
    [anon_sym_symbol] = ACTIONS(2958),
    [anon_sym_object] = ACTIONS(2958),
    [anon_sym_abstract] = ACTIONS(2958),
    [anon_sym_interface] = ACTIONS(2958),
    [anon_sym_enum] = ACTIONS(2958),
    [sym_html_comment] = ACTIONS(5),
  },
  [928] = {
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_export] = ACTIONS(2524),
    [anon_sym_type] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_typeof] = ACTIONS(2524),
    [anon_sym_import] = ACTIONS(2524),
    [anon_sym_with] = ACTIONS(2524),
    [anon_sym_var] = ACTIONS(2524),
    [anon_sym_let] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2522),
    [anon_sym_await] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_debugger] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym_yield] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [sym_glimmer_opening_tag] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_void] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2522),
    [sym_number] = ACTIONS(2522),
    [sym_private_property_identifier] = ACTIONS(2522),
    [sym_this] = ACTIONS(2524),
    [sym_super] = ACTIONS(2524),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [sym_null] = ACTIONS(2524),
    [sym_undefined] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_readonly] = ACTIONS(2524),
    [anon_sym_get] = ACTIONS(2524),
    [anon_sym_set] = ACTIONS(2524),
    [anon_sym_declare] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_override] = ACTIONS(2524),
    [anon_sym_module] = ACTIONS(2524),
    [anon_sym_any] = ACTIONS(2524),
    [anon_sym_number] = ACTIONS(2524),
    [anon_sym_boolean] = ACTIONS(2524),
    [anon_sym_string] = ACTIONS(2524),
    [anon_sym_symbol] = ACTIONS(2524),
    [anon_sym_object] = ACTIONS(2524),
    [anon_sym_abstract] = ACTIONS(2524),
    [anon_sym_interface] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [sym_html_comment] = ACTIONS(5),
  },
  [929] = {
    [sym_identifier] = ACTIONS(2958),
    [anon_sym_export] = ACTIONS(2958),
    [anon_sym_type] = ACTIONS(2958),
    [anon_sym_namespace] = ACTIONS(2958),
    [anon_sym_LBRACE] = ACTIONS(2960),
    [anon_sym_typeof] = ACTIONS(2958),
    [anon_sym_import] = ACTIONS(2958),
    [anon_sym_with] = ACTIONS(2958),
    [anon_sym_var] = ACTIONS(2958),
    [anon_sym_let] = ACTIONS(2958),
    [anon_sym_const] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_switch] = ACTIONS(2958),
    [anon_sym_for] = ACTIONS(2958),
    [anon_sym_LPAREN] = ACTIONS(2960),
    [anon_sym_await] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2958),
    [anon_sym_do] = ACTIONS(2958),
    [anon_sym_try] = ACTIONS(2958),
    [anon_sym_break] = ACTIONS(2958),
    [anon_sym_continue] = ACTIONS(2958),
    [anon_sym_debugger] = ACTIONS(2958),
    [anon_sym_return] = ACTIONS(2958),
    [anon_sym_throw] = ACTIONS(2958),
    [anon_sym_SEMI] = ACTIONS(2960),
    [anon_sym_yield] = ACTIONS(2958),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [sym_glimmer_opening_tag] = ACTIONS(2960),
    [anon_sym_DQUOTE] = ACTIONS(2960),
    [anon_sym_SQUOTE] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2958),
    [anon_sym_async] = ACTIONS(2958),
    [anon_sym_function] = ACTIONS(2958),
    [anon_sym_new] = ACTIONS(2958),
    [anon_sym_using] = ACTIONS(2958),
    [anon_sym_PLUS] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2958),
    [anon_sym_SLASH] = ACTIONS(2958),
    [anon_sym_LT] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_void] = ACTIONS(2958),
    [anon_sym_delete] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2960),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2960),
    [sym_number] = ACTIONS(2960),
    [sym_private_property_identifier] = ACTIONS(2960),
    [sym_this] = ACTIONS(2958),
    [sym_super] = ACTIONS(2958),
    [sym_true] = ACTIONS(2958),
    [sym_false] = ACTIONS(2958),
    [sym_null] = ACTIONS(2958),
    [sym_undefined] = ACTIONS(2958),
    [anon_sym_AT] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2958),
    [anon_sym_readonly] = ACTIONS(2958),
    [anon_sym_get] = ACTIONS(2958),
    [anon_sym_set] = ACTIONS(2958),
    [anon_sym_declare] = ACTIONS(2958),
    [anon_sym_public] = ACTIONS(2958),
    [anon_sym_private] = ACTIONS(2958),
    [anon_sym_protected] = ACTIONS(2958),
    [anon_sym_override] = ACTIONS(2958),
    [anon_sym_module] = ACTIONS(2958),
    [anon_sym_any] = ACTIONS(2958),
    [anon_sym_number] = ACTIONS(2958),
    [anon_sym_boolean] = ACTIONS(2958),
    [anon_sym_string] = ACTIONS(2958),
    [anon_sym_symbol] = ACTIONS(2958),
    [anon_sym_object] = ACTIONS(2958),
    [anon_sym_abstract] = ACTIONS(2958),
    [anon_sym_interface] = ACTIONS(2958),
    [anon_sym_enum] = ACTIONS(2958),
    [sym_html_comment] = ACTIONS(5),
  },
  [930] = {
    [sym_identifier] = ACTIONS(2970),
    [anon_sym_export] = ACTIONS(2970),
    [anon_sym_type] = ACTIONS(2970),
    [anon_sym_namespace] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_typeof] = ACTIONS(2970),
    [anon_sym_import] = ACTIONS(2970),
    [anon_sym_with] = ACTIONS(2970),
    [anon_sym_var] = ACTIONS(2970),
    [anon_sym_let] = ACTIONS(2970),
    [anon_sym_const] = ACTIONS(2970),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_if] = ACTIONS(2970),
    [anon_sym_switch] = ACTIONS(2970),
    [anon_sym_for] = ACTIONS(2970),
    [anon_sym_LPAREN] = ACTIONS(2972),
    [anon_sym_await] = ACTIONS(2970),
    [anon_sym_while] = ACTIONS(2970),
    [anon_sym_do] = ACTIONS(2970),
    [anon_sym_try] = ACTIONS(2970),
    [anon_sym_break] = ACTIONS(2970),
    [anon_sym_continue] = ACTIONS(2970),
    [anon_sym_debugger] = ACTIONS(2970),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2970),
    [anon_sym_SEMI] = ACTIONS(2972),
    [anon_sym_yield] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [sym_glimmer_opening_tag] = ACTIONS(2972),
    [anon_sym_DQUOTE] = ACTIONS(2972),
    [anon_sym_SQUOTE] = ACTIONS(2972),
    [anon_sym_class] = ACTIONS(2970),
    [anon_sym_async] = ACTIONS(2970),
    [anon_sym_function] = ACTIONS(2970),
    [anon_sym_new] = ACTIONS(2970),
    [anon_sym_using] = ACTIONS(2970),
    [anon_sym_PLUS] = ACTIONS(2970),
    [anon_sym_DASH] = ACTIONS(2970),
    [anon_sym_SLASH] = ACTIONS(2970),
    [anon_sym_LT] = ACTIONS(2970),
    [anon_sym_TILDE] = ACTIONS(2972),
    [anon_sym_void] = ACTIONS(2970),
    [anon_sym_delete] = ACTIONS(2970),
    [anon_sym_PLUS_PLUS] = ACTIONS(2972),
    [anon_sym_DASH_DASH] = ACTIONS(2972),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2972),
    [sym_number] = ACTIONS(2972),
    [sym_private_property_identifier] = ACTIONS(2972),
    [sym_this] = ACTIONS(2970),
    [sym_super] = ACTIONS(2970),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [sym_null] = ACTIONS(2970),
    [sym_undefined] = ACTIONS(2970),
    [anon_sym_AT] = ACTIONS(2972),
    [anon_sym_static] = ACTIONS(2970),
    [anon_sym_readonly] = ACTIONS(2970),
    [anon_sym_get] = ACTIONS(2970),
    [anon_sym_set] = ACTIONS(2970),
    [anon_sym_declare] = ACTIONS(2970),
    [anon_sym_public] = ACTIONS(2970),
    [anon_sym_private] = ACTIONS(2970),
    [anon_sym_protected] = ACTIONS(2970),
    [anon_sym_override] = ACTIONS(2970),
    [anon_sym_module] = ACTIONS(2970),
    [anon_sym_any] = ACTIONS(2970),
    [anon_sym_number] = ACTIONS(2970),
    [anon_sym_boolean] = ACTIONS(2970),
    [anon_sym_string] = ACTIONS(2970),
    [anon_sym_symbol] = ACTIONS(2970),
    [anon_sym_object] = ACTIONS(2970),
    [anon_sym_abstract] = ACTIONS(2970),
    [anon_sym_interface] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2970),
    [sym_html_comment] = ACTIONS(5),
  },
  [931] = {
    [sym_identifier] = ACTIONS(2958),
    [anon_sym_export] = ACTIONS(2958),
    [anon_sym_type] = ACTIONS(2958),
    [anon_sym_namespace] = ACTIONS(2958),
    [anon_sym_LBRACE] = ACTIONS(2960),
    [anon_sym_typeof] = ACTIONS(2958),
    [anon_sym_import] = ACTIONS(2958),
    [anon_sym_with] = ACTIONS(2958),
    [anon_sym_var] = ACTIONS(2958),
    [anon_sym_let] = ACTIONS(2958),
    [anon_sym_const] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_switch] = ACTIONS(2958),
    [anon_sym_for] = ACTIONS(2958),
    [anon_sym_LPAREN] = ACTIONS(2960),
    [anon_sym_await] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2958),
    [anon_sym_do] = ACTIONS(2958),
    [anon_sym_try] = ACTIONS(2958),
    [anon_sym_break] = ACTIONS(2958),
    [anon_sym_continue] = ACTIONS(2958),
    [anon_sym_debugger] = ACTIONS(2958),
    [anon_sym_return] = ACTIONS(2958),
    [anon_sym_throw] = ACTIONS(2958),
    [anon_sym_SEMI] = ACTIONS(2960),
    [anon_sym_yield] = ACTIONS(2958),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [sym_glimmer_opening_tag] = ACTIONS(2960),
    [anon_sym_DQUOTE] = ACTIONS(2960),
    [anon_sym_SQUOTE] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2958),
    [anon_sym_async] = ACTIONS(2958),
    [anon_sym_function] = ACTIONS(2958),
    [anon_sym_new] = ACTIONS(2958),
    [anon_sym_using] = ACTIONS(2958),
    [anon_sym_PLUS] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2958),
    [anon_sym_SLASH] = ACTIONS(2958),
    [anon_sym_LT] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_void] = ACTIONS(2958),
    [anon_sym_delete] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2960),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2960),
    [sym_number] = ACTIONS(2960),
    [sym_private_property_identifier] = ACTIONS(2960),
    [sym_this] = ACTIONS(2958),
    [sym_super] = ACTIONS(2958),
    [sym_true] = ACTIONS(2958),
    [sym_false] = ACTIONS(2958),
    [sym_null] = ACTIONS(2958),
    [sym_undefined] = ACTIONS(2958),
    [anon_sym_AT] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2958),
    [anon_sym_readonly] = ACTIONS(2958),
    [anon_sym_get] = ACTIONS(2958),
    [anon_sym_set] = ACTIONS(2958),
    [anon_sym_declare] = ACTIONS(2958),
    [anon_sym_public] = ACTIONS(2958),
    [anon_sym_private] = ACTIONS(2958),
    [anon_sym_protected] = ACTIONS(2958),
    [anon_sym_override] = ACTIONS(2958),
    [anon_sym_module] = ACTIONS(2958),
    [anon_sym_any] = ACTIONS(2958),
    [anon_sym_number] = ACTIONS(2958),
    [anon_sym_boolean] = ACTIONS(2958),
    [anon_sym_string] = ACTIONS(2958),
    [anon_sym_symbol] = ACTIONS(2958),
    [anon_sym_object] = ACTIONS(2958),
    [anon_sym_abstract] = ACTIONS(2958),
    [anon_sym_interface] = ACTIONS(2958),
    [anon_sym_enum] = ACTIONS(2958),
    [sym_html_comment] = ACTIONS(5),
  },
  [932] = {
    [sym_identifier] = ACTIONS(2958),
    [anon_sym_export] = ACTIONS(2958),
    [anon_sym_type] = ACTIONS(2958),
    [anon_sym_namespace] = ACTIONS(2958),
    [anon_sym_LBRACE] = ACTIONS(2960),
    [anon_sym_typeof] = ACTIONS(2958),
    [anon_sym_import] = ACTIONS(2958),
    [anon_sym_with] = ACTIONS(2958),
    [anon_sym_var] = ACTIONS(2958),
    [anon_sym_let] = ACTIONS(2958),
    [anon_sym_const] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_switch] = ACTIONS(2958),
    [anon_sym_for] = ACTIONS(2958),
    [anon_sym_LPAREN] = ACTIONS(2960),
    [anon_sym_await] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2958),
    [anon_sym_do] = ACTIONS(2958),
    [anon_sym_try] = ACTIONS(2958),
    [anon_sym_break] = ACTIONS(2958),
    [anon_sym_continue] = ACTIONS(2958),
    [anon_sym_debugger] = ACTIONS(2958),
    [anon_sym_return] = ACTIONS(2958),
    [anon_sym_throw] = ACTIONS(2958),
    [anon_sym_SEMI] = ACTIONS(2960),
    [anon_sym_yield] = ACTIONS(2958),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [sym_glimmer_opening_tag] = ACTIONS(2960),
    [anon_sym_DQUOTE] = ACTIONS(2960),
    [anon_sym_SQUOTE] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2958),
    [anon_sym_async] = ACTIONS(2958),
    [anon_sym_function] = ACTIONS(2958),
    [anon_sym_new] = ACTIONS(2958),
    [anon_sym_using] = ACTIONS(2958),
    [anon_sym_PLUS] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2958),
    [anon_sym_SLASH] = ACTIONS(2958),
    [anon_sym_LT] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_void] = ACTIONS(2958),
    [anon_sym_delete] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2960),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2960),
    [sym_number] = ACTIONS(2960),
    [sym_private_property_identifier] = ACTIONS(2960),
    [sym_this] = ACTIONS(2958),
    [sym_super] = ACTIONS(2958),
    [sym_true] = ACTIONS(2958),
    [sym_false] = ACTIONS(2958),
    [sym_null] = ACTIONS(2958),
    [sym_undefined] = ACTIONS(2958),
    [anon_sym_AT] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2958),
    [anon_sym_readonly] = ACTIONS(2958),
    [anon_sym_get] = ACTIONS(2958),
    [anon_sym_set] = ACTIONS(2958),
    [anon_sym_declare] = ACTIONS(2958),
    [anon_sym_public] = ACTIONS(2958),
    [anon_sym_private] = ACTIONS(2958),
    [anon_sym_protected] = ACTIONS(2958),
    [anon_sym_override] = ACTIONS(2958),
    [anon_sym_module] = ACTIONS(2958),
    [anon_sym_any] = ACTIONS(2958),
    [anon_sym_number] = ACTIONS(2958),
    [anon_sym_boolean] = ACTIONS(2958),
    [anon_sym_string] = ACTIONS(2958),
    [anon_sym_symbol] = ACTIONS(2958),
    [anon_sym_object] = ACTIONS(2958),
    [anon_sym_abstract] = ACTIONS(2958),
    [anon_sym_interface] = ACTIONS(2958),
    [anon_sym_enum] = ACTIONS(2958),
    [sym_html_comment] = ACTIONS(5),
  },
  [933] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_asserts] = STATE(2989),
    [sym_type] = STATE(3133),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_predicate] = STATE(2989),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3094),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2974),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(2976),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_asserts] = ACTIONS(2978),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [934] = {
    [sym_import] = STATE(5414),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6267),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3489),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_asserts] = STATE(2989),
    [sym_type] = STATE(3948),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_predicate] = STATE(2989),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3847),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5999),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(2992),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(2998),
    [anon_sym_asserts] = ACTIONS(3000),
    [anon_sym_infer] = ACTIONS(3002),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [935] = {
    [sym_import] = STATE(5096),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6323),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3194),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3317),
    [sym_asserts] = STATE(4686),
    [sym_type] = STATE(3593),
    [sym_constructor_type] = STATE(3440),
    [sym_primary_type] = STATE(3449),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3440),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_predicate] = STATE(4687),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3332),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5874),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3440),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3440),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3040),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_asserts] = ACTIONS(3050),
    [anon_sym_infer] = ACTIONS(3052),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [936] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_asserts] = STATE(3266),
    [sym_type] = STATE(3267),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_predicate] = STATE(3266),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3187),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(3064),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_asserts] = ACTIONS(3066),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [937] = {
    [sym_import] = STATE(5414),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6267),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3489),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_asserts] = STATE(2990),
    [sym_type] = STATE(3970),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_predicate] = STATE(2990),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3847),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5999),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(2992),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(2998),
    [anon_sym_asserts] = ACTIONS(3000),
    [anon_sym_infer] = ACTIONS(3002),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [938] = {
    [sym_import] = STATE(5694),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6352),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1849),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2056),
    [sym_asserts] = STATE(2015),
    [sym_type] = STATE(2070),
    [sym_constructor_type] = STATE(2057),
    [sym_primary_type] = STATE(2059),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(2057),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_predicate] = STATE(2015),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(1841),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5887),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(2057),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(2057),
    [sym_identifier] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3096),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_asserts] = ACTIONS(3106),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [939] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_asserts] = STATE(2990),
    [sym_type] = STATE(3134),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_predicate] = STATE(2990),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3094),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2974),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(2976),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_asserts] = ACTIONS(2978),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [940] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_asserts] = STATE(3933),
    [sym_type] = STATE(3331),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_predicate] = STATE(3954),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3187),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(3064),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_asserts] = ACTIONS(3066),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [941] = {
    [sym_import] = STATE(5022),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6270),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1502),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1625),
    [sym_asserts] = STATE(1519),
    [sym_type] = STATE(1520),
    [sym_constructor_type] = STATE(1626),
    [sym_primary_type] = STATE(1627),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(1626),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_predicate] = STATE(1519),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5839),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(1626),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(1626),
    [sym_identifier] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3144),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_asserts] = ACTIONS(3154),
    [anon_sym_infer] = ACTIONS(3156),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [942] = {
    [sym_import] = STATE(5022),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6270),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1502),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1625),
    [sym_asserts] = STATE(1547),
    [sym_type] = STATE(1548),
    [sym_constructor_type] = STATE(1626),
    [sym_primary_type] = STATE(1627),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(1626),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_predicate] = STATE(1547),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5839),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(1626),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(1626),
    [sym_identifier] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3144),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_asserts] = ACTIONS(3154),
    [anon_sym_infer] = ACTIONS(3156),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [943] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_asserts] = STATE(6044),
    [sym_type] = STATE(3381),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_predicate] = STATE(5766),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3094),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(2974),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(2976),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_asserts] = ACTIONS(2978),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [944] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_asserts] = STATE(2990),
    [sym_type] = STATE(3851),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_predicate] = STATE(2990),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3576),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(3166),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_asserts] = ACTIONS(3168),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [945] = {
    [sym_import] = STATE(5096),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6323),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3194),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3317),
    [sym_asserts] = STATE(3445),
    [sym_type] = STATE(3447),
    [sym_constructor_type] = STATE(3440),
    [sym_primary_type] = STATE(3449),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3440),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_predicate] = STATE(3445),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3332),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5874),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3440),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3440),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3040),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_asserts] = ACTIONS(3050),
    [anon_sym_infer] = ACTIONS(3052),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [946] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_asserts] = STATE(3259),
    [sym_type] = STATE(3260),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_predicate] = STATE(3259),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3187),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(3064),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_asserts] = ACTIONS(3066),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [947] = {
    [sym_import] = STATE(5096),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6323),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3194),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3317),
    [sym_asserts] = STATE(3498),
    [sym_type] = STATE(3499),
    [sym_constructor_type] = STATE(3440),
    [sym_primary_type] = STATE(3449),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3440),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_predicate] = STATE(3498),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3332),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5874),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3440),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3440),
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3040),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_asserts] = ACTIONS(3050),
    [anon_sym_infer] = ACTIONS(3052),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [948] = {
    [sym_import] = STATE(5694),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6352),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1849),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2056),
    [sym_asserts] = STATE(2095),
    [sym_type] = STATE(2096),
    [sym_constructor_type] = STATE(2057),
    [sym_primary_type] = STATE(2059),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(2057),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_predicate] = STATE(2095),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(1841),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5887),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(2057),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(2057),
    [sym_identifier] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3096),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_asserts] = ACTIONS(3106),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [949] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_asserts] = STATE(2989),
    [sym_type] = STATE(3848),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_predicate] = STATE(2989),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3576),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(3166),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_asserts] = ACTIONS(3168),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [950] = {
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_export] = ACTIONS(3170),
    [anon_sym_type] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_typeof] = ACTIONS(3170),
    [anon_sym_import] = ACTIONS(3170),
    [anon_sym_let] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_RPAREN] = ACTIONS(3172),
    [anon_sym_await] = ACTIONS(3170),
    [anon_sym_COLON] = ACTIONS(3172),
    [anon_sym_yield] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_RBRACK] = ACTIONS(3172),
    [sym_glimmer_opening_tag] = ACTIONS(3172),
    [anon_sym_GT] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_async] = ACTIONS(3170),
    [anon_sym_function] = ACTIONS(3170),
    [anon_sym_EQ_GT] = ACTIONS(3172),
    [anon_sym_QMARK_DOT] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_PIPE] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_void] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3172),
    [sym_number] = ACTIONS(3172),
    [sym_private_property_identifier] = ACTIONS(3172),
    [sym_this] = ACTIONS(3170),
    [sym_super] = ACTIONS(3170),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [sym_null] = ACTIONS(3170),
    [sym_undefined] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_readonly] = ACTIONS(3170),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_QMARK] = ACTIONS(3170),
    [anon_sym_declare] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(3170),
    [anon_sym_any] = ACTIONS(3170),
    [anon_sym_number] = ACTIONS(3170),
    [anon_sym_boolean] = ACTIONS(3170),
    [anon_sym_string] = ACTIONS(3170),
    [anon_sym_symbol] = ACTIONS(3170),
    [anon_sym_object] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_extends] = ACTIONS(3170),
    [sym_html_comment] = ACTIONS(5),
  },
  [951] = {
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_export] = ACTIONS(3174),
    [anon_sym_type] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_COMMA] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_typeof] = ACTIONS(3174),
    [anon_sym_import] = ACTIONS(3174),
    [anon_sym_let] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_RPAREN] = ACTIONS(3176),
    [anon_sym_await] = ACTIONS(3174),
    [anon_sym_COLON] = ACTIONS(3176),
    [anon_sym_yield] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_RBRACK] = ACTIONS(3176),
    [sym_glimmer_opening_tag] = ACTIONS(3176),
    [anon_sym_GT] = ACTIONS(3176),
    [anon_sym_DOT] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_async] = ACTIONS(3174),
    [anon_sym_function] = ACTIONS(3174),
    [anon_sym_EQ_GT] = ACTIONS(3176),
    [anon_sym_QMARK_DOT] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_void] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3176),
    [sym_number] = ACTIONS(3176),
    [sym_private_property_identifier] = ACTIONS(3176),
    [sym_this] = ACTIONS(3174),
    [sym_super] = ACTIONS(3174),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [sym_null] = ACTIONS(3174),
    [sym_undefined] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_readonly] = ACTIONS(3174),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_QMARK] = ACTIONS(3174),
    [anon_sym_declare] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_module] = ACTIONS(3174),
    [anon_sym_any] = ACTIONS(3174),
    [anon_sym_number] = ACTIONS(3174),
    [anon_sym_boolean] = ACTIONS(3174),
    [anon_sym_string] = ACTIONS(3174),
    [anon_sym_symbol] = ACTIONS(3174),
    [anon_sym_object] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_extends] = ACTIONS(3174),
    [sym_html_comment] = ACTIONS(5),
  },
  [952] = {
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_export] = ACTIONS(3178),
    [anon_sym_type] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3178),
    [anon_sym_namespace] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_COMMA] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_typeof] = ACTIONS(3178),
    [anon_sym_import] = ACTIONS(3178),
    [anon_sym_let] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3180),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_RPAREN] = ACTIONS(3180),
    [anon_sym_await] = ACTIONS(3178),
    [anon_sym_COLON] = ACTIONS(3180),
    [anon_sym_yield] = ACTIONS(3178),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_RBRACK] = ACTIONS(3180),
    [sym_glimmer_opening_tag] = ACTIONS(3180),
    [anon_sym_GT] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3178),
    [anon_sym_async] = ACTIONS(3178),
    [anon_sym_function] = ACTIONS(3178),
    [anon_sym_EQ_GT] = ACTIONS(3180),
    [anon_sym_QMARK_DOT] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3178),
    [anon_sym_using] = ACTIONS(3178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_PIPE] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3180),
    [anon_sym_void] = ACTIONS(3178),
    [anon_sym_delete] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3180),
    [sym_number] = ACTIONS(3180),
    [sym_private_property_identifier] = ACTIONS(3180),
    [sym_this] = ACTIONS(3178),
    [sym_super] = ACTIONS(3178),
    [sym_true] = ACTIONS(3178),
    [sym_false] = ACTIONS(3178),
    [sym_null] = ACTIONS(3178),
    [sym_undefined] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3178),
    [anon_sym_readonly] = ACTIONS(3178),
    [anon_sym_get] = ACTIONS(3178),
    [anon_sym_set] = ACTIONS(3178),
    [anon_sym_QMARK] = ACTIONS(3178),
    [anon_sym_declare] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_module] = ACTIONS(3178),
    [anon_sym_any] = ACTIONS(3178),
    [anon_sym_number] = ACTIONS(3178),
    [anon_sym_boolean] = ACTIONS(3178),
    [anon_sym_string] = ACTIONS(3178),
    [anon_sym_symbol] = ACTIONS(3178),
    [anon_sym_object] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_extends] = ACTIONS(3178),
    [sym_html_comment] = ACTIONS(5),
  },
  [953] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3979),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [954] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3979),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(3184),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [955] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4783),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [956] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3979),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [957] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3979),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [958] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3979),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [959] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4708),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [960] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3979),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [961] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3979),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [962] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3979),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [963] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4746),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [964] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3979),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(3204),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [965] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4737),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [966] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3979),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(3208),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [967] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4727),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [968] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3979),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [969] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3979),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [970] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3936),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_type_parameter] = STATE(5256),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [971] = {
    [sym_import] = STATE(5096),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6323),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3194),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3317),
    [sym_type] = STATE(3377),
    [sym_constructor_type] = STATE(3440),
    [sym_primary_type] = STATE(3449),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3440),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3471),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5874),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3440),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3440),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3222),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_infer] = ACTIONS(3052),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [972] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4776),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [973] = {
    [sym_import] = STATE(5694),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6352),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1849),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2056),
    [sym_type] = STATE(2105),
    [sym_constructor_type] = STATE(2057),
    [sym_primary_type] = STATE(2059),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(2057),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(2060),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5887),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(2057),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(2057),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3226),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [974] = {
    [sym_import] = STATE(5694),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6352),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1849),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2056),
    [sym_type] = STATE(2108),
    [sym_constructor_type] = STATE(2057),
    [sym_primary_type] = STATE(2059),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(2057),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(2060),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5887),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(2057),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(2057),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3226),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [975] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3936),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [976] = {
    [sym_import] = STATE(5694),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6352),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1849),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2056),
    [sym_type] = STATE(2161),
    [sym_constructor_type] = STATE(2057),
    [sym_primary_type] = STATE(2059),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(2057),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(2060),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5887),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(2057),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(2057),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3226),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [977] = {
    [sym_import] = STATE(5694),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6352),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1849),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2056),
    [sym_type] = STATE(2162),
    [sym_constructor_type] = STATE(2057),
    [sym_primary_type] = STATE(2059),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(2057),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(2060),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5887),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(2057),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(2057),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3226),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [978] = {
    [sym_import] = STATE(5096),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6323),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3194),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3317),
    [sym_type] = STATE(3455),
    [sym_constructor_type] = STATE(3440),
    [sym_primary_type] = STATE(3449),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3440),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3471),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5874),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3440),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3440),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3222),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_infer] = ACTIONS(3052),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [979] = {
    [sym_import] = STATE(5096),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6323),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3194),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3317),
    [sym_type] = STATE(3461),
    [sym_constructor_type] = STATE(3440),
    [sym_primary_type] = STATE(3449),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3440),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3471),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5874),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3440),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3440),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3222),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_infer] = ACTIONS(3052),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [980] = {
    [sym_import] = STATE(5694),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6352),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1849),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2056),
    [sym_type] = STATE(2031),
    [sym_constructor_type] = STATE(2057),
    [sym_primary_type] = STATE(2059),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(2057),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(2060),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5887),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(2057),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(2057),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3226),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [981] = {
    [sym_import] = STATE(5694),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6352),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1849),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2056),
    [sym_type] = STATE(2032),
    [sym_constructor_type] = STATE(2057),
    [sym_primary_type] = STATE(2059),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(2057),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(2060),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5887),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(2057),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(2057),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3226),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [982] = {
    [sym_import] = STATE(5694),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6352),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1849),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2056),
    [sym_type] = STATE(2122),
    [sym_constructor_type] = STATE(2057),
    [sym_primary_type] = STATE(2059),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(2057),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(2060),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5887),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(2057),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(2057),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3226),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [983] = {
    [sym_import] = STATE(5694),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6352),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1849),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2056),
    [sym_type] = STATE(2123),
    [sym_constructor_type] = STATE(2057),
    [sym_primary_type] = STATE(2059),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(2057),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(2060),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5887),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(2057),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(2057),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3226),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [984] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4728),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [985] = {
    [sym_import] = STATE(5022),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6270),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1502),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1625),
    [sym_type] = STATE(1583),
    [sym_constructor_type] = STATE(1626),
    [sym_primary_type] = STATE(1627),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(1626),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1628),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5839),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(1626),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(1626),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3230),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_infer] = ACTIONS(3156),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [986] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4046),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [987] = {
    [sym_import] = STATE(5694),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6352),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1849),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2056),
    [sym_type] = STATE(1977),
    [sym_constructor_type] = STATE(2057),
    [sym_primary_type] = STATE(2059),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(2057),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(2060),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5887),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(2057),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(2057),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3226),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [988] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(5430),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3003),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [989] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4034),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [990] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(5430),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3012),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [991] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3240),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [992] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3310),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [993] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3286),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [994] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4957),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3287),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [995] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4957),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3289),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [996] = {
    [sym_import] = STATE(5694),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6352),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1849),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2056),
    [sym_type] = STATE(2133),
    [sym_constructor_type] = STATE(2057),
    [sym_primary_type] = STATE(2059),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(2057),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(2060),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5887),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(2057),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(2057),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3232),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3226),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [997] = {
    [sym_import] = STATE(5694),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6352),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1849),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2056),
    [sym_type] = STATE(1996),
    [sym_constructor_type] = STATE(2057),
    [sym_primary_type] = STATE(2059),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(2057),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(2060),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5887),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(2057),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(2057),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3226),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [998] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3279),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [999] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3281),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1000] = {
    [sym_import] = STATE(5694),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6352),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1849),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2056),
    [sym_type] = STATE(1997),
    [sym_constructor_type] = STATE(2057),
    [sym_primary_type] = STATE(2059),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(2057),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(2060),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5887),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(2057),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(2057),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3226),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [1001] = {
    [sym_import] = STATE(5694),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6352),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1849),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2056),
    [sym_type] = STATE(2002),
    [sym_constructor_type] = STATE(2057),
    [sym_primary_type] = STATE(2059),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(2057),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(2060),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5887),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(2057),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(2057),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3226),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [1002] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(5015),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(2003),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(2060),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3226),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [1003] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3253),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1004] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(5015),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(2006),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(2060),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3226),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [1005] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3257),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1006] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(5430),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(4502),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(4779),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1007] = {
    [sym_import] = STATE(5694),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6352),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1849),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2056),
    [sym_type] = STATE(2027),
    [sym_constructor_type] = STATE(2057),
    [sym_primary_type] = STATE(2059),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(2057),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(2060),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5887),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(2057),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(2057),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3226),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [1008] = {
    [sym_import] = STATE(5694),
    [sym_nested_identifier] = STATE(6266),
    [sym_string] = STATE(2046),
    [sym_formal_parameters] = STATE(6352),
    [sym_nested_type_identifier] = STATE(1848),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1849),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2056),
    [sym_type] = STATE(2028),
    [sym_constructor_type] = STATE(2057),
    [sym_primary_type] = STATE(2059),
    [sym_template_literal_type] = STATE(2060),
    [sym_infer_type] = STATE(2057),
    [sym_conditional_type] = STATE(2060),
    [sym_generic_type] = STATE(2060),
    [sym_type_query] = STATE(2060),
    [sym_index_type_query] = STATE(2060),
    [sym_lookup_type] = STATE(2060),
    [sym_literal_type] = STATE(2060),
    [sym__number] = STATE(2088),
    [sym_existential_type] = STATE(2060),
    [sym_flow_maybe_type] = STATE(2060),
    [sym_parenthesized_type] = STATE(2060),
    [sym_predefined_type] = STATE(2060),
    [sym_object_type] = STATE(2060),
    [sym_type_parameters] = STATE(5887),
    [sym_array_type] = STATE(2060),
    [sym_tuple_type] = STATE(2060),
    [sym_readonly_type] = STATE(2057),
    [sym_union_type] = STATE(2060),
    [sym_intersection_type] = STATE(2060),
    [sym_function_type] = STATE(2057),
    [sym_identifier] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_typeof] = ACTIONS(3074),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_LPAREN] = ACTIONS(3078),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3092),
    [sym_number] = ACTIONS(3094),
    [sym_this] = ACTIONS(3226),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [sym_null] = ACTIONS(3098),
    [sym_undefined] = ACTIONS(3098),
    [anon_sym_readonly] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_any] = ACTIONS(3090),
    [anon_sym_number] = ACTIONS(3090),
    [anon_sym_boolean] = ACTIONS(3090),
    [anon_sym_string] = ACTIONS(3090),
    [anon_sym_symbol] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3104),
    [anon_sym_infer] = ACTIONS(3108),
    [anon_sym_keyof] = ACTIONS(3110),
    [anon_sym_unique] = ACTIONS(3112),
    [anon_sym_unknown] = ACTIONS(3090),
    [anon_sym_never] = ACTIONS(3090),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3114),
    [sym_html_comment] = ACTIONS(5),
  },
  [1009] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3278),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1010] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3280),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1011] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(4544),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1012] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4738),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1013] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(4163),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1014] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3296),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1015] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3298),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1016] = {
    [sym_import] = STATE(5022),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6270),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1502),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1625),
    [sym_type] = STATE(1604),
    [sym_constructor_type] = STATE(1626),
    [sym_primary_type] = STATE(1627),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(1626),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1628),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5839),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(1626),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(1626),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3230),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_infer] = ACTIONS(3156),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1017] = {
    [sym_import] = STATE(5022),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6270),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1502),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1625),
    [sym_type] = STATE(1577),
    [sym_constructor_type] = STATE(1626),
    [sym_primary_type] = STATE(1627),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(1626),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1628),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5839),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(1626),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(1626),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3230),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_infer] = ACTIONS(3156),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1018] = {
    [sym_import] = STATE(5022),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6270),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1502),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1625),
    [sym_type] = STATE(1598),
    [sym_constructor_type] = STATE(1626),
    [sym_primary_type] = STATE(1627),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(1626),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1628),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5839),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(1626),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(1626),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3230),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_infer] = ACTIONS(3156),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1019] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(5033),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(1599),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1628),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3230),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1020] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(5033),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(1603),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1628),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3230),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1021] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4504),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1022] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4823),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1023] = {
    [sym_import] = STATE(5022),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6270),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1502),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1625),
    [sym_type] = STATE(1525),
    [sym_constructor_type] = STATE(1626),
    [sym_primary_type] = STATE(1627),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(1626),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1628),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5839),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(1626),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(1626),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3230),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_infer] = ACTIONS(3156),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1024] = {
    [sym_import] = STATE(5022),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6270),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1502),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1625),
    [sym_type] = STATE(1526),
    [sym_constructor_type] = STATE(1626),
    [sym_primary_type] = STATE(1627),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(1626),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1628),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5839),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(1626),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(1626),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3230),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_infer] = ACTIONS(3156),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1025] = {
    [sym_import] = STATE(5414),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6267),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3489),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4278),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5999),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(2998),
    [anon_sym_infer] = ACTIONS(3002),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [1026] = {
    [sym_import] = STATE(5022),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6270),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1502),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1625),
    [sym_type] = STATE(1544),
    [sym_constructor_type] = STATE(1626),
    [sym_primary_type] = STATE(1627),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(1626),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1628),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5839),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(1626),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(1626),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3230),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_infer] = ACTIONS(3156),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1027] = {
    [sym_import] = STATE(5022),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6270),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1502),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1625),
    [sym_type] = STATE(1545),
    [sym_constructor_type] = STATE(1626),
    [sym_primary_type] = STATE(1627),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(1626),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1628),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5839),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(1626),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(1626),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3230),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_infer] = ACTIONS(3156),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1028] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4702),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1029] = {
    [sym_import] = STATE(5022),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6270),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1502),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1625),
    [sym_type] = STATE(1561),
    [sym_constructor_type] = STATE(1626),
    [sym_primary_type] = STATE(1627),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(1626),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1628),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5839),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(1626),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(1626),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3230),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_infer] = ACTIONS(3156),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1030] = {
    [sym_import] = STATE(5022),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6270),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1502),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1625),
    [sym_type] = STATE(1562),
    [sym_constructor_type] = STATE(1626),
    [sym_primary_type] = STATE(1627),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(1626),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1628),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5839),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(1626),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(1626),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3230),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_infer] = ACTIONS(3156),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1031] = {
    [sym_import] = STATE(5022),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6270),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1502),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1625),
    [sym_type] = STATE(1574),
    [sym_constructor_type] = STATE(1626),
    [sym_primary_type] = STATE(1627),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(1626),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1628),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5839),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(1626),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(1626),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3230),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_infer] = ACTIONS(3156),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1032] = {
    [sym_import] = STATE(5022),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6270),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1502),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1625),
    [sym_type] = STATE(1575),
    [sym_constructor_type] = STATE(1626),
    [sym_primary_type] = STATE(1627),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(1626),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1628),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5839),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(1626),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(1626),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3230),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_infer] = ACTIONS(3156),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1033] = {
    [sym_import] = STATE(5096),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6323),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3194),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3317),
    [sym_type] = STATE(3368),
    [sym_constructor_type] = STATE(3440),
    [sym_primary_type] = STATE(3449),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3440),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3471),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5874),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3440),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3440),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3222),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_infer] = ACTIONS(3052),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [1034] = {
    [sym_import] = STATE(5096),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6323),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3194),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3317),
    [sym_type] = STATE(3369),
    [sym_constructor_type] = STATE(3440),
    [sym_primary_type] = STATE(3449),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3440),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3471),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5874),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3440),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3440),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3222),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_infer] = ACTIONS(3052),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [1035] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(5110),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3378),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3471),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3222),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [1036] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(5110),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3380),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3471),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3222),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [1037] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3978),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1038] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4747),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1039] = {
    [sym_import] = STATE(5096),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6323),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3194),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3317),
    [sym_type] = STATE(3458),
    [sym_constructor_type] = STATE(3440),
    [sym_primary_type] = STATE(3449),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3440),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3471),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5874),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3440),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3440),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3222),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_infer] = ACTIONS(3052),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [1040] = {
    [sym_import] = STATE(5096),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6323),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3194),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3317),
    [sym_type] = STATE(3558),
    [sym_constructor_type] = STATE(3440),
    [sym_primary_type] = STATE(3449),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3440),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3471),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5874),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3440),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3440),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3222),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_infer] = ACTIONS(3052),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [1041] = {
    [sym_import] = STATE(5096),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6323),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3194),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3317),
    [sym_type] = STATE(3492),
    [sym_constructor_type] = STATE(3440),
    [sym_primary_type] = STATE(3449),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3440),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3471),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5874),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3440),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3440),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3222),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_infer] = ACTIONS(3052),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [1042] = {
    [sym_import] = STATE(5096),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6323),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3194),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3317),
    [sym_type] = STATE(3495),
    [sym_constructor_type] = STATE(3440),
    [sym_primary_type] = STATE(3449),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3440),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3471),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5874),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3440),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3440),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3222),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_infer] = ACTIONS(3052),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [1043] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(2993),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1044] = {
    [sym_import] = STATE(5096),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6323),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3194),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3317),
    [sym_type] = STATE(3527),
    [sym_constructor_type] = STATE(3440),
    [sym_primary_type] = STATE(3449),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3440),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3471),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5874),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3440),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3440),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3222),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_infer] = ACTIONS(3052),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [1045] = {
    [sym_import] = STATE(5096),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6323),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3194),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3317),
    [sym_type] = STATE(3530),
    [sym_constructor_type] = STATE(3440),
    [sym_primary_type] = STATE(3449),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3440),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3471),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5874),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3440),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3440),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3222),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_infer] = ACTIONS(3052),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [1046] = {
    [sym_import] = STATE(5096),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6323),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3194),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3317),
    [sym_type] = STATE(3541),
    [sym_constructor_type] = STATE(3440),
    [sym_primary_type] = STATE(3449),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3440),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3471),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5874),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3440),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3440),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3222),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_infer] = ACTIONS(3052),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [1047] = {
    [sym_import] = STATE(5096),
    [sym_nested_identifier] = STATE(6384),
    [sym_string] = STATE(3557),
    [sym_formal_parameters] = STATE(6323),
    [sym_nested_type_identifier] = STATE(3242),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3194),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3317),
    [sym_type] = STATE(3543),
    [sym_constructor_type] = STATE(3440),
    [sym_primary_type] = STATE(3449),
    [sym_template_literal_type] = STATE(3471),
    [sym_infer_type] = STATE(3440),
    [sym_conditional_type] = STATE(3471),
    [sym_generic_type] = STATE(3471),
    [sym_type_query] = STATE(3471),
    [sym_index_type_query] = STATE(3471),
    [sym_lookup_type] = STATE(3471),
    [sym_literal_type] = STATE(3471),
    [sym__number] = STATE(3478),
    [sym_existential_type] = STATE(3471),
    [sym_flow_maybe_type] = STATE(3471),
    [sym_parenthesized_type] = STATE(3471),
    [sym_predefined_type] = STATE(3471),
    [sym_object_type] = STATE(3471),
    [sym_type_parameters] = STATE(5874),
    [sym_array_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_readonly_type] = STATE(3440),
    [sym_union_type] = STATE(3471),
    [sym_intersection_type] = STATE(3471),
    [sym_function_type] = STATE(3440),
    [sym_identifier] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_typeof] = ACTIONS(3014),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3036),
    [sym_number] = ACTIONS(3038),
    [sym_this] = ACTIONS(3222),
    [sym_true] = ACTIONS(3042),
    [sym_false] = ACTIONS(3042),
    [sym_null] = ACTIONS(3042),
    [sym_undefined] = ACTIONS(3042),
    [anon_sym_readonly] = ACTIONS(3044),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_any] = ACTIONS(3034),
    [anon_sym_number] = ACTIONS(3034),
    [anon_sym_boolean] = ACTIONS(3034),
    [anon_sym_string] = ACTIONS(3034),
    [anon_sym_symbol] = ACTIONS(3034),
    [anon_sym_object] = ACTIONS(3034),
    [anon_sym_abstract] = ACTIONS(3048),
    [anon_sym_infer] = ACTIONS(3052),
    [anon_sym_keyof] = ACTIONS(3054),
    [anon_sym_unique] = ACTIONS(3056),
    [anon_sym_unknown] = ACTIONS(3034),
    [anon_sym_never] = ACTIONS(3034),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3058),
    [sym_html_comment] = ACTIONS(5),
  },
  [1048] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3849),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1049] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(2993),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1050] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(4280),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1051] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(4192),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1052] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3139),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1053] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4781),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1054] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(2987),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1055] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3166),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1056] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3850),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1057] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3144),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1058] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3574),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1059] = {
    [sym_import] = STATE(5022),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6270),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1502),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1625),
    [sym_type] = STATE(1582),
    [sym_constructor_type] = STATE(1626),
    [sym_primary_type] = STATE(1627),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(1626),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1628),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5839),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(1626),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(1626),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3230),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_infer] = ACTIONS(3156),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1060] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3584),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1061] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4797),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1062] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4798),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1063] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3852),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1064] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3853),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1065] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3062),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1066] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(2985),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1067] = {
    [sym_import] = STATE(5414),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6267),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3489),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3020),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5999),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(2998),
    [anon_sym_infer] = ACTIONS(3002),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [1068] = {
    [sym_import] = STATE(5414),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6267),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3489),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3942),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5999),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(2998),
    [anon_sym_infer] = ACTIONS(3002),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [1069] = {
    [sym_import] = STATE(5414),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6267),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3489),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3943),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5999),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(2998),
    [anon_sym_infer] = ACTIONS(3002),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [1070] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(5263),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3003),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [1071] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(5263),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3012),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [1072] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4716),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1073] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4044),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1074] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(4212),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1075] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(2997),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1076] = {
    [sym_import] = STATE(5022),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6270),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1502),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1625),
    [sym_type] = STATE(1591),
    [sym_constructor_type] = STATE(1626),
    [sym_primary_type] = STATE(1627),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(1626),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1628),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5839),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(1626),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(1626),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3230),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_infer] = ACTIONS(3156),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1077] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3856),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1078] = {
    [sym_import] = STATE(5022),
    [sym_nested_identifier] = STATE(6452),
    [sym_string] = STATE(1623),
    [sym_formal_parameters] = STATE(6270),
    [sym_nested_type_identifier] = STATE(1501),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1502),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1625),
    [sym_type] = STATE(1592),
    [sym_constructor_type] = STATE(1626),
    [sym_primary_type] = STATE(1627),
    [sym_template_literal_type] = STATE(1628),
    [sym_infer_type] = STATE(1626),
    [sym_conditional_type] = STATE(1628),
    [sym_generic_type] = STATE(1628),
    [sym_type_query] = STATE(1628),
    [sym_index_type_query] = STATE(1628),
    [sym_lookup_type] = STATE(1628),
    [sym_literal_type] = STATE(1628),
    [sym__number] = STATE(1629),
    [sym_existential_type] = STATE(1628),
    [sym_flow_maybe_type] = STATE(1628),
    [sym_parenthesized_type] = STATE(1628),
    [sym_predefined_type] = STATE(1628),
    [sym_object_type] = STATE(1628),
    [sym_type_parameters] = STATE(5839),
    [sym_array_type] = STATE(1628),
    [sym_tuple_type] = STATE(1628),
    [sym_readonly_type] = STATE(1626),
    [sym_union_type] = STATE(1628),
    [sym_intersection_type] = STATE(1628),
    [sym_function_type] = STATE(1626),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_typeof] = ACTIONS(3122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_LPAREN] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3140),
    [sym_number] = ACTIONS(3142),
    [sym_this] = ACTIONS(3230),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [sym_null] = ACTIONS(3146),
    [sym_undefined] = ACTIONS(3146),
    [anon_sym_readonly] = ACTIONS(3148),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_any] = ACTIONS(3138),
    [anon_sym_number] = ACTIONS(3138),
    [anon_sym_boolean] = ACTIONS(3138),
    [anon_sym_string] = ACTIONS(3138),
    [anon_sym_symbol] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_infer] = ACTIONS(3156),
    [anon_sym_keyof] = ACTIONS(3158),
    [anon_sym_unique] = ACTIONS(3160),
    [anon_sym_unknown] = ACTIONS(3138),
    [anon_sym_never] = ACTIONS(3138),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3162),
    [sym_html_comment] = ACTIONS(5),
  },
  [1079] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(2997),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1080] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4031),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1081] = {
    [sym_import] = STATE(5414),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6267),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3489),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(2993),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5999),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(2998),
    [anon_sym_infer] = ACTIONS(3002),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [1082] = {
    [sym_import] = STATE(5414),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6267),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3489),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3953),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5999),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(2998),
    [anon_sym_infer] = ACTIONS(3002),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [1083] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4065),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1084] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3020),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1085] = {
    [sym_import] = STATE(5414),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6267),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3489),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(2987),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5999),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(2998),
    [anon_sym_infer] = ACTIONS(3002),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [1086] = {
    [sym_import] = STATE(5414),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6267),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3489),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3968),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5999),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(2998),
    [anon_sym_infer] = ACTIONS(3002),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [1087] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3381),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1088] = {
    [sym_import] = STATE(5414),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6267),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3489),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3975),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5999),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(2998),
    [anon_sym_infer] = ACTIONS(3002),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [1089] = {
    [sym_import] = STATE(5414),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6267),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3489),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3977),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5999),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(2998),
    [anon_sym_infer] = ACTIONS(3002),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [1090] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3331),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1091] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(2987),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1092] = {
    [sym_import] = STATE(5414),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6267),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3489),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3062),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5999),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(2998),
    [anon_sym_infer] = ACTIONS(3002),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [1093] = {
    [sym_import] = STATE(5414),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6267),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3489),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(2985),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5999),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(2998),
    [anon_sym_infer] = ACTIONS(3002),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [1094] = {
    [sym_import] = STATE(5414),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6267),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3489),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(2997),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5999),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(2998),
    [anon_sym_infer] = ACTIONS(3002),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [1095] = {
    [sym_import] = STATE(5414),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6267),
    [sym_nested_type_identifier] = STATE(3597),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3489),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3985),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5999),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(2982),
    [anon_sym_typeof] = ACTIONS(2984),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2330),
    [anon_sym_new] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2988),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(2994),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(2998),
    [anon_sym_infer] = ACTIONS(3002),
    [anon_sym_keyof] = ACTIONS(3004),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3006),
    [sym_html_comment] = ACTIONS(5),
  },
  [1096] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3162),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1097] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3182),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1098] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3107),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1099] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3261),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1100] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3262),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1101] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3062),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1102] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(2985),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1103] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3020),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1104] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3897),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1105] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3898),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1106] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(5663),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3003),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1107] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(5663),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3012),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1108] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4703),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1109] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4707),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1110] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4710),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1111] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4767),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1112] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4711),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1113] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4001),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1114] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3160),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1115] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(4317),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1116] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(3979),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1117] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4814),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1118] = {
    [sym_import] = STATE(5227),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6297),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2960),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4816),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(5928),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(751),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(779),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1119] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4827),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1120] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4829),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1121] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4832),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1122] = {
    [sym_import] = STATE(5224),
    [sym_nested_identifier] = STATE(6295),
    [sym_string] = STATE(2992),
    [sym_formal_parameters] = STATE(6248),
    [sym_nested_type_identifier] = STATE(2957),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3329),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2956),
    [sym_type] = STATE(4836),
    [sym_constructor_type] = STATE(3007),
    [sym_primary_type] = STATE(3009),
    [sym_template_literal_type] = STATE(3011),
    [sym_infer_type] = STATE(3007),
    [sym_conditional_type] = STATE(3011),
    [sym_generic_type] = STATE(3011),
    [sym_type_query] = STATE(3011),
    [sym_index_type_query] = STATE(3011),
    [sym_lookup_type] = STATE(3011),
    [sym_literal_type] = STATE(3011),
    [sym__number] = STATE(3013),
    [sym_existential_type] = STATE(3011),
    [sym_flow_maybe_type] = STATE(3011),
    [sym_parenthesized_type] = STATE(3011),
    [sym_predefined_type] = STATE(3011),
    [sym_object_type] = STATE(3011),
    [sym_type_parameters] = STATE(6087),
    [sym_array_type] = STATE(3011),
    [sym_tuple_type] = STATE(3011),
    [sym_readonly_type] = STATE(3007),
    [sym_union_type] = STATE(3011),
    [sym_intersection_type] = STATE(3011),
    [sym_function_type] = STATE(3007),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_typeof] = ACTIONS(1541),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_PIPE] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1557),
    [sym_number] = ACTIONS(1559),
    [sym_this] = ACTIONS(1561),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_null] = ACTIONS(1563),
    [sym_undefined] = ACTIONS(1563),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_QMARK] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(602),
    [anon_sym_infer] = ACTIONS(604),
    [anon_sym_keyof] = ACTIONS(606),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1123] = {
    [sym_import] = STATE(4943),
    [sym_nested_identifier] = STATE(6143),
    [sym_string] = STATE(3301),
    [sym_formal_parameters] = STATE(6466),
    [sym_nested_type_identifier] = STATE(3147),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3104),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3592),
    [sym_constructor_type] = STATE(3275),
    [sym_primary_type] = STATE(3300),
    [sym_template_literal_type] = STATE(3291),
    [sym_infer_type] = STATE(3275),
    [sym_conditional_type] = STATE(3291),
    [sym_generic_type] = STATE(3291),
    [sym_type_query] = STATE(3291),
    [sym_index_type_query] = STATE(3291),
    [sym_lookup_type] = STATE(3291),
    [sym_literal_type] = STATE(3291),
    [sym__number] = STATE(3250),
    [sym_existential_type] = STATE(3291),
    [sym_flow_maybe_type] = STATE(3291),
    [sym_parenthesized_type] = STATE(3291),
    [sym_predefined_type] = STATE(3291),
    [sym_object_type] = STATE(3291),
    [sym_type_parameters] = STATE(5774),
    [sym_array_type] = STATE(3291),
    [sym_tuple_type] = STATE(3291),
    [sym_readonly_type] = STATE(3275),
    [sym_union_type] = STATE(3291),
    [sym_intersection_type] = STATE(3291),
    [sym_function_type] = STATE(3275),
    [sym_identifier] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_typeof] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [sym_this] = ACTIONS(1637),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [sym_null] = ACTIONS(1639),
    [sym_undefined] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1641),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_any] = ACTIONS(1029),
    [anon_sym_number] = ACTIONS(1029),
    [anon_sym_boolean] = ACTIONS(1029),
    [anon_sym_string] = ACTIONS(1029),
    [anon_sym_symbol] = ACTIONS(1029),
    [anon_sym_object] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_infer] = ACTIONS(1023),
    [anon_sym_keyof] = ACTIONS(1025),
    [anon_sym_unique] = ACTIONS(1027),
    [anon_sym_unknown] = ACTIONS(1029),
    [anon_sym_never] = ACTIONS(1029),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1031),
    [sym_html_comment] = ACTIONS(5),
  },
  [1124] = {
    [sym_identifier] = ACTIONS(3238),
    [anon_sym_export] = ACTIONS(3238),
    [anon_sym_type] = ACTIONS(3238),
    [anon_sym_EQ] = ACTIONS(3238),
    [anon_sym_namespace] = ACTIONS(3238),
    [anon_sym_LBRACE] = ACTIONS(3240),
    [anon_sym_COMMA] = ACTIONS(3240),
    [anon_sym_RBRACE] = ACTIONS(3240),
    [anon_sym_typeof] = ACTIONS(3238),
    [anon_sym_import] = ACTIONS(3238),
    [anon_sym_let] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3240),
    [anon_sym_LPAREN] = ACTIONS(3240),
    [anon_sym_RPAREN] = ACTIONS(3240),
    [anon_sym_await] = ACTIONS(3238),
    [anon_sym_COLON] = ACTIONS(3240),
    [anon_sym_yield] = ACTIONS(3238),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_RBRACK] = ACTIONS(3240),
    [sym_glimmer_opening_tag] = ACTIONS(3240),
    [anon_sym_GT] = ACTIONS(3240),
    [anon_sym_DQUOTE] = ACTIONS(3240),
    [anon_sym_SQUOTE] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3238),
    [anon_sym_async] = ACTIONS(3238),
    [anon_sym_function] = ACTIONS(3238),
    [anon_sym_EQ_GT] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3238),
    [anon_sym_using] = ACTIONS(3238),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_PIPE] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3238),
    [anon_sym_SLASH] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3240),
    [anon_sym_void] = ACTIONS(3238),
    [anon_sym_delete] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3240),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3240),
    [sym_number] = ACTIONS(3240),
    [sym_private_property_identifier] = ACTIONS(3240),
    [sym_this] = ACTIONS(3238),
    [sym_super] = ACTIONS(3238),
    [sym_true] = ACTIONS(3238),
    [sym_false] = ACTIONS(3238),
    [sym_null] = ACTIONS(3238),
    [sym_undefined] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3238),
    [anon_sym_readonly] = ACTIONS(3238),
    [anon_sym_get] = ACTIONS(3238),
    [anon_sym_set] = ACTIONS(3238),
    [anon_sym_QMARK] = ACTIONS(3240),
    [anon_sym_declare] = ACTIONS(3238),
    [anon_sym_public] = ACTIONS(3238),
    [anon_sym_private] = ACTIONS(3238),
    [anon_sym_protected] = ACTIONS(3238),
    [anon_sym_override] = ACTIONS(3238),
    [anon_sym_module] = ACTIONS(3238),
    [anon_sym_any] = ACTIONS(3238),
    [anon_sym_number] = ACTIONS(3238),
    [anon_sym_boolean] = ACTIONS(3238),
    [anon_sym_string] = ACTIONS(3238),
    [anon_sym_symbol] = ACTIONS(3238),
    [anon_sym_object] = ACTIONS(3238),
    [anon_sym_extends] = ACTIONS(3238),
    [sym_html_comment] = ACTIONS(5),
  },
  [1125] = {
    [sym_export_statement] = STATE(3959),
    [sym_object_pattern] = STATE(6467),
    [sym_object_assignment_pattern] = STATE(5483),
    [sym_array_pattern] = STATE(6467),
    [sym__call_signature] = STATE(4206),
    [sym__destructuring_pattern] = STATE(6467),
    [sym_spread_element] = STATE(5629),
    [sym_string] = STATE(3173),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3327),
    [sym_rest_pattern] = STATE(5483),
    [sym_method_definition] = STATE(5629),
    [sym_pair] = STATE(5629),
    [sym_pair_pattern] = STATE(5483),
    [sym__property_name] = STATE(3173),
    [sym_computed_property_name] = STATE(3173),
    [sym_method_signature] = STATE(3959),
    [sym_accessibility_modifier] = STATE(2757),
    [sym_override_modifier] = STATE(2784),
    [sym_call_signature] = STATE(3959),
    [sym_property_signature] = STATE(3959),
    [sym_type_parameters] = STATE(5771),
    [sym_construct_signature] = STATE(3959),
    [sym_index_signature] = STATE(3959),
    [aux_sym_export_statement_repeat1] = STATE(4793),
    [aux_sym_object_repeat1] = STATE(5633),
    [aux_sym_object_pattern_repeat1] = STATE(5518),
    [sym_identifier] = ACTIONS(3242),
    [anon_sym_export] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3242),
    [anon_sym_namespace] = ACTIONS(3242),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3242),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_async] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_readonly] = ACTIONS(3270),
    [anon_sym_get] = ACTIONS(3272),
    [anon_sym_set] = ACTIONS(3272),
    [anon_sym_declare] = ACTIONS(3242),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_override] = ACTIONS(3276),
    [anon_sym_module] = ACTIONS(3242),
    [anon_sym_any] = ACTIONS(3242),
    [anon_sym_number] = ACTIONS(3242),
    [anon_sym_boolean] = ACTIONS(3242),
    [anon_sym_string] = ACTIONS(3242),
    [anon_sym_symbol] = ACTIONS(3242),
    [anon_sym_object] = ACTIONS(3242),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1126] = {
    [sym_identifier] = ACTIONS(3282),
    [anon_sym_export] = ACTIONS(3282),
    [anon_sym_type] = ACTIONS(3282),
    [anon_sym_EQ] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_COMMA] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3284),
    [anon_sym_typeof] = ACTIONS(3282),
    [anon_sym_import] = ACTIONS(3282),
    [anon_sym_let] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_LPAREN] = ACTIONS(3284),
    [anon_sym_RPAREN] = ACTIONS(3284),
    [anon_sym_await] = ACTIONS(3282),
    [anon_sym_COLON] = ACTIONS(3284),
    [anon_sym_yield] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3284),
    [anon_sym_RBRACK] = ACTIONS(3284),
    [sym_glimmer_opening_tag] = ACTIONS(3284),
    [anon_sym_GT] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_async] = ACTIONS(3282),
    [anon_sym_function] = ACTIONS(3282),
    [anon_sym_EQ_GT] = ACTIONS(3284),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_AMP] = ACTIONS(3284),
    [anon_sym_PIPE] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_SLASH] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_void] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3284),
    [sym_number] = ACTIONS(3284),
    [sym_private_property_identifier] = ACTIONS(3284),
    [sym_this] = ACTIONS(3282),
    [sym_super] = ACTIONS(3282),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [sym_null] = ACTIONS(3282),
    [sym_undefined] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3284),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_readonly] = ACTIONS(3282),
    [anon_sym_get] = ACTIONS(3282),
    [anon_sym_set] = ACTIONS(3282),
    [anon_sym_QMARK] = ACTIONS(3284),
    [anon_sym_declare] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_protected] = ACTIONS(3282),
    [anon_sym_override] = ACTIONS(3282),
    [anon_sym_module] = ACTIONS(3282),
    [anon_sym_any] = ACTIONS(3282),
    [anon_sym_number] = ACTIONS(3282),
    [anon_sym_boolean] = ACTIONS(3282),
    [anon_sym_string] = ACTIONS(3282),
    [anon_sym_symbol] = ACTIONS(3282),
    [anon_sym_object] = ACTIONS(3282),
    [anon_sym_extends] = ACTIONS(3282),
    [sym_html_comment] = ACTIONS(5),
  },
  [1127] = {
    [sym_export_statement] = STATE(3959),
    [sym_object_pattern] = STATE(6467),
    [sym_object_assignment_pattern] = STATE(5483),
    [sym_array_pattern] = STATE(6467),
    [sym__call_signature] = STATE(4206),
    [sym__destructuring_pattern] = STATE(6467),
    [sym_spread_element] = STATE(5629),
    [sym_string] = STATE(3173),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3327),
    [sym_rest_pattern] = STATE(5483),
    [sym_method_definition] = STATE(5629),
    [sym_pair] = STATE(5629),
    [sym_pair_pattern] = STATE(5483),
    [sym__property_name] = STATE(3173),
    [sym_computed_property_name] = STATE(3173),
    [sym_method_signature] = STATE(3959),
    [sym_accessibility_modifier] = STATE(2757),
    [sym_override_modifier] = STATE(2784),
    [sym_call_signature] = STATE(3959),
    [sym_property_signature] = STATE(3959),
    [sym_type_parameters] = STATE(5771),
    [sym_construct_signature] = STATE(3959),
    [sym_index_signature] = STATE(3959),
    [aux_sym_export_statement_repeat1] = STATE(4793),
    [aux_sym_object_repeat1] = STATE(5633),
    [aux_sym_object_pattern_repeat1] = STATE(5518),
    [sym_identifier] = ACTIONS(3286),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_let] = ACTIONS(3286),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_async] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_readonly] = ACTIONS(3298),
    [anon_sym_get] = ACTIONS(3300),
    [anon_sym_set] = ACTIONS(3300),
    [anon_sym_declare] = ACTIONS(3286),
    [anon_sym_public] = ACTIONS(3302),
    [anon_sym_private] = ACTIONS(3302),
    [anon_sym_protected] = ACTIONS(3302),
    [anon_sym_override] = ACTIONS(3304),
    [anon_sym_module] = ACTIONS(3286),
    [anon_sym_any] = ACTIONS(3286),
    [anon_sym_number] = ACTIONS(3286),
    [anon_sym_boolean] = ACTIONS(3286),
    [anon_sym_string] = ACTIONS(3286),
    [anon_sym_symbol] = ACTIONS(3286),
    [anon_sym_object] = ACTIONS(3286),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1128] = {
    [sym_export_statement] = STATE(3959),
    [sym_object_pattern] = STATE(6467),
    [sym_object_assignment_pattern] = STATE(5483),
    [sym_array_pattern] = STATE(6467),
    [sym__call_signature] = STATE(4206),
    [sym__destructuring_pattern] = STATE(6467),
    [sym_spread_element] = STATE(5629),
    [sym_string] = STATE(3173),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3327),
    [sym_rest_pattern] = STATE(5483),
    [sym_method_definition] = STATE(5629),
    [sym_pair] = STATE(5629),
    [sym_pair_pattern] = STATE(5483),
    [sym__property_name] = STATE(3173),
    [sym_computed_property_name] = STATE(3173),
    [sym_method_signature] = STATE(3959),
    [sym_accessibility_modifier] = STATE(2757),
    [sym_override_modifier] = STATE(2784),
    [sym_call_signature] = STATE(3959),
    [sym_property_signature] = STATE(3959),
    [sym_type_parameters] = STATE(5771),
    [sym_construct_signature] = STATE(3959),
    [sym_index_signature] = STATE(3959),
    [aux_sym_export_statement_repeat1] = STATE(4793),
    [aux_sym_object_repeat1] = STATE(5633),
    [aux_sym_object_pattern_repeat1] = STATE(5518),
    [sym_identifier] = ACTIONS(3286),
    [anon_sym_export] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3306),
    [anon_sym_let] = ACTIONS(3286),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_async] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_readonly] = ACTIONS(3298),
    [anon_sym_get] = ACTIONS(3300),
    [anon_sym_set] = ACTIONS(3300),
    [anon_sym_declare] = ACTIONS(3286),
    [anon_sym_public] = ACTIONS(3302),
    [anon_sym_private] = ACTIONS(3302),
    [anon_sym_protected] = ACTIONS(3302),
    [anon_sym_override] = ACTIONS(3304),
    [anon_sym_module] = ACTIONS(3286),
    [anon_sym_any] = ACTIONS(3286),
    [anon_sym_number] = ACTIONS(3286),
    [anon_sym_boolean] = ACTIONS(3286),
    [anon_sym_string] = ACTIONS(3286),
    [anon_sym_symbol] = ACTIONS(3286),
    [anon_sym_object] = ACTIONS(3286),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1129] = {
    [sym_export_statement] = STATE(3959),
    [sym_object_pattern] = STATE(6467),
    [sym_object_assignment_pattern] = STATE(5483),
    [sym_array_pattern] = STATE(6467),
    [sym__call_signature] = STATE(4206),
    [sym__destructuring_pattern] = STATE(6467),
    [sym_spread_element] = STATE(5629),
    [sym_string] = STATE(3173),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3327),
    [sym_rest_pattern] = STATE(5483),
    [sym_method_definition] = STATE(5629),
    [sym_pair] = STATE(5629),
    [sym_pair_pattern] = STATE(5483),
    [sym__property_name] = STATE(3173),
    [sym_computed_property_name] = STATE(3173),
    [sym_method_signature] = STATE(3959),
    [sym_accessibility_modifier] = STATE(2757),
    [sym_override_modifier] = STATE(2784),
    [sym_call_signature] = STATE(3959),
    [sym_property_signature] = STATE(3959),
    [sym_type_parameters] = STATE(5771),
    [sym_construct_signature] = STATE(3959),
    [sym_index_signature] = STATE(3959),
    [aux_sym_export_statement_repeat1] = STATE(4793),
    [aux_sym_object_repeat1] = STATE(5633),
    [aux_sym_object_pattern_repeat1] = STATE(5518),
    [sym_identifier] = ACTIONS(3308),
    [anon_sym_export] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3312),
    [anon_sym_let] = ACTIONS(3308),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_async] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3318),
    [anon_sym_readonly] = ACTIONS(3320),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_override] = ACTIONS(3326),
    [anon_sym_module] = ACTIONS(3308),
    [anon_sym_any] = ACTIONS(3308),
    [anon_sym_number] = ACTIONS(3308),
    [anon_sym_boolean] = ACTIONS(3308),
    [anon_sym_string] = ACTIONS(3308),
    [anon_sym_symbol] = ACTIONS(3308),
    [anon_sym_object] = ACTIONS(3308),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1130] = {
    [sym_export_statement] = STATE(3959),
    [sym_object_pattern] = STATE(6467),
    [sym_object_assignment_pattern] = STATE(5483),
    [sym_array_pattern] = STATE(6467),
    [sym__call_signature] = STATE(4206),
    [sym__destructuring_pattern] = STATE(6467),
    [sym_spread_element] = STATE(5629),
    [sym_string] = STATE(3173),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3327),
    [sym_rest_pattern] = STATE(5483),
    [sym_method_definition] = STATE(5629),
    [sym_pair] = STATE(5629),
    [sym_pair_pattern] = STATE(5483),
    [sym__property_name] = STATE(3173),
    [sym_computed_property_name] = STATE(3173),
    [sym_method_signature] = STATE(3959),
    [sym_accessibility_modifier] = STATE(2757),
    [sym_override_modifier] = STATE(2784),
    [sym_call_signature] = STATE(3959),
    [sym_property_signature] = STATE(3959),
    [sym_type_parameters] = STATE(5771),
    [sym_construct_signature] = STATE(3959),
    [sym_index_signature] = STATE(3959),
    [aux_sym_export_statement_repeat1] = STATE(4793),
    [aux_sym_object_repeat1] = STATE(5633),
    [aux_sym_object_pattern_repeat1] = STATE(5518),
    [sym_identifier] = ACTIONS(3308),
    [anon_sym_export] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_let] = ACTIONS(3308),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_async] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3318),
    [anon_sym_readonly] = ACTIONS(3320),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_override] = ACTIONS(3326),
    [anon_sym_module] = ACTIONS(3308),
    [anon_sym_any] = ACTIONS(3308),
    [anon_sym_number] = ACTIONS(3308),
    [anon_sym_boolean] = ACTIONS(3308),
    [anon_sym_string] = ACTIONS(3308),
    [anon_sym_symbol] = ACTIONS(3308),
    [anon_sym_object] = ACTIONS(3308),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1131] = {
    [sym_export_statement] = STATE(3959),
    [sym_object_pattern] = STATE(6467),
    [sym_object_assignment_pattern] = STATE(5483),
    [sym_array_pattern] = STATE(6467),
    [sym__call_signature] = STATE(4206),
    [sym__destructuring_pattern] = STATE(6467),
    [sym_spread_element] = STATE(5498),
    [sym_string] = STATE(3173),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3327),
    [sym_rest_pattern] = STATE(5483),
    [sym_method_definition] = STATE(5498),
    [sym_pair] = STATE(5498),
    [sym_pair_pattern] = STATE(5483),
    [sym__property_name] = STATE(3173),
    [sym_computed_property_name] = STATE(3173),
    [sym_method_signature] = STATE(3959),
    [sym_accessibility_modifier] = STATE(2757),
    [sym_override_modifier] = STATE(2784),
    [sym_call_signature] = STATE(3959),
    [sym_property_signature] = STATE(3959),
    [sym_type_parameters] = STATE(5771),
    [sym_construct_signature] = STATE(3959),
    [sym_index_signature] = STATE(3959),
    [aux_sym_export_statement_repeat1] = STATE(4793),
    [aux_sym_object_repeat1] = STATE(5513),
    [aux_sym_object_pattern_repeat1] = STATE(5518),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3334),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_readonly] = ACTIONS(3342),
    [anon_sym_get] = ACTIONS(3344),
    [anon_sym_set] = ACTIONS(3344),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3346),
    [anon_sym_private] = ACTIONS(3346),
    [anon_sym_protected] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3348),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1132] = {
    [sym_export_statement] = STATE(3959),
    [sym_object_pattern] = STATE(6467),
    [sym_object_assignment_pattern] = STATE(5483),
    [sym_array_pattern] = STATE(6467),
    [sym__call_signature] = STATE(4206),
    [sym__destructuring_pattern] = STATE(6467),
    [sym_spread_element] = STATE(5629),
    [sym_string] = STATE(3173),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3327),
    [sym_rest_pattern] = STATE(5483),
    [sym_method_definition] = STATE(5629),
    [sym_pair] = STATE(5629),
    [sym_pair_pattern] = STATE(5483),
    [sym__property_name] = STATE(3173),
    [sym_computed_property_name] = STATE(3173),
    [sym_method_signature] = STATE(3959),
    [sym_accessibility_modifier] = STATE(2757),
    [sym_override_modifier] = STATE(2784),
    [sym_call_signature] = STATE(3959),
    [sym_property_signature] = STATE(3959),
    [sym_type_parameters] = STATE(5771),
    [sym_construct_signature] = STATE(3959),
    [sym_index_signature] = STATE(3959),
    [aux_sym_export_statement_repeat1] = STATE(4793),
    [aux_sym_object_repeat1] = STATE(5633),
    [aux_sym_object_pattern_repeat1] = STATE(5518),
    [sym_identifier] = ACTIONS(3308),
    [anon_sym_export] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3350),
    [anon_sym_let] = ACTIONS(3308),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_async] = ACTIONS(3314),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3318),
    [anon_sym_readonly] = ACTIONS(3320),
    [anon_sym_get] = ACTIONS(3322),
    [anon_sym_set] = ACTIONS(3322),
    [anon_sym_declare] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_override] = ACTIONS(3326),
    [anon_sym_module] = ACTIONS(3308),
    [anon_sym_any] = ACTIONS(3308),
    [anon_sym_number] = ACTIONS(3308),
    [anon_sym_boolean] = ACTIONS(3308),
    [anon_sym_string] = ACTIONS(3308),
    [anon_sym_symbol] = ACTIONS(3308),
    [anon_sym_object] = ACTIONS(3308),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1133] = {
    [sym_export_statement] = STATE(4075),
    [sym_object_pattern] = STATE(6467),
    [sym_object_assignment_pattern] = STATE(5483),
    [sym_array_pattern] = STATE(6467),
    [sym__call_signature] = STATE(4206),
    [sym__destructuring_pattern] = STATE(6467),
    [sym_spread_element] = STATE(5629),
    [sym_string] = STATE(3173),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3327),
    [sym_rest_pattern] = STATE(5483),
    [sym_method_definition] = STATE(5629),
    [sym_pair] = STATE(5629),
    [sym_pair_pattern] = STATE(5483),
    [sym__property_name] = STATE(3173),
    [sym_computed_property_name] = STATE(3173),
    [sym_method_signature] = STATE(4075),
    [sym_accessibility_modifier] = STATE(2757),
    [sym_override_modifier] = STATE(2784),
    [sym_call_signature] = STATE(4075),
    [sym_property_signature] = STATE(4075),
    [sym_type_parameters] = STATE(5771),
    [sym_construct_signature] = STATE(4075),
    [sym_index_signature] = STATE(4075),
    [aux_sym_export_statement_repeat1] = STATE(4793),
    [aux_sym_object_repeat1] = STATE(5633),
    [aux_sym_object_pattern_repeat1] = STATE(5518),
    [sym_identifier] = ACTIONS(3352),
    [anon_sym_export] = ACTIONS(3354),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3352),
    [anon_sym_namespace] = ACTIONS(3352),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_RBRACE] = ACTIONS(3358),
    [anon_sym_let] = ACTIONS(3352),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3360),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_async] = ACTIONS(3362),
    [anon_sym_new] = ACTIONS(3364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3366),
    [anon_sym_readonly] = ACTIONS(3368),
    [anon_sym_get] = ACTIONS(3370),
    [anon_sym_set] = ACTIONS(3370),
    [anon_sym_declare] = ACTIONS(3352),
    [anon_sym_public] = ACTIONS(3372),
    [anon_sym_private] = ACTIONS(3372),
    [anon_sym_protected] = ACTIONS(3372),
    [anon_sym_override] = ACTIONS(3374),
    [anon_sym_module] = ACTIONS(3352),
    [anon_sym_any] = ACTIONS(3352),
    [anon_sym_number] = ACTIONS(3352),
    [anon_sym_boolean] = ACTIONS(3352),
    [anon_sym_string] = ACTIONS(3352),
    [anon_sym_symbol] = ACTIONS(3352),
    [anon_sym_object] = ACTIONS(3352),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3376),
    [sym_html_comment] = ACTIONS(5),
  },
  [1134] = {
    [sym_identifier] = ACTIONS(3378),
    [anon_sym_export] = ACTIONS(3378),
    [anon_sym_type] = ACTIONS(3378),
    [anon_sym_EQ] = ACTIONS(3378),
    [anon_sym_namespace] = ACTIONS(3378),
    [anon_sym_LBRACE] = ACTIONS(3380),
    [anon_sym_COMMA] = ACTIONS(3380),
    [anon_sym_RBRACE] = ACTIONS(3380),
    [anon_sym_typeof] = ACTIONS(3378),
    [anon_sym_import] = ACTIONS(3378),
    [anon_sym_let] = ACTIONS(3378),
    [anon_sym_BANG] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(3380),
    [anon_sym_RPAREN] = ACTIONS(3380),
    [anon_sym_await] = ACTIONS(3378),
    [anon_sym_COLON] = ACTIONS(3380),
    [anon_sym_yield] = ACTIONS(3378),
    [anon_sym_LBRACK] = ACTIONS(3380),
    [anon_sym_RBRACK] = ACTIONS(3380),
    [sym_glimmer_opening_tag] = ACTIONS(3380),
    [anon_sym_GT] = ACTIONS(3380),
    [anon_sym_DQUOTE] = ACTIONS(3380),
    [anon_sym_SQUOTE] = ACTIONS(3380),
    [anon_sym_class] = ACTIONS(3378),
    [anon_sym_async] = ACTIONS(3378),
    [anon_sym_function] = ACTIONS(3378),
    [anon_sym_EQ_GT] = ACTIONS(3380),
    [anon_sym_new] = ACTIONS(3378),
    [anon_sym_using] = ACTIONS(3378),
    [anon_sym_AMP] = ACTIONS(3380),
    [anon_sym_PIPE] = ACTIONS(3380),
    [anon_sym_PLUS] = ACTIONS(3378),
    [anon_sym_DASH] = ACTIONS(3378),
    [anon_sym_SLASH] = ACTIONS(3378),
    [anon_sym_LT] = ACTIONS(3378),
    [anon_sym_TILDE] = ACTIONS(3380),
    [anon_sym_void] = ACTIONS(3378),
    [anon_sym_delete] = ACTIONS(3378),
    [anon_sym_PLUS_PLUS] = ACTIONS(3380),
    [anon_sym_DASH_DASH] = ACTIONS(3380),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3380),
    [sym_number] = ACTIONS(3380),
    [sym_private_property_identifier] = ACTIONS(3380),
    [sym_this] = ACTIONS(3378),
    [sym_super] = ACTIONS(3378),
    [sym_true] = ACTIONS(3378),
    [sym_false] = ACTIONS(3378),
    [sym_null] = ACTIONS(3378),
    [sym_undefined] = ACTIONS(3378),
    [anon_sym_AT] = ACTIONS(3380),
    [anon_sym_static] = ACTIONS(3378),
    [anon_sym_readonly] = ACTIONS(3378),
    [anon_sym_get] = ACTIONS(3378),
    [anon_sym_set] = ACTIONS(3378),
    [anon_sym_QMARK] = ACTIONS(3380),
    [anon_sym_declare] = ACTIONS(3378),
    [anon_sym_public] = ACTIONS(3378),
    [anon_sym_private] = ACTIONS(3378),
    [anon_sym_protected] = ACTIONS(3378),
    [anon_sym_override] = ACTIONS(3378),
    [anon_sym_module] = ACTIONS(3378),
    [anon_sym_any] = ACTIONS(3378),
    [anon_sym_number] = ACTIONS(3378),
    [anon_sym_boolean] = ACTIONS(3378),
    [anon_sym_string] = ACTIONS(3378),
    [anon_sym_symbol] = ACTIONS(3378),
    [anon_sym_object] = ACTIONS(3378),
    [anon_sym_extends] = ACTIONS(3378),
    [sym_html_comment] = ACTIONS(5),
  },
  [1135] = {
    [sym_export_statement] = STATE(3959),
    [sym_object_pattern] = STATE(6467),
    [sym_object_assignment_pattern] = STATE(5483),
    [sym_array_pattern] = STATE(6467),
    [sym__call_signature] = STATE(4206),
    [sym__destructuring_pattern] = STATE(6467),
    [sym_spread_element] = STATE(5629),
    [sym_string] = STATE(3173),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3327),
    [sym_rest_pattern] = STATE(5483),
    [sym_method_definition] = STATE(5629),
    [sym_pair] = STATE(5629),
    [sym_pair_pattern] = STATE(5483),
    [sym__property_name] = STATE(3173),
    [sym_computed_property_name] = STATE(3173),
    [sym_method_signature] = STATE(3959),
    [sym_accessibility_modifier] = STATE(2757),
    [sym_override_modifier] = STATE(2784),
    [sym_call_signature] = STATE(3959),
    [sym_property_signature] = STATE(3959),
    [sym_type_parameters] = STATE(5771),
    [sym_construct_signature] = STATE(3959),
    [sym_index_signature] = STATE(3959),
    [aux_sym_export_statement_repeat1] = STATE(4793),
    [aux_sym_object_repeat1] = STATE(5633),
    [aux_sym_object_pattern_repeat1] = STATE(5518),
    [sym_identifier] = ACTIONS(3352),
    [anon_sym_export] = ACTIONS(3354),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3352),
    [anon_sym_namespace] = ACTIONS(3352),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3252),
    [anon_sym_let] = ACTIONS(3352),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_async] = ACTIONS(3362),
    [anon_sym_new] = ACTIONS(3364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3366),
    [anon_sym_readonly] = ACTIONS(3368),
    [anon_sym_get] = ACTIONS(3370),
    [anon_sym_set] = ACTIONS(3370),
    [anon_sym_declare] = ACTIONS(3352),
    [anon_sym_public] = ACTIONS(3372),
    [anon_sym_private] = ACTIONS(3372),
    [anon_sym_protected] = ACTIONS(3372),
    [anon_sym_override] = ACTIONS(3374),
    [anon_sym_module] = ACTIONS(3352),
    [anon_sym_any] = ACTIONS(3352),
    [anon_sym_number] = ACTIONS(3352),
    [anon_sym_boolean] = ACTIONS(3352),
    [anon_sym_string] = ACTIONS(3352),
    [anon_sym_symbol] = ACTIONS(3352),
    [anon_sym_object] = ACTIONS(3352),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1136] = {
    [sym_export_statement] = STATE(3959),
    [sym_object_pattern] = STATE(6467),
    [sym_object_assignment_pattern] = STATE(5483),
    [sym_array_pattern] = STATE(6467),
    [sym__call_signature] = STATE(4206),
    [sym__destructuring_pattern] = STATE(6467),
    [sym_spread_element] = STATE(5629),
    [sym_string] = STATE(3173),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3327),
    [sym_rest_pattern] = STATE(5483),
    [sym_method_definition] = STATE(5629),
    [sym_pair] = STATE(5629),
    [sym_pair_pattern] = STATE(5483),
    [sym__property_name] = STATE(3173),
    [sym_computed_property_name] = STATE(3173),
    [sym_method_signature] = STATE(3959),
    [sym_accessibility_modifier] = STATE(2757),
    [sym_override_modifier] = STATE(2784),
    [sym_call_signature] = STATE(3959),
    [sym_property_signature] = STATE(3959),
    [sym_type_parameters] = STATE(5771),
    [sym_construct_signature] = STATE(3959),
    [sym_index_signature] = STATE(3959),
    [aux_sym_export_statement_repeat1] = STATE(4793),
    [aux_sym_object_repeat1] = STATE(5633),
    [aux_sym_object_pattern_repeat1] = STATE(5518),
    [sym_identifier] = ACTIONS(3352),
    [anon_sym_export] = ACTIONS(3354),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3352),
    [anon_sym_namespace] = ACTIONS(3352),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3328),
    [anon_sym_let] = ACTIONS(3352),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_async] = ACTIONS(3362),
    [anon_sym_new] = ACTIONS(3364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3366),
    [anon_sym_readonly] = ACTIONS(3368),
    [anon_sym_get] = ACTIONS(3370),
    [anon_sym_set] = ACTIONS(3370),
    [anon_sym_declare] = ACTIONS(3352),
    [anon_sym_public] = ACTIONS(3372),
    [anon_sym_private] = ACTIONS(3372),
    [anon_sym_protected] = ACTIONS(3372),
    [anon_sym_override] = ACTIONS(3374),
    [anon_sym_module] = ACTIONS(3352),
    [anon_sym_any] = ACTIONS(3352),
    [anon_sym_number] = ACTIONS(3352),
    [anon_sym_boolean] = ACTIONS(3352),
    [anon_sym_string] = ACTIONS(3352),
    [anon_sym_symbol] = ACTIONS(3352),
    [anon_sym_object] = ACTIONS(3352),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1137] = {
    [sym_export_statement] = STATE(3959),
    [sym_object_pattern] = STATE(6467),
    [sym_object_assignment_pattern] = STATE(5483),
    [sym_array_pattern] = STATE(6467),
    [sym__call_signature] = STATE(4206),
    [sym__destructuring_pattern] = STATE(6467),
    [sym_spread_element] = STATE(5629),
    [sym_string] = STATE(3173),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3327),
    [sym_rest_pattern] = STATE(5483),
    [sym_method_definition] = STATE(5629),
    [sym_pair] = STATE(5629),
    [sym_pair_pattern] = STATE(5483),
    [sym__property_name] = STATE(3173),
    [sym_computed_property_name] = STATE(3173),
    [sym_method_signature] = STATE(3959),
    [sym_accessibility_modifier] = STATE(2757),
    [sym_override_modifier] = STATE(2784),
    [sym_call_signature] = STATE(3959),
    [sym_property_signature] = STATE(3959),
    [sym_type_parameters] = STATE(5771),
    [sym_construct_signature] = STATE(3959),
    [sym_index_signature] = STATE(3959),
    [aux_sym_export_statement_repeat1] = STATE(4793),
    [aux_sym_object_repeat1] = STATE(5633),
    [aux_sym_object_pattern_repeat1] = STATE(5518),
    [sym_identifier] = ACTIONS(3352),
    [anon_sym_export] = ACTIONS(3354),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3352),
    [anon_sym_namespace] = ACTIONS(3352),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3382),
    [anon_sym_let] = ACTIONS(3352),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_async] = ACTIONS(3362),
    [anon_sym_new] = ACTIONS(3364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3366),
    [anon_sym_readonly] = ACTIONS(3368),
    [anon_sym_get] = ACTIONS(3370),
    [anon_sym_set] = ACTIONS(3370),
    [anon_sym_declare] = ACTIONS(3352),
    [anon_sym_public] = ACTIONS(3372),
    [anon_sym_private] = ACTIONS(3372),
    [anon_sym_protected] = ACTIONS(3372),
    [anon_sym_override] = ACTIONS(3374),
    [anon_sym_module] = ACTIONS(3352),
    [anon_sym_any] = ACTIONS(3352),
    [anon_sym_number] = ACTIONS(3352),
    [anon_sym_boolean] = ACTIONS(3352),
    [anon_sym_string] = ACTIONS(3352),
    [anon_sym_symbol] = ACTIONS(3352),
    [anon_sym_object] = ACTIONS(3352),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1138] = {
    [sym_export_statement] = STATE(3959),
    [sym_object_pattern] = STATE(6467),
    [sym_object_assignment_pattern] = STATE(5483),
    [sym_array_pattern] = STATE(6467),
    [sym__call_signature] = STATE(4206),
    [sym__destructuring_pattern] = STATE(6467),
    [sym_spread_element] = STATE(5498),
    [sym_string] = STATE(3173),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3327),
    [sym_rest_pattern] = STATE(5483),
    [sym_method_definition] = STATE(5498),
    [sym_pair] = STATE(5498),
    [sym_pair_pattern] = STATE(5483),
    [sym__property_name] = STATE(3173),
    [sym_computed_property_name] = STATE(3173),
    [sym_method_signature] = STATE(3959),
    [sym_accessibility_modifier] = STATE(2757),
    [sym_override_modifier] = STATE(2784),
    [sym_call_signature] = STATE(3959),
    [sym_property_signature] = STATE(3959),
    [sym_type_parameters] = STATE(5771),
    [sym_construct_signature] = STATE(3959),
    [sym_index_signature] = STATE(3959),
    [aux_sym_export_statement_repeat1] = STATE(4793),
    [aux_sym_object_repeat1] = STATE(5513),
    [aux_sym_object_pattern_repeat1] = STATE(5518),
    [sym_identifier] = ACTIONS(3330),
    [anon_sym_export] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3330),
    [anon_sym_namespace] = ACTIONS(3330),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3384),
    [anon_sym_let] = ACTIONS(3330),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_async] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_readonly] = ACTIONS(3342),
    [anon_sym_get] = ACTIONS(3344),
    [anon_sym_set] = ACTIONS(3344),
    [anon_sym_declare] = ACTIONS(3330),
    [anon_sym_public] = ACTIONS(3346),
    [anon_sym_private] = ACTIONS(3346),
    [anon_sym_protected] = ACTIONS(3346),
    [anon_sym_override] = ACTIONS(3348),
    [anon_sym_module] = ACTIONS(3330),
    [anon_sym_any] = ACTIONS(3330),
    [anon_sym_number] = ACTIONS(3330),
    [anon_sym_boolean] = ACTIONS(3330),
    [anon_sym_string] = ACTIONS(3330),
    [anon_sym_symbol] = ACTIONS(3330),
    [anon_sym_object] = ACTIONS(3330),
    [anon_sym_abstract] = ACTIONS(3278),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3280),
    [sym_html_comment] = ACTIONS(5),
  },
  [1139] = {
    [sym_variable_declarator] = STATE(4762),
    [sym_object_pattern] = STATE(3663),
    [sym_array_pattern] = STATE(3663),
    [sym__destructuring_pattern] = STATE(3663),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(3386),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3388),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(3390),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1140] = {
    [sym_nested_identifier] = STATE(199),
    [sym_string] = STATE(202),
    [sym__module] = STATE(230),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(3394),
    [anon_sym_SQUOTE] = ACTIONS(3396),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1141] = {
    [sym_nested_identifier] = STATE(746),
    [sym_string] = STATE(773),
    [sym__module] = STATE(802),
    [aux_sym_object_repeat1] = STATE(5582),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(3398),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1142] = {
    [sym_variable_declarator] = STATE(4762),
    [sym_object_pattern] = STATE(3663),
    [sym_array_pattern] = STATE(3663),
    [sym__destructuring_pattern] = STATE(3663),
    [aux_sym_object_repeat1] = STATE(5582),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(3386),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3388),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(3390),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1143] = {
    [sym_nested_identifier] = STATE(746),
    [sym_string] = STATE(773),
    [sym__module] = STATE(802),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(3398),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1144] = {
    [sym_nested_identifier] = STATE(199),
    [sym_string] = STATE(202),
    [sym__module] = STATE(230),
    [aux_sym_object_repeat1] = STATE(5582),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(3394),
    [anon_sym_SQUOTE] = ACTIONS(3396),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1145] = {
    [sym_nested_identifier] = STATE(746),
    [sym_string] = STATE(773),
    [sym__module] = STATE(802),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(3398),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1146] = {
    [sym_variable_declarator] = STATE(4762),
    [sym_object_pattern] = STATE(3663),
    [sym_array_pattern] = STATE(3663),
    [sym__destructuring_pattern] = STATE(3663),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(3386),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3388),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(3390),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1147] = {
    [sym_nested_identifier] = STATE(199),
    [sym_string] = STATE(202),
    [sym__module] = STATE(230),
    [aux_sym_object_repeat1] = STATE(5742),
    [aux_sym_object_pattern_repeat1] = STATE(5534),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(3394),
    [anon_sym_SQUOTE] = ACTIONS(3396),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2301),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(693),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1148] = {
    [sym_nested_identifier] = STATE(1616),
    [sym_string] = STATE(1617),
    [sym__module] = STATE(1799),
    [sym_identifier] = ACTIONS(3400),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(809),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(809),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1149] = {
    [sym_nested_identifier] = STATE(1616),
    [sym_string] = STATE(1617),
    [sym__module] = STATE(1799),
    [sym_identifier] = ACTIONS(3400),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_RBRACE] = ACTIONS(128),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(128),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1150] = {
    [sym_export_statement] = STATE(3974),
    [sym_object_pattern] = STATE(6467),
    [sym_object_assignment_pattern] = STATE(6070),
    [sym_array_pattern] = STATE(6467),
    [sym__call_signature] = STATE(4206),
    [sym__destructuring_pattern] = STATE(6467),
    [sym_spread_element] = STATE(5764),
    [sym_string] = STATE(3173),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3327),
    [sym_rest_pattern] = STATE(6070),
    [sym_method_definition] = STATE(5764),
    [sym_pair] = STATE(5764),
    [sym_pair_pattern] = STATE(6070),
    [sym__property_name] = STATE(3173),
    [sym_computed_property_name] = STATE(3173),
    [sym_method_signature] = STATE(3974),
    [sym_accessibility_modifier] = STATE(2757),
    [sym_override_modifier] = STATE(2784),
    [sym_call_signature] = STATE(3974),
    [sym_property_signature] = STATE(3974),
    [sym_type_parameters] = STATE(5771),
    [sym_construct_signature] = STATE(3974),
    [sym_index_signature] = STATE(3974),
    [aux_sym_export_statement_repeat1] = STATE(4793),
    [sym_identifier] = ACTIONS(3402),
    [anon_sym_export] = ACTIONS(3404),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3402),
    [anon_sym_namespace] = ACTIONS(3402),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3406),
    [anon_sym_RBRACE] = ACTIONS(3406),
    [anon_sym_let] = ACTIONS(3402),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_async] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_readonly] = ACTIONS(3415),
    [anon_sym_get] = ACTIONS(3417),
    [anon_sym_set] = ACTIONS(3417),
    [anon_sym_declare] = ACTIONS(3402),
    [anon_sym_public] = ACTIONS(3419),
    [anon_sym_private] = ACTIONS(3419),
    [anon_sym_protected] = ACTIONS(3419),
    [anon_sym_override] = ACTIONS(3421),
    [anon_sym_module] = ACTIONS(3402),
    [anon_sym_any] = ACTIONS(3402),
    [anon_sym_number] = ACTIONS(3402),
    [anon_sym_boolean] = ACTIONS(3402),
    [anon_sym_string] = ACTIONS(3402),
    [anon_sym_symbol] = ACTIONS(3402),
    [anon_sym_object] = ACTIONS(3402),
    [anon_sym_abstract] = ACTIONS(3278),
    [sym_html_comment] = ACTIONS(5),
  },
  [1151] = {
    [sym_export_statement] = STATE(4008),
    [sym_object_pattern] = STATE(6467),
    [sym_object_assignment_pattern] = STATE(6070),
    [sym_array_pattern] = STATE(6467),
    [sym__call_signature] = STATE(4206),
    [sym__destructuring_pattern] = STATE(6467),
    [sym_spread_element] = STATE(5764),
    [sym_string] = STATE(3173),
    [sym_decorator] = STATE(1249),
    [sym_formal_parameters] = STATE(3327),
    [sym_rest_pattern] = STATE(6070),
    [sym_method_definition] = STATE(5764),
    [sym_pair] = STATE(5764),
    [sym_pair_pattern] = STATE(6070),
    [sym__property_name] = STATE(3173),
    [sym_computed_property_name] = STATE(3173),
    [sym_method_signature] = STATE(4008),
    [sym_accessibility_modifier] = STATE(2757),
    [sym_override_modifier] = STATE(2784),
    [sym_call_signature] = STATE(4008),
    [sym_property_signature] = STATE(4008),
    [sym_type_parameters] = STATE(5771),
    [sym_construct_signature] = STATE(4008),
    [sym_index_signature] = STATE(4008),
    [aux_sym_export_statement_repeat1] = STATE(4793),
    [sym_identifier] = ACTIONS(3402),
    [anon_sym_export] = ACTIONS(3404),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_type] = ACTIONS(3402),
    [anon_sym_namespace] = ACTIONS(3402),
    [anon_sym_LBRACE] = ACTIONS(3248),
    [anon_sym_COMMA] = ACTIONS(3406),
    [anon_sym_RBRACE] = ACTIONS(3406),
    [anon_sym_let] = ACTIONS(3402),
    [anon_sym_LPAREN] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1623),
    [anon_sym_async] = ACTIONS(3409),
    [anon_sym_new] = ACTIONS(3411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_LT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3266),
    [sym_private_property_identifier] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3413),
    [anon_sym_readonly] = ACTIONS(3415),
    [anon_sym_get] = ACTIONS(3417),
    [anon_sym_set] = ACTIONS(3417),
    [anon_sym_declare] = ACTIONS(3402),
    [anon_sym_public] = ACTIONS(3419),
    [anon_sym_private] = ACTIONS(3419),
    [anon_sym_protected] = ACTIONS(3419),
    [anon_sym_override] = ACTIONS(3421),
    [anon_sym_module] = ACTIONS(3402),
    [anon_sym_any] = ACTIONS(3402),
    [anon_sym_number] = ACTIONS(3402),
    [anon_sym_boolean] = ACTIONS(3402),
    [anon_sym_string] = ACTIONS(3402),
    [anon_sym_symbol] = ACTIONS(3402),
    [anon_sym_object] = ACTIONS(3402),
    [anon_sym_abstract] = ACTIONS(3278),
    [sym_html_comment] = ACTIONS(5),
  },
  [1152] = {
    [sym_nested_identifier] = STATE(1616),
    [sym_string] = STATE(1617),
    [sym__module] = STATE(1799),
    [sym_identifier] = ACTIONS(3400),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1153] = {
    [sym_nested_identifier] = STATE(1496),
    [sym_string] = STATE(1497),
    [sym__module] = STATE(1763),
    [sym_identifier] = ACTIONS(3423),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(853),
    [anon_sym_of] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1154] = {
    [sym_nested_identifier] = STATE(1616),
    [sym_string] = STATE(1617),
    [sym__module] = STATE(1799),
    [sym_identifier] = ACTIONS(3400),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(878),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1155] = {
    [sym_variable_declarator] = STATE(4762),
    [sym_object_pattern] = STATE(3356),
    [sym_array_pattern] = STATE(3356),
    [sym__destructuring_pattern] = STATE(3356),
    [sym_identifier] = ACTIONS(3425),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3388),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(853),
    [anon_sym_of] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(3390),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1156] = {
    [sym_nested_identifier] = STATE(1616),
    [sym_string] = STATE(1617),
    [sym__module] = STATE(1799),
    [sym_identifier] = ACTIONS(3400),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(878),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(892),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(892),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1157] = {
    [sym_nested_identifier] = STATE(199),
    [sym_string] = STATE(202),
    [sym__module] = STATE(230),
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(3394),
    [anon_sym_SQUOTE] = ACTIONS(3396),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1158] = {
    [sym_nested_identifier] = STATE(1616),
    [sym_string] = STATE(1617),
    [sym__module] = STATE(1799),
    [sym_identifier] = ACTIONS(3400),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(221),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(224),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(224),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1159] = {
    [sym_nested_identifier] = STATE(1616),
    [sym_string] = STATE(1617),
    [sym__module] = STATE(1799),
    [sym_identifier] = ACTIONS(3400),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(884),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1160] = {
    [sym_nested_identifier] = STATE(1496),
    [sym_string] = STATE(1497),
    [sym__module] = STATE(1763),
    [sym_identifier] = ACTIONS(3423),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(862),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_EQ_GT] = ACTIONS(868),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1161] = {
    [sym_nested_identifier] = STATE(746),
    [sym_string] = STATE(773),
    [sym__module] = STATE(802),
    [sym_identifier] = ACTIONS(3398),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(837),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1162] = {
    [sym_variable_declarator] = STATE(4762),
    [sym_object_pattern] = STATE(3663),
    [sym_array_pattern] = STATE(3663),
    [sym__destructuring_pattern] = STATE(3663),
    [sym_identifier] = ACTIONS(3386),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3388),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(837),
    [anon_sym_LBRACK] = ACTIONS(3390),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1163] = {
    [sym_nested_identifier] = STATE(1496),
    [sym_string] = STATE(1497),
    [sym__module] = STATE(1763),
    [sym_identifier] = ACTIONS(3423),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(837),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1164] = {
    [sym_nested_identifier] = STATE(1496),
    [sym_string] = STATE(1497),
    [sym__module] = STATE(1763),
    [sym_identifier] = ACTIONS(3423),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1165] = {
    [sym_nested_identifier] = STATE(746),
    [sym_string] = STATE(773),
    [sym__module] = STATE(802),
    [sym_identifier] = ACTIONS(3398),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1166] = {
    [sym_variable_declarator] = STATE(4762),
    [sym_object_pattern] = STATE(3663),
    [sym_array_pattern] = STATE(3663),
    [sym__destructuring_pattern] = STATE(3663),
    [sym_identifier] = ACTIONS(3386),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(835),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3388),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(888),
    [anon_sym_LBRACK] = ACTIONS(3390),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1167] = {
    [sym_nested_identifier] = STATE(1616),
    [sym_string] = STATE(1617),
    [sym__module] = STATE(1799),
    [sym_identifier] = ACTIONS(3400),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(868),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(941), 1,
      anon_sym_EQ_GT,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [89] = 14,
    ACTIONS(666), 1,
      anon_sym_EQ,
    ACTIONS(674), 1,
      anon_sym_COLON,
    ACTIONS(685), 1,
      anon_sym_EQ_GT,
    ACTIONS(693), 1,
      anon_sym_QMARK,
    ACTIONS(695), 1,
      anon_sym_RBRACE,
    ACTIONS(2292), 1,
      anon_sym_LPAREN,
    ACTIONS(2301), 1,
      anon_sym_LT,
    ACTIONS(3427), 1,
      sym_identifier,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [182] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(227), 1,
      anon_sym_EQ_GT,
    ACTIONS(890), 1,
      anon_sym_EQ,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [271] = 15,
    ACTIONS(128), 1,
      anon_sym_COMMA,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(224), 1,
      anon_sym_RBRACK,
    ACTIONS(899), 1,
      anon_sym_EQ,
    ACTIONS(904), 1,
      anon_sym_COLON,
    ACTIONS(908), 1,
      anon_sym_EQ_GT,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [366] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(935), 1,
      anon_sym_EQ,
    ACTIONS(941), 1,
      anon_sym_EQ_GT,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [455] = 13,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(884), 1,
      anon_sym_EQ_GT,
    ACTIONS(912), 1,
      anon_sym_EQ,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(224), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [546] = 14,
    ACTIONS(666), 1,
      anon_sym_EQ,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(674), 1,
      anon_sym_COLON,
    ACTIONS(685), 1,
      anon_sym_EQ_GT,
    ACTIONS(693), 1,
      anon_sym_QMARK,
    ACTIONS(2292), 1,
      anon_sym_LPAREN,
    ACTIONS(2301), 1,
      anon_sym_LT,
    ACTIONS(3427), 1,
      sym_identifier,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [639] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(227), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [728] = 14,
    ACTIONS(666), 1,
      anon_sym_EQ,
    ACTIONS(674), 1,
      anon_sym_COLON,
    ACTIONS(685), 1,
      anon_sym_EQ_GT,
    ACTIONS(693), 1,
      anon_sym_QMARK,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(2292), 1,
      anon_sym_LPAREN,
    ACTIONS(2301), 1,
      anon_sym_LT,
    ACTIONS(3427), 1,
      sym_identifier,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [821] = 11,
    ACTIONS(921), 1,
      anon_sym_EQ,
    ACTIONS(927), 1,
      anon_sym_EQ_GT,
    ACTIONS(3386), 1,
      sym_identifier,
    ACTIONS(3388), 1,
      anon_sym_LBRACE,
    ACTIONS(3390), 1,
      anon_sym_LBRACK,
    STATE(4762), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3663), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(161), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [907] = 13,
    ACTIONS(666), 1,
      anon_sym_EQ,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(674), 1,
      anon_sym_COLON,
    ACTIONS(685), 1,
      anon_sym_EQ_GT,
    ACTIONS(693), 1,
      anon_sym_QMARK,
    ACTIONS(2292), 1,
      anon_sym_LPAREN,
    ACTIONS(2301), 1,
      anon_sym_LT,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [997] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3429), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3431), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1067] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3433), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3435), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1137] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3437), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3439), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1207] = 11,
    ACTIONS(921), 1,
      anon_sym_EQ,
    ACTIONS(927), 1,
      anon_sym_EQ_GT,
    ACTIONS(3386), 1,
      sym_identifier,
    ACTIONS(3388), 1,
      anon_sym_LBRACE,
    ACTIONS(3390), 1,
      anon_sym_LBRACK,
    STATE(4807), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3663), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(161), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1293] = 12,
    ACTIONS(921), 1,
      anon_sym_EQ,
    ACTIONS(927), 1,
      anon_sym_EQ_GT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3441), 1,
      sym_identifier,
    STATE(3588), 1,
      sym_nested_identifier,
    STATE(3724), 1,
      sym_string,
    STATE(4563), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1381] = 12,
    ACTIONS(921), 1,
      anon_sym_EQ,
    ACTIONS(927), 1,
      anon_sym_EQ_GT,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(3398), 1,
      sym_identifier,
    STATE(746), 1,
      sym_nested_identifier,
    STATE(773), 1,
      sym_string,
    STATE(802), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1469] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3443), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3445), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1539] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(927), 1,
      anon_sym_EQ_GT,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1627] = 12,
    ACTIONS(921), 1,
      anon_sym_EQ,
    ACTIONS(927), 1,
      anon_sym_EQ_GT,
    ACTIONS(3392), 1,
      sym_identifier,
    ACTIONS(3394), 1,
      anon_sym_DQUOTE,
    ACTIONS(3396), 1,
      anon_sym_SQUOTE,
    STATE(199), 1,
      sym_nested_identifier,
    STATE(202), 1,
      sym_string,
    STATE(230), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1715] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3447), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3449), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1785] = 14,
    ACTIONS(128), 1,
      anon_sym_COMMA,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(224), 1,
      anon_sym_RBRACK,
    ACTIONS(899), 1,
      anon_sym_EQ,
    ACTIONS(908), 1,
      anon_sym_EQ_GT,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1877] = 14,
    ACTIONS(3453), 1,
      anon_sym_EQ,
    ACTIONS(3459), 1,
      anon_sym_LPAREN,
    ACTIONS(3461), 1,
      anon_sym_DOT,
    ACTIONS(3463), 1,
      anon_sym_EQ_GT,
    ACTIONS(3465), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3471), 1,
      anon_sym_LT,
    STATE(3109), 1,
      sym_arguments,
    STATE(3251), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3469), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3457), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3455), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1969] = 12,
    ACTIONS(69), 1,
      anon_sym_DQUOTE,
    ACTIONS(71), 1,
      anon_sym_SQUOTE,
    ACTIONS(921), 1,
      anon_sym_EQ,
    ACTIONS(927), 1,
      anon_sym_EQ_GT,
    ACTIONS(3423), 1,
      sym_identifier,
    STATE(1496), 1,
      sym_nested_identifier,
    STATE(1497), 1,
      sym_string,
    STATE(1763), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2057] = 4,
    ACTIONS(3473), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3443), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3445), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2129] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3475), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3477), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2199] = 4,
    ACTIONS(3479), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3475), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3477), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2271] = 13,
    ACTIONS(674), 1,
      anon_sym_COLON,
    ACTIONS(693), 1,
      anon_sym_QMARK,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(3481), 1,
      anon_sym_EQ,
    ACTIONS(3483), 1,
      anon_sym_LPAREN,
    ACTIONS(3486), 1,
      anon_sym_EQ_GT,
    ACTIONS(3488), 1,
      anon_sym_LT,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2361] = 13,
    ACTIONS(674), 1,
      anon_sym_COLON,
    ACTIONS(693), 1,
      anon_sym_QMARK,
    ACTIONS(695), 1,
      anon_sym_RBRACE,
    ACTIONS(3481), 1,
      anon_sym_EQ,
    ACTIONS(3483), 1,
      anon_sym_LPAREN,
    ACTIONS(3486), 1,
      anon_sym_EQ_GT,
    ACTIONS(3488), 1,
      anon_sym_LT,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2451] = 13,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(908), 1,
      anon_sym_EQ_GT,
    ACTIONS(915), 1,
      anon_sym_EQ,
    ACTIONS(947), 1,
      anon_sym_COLON,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2541] = 13,
    ACTIONS(666), 1,
      anon_sym_EQ,
    ACTIONS(674), 1,
      anon_sym_COLON,
    ACTIONS(685), 1,
      anon_sym_EQ_GT,
    ACTIONS(693), 1,
      anon_sym_QMARK,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(2292), 1,
      anon_sym_LPAREN,
    ACTIONS(2301), 1,
      anon_sym_LT,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2631] = 13,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(904), 1,
      anon_sym_COLON,
    ACTIONS(908), 1,
      anon_sym_EQ_GT,
    ACTIONS(915), 1,
      anon_sym_EQ,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2721] = 13,
    ACTIONS(666), 1,
      anon_sym_EQ,
    ACTIONS(674), 1,
      anon_sym_COLON,
    ACTIONS(685), 1,
      anon_sym_EQ_GT,
    ACTIONS(693), 1,
      anon_sym_QMARK,
    ACTIONS(695), 1,
      anon_sym_RBRACE,
    ACTIONS(2292), 1,
      anon_sym_LPAREN,
    ACTIONS(2301), 1,
      anon_sym_LT,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2811] = 13,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(674), 1,
      anon_sym_COLON,
    ACTIONS(693), 1,
      anon_sym_QMARK,
    ACTIONS(3481), 1,
      anon_sym_EQ,
    ACTIONS(3483), 1,
      anon_sym_LPAREN,
    ACTIONS(3486), 1,
      anon_sym_EQ_GT,
    ACTIONS(3488), 1,
      anon_sym_LT,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2901] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3491), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3493), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2971] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(959), 1,
      anon_sym_EQ_GT,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3058] = 8,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(3501), 1,
      anon_sym_DOT,
    ACTIONS(3503), 1,
      anon_sym_LT,
    STATE(1273), 1,
      sym_arguments,
    STATE(6027), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3497), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3495), 41,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [3137] = 14,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(3503), 1,
      anon_sym_LT,
    ACTIONS(3505), 1,
      anon_sym_EQ,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3509), 1,
      anon_sym_EQ_GT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3469), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3228] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(908), 1,
      anon_sym_EQ_GT,
    ACTIONS(915), 1,
      anon_sym_EQ,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3315] = 14,
    ACTIONS(3486), 1,
      anon_sym_EQ_GT,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(3503), 1,
      anon_sym_LT,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3513), 1,
      anon_sym_EQ,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3469), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3406] = 13,
    ACTIONS(3463), 1,
      anon_sym_EQ_GT,
    ACTIONS(3515), 1,
      anon_sym_EQ,
    ACTIONS(3524), 1,
      anon_sym_LBRACK,
    ACTIONS(3527), 1,
      anon_sym_DOT,
    ACTIONS(3533), 1,
      anon_sym_LT,
    STATE(3285), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3518), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3530), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3522), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3455), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3495] = 13,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(809), 1,
      anon_sym_COLON,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3584] = 16,
    ACTIONS(3463), 1,
      anon_sym_EQ_GT,
    ACTIONS(3515), 1,
      anon_sym_EQ,
    ACTIONS(3522), 1,
      anon_sym_extends,
    ACTIONS(3524), 1,
      anon_sym_LBRACK,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3544), 1,
      anon_sym_QMARK,
    STATE(2976), 1,
      sym_type_arguments,
    STATE(5848), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3518), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3530), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3679] = 14,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(853), 1,
      anon_sym_in,
    ACTIONS(856), 1,
      anon_sym_of,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3770] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(908), 1,
      anon_sym_EQ_GT,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3857] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(967), 1,
      anon_sym_EQ,
    ACTIONS(973), 1,
      anon_sym_EQ_GT,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3944] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2524), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2522), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4013] = 5,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4086] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2516), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2514), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4155] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(973), 1,
      anon_sym_EQ_GT,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4242] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(953), 1,
      anon_sym_EQ,
    ACTIONS(959), 1,
      anon_sym_EQ_GT,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4329] = 14,
    ACTIONS(3453), 1,
      anon_sym_EQ,
    ACTIONS(3463), 1,
      anon_sym_EQ_GT,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(3503), 1,
      anon_sym_LT,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3469), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4420] = 14,
    ACTIONS(3453), 1,
      anon_sym_EQ,
    ACTIONS(3463), 1,
      anon_sym_EQ_GT,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(3503), 1,
      anon_sym_LT,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3469), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(3457), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3455), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4510] = 12,
    ACTIONS(3486), 1,
      anon_sym_EQ_GT,
    ACTIONS(3513), 1,
      anon_sym_EQ,
    ACTIONS(3522), 1,
      anon_sym_extends,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3524), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3530), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4596] = 8,
    ACTIONS(3549), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3552), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4674] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4760] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1045), 1,
      anon_sym_EQ,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4846] = 6,
    ACTIONS(3562), 1,
      anon_sym_AT,
    STATE(1225), 1,
      aux_sym_export_statement_repeat1,
    STATE(1249), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3560), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3558), 42,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [4920] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1043), 1,
      anon_sym_EQ,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5006] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1047), 1,
      anon_sym_EQ,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5092] = 7,
    ACTIONS(3562), 1,
      anon_sym_AT,
    ACTIONS(3565), 1,
      anon_sym_class,
    STATE(1225), 1,
      aux_sym_export_statement_repeat1,
    STATE(1249), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3560), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3558), 41,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [5168] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1035), 1,
      anon_sym_EQ,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5254] = 12,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(853), 1,
      anon_sym_in,
    ACTIONS(856), 1,
      anon_sym_of,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3568), 1,
      sym_identifier,
    ACTIONS(3570), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5959), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(161), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5340] = 14,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(3503), 1,
      anon_sym_LT,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3573), 1,
      anon_sym_EQ,
    ACTIONS(3575), 1,
      anon_sym_EQ_GT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3469), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5430] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1049), 1,
      anon_sym_EQ,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5516] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1041), 1,
      anon_sym_EQ,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5602] = 8,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(825), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(809), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5680] = 14,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(3503), 1,
      anon_sym_LT,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3577), 1,
      anon_sym_EQ,
    ACTIONS(3579), 1,
      anon_sym_EQ_GT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3469), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5770] = 14,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(3503), 1,
      anon_sym_LT,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3573), 1,
      anon_sym_EQ,
    ACTIONS(3575), 1,
      anon_sym_EQ_GT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3469), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3457), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3455), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5860] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1033), 1,
      anon_sym_EQ,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5946] = 12,
    ACTIONS(3505), 1,
      anon_sym_EQ,
    ACTIONS(3509), 1,
      anon_sym_EQ_GT,
    ACTIONS(3522), 1,
      anon_sym_extends,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3524), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3530), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6032] = 8,
    ACTIONS(119), 1,
      anon_sym_EQ,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(723), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(128), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6110] = 15,
    ACTIONS(3518), 1,
      anon_sym_RPAREN,
    ACTIONS(3522), 1,
      anon_sym_extends,
    ACTIONS(3524), 1,
      anon_sym_LBRACK,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(3575), 1,
      anon_sym_EQ_GT,
    ACTIONS(3581), 1,
      anon_sym_EQ,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3530), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3584), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3455), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6202] = 8,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3589), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3587), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6280] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(979), 1,
      anon_sym_EQ,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6366] = 12,
    ACTIONS(3453), 1,
      anon_sym_EQ,
    ACTIONS(3463), 1,
      anon_sym_EQ_GT,
    ACTIONS(3522), 1,
      anon_sym_extends,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3524), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3530), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6452] = 14,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(3503), 1,
      anon_sym_LT,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3591), 1,
      anon_sym_EQ,
    ACTIONS(3593), 1,
      anon_sym_EQ_GT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3469), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6542] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1039), 1,
      anon_sym_EQ,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6628] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1037), 1,
      anon_sym_EQ,
    ACTIONS(3400), 1,
      sym_identifier,
    STATE(1616), 1,
      sym_nested_identifier,
    STATE(1617), 1,
      sym_string,
    STATE(1799), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6714] = 15,
    ACTIONS(3522), 1,
      anon_sym_extends,
    ACTIONS(3524), 1,
      anon_sym_LBRACK,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3549), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(3595), 1,
      anon_sym_RPAREN,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3530), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3552), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3455), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6806] = 9,
    ACTIONS(884), 1,
      anon_sym_EQ_GT,
    ACTIONS(912), 1,
      anon_sym_EQ,
    ACTIONS(3598), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3601), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1755), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6886] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3606), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3604), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [6953] = 11,
    ACTIONS(119), 1,
      anon_sym_EQ,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(723), 1,
      anon_sym_QMARK,
    ACTIONS(3598), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(128), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1755), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3601), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7036] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3610), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3608), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [7103] = 12,
    ACTIONS(3522), 1,
      anon_sym_extends,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3577), 1,
      anon_sym_EQ,
    ACTIONS(3579), 1,
      anon_sym_EQ_GT,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3524), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3530), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7188] = 14,
    ACTIONS(3453), 1,
      anon_sym_EQ,
    ACTIONS(3463), 1,
      anon_sym_EQ_GT,
    ACTIONS(3522), 1,
      anon_sym_extends,
    ACTIONS(3524), 1,
      anon_sym_LBRACK,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3587), 1,
      anon_sym_COLON,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3530), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3612), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3455), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7277] = 7,
    ACTIONS(3549), 1,
      anon_sym_EQ,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3552), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7352] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3473), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3443), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3445), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7421] = 13,
    ACTIONS(3524), 1,
      anon_sym_LBRACK,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3587), 1,
      anon_sym_COLON,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3530), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3522), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3455), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7508] = 14,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(3503), 1,
      anon_sym_LT,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3469), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3457), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3455), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7597] = 12,
    ACTIONS(3522), 1,
      anon_sym_extends,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3573), 1,
      anon_sym_EQ,
    ACTIONS(3575), 1,
      anon_sym_EQ_GT,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3524), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3530), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7682] = 8,
    ACTIONS(685), 1,
      anon_sym_EQ_GT,
    ACTIONS(835), 1,
      anon_sym_EQ,
    ACTIONS(837), 1,
      anon_sym_COLON,
    ACTIONS(3427), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [7759] = 4,
    ACTIONS(3479), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3475), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3477), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7828] = 8,
    ACTIONS(685), 1,
      anon_sym_EQ_GT,
    ACTIONS(835), 1,
      anon_sym_EQ,
    ACTIONS(888), 1,
      anon_sym_COLON,
    ACTIONS(3427), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [7905] = 14,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(3503), 1,
      anon_sym_LT,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3616), 1,
      anon_sym_EQ,
    ACTIONS(3618), 1,
      anon_sym_EQ_GT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3469), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7994] = 9,
    ACTIONS(685), 1,
      anon_sym_EQ_GT,
    ACTIONS(835), 1,
      anon_sym_EQ,
    ACTIONS(1755), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3598), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3601), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8073] = 12,
    ACTIONS(3524), 1,
      anon_sym_LBRACK,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3591), 1,
      anon_sym_EQ,
    ACTIONS(3593), 1,
      anon_sym_EQ_GT,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3522), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3530), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8158] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3479), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3475), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3477), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8227] = 14,
    ACTIONS(3453), 1,
      anon_sym_EQ,
    ACTIONS(3463), 1,
      anon_sym_EQ_GT,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(3503), 1,
      anon_sym_LT,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3469), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3457), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3455), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8316] = 9,
    ACTIONS(878), 1,
      anon_sym_EQ,
    ACTIONS(884), 1,
      anon_sym_EQ_GT,
    ACTIONS(1755), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3598), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3601), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8395] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3497), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3495), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [8462] = 4,
    ACTIONS(3473), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3443), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3445), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8531] = 7,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3589), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3587), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8606] = 11,
    ACTIONS(221), 1,
      anon_sym_EQ,
    ACTIONS(227), 1,
      anon_sym_EQ_GT,
    ACTIONS(723), 1,
      anon_sym_QMARK,
    ACTIONS(3598), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(224), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1755), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3601), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8689] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3622), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3620), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [8756] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3626), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3624), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [8823] = 14,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(3503), 1,
      anon_sym_LT,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3628), 1,
      anon_sym_EQ,
    ACTIONS(3630), 1,
      anon_sym_EQ_GT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3469), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8912] = 9,
    ACTIONS(862), 1,
      anon_sym_EQ,
    ACTIONS(868), 1,
      anon_sym_EQ_GT,
    ACTIONS(1755), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3598), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3601), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8991] = 14,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(3503), 1,
      anon_sym_LT,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3632), 1,
      anon_sym_EQ,
    ACTIONS(3634), 1,
      anon_sym_EQ_GT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3469), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9080] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3475), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3477), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9146] = 14,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(3503), 1,
      anon_sym_LT,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3469), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9234] = 8,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(3575), 1,
      anon_sym_EQ_GT,
    ACTIONS(3581), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3584), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9310] = 6,
    ACTIONS(3486), 1,
      anon_sym_EQ_GT,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9382] = 6,
    ACTIONS(685), 1,
      anon_sym_EQ_GT,
    ACTIONS(835), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9454] = 12,
    ACTIONS(3524), 1,
      anon_sym_LBRACK,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3616), 1,
      anon_sym_EQ,
    ACTIONS(3618), 1,
      anon_sym_EQ_GT,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3522), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3530), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9538] = 9,
    ACTIONS(921), 1,
      anon_sym_EQ,
    ACTIONS(927), 1,
      anon_sym_EQ_GT,
    ACTIONS(3598), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1755), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3601), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9616] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3447), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3449), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9682] = 9,
    ACTIONS(227), 1,
      anon_sym_EQ_GT,
    ACTIONS(890), 1,
      anon_sym_EQ,
    ACTIONS(1755), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3598), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3601), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9760] = 6,
    ACTIONS(3486), 1,
      anon_sym_EQ_GT,
    ACTIONS(3513), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9832] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3437), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3439), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9898] = 8,
    ACTIONS(3486), 1,
      anon_sym_EQ_GT,
    ACTIONS(3513), 1,
      anon_sym_EQ,
    ACTIONS(3636), 1,
      anon_sym_in,
    ACTIONS(3639), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9974] = 6,
    ACTIONS(878), 1,
      anon_sym_EQ,
    ACTIONS(884), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10046] = 8,
    ACTIONS(221), 1,
      anon_sym_EQ,
    ACTIONS(227), 1,
      anon_sym_EQ_GT,
    ACTIONS(723), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(224), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10122] = 8,
    ACTIONS(685), 1,
      anon_sym_EQ_GT,
    ACTIONS(835), 1,
      anon_sym_EQ,
    ACTIONS(853), 1,
      anon_sym_in,
    ACTIONS(3641), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10198] = 6,
    ACTIONS(3505), 1,
      anon_sym_EQ,
    ACTIONS(3509), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10270] = 6,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(868), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10342] = 10,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(809), 1,
      anon_sym_COLON,
    ACTIONS(3598), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3601), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1755), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10422] = 8,
    ACTIONS(809), 1,
      anon_sym_COLON,
    ACTIONS(878), 1,
      anon_sym_EQ,
    ACTIONS(884), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(892), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10498] = 14,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(3503), 1,
      anon_sym_LT,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3469), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3457), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3455), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10586] = 7,
    ACTIONS(837), 1,
      anon_sym_COLON,
    ACTIONS(3486), 1,
      anon_sym_EQ_GT,
    ACTIONS(3513), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10660] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3443), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3445), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10726] = 6,
    ACTIONS(862), 1,
      anon_sym_EQ,
    ACTIONS(868), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10798] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3429), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3431), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10864] = 6,
    ACTIONS(3453), 1,
      anon_sym_EQ,
    ACTIONS(3463), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10936] = 12,
    ACTIONS(3524), 1,
      anon_sym_LBRACK,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3628), 1,
      anon_sym_EQ,
    ACTIONS(3630), 1,
      anon_sym_EQ_GT,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3522), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3530), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11020] = 6,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(884), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11092] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3433), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3435), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11158] = 6,
    ACTIONS(3463), 1,
      anon_sym_EQ_GT,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11230] = 12,
    ACTIONS(3524), 1,
      anon_sym_LBRACK,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3632), 1,
      anon_sym_EQ,
    ACTIONS(3634), 1,
      anon_sym_EQ_GT,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3522), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3530), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11314] = 5,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11384] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2524), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2522), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11450] = 7,
    ACTIONS(888), 1,
      anon_sym_COLON,
    ACTIONS(3486), 1,
      anon_sym_EQ_GT,
    ACTIONS(3513), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11524] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3479), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3475), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3477), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11592] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3491), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3493), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11658] = 9,
    ACTIONS(935), 1,
      anon_sym_EQ,
    ACTIONS(941), 1,
      anon_sym_EQ_GT,
    ACTIONS(1755), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3598), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3601), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11736] = 6,
    ACTIONS(3509), 1,
      anon_sym_EQ_GT,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11808] = 7,
    ACTIONS(685), 1,
      anon_sym_EQ_GT,
    ACTIONS(835), 1,
      anon_sym_EQ,
    ACTIONS(837), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11882] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2516), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2514), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11948] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3473), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3443), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3445), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12016] = 10,
    ACTIONS(884), 1,
      anon_sym_EQ_GT,
    ACTIONS(912), 1,
      anon_sym_EQ,
    ACTIONS(1757), 1,
      anon_sym_QMARK,
    ACTIONS(3598), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3601), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1755), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12096] = 11,
    ACTIONS(809), 1,
      anon_sym_COLON,
    ACTIONS(878), 1,
      anon_sym_EQ,
    ACTIONS(884), 1,
      anon_sym_EQ_GT,
    ACTIONS(1755), 1,
      anon_sym_extends,
    ACTIONS(3598), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3601), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3643), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12178] = 12,
    ACTIONS(3453), 1,
      anon_sym_EQ,
    ACTIONS(3463), 1,
      anon_sym_EQ_GT,
    ACTIONS(3522), 1,
      anon_sym_extends,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3524), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3530), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12262] = 7,
    ACTIONS(685), 1,
      anon_sym_EQ_GT,
    ACTIONS(835), 1,
      anon_sym_EQ,
    ACTIONS(888), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12336] = 6,
    ACTIONS(685), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12408] = 7,
    ACTIONS(3453), 1,
      anon_sym_EQ,
    ACTIONS(3587), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3647), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12481] = 9,
    ACTIONS(128), 1,
      anon_sym_COMMA,
    ACTIONS(224), 1,
      anon_sym_RBRACK,
    ACTIONS(899), 1,
      anon_sym_EQ,
    ACTIONS(904), 1,
      anon_sym_COLON,
    ACTIONS(908), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12558] = 10,
    ACTIONS(3552), 1,
      anon_sym_COMMA,
    ACTIONS(3584), 1,
      anon_sym_RBRACK,
    ACTIONS(3630), 1,
      anon_sym_EQ_GT,
    ACTIONS(3650), 1,
      anon_sym_EQ,
    ACTIONS(3653), 1,
      anon_sym_in,
    ACTIONS(3655), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12637] = 7,
    ACTIONS(3453), 1,
      anon_sym_EQ,
    ACTIONS(3463), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3647), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12710] = 6,
    ACTIONS(3573), 1,
      anon_sym_EQ,
    ACTIONS(3575), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12781] = 7,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(3581), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3584), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12854] = 7,
    ACTIONS(3513), 1,
      anon_sym_EQ,
    ACTIONS(3636), 1,
      anon_sym_in,
    ACTIONS(3639), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12927] = 6,
    ACTIONS(227), 1,
      anon_sym_EQ_GT,
    ACTIONS(890), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12998] = 12,
    ACTIONS(3524), 1,
      anon_sym_LBRACK,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3522), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3530), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3455), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13081] = 5,
    ACTIONS(3473), 1,
      anon_sym_extends,
    ACTIONS(3657), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3443), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3445), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13150] = 5,
    ACTIONS(3479), 1,
      anon_sym_extends,
    ACTIONS(3659), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3475), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3477), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13219] = 9,
    ACTIONS(878), 1,
      anon_sym_EQ,
    ACTIONS(884), 1,
      anon_sym_EQ_GT,
    ACTIONS(1755), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3598), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3601), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13296] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3473), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3443), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3445), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13363] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3479), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3475), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3477), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13430] = 6,
    ACTIONS(227), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13501] = 5,
    ACTIONS(3513), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13570] = 6,
    ACTIONS(935), 1,
      anon_sym_EQ,
    ACTIONS(941), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13641] = 7,
    ACTIONS(921), 1,
      anon_sym_EQ,
    ACTIONS(927), 1,
      anon_sym_EQ_GT,
    ACTIONS(3427), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [13714] = 6,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(941), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13785] = 7,
    ACTIONS(884), 1,
      anon_sym_EQ_GT,
    ACTIONS(912), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(224), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13858] = 7,
    ACTIONS(3463), 1,
      anon_sym_EQ_GT,
    ACTIONS(3515), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3584), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13931] = 7,
    ACTIONS(921), 1,
      anon_sym_EQ,
    ACTIONS(927), 1,
      anon_sym_EQ_GT,
    ACTIONS(3661), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [14004] = 5,
    ACTIONS(3453), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14073] = 6,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3575), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14144] = 9,
    ACTIONS(953), 1,
      anon_sym_EQ,
    ACTIONS(959), 1,
      anon_sym_EQ_GT,
    ACTIONS(3598), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1755), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3601), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14221] = 5,
    ACTIONS(3505), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14290] = 9,
    ACTIONS(908), 1,
      anon_sym_EQ_GT,
    ACTIONS(915), 1,
      anon_sym_EQ,
    ACTIONS(3598), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1755), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3601), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14367] = 9,
    ACTIONS(967), 1,
      anon_sym_EQ,
    ACTIONS(973), 1,
      anon_sym_EQ_GT,
    ACTIONS(3598), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1755), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3601), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14444] = 6,
    ACTIONS(3577), 1,
      anon_sym_EQ,
    ACTIONS(3579), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14515] = 6,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3579), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14586] = 8,
    ACTIONS(3628), 1,
      anon_sym_EQ,
    ACTIONS(3630), 1,
      anon_sym_EQ_GT,
    ACTIONS(3653), 1,
      anon_sym_in,
    ACTIONS(3655), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14660] = 7,
    ACTIONS(904), 1,
      anon_sym_COLON,
    ACTIONS(908), 1,
      anon_sym_EQ_GT,
    ACTIONS(915), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14732] = 6,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(927), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14802] = 6,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3593), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14872] = 9,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(3598), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1755), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3601), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14948] = 6,
    ACTIONS(3591), 1,
      anon_sym_EQ,
    ACTIONS(3593), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15018] = 5,
    ACTIONS(3573), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15086] = 8,
    ACTIONS(128), 1,
      anon_sym_COMMA,
    ACTIONS(224), 1,
      anon_sym_RBRACK,
    ACTIONS(899), 1,
      anon_sym_EQ,
    ACTIONS(908), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15160] = 6,
    ACTIONS(3515), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3584), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15230] = 8,
    ACTIONS(3552), 1,
      anon_sym_COMMA,
    ACTIONS(3584), 1,
      anon_sym_RBRACK,
    ACTIONS(3630), 1,
      anon_sym_EQ_GT,
    ACTIONS(3650), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15304] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3473), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3443), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3445), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15370] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3479), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3475), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3477), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15436] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3669), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3671), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4069), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15556] = 7,
    ACTIONS(908), 1,
      anon_sym_EQ_GT,
    ACTIONS(915), 1,
      anon_sym_EQ,
    ACTIONS(947), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15628] = 8,
    ACTIONS(3628), 1,
      anon_sym_EQ,
    ACTIONS(3630), 1,
      anon_sym_EQ_GT,
    ACTIONS(3653), 1,
      anon_sym_in,
    ACTIONS(3691), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15702] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3256), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3280), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3959), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15822] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3360), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3376), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4075), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15942] = 5,
    ACTIONS(3577), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16010] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3693), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3695), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4032), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16130] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3697), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3699), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4048), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16250] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3701), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3703), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4068), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16370] = 6,
    ACTIONS(921), 1,
      anon_sym_EQ,
    ACTIONS(927), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16440] = 6,
    ACTIONS(953), 1,
      anon_sym_EQ,
    ACTIONS(959), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16509] = 7,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(809), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16580] = 6,
    ACTIONS(908), 1,
      anon_sym_EQ_GT,
    ACTIONS(915), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16649] = 8,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3636), 1,
      anon_sym_in,
    ACTIONS(3639), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16722] = 6,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(959), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16791] = 6,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(908), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16860] = 6,
    ACTIONS(967), 1,
      anon_sym_EQ,
    ACTIONS(973), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16929] = 6,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(973), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16998] = 6,
    ACTIONS(3632), 1,
      anon_sym_EQ,
    ACTIONS(3634), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17067] = 5,
    ACTIONS(3591), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17134] = 6,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3630), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17203] = 6,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3634), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17272] = 7,
    ACTIONS(3552), 1,
      anon_sym_COMMA,
    ACTIONS(3584), 1,
      anon_sym_RBRACK,
    ACTIONS(3650), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17343] = 6,
    ACTIONS(3616), 1,
      anon_sym_EQ,
    ACTIONS(3618), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17412] = 6,
    ACTIONS(3628), 1,
      anon_sym_EQ,
    ACTIONS(3630), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17481] = 8,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(853), 1,
      anon_sym_in,
    ACTIONS(3641), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17554] = 6,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3618), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17623] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3705), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17691] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3707), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17807] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3709), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17923] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3711), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18039] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3713), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18155] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3715), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18271] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3717), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18387] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3719), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18503] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3721), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18619] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1035), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18687] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3723), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18755] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3725), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18871] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3727), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18987] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1039), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19055] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3729), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19123] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1033), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19191] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3731), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19259] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1043), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19327] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3733), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19395] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19463] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1047), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19531] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3735), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19599] = 7,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3636), 1,
      anon_sym_in,
    ACTIONS(3639), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19669] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1045), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19737] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3737), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19805] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1037), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19873] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3739), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19941] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3741), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20057] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1041), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20125] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3743), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20241] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1049), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20309] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3745), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20377] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20445] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3749), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20561] = 6,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3587), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20629] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(979), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20697] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3751), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20813] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3753), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20929] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3755), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21045] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3757), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21161] = 5,
    ACTIONS(3616), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21227] = 5,
    ACTIONS(3628), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21293] = 6,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21361] = 5,
    ACTIONS(3632), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3455), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21427] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3759), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21543] = 5,
    ACTIONS(3735), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21608] = 5,
    ACTIONS(3745), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21673] = 5,
    ACTIONS(3705), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21738] = 5,
    ACTIONS(3731), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21803] = 5,
    ACTIONS(3733), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21868] = 5,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21933] = 5,
    ACTIONS(3737), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21998] = 5,
    ACTIONS(3729), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22063] = 5,
    ACTIONS(3739), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22128] = 5,
    ACTIONS(3723), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3455), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3467), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3451), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22193] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4642), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22305] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3974), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22417] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4008), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22529] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4050), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22641] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4072), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22753] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4035), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22865] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3278), 1,
      anon_sym_abstract,
    ACTIONS(3665), 1,
      anon_sym_export,
    ACTIONS(3667), 1,
      anon_sym_STAR,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3675), 1,
      anon_sym_async,
    ACTIONS(3677), 1,
      anon_sym_new,
    ACTIONS(3681), 1,
      anon_sym_static,
    ACTIONS(3683), 1,
      anon_sym_readonly,
    ACTIONS(3689), 1,
      anon_sym_override,
    STATE(1249), 1,
      sym_decorator,
    STATE(2755), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym__call_signature,
    STATE(4793), 1,
      aux_sym_export_statement_repeat1,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3679), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3685), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3143), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3940), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3663), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22977] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(2384), 1,
      anon_sym_namespace,
    ACTIONS(2386), 1,
      anon_sym_import,
    ACTIONS(2388), 1,
      anon_sym_var,
    ACTIONS(2390), 1,
      anon_sym_let,
    ACTIONS(2392), 1,
      anon_sym_const,
    ACTIONS(2394), 1,
      anon_sym_class,
    ACTIONS(2396), 1,
      anon_sym_async,
    ACTIONS(2398), 1,
      anon_sym_function,
    ACTIONS(2400), 1,
      anon_sym_declare,
    ACTIONS(2404), 1,
      anon_sym_abstract,
    ACTIONS(2408), 1,
      anon_sym_interface,
    ACTIONS(2410), 1,
      anon_sym_enum,
    ACTIONS(3761), 1,
      anon_sym_STAR,
    ACTIONS(3763), 1,
      anon_sym_default,
    ACTIONS(3765), 1,
      anon_sym_type,
    ACTIONS(3767), 1,
      anon_sym_EQ,
    ACTIONS(3769), 1,
      anon_sym_as,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3774), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_module,
    STATE(1249), 1,
      sym_decorator,
    STATE(4511), 1,
      sym_declaration,
    STATE(4512), 1,
      sym_internal_module,
    STATE(4589), 1,
      aux_sym_export_statement_repeat1,
    STATE(4800), 1,
      sym_export_clause,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    STATE(5857), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4507), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [23096] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(2384), 1,
      anon_sym_namespace,
    ACTIONS(2386), 1,
      anon_sym_import,
    ACTIONS(2388), 1,
      anon_sym_var,
    ACTIONS(2390), 1,
      anon_sym_let,
    ACTIONS(2392), 1,
      anon_sym_const,
    ACTIONS(2394), 1,
      anon_sym_class,
    ACTIONS(2396), 1,
      anon_sym_async,
    ACTIONS(2398), 1,
      anon_sym_function,
    ACTIONS(2400), 1,
      anon_sym_declare,
    ACTIONS(2404), 1,
      anon_sym_abstract,
    ACTIONS(2408), 1,
      anon_sym_interface,
    ACTIONS(2410), 1,
      anon_sym_enum,
    ACTIONS(3761), 1,
      anon_sym_STAR,
    ACTIONS(3763), 1,
      anon_sym_default,
    ACTIONS(3765), 1,
      anon_sym_type,
    ACTIONS(3767), 1,
      anon_sym_EQ,
    ACTIONS(3769), 1,
      anon_sym_as,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_module,
    ACTIONS(3781), 1,
      anon_sym_RBRACE,
    STATE(1249), 1,
      sym_decorator,
    STATE(4511), 1,
      sym_declaration,
    STATE(4512), 1,
      sym_internal_module,
    STATE(4589), 1,
      aux_sym_export_statement_repeat1,
    STATE(4800), 1,
      sym_export_clause,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    STATE(5857), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4507), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [23215] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(2384), 1,
      anon_sym_namespace,
    ACTIONS(2386), 1,
      anon_sym_import,
    ACTIONS(2388), 1,
      anon_sym_var,
    ACTIONS(2390), 1,
      anon_sym_let,
    ACTIONS(2392), 1,
      anon_sym_const,
    ACTIONS(2394), 1,
      anon_sym_class,
    ACTIONS(2396), 1,
      anon_sym_async,
    ACTIONS(2398), 1,
      anon_sym_function,
    ACTIONS(2400), 1,
      anon_sym_declare,
    ACTIONS(2404), 1,
      anon_sym_abstract,
    ACTIONS(2408), 1,
      anon_sym_interface,
    ACTIONS(2410), 1,
      anon_sym_enum,
    ACTIONS(3761), 1,
      anon_sym_STAR,
    ACTIONS(3763), 1,
      anon_sym_default,
    ACTIONS(3765), 1,
      anon_sym_type,
    ACTIONS(3767), 1,
      anon_sym_EQ,
    ACTIONS(3769), 1,
      anon_sym_as,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_module,
    ACTIONS(3784), 1,
      anon_sym_RBRACE,
    STATE(1249), 1,
      sym_decorator,
    STATE(4511), 1,
      sym_declaration,
    STATE(4512), 1,
      sym_internal_module,
    STATE(4589), 1,
      aux_sym_export_statement_repeat1,
    STATE(4800), 1,
      sym_export_clause,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    STATE(5857), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4507), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [23334] = 29,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(3787), 1,
      anon_sym_STAR,
    ACTIONS(3789), 1,
      anon_sym_RBRACE,
    ACTIONS(3791), 1,
      anon_sym_SEMI,
    ACTIONS(3793), 1,
      anon_sym_async,
    ACTIONS(3797), 1,
      anon_sym_AT,
    ACTIONS(3799), 1,
      anon_sym_static,
    ACTIONS(3801), 1,
      anon_sym_readonly,
    ACTIONS(3805), 1,
      anon_sym_declare,
    ACTIONS(3807), 1,
      anon_sym_abstract,
    ACTIONS(3809), 1,
      anon_sym_accessor,
    STATE(2539), 1,
      aux_sym_export_statement_repeat1,
    STATE(2654), 1,
      sym_method_definition,
    STATE(2704), 1,
      sym_accessibility_modifier,
    STATE(2762), 1,
      sym_override_modifier,
    STATE(2797), 1,
      sym_decorator,
    STATE(4809), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3795), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3803), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1465), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3075), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5579), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3663), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23445] = 29,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(3787), 1,
      anon_sym_STAR,
    ACTIONS(3793), 1,
      anon_sym_async,
    ACTIONS(3797), 1,
      anon_sym_AT,
    ACTIONS(3799), 1,
      anon_sym_static,
    ACTIONS(3801), 1,
      anon_sym_readonly,
    ACTIONS(3805), 1,
      anon_sym_declare,
    ACTIONS(3807), 1,
      anon_sym_abstract,
    ACTIONS(3809), 1,
      anon_sym_accessor,
    ACTIONS(3811), 1,
      anon_sym_RBRACE,
    ACTIONS(3813), 1,
      anon_sym_SEMI,
    STATE(2539), 1,
      aux_sym_export_statement_repeat1,
    STATE(2654), 1,
      sym_method_definition,
    STATE(2704), 1,
      sym_accessibility_modifier,
    STATE(2762), 1,
      sym_override_modifier,
    STATE(2797), 1,
      sym_decorator,
    STATE(4809), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3795), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3803), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1456), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3075), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5579), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3663), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23556] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(2384), 1,
      anon_sym_namespace,
    ACTIONS(2386), 1,
      anon_sym_import,
    ACTIONS(2388), 1,
      anon_sym_var,
    ACTIONS(2390), 1,
      anon_sym_let,
    ACTIONS(2392), 1,
      anon_sym_const,
    ACTIONS(2394), 1,
      anon_sym_class,
    ACTIONS(2396), 1,
      anon_sym_async,
    ACTIONS(2398), 1,
      anon_sym_function,
    ACTIONS(2400), 1,
      anon_sym_declare,
    ACTIONS(2404), 1,
      anon_sym_abstract,
    ACTIONS(2408), 1,
      anon_sym_interface,
    ACTIONS(2410), 1,
      anon_sym_enum,
    ACTIONS(3761), 1,
      anon_sym_STAR,
    ACTIONS(3763), 1,
      anon_sym_default,
    ACTIONS(3765), 1,
      anon_sym_type,
    ACTIONS(3767), 1,
      anon_sym_EQ,
    ACTIONS(3769), 1,
      anon_sym_as,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_module,
    ACTIONS(3815), 1,
      anon_sym_RBRACE,
    STATE(1249), 1,
      sym_decorator,
    STATE(4511), 1,
      sym_declaration,
    STATE(4512), 1,
      sym_internal_module,
    STATE(4589), 1,
      aux_sym_export_statement_repeat1,
    STATE(4800), 1,
      sym_export_clause,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    STATE(5857), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4507), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [23675] = 29,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(3787), 1,
      anon_sym_STAR,
    ACTIONS(3793), 1,
      anon_sym_async,
    ACTIONS(3797), 1,
      anon_sym_AT,
    ACTIONS(3799), 1,
      anon_sym_static,
    ACTIONS(3801), 1,
      anon_sym_readonly,
    ACTIONS(3805), 1,
      anon_sym_declare,
    ACTIONS(3807), 1,
      anon_sym_abstract,
    ACTIONS(3809), 1,
      anon_sym_accessor,
    ACTIONS(3818), 1,
      anon_sym_RBRACE,
    ACTIONS(3820), 1,
      anon_sym_SEMI,
    STATE(2539), 1,
      aux_sym_export_statement_repeat1,
    STATE(2654), 1,
      sym_method_definition,
    STATE(2704), 1,
      sym_accessibility_modifier,
    STATE(2762), 1,
      sym_override_modifier,
    STATE(2797), 1,
      sym_decorator,
    STATE(4809), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3795), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3803), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1461), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3075), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5579), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3663), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23786] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(2384), 1,
      anon_sym_namespace,
    ACTIONS(2386), 1,
      anon_sym_import,
    ACTIONS(2388), 1,
      anon_sym_var,
    ACTIONS(2390), 1,
      anon_sym_let,
    ACTIONS(2392), 1,
      anon_sym_const,
    ACTIONS(2394), 1,
      anon_sym_class,
    ACTIONS(2396), 1,
      anon_sym_async,
    ACTIONS(2398), 1,
      anon_sym_function,
    ACTIONS(2400), 1,
      anon_sym_declare,
    ACTIONS(2404), 1,
      anon_sym_abstract,
    ACTIONS(2408), 1,
      anon_sym_interface,
    ACTIONS(2410), 1,
      anon_sym_enum,
    ACTIONS(3761), 1,
      anon_sym_STAR,
    ACTIONS(3763), 1,
      anon_sym_default,
    ACTIONS(3765), 1,
      anon_sym_type,
    ACTIONS(3767), 1,
      anon_sym_EQ,
    ACTIONS(3769), 1,
      anon_sym_as,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_module,
    ACTIONS(3822), 1,
      anon_sym_RBRACE,
    STATE(1249), 1,
      sym_decorator,
    STATE(4511), 1,
      sym_declaration,
    STATE(4512), 1,
      sym_internal_module,
    STATE(4589), 1,
      aux_sym_export_statement_repeat1,
    STATE(4800), 1,
      sym_export_clause,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    STATE(5857), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4507), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [23905] = 29,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(3787), 1,
      anon_sym_STAR,
    ACTIONS(3791), 1,
      anon_sym_SEMI,
    ACTIONS(3793), 1,
      anon_sym_async,
    ACTIONS(3797), 1,
      anon_sym_AT,
    ACTIONS(3799), 1,
      anon_sym_static,
    ACTIONS(3801), 1,
      anon_sym_readonly,
    ACTIONS(3805), 1,
      anon_sym_declare,
    ACTIONS(3807), 1,
      anon_sym_abstract,
    ACTIONS(3809), 1,
      anon_sym_accessor,
    ACTIONS(3825), 1,
      anon_sym_RBRACE,
    STATE(2539), 1,
      aux_sym_export_statement_repeat1,
    STATE(2654), 1,
      sym_method_definition,
    STATE(2704), 1,
      sym_accessibility_modifier,
    STATE(2762), 1,
      sym_override_modifier,
    STATE(2797), 1,
      sym_decorator,
    STATE(4809), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3795), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3803), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1465), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3075), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5579), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3663), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24016] = 29,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(3787), 1,
      anon_sym_STAR,
    ACTIONS(3791), 1,
      anon_sym_SEMI,
    ACTIONS(3793), 1,
      anon_sym_async,
    ACTIONS(3797), 1,
      anon_sym_AT,
    ACTIONS(3799), 1,
      anon_sym_static,
    ACTIONS(3801), 1,
      anon_sym_readonly,
    ACTIONS(3805), 1,
      anon_sym_declare,
    ACTIONS(3807), 1,
      anon_sym_abstract,
    ACTIONS(3809), 1,
      anon_sym_accessor,
    ACTIONS(3827), 1,
      anon_sym_RBRACE,
    STATE(2539), 1,
      aux_sym_export_statement_repeat1,
    STATE(2654), 1,
      sym_method_definition,
    STATE(2704), 1,
      sym_accessibility_modifier,
    STATE(2762), 1,
      sym_override_modifier,
    STATE(2797), 1,
      sym_decorator,
    STATE(4809), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3795), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3803), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1465), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3075), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5579), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3663), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24127] = 29,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(3787), 1,
      anon_sym_STAR,
    ACTIONS(3793), 1,
      anon_sym_async,
    ACTIONS(3797), 1,
      anon_sym_AT,
    ACTIONS(3799), 1,
      anon_sym_static,
    ACTIONS(3801), 1,
      anon_sym_readonly,
    ACTIONS(3805), 1,
      anon_sym_declare,
    ACTIONS(3807), 1,
      anon_sym_abstract,
    ACTIONS(3809), 1,
      anon_sym_accessor,
    ACTIONS(3829), 1,
      anon_sym_RBRACE,
    ACTIONS(3831), 1,
      anon_sym_SEMI,
    STATE(2539), 1,
      aux_sym_export_statement_repeat1,
    STATE(2654), 1,
      sym_method_definition,
    STATE(2704), 1,
      sym_accessibility_modifier,
    STATE(2762), 1,
      sym_override_modifier,
    STATE(2797), 1,
      sym_decorator,
    STATE(4809), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3795), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3803), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1462), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3075), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5579), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3663), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24238] = 29,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(3787), 1,
      anon_sym_STAR,
    ACTIONS(3793), 1,
      anon_sym_async,
    ACTIONS(3797), 1,
      anon_sym_AT,
    ACTIONS(3799), 1,
      anon_sym_static,
    ACTIONS(3801), 1,
      anon_sym_readonly,
    ACTIONS(3805), 1,
      anon_sym_declare,
    ACTIONS(3807), 1,
      anon_sym_abstract,
    ACTIONS(3809), 1,
      anon_sym_accessor,
    ACTIONS(3833), 1,
      anon_sym_RBRACE,
    ACTIONS(3835), 1,
      anon_sym_SEMI,
    STATE(2539), 1,
      aux_sym_export_statement_repeat1,
    STATE(2654), 1,
      sym_method_definition,
    STATE(2704), 1,
      sym_accessibility_modifier,
    STATE(2762), 1,
      sym_override_modifier,
    STATE(2797), 1,
      sym_decorator,
    STATE(4809), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3795), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3803), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1466), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3075), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5579), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3663), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24349] = 29,
    ACTIONS(3840), 1,
      anon_sym_STAR,
    ACTIONS(3843), 1,
      anon_sym_RBRACE,
    ACTIONS(3845), 1,
      anon_sym_SEMI,
    ACTIONS(3848), 1,
      anon_sym_LBRACK,
    ACTIONS(3851), 1,
      anon_sym_DQUOTE,
    ACTIONS(3854), 1,
      anon_sym_SQUOTE,
    ACTIONS(3857), 1,
      anon_sym_async,
    ACTIONS(3866), 1,
      anon_sym_AT,
    ACTIONS(3869), 1,
      anon_sym_static,
    ACTIONS(3872), 1,
      anon_sym_readonly,
    ACTIONS(3878), 1,
      anon_sym_declare,
    ACTIONS(3884), 1,
      anon_sym_override,
    ACTIONS(3887), 1,
      anon_sym_abstract,
    ACTIONS(3890), 1,
      anon_sym_accessor,
    STATE(2539), 1,
      aux_sym_export_statement_repeat1,
    STATE(2654), 1,
      sym_method_definition,
    STATE(2704), 1,
      sym_accessibility_modifier,
    STATE(2762), 1,
      sym_override_modifier,
    STATE(2797), 1,
      sym_decorator,
    STATE(4809), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3860), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3863), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3875), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1465), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3881), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3075), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5579), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3837), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24460] = 29,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(3787), 1,
      anon_sym_STAR,
    ACTIONS(3791), 1,
      anon_sym_SEMI,
    ACTIONS(3793), 1,
      anon_sym_async,
    ACTIONS(3797), 1,
      anon_sym_AT,
    ACTIONS(3799), 1,
      anon_sym_static,
    ACTIONS(3801), 1,
      anon_sym_readonly,
    ACTIONS(3805), 1,
      anon_sym_declare,
    ACTIONS(3807), 1,
      anon_sym_abstract,
    ACTIONS(3809), 1,
      anon_sym_accessor,
    ACTIONS(3893), 1,
      anon_sym_RBRACE,
    STATE(2539), 1,
      aux_sym_export_statement_repeat1,
    STATE(2654), 1,
      sym_method_definition,
    STATE(2704), 1,
      sym_accessibility_modifier,
    STATE(2762), 1,
      sym_override_modifier,
    STATE(2797), 1,
      sym_decorator,
    STATE(4809), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3795), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3803), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1465), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3075), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5579), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3663), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24571] = 29,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(3787), 1,
      anon_sym_STAR,
    ACTIONS(3793), 1,
      anon_sym_async,
    ACTIONS(3797), 1,
      anon_sym_AT,
    ACTIONS(3799), 1,
      anon_sym_static,
    ACTIONS(3801), 1,
      anon_sym_readonly,
    ACTIONS(3805), 1,
      anon_sym_declare,
    ACTIONS(3807), 1,
      anon_sym_abstract,
    ACTIONS(3809), 1,
      anon_sym_accessor,
    ACTIONS(3895), 1,
      anon_sym_RBRACE,
    ACTIONS(3897), 1,
      anon_sym_SEMI,
    STATE(2539), 1,
      aux_sym_export_statement_repeat1,
    STATE(2654), 1,
      sym_method_definition,
    STATE(2704), 1,
      sym_accessibility_modifier,
    STATE(2762), 1,
      sym_override_modifier,
    STATE(2797), 1,
      sym_decorator,
    STATE(4809), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3795), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3803), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1468), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3075), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5579), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3663), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24682] = 29,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_LBRACK,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(3787), 1,
      anon_sym_STAR,
    ACTIONS(3791), 1,
      anon_sym_SEMI,
    ACTIONS(3793), 1,
      anon_sym_async,
    ACTIONS(3797), 1,
      anon_sym_AT,
    ACTIONS(3799), 1,
      anon_sym_static,
    ACTIONS(3801), 1,
      anon_sym_readonly,
    ACTIONS(3805), 1,
      anon_sym_declare,
    ACTIONS(3807), 1,
      anon_sym_abstract,
    ACTIONS(3809), 1,
      anon_sym_accessor,
    ACTIONS(3899), 1,
      anon_sym_RBRACE,
    STATE(2539), 1,
      aux_sym_export_statement_repeat1,
    STATE(2654), 1,
      sym_method_definition,
    STATE(2704), 1,
      sym_accessibility_modifier,
    STATE(2762), 1,
      sym_override_modifier,
    STATE(2797), 1,
      sym_decorator,
    STATE(4809), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3795), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3803), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1465), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3075), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5579), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3663), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24793] = 25,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3903), 1,
      anon_sym_RBRACE,
    ACTIONS(3905), 1,
      anon_sym_LBRACK,
    ACTIONS(3907), 1,
      anon_sym_async,
    ACTIONS(3911), 1,
      anon_sym_static,
    ACTIONS(3913), 1,
      anon_sym_readonly,
    ACTIONS(3919), 1,
      anon_sym_override,
    STATE(2744), 1,
      sym_accessibility_modifier,
    STATE(2781), 1,
      sym_override_modifier,
    STATE(5518), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5633), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3909), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3915), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3917), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3863), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5483), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5629), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6467), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3901), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24895] = 25,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3905), 1,
      anon_sym_LBRACK,
    ACTIONS(3923), 1,
      anon_sym_RBRACE,
    ACTIONS(3925), 1,
      anon_sym_async,
    ACTIONS(3927), 1,
      anon_sym_static,
    ACTIONS(3929), 1,
      anon_sym_readonly,
    ACTIONS(3935), 1,
      anon_sym_override,
    STATE(2744), 1,
      sym_accessibility_modifier,
    STATE(2781), 1,
      sym_override_modifier,
    STATE(5518), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5633), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3909), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3931), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3933), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3863), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5483), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5629), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6467), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3921), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24997] = 25,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3905), 1,
      anon_sym_LBRACK,
    ACTIONS(3939), 1,
      anon_sym_RBRACE,
    ACTIONS(3941), 1,
      anon_sym_async,
    ACTIONS(3943), 1,
      anon_sym_static,
    ACTIONS(3945), 1,
      anon_sym_readonly,
    ACTIONS(3951), 1,
      anon_sym_override,
    STATE(2744), 1,
      sym_accessibility_modifier,
    STATE(2781), 1,
      sym_override_modifier,
    STATE(5513), 1,
      aux_sym_object_repeat1,
    STATE(5518), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3909), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3947), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3949), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3863), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5483), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5498), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6467), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3937), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25099] = 25,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3905), 1,
      anon_sym_LBRACK,
    ACTIONS(3955), 1,
      anon_sym_RBRACE,
    ACTIONS(3957), 1,
      anon_sym_async,
    ACTIONS(3959), 1,
      anon_sym_static,
    ACTIONS(3961), 1,
      anon_sym_readonly,
    ACTIONS(3967), 1,
      anon_sym_override,
    STATE(2744), 1,
      sym_accessibility_modifier,
    STATE(2781), 1,
      sym_override_modifier,
    STATE(5518), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5633), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3909), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3963), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3965), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3863), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5483), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5629), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6467), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3953), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25201] = 25,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3905), 1,
      anon_sym_LBRACK,
    ACTIONS(3971), 1,
      anon_sym_RBRACE,
    ACTIONS(3973), 1,
      anon_sym_async,
    ACTIONS(3975), 1,
      anon_sym_static,
    ACTIONS(3977), 1,
      anon_sym_readonly,
    ACTIONS(3983), 1,
      anon_sym_override,
    STATE(2744), 1,
      sym_accessibility_modifier,
    STATE(2781), 1,
      sym_override_modifier,
    STATE(5513), 1,
      aux_sym_object_repeat1,
    STATE(5518), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3909), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3979), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3981), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3863), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5483), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5498), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6467), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3969), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25303] = 25,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3905), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_RBRACE,
    ACTIONS(3989), 1,
      anon_sym_async,
    ACTIONS(3991), 1,
      anon_sym_static,
    ACTIONS(3993), 1,
      anon_sym_readonly,
    ACTIONS(3999), 1,
      anon_sym_override,
    STATE(2744), 1,
      sym_accessibility_modifier,
    STATE(2781), 1,
      sym_override_modifier,
    STATE(5518), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5633), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3909), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3997), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3863), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5483), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5629), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6467), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3985), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25405] = 25,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3905), 1,
      anon_sym_LBRACK,
    ACTIONS(4003), 1,
      anon_sym_RBRACE,
    ACTIONS(4005), 1,
      anon_sym_async,
    ACTIONS(4007), 1,
      anon_sym_static,
    ACTIONS(4009), 1,
      anon_sym_readonly,
    ACTIONS(4015), 1,
      anon_sym_override,
    STATE(2744), 1,
      sym_accessibility_modifier,
    STATE(2781), 1,
      sym_override_modifier,
    STATE(5518), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5633), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3909), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4011), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4013), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3863), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5483), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5629), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6467), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4001), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25507] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(2384), 1,
      anon_sym_namespace,
    ACTIONS(2386), 1,
      anon_sym_import,
    ACTIONS(2388), 1,
      anon_sym_var,
    ACTIONS(2390), 1,
      anon_sym_let,
    ACTIONS(2392), 1,
      anon_sym_const,
    ACTIONS(2394), 1,
      anon_sym_class,
    ACTIONS(2396), 1,
      anon_sym_async,
    ACTIONS(2398), 1,
      anon_sym_function,
    ACTIONS(2400), 1,
      anon_sym_declare,
    ACTIONS(2404), 1,
      anon_sym_abstract,
    ACTIONS(2408), 1,
      anon_sym_interface,
    ACTIONS(2410), 1,
      anon_sym_enum,
    ACTIONS(3761), 1,
      anon_sym_STAR,
    ACTIONS(3763), 1,
      anon_sym_default,
    ACTIONS(3765), 1,
      anon_sym_type,
    ACTIONS(3769), 1,
      anon_sym_as,
    ACTIONS(3779), 1,
      anon_sym_module,
    ACTIONS(4017), 1,
      anon_sym_EQ,
    STATE(1249), 1,
      sym_decorator,
    STATE(4511), 1,
      sym_declaration,
    STATE(4512), 1,
      sym_internal_module,
    STATE(4589), 1,
      aux_sym_export_statement_repeat1,
    STATE(4800), 1,
      sym_export_clause,
    STATE(5857), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4507), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [25616] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1861), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1859), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [25673] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(2384), 1,
      anon_sym_namespace,
    ACTIONS(2386), 1,
      anon_sym_import,
    ACTIONS(2388), 1,
      anon_sym_var,
    ACTIONS(2390), 1,
      anon_sym_let,
    ACTIONS(2392), 1,
      anon_sym_const,
    ACTIONS(2394), 1,
      anon_sym_class,
    ACTIONS(2396), 1,
      anon_sym_async,
    ACTIONS(2398), 1,
      anon_sym_function,
    ACTIONS(2400), 1,
      anon_sym_declare,
    ACTIONS(2404), 1,
      anon_sym_abstract,
    ACTIONS(2408), 1,
      anon_sym_interface,
    ACTIONS(2410), 1,
      anon_sym_enum,
    ACTIONS(3761), 1,
      anon_sym_STAR,
    ACTIONS(3763), 1,
      anon_sym_default,
    ACTIONS(3765), 1,
      anon_sym_type,
    ACTIONS(3767), 1,
      anon_sym_EQ,
    ACTIONS(3769), 1,
      anon_sym_as,
    ACTIONS(3779), 1,
      anon_sym_module,
    STATE(1249), 1,
      sym_decorator,
    STATE(4511), 1,
      sym_declaration,
    STATE(4512), 1,
      sym_internal_module,
    STATE(4589), 1,
      aux_sym_export_statement_repeat1,
    STATE(4800), 1,
      sym_export_clause,
    STATE(5857), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4507), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [25784] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1905), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1903), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [25841] = 8,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4029), 1,
      anon_sym_DOT,
    ACTIONS(4031), 1,
      anon_sym_LT,
    STATE(1510), 1,
      sym_arguments,
    STATE(1511), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4023), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4025), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25907] = 8,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4031), 1,
      anon_sym_LT,
    ACTIONS(4037), 1,
      anon_sym_DOT,
    STATE(1508), 1,
      sym_arguments,
    STATE(1509), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4033), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4035), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25973] = 22,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3905), 1,
      anon_sym_LBRACK,
    ACTIONS(4041), 1,
      anon_sym_async,
    ACTIONS(4043), 1,
      anon_sym_static,
    ACTIONS(4045), 1,
      anon_sym_readonly,
    ACTIONS(4051), 1,
      anon_sym_override,
    STATE(2744), 1,
      sym_accessibility_modifier,
    STATE(2781), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3406), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3909), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4047), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4049), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3863), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5764), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6070), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6467), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4039), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26067] = 7,
    ACTIONS(4031), 1,
      anon_sym_LT,
    ACTIONS(4055), 1,
      anon_sym_DOT,
    ACTIONS(4057), 1,
      anon_sym_is,
    STATE(1588), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4053), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3522), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26131] = 8,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4031), 1,
      anon_sym_LT,
    ACTIONS(4059), 1,
      anon_sym_DOT,
    STATE(1506), 1,
      sym_arguments,
    STATE(1507), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3469), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3457), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26197] = 11,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4031), 1,
      anon_sym_LT,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4069), 1,
      anon_sym_QMARK_DOT,
    STATE(1585), 1,
      sym_type_arguments,
    STATE(1753), 1,
      sym_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4061), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4063), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [26269] = 6,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1656), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4071), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4073), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26330] = 6,
    ACTIONS(4031), 1,
      anon_sym_LT,
    ACTIONS(4055), 1,
      anon_sym_DOT,
    STATE(1588), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4053), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3522), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26391] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4075), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4077), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [26446] = 4,
    ACTIONS(4057), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4079), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4081), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26503] = 4,
    ACTIONS(4087), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4083), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26560] = 4,
    ACTIONS(4057), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4091), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26617] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3170), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(3172), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26672] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3178), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(3180), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26727] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3174), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(3176), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26782] = 6,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    ACTIONS(4095), 1,
      anon_sym_DOT,
    STATE(1770), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [26843] = 6,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    ACTIONS(4097), 1,
      anon_sym_DOT,
    STATE(1770), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [26904] = 5,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    STATE(1770), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [26963] = 5,
    ACTIONS(1725), 1,
      anon_sym_EQ,
    ACTIONS(4099), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1721), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1719), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [27022] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1861), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1859), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27077] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1757), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1755), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [27132] = 5,
    ACTIONS(4031), 1,
      anon_sym_LT,
    STATE(1619), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4083), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27191] = 6,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4105), 1,
      anon_sym_DOT,
    STATE(1622), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4101), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4103), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27252] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1905), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1903), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27307] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2380), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2378), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27361] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4107), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27415] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4111), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4113), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27469] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4115), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4117), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27523] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4121), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27577] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27631] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4129), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27685] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4131), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4133), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27739] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4135), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4137), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27793] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4139), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4141), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27847] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4143), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4145), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27901] = 4,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4147), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4149), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27957] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3657), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3473), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28011] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3659), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3479), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28065] = 4,
    ACTIONS(4154), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4147), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4149), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28121] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4159), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28175] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4165), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4157), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4159), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [28235] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4167), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4169), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28289] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4171), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4173), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28343] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4177), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28397] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28451] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4183), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28505] = 4,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4187), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4189), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28561] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4193), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28615] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2364), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2362), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28669] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4195), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4197), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28723] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4199), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4201), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28777] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4205), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28831] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4209), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28885] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4205), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28939] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4209), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28993] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4211), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4213), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29047] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4217), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29101] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4211), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4213), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29155] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4217), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29209] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4219), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4221), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29263] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4223), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4225), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29317] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4219), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4221), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29371] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4223), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4225), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29425] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4227), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4229), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29479] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4231), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4233), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29533] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4165), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4235), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4237), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29593] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4239), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4241), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29647] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4243), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4245), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29701] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4165), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4243), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4245), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29761] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2368), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2366), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29815] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4247), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4249), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29869] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4251), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4253), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29923] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4251), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4253), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29977] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4251), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4253), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30031] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4255), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4257), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30085] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4255), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4257), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30139] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4255), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4257), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30193] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4261), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30247] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4261), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30301] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4261), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30355] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4263), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4265), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30409] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4267), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4269), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30463] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4271), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4273), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30517] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2376), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2374), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30571] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4275), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4277), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30625] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4279), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30679] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4279), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30733] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4279), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30787] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4283), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4285), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30841] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4283), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4285), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30895] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4283), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4285), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30949] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4289), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31003] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4289), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31057] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4289), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31111] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4291), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4293), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31165] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4165), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4295), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4297), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31225] = 7,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4069), 1,
      anon_sym_QMARK_DOT,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1935), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1937), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31287] = 4,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4299), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4301), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31343] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4303), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4305), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31397] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4307), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4309), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31451] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4091), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31505] = 5,
    ACTIONS(4111), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4113), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31563] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4165), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31623] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4165), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4319), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4321), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31683] = 36,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4331), 1,
      anon_sym_RPAREN,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5620), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    STATE(6479), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31803] = 5,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    STATE(1691), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4373), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4375), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31861] = 19,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3784), 1,
      anon_sym_RBRACE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(4383), 1,
      anon_sym_async,
    ACTIONS(4387), 1,
      anon_sym_readonly,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4389), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31947] = 4,
    ACTIONS(4391), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1831), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1829), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32003] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4393), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4395), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32057] = 36,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(4397), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5620), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    STATE(6232), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32177] = 4,
    ACTIONS(4085), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4399), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4401), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32233] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4165), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4399), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4401), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32293] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4165), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4403), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4405), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32353] = 19,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3774), 1,
      anon_sym_RBRACE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(4383), 1,
      anon_sym_async,
    ACTIONS(4387), 1,
      anon_sym_readonly,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4389), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32439] = 36,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(4407), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5620), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    STATE(6287), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32559] = 18,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(4409), 1,
      anon_sym_STAR,
    ACTIONS(4411), 1,
      anon_sym_LBRACE,
    ACTIONS(4413), 1,
      anon_sym_async,
    ACTIONS(4417), 1,
      anon_sym_readonly,
    ACTIONS(4421), 1,
      anon_sym_accessor,
    ACTIONS(4423), 1,
      sym__automatic_semicolon,
    STATE(2682), 1,
      sym_statement_block,
    STATE(2763), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4419), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3090), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32643] = 19,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3781), 1,
      anon_sym_RBRACE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(4383), 1,
      anon_sym_async,
    ACTIONS(4387), 1,
      anon_sym_readonly,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4389), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32729] = 19,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3822), 1,
      anon_sym_RBRACE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(4383), 1,
      anon_sym_async,
    ACTIONS(4387), 1,
      anon_sym_readonly,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4389), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32815] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4165), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4426), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4428), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32875] = 6,
    ACTIONS(4434), 1,
      anon_sym_LBRACK,
    ACTIONS(4438), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4436), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4430), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4432), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32935] = 19,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3815), 1,
      anon_sym_RBRACE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(4383), 1,
      anon_sym_async,
    ACTIONS(4387), 1,
      anon_sym_readonly,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4389), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33021] = 5,
    ACTIONS(4442), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4440), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33079] = 4,
    ACTIONS(4448), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4444), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4446), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33135] = 4,
    ACTIONS(4434), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4450), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4452), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33191] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4454), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4456), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33245] = 36,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(4458), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5620), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    STATE(6171), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33365] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3284), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33419] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1857), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1855), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [33473] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1865), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1863), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [33527] = 7,
    ACTIONS(1725), 1,
      anon_sym_EQ,
    ACTIONS(2370), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4460), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4463), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1723), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33589] = 7,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3469), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33651] = 7,
    ACTIONS(4177), 1,
      anon_sym_extends,
    ACTIONS(4468), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4472), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4475), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4466), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4470), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33713] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4303), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4305), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33771] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3238), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3240), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33825] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3378), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3380), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33879] = 6,
    ACTIONS(4478), 1,
      anon_sym_LBRACE,
    ACTIONS(4480), 1,
      anon_sym_DOT,
    STATE(1814), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33939] = 6,
    ACTIONS(4478), 1,
      anon_sym_LBRACE,
    ACTIONS(4482), 1,
      anon_sym_DOT,
    STATE(1814), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33999] = 5,
    ACTIONS(4478), 1,
      anon_sym_LBRACE,
    STATE(1814), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34057] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4442), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4440), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34111] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4484), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4486), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34165] = 4,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34221] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4488), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4490), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34275] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4492), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4494), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34329] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4496), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4498), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34383] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4079), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4081), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34437] = 4,
    ACTIONS(4504), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4500), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4502), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34493] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4436), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4438), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34547] = 4,
    ACTIONS(4434), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4436), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4438), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34603] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4083), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34657] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4506), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4508), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34711] = 4,
    ACTIONS(4099), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1721), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1719), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34767] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2372), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34821] = 4,
    ACTIONS(4059), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3469), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3457), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34877] = 4,
    ACTIONS(4514), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4510), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4512), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34933] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4516), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4518), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34987] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4524), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [35098] = 26,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [35197] = 27,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [35298] = 17,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4606), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [35379] = 23,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [35472] = 24,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [35567] = 25,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [35664] = 16,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4606), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [35743] = 17,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4606), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [35824] = 21,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4576), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [35913] = 28,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [36016] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4611), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36127] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4617), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36238] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4524), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36349] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4619), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36460] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4621), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36571] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4623), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36682] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4625), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36793] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4627), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36904] = 4,
    ACTIONS(4629), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1831), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1829), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [36959] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4468), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4631), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4466), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4470), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [37016] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4634), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4636), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37069] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4638), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [37180] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4640), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4642), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37233] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1753), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1751), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37286] = 6,
    ACTIONS(4081), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4644), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4647), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37345] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1753), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1751), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [37398] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4650), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4652), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37451] = 15,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3774), 1,
      anon_sym_RBRACE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4656), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4658), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3934), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [37528] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4660), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [37639] = 16,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3774), 1,
      anon_sym_RBRACE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4383), 1,
      anon_sym_async,
    ACTIONS(4662), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4389), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [37718] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4664), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4666), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37771] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4668), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4611), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37824] = 34,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    ACTIONS(4670), 1,
      anon_sym_COMMA,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(4789), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4672), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37939] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4674), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4676), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37992] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4678), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [38103] = 34,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    ACTIONS(4680), 1,
      anon_sym_COMMA,
    ACTIONS(4683), 1,
      anon_sym_RBRACE,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4685), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [38218] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4687), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4689), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38271] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4691), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4693), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38324] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1761), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1759), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [38377] = 34,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    ACTIONS(4680), 1,
      anon_sym_COMMA,
    ACTIONS(4683), 1,
      anon_sym_RBRACE,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4695), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [38492] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1943), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1945), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38545] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4697), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4699), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38598] = 15,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3781), 1,
      anon_sym_RBRACE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4656), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4658), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3934), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [38675] = 19,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [38760] = 16,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3781), 1,
      anon_sym_RBRACE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4383), 1,
      anon_sym_async,
    ACTIONS(4662), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4389), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [38839] = 34,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    ACTIONS(4683), 1,
      anon_sym_RBRACE,
    ACTIONS(4701), 1,
      anon_sym_COMMA,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4660), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [38954] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4704), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4706), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39007] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1765), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1763), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39060] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4708), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4710), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39113] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4712), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4524), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39166] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4714), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4716), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39219] = 34,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    ACTIONS(4718), 1,
      anon_sym_COMMA,
    ACTIONS(4721), 1,
      anon_sym_RBRACE,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4660), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [39334] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4723), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39387] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4725), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4621), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39440] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4727), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4729), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39493] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4731), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39546] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4735), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4737), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39599] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4739), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4741), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39652] = 15,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3822), 1,
      anon_sym_RBRACE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4656), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4658), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3934), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [39729] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4743), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4745), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39782] = 16,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3822), 1,
      anon_sym_RBRACE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4383), 1,
      anon_sym_async,
    ACTIONS(4662), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4389), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [39861] = 16,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(4421), 1,
      anon_sym_accessor,
    ACTIONS(4749), 1,
      anon_sym_static,
    ACTIONS(4751), 1,
      anon_sym_readonly,
    ACTIONS(4753), 1,
      anon_sym_abstract,
    STATE(2707), 1,
      sym_accessibility_modifier,
    STATE(2793), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4747), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3436), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [39940] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4755), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4757), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39993] = 9,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4763), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4759), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4761), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [40058] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4771), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4797), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4638), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [40169] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4771), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4797), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4695), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [40280] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4771), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4797), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4799), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [40391] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4801), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4803), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40444] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4771), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4797), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4660), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [40555] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4771), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4797), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4678), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [40666] = 19,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [40751] = 14,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4805), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [40826] = 26,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [40925] = 27,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [41026] = 17,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4805), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [41107] = 23,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [41200] = 24,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [41295] = 25,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [41392] = 16,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4805), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [41471] = 17,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4805), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [41552] = 12,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4812), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4808), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4810), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [41623] = 21,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4576), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [41712] = 28,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4771), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [41815] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4771), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4797), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4611), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [41926] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4771), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4797), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4617), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [42037] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4771), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4797), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4524), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [42148] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4771), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4797), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4619), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [42259] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4771), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4797), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4621), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [42370] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4771), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4797), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4623), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [42481] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4771), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4797), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4625), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [42592] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4815), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4817), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42645] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4771), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4797), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4627), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [42756] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4819), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4821), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42809] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1791), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1793), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42862] = 13,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4827), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4823), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [42935] = 16,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4834), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4830), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4832), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [43014] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4837), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [43125] = 12,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4839), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4808), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4810), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [43196] = 16,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(4844), 1,
      anon_sym_static,
    ACTIONS(4846), 1,
      anon_sym_readonly,
    ACTIONS(4848), 1,
      anon_sym_abstract,
    ACTIONS(4850), 1,
      anon_sym_accessor,
    STATE(2708), 1,
      sym_accessibility_modifier,
    STATE(2778), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4842), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3494), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [43275] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4852), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [43386] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1765), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1763), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [43439] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1927), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43492] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1895), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1897), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43545] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4854), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4856), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43598] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4858), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4860), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43651] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4862), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4864), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43704] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1761), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1759), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43757] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4619), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [43868] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4621), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [43979] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4866), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4868), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44032] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4623), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [44143] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4625), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [44254] = 34,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    ACTIONS(4670), 1,
      anon_sym_COMMA,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(4789), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4870), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [44369] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1849), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1851), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44422] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1871), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1873), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44475] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1881), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1883), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44528] = 15,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3815), 1,
      anon_sym_RBRACE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4656), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4658), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3934), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [44605] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4872), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4874), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44658] = 16,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3815), 1,
      anon_sym_RBRACE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4383), 1,
      anon_sym_async,
    ACTIONS(4662), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4389), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [44737] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1771), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1773), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44790] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1725), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4876), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1723), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44847] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1781), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44900] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1823), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1825), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44953] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1839), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1841), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45006] = 11,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4879), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4881), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_type_arguments,
    STATE(2177), 1,
      sym_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4061), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4063), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [45075] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4799), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [45186] = 14,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4883), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [45261] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1909), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1907), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [45314] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4627), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [45425] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4886), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45478] = 26,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [45577] = 9,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4556), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4759), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4761), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [45642] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45695] = 4,
    ACTIONS(4468), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4466), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4470), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45750] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1889), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [45803] = 13,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4890), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4823), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [45876] = 4,
    ACTIONS(4895), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4893), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4897), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45931] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4837), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46042] = 4,
    ACTIONS(1725), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1723), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46097] = 4,
    ACTIONS(4899), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1721), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1719), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [46152] = 6,
    ACTIONS(4498), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4901), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4904), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46211] = 27,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [46312] = 33,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4683), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4907), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46425] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46478] = 17,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4883), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [46559] = 23,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4576), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4574), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [46652] = 33,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4767), 1,
      anon_sym_GT,
    ACTIONS(4769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4771), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4797), 1,
      sym__ternary_qmark,
    ACTIONS(4911), 1,
      anon_sym_in,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4909), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [46765] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4914), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4916), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46818] = 24,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [46913] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4695), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [47024] = 25,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [47121] = 8,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4881), 1,
      anon_sym_LT,
    ACTIONS(4918), 1,
      anon_sym_DOT,
    STATE(2062), 1,
      sym_arguments,
    STATE(2063), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3469), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3457), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [47184] = 8,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4881), 1,
      anon_sym_LT,
    ACTIONS(4920), 1,
      anon_sym_DOT,
    STATE(2064), 1,
      sym_arguments,
    STATE(2065), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4033), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4035), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [47247] = 13,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4922), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4823), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [47320] = 6,
    ACTIONS(4309), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4925), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4928), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4886), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47379] = 16,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4883), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [47458] = 15,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3784), 1,
      anon_sym_RBRACE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4656), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4658), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3934), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [47535] = 16,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4931), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4830), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4832), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47614] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4763), 1,
      anon_sym_LT,
    ACTIONS(4769), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4771), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4773), 1,
      anon_sym_GT_GT,
    ACTIONS(4777), 1,
      anon_sym_AMP,
    ACTIONS(4779), 1,
      anon_sym_CARET,
    ACTIONS(4781), 1,
      anon_sym_PIPE,
    ACTIONS(4785), 1,
      anon_sym_PERCENT,
    ACTIONS(4787), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4795), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4797), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4765), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4767), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4775), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4783), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4791), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4789), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4837), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [47725] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1935), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1937), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47778] = 16,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3784), 1,
      anon_sym_RBRACE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4383), 1,
      anon_sym_async,
    ACTIONS(4662), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4389), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [47857] = 17,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4883), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47938] = 12,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4934), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4808), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4810), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48009] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1909), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1907), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48062] = 8,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4881), 1,
      anon_sym_LT,
    ACTIONS(4937), 1,
      anon_sym_DOT,
    STATE(2066), 1,
      sym_arguments,
    STATE(2067), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4023), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4025), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [48125] = 21,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4576), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [48214] = 28,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [48317] = 34,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    ACTIONS(4670), 1,
      anon_sym_COMMA,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(4789), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4939), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48432] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4941), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4943), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48485] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4945), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4678), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48538] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4611), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [48649] = 16,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4947), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4830), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4832), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [48728] = 7,
    ACTIONS(4881), 1,
      anon_sym_LT,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    ACTIONS(4952), 1,
      anon_sym_is,
    STATE(2001), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4053), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3522), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [48789] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4617), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [48900] = 9,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4596), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4759), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4761), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [48965] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4638), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [49076] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4695), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [49187] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4954), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4956), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49240] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1889), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49293] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1831), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1829), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49346] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4799), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [49457] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1857), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1855), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49510] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1865), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1863), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49563] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4660), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [49674] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4958), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4638), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49727] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4678), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [49838] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4895), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4960), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4893), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4897), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49895] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1831), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1829), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [49948] = 19,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [50033] = 14,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4606), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [50108] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1915), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1917), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [50161] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    ACTIONS(4963), 1,
      anon_sym_COMMA,
    ACTIONS(4965), 1,
      anon_sym_RBRACE,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(4454), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50275] = 12,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4967), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4808), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4810), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [50345] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4627), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [50455] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4978), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    ACTIONS(5004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5006), 1,
      sym__ternary_qmark,
    STATE(2334), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4972), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50565] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    ACTIONS(5008), 1,
      anon_sym_COMMA,
    ACTIONS(5010), 1,
      anon_sym_RBRACK,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5695), 1,
      aux_sym_array_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50679] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4468), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5012), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4466), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4470), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50735] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(5014), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5620), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50849] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(5016), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5620), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50963] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(5018), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5620), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51077] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(5020), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5620), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51191] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4895), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5022), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4893), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4897), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51247] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1725), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5024), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1723), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51303] = 7,
    ACTIONS(3515), 1,
      anon_sym_EQ,
    ACTIONS(4901), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4904), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4498), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51363] = 4,
    ACTIONS(4952), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4079), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4081), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51417] = 4,
    ACTIONS(5026), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4083), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51471] = 4,
    ACTIONS(4952), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4091), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51525] = 13,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5028), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4823), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [51597] = 6,
    ACTIONS(3549), 1,
      anon_sym_EQ,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3552), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51655] = 16,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5031), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4830), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4832), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [51733] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4837), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [51843] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1757), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1755), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [51895] = 5,
    ACTIONS(4881), 1,
      anon_sym_LT,
    STATE(2009), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4083), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51951] = 6,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_DOT,
    STATE(2010), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4101), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4103), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52009] = 12,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5036), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4808), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4810), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [52079] = 8,
    ACTIONS(1725), 1,
      anon_sym_EQ,
    ACTIONS(4460), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4463), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5039), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2370), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1723), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [52141] = 8,
    ACTIONS(4468), 1,
      anon_sym_EQ,
    ACTIONS(4472), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4475), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5043), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4177), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4466), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4470), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [52203] = 15,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5047), 1,
      anon_sym_STAR,
    ACTIONS(5049), 1,
      anon_sym_async,
    ACTIONS(5053), 1,
      anon_sym_readonly,
    ACTIONS(5057), 1,
      anon_sym_accessor,
    STATE(2752), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5051), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5055), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3085), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [52279] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    ACTIONS(5008), 1,
      anon_sym_COMMA,
    ACTIONS(5059), 1,
      anon_sym_RBRACK,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(4857), 1,
      aux_sym_array_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52393] = 16,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(4383), 1,
      anon_sym_async,
    ACTIONS(4387), 1,
      anon_sym_readonly,
    STATE(2800), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4385), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4389), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [52471] = 13,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5047), 1,
      anon_sym_STAR,
    ACTIONS(5049), 1,
      anon_sym_async,
    ACTIONS(5063), 1,
      anon_sym_abstract,
    ACTIONS(5065), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5055), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5061), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3074), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [52543] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3170), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3172), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [52595] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(5067), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5553), 1,
      aux_sym_array_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52709] = 9,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4357), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4759), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4761), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [52773] = 14,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5071), 1,
      anon_sym_static,
    ACTIONS(5073), 1,
      anon_sym_readonly,
    ACTIONS(5075), 1,
      anon_sym_abstract,
    ACTIONS(5077), 1,
      anon_sym_accessor,
    STATE(2788), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5069), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3518), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [52847] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4852), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [52957] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    ACTIONS(4963), 1,
      anon_sym_COMMA,
    ACTIONS(5079), 1,
      anon_sym_RBRACK,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(4454), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53071] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4638), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [53181] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4695), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [53291] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(5081), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(4843), 1,
      aux_sym_array_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53405] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    ACTIONS(4963), 1,
      anon_sym_COMMA,
    ACTIONS(5083), 1,
      anon_sym_RBRACK,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(4454), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53519] = 6,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3589), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3587), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53577] = 13,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3784), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4656), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3934), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [53649] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    ACTIONS(4963), 1,
      anon_sym_COMMA,
    ACTIONS(5085), 1,
      anon_sym_RBRACK,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(4454), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53763] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4799), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [53873] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3174), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3176), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [53925] = 6,
    ACTIONS(4881), 1,
      anon_sym_LT,
    ACTIONS(4950), 1,
      anon_sym_DOT,
    STATE(2001), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4053), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3522), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53983] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    ACTIONS(5008), 1,
      anon_sym_COMMA,
    ACTIONS(5087), 1,
      anon_sym_RBRACK,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5695), 1,
      aux_sym_array_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54097] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(5089), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(4984), 1,
      aux_sym_array_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54211] = 13,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3774), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4656), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3934), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [54283] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4075), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4077), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [54335] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4660), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [54445] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(5091), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5054), 1,
      aux_sym_array_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54559] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4678), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [54669] = 13,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3781), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4656), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3934), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [54741] = 14,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5093), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [54815] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(5096), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5620), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54929] = 26,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [55027] = 27,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [55127] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(5098), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5129), 1,
      aux_sym_array_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55241] = 17,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5093), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [55321] = 23,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4576), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4574), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [55413] = 24,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [55507] = 25,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [55603] = 16,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5093), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [55681] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(5100), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5177), 1,
      aux_sym_array_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55795] = 17,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5093), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 16,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [55875] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(5102), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5193), 1,
      aux_sym_array_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55989] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4909), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [56099] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5104), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [56209] = 21,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4576), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [56297] = 28,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [56399] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4611), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56509] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4617), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56619] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4524), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56729] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(5106), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5620), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56843] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5108), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [56953] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4619), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57063] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4621), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57173] = 15,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5110), 1,
      anon_sym_STAR,
    ACTIONS(5112), 1,
      anon_sym_async,
    ACTIONS(5116), 1,
      anon_sym_readonly,
    ACTIONS(5120), 1,
      anon_sym_accessor,
    STATE(2759), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5114), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5118), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3082), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [57249] = 13,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5110), 1,
      anon_sym_STAR,
    ACTIONS(5112), 1,
      anon_sym_async,
    ACTIONS(5120), 1,
      anon_sym_accessor,
    ACTIONS(5122), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5114), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5118), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3082), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [57321] = 14,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5120), 1,
      anon_sym_accessor,
    ACTIONS(5126), 1,
      anon_sym_static,
    ACTIONS(5128), 1,
      anon_sym_readonly,
    ACTIONS(5130), 1,
      anon_sym_abstract,
    STATE(2785), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5124), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3450), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [57395] = 15,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5132), 1,
      anon_sym_STAR,
    ACTIONS(5134), 1,
      anon_sym_async,
    ACTIONS(5138), 1,
      anon_sym_readonly,
    ACTIONS(5142), 1,
      anon_sym_accessor,
    STATE(2761), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5136), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5140), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3099), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [57471] = 13,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5132), 1,
      anon_sym_STAR,
    ACTIONS(5134), 1,
      anon_sym_async,
    ACTIONS(5146), 1,
      anon_sym_abstract,
    ACTIONS(5148), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5140), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5144), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3102), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [57543] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4623), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57653] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4625), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57763] = 7,
    ACTIONS(1725), 1,
      anon_sym_EQ,
    ACTIONS(2370), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4460), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4463), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1723), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57823] = 13,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3822), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4656), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3934), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [57895] = 13,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4409), 1,
      anon_sym_STAR,
    ACTIONS(4413), 1,
      anon_sym_async,
    ACTIONS(4421), 1,
      anon_sym_accessor,
    ACTIONS(4662), 1,
      anon_sym_LBRACK,
    ACTIONS(5150), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4419), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3090), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [57967] = 7,
    ACTIONS(4177), 1,
      anon_sym_extends,
    ACTIONS(4468), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4472), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4475), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4466), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4470), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58027] = 13,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3815), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4656), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3934), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [58099] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3178), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3180), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [58151] = 6,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2201), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4071), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4073), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [58209] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    ACTIONS(4963), 1,
      anon_sym_COMMA,
    ACTIONS(5152), 1,
      anon_sym_RBRACK,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(4454), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58323] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    ACTIONS(4963), 1,
      anon_sym_COMMA,
    ACTIONS(5154), 1,
      anon_sym_COLON,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(4454), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58437] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(5156), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5620), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58551] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(5158), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5620), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58665] = 34,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    ACTIONS(5160), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5620), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58779] = 33,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4536), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4538), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4540), 1,
      anon_sym_GT_GT,
    ACTIONS(4544), 1,
      anon_sym_AMP,
    ACTIONS(4546), 1,
      anon_sym_CARET,
    ACTIONS(4548), 1,
      anon_sym_PIPE,
    ACTIONS(4552), 1,
      anon_sym_PERCENT,
    ACTIONS(4554), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4556), 1,
      anon_sym_LT,
    ACTIONS(4564), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(4570), 1,
      sym__ternary_qmark,
    ACTIONS(4695), 1,
      anon_sym_COMMA,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4530), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4542), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4560), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4562), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4685), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4558), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58891] = 9,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4996), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4759), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4761), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [58955] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4978), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    ACTIONS(5004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5006), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4638), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59065] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4978), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    ACTIONS(5004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5006), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4695), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59175] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4978), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    ACTIONS(5004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5006), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4799), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59285] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4978), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    ACTIONS(5004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5006), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4660), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59395] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4978), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    ACTIONS(5004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5006), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4678), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59505] = 19,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [59589] = 14,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5162), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [59663] = 26,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [59761] = 27,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(4976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [59861] = 17,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5162), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [59941] = 23,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [60033] = 24,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [60127] = 25,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [60223] = 16,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5162), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [60301] = 17,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5162), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 16,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [60381] = 21,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4576), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [60469] = 28,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(4976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4978), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [60571] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4978), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    ACTIONS(5004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5006), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4611), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60681] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4978), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    ACTIONS(5004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5006), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4617), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60791] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4978), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    ACTIONS(5004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5006), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4524), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60901] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4978), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    ACTIONS(5004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5006), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4619), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61011] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4978), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    ACTIONS(5004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5006), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4621), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61121] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4978), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    ACTIONS(5004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5006), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4623), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61231] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4978), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    ACTIONS(5004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5006), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4625), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61341] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4978), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    ACTIONS(5004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5006), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4627), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61451] = 13,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5165), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4823), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [61523] = 16,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5168), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4830), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4832), 17,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [61601] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4978), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4980), 1,
      anon_sym_GT_GT,
    ACTIONS(4984), 1,
      anon_sym_AMP,
    ACTIONS(4986), 1,
      anon_sym_CARET,
    ACTIONS(4988), 1,
      anon_sym_PIPE,
    ACTIONS(4992), 1,
      anon_sym_PERCENT,
    ACTIONS(4994), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4996), 1,
      anon_sym_LT,
    ACTIONS(5004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5006), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4970), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4974), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4982), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4990), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5002), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4837), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4998), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61711] = 19,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [61795] = 10,
    ACTIONS(1725), 1,
      anon_sym_EQ,
    ACTIONS(2370), 1,
      anon_sym_extends,
    ACTIONS(2372), 1,
      anon_sym_QMARK,
    ACTIONS(4460), 1,
      anon_sym_LBRACK,
    ACTIONS(5024), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4463), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5039), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1723), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61860] = 24,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [61953] = 25,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [62048] = 16,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5197), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [62125] = 17,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5197), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [62204] = 21,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4576), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [62291] = 28,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [62392] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4611), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62501] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4617), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62610] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4524), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62719] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4619), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62828] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4621), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62937] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4623), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63046] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4625), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63155] = 14,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5210), 1,
      anon_sym_STAR,
    ACTIONS(5212), 1,
      anon_sym_async,
    ACTIONS(5216), 1,
      anon_sym_readonly,
    STATE(2794), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5214), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5218), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3146), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [63228] = 19,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(2356), 1,
      anon_sym_readonly,
    ACTIONS(2360), 1,
      anon_sym_override,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    STATE(2774), 1,
      sym_override_modifier,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [63311] = 14,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5222), 1,
      anon_sym_STAR,
    ACTIONS(5224), 1,
      anon_sym_async,
    ACTIONS(5228), 1,
      anon_sym_readonly,
    STATE(2782), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5226), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5230), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [63384] = 6,
    ACTIONS(4081), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4644), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4647), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63441] = 7,
    ACTIONS(3513), 1,
      anon_sym_EQ,
    ACTIONS(4498), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4901), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4904), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63500] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4247), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4249), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63551] = 4,
    ACTIONS(4895), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4893), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4897), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63604] = 33,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    ACTIONS(5232), 1,
      anon_sym_SEMI,
    ACTIONS(5234), 1,
      sym__automatic_semicolon,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63715] = 6,
    ACTIONS(5236), 1,
      anon_sym_AMP,
    ACTIONS(5238), 1,
      anon_sym_PIPE,
    ACTIONS(5240), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4403), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4405), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63772] = 19,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(695), 1,
      anon_sym_RBRACE,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(2356), 1,
      anon_sym_readonly,
    ACTIONS(2360), 1,
      anon_sym_override,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    STATE(2774), 1,
      sym_override_modifier,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [63855] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4627), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63964] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4251), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4253), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64015] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4251), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4253), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64066] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4251), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4253), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64117] = 14,
    ACTIONS(169), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3905), 1,
      anon_sym_LBRACK,
    ACTIONS(5244), 1,
      anon_sym_COMMA,
    ACTIONS(5246), 1,
      anon_sym_RBRACE,
    STATE(5635), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5248), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5628), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6278), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(6467), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(5242), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [64190] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4255), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4257), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64241] = 4,
    ACTIONS(5254), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5250), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(5252), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64294] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2372), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64345] = 4,
    ACTIONS(4918), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3469), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3457), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64398] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4909), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64507] = 4,
    ACTIONS(5256), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4510), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4512), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64560] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4107), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64611] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5258), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64720] = 6,
    ACTIONS(4498), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4901), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4904), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64777] = 9,
    ACTIONS(4081), 1,
      anon_sym_extends,
    ACTIONS(4644), 1,
      anon_sym_LBRACK,
    ACTIONS(5265), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4647), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5260), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5262), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64840] = 9,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(3581), 1,
      anon_sym_EQ,
    ACTIONS(4901), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3584), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4498), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4904), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64903] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4177), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64954] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4454), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4456), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65005] = 4,
    ACTIONS(5236), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4299), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4301), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65058] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4255), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4257), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65109] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4303), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4305), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65160] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4307), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4309), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65211] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4393), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4395), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65262] = 6,
    ACTIONS(5236), 1,
      anon_sym_AMP,
    ACTIONS(5238), 1,
      anon_sym_PIPE,
    ACTIONS(5240), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4426), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4428), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65319] = 6,
    ACTIONS(4438), 1,
      anon_sym_extends,
    ACTIONS(5269), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4436), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4430), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4432), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65376] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4255), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4257), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65427] = 4,
    ACTIONS(5271), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4444), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4446), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65480] = 4,
    ACTIONS(5269), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4450), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4452), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65533] = 19,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(2356), 1,
      anon_sym_readonly,
    ACTIONS(2360), 1,
      anon_sym_override,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5273), 1,
      anon_sym_RBRACE,
    STATE(2774), 1,
      sym_override_modifier,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [65616] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4442), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4440), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65667] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4484), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4486), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65718] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4492), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4494), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65769] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3284), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65820] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4261), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65871] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_STAR,
    ACTIONS(5277), 1,
      anon_sym_async,
    ACTIONS(5283), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5279), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5281), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3086), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [65940] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4261), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65991] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4243), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4245), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [66042] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4261), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [66093] = 7,
    ACTIONS(1725), 1,
      anon_sym_EQ,
    ACTIONS(4460), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2370), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4463), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1723), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66152] = 7,
    ACTIONS(3461), 1,
      anon_sym_DOT,
    ACTIONS(3465), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3469), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3457), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66211] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4852), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66320] = 7,
    ACTIONS(4468), 1,
      anon_sym_EQ,
    ACTIONS(4472), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4177), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4475), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4466), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4470), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66379] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4303), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4305), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66434] = 9,
    ACTIONS(4081), 1,
      anon_sym_extends,
    ACTIONS(4644), 1,
      anon_sym_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4647), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5260), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5285), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66497] = 9,
    ACTIONS(3549), 1,
      anon_sym_EQ,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(4901), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3552), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4498), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4904), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66560] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5290), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66669] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4263), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4265), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [66720] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4091), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [66771] = 6,
    ACTIONS(5236), 1,
      anon_sym_AMP,
    ACTIONS(5238), 1,
      anon_sym_PIPE,
    ACTIONS(5240), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66828] = 6,
    ACTIONS(5236), 1,
      anon_sym_AMP,
    ACTIONS(5238), 1,
      anon_sym_PIPE,
    ACTIONS(5240), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4319), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4321), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66885] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4907), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66994] = 6,
    ACTIONS(1725), 1,
      anon_sym_EQ,
    ACTIONS(1729), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1719), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1723), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67051] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4267), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4269), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [67102] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4271), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4273), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [67153] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2376), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2374), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [67204] = 13,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(5292), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4823), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [67275] = 16,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5295), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4830), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4832), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [67352] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67461] = 12,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(5298), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4808), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4810), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [67530] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4275), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4277), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [67581] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4488), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4490), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [67632] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5104), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67741] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5258), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67850] = 19,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(2356), 1,
      anon_sym_readonly,
    ACTIONS(2360), 1,
      anon_sym_override,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5301), 1,
      anon_sym_RBRACE,
    STATE(2774), 1,
      sym_override_modifier,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67933] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4279), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [67984] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4337), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4339), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4341), 1,
      anon_sym_GT_GT,
    ACTIONS(4345), 1,
      anon_sym_AMP,
    ACTIONS(4347), 1,
      anon_sym_CARET,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(4353), 1,
      anon_sym_PERCENT,
    ACTIONS(4355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4371), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4333), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4343), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4351), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4361), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4909), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4359), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68093] = 7,
    ACTIONS(3505), 1,
      anon_sym_EQ,
    ACTIONS(4498), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4901), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4904), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68152] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4496), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4498), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [68203] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4079), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4081), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [68254] = 9,
    ACTIONS(2370), 1,
      anon_sym_extends,
    ACTIONS(4460), 1,
      anon_sym_LBRACK,
    ACTIONS(5039), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1725), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4463), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4876), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1723), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68317] = 9,
    ACTIONS(4177), 1,
      anon_sym_extends,
    ACTIONS(4472), 1,
      anon_sym_LBRACK,
    ACTIONS(5043), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4468), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4475), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4631), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4466), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4470), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68380] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5110), 1,
      anon_sym_STAR,
    ACTIONS(5112), 1,
      anon_sym_async,
    ACTIONS(5120), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5114), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5118), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3082), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [68449] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4440), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68502] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5303), 1,
      anon_sym_STAR,
    ACTIONS(5305), 1,
      anon_sym_async,
    ACTIONS(5311), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5307), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5309), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3073), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [68571] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4279), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [68622] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4279), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4281), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [68673] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4113), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68726] = 4,
    ACTIONS(5313), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4500), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4502), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [68779] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4436), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4438), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [68830] = 7,
    ACTIONS(3453), 1,
      anon_sym_EQ,
    ACTIONS(4498), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4901), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4904), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68889] = 4,
    ACTIONS(5269), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4436), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4438), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [68942] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4083), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [68993] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2380), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2378), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [69044] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4111), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4113), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [69095] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4115), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4117), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [69146] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4119), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4121), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [69197] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [69248] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4129), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [69299] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4131), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4133), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [69350] = 19,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(2356), 1,
      anon_sym_readonly,
    ACTIONS(2360), 1,
      anon_sym_override,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5315), 1,
      anon_sym_RBRACE,
    STATE(2774), 1,
      sym_override_modifier,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [69433] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_async,
    ACTIONS(5325), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5321), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5323), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3079), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [69502] = 6,
    ACTIONS(5236), 1,
      anon_sym_AMP,
    ACTIONS(5238), 1,
      anon_sym_PIPE,
    ACTIONS(5240), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4243), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4245), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69559] = 23,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [69650] = 10,
    ACTIONS(4175), 1,
      anon_sym_QMARK,
    ACTIONS(4177), 1,
      anon_sym_extends,
    ACTIONS(4468), 1,
      anon_sym_EQ,
    ACTIONS(4472), 1,
      anon_sym_LBRACK,
    ACTIONS(5012), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4475), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5043), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4466), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4470), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69715] = 9,
    ACTIONS(2370), 1,
      anon_sym_extends,
    ACTIONS(4460), 1,
      anon_sym_LBRACK,
    ACTIONS(5327), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1725), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4463), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5024), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1723), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69778] = 7,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3469), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69837] = 19,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(2356), 1,
      anon_sym_readonly,
    ACTIONS(2360), 1,
      anon_sym_override,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5330), 1,
      anon_sym_RBRACE,
    STATE(2774), 1,
      sym_override_modifier,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [69920] = 6,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4904), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4901), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4498), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69977] = 7,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4879), 1,
      anon_sym_QMARK_DOT,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1935), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1937), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70036] = 9,
    ACTIONS(4177), 1,
      anon_sym_extends,
    ACTIONS(4472), 1,
      anon_sym_LBRACK,
    ACTIONS(5332), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4468), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4475), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5012), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4466), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4470), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70099] = 9,
    ACTIONS(4081), 1,
      anon_sym_extends,
    ACTIONS(4644), 1,
      anon_sym_LBRACK,
    ACTIONS(5339), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4647), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5335), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5337), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70162] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4303), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4305), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70217] = 6,
    ACTIONS(4309), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4925), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4928), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4886), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70274] = 4,
    ACTIONS(4440), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70327] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4135), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4137), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70378] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4139), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4141), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70429] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1992), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1990), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [70482] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4143), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4145), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70533] = 6,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4928), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4925), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4309), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4886), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70590] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4506), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4508), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70641] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4283), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4285), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70692] = 33,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    ACTIONS(5342), 1,
      anon_sym_SEMI,
    ACTIONS(5344), 1,
      sym__automatic_semicolon,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70803] = 4,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4147), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4149), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70856] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3657), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3473), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70907] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3659), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3479), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [70958] = 4,
    ACTIONS(4154), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4147), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4149), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71011] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4159), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71062] = 6,
    ACTIONS(5236), 1,
      anon_sym_AMP,
    ACTIONS(5238), 1,
      anon_sym_PIPE,
    ACTIONS(5240), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4157), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4159), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71119] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4683), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71228] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4580), 1,
      anon_sym_GT_GT,
    ACTIONS(4584), 1,
      anon_sym_AMP,
    ACTIONS(4586), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      anon_sym_PIPE,
    ACTIONS(4592), 1,
      anon_sym_PERCENT,
    ACTIONS(4594), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4596), 1,
      anon_sym_LT,
    ACTIONS(4604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4615), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4572), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4578), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4582), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4600), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4602), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4721), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4598), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71337] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4167), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4169), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71388] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4171), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4173), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71439] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4516), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4518), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71490] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71541] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3238), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3240), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71592] = 6,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4647), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4644), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4081), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71649] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4183), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71700] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5346), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71809] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4283), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4285), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71860] = 4,
    ACTIONS(5236), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4187), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4189), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71913] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4283), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4285), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [71964] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4193), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72015] = 4,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72068] = 14,
    ACTIONS(169), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3905), 1,
      anon_sym_LBRACK,
    ACTIONS(5244), 1,
      anon_sym_COMMA,
    ACTIONS(5350), 1,
      anon_sym_RBRACE,
    STATE(5518), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5248), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5483), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6278), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(6467), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(5348), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [72141] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2364), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2362), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72192] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4195), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4197), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72243] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5352), 1,
      anon_sym_STAR,
    ACTIONS(5354), 1,
      anon_sym_async,
    ACTIONS(5360), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5356), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3072), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [72312] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4199), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4201), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72363] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4289), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72414] = 12,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4656), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4658), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3934), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [72483] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4289), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72534] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4289), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72585] = 13,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4383), 1,
      anon_sym_async,
    ACTIONS(4662), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4385), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4389), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [72656] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4291), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4293), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [72707] = 6,
    ACTIONS(5236), 1,
      anon_sym_AMP,
    ACTIONS(5238), 1,
      anon_sym_PIPE,
    ACTIONS(5240), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4295), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4297), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72764] = 5,
    ACTIONS(1725), 1,
      anon_sym_EQ,
    ACTIONS(4899), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1721), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1719), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72819] = 9,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(5187), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4759), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4761), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [72882] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5362), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72991] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4638), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73100] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4695), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73209] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_async,
    ACTIONS(5366), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5364), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3080), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [73278] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4799), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73387] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_async,
    ACTIONS(5370), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5368), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3077), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [73456] = 4,
    ACTIONS(4085), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4399), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4401), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73509] = 6,
    ACTIONS(5236), 1,
      anon_sym_AMP,
    ACTIONS(5238), 1,
      anon_sym_PIPE,
    ACTIONS(5240), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4399), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4401), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73566] = 19,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(2356), 1,
      anon_sym_readonly,
    ACTIONS(2360), 1,
      anon_sym_override,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    STATE(2774), 1,
      sym_override_modifier,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [73649] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5047), 1,
      anon_sym_STAR,
    ACTIONS(5049), 1,
      anon_sym_async,
    ACTIONS(5374), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5055), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5372), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3076), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [73718] = 5,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    STATE(2342), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4373), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4375), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73773] = 4,
    ACTIONS(4468), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4466), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4470), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73826] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4660), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73935] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_as,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4568), 1,
      anon_sym_satisfies,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4678), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74044] = 19,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [74127] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2368), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2366), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74178] = 14,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5197), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [74251] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4205), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74302] = 4,
    ACTIONS(1725), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1723), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74355] = 26,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [74452] = 27,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(5175), 1,
      anon_sym_GT_GT,
    ACTIONS(5179), 1,
      anon_sym_AMP,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5187), 1,
      anon_sym_LT,
    ACTIONS(5195), 1,
      anon_sym_CARET,
    ACTIONS(5200), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5204), 1,
      anon_sym_PIPE,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5173), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5177), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5189), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [74551] = 17,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(5183), 1,
      anon_sym_PERCENT,
    ACTIONS(5185), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5197), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5171), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [74630] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4209), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74681] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4205), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74732] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4209), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74783] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4211), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4213), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74834] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4217), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74885] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4211), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4213), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74936] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4217), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [74987] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4219), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4221), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75038] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4223), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4225), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75089] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4219), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4221), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75140] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4223), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4225), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75191] = 4,
    ACTIONS(4113), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75244] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4227), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4229), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75295] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4231), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4233), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75346] = 6,
    ACTIONS(5236), 1,
      anon_sym_AMP,
    ACTIONS(5238), 1,
      anon_sym_PIPE,
    ACTIONS(5240), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4235), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4237), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75403] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3378), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3380), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75454] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4239), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4241), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75505] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5047), 1,
      anon_sym_STAR,
    ACTIONS(5049), 1,
      anon_sym_async,
    ACTIONS(5378), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5055), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5376), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3068), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75574] = 14,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_async,
    ACTIONS(5386), 1,
      anon_sym_readonly,
    STATE(2767), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5384), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5388), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3159), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75647] = 17,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5392), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 14,
      sym__ternary_qmark,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [75725] = 15,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5330), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75799] = 16,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5330), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75875] = 9,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3822), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1992), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1990), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75937] = 9,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3822), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1994), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75999] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4755), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4757), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76049] = 8,
    ACTIONS(1725), 1,
      anon_sym_EQ,
    ACTIONS(4460), 1,
      anon_sym_LBRACK,
    ACTIONS(5024), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4463), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2370), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(1723), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76109] = 8,
    ACTIONS(4468), 1,
      anon_sym_EQ,
    ACTIONS(4472), 1,
      anon_sym_LBRACK,
    ACTIONS(5012), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4475), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4177), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4466), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4470), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76169] = 8,
    ACTIONS(3515), 1,
      anon_sym_EQ,
    ACTIONS(4496), 1,
      anon_sym_QMARK,
    ACTIONS(4901), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4904), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4498), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76229] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4862), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4864), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76279] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4872), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4874), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76329] = 7,
    ACTIONS(1725), 1,
      anon_sym_EQ,
    ACTIONS(4460), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2370), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4463), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1723), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76387] = 7,
    ACTIONS(4468), 1,
      anon_sym_EQ,
    ACTIONS(4472), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4177), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4475), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4466), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4470), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76445] = 9,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3784), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1992), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1990), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76507] = 9,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3784), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1994), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76569] = 9,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3774), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1992), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1990), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76631] = 9,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3774), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1994), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76693] = 9,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3781), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1992), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1990), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76755] = 9,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3781), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1994), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76817] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4858), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4860), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76867] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4941), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4943), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76917] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5395), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5397), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5399), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3960), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76981] = 6,
    ACTIONS(4644), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4081), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4647), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77037] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4945), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4678), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77087] = 6,
    ACTIONS(3513), 1,
      anon_sym_EQ,
    ACTIONS(3636), 1,
      anon_sym_in,
    ACTIONS(3639), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77143] = 11,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5395), 1,
      anon_sym_STAR,
    ACTIONS(5401), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5403), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5405), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3132), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77209] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4854), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4856), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77259] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5335), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5337), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77313] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4656), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3934), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77377] = 4,
    ACTIONS(5407), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5250), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(5252), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77429] = 11,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5409), 1,
      anon_sym_STAR,
    ACTIONS(5411), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5413), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5415), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3136), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77495] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1787), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1791), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1793), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77547] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1911), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1915), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1917), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77599] = 5,
    ACTIONS(5417), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1921), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1927), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77653] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4634), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4636), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77703] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5423), 1,
      anon_sym_COLON,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77811] = 5,
    ACTIONS(1775), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1767), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1771), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1773), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77865] = 15,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77939] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5222), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5455), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5457), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3973), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78003] = 16,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78079] = 11,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5210), 1,
      anon_sym_STAR,
    ACTIONS(5212), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5214), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5218), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3146), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78145] = 11,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4662), 1,
      anon_sym_LBRACK,
    ACTIONS(5222), 1,
      anon_sym_STAR,
    ACTIONS(5224), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5226), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5230), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78211] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1891), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1895), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1897), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78263] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    ACTIONS(5459), 1,
      anon_sym_COLON,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78371] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1845), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1849), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1851), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78423] = 5,
    ACTIONS(5461), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1867), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1871), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1873), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78477] = 5,
    ACTIONS(5463), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1877), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1881), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1883), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78531] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1767), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1771), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78583] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1777), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1781), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78635] = 5,
    ACTIONS(5465), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1819), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1823), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1825), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78689] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1835), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1839), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1841), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78741] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5471), 1,
      anon_sym_RBRACK,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5475), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    ACTIONS(5501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5503), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78849] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1823), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1825), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78899] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1839), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1841), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78949] = 5,
    ACTIONS(1785), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1777), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1781), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79003] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5505), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5507), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79057] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5047), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5509), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5511), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3949), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79121] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1994), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_accessor,
  [79173] = 4,
    ACTIONS(3513), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79225] = 15,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(695), 1,
      anon_sym_RBRACE,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79299] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5513), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5515), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5517), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4053), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79363] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4664), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4666), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79413] = 16,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(695), 1,
      anon_sym_RBRACE,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79489] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4668), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4611), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79539] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5519), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5521), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5523), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79603] = 5,
    ACTIONS(1947), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1939), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1943), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1945), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79657] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4866), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4868), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79707] = 15,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5273), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79781] = 16,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5273), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79857] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4674), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4676), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79907] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4954), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4956), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79957] = 4,
    ACTIONS(5407), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5250), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(5252), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [80009] = 6,
    ACTIONS(4901), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4498), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4904), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80065] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1849), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1851), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80115] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4687), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4689), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80165] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5475), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    ACTIONS(5501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5503), 1,
      sym__ternary_qmark,
    ACTIONS(5525), 1,
      anon_sym_RBRACK,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80273] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1871), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1873), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80323] = 7,
    ACTIONS(5527), 1,
      anon_sym_LPAREN,
    ACTIONS(5530), 1,
      anon_sym_COLON,
    ACTIONS(5532), 1,
      anon_sym_LT,
    ACTIONS(5535), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4954), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4956), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80381] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1881), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1883), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80431] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4640), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4642), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80481] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1771), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1773), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80531] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1781), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80581] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4739), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4741), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80631] = 9,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4759), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4761), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [80693] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4638), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80801] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4695), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80909] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4799), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81017] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4660), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81125] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4678), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81233] = 19,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [81315] = 14,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5392), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [81387] = 26,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [81483] = 27,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [81581] = 17,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5392), 1,
      anon_sym_LT,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [81659] = 23,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [81749] = 24,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [81841] = 25,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [81935] = 16,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5392), 1,
      anon_sym_LT,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [82011] = 21,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4576), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [82097] = 28,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [82197] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4611), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82305] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4617), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82413] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4524), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82521] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4619), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82629] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4621), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82737] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4623), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82845] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4625), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82953] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4627), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83061] = 7,
    ACTIONS(3591), 1,
      anon_sym_EQ,
    ACTIONS(4901), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4498), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4904), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83119] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4691), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4693), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83169] = 9,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(5493), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4759), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4761), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [83231] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4638), 1,
      anon_sym_RBRACK,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5475), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    ACTIONS(5501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5503), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83339] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4695), 1,
      anon_sym_RBRACK,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5475), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    ACTIONS(5501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5503), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83447] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4799), 1,
      anon_sym_RBRACK,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5475), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    ACTIONS(5501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5503), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83555] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4660), 1,
      anon_sym_RBRACK,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5475), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    ACTIONS(5501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5503), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83663] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4678), 1,
      anon_sym_RBRACK,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5475), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    ACTIONS(5501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5503), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83771] = 19,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [83853] = 14,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5537), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [83925] = 26,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [84021] = 27,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [84119] = 17,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5537), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [84197] = 23,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [84287] = 24,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [84379] = 25,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [84473] = 16,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5537), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [84549] = 17,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5537), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 14,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [84627] = 21,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4576), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [84713] = 28,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5475), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [84813] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4611), 1,
      anon_sym_RBRACK,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5475), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    ACTIONS(5501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5503), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84921] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4617), 1,
      anon_sym_RBRACK,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5475), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    ACTIONS(5501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5503), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85029] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4524), 1,
      anon_sym_RBRACK,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5475), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    ACTIONS(5501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5503), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85137] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4619), 1,
      anon_sym_RBRACK,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5475), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    ACTIONS(5501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5503), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85245] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4621), 1,
      anon_sym_RBRACK,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5475), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    ACTIONS(5501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5503), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85353] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4623), 1,
      anon_sym_RBRACK,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5475), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    ACTIONS(5501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5503), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85461] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4625), 1,
      anon_sym_RBRACK,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5475), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    ACTIONS(5501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5503), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85569] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4627), 1,
      anon_sym_RBRACK,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5475), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    ACTIONS(5501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5503), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85677] = 33,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4909), 1,
      anon_sym_of,
    ACTIONS(5542), 1,
      anon_sym_in,
    ACTIONS(5545), 1,
      anon_sym_GT,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85787] = 7,
    ACTIONS(4496), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4498), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4904), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4901), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85845] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1943), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1945), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85895] = 7,
    ACTIONS(3573), 1,
      anon_sym_EQ,
    ACTIONS(4498), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4901), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4904), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85953] = 21,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(5583), 1,
      anon_sym_RBRACE,
    ACTIONS(5585), 1,
      anon_sym_async,
    ACTIONS(5589), 1,
      anon_sym_static,
    ACTIONS(5591), 1,
      anon_sym_readonly,
    ACTIONS(5597), 1,
      anon_sym_override,
    STATE(2744), 1,
      sym_accessibility_modifier,
    STATE(2781), 1,
      sym_override_modifier,
    STATE(4933), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5587), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5593), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5595), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3826), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4931), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(5579), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86039] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5599), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5601), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5603), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4017), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86103] = 6,
    ACTIONS(4925), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4309), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4928), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4886), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86159] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5605), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5607), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86213] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5609), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5611), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86267] = 11,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5613), 1,
      anon_sym_STAR,
    ACTIONS(5615), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5617), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5619), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3165), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86333] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4409), 1,
      anon_sym_STAR,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5621), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5623), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3956), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86397] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5625), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5627), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86451] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5629), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5631), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3955), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86515] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5609), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5611), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86569] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4886), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86619] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5609), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5611), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86673] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5210), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5633), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5635), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3963), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86737] = 5,
    ACTIONS(1795), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1787), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1791), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1793), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86791] = 5,
    ACTIONS(1919), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1911), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1915), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1917), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86845] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5303), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5637), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5639), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86909] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4113), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86961] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4704), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4706), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87011] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5409), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5641), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5643), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3982), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [87075] = 12,
    ACTIONS(169), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(3905), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5248), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5647), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6070), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6278), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(6467), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(5645), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [87143] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5613), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5649), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5651), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3983), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [87207] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5653), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5655), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5657), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3984), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [87271] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5110), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5659), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5661), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4029), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [87335] = 5,
    ACTIONS(1929), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1921), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1927), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87389] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5120), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5124), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3450), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [87451] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5132), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5665), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3939), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [87515] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1931), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1935), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1937), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87567] = 7,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1656), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5667), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4071), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4073), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [87625] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    ACTIONS(5669), 1,
      anon_sym_COLON,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87733] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4708), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4710), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87783] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4712), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4524), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87833] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4714), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4716), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87883] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4723), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87933] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4725), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4621), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87983] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4727), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4729), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88033] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4731), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88083] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4735), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4737), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88133] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5671), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5673), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4057), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88197] = 11,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5384), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5388), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3159), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88263] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88313] = 7,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3469), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3457), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88371] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1935), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1937), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88421] = 7,
    ACTIONS(3577), 1,
      anon_sym_EQ,
    ACTIONS(4498), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4901), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4904), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [88479] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4303), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4305), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88533] = 7,
    ACTIONS(4307), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4309), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4928), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4925), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4886), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88591] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    ACTIONS(5675), 1,
      anon_sym_COLON,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88699] = 8,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3587), 1,
      anon_sym_COLON,
    ACTIONS(4901), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4904), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4498), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88759] = 13,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5677), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4823), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [88829] = 16,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5680), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4830), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4832), 15,
      sym__ternary_qmark,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [88905] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4837), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89013] = 12,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5683), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4808), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4810), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [89081] = 9,
    ACTIONS(3453), 1,
      anon_sym_EQ,
    ACTIONS(3587), 1,
      anon_sym_COLON,
    ACTIONS(4498), 1,
      anon_sym_extends,
    ACTIONS(4901), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4904), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5686), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89143] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    ACTIONS(5690), 1,
      anon_sym_COLON,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89251] = 13,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4823), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [89321] = 16,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5695), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4830), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4832), 15,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [89397] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4837), 1,
      anon_sym_RBRACK,
    ACTIONS(5473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5475), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5477), 1,
      anon_sym_GT_GT,
    ACTIONS(5481), 1,
      anon_sym_AMP,
    ACTIONS(5483), 1,
      anon_sym_CARET,
    ACTIONS(5485), 1,
      anon_sym_PIPE,
    ACTIONS(5489), 1,
      anon_sym_PERCENT,
    ACTIONS(5491), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5493), 1,
      anon_sym_LT,
    ACTIONS(5501), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5503), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5467), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5469), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5479), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5495), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89505] = 12,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5698), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4808), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4810), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [89573] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4914), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4916), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89623] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4801), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4803), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89673] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4815), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4817), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89723] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4819), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4821), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89773] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    ACTIONS(5701), 1,
      anon_sym_COLON,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89881] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4958), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4638), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89931] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1791), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1793), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89981] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1915), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1917), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90031] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1927), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90081] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1931), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1935), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1937), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90133] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    ACTIONS(5703), 1,
      anon_sym_COLON,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90241] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1895), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1897), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90291] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5260), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5285), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90345] = 5,
    ACTIONS(1827), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1819), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1823), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1825), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90399] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4650), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4652), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90449] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    ACTIONS(5705), 1,
      anon_sym_COLON,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90557] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5707), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5709), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5711), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3990), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90621] = 11,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5707), 1,
      anon_sym_STAR,
    ACTIONS(5713), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5715), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3157), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90687] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5719), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5721), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90741] = 5,
    ACTIONS(1899), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1891), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1895), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1897), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90795] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5723), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5725), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90849] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5723), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5725), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90903] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5723), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5725), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90957] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5727), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5729), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91021] = 5,
    ACTIONS(1853), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1845), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1849), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1851), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91075] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5352), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5731), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5733), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3996), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91139] = 5,
    ACTIONS(1875), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1867), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1871), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1873), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91193] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    ACTIONS(5735), 1,
      anon_sym_COLON,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91301] = 5,
    ACTIONS(1885), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1877), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1881), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1883), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91355] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5260), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5262), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91409] = 6,
    ACTIONS(4468), 1,
      anon_sym_EQ,
    ACTIONS(5012), 1,
      anon_sym_of,
    ACTIONS(5737), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4466), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4470), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91465] = 6,
    ACTIONS(4895), 1,
      anon_sym_EQ,
    ACTIONS(5022), 1,
      anon_sym_of,
    ACTIONS(5740), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4893), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4897), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91521] = 6,
    ACTIONS(1725), 1,
      anon_sym_EQ,
    ACTIONS(5024), 1,
      anon_sym_of,
    ACTIONS(5743), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1723), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91577] = 15,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5301), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91651] = 16,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5301), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91727] = 6,
    ACTIONS(4498), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4904), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4901), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91783] = 6,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(3581), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3584), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91839] = 5,
    ACTIONS(1843), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1835), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1839), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1841), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91893] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4743), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4745), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91943] = 6,
    ACTIONS(4309), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4928), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4925), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(4886), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91999] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4697), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4699), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92049] = 9,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4759), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4761), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [92111] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4638), 1,
      anon_sym_of,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92219] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4695), 1,
      anon_sym_of,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92327] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4799), 1,
      anon_sym_of,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92435] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4660), 1,
      anon_sym_of,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92543] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4678), 1,
      anon_sym_of,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92651] = 19,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [92733] = 14,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5746), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [92805] = 26,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [92901] = 27,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [92999] = 17,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5746), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [93077] = 23,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [93167] = 24,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [93259] = 25,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [93353] = 16,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5746), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [93429] = 17,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5746), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [93507] = 21,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4576), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [93593] = 28,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [93693] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4611), 1,
      anon_sym_of,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93801] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4617), 1,
      anon_sym_of,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93909] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4524), 1,
      anon_sym_of,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94017] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4619), 1,
      anon_sym_of,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94125] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4621), 1,
      anon_sym_of,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94233] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4623), 1,
      anon_sym_of,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94341] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4625), 1,
      anon_sym_of,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94449] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4627), 1,
      anon_sym_of,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94557] = 15,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94631] = 16,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94707] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94757] = 13,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5749), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4823), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [94827] = 16,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5752), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4830), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4832), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [94903] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4837), 1,
      anon_sym_of,
    ACTIONS(5547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5551), 1,
      anon_sym_GT_GT,
    ACTIONS(5555), 1,
      anon_sym_AMP,
    ACTIONS(5557), 1,
      anon_sym_CARET,
    ACTIONS(5559), 1,
      anon_sym_PIPE,
    ACTIONS(5563), 1,
      anon_sym_PERCENT,
    ACTIONS(5565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5577), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5540), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5545), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95011] = 12,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5755), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4808), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4810), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [95079] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5360), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5758), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3535), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95141] = 4,
    ACTIONS(3505), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95193] = 32,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5425), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5429), 1,
      anon_sym_GT_GT,
    ACTIONS(5433), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_CARET,
    ACTIONS(5437), 1,
      anon_sym_PIPE,
    ACTIONS(5441), 1,
      anon_sym_PERCENT,
    ACTIONS(5443), 1,
      anon_sym_LT,
    ACTIONS(5451), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5453), 1,
      sym__ternary_qmark,
    ACTIONS(5760), 1,
      anon_sym_COLON,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5419), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5421), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5431), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5439), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5447), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5449), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5445), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95301] = 4,
    ACTIONS(3453), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95353] = 15,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5315), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95427] = 16,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5315), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95503] = 9,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3815), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1992), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1990), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95565] = 9,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3815), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1994), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95627] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1939), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1943), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1945), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95679] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4440), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95731] = 7,
    ACTIONS(5762), 1,
      anon_sym_LPAREN,
    ACTIONS(5765), 1,
      anon_sym_COLON,
    ACTIONS(5767), 1,
      anon_sym_LT,
    ACTIONS(5770), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95789] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5515), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4053), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95848] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5509), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3949), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95907] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5521), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95966] = 31,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    ACTIONS(5804), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5806), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96071] = 5,
    ACTIONS(3453), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3647), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96124] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4440), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96175] = 13,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(695), 1,
      anon_sym_RBRACE,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96244] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5629), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3955), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96303] = 16,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(2356), 1,
      anon_sym_readonly,
    ACTIONS(2360), 1,
      anon_sym_override,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    STATE(2774), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96378] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5659), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4029), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96437] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5120), 1,
      anon_sym_accessor,
    ACTIONS(5811), 1,
      anon_sym_readonly,
    STATE(2785), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5124), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3450), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96504] = 10,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5120), 1,
      anon_sym_accessor,
    ACTIONS(5122), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5124), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3450), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96567] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5813), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4066), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96626] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5663), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3939), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96685] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5671), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4057), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96744] = 13,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5273), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96813] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5633), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3963), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96872] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5641), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3982), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96931] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5649), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3983), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96990] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5655), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3984), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97049] = 13,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5815), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4823), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4825), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [97118] = 16,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5818), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4830), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4832), 14,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [97193] = 31,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    ACTIONS(5804), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5806), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97298] = 12,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5821), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4808), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4810), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [97365] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5621), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3956), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97424] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4113), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97475] = 7,
    ACTIONS(1725), 1,
      anon_sym_EQ,
    ACTIONS(2370), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4460), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4463), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1723), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97532] = 31,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(4526), 1,
      anon_sym_BANG,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4532), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    ACTIONS(5804), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5806), 1,
      sym__ternary_qmark,
    STATE(2594), 1,
      sym_type_arguments,
    STATE(5550), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97637] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5826), 1,
      anon_sym_readonly,
    ACTIONS(5828), 1,
      anon_sym_accessor,
    STATE(2765), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5824), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3521), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97704] = 10,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5832), 1,
      anon_sym_abstract,
    ACTIONS(5834), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5830), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3524), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97767] = 9,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(5796), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4759), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4761), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [97828] = 31,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    ACTIONS(5804), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5806), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97933] = 31,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    ACTIONS(5804), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5806), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98038] = 31,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    ACTIONS(5804), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5806), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98143] = 4,
    ACTIONS(3573), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98194] = 31,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    ACTIONS(5804), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5806), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98299] = 31,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    ACTIONS(5804), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5806), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98404] = 19,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [98485] = 14,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5836), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [98556] = 26,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [98651] = 27,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [98748] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5637), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98807] = 17,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(2356), 1,
      anon_sym_readonly,
    ACTIONS(2360), 1,
      anon_sym_override,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(5839), 1,
      anon_sym_RBRACE,
    STATE(2774), 1,
      sym_override_modifier,
    STATE(4945), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98884] = 17,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5836), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [98961] = 23,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [99050] = 24,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [99141] = 25,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4576), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [99234] = 16,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5836), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [99309] = 10,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5843), 1,
      anon_sym_abstract,
    ACTIONS(5845), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5841), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3345), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99372] = 21,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4576), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [99457] = 28,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4576), 1,
      anon_sym_BANG,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4574), 4,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [99556] = 31,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    ACTIONS(5804), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5806), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99661] = 31,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    ACTIONS(5804), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5806), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99766] = 31,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    ACTIONS(5804), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5806), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99871] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5727), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99930] = 31,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    ACTIONS(5804), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5806), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100035] = 5,
    ACTIONS(3515), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3584), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100088] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5849), 1,
      anon_sym_readonly,
    ACTIONS(5851), 1,
      anon_sym_accessor,
    STATE(2777), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5847), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3437), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100155] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5731), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3996), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100214] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5853), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100273] = 31,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    ACTIONS(5804), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5806), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100378] = 10,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5857), 1,
      anon_sym_abstract,
    ACTIONS(5859), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5855), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3454), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100441] = 31,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    ACTIONS(5804), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5806), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100546] = 31,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    ACTIONS(5804), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5806), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100651] = 31,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5776), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5780), 1,
      anon_sym_GT_GT,
    ACTIONS(5784), 1,
      anon_sym_AMP,
    ACTIONS(5786), 1,
      anon_sym_CARET,
    ACTIONS(5788), 1,
      anon_sym_PIPE,
    ACTIONS(5792), 1,
      anon_sym_PERCENT,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5796), 1,
      anon_sym_LT,
    ACTIONS(5804), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5806), 1,
      sym__ternary_qmark,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5772), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5774), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5782), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5798), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100756] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5709), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3990), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100815] = 7,
    ACTIONS(3616), 1,
      anon_sym_EQ,
    ACTIONS(4901), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4498), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4904), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100872] = 7,
    ACTIONS(4177), 1,
      anon_sym_extends,
    ACTIONS(4468), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4472), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4475), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4466), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4470), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100929] = 13,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5301), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100998] = 7,
    ACTIONS(3453), 1,
      anon_sym_EQ,
    ACTIONS(4498), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4901), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4904), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101055] = 7,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3469), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(3457), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101112] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4303), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(4305), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101165] = 19,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(2030), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5865), 1,
      anon_sym_async,
    ACTIONS(5867), 1,
      anon_sym_static,
    ACTIONS(5869), 1,
      anon_sym_readonly,
    ACTIONS(5875), 1,
      anon_sym_override,
    STATE(2744), 1,
      sym_accessibility_modifier,
    STATE(2781), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5587), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5863), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5871), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5873), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3826), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5764), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(5861), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101246] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5601), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4017), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101305] = 4,
    ACTIONS(4440), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101356] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5397), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3960), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101415] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5455), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3973), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101474] = 4,
    ACTIONS(4113), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101525] = 13,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101594] = 13,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101663] = 13,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5330), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101732] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5360), 1,
      anon_sym_accessor,
    ACTIONS(5877), 1,
      anon_sym_readonly,
    STATE(2799), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5758), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3535), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101799] = 10,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5360), 1,
      anon_sym_accessor,
    ACTIONS(5879), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5758), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3535), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101862] = 6,
    ACTIONS(4895), 1,
      anon_sym_EQ,
    ACTIONS(5022), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4960), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4893), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4897), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101917] = 7,
    ACTIONS(3628), 1,
      anon_sym_EQ,
    ACTIONS(4901), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4498), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4904), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101974] = 4,
    ACTIONS(3577), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [102025] = 7,
    ACTIONS(3632), 1,
      anon_sym_EQ,
    ACTIONS(4901), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4498), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4904), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102082] = 13,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5315), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102151] = 7,
    ACTIONS(4079), 1,
      anon_sym_QMARK,
    ACTIONS(4081), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4647), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4644), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102208] = 6,
    ACTIONS(4901), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4498), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4904), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102263] = 23,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(3797), 1,
      anon_sym_AT,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5881), 1,
      anon_sym_STAR,
    ACTIONS(5883), 1,
      anon_sym_async,
    ACTIONS(5887), 1,
      anon_sym_static,
    ACTIONS(5889), 1,
      anon_sym_readonly,
    ACTIONS(5893), 1,
      anon_sym_declare,
    ACTIONS(5895), 1,
      anon_sym_abstract,
    ACTIONS(5897), 1,
      anon_sym_accessor,
    STATE(2669), 1,
      sym_method_definition,
    STATE(2702), 1,
      sym_accessibility_modifier,
    STATE(2729), 1,
      aux_sym_export_statement_repeat1,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(2797), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5885), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5891), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3687), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3067), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102352] = 6,
    ACTIONS(4644), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4081), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4647), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102407] = 4,
    ACTIONS(5254), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5250), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(5252), 22,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [102458] = 6,
    ACTIONS(4925), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4309), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4928), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4886), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102513] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5901), 1,
      anon_sym_readonly,
    ACTIONS(5903), 1,
      anon_sym_accessor,
    STATE(2789), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5899), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3484), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102580] = 17,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4065), 1,
      anon_sym_LBRACK,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4325), 1,
      anon_sym_as,
    ACTIONS(4329), 1,
      anon_sym_BANG,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4369), 1,
      anon_sym_satisfies,
    ACTIONS(5794), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5836), 1,
      anon_sym_LT,
    STATE(1486), 1,
      sym_type_arguments,
    STATE(5718), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4576), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4574), 13,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [102657] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5907), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5905), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3546), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102717] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5911), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5909), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3485), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102777] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5913), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3346), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102837] = 7,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(4901), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4498), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4904), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102893] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5919), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5917), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3446), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102953] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1841), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5921), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5924), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103003] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5929), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5927), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3398), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103063] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5933), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5931), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3406), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103123] = 6,
    ACTIONS(4901), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4904), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4498), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103177] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5937), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5935), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3427), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103237] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5941), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5939), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3441), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103297] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5945), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5943), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3354), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103357] = 13,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(5839), 1,
      anon_sym_RBRACE,
    STATE(4945), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103425] = 14,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(5839), 1,
      anon_sym_RBRACE,
    STATE(4945), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103495] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5949), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5947), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3400), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103555] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1897), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5951), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5954), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103605] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4817), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5957), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5960), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103655] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4821), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5963), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5966), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103705] = 4,
    ACTIONS(3591), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103755] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5971), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5969), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3423), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103815] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5311), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5973), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3359), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103875] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4676), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5975), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5978), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103925] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5983), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5981), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3520), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103985] = 6,
    ACTIONS(3552), 1,
      anon_sym_COMMA,
    ACTIONS(3584), 1,
      anon_sym_RBRACK,
    ACTIONS(3650), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104039] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1783), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5985), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5988), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104089] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4868), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5991), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5994), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104139] = 6,
    ACTIONS(4644), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4647), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4081), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104193] = 12,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104259] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5999), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5997), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3507), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104319] = 6,
    ACTIONS(4081), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4644), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4647), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3451), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104373] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3176), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(3174), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_extends,
  [104421] = 6,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1992), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1990), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104475] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3180), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(3178), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_extends,
  [104523] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4440), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104573] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6001), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3435), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104633] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4113), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4311), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4313), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104683] = 6,
    ACTIONS(4468), 1,
      anon_sym_EQ,
    ACTIONS(4631), 1,
      anon_sym_RBRACK,
    ACTIONS(5012), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4466), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4470), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104737] = 6,
    ACTIONS(4895), 1,
      anon_sym_EQ,
    ACTIONS(4960), 1,
      anon_sym_RBRACK,
    ACTIONS(5022), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4893), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4897), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104791] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6007), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6005), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3550), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104851] = 6,
    ACTIONS(1725), 1,
      anon_sym_EQ,
    ACTIONS(4876), 1,
      anon_sym_RBRACK,
    ACTIONS(5024), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1723), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104905] = 15,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(2356), 1,
      anon_sym_readonly,
    ACTIONS(2360), 1,
      anon_sym_override,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    STATE(2774), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6009), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104977] = 6,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1994), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105031] = 13,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105099] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3172), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(3170), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_extends,
  [105147] = 6,
    ACTIONS(4925), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4928), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4309), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4886), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105201] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1773), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(6011), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6014), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105251] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(695), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1994), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105310] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5273), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1992), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1990), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105369] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5330), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1992), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1990), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105428] = 6,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2201), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4071), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4073), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [105481] = 6,
    ACTIONS(4468), 1,
      anon_sym_EQ,
    ACTIONS(5012), 1,
      anon_sym_of,
    ACTIONS(5737), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4466), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4470), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105534] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(695), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1992), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1990), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105593] = 11,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(5839), 1,
      anon_sym_RBRACE,
    STATE(4945), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105656] = 6,
    ACTIONS(3547), 1,
      anon_sym_EQ,
    ACTIONS(3636), 1,
      anon_sym_in,
    ACTIONS(3639), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105709] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5330), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1994), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105768] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5273), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1994), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105827] = 6,
    ACTIONS(4895), 1,
      anon_sym_EQ,
    ACTIONS(5022), 1,
      anon_sym_of,
    ACTIONS(5740), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4893), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4897), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105880] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1992), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1990), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105939] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1992), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1990), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105998] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1994), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106057] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5315), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1992), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1990), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106116] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5301), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1992), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1990), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106175] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5301), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1994), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106234] = 4,
    ACTIONS(5254), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5250), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(5252), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [106283] = 6,
    ACTIONS(1725), 1,
      anon_sym_EQ,
    ACTIONS(5024), 1,
      anon_sym_of,
    ACTIONS(5743), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1723), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106336] = 4,
    ACTIONS(3616), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106385] = 4,
    ACTIONS(3628), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106434] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5315), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1994), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106493] = 4,
    ACTIONS(3632), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106542] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106603] = 12,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6009), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106668] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1994), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106727] = 11,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6009), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106790] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6019), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6017), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106836] = 4,
    ACTIONS(6021), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1829), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1831), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106884] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6025), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6023), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106930] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6029), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6027), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106976] = 9,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6009), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107034] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6025), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6023), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107080] = 4,
    ACTIONS(6031), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1829), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1831), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107128] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6025), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6023), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107174] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6029), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6027), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107220] = 4,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107268] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6035), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6033), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107314] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6025), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6023), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107360] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6039), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6037), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107406] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6043), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6041), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107452] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6047), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6045), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107498] = 4,
    ACTIONS(3729), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107546] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6043), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6041), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107592] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6047), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6045), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107638] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6043), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6041), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107684] = 4,
    ACTIONS(3731), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107732] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6029), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6027), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107778] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6047), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6045), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107824] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6043), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6041), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107870] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6043), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6041), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107916] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6051), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6049), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107962] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6035), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6033), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108008] = 4,
    ACTIONS(3733), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108056] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6035), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6033), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108102] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6035), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6033), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108148] = 4,
    ACTIONS(3735), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108196] = 4,
    ACTIONS(3739), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108244] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1829), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1831), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108290] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6025), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6023), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108336] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6019), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6017), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108382] = 4,
    ACTIONS(6053), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1719), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1721), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108430] = 4,
    ACTIONS(3737), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108478] = 5,
    ACTIONS(6059), 1,
      anon_sym_SEMI,
    ACTIONS(6062), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6057), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6055), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108528] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6019), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6017), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108574] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6029), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6027), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108620] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6051), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6049), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108666] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6019), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6017), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108712] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6029), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6027), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108758] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6066), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6064), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108804] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6070), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6068), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108850] = 8,
    ACTIONS(6072), 1,
      anon_sym_LPAREN,
    ACTIONS(6074), 1,
      anon_sym_DOT,
    ACTIONS(6076), 1,
      anon_sym_LT,
    STATE(2766), 1,
      sym_arguments,
    STATE(5784), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3497), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3495), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108906] = 4,
    ACTIONS(3745), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108954] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6035), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6033), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109000] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6039), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6037), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109046] = 4,
    ACTIONS(6078), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1719), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1721), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109094] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6082), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6080), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109140] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1759), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1761), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109186] = 5,
    ACTIONS(6088), 1,
      anon_sym_SEMI,
    ACTIONS(6091), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6086), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6084), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109236] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6095), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6093), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109282] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6043), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6041), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109328] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6043), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6041), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109374] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6025), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6023), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109420] = 4,
    ACTIONS(3723), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109468] = 4,
    ACTIONS(3705), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109516] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6025), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6023), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109562] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6047), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6045), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109608] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6099), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6097), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109654] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6019), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6017), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109700] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6047), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6045), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109746] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6103), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6101), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109792] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6107), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6105), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109837] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6111), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6109), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109882] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6115), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6113), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109927] = 6,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1992), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1990), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109978] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1829), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1831), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [110023] = 14,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2360), 1,
      anon_sym_override,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_async,
    ACTIONS(6123), 1,
      anon_sym_readonly,
    STATE(2770), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6121), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6125), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4038), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110090] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6129), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6127), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [110135] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1759), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1761), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [110180] = 6,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1994), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110231] = 7,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(5839), 1,
      anon_sym_RBRACE,
    STATE(4945), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1992), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1990), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110284] = 7,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(5839), 1,
      anon_sym_RBRACE,
    STATE(4945), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1994), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110337] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6111), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6109), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [110382] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3610), 9,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LT,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3608), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [110427] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6131), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6133), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6135), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3932), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110485] = 11,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6141), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6143), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3926), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110545] = 11,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6145), 1,
      anon_sym_STAR,
    ACTIONS(6147), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6149), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6151), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3994), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110605] = 11,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6121), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6125), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4038), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110665] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6121), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6125), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4038), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110723] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6009), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1992), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1990), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110771] = 9,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6153), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6121), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4038), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110827] = 17,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5132), 1,
      anon_sym_STAR,
    ACTIONS(5134), 1,
      anon_sym_async,
    ACTIONS(6157), 1,
      anon_sym_static,
    ACTIONS(6159), 1,
      anon_sym_readonly,
    ACTIONS(6161), 1,
      anon_sym_declare,
    ACTIONS(6163), 1,
      anon_sym_abstract,
    ACTIONS(6165), 1,
      anon_sym_accessor,
    STATE(2739), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5140), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6155), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3100), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110899] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6009), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1994), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110947] = 17,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(4409), 1,
      anon_sym_STAR,
    ACTIONS(4413), 1,
      anon_sym_async,
    ACTIONS(4421), 1,
      anon_sym_accessor,
    ACTIONS(6167), 1,
      anon_sym_static,
    ACTIONS(6169), 1,
      anon_sym_readonly,
    ACTIONS(6171), 1,
      anon_sym_declare,
    ACTIONS(6173), 1,
      anon_sym_abstract,
    STATE(2763), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4419), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3090), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111019] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6141), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6143), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3926), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111077] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6145), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6149), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6151), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3994), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111135] = 13,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5120), 1,
      anon_sym_accessor,
    ACTIONS(5126), 1,
      anon_sym_static,
    ACTIONS(5128), 1,
      anon_sym_readonly,
    ACTIONS(5130), 1,
      anon_sym_abstract,
    STATE(2785), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5124), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3450), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111198] = 13,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6177), 1,
      anon_sym_static,
    ACTIONS(6179), 1,
      anon_sym_readonly,
    ACTIONS(6181), 1,
      anon_sym_abstract,
    ACTIONS(6183), 1,
      anon_sym_accessor,
    STATE(2790), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6175), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3396), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111261] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5521), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111314] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6121), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4038), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111367] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5515), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4053), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111420] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6141), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3926), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111473] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6185), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3987), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111526] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6187), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3965), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111579] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5629), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3955), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111632] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5671), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4057), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111685] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5727), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111738] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6189), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3947), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111791] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5709), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3990), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111844] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5731), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3996), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111897] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6191), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4058), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111950] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5641), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3982), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112003] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5637), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112056] = 13,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(4421), 1,
      anon_sym_accessor,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6197), 1,
      anon_sym_readonly,
    STATE(2802), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6195), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6199), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3091), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112119] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6201), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4028), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112172] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5655), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3984), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112225] = 13,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5120), 1,
      anon_sym_accessor,
    ACTIONS(5811), 1,
      anon_sym_readonly,
    ACTIONS(6203), 1,
      anon_sym_STAR,
    STATE(2796), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6205), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6207), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3089), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112288] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5853), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112341] = 6,
    ACTIONS(6209), 1,
      anon_sym_AT,
    STATE(2729), 1,
      aux_sym_export_statement_repeat1,
    STATE(2797), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3560), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3558), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [112390] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5659), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4029), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112443] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5509), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3949), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112496] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5633), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3963), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112549] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6133), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3932), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112602] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5649), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3983), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112655] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5601), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4017), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112708] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5397), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3960), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112761] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6149), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3994), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112814] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6212), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4013), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112867] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5047), 1,
      anon_sym_STAR,
    ACTIONS(5049), 1,
      anon_sym_async,
    ACTIONS(6216), 1,
      anon_sym_readonly,
    ACTIONS(6218), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5055), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6214), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3071), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112927] = 9,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6220), 1,
      anon_sym_RBRACE,
    STATE(5822), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6222), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4718), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112981] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2280), 1,
      anon_sym_namespace,
    ACTIONS(2284), 1,
      anon_sym_import,
    ACTIONS(2286), 1,
      anon_sym_var,
    ACTIONS(2288), 1,
      anon_sym_let,
    ACTIONS(2290), 1,
      anon_sym_const,
    ACTIONS(2295), 1,
      anon_sym_class,
    ACTIONS(2297), 1,
      anon_sym_async,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2304), 1,
      anon_sym_declare,
    ACTIONS(2308), 1,
      anon_sym_abstract,
    ACTIONS(2310), 1,
      anon_sym_interface,
    ACTIONS(2312), 1,
      anon_sym_enum,
    ACTIONS(2342), 1,
      anon_sym_type,
    ACTIONS(2344), 1,
      anon_sym_module,
    ACTIONS(2346), 1,
      anon_sym_global,
    STATE(819), 1,
      sym_internal_module,
    STATE(899), 1,
      sym_declaration,
    STATE(1249), 1,
      sym_decorator,
    STATE(4639), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(838), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [113061] = 9,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6224), 1,
      anon_sym_RBRACE,
    STATE(5822), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6222), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4718), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113115] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2280), 1,
      anon_sym_namespace,
    ACTIONS(2284), 1,
      anon_sym_import,
    ACTIONS(2286), 1,
      anon_sym_var,
    ACTIONS(2288), 1,
      anon_sym_let,
    ACTIONS(2290), 1,
      anon_sym_const,
    ACTIONS(2295), 1,
      anon_sym_class,
    ACTIONS(2297), 1,
      anon_sym_async,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2304), 1,
      anon_sym_declare,
    ACTIONS(2306), 1,
      anon_sym_module,
    ACTIONS(2308), 1,
      anon_sym_abstract,
    ACTIONS(2310), 1,
      anon_sym_interface,
    ACTIONS(2312), 1,
      anon_sym_enum,
    ACTIONS(2342), 1,
      anon_sym_type,
    ACTIONS(6226), 1,
      anon_sym_default,
    STATE(819), 1,
      sym_internal_module,
    STATE(839), 1,
      sym_declaration,
    STATE(1249), 1,
      sym_decorator,
    STATE(4639), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(838), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [113195] = 14,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(2356), 1,
      anon_sym_readonly,
    ACTIONS(2360), 1,
      anon_sym_override,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(6228), 1,
      anon_sym_static,
    STATE(2774), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113259] = 9,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6230), 1,
      anon_sym_RBRACE,
    STATE(5822), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6222), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4718), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113313] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2280), 1,
      anon_sym_namespace,
    ACTIONS(2284), 1,
      anon_sym_import,
    ACTIONS(2286), 1,
      anon_sym_var,
    ACTIONS(2288), 1,
      anon_sym_let,
    ACTIONS(2290), 1,
      anon_sym_const,
    ACTIONS(2295), 1,
      anon_sym_class,
    ACTIONS(2297), 1,
      anon_sym_async,
    ACTIONS(2299), 1,
      anon_sym_function,
    ACTIONS(2304), 1,
      anon_sym_declare,
    ACTIONS(2306), 1,
      anon_sym_module,
    ACTIONS(2308), 1,
      anon_sym_abstract,
    ACTIONS(2310), 1,
      anon_sym_interface,
    ACTIONS(2312), 1,
      anon_sym_enum,
    ACTIONS(2342), 1,
      anon_sym_type,
    ACTIONS(6232), 1,
      anon_sym_default,
    STATE(819), 1,
      sym_internal_module,
    STATE(839), 1,
      sym_declaration,
    STATE(1249), 1,
      sym_decorator,
    STATE(4639), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(838), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [113393] = 9,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_RBRACE,
    STATE(5822), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6222), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4718), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113447] = 9,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_RBRACE,
    STATE(5822), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6222), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4718), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113501] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2382), 1,
      anon_sym_type,
    ACTIONS(2384), 1,
      anon_sym_namespace,
    ACTIONS(2386), 1,
      anon_sym_import,
    ACTIONS(2388), 1,
      anon_sym_var,
    ACTIONS(2390), 1,
      anon_sym_let,
    ACTIONS(2392), 1,
      anon_sym_const,
    ACTIONS(2394), 1,
      anon_sym_class,
    ACTIONS(2396), 1,
      anon_sym_async,
    ACTIONS(2398), 1,
      anon_sym_function,
    ACTIONS(2400), 1,
      anon_sym_declare,
    ACTIONS(2404), 1,
      anon_sym_abstract,
    ACTIONS(2408), 1,
      anon_sym_interface,
    ACTIONS(2410), 1,
      anon_sym_enum,
    ACTIONS(3779), 1,
      anon_sym_module,
    ACTIONS(6238), 1,
      anon_sym_default,
    STATE(1249), 1,
      sym_decorator,
    STATE(4512), 1,
      sym_internal_module,
    STATE(4589), 1,
      aux_sym_export_statement_repeat1,
    STATE(4689), 1,
      sym_declaration,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4507), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [113581] = 9,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6240), 1,
      anon_sym_RBRACE,
    STATE(5822), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6222), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4718), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113635] = 9,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6242), 1,
      anon_sym_RBRACE,
    STATE(5822), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6222), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4718), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113689] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_async,
    ACTIONS(6246), 1,
      anon_sym_readonly,
    ACTIONS(6248), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5323), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6244), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3106), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113749] = 9,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6250), 1,
      anon_sym_RBRACE,
    STATE(4842), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6252), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4183), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113803] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2382), 1,
      anon_sym_type,
    ACTIONS(2384), 1,
      anon_sym_namespace,
    ACTIONS(2386), 1,
      anon_sym_import,
    ACTIONS(2388), 1,
      anon_sym_var,
    ACTIONS(2390), 1,
      anon_sym_let,
    ACTIONS(2392), 1,
      anon_sym_const,
    ACTIONS(2394), 1,
      anon_sym_class,
    ACTIONS(2396), 1,
      anon_sym_async,
    ACTIONS(2398), 1,
      anon_sym_function,
    ACTIONS(2400), 1,
      anon_sym_declare,
    ACTIONS(2402), 1,
      anon_sym_module,
    ACTIONS(2404), 1,
      anon_sym_abstract,
    ACTIONS(2406), 1,
      anon_sym_global,
    ACTIONS(2408), 1,
      anon_sym_interface,
    ACTIONS(2410), 1,
      anon_sym_enum,
    STATE(1249), 1,
      sym_decorator,
    STATE(4512), 1,
      sym_internal_module,
    STATE(4562), 1,
      sym_declaration,
    STATE(4589), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4507), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [113883] = 14,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5222), 1,
      anon_sym_STAR,
    ACTIONS(5224), 1,
      anon_sym_async,
    ACTIONS(5228), 1,
      anon_sym_readonly,
    ACTIONS(6254), 1,
      anon_sym_static,
    STATE(2782), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5226), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5230), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113947] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5132), 1,
      anon_sym_STAR,
    ACTIONS(5134), 1,
      anon_sym_async,
    ACTIONS(6258), 1,
      anon_sym_readonly,
    ACTIONS(6260), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5140), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6256), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3095), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114007] = 14,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(3689), 1,
      anon_sym_override,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(4383), 1,
      anon_sym_async,
    ACTIONS(4387), 1,
      anon_sym_readonly,
    ACTIONS(6262), 1,
      anon_sym_static,
    STATE(2800), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4389), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114071] = 9,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6264), 1,
      anon_sym_RBRACE,
    STATE(5551), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6266), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4523), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114125] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5352), 1,
      anon_sym_STAR,
    ACTIONS(5354), 1,
      anon_sym_async,
    ACTIONS(5360), 1,
      anon_sym_accessor,
    ACTIONS(6268), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5356), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3072), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114185] = 9,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6270), 1,
      anon_sym_RBRACE,
    STATE(5822), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6222), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4718), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114239] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5047), 1,
      anon_sym_STAR,
    ACTIONS(5049), 1,
      anon_sym_async,
    ACTIONS(6274), 1,
      anon_sym_readonly,
    ACTIONS(6276), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5055), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6272), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3101), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114299] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(4409), 1,
      anon_sym_STAR,
    ACTIONS(4413), 1,
      anon_sym_async,
    ACTIONS(4417), 1,
      anon_sym_readonly,
    ACTIONS(4421), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4419), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3090), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114359] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5110), 1,
      anon_sym_STAR,
    ACTIONS(5112), 1,
      anon_sym_async,
    ACTIONS(5116), 1,
      anon_sym_readonly,
    ACTIONS(5120), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5114), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5118), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3082), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114419] = 8,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5311), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5973), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3359), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114470] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6280), 1,
      anon_sym_readonly,
    ACTIONS(6282), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6278), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114523] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3626), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3624), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [114564] = 11,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5707), 1,
      anon_sym_STAR,
    ACTIONS(5713), 1,
      anon_sym_async,
    ACTIONS(6284), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5715), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5717), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3157), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114621] = 8,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6288), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6286), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3544), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114672] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6292), 1,
      anon_sym_readonly,
    ACTIONS(6294), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6290), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3531), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114725] = 11,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_async,
    ACTIONS(6296), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6141), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6143), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3926), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114782] = 8,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6300), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6298), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3513), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114833] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6304), 1,
      anon_sym_readonly,
    ACTIONS(6306), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6302), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3362), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114886] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1996), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1994), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114929] = 11,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_async,
    ACTIONS(6123), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6121), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6125), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4038), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114986] = 8,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5120), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5124), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3450), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115037] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3497), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3495), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [115078] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6310), 1,
      anon_sym_readonly,
    ACTIONS(6312), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6308), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3421), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115131] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6316), 1,
      anon_sym_readonly,
    ACTIONS(6318), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6314), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3422), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115184] = 8,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6322), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6320), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115235] = 8,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    STATE(5822), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6222), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4718), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115286] = 11,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(2354), 1,
      anon_sym_async,
    ACTIONS(2356), 1,
      anon_sym_readonly,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5220), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115343] = 11,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_async,
    ACTIONS(5386), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5384), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5388), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3159), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115400] = 11,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5222), 1,
      anon_sym_STAR,
    ACTIONS(5224), 1,
      anon_sym_async,
    ACTIONS(5228), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5226), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5230), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3145), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115457] = 11,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4377), 1,
      anon_sym_STAR,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(4383), 1,
      anon_sym_async,
    ACTIONS(4387), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4389), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115514] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5360), 1,
      anon_sym_accessor,
    ACTIONS(5877), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5758), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3535), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115567] = 8,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5360), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5758), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3535), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115618] = 8,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6326), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6324), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3424), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115669] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6330), 1,
      anon_sym_readonly,
    ACTIONS(6332), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6328), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3552), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115722] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6336), 1,
      anon_sym_readonly,
    ACTIONS(6338), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6334), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3413), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115775] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6342), 1,
      anon_sym_readonly,
    ACTIONS(6344), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6340), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3481), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115828] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3622), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3620), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [115869] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6348), 1,
      anon_sym_readonly,
    ACTIONS(6350), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6346), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3523), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115922] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5120), 1,
      anon_sym_accessor,
    ACTIONS(5811), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5124), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3450), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115975] = 11,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5409), 1,
      anon_sym_STAR,
    ACTIONS(5411), 1,
      anon_sym_async,
    ACTIONS(6352), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5413), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5415), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3136), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116032] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6356), 1,
      anon_sym_readonly,
    ACTIONS(6358), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6354), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3467), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116085] = 9,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6360), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5853), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6362), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116138] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3606), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3604), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [116179] = 8,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6364), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3418), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116230] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5311), 1,
      anon_sym_accessor,
    ACTIONS(6368), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5973), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3359), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116283] = 11,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5210), 1,
      anon_sym_STAR,
    ACTIONS(5212), 1,
      anon_sym_async,
    ACTIONS(5216), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5214), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5218), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3146), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116340] = 9,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(6372), 1,
      anon_sym_readonly,
    ACTIONS(6374), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6370), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3355), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116393] = 9,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(6203), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5813), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6376), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4066), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116446] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5397), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3960), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116494] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6378), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3483), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116542] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6380), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3468), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116590] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6189), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3947), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116638] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6382), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3348), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116686] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6384), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3366), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116734] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6386), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3353), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116782] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4656), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3934), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116830] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5731), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3996), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116878] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5509), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3949), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116926] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6388), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3511), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116974] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5663), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3939), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117022] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2338), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117070] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6390), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3399), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117118] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6392), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117166] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6394), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3462), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117214] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5455), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3973), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117262] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5758), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3535), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117310] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6141), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3926), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117358] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5659), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4029), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117406] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6396), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3411), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117454] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5943), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3354), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117502] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6398), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3554), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117550] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6400), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3388), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117598] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5629), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3955), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117646] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6402), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3444), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117694] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6404), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3428), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117742] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5727), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117790] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6149), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3994), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117838] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6406), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3363), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117886] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6408), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3393), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117934] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5521), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3964), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117982] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6410), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3402), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118030] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6187), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3965), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118078] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6412), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118126] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6414), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3443), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118174] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6416), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3451), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118222] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5124), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3450), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118270] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5813), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4066), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118318] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6201), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4028), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118366] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6418), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3391), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118414] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5709), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3990), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118462] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6212), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4013), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118510] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6420), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3547), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118558] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5641), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3982), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118606] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6422), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3514), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118654] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6191), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4058), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118702] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6424), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3486), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118750] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6426), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3344), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118798] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5655), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3984), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118846] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6428), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3469), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118894] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6430), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3407), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118942] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5637), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118990] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6432), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3474), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119038] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5515), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4053), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119086] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5621), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3956), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119134] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6434), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3512), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119182] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6436), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119230] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5671), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4057), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119278] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5853), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119326] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6185), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3987), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119374] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6438), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3419), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119422] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5649), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3983), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119470] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6440), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3357), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119518] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6442), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3556), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119566] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5633), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3963), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119614] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6444), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3551), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119662] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6446), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3426), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119710] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6133), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3932), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119758] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6448), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119806] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6121), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4038), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119854] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6450), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119902] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6452), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3375), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119950] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6454), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3500), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [119998] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6456), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3401), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120046] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6458), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3528), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120094] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6460), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3548), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120142] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6462), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3394), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120190] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(4654), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5601), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4017), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2352), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120238] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3453), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120286] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6466), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3545), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120334] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5973), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3359), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120382] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6468), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3425), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120430] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4747), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3436), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120478] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6470), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3392), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120526] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6472), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3516), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120574] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6474), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3502), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120622] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6476), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3403), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120670] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6478), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3430), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120718] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6480), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3505), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120766] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6482), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3360), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120814] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6484), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3480), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120862] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6486), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3361), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120910] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(4381), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6488), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3534), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3663), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120958] = 4,
    ACTIONS(6490), 1,
      sym_identifier,
    STATE(6436), 1,
      sym_mapped_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6492), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [120993] = 9,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      anon_sym_LT,
    ACTIONS(6494), 1,
      anon_sym_DOT,
    ACTIONS(6496), 1,
      anon_sym_QMARK_DOT,
    STATE(2945), 1,
      sym_arguments,
    STATE(2975), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4023), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4025), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [121034] = 9,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6076), 1,
      anon_sym_LT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3469), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3457), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [121075] = 9,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      anon_sym_LT,
    ACTIONS(6498), 1,
      anon_sym_DOT,
    ACTIONS(6500), 1,
      anon_sym_QMARK_DOT,
    STATE(2944), 1,
      sym_arguments,
    STATE(2974), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4033), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4035), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [121116] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4195), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4197), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121144] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4199), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4201), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121172] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4203), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4205), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121200] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4207), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4209), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121228] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4203), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4205), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121256] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4207), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4209), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121284] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4211), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4213), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121312] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4275), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4277), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121340] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4279), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4281), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121368] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4279), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4281), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121396] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4279), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4281), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121424] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4283), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4285), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121452] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4283), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4285), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121480] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4283), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4285), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121508] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4287), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4289), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121536] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4287), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4289), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121564] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4287), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4289), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121592] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4215), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4217), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121620] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4211), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4213), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121648] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4247), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4249), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121676] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4251), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4253), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121704] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4251), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4253), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121732] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4251), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4253), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121760] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4255), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4257), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121788] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4255), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4257), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121816] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4255), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4257), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121844] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4259), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4261), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121872] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4259), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4261), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121900] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4259), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4261), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121928] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4215), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4217), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121956] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4219), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4221), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [121984] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4223), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4225), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [122012] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4223), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4225), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [122040] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4219), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4221), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [122068] = 14,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(6502), 1,
      sym_identifier,
    ACTIONS(6504), 1,
      anon_sym_STAR,
    ACTIONS(6506), 1,
      anon_sym_type,
    ACTIONS(6508), 1,
      anon_sym_LBRACE,
    ACTIONS(6510), 1,
      anon_sym_typeof,
    STATE(4758), 1,
      sym_string,
    STATE(4794), 1,
      sym_import_require_clause,
    STATE(5808), 1,
      sym_import_clause,
    STATE(6030), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6225), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6512), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [122117] = 3,
    ACTIONS(4179), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4181), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122143] = 3,
    ACTIONS(1905), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1903), 16,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122169] = 9,
    ACTIONS(3459), 1,
      anon_sym_LPAREN,
    ACTIONS(3461), 1,
      anon_sym_DOT,
    ACTIONS(3465), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3469), 1,
      anon_sym_PIPE,
    ACTIONS(6514), 1,
      anon_sym_LT,
    STATE(3109), 1,
      sym_arguments,
    STATE(3251), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122207] = 9,
    ACTIONS(3459), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_PIPE,
    ACTIONS(6514), 1,
      anon_sym_LT,
    ACTIONS(6516), 1,
      anon_sym_DOT,
    ACTIONS(6518), 1,
      anon_sym_QMARK_DOT,
    STATE(3110), 1,
      sym_arguments,
    STATE(3263), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4035), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122245] = 9,
    ACTIONS(3459), 1,
      anon_sym_LPAREN,
    ACTIONS(4023), 1,
      anon_sym_PIPE,
    ACTIONS(6514), 1,
      anon_sym_LT,
    ACTIONS(6520), 1,
      anon_sym_DOT,
    ACTIONS(6522), 1,
      anon_sym_QMARK_DOT,
    STATE(3111), 1,
      sym_arguments,
    STATE(3269), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4025), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122283] = 6,
    ACTIONS(4053), 1,
      anon_sym_EQ,
    ACTIONS(6076), 1,
      anon_sym_LT,
    ACTIONS(6524), 1,
      anon_sym_DOT,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3522), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122315] = 3,
    ACTIONS(1861), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1859), 16,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122341] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4111), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4113), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [122367] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4119), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4121), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [122393] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4127), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4129), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [122419] = 4,
    ACTIONS(1855), 1,
      anon_sym_DOT,
    ACTIONS(4147), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4149), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [122447] = 3,
    ACTIONS(3657), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3473), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122473] = 3,
    ACTIONS(3659), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3479), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122499] = 4,
    ACTIONS(1863), 1,
      anon_sym_DOT,
    ACTIONS(4147), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4149), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [122527] = 7,
    ACTIONS(4053), 1,
      anon_sym_EQ,
    ACTIONS(6076), 1,
      anon_sym_LT,
    ACTIONS(6524), 1,
      anon_sym_DOT,
    ACTIONS(6526), 1,
      anon_sym_is,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3522), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [122561] = 3,
    ACTIONS(4167), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4169), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122587] = 3,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4173), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122613] = 5,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3469), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3457), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [122643] = 3,
    ACTIONS(4516), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4518), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122669] = 5,
    ACTIONS(6528), 1,
      anon_sym_DOT,
    ACTIONS(6530), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4510), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4512), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [122699] = 4,
    ACTIONS(4500), 1,
      anon_sym_EQ,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4502), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122726] = 5,
    ACTIONS(4083), 1,
      anon_sym_EQ,
    ACTIONS(6076), 1,
      anon_sym_LT,
    STATE(3064), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122755] = 3,
    ACTIONS(4075), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4077), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [122780] = 3,
    ACTIONS(4442), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4440), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122805] = 6,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(4101), 1,
      anon_sym_EQ,
    ACTIONS(6534), 1,
      anon_sym_DOT,
    STATE(2961), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4103), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [122836] = 3,
    ACTIONS(4492), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4494), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122861] = 3,
    ACTIONS(1757), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1755), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [122886] = 3,
    ACTIONS(4283), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4285), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122910] = 3,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4109), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122934] = 7,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6538), 1,
      sym_number,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6330), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [122966] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6542), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [122988] = 3,
    ACTIONS(4227), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4229), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123012] = 7,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6544), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6442), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123044] = 8,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6546), 1,
      sym_number,
    STATE(6449), 1,
      sym_string,
    STATE(6450), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123078] = 8,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6548), 1,
      sym_number,
    STATE(6222), 1,
      sym_predefined_type,
    STATE(6454), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123112] = 8,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6550), 1,
      sym_number,
    STATE(6283), 1,
      sym_string,
    STATE(6325), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123146] = 3,
    ACTIONS(4115), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4117), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123170] = 8,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6552), 1,
      sym_number,
    STATE(6260), 1,
      sym_string,
    STATE(6298), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123204] = 3,
    ACTIONS(4123), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4125), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123228] = 3,
    ACTIONS(4131), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4133), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123252] = 3,
    ACTIONS(4393), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4395), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123276] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6554), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [123298] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6556), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [123320] = 3,
    ACTIONS(4135), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4137), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123344] = 3,
    ACTIONS(4139), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4141), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123368] = 7,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6558), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6136), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123400] = 8,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6560), 1,
      sym_number,
    STATE(6145), 1,
      sym_string,
    STATE(6146), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123434] = 8,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6562), 1,
      sym_number,
    STATE(6150), 1,
      sym_string,
    STATE(6154), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123468] = 8,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6564), 1,
      sym_number,
    STATE(6165), 1,
      sym_string,
    STATE(6169), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123502] = 3,
    ACTIONS(4271), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4273), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123526] = 3,
    ACTIONS(4143), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4145), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123550] = 3,
    ACTIONS(4231), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4233), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123574] = 3,
    ACTIONS(4239), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4241), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123598] = 3,
    ACTIONS(4157), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123622] = 3,
    ACTIONS(4243), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4245), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123646] = 8,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6566), 1,
      sym_number,
    STATE(6242), 1,
      sym_string,
    STATE(6425), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123680] = 3,
    ACTIONS(4496), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4498), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123704] = 3,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4185), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123728] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6568), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [123750] = 3,
    ACTIONS(4079), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4081), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123774] = 3,
    ACTIONS(4191), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4193), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123798] = 3,
    ACTIONS(4291), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4293), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123822] = 8,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6570), 1,
      sym_number,
    STATE(6379), 1,
      sym_string,
    STATE(6417), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123856] = 7,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6572), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6264), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123888] = 8,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6574), 1,
      sym_number,
    STATE(6407), 1,
      sym_string,
    STATE(6414), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123922] = 8,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6576), 1,
      sym_number,
    STATE(6138), 1,
      sym_predefined_type,
    STATE(6477), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123956] = 8,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6578), 1,
      sym_number,
    STATE(6200), 1,
      sym_string,
    STATE(6217), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123990] = 5,
    ACTIONS(4430), 1,
      anon_sym_EQ,
    ACTIONS(6580), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4438), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4432), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [124018] = 3,
    ACTIONS(4089), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4091), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [124042] = 3,
    ACTIONS(4175), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4177), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [124066] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6582), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [124088] = 3,
    ACTIONS(4436), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4438), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [124112] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6584), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [124134] = 4,
    ACTIONS(4436), 1,
      anon_sym_EQ,
    ACTIONS(6580), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4438), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [124160] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6586), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [124182] = 3,
    ACTIONS(4083), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [124206] = 4,
    ACTIONS(4450), 1,
      anon_sym_EQ,
    ACTIONS(6580), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4452), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [124232] = 3,
    ACTIONS(4506), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4508), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [124256] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6588), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [124278] = 7,
    ACTIONS(4053), 1,
      anon_sym_PIPE,
    ACTIONS(6514), 1,
      anon_sym_LT,
    ACTIONS(6590), 1,
      anon_sym_DOT,
    ACTIONS(6592), 1,
      anon_sym_is,
    STATE(3285), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3522), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124310] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6594), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [124332] = 8,
    ACTIONS(6596), 1,
      anon_sym_LPAREN,
    ACTIONS(6598), 1,
      anon_sym_DOT,
    ACTIONS(6600), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6602), 1,
      anon_sym_LT,
    STATE(3256), 1,
      sym_arguments,
    STATE(3410), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [124366] = 8,
    ACTIONS(6596), 1,
      anon_sym_LPAREN,
    ACTIONS(6602), 1,
      anon_sym_LT,
    ACTIONS(6604), 1,
      anon_sym_DOT,
    ACTIONS(6606), 1,
      anon_sym_QMARK_DOT,
    STATE(3264), 1,
      sym_arguments,
    STATE(3414), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4035), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [124400] = 8,
    ACTIONS(6596), 1,
      anon_sym_LPAREN,
    ACTIONS(6602), 1,
      anon_sym_LT,
    ACTIONS(6608), 1,
      anon_sym_DOT,
    ACTIONS(6610), 1,
      anon_sym_QMARK_DOT,
    STATE(3273), 1,
      sym_arguments,
    STATE(3416), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4025), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [124434] = 3,
    ACTIONS(4454), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4456), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [124458] = 3,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4197), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124482] = 3,
    ACTIONS(4199), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4201), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124506] = 3,
    ACTIONS(4203), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4205), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124530] = 3,
    ACTIONS(4207), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4209), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124554] = 3,
    ACTIONS(4203), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4205), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124578] = 3,
    ACTIONS(4207), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4209), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124602] = 3,
    ACTIONS(4211), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4213), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124626] = 3,
    ACTIONS(4215), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4217), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124650] = 3,
    ACTIONS(4211), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4213), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124674] = 3,
    ACTIONS(4215), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4217), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124698] = 3,
    ACTIONS(4219), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4221), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124722] = 3,
    ACTIONS(4223), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4225), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124746] = 3,
    ACTIONS(4219), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4221), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124770] = 3,
    ACTIONS(4223), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4225), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124794] = 7,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6612), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6331), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [124826] = 3,
    ACTIONS(4247), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4249), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124850] = 3,
    ACTIONS(4251), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4253), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124874] = 3,
    ACTIONS(4251), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4253), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124898] = 3,
    ACTIONS(4251), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4253), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124922] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6614), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [124944] = 3,
    ACTIONS(4255), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4257), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124968] = 3,
    ACTIONS(4255), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4257), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124992] = 3,
    ACTIONS(4255), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4257), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125016] = 3,
    ACTIONS(4259), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4261), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125040] = 3,
    ACTIONS(4259), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4261), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125064] = 3,
    ACTIONS(4259), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4261), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125088] = 8,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6616), 1,
      sym_number,
    STATE(6357), 1,
      sym_string,
    STATE(6374), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [125122] = 3,
    ACTIONS(4275), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4277), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125146] = 3,
    ACTIONS(4279), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4281), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125170] = 3,
    ACTIONS(4279), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4281), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125194] = 3,
    ACTIONS(4279), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4281), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125218] = 8,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6618), 1,
      sym_number,
    STATE(6098), 1,
      sym_string,
    STATE(6346), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [125252] = 3,
    ACTIONS(4283), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4285), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125276] = 3,
    ACTIONS(4283), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4285), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125300] = 8,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(6540), 1,
      anon_sym_unique,
    ACTIONS(6620), 1,
      sym_number,
    STATE(6103), 1,
      sym_predefined_type,
    STATE(6458), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6536), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [125334] = 3,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4289), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125358] = 3,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4289), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125382] = 3,
    ACTIONS(4287), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4289), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125406] = 3,
    ACTIONS(4488), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4490), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [125430] = 3,
    ACTIONS(4263), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4265), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [125454] = 3,
    ACTIONS(4303), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4305), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [125478] = 3,
    ACTIONS(4267), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4269), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [125502] = 3,
    ACTIONS(4307), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4309), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [125526] = 3,
    ACTIONS(4484), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4486), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [125550] = 6,
    ACTIONS(215), 1,
      anon_sym_unique,
    STATE(3004), 1,
      sym_type_predicate,
    STATE(6296), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6622), 2,
      sym_identifier,
      sym_this,
    ACTIONS(217), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [125579] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3774), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(3862), 1,
      sym_formal_parameters,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    STATE(5790), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [125618] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6628), 1,
      anon_sym_BANG,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6634), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4668), 1,
      sym_type_annotation,
    STATE(5291), 1,
      sym__initializer,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6085), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6626), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125661] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6638), 1,
      anon_sym_BANG,
    ACTIONS(6640), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4581), 1,
      sym_type_annotation,
    STATE(5623), 1,
      sym__initializer,
    STATE(5971), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125704] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3784), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(3862), 1,
      sym_formal_parameters,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    STATE(5790), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [125743] = 5,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1656), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4117), 10,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [125770] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6642), 1,
      anon_sym_BANG,
    ACTIONS(6644), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4227), 1,
      sym_type_annotation,
    STATE(4951), 1,
      sym__initializer,
    STATE(5852), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125813] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_BANG,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    ACTIONS(6652), 1,
      anon_sym_QMARK,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4009), 1,
      sym__call_signature,
    STATE(4534), 1,
      sym_type_annotation,
    STATE(5589), 1,
      sym__initializer,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6646), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125856] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    ACTIONS(6656), 1,
      anon_sym_BANG,
    ACTIONS(6658), 1,
      anon_sym_QMARK,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4063), 1,
      sym__call_signature,
    STATE(4261), 1,
      sym_type_annotation,
    STATE(5169), 1,
      sym__initializer,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6654), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125899] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6660), 1,
      anon_sym_BANG,
    ACTIONS(6662), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4086), 1,
      sym_type_annotation,
    STATE(4841), 1,
      sym__initializer,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6040), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125942] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    ACTIONS(6666), 1,
      anon_sym_BANG,
    ACTIONS(6668), 1,
      anon_sym_QMARK,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(3969), 1,
      sym__call_signature,
    STATE(4457), 1,
      sym_type_annotation,
    STATE(5371), 1,
      sym__initializer,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6664), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125985] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6670), 1,
      anon_sym_BANG,
    ACTIONS(6672), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4247), 1,
      sym_type_annotation,
    STATE(5097), 1,
      sym__initializer,
    STATE(5819), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126028] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6676), 1,
      anon_sym_BANG,
    ACTIONS(6678), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4343), 1,
      sym_type_annotation,
    STATE(5737), 1,
      sym__initializer,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6079), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126071] = 6,
    ACTIONS(215), 1,
      anon_sym_unique,
    STATE(1580), 1,
      sym_type_predicate,
    STATE(6451), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 2,
      sym_identifier,
      sym_this,
    ACTIONS(217), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [126100] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6682), 1,
      anon_sym_BANG,
    ACTIONS(6684), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4526), 1,
      sym_type_annotation,
    STATE(5601), 1,
      sym__initializer,
    STATE(5933), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126143] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6686), 1,
      anon_sym_BANG,
    ACTIONS(6688), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4211), 1,
      sym_type_annotation,
    STATE(5516), 1,
      sym__initializer,
    STATE(5854), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126186] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3815), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(3862), 1,
      sym_formal_parameters,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    STATE(5790), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [126225] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    ACTIONS(6692), 1,
      anon_sym_BANG,
    ACTIONS(6694), 1,
      anon_sym_QMARK,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(3992), 1,
      sym__call_signature,
    STATE(4109), 1,
      sym_type_annotation,
    STATE(5585), 1,
      sym__initializer,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126268] = 6,
    ACTIONS(215), 1,
      anon_sym_unique,
    STATE(3004), 1,
      sym_type_predicate,
    STATE(6294), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6696), 2,
      sym_identifier,
      sym_this,
    ACTIONS(217), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [126297] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3822), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(3862), 1,
      sym_formal_parameters,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    STATE(5790), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [126336] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6698), 1,
      anon_sym_BANG,
    ACTIONS(6700), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4207), 1,
      sym_type_annotation,
    STATE(5339), 1,
      sym__initializer,
    STATE(5788), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126379] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6704), 1,
      anon_sym_BANG,
    ACTIONS(6706), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4671), 1,
      sym_type_annotation,
    STATE(5515), 1,
      sym__initializer,
    STATE(5850), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126422] = 4,
    ACTIONS(4089), 1,
      anon_sym_EQ,
    ACTIONS(6526), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4091), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [126447] = 4,
    ACTIONS(4079), 1,
      anon_sym_EQ,
    ACTIONS(6526), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4081), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [126472] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6692), 1,
      anon_sym_BANG,
    ACTIONS(6708), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4109), 1,
      sym_type_annotation,
    STATE(5648), 1,
      sym__call_signature,
    STATE(5652), 1,
      sym__initializer,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126515] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    ACTIONS(6712), 1,
      anon_sym_BANG,
    ACTIONS(6714), 1,
      anon_sym_QMARK,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4042), 1,
      sym__call_signature,
    STATE(4631), 1,
      sym_type_annotation,
    STATE(5673), 1,
      sym__initializer,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6710), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126558] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6712), 1,
      anon_sym_BANG,
    ACTIONS(6716), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4631), 1,
      sym_type_annotation,
    STATE(5727), 1,
      sym__call_signature,
    STATE(5728), 1,
      sym__initializer,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6710), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126601] = 6,
    ACTIONS(4053), 1,
      anon_sym_PIPE,
    ACTIONS(6514), 1,
      anon_sym_LT,
    ACTIONS(6590), 1,
      anon_sym_DOT,
    STATE(3285), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3522), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126630] = 6,
    ACTIONS(215), 1,
      anon_sym_unique,
    STATE(3299), 1,
      sym_type_predicate,
    STATE(6358), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6718), 2,
      sym_identifier,
      sym_this,
    ACTIONS(217), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [126659] = 4,
    ACTIONS(4083), 1,
      anon_sym_EQ,
    ACTIONS(6720), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [126684] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6724), 1,
      anon_sym_BANG,
    ACTIONS(6726), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4266), 1,
      sym_type_annotation,
    STATE(5005), 1,
      sym__initializer,
    STATE(5780), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6722), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126727] = 6,
    ACTIONS(215), 1,
      anon_sym_unique,
    STATE(2026), 1,
      sym_type_predicate,
    STATE(6382), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6728), 2,
      sym_identifier,
      sym_this,
    ACTIONS(217), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [126756] = 6,
    ACTIONS(215), 1,
      anon_sym_unique,
    STATE(3525), 1,
      sym_type_predicate,
    STATE(6202), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6730), 2,
      sym_identifier,
      sym_this,
    ACTIONS(217), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [126785] = 6,
    ACTIONS(215), 1,
      anon_sym_unique,
    STATE(3004), 1,
      sym_type_predicate,
    STATE(6328), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6732), 2,
      sym_identifier,
      sym_this,
    ACTIONS(217), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [126814] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6734), 1,
      anon_sym_BANG,
    ACTIONS(6736), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4640), 1,
      sym_type_annotation,
    STATE(5685), 1,
      sym__initializer,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6039), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6722), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126857] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_BANG,
    ACTIONS(6740), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4096), 1,
      sym_type_annotation,
    STATE(5231), 1,
      sym__initializer,
    STATE(5888), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6722), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126900] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6742), 1,
      anon_sym_BANG,
    ACTIONS(6744), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4602), 1,
      sym_type_annotation,
    STATE(5653), 1,
      sym__initializer,
    STATE(5998), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126943] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6746), 1,
      anon_sym_BANG,
    ACTIONS(6748), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4655), 1,
      sym_type_annotation,
    STATE(5706), 1,
      sym__initializer,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6053), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6722), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126986] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3781), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(3862), 1,
      sym_formal_parameters,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    STATE(5790), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [127025] = 6,
    ACTIONS(3459), 1,
      anon_sym_LPAREN,
    ACTIONS(4101), 1,
      anon_sym_PIPE,
    ACTIONS(6750), 1,
      anon_sym_DOT,
    STATE(3233), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4103), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127054] = 14,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(6504), 1,
      anon_sym_STAR,
    ACTIONS(6508), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      sym_identifier,
    ACTIONS(6754), 1,
      anon_sym_type,
    ACTIONS(6756), 1,
      anon_sym_COMMA,
    ACTIONS(6758), 1,
      anon_sym_from,
    STATE(4765), 1,
      sym_string,
    STATE(4766), 1,
      sym_import_require_clause,
    STATE(6001), 1,
      sym_import_clause,
    STATE(6030), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6225), 2,
      sym_namespace_import,
      sym_named_imports,
  [127099] = 13,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_BANG,
    ACTIONS(6762), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4237), 1,
      sym_type_annotation,
    STATE(5575), 1,
      sym__initializer,
    STATE(5918), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127142] = 6,
    ACTIONS(4426), 1,
      anon_sym_EQ,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4428), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [127170] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4209), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [127190] = 3,
    ACTIONS(4111), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4113), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127212] = 3,
    ACTIONS(4119), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4121), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127234] = 3,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4129), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127256] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4205), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [127276] = 6,
    ACTIONS(6602), 1,
      anon_sym_LT,
    ACTIONS(6770), 1,
      anon_sym_DOT,
    ACTIONS(6772), 1,
      anon_sym_is,
    STATE(3376), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3522), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127304] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4209), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [127324] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4213), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [127344] = 4,
    ACTIONS(1855), 1,
      anon_sym_DOT,
    ACTIONS(4147), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4149), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127368] = 3,
    ACTIONS(3657), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3473), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127390] = 3,
    ACTIONS(3659), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3479), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127412] = 4,
    ACTIONS(1863), 1,
      anon_sym_DOT,
    ACTIONS(4147), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4149), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127436] = 3,
    ACTIONS(4167), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4169), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127458] = 3,
    ACTIONS(4171), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4173), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127480] = 3,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4518), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127502] = 3,
    ACTIONS(4179), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4181), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127524] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6776), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3624), 1,
      sym__call_signature,
    STATE(4112), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6774), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127560] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4217), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [127580] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4213), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [127600] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4217), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [127620] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4221), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [127640] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4225), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [127660] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4221), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [127680] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4225), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [127700] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6780), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4378), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6778), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127736] = 6,
    ACTIONS(4157), 1,
      anon_sym_EQ,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [127764] = 6,
    ACTIONS(4243), 1,
      anon_sym_EQ,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4245), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [127792] = 3,
    ACTIONS(3238), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3240), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127814] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6784), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3640), 1,
      sym__call_signature,
    STATE(4586), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6782), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127850] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4249), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [127870] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4253), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [127890] = 4,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4189), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_extends,
  [127914] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4253), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [127934] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4253), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [127954] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4257), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [127974] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6788), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4487), 1,
      sym__call_signature,
    STATE(4488), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6786), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128010] = 6,
    ACTIONS(4319), 1,
      anon_sym_EQ,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4321), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [128038] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6790), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4098), 1,
      sym__call_signature,
    STATE(4112), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6774), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128074] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6794), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3632), 1,
      sym__call_signature,
    STATE(4115), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6792), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128110] = 5,
    ACTIONS(4083), 1,
      anon_sym_PIPE,
    ACTIONS(6514), 1,
      anon_sym_LT,
    STATE(3293), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128136] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4257), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128156] = 3,
    ACTIONS(3170), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3172), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128178] = 3,
    ACTIONS(3378), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3380), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128200] = 11,
    ACTIONS(6076), 1,
      anon_sym_LT,
    ACTIONS(6524), 1,
      anon_sym_DOT,
    ACTIONS(6796), 1,
      anon_sym_EQ,
    ACTIONS(6801), 1,
      anon_sym_COLON,
    ACTIONS(6803), 1,
      anon_sym_extends,
    STATE(2976), 1,
      sym_type_arguments,
    STATE(4768), 1,
      sym_constraint,
    STATE(6084), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6798), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(3522), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [128238] = 3,
    ACTIONS(3178), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3180), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128260] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4261), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128280] = 6,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1656), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4117), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128308] = 3,
    ACTIONS(3174), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3176), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128330] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4261), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128350] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6806), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4564), 1,
      sym__call_signature,
    STATE(4586), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6782), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128386] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4261), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128406] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6808), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4093), 1,
      sym__call_signature,
    STATE(4115), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6792), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128442] = 6,
    ACTIONS(4295), 1,
      anon_sym_EQ,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4297), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [128470] = 5,
    ACTIONS(3461), 1,
      anon_sym_DOT,
    ACTIONS(3465), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3469), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128496] = 6,
    ACTIONS(4235), 1,
      anon_sym_EQ,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4237), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [128524] = 3,
    ACTIONS(3282), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3284), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128546] = 5,
    ACTIONS(4510), 1,
      anon_sym_PIPE,
    ACTIONS(6810), 1,
      anon_sym_DOT,
    ACTIONS(6812), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4512), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128572] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6814), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3645), 1,
      sym__call_signature,
    STATE(4379), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6778), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128608] = 6,
    ACTIONS(4315), 1,
      anon_sym_EQ,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4317), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [128636] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4277), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128656] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4197), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128676] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4281), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128696] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4281), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128716] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4281), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128736] = 4,
    ACTIONS(4444), 1,
      anon_sym_EQ,
    ACTIONS(6816), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4446), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
  [128760] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6818), 1,
      anon_sym_COLON,
    ACTIONS(6820), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3605), 1,
      sym__call_signature,
    STATE(4488), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6786), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128796] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4285), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128816] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4285), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128836] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4285), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128856] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4289), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128876] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4289), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128896] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4289), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128916] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4201), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128936] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4205), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128956] = 4,
    ACTIONS(4299), 1,
      anon_sym_EQ,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4301), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_extends,
  [128980] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4257), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [129000] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4030), 1,
      sym__call_signature,
    STATE(4394), 1,
      sym_type_annotation,
    STATE(4958), 1,
      sym__initializer,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6822), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129037] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4594), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym__initializer,
    STATE(5985), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6824), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129074] = 4,
    ACTIONS(4500), 1,
      anon_sym_PIPE,
    ACTIONS(6826), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4502), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129097] = 4,
    ACTIONS(4083), 1,
      anon_sym_PIPE,
    ACTIONS(6828), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129120] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4226), 1,
      sym_type_annotation,
    STATE(5547), 1,
      sym__initializer,
    STATE(5889), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129157] = 9,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3638), 1,
      sym__call_signature,
    STATE(4555), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6832), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129190] = 9,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3625), 1,
      sym__call_signature,
    STATE(4084), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129223] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4312), 1,
      sym_type_annotation,
    STATE(5084), 1,
      sym__initializer,
    STATE(5995), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129260] = 8,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(6076), 1,
      anon_sym_LT,
    ACTIONS(6524), 1,
      anon_sym_DOT,
    ACTIONS(6838), 1,
      anon_sym_QMARK,
    STATE(2976), 1,
      sym_type_arguments,
    STATE(5848), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3522), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129291] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4056), 1,
      sym__call_signature,
    STATE(4259), 1,
      sym_type_annotation,
    STATE(5529), 1,
      sym__initializer,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129328] = 5,
    ACTIONS(6596), 1,
      anon_sym_LPAREN,
    ACTIONS(6843), 1,
      anon_sym_DOT,
    STATE(3324), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4103), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129353] = 9,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4116), 1,
      sym__call_signature,
    STATE(4121), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6845), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129386] = 8,
    ACTIONS(3507), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6847), 1,
      anon_sym_LPAREN,
    ACTIONS(6849), 1,
      anon_sym_LT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129417] = 8,
    ACTIONS(6498), 1,
      anon_sym_DOT,
    ACTIONS(6500), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6847), 1,
      anon_sym_LPAREN,
    ACTIONS(6849), 1,
      anon_sym_LT,
    STATE(2944), 1,
      sym_arguments,
    STATE(2974), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4035), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129448] = 8,
    ACTIONS(6494), 1,
      anon_sym_DOT,
    ACTIONS(6496), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6847), 1,
      anon_sym_LPAREN,
    ACTIONS(6849), 1,
      anon_sym_LT,
    STATE(2945), 1,
      sym_arguments,
    STATE(2975), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4025), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129479] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4059), 1,
      sym__call_signature,
    STATE(4205), 1,
      sym_type_annotation,
    STATE(4995), 1,
      sym__initializer,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129516] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4258), 1,
      sym_type_annotation,
    STATE(5627), 1,
      sym__initializer,
    STATE(5975), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129553] = 9,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4175), 1,
      sym__call_signature,
    STATE(4176), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6853), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129586] = 9,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4084), 1,
      sym_type_annotation,
    STATE(4670), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129619] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4653), 1,
      sym_type_annotation,
    STATE(5434), 1,
      sym__initializer,
    STATE(5789), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129656] = 4,
    ACTIONS(4089), 1,
      anon_sym_PIPE,
    ACTIONS(6592), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4091), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129679] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4353), 1,
      sym_type_annotation,
    STATE(4850), 1,
      sym__initializer,
    STATE(5968), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129716] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4679), 1,
      sym_type_annotation,
    STATE(5540), 1,
      sym__initializer,
    STATE(5882), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129753] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4071), 1,
      sym__call_signature,
    STATE(4676), 1,
      sym_type_annotation,
    STATE(5735), 1,
      sym__initializer,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129790] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4362), 1,
      sym_type_annotation,
    STATE(4862), 1,
      sym__initializer,
    STATE(5880), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129827] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1859), 12,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [129846] = 9,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4533), 1,
      sym__call_signature,
    STATE(4555), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6832), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129879] = 7,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3822), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [129908] = 5,
    ACTIONS(6602), 1,
      anon_sym_LT,
    ACTIONS(6770), 1,
      anon_sym_DOT,
    STATE(3376), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3522), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129933] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4385), 1,
      sym_type_annotation,
    STATE(5294), 1,
      sym__initializer,
    STATE(5989), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129970] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4628), 1,
      sym_type_annotation,
    STATE(5672), 1,
      sym__initializer,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6024), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6824), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130007] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4157), 1,
      sym_type_annotation,
    STATE(5329), 1,
      sym__initializer,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130044] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4412), 1,
      sym_type_annotation,
    STATE(5239), 1,
      sym__initializer,
    STATE(5814), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6824), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130081] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4196), 1,
      sym_type_annotation,
    STATE(5755), 1,
      sym__initializer,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6091), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6824), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130118] = 9,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3633), 1,
      sym__call_signature,
    STATE(4121), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6845), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130151] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1903), 12,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [130170] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(3999), 1,
      sym__call_signature,
    STATE(4537), 1,
      sym_type_annotation,
    STATE(5573), 1,
      sym__initializer,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130207] = 8,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(3862), 1,
      sym_formal_parameters,
    STATE(5790), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3777), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [130238] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4432), 1,
      sym_type_annotation,
    STATE(4994), 1,
      sym__initializer,
    STATE(5768), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130275] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4545), 1,
      sym_type_annotation,
    STATE(5699), 1,
      sym__initializer,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6046), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130312] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(4667), 1,
      sym_type_annotation,
    STATE(5147), 1,
      sym__initializer,
    STATE(5878), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6861), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130349] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4259), 1,
      sym_type_annotation,
    STATE(5604), 1,
      sym__call_signature,
    STATE(5605), 1,
      sym__initializer,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130386] = 3,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1755), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [130407] = 9,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3644), 1,
      sym__call_signature,
    STATE(4377), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6863), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130440] = 3,
    ACTIONS(4075), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4077), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [130461] = 3,
    ACTIONS(4442), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4440), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [130482] = 7,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3784), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [130511] = 12,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(6504), 1,
      anon_sym_STAR,
    ACTIONS(6508), 1,
      anon_sym_LBRACE,
    ACTIONS(6752), 1,
      sym_identifier,
    ACTIONS(6754), 1,
      anon_sym_type,
    STATE(4765), 1,
      sym_string,
    STATE(4766), 1,
      sym_import_require_clause,
    STATE(6001), 1,
      sym_import_clause,
    STATE(6030), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6225), 2,
      sym_namespace_import,
      sym_named_imports,
  [130550] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4537), 1,
      sym_type_annotation,
    STATE(5606), 1,
      sym__call_signature,
    STATE(5607), 1,
      sym__initializer,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130587] = 3,
    ACTIONS(4492), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4494), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [130608] = 7,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3815), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [130637] = 7,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3774), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [130666] = 7,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    ACTIONS(3781), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [130695] = 9,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4373), 1,
      sym__call_signature,
    STATE(4377), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6863), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130728] = 9,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3649), 1,
      sym__call_signature,
    STATE(4176), 1,
      sym_type_annotation,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6853), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130761] = 4,
    ACTIONS(4079), 1,
      anon_sym_PIPE,
    ACTIONS(6592), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4081), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [130784] = 3,
    ACTIONS(4454), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4456), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [130804] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3180), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130822] = 4,
    ACTIONS(6602), 1,
      anon_sym_LT,
    STATE(3384), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130844] = 3,
    ACTIONS(4143), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4145), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [130864] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3176), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130882] = 3,
    ACTIONS(4488), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4490), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [130902] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3862), 1,
      sym_formal_parameters,
    STATE(5790), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [130928] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [130946] = 4,
    ACTIONS(6598), 1,
      anon_sym_DOT,
    ACTIONS(6600), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130968] = 3,
    ACTIONS(2380), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2378), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [130988] = 3,
    ACTIONS(4506), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4508), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131008] = 3,
    ACTIONS(4115), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4117), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131028] = 3,
    ACTIONS(4227), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4229), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131048] = 3,
    ACTIONS(4231), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4233), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131068] = 4,
    ACTIONS(6865), 1,
      anon_sym_DOT,
    ACTIONS(6867), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4512), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131090] = 3,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2370), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131110] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4113), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131128] = 5,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6871), 1,
      anon_sym_PIPE,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4237), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [131152] = 3,
    ACTIONS(4239), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4241), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131172] = 3,
    ACTIONS(4243), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4245), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131192] = 5,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6871), 1,
      anon_sym_PIPE,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4245), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [131216] = 5,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6871), 1,
      anon_sym_PIPE,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4317), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [131240] = 5,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6871), 1,
      anon_sym_PIPE,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4321), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [131264] = 3,
    ACTIONS(4123), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4125), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131284] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4121), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131302] = 3,
    ACTIONS(2368), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2366), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131322] = 3,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131342] = 5,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6871), 1,
      anon_sym_PIPE,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [131366] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3172), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131384] = 3,
    ACTIONS(4131), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4133), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131404] = 3,
    ACTIONS(4107), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4109), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131424] = 3,
    ACTIONS(1855), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4149), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [131444] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3473), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131462] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4129), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131480] = 3,
    ACTIONS(4175), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4177), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131500] = 3,
    ACTIONS(4436), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4438), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131520] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4181), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131538] = 3,
    ACTIONS(4263), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4265), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131558] = 3,
    ACTIONS(4267), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4269), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131578] = 3,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4185), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131598] = 3,
    ACTIONS(4271), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4273), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131618] = 4,
    ACTIONS(4187), 1,
      anon_sym_PIPE,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4189), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131640] = 3,
    ACTIONS(2376), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2374), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131660] = 3,
    ACTIONS(4303), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4305), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131680] = 3,
    ACTIONS(4307), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4309), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131700] = 3,
    ACTIONS(4393), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4395), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131720] = 5,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6871), 1,
      anon_sym_PIPE,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4428), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [131744] = 5,
    ACTIONS(4436), 1,
      anon_sym_PIPE,
    ACTIONS(6875), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4438), 2,
      anon_sym_AMP,
      anon_sym_extends,
    ACTIONS(4432), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [131768] = 4,
    ACTIONS(4444), 1,
      anon_sym_PIPE,
    ACTIONS(6877), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4446), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE_RBRACE,
  [131790] = 4,
    ACTIONS(4450), 1,
      anon_sym_PIPE,
    ACTIONS(6875), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4452), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131812] = 3,
    ACTIONS(4191), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4193), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131832] = 3,
    ACTIONS(4083), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131852] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3479), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131870] = 3,
    ACTIONS(4484), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4486), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131890] = 3,
    ACTIONS(1863), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4149), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [131910] = 11,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(6879), 1,
      sym_identifier,
    ACTIONS(6881), 1,
      anon_sym_type,
    ACTIONS(6883), 1,
      anon_sym_COMMA,
    ACTIONS(6885), 1,
      anon_sym_RBRACE,
    ACTIONS(6887), 1,
      anon_sym_typeof,
    STATE(5622), 1,
      sym_import_specifier,
    STATE(5984), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6164), 2,
      sym__module_export_name,
      sym_string,
  [131946] = 3,
    ACTIONS(4291), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4293), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131966] = 3,
    ACTIONS(4135), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4137), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [131986] = 5,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6871), 1,
      anon_sym_PIPE,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4297), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [132010] = 3,
    ACTIONS(4089), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4091), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [132030] = 4,
    ACTIONS(4436), 1,
      anon_sym_PIPE,
    ACTIONS(6875), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4438), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [132052] = 3,
    ACTIONS(4496), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4498), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [132072] = 3,
    ACTIONS(4139), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4141), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [132092] = 3,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2362), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [132112] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4169), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132130] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5530), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [132148] = 3,
    ACTIONS(4079), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4081), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [132168] = 6,
    ACTIONS(6076), 1,
      anon_sym_LT,
    ACTIONS(6524), 1,
      anon_sym_DOT,
    ACTIONS(6889), 1,
      anon_sym_is,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3522), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [132194] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4173), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132212] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4518), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132230] = 4,
    ACTIONS(4299), 1,
      anon_sym_PIPE,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4301), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [132252] = 4,
    ACTIONS(6893), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3958), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(6891), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [132273] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1755), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [132290] = 8,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6895), 1,
      anon_sym_EQ,
    ACTIONS(6899), 1,
      anon_sym_BANG,
    STATE(4528), 1,
      sym_type_annotation,
    STATE(4568), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6901), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6897), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132319] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6899), 1,
      anon_sym_BANG,
    STATE(4528), 1,
      sym_type_annotation,
    STATE(5557), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6901), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6897), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132348] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6903), 1,
      sym_identifier,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6907), 1,
      anon_sym_extends,
    ACTIONS(6909), 1,
      anon_sym_implements,
    STATE(2236), 1,
      sym_class_body,
    STATE(3807), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5777), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132383] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6907), 1,
      anon_sym_extends,
    ACTIONS(6909), 1,
      anon_sym_implements,
    ACTIONS(6911), 1,
      sym_identifier,
    STATE(2236), 1,
      sym_class_body,
    STATE(3807), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5777), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132418] = 3,
    ACTIONS(6913), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4502), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132437] = 9,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(6879), 1,
      sym_identifier,
    ACTIONS(6915), 1,
      anon_sym_type,
    ACTIONS(6917), 1,
      anon_sym_as,
    STATE(5829), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6756), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6322), 2,
      sym__module_export_name,
      sym_string,
  [132468] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6907), 1,
      anon_sym_extends,
    ACTIONS(6909), 1,
      anon_sym_implements,
    ACTIONS(6919), 1,
      sym_identifier,
    STATE(2186), 1,
      sym_class_body,
    STATE(3773), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5955), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132503] = 9,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      sym_identifier,
    ACTIONS(6925), 1,
      anon_sym_COMMA,
    ACTIONS(6927), 1,
      anon_sym_RBRACE,
    STATE(5650), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6923), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(5688), 2,
      sym__module_export_name,
      sym_string,
  [132534] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6907), 1,
      anon_sym_extends,
    ACTIONS(6909), 1,
      anon_sym_implements,
    ACTIONS(6929), 1,
      sym_identifier,
    STATE(2236), 1,
      sym_class_body,
    STATE(3807), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5777), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132569] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4077), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [132586] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4440), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132603] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4494), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132620] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(6879), 1,
      sym_identifier,
    ACTIONS(6881), 1,
      anon_sym_type,
    ACTIONS(6887), 1,
      anon_sym_typeof,
    ACTIONS(6931), 1,
      anon_sym_RBRACE,
    STATE(5947), 1,
      sym_import_specifier,
    STATE(5984), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6164), 2,
      sym__module_export_name,
      sym_string,
  [132653] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6907), 1,
      anon_sym_extends,
    ACTIONS(6909), 1,
      anon_sym_implements,
    ACTIONS(6933), 1,
      sym_identifier,
    STATE(2186), 1,
      sym_class_body,
    STATE(3773), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5955), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132688] = 4,
    ACTIONS(6893), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4061), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(6935), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [132709] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6907), 1,
      anon_sym_extends,
    ACTIONS(6909), 1,
      anon_sym_implements,
    ACTIONS(6937), 1,
      sym_identifier,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    STATE(1740), 1,
      sym_class_body,
    STATE(3778), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(6017), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132744] = 5,
    ACTIONS(6072), 1,
      anon_sym_LPAREN,
    ACTIONS(6534), 1,
      anon_sym_DOT,
    STATE(2961), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4103), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [132767] = 3,
    ACTIONS(6772), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4081), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132786] = 5,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6871), 1,
      anon_sym_PIPE,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6941), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [132809] = 3,
    ACTIONS(6943), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132828] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6907), 1,
      anon_sym_extends,
    ACTIONS(6909), 1,
      anon_sym_implements,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    ACTIONS(6945), 1,
      sym_identifier,
    STATE(1669), 1,
      sym_class_body,
    STATE(3794), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5828), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132863] = 4,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3777), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [132884] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6907), 1,
      anon_sym_extends,
    ACTIONS(6909), 1,
      anon_sym_implements,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    ACTIONS(6947), 1,
      sym_identifier,
    STATE(2566), 1,
      sym_class_body,
    STATE(3845), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5949), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132919] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6907), 1,
      anon_sym_extends,
    ACTIONS(6909), 1,
      anon_sym_implements,
    ACTIONS(6949), 1,
      sym_identifier,
    STATE(2186), 1,
      sym_class_body,
    STATE(3773), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5955), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132954] = 6,
    ACTIONS(6524), 1,
      anon_sym_DOT,
    ACTIONS(6849), 1,
      anon_sym_LT,
    ACTIONS(6951), 1,
      anon_sym_is,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3522), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132979] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6907), 1,
      anon_sym_extends,
    ACTIONS(6909), 1,
      anon_sym_implements,
    ACTIONS(6953), 1,
      sym_identifier,
    STATE(2236), 1,
      sym_class_body,
    STATE(3807), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5777), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133014] = 5,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2201), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4117), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133037] = 3,
    ACTIONS(6772), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4091), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133056] = 10,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(6879), 1,
      sym_identifier,
    ACTIONS(6881), 1,
      anon_sym_type,
    ACTIONS(6887), 1,
      anon_sym_typeof,
    ACTIONS(6955), 1,
      anon_sym_RBRACE,
    STATE(5947), 1,
      sym_import_specifier,
    STATE(5984), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6164), 2,
      sym__module_export_name,
      sym_string,
  [133089] = 11,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6907), 1,
      anon_sym_extends,
    ACTIONS(6909), 1,
      anon_sym_implements,
    ACTIONS(6957), 1,
      sym_identifier,
    STATE(2186), 1,
      sym_class_body,
    STATE(3773), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5955), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133124] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6959), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(852), 1,
      sym_class_body,
    STATE(3867), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5884), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133156] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6965), 1,
      anon_sym_BANG,
    ACTIONS(6967), 1,
      anon_sym_QMARK,
    STATE(4326), 1,
      sym_type_annotation,
    STATE(5439), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133184] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6969), 1,
      anon_sym_BANG,
    ACTIONS(6971), 1,
      anon_sym_QMARK,
    STATE(4643), 1,
      sym_type_annotation,
    STATE(5687), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133212] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6975), 1,
      anon_sym_BANG,
    ACTIONS(6977), 1,
      anon_sym_QMARK,
    STATE(4262), 1,
      sym_type_annotation,
    STATE(4979), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133240] = 10,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6076), 1,
      anon_sym_LT,
    STATE(1768), 1,
      sym_template_string,
    STATE(2526), 1,
      sym_arguments,
    STATE(3070), 1,
      sym_type_arguments,
    STATE(6063), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133272] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6979), 1,
      anon_sym_BANG,
    ACTIONS(6981), 1,
      anon_sym_QMARK,
    STATE(4348), 1,
      sym_type_annotation,
    STATE(4844), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133300] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6983), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [133316] = 10,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6076), 1,
      anon_sym_LT,
    STATE(1768), 1,
      sym_template_string,
    STATE(2323), 1,
      sym_arguments,
    STATE(3070), 1,
      sym_type_arguments,
    STATE(6063), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133348] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3380), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133364] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1903), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133380] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6985), 1,
      anon_sym_BANG,
    ACTIONS(6987), 1,
      anon_sym_QMARK,
    STATE(4358), 1,
      sym_type_annotation,
    STATE(4856), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133408] = 7,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4408), 1,
      sym_type_annotation,
    STATE(4949), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6991), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6989), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133434] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6993), 1,
      anon_sym_BANG,
    ACTIONS(6995), 1,
      anon_sym_QMARK,
    STATE(4647), 1,
      sym_type_annotation,
    STATE(5693), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133462] = 7,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4528), 1,
      sym_type_annotation,
    STATE(5567), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6901), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6897), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133488] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6997), 1,
      anon_sym_BANG,
    ACTIONS(6999), 1,
      anon_sym_QMARK,
    STATE(4324), 1,
      sym_type_annotation,
    STATE(5139), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133516] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2370), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133532] = 7,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4261), 1,
      sym_type_annotation,
    STATE(4967), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6656), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6654), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133558] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7001), 1,
      anon_sym_BANG,
    ACTIONS(7003), 1,
      anon_sym_QMARK,
    STATE(4268), 1,
      sym_type_annotation,
    STATE(4989), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133586] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7005), 1,
      anon_sym_BANG,
    ACTIONS(7007), 1,
      anon_sym_QMARK,
    STATE(4650), 1,
      sym_type_annotation,
    STATE(5696), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133614] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7009), 1,
      anon_sym_BANG,
    ACTIONS(7011), 1,
      anon_sym_QMARK,
    STATE(4263), 1,
      sym_type_annotation,
    STATE(5101), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6722), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133642] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7013), 1,
      anon_sym_BANG,
    ACTIONS(7015), 1,
      anon_sym_QMARK,
    STATE(4665), 1,
      sym_type_annotation,
    STATE(4870), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6722), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133670] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4109), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133686] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6959), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(843), 1,
      sym_class_body,
    STATE(3604), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5872), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133718] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7017), 1,
      anon_sym_BANG,
    ACTIONS(7019), 1,
      anon_sym_QMARK,
    STATE(4273), 1,
      sym_type_annotation,
    STATE(4996), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133746] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4177), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133762] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4456), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133778] = 3,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4301), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [133796] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7023), 1,
      anon_sym_BANG,
    ACTIONS(7025), 1,
      anon_sym_QMARK,
    STATE(4356), 1,
      sym_type_annotation,
    STATE(5262), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133824] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      sym_identifier,
    ACTIONS(7027), 1,
      anon_sym_RBRACE,
    STATE(5913), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6923), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(5688), 2,
      sym__module_export_name,
      sym_string,
  [133852] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4305), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133868] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4309), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133884] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3284), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133900] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7029), 1,
      anon_sym_BANG,
    ACTIONS(7031), 1,
      anon_sym_QMARK,
    STATE(4429), 1,
      sym_type_annotation,
    STATE(4985), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133928] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4395), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133944] = 5,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7033), 1,
      anon_sym_PIPE,
    ACTIONS(7035), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4428), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [133966] = 4,
    ACTIONS(7037), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4438), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4432), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133986] = 3,
    ACTIONS(7039), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4446), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [134004] = 3,
    ACTIONS(7037), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4452), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134022] = 6,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(7041), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6941), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [134046] = 10,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6076), 1,
      anon_sym_LT,
    ACTIONS(7043), 1,
      anon_sym_DOT,
    STATE(1768), 1,
      sym_template_string,
    STATE(2447), 1,
      sym_arguments,
    STATE(4824), 1,
      sym_type_arguments,
    STATE(6063), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134078] = 7,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5315), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [134104] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4486), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134120] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7045), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [134136] = 3,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3284), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [134154] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7047), 1,
      anon_sym_BANG,
    ACTIONS(7049), 1,
      anon_sym_QMARK,
    STATE(4281), 1,
      sym_type_annotation,
    STATE(5011), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134182] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7051), 1,
      anon_sym_BANG,
    ACTIONS(7053), 1,
      anon_sym_QMARK,
    STATE(4294), 1,
      sym_type_annotation,
    STATE(5036), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134210] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(2446), 1,
      sym_class_body,
    STATE(3810), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5895), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134242] = 7,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5330), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [134268] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7055), 1,
      anon_sym_BANG,
    ACTIONS(7057), 1,
      anon_sym_QMARK,
    STATE(4541), 1,
      sym_type_annotation,
    STATE(5666), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134296] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7059), 1,
      anon_sym_BANG,
    ACTIONS(7061), 1,
      anon_sym_QMARK,
    STATE(4456), 1,
      sym_type_annotation,
    STATE(5049), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134324] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7063), 1,
      anon_sym_BANG,
    ACTIONS(7065), 1,
      anon_sym_QMARK,
    STATE(4565), 1,
      sym_type_annotation,
    STATE(4845), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134352] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7067), 1,
      anon_sym_BANG,
    ACTIONS(7069), 1,
      anon_sym_QMARK,
    STATE(4240), 1,
      sym_type_annotation,
    STATE(4939), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134380] = 7,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      anon_sym_LT,
    ACTIONS(7071), 1,
      anon_sym_DOT,
    STATE(1273), 1,
      sym_arguments,
    STATE(6027), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3497), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [134406] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7073), 1,
      anon_sym_BANG,
    ACTIONS(7075), 1,
      anon_sym_QMARK,
    STATE(4664), 1,
      sym_type_annotation,
    STATE(5712), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134434] = 4,
    ACTIONS(7077), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4579), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(6935), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134454] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7079), 1,
      anon_sym_BANG,
    ACTIONS(7081), 1,
      anon_sym_QMARK,
    STATE(4505), 1,
      sym_type_annotation,
    STATE(5100), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134482] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7083), 1,
      anon_sym_BANG,
    ACTIONS(7085), 1,
      anon_sym_QMARK,
    STATE(4510), 1,
      sym_type_annotation,
    STATE(5119), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134510] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7087), 1,
      anon_sym_BANG,
    ACTIONS(7089), 1,
      anon_sym_QMARK,
    STATE(4624), 1,
      sym_type_annotation,
    STATE(4849), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134538] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7093), 1,
      anon_sym_QMARK,
    STATE(4644), 1,
      sym_type_annotation,
    STATE(4863), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134566] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7095), 1,
      anon_sym_BANG,
    ACTIONS(7097), 1,
      anon_sym_QMARK,
    STATE(4520), 1,
      sym_type_annotation,
    STATE(5143), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134594] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7099), 1,
      anon_sym_BANG,
    ACTIONS(7101), 1,
      anon_sym_QMARK,
    STATE(4529), 1,
      sym_type_annotation,
    STATE(5168), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134622] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7103), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [134638] = 9,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(6879), 1,
      sym_identifier,
    ACTIONS(6881), 1,
      anon_sym_type,
    ACTIONS(6887), 1,
      anon_sym_typeof,
    STATE(5947), 1,
      sym_import_specifier,
    STATE(5984), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6164), 2,
      sym__module_export_name,
      sym_string,
  [134668] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7105), 1,
      anon_sym_BANG,
    ACTIONS(7107), 1,
      anon_sym_QMARK,
    STATE(4543), 1,
      sym_type_annotation,
    STATE(5228), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134696] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7109), 1,
      anon_sym_BANG,
    ACTIONS(7111), 1,
      anon_sym_QMARK,
    STATE(4310), 1,
      sym_type_annotation,
    STATE(5080), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134724] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2378), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134740] = 8,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      sym_identifier,
    ACTIONS(7113), 1,
      anon_sym_RBRACE,
    STATE(5913), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6923), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(5688), 2,
      sym__module_export_name,
      sym_string,
  [134768] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4117), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134784] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7115), 1,
      anon_sym_BANG,
    ACTIONS(7117), 1,
      anon_sym_QMARK,
    STATE(4548), 1,
      sym_type_annotation,
    STATE(5235), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134812] = 9,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6076), 1,
      anon_sym_LT,
    STATE(4824), 1,
      sym_type_arguments,
    STATE(6063), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1768), 2,
      sym_template_string,
      sym_arguments,
  [134842] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7119), 1,
      anon_sym_BANG,
    ACTIONS(7121), 1,
      anon_sym_QMARK,
    STATE(4674), 1,
      sym_type_annotation,
    STATE(4940), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134870] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4125), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134886] = 7,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [134912] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4133), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134928] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7123), 1,
      anon_sym_BANG,
    ACTIONS(7125), 1,
      anon_sym_QMARK,
    STATE(4083), 1,
      sym_type_annotation,
    STATE(4950), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134956] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7127), 1,
      anon_sym_BANG,
    ACTIONS(7129), 1,
      anon_sym_QMARK,
    STATE(4606), 1,
      sym_type_annotation,
    STATE(5656), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134984] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7131), 1,
      anon_sym_BANG,
    ACTIONS(7133), 1,
      anon_sym_QMARK,
    STATE(4087), 1,
      sym_type_annotation,
    STATE(4965), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135012] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7135), 1,
      anon_sym_BANG,
    ACTIONS(7137), 1,
      anon_sym_QMARK,
    STATE(4327), 1,
      sym_type_annotation,
    STATE(5127), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135040] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7139), 1,
      anon_sym_BANG,
    ACTIONS(7141), 1,
      anon_sym_QMARK,
    STATE(4560), 1,
      sym_type_annotation,
    STATE(5253), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135068] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7143), 1,
      anon_sym_BANG,
    ACTIONS(7145), 1,
      anon_sym_QMARK,
    STATE(4672), 1,
      sym_type_annotation,
    STATE(5726), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135096] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7147), 1,
      anon_sym_BANG,
    ACTIONS(7149), 1,
      anon_sym_QMARK,
    STATE(4097), 1,
      sym_type_annotation,
    STATE(5019), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135124] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7151), 1,
      anon_sym_BANG,
    ACTIONS(7153), 1,
      anon_sym_QMARK,
    STATE(4573), 1,
      sym_type_annotation,
    STATE(5265), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135152] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7155), 1,
      anon_sym_BANG,
    ACTIONS(7157), 1,
      anon_sym_QMARK,
    STATE(4577), 1,
      sym_type_annotation,
    STATE(5272), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135180] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7159), 1,
      anon_sym_BANG,
    ACTIONS(7161), 1,
      anon_sym_QMARK,
    STATE(4101), 1,
      sym_type_annotation,
    STATE(5042), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135208] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7163), 1,
      anon_sym_BANG,
    ACTIONS(7165), 1,
      anon_sym_QMARK,
    STATE(4595), 1,
      sym_type_annotation,
    STATE(5290), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135236] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7167), 1,
      anon_sym_BANG,
    ACTIONS(7169), 1,
      anon_sym_QMARK,
    STATE(4598), 1,
      sym_type_annotation,
    STATE(5293), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135264] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(2232), 1,
      sym_class_body,
    STATE(3789), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5818), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135296] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7171), 1,
      anon_sym_BANG,
    ACTIONS(7173), 1,
      anon_sym_QMARK,
    STATE(4615), 1,
      sym_type_annotation,
    STATE(5659), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135324] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4137), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135340] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4141), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135356] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    ACTIONS(7175), 1,
      anon_sym_LBRACE,
    STATE(235), 1,
      sym_class_body,
    STATE(3641), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(6092), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135388] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4145), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135404] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7177), 1,
      anon_sym_BANG,
    ACTIONS(7179), 1,
      anon_sym_QMARK,
    STATE(4678), 1,
      sym_type_annotation,
    STATE(5731), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135432] = 7,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4631), 1,
      sym_type_annotation,
    STATE(5721), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6712), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6710), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135458] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7181), 1,
      anon_sym_BANG,
    ACTIONS(7183), 1,
      anon_sym_QMARK,
    STATE(4126), 1,
      sym_type_annotation,
    STATE(5166), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135486] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7185), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [135502] = 7,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6895), 1,
      anon_sym_EQ,
    STATE(4528), 1,
      sym_type_annotation,
    STATE(4569), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6901), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6897), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135528] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4438), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135544] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7187), 1,
      anon_sym_BANG,
    ACTIONS(7189), 1,
      anon_sym_QMARK,
    STATE(4609), 1,
      sym_type_annotation,
    STATE(5327), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135572] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(3795), 1,
      sym_type_parameters,
    STATE(4696), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5867), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135604] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7193), 1,
      anon_sym_BANG,
    ACTIONS(7195), 1,
      anon_sym_QMARK,
    STATE(4613), 1,
      sym_type_annotation,
    STATE(5330), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135632] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_BANG,
    ACTIONS(7199), 1,
      anon_sym_QMARK,
    STATE(4681), 1,
      sym_type_annotation,
    STATE(5738), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135660] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135676] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7201), 1,
      anon_sym_BANG,
    ACTIONS(7203), 1,
      anon_sym_QMARK,
    STATE(4336), 1,
      sym_type_annotation,
    STATE(5145), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135704] = 5,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7033), 1,
      anon_sym_PIPE,
    ACTIONS(7035), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [135726] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(1676), 1,
      sym_class_body,
    STATE(3796), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5891), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135758] = 3,
    ACTIONS(7037), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4438), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135776] = 7,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4109), 1,
      sym_type_annotation,
    STATE(5384), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6692), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135802] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7205), 1,
      anon_sym_BANG,
    ACTIONS(7207), 1,
      anon_sym_QMARK,
    STATE(4630), 1,
      sym_type_annotation,
    STATE(5341), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135830] = 4,
    ACTIONS(7077), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4688), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(6891), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135850] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7209), 1,
      anon_sym_BANG,
    ACTIONS(7211), 1,
      anon_sym_QMARK,
    STATE(4339), 1,
      sym_type_annotation,
    STATE(5148), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135878] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7213), 1,
      anon_sym_BANG,
    ACTIONS(7215), 1,
      anon_sym_QMARK,
    STATE(4136), 1,
      sym_type_annotation,
    STATE(5230), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135906] = 5,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7033), 1,
      anon_sym_PIPE,
    ACTIONS(7035), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4317), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [135928] = 3,
    ACTIONS(3238), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3240), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [135946] = 5,
    ACTIONS(6524), 1,
      anon_sym_DOT,
    ACTIONS(6849), 1,
      anon_sym_LT,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3522), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135968] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4185), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135984] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4081), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136000] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4193), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136016] = 5,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7033), 1,
      anon_sym_PIPE,
    ACTIONS(7035), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4321), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [136038] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7217), 1,
      anon_sym_BANG,
    ACTIONS(7219), 1,
      anon_sym_QMARK,
    STATE(4344), 1,
      sym_type_annotation,
    STATE(5157), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136066] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_BANG,
    ACTIONS(7223), 1,
      anon_sym_QMARK,
    STATE(4360), 1,
      sym_type_annotation,
    STATE(5189), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136094] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2362), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136110] = 10,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      anon_sym_LT,
    ACTIONS(7225), 1,
      anon_sym_DOT,
    STATE(2082), 1,
      sym_arguments,
    STATE(2346), 1,
      sym_template_string,
    STATE(4775), 1,
      sym_type_arguments,
    STATE(5801), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136142] = 10,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      anon_sym_LT,
    ACTIONS(7227), 1,
      anon_sym_DOT,
    STATE(2346), 1,
      sym_template_string,
    STATE(2454), 1,
      sym_arguments,
    STATE(4775), 1,
      sym_type_arguments,
    STATE(5801), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136174] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7229), 1,
      anon_sym_BANG,
    ACTIONS(7231), 1,
      anon_sym_QMARK,
    STATE(4144), 1,
      sym_type_annotation,
    STATE(5249), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136202] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_BANG,
    ACTIONS(7235), 1,
      anon_sym_QMARK,
    STATE(4374), 1,
      sym_type_annotation,
    STATE(5229), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136230] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7237), 1,
      anon_sym_BANG,
    ACTIONS(7239), 1,
      anon_sym_QMARK,
    STATE(4646), 1,
      sym_type_annotation,
    STATE(5419), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136258] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    ACTIONS(7175), 1,
      anon_sym_LBRACE,
    STATE(227), 1,
      sym_class_body,
    STATE(3872), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5903), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136290] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136306] = 10,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(6076), 1,
      anon_sym_LT,
    STATE(2346), 1,
      sym_template_string,
    STATE(2474), 1,
      sym_arguments,
    STATE(3339), 1,
      sym_type_arguments,
    STATE(5801), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136338] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(3797), 1,
      sym_type_parameters,
    STATE(4337), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(6096), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136370] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7241), 1,
      anon_sym_BANG,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    STATE(4160), 1,
      sym_type_annotation,
    STATE(5261), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136398] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(2305), 1,
      sym_class_body,
    STATE(3835), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5793), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136430] = 10,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6076), 1,
      anon_sym_LT,
    ACTIONS(7245), 1,
      anon_sym_DOT,
    STATE(1601), 1,
      sym_arguments,
    STATE(1768), 1,
      sym_template_string,
    STATE(4824), 1,
      sym_type_arguments,
    STATE(6063), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136462] = 9,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(6076), 1,
      anon_sym_LT,
    STATE(4775), 1,
      sym_type_arguments,
    STATE(5801), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2346), 2,
      sym_template_string,
      sym_arguments,
  [136492] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4508), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136508] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_QMARK,
    STATE(4675), 1,
      sym_type_annotation,
    STATE(5531), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136536] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7251), 1,
      anon_sym_BANG,
    ACTIONS(7253), 1,
      anon_sym_QMARK,
    STATE(4077), 1,
      sym_type_annotation,
    STATE(5545), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136564] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7255), 1,
      anon_sym_BANG,
    ACTIONS(7257), 1,
      anon_sym_QMARK,
    STATE(4170), 1,
      sym_type_annotation,
    STATE(5292), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136592] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(761), 1,
      sym_class_body,
    STATE(3811), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5902), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136624] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7261), 1,
      anon_sym_BANG,
    ACTIONS(7263), 1,
      anon_sym_QMARK,
    STATE(4440), 1,
      sym_type_annotation,
    STATE(4840), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7259), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136652] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_BANG,
    ACTIONS(7267), 1,
      anon_sym_QMARK,
    STATE(4637), 1,
      sym_type_annotation,
    STATE(5681), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136680] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7269), 1,
      anon_sym_BANG,
    ACTIONS(7271), 1,
      anon_sym_QMARK,
    STATE(4180), 1,
      sym_type_annotation,
    STATE(5311), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136708] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7273), 1,
      anon_sym_BANG,
    ACTIONS(7275), 1,
      anon_sym_QMARK,
    STATE(4187), 1,
      sym_type_annotation,
    STATE(5328), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136736] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4229), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136752] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(2560), 1,
      sym_class_body,
    STATE(3885), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5966), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136784] = 5,
    ACTIONS(6534), 1,
      anon_sym_DOT,
    ACTIONS(6847), 1,
      anon_sym_LPAREN,
    STATE(2961), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4103), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136806] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(2383), 1,
      sym_class_body,
    STATE(3799), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5983), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136838] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(3800), 1,
      sym_type_parameters,
    STATE(4527), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5820), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136870] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4233), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136886] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(1738), 1,
      sym_class_body,
    STATE(3801), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(6097), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136918] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7277), 1,
      anon_sym_BANG,
    ACTIONS(7279), 1,
      anon_sym_QMARK,
    STATE(4424), 1,
      sym_type_annotation,
    STATE(5332), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6722), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136946] = 5,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7033), 1,
      anon_sym_PIPE,
    ACTIONS(7035), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4237), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [136968] = 3,
    ACTIONS(3378), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3380), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [136986] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4241), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137002] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4245), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137018] = 5,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7033), 1,
      anon_sym_PIPE,
    ACTIONS(7035), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4245), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [137040] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7281), 1,
      anon_sym_BANG,
    ACTIONS(7283), 1,
      anon_sym_QMARK,
    STATE(4197), 1,
      sym_type_annotation,
    STATE(5361), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137068] = 10,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6076), 1,
      anon_sym_LT,
    ACTIONS(7245), 1,
      anon_sym_DOT,
    STATE(1768), 1,
      sym_template_string,
    STATE(2523), 1,
      sym_arguments,
    STATE(4824), 1,
      sym_type_arguments,
    STATE(6063), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137100] = 7,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4199), 1,
      sym_type_annotation,
    STATE(4858), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7285), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137126] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2366), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137142] = 10,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6076), 1,
      anon_sym_LT,
    ACTIONS(7289), 1,
      anon_sym_DOT,
    STATE(1601), 1,
      sym_arguments,
    STATE(1768), 1,
      sym_template_string,
    STATE(4824), 1,
      sym_type_arguments,
    STATE(6063), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137174] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_QMARK,
    STATE(4220), 1,
      sym_type_annotation,
    STATE(5542), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137202] = 7,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(695), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [137228] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7295), 1,
      anon_sym_BANG,
    ACTIONS(7297), 1,
      anon_sym_QMARK,
    STATE(4085), 1,
      sym_type_annotation,
    STATE(5570), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137256] = 10,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(4534), 1,
      anon_sym_DOT,
    ACTIONS(6076), 1,
      anon_sym_LT,
    STATE(2159), 1,
      sym_arguments,
    STATE(2346), 1,
      sym_template_string,
    STATE(3339), 1,
      sym_type_arguments,
    STATE(5801), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137288] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(765), 1,
      sym_class_body,
    STATE(3875), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5921), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137320] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(2209), 1,
      sym_class_body,
    STATE(3815), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(6048), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137352] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7299), 1,
      anon_sym_BANG,
    ACTIONS(7301), 1,
      anon_sym_QMARK,
    STATE(4088), 1,
      sym_type_annotation,
    STATE(5574), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137380] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7303), 1,
      anon_sym_BANG,
    ACTIONS(7305), 1,
      anon_sym_QMARK,
    STATE(4471), 1,
      sym_type_annotation,
    STATE(5416), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7259), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137408] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7307), 1,
      anon_sym_BANG,
    ACTIONS(7309), 1,
      anon_sym_QMARK,
    STATE(4242), 1,
      sym_type_annotation,
    STATE(5591), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137436] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7311), 1,
      anon_sym_BANG,
    ACTIONS(7313), 1,
      anon_sym_QMARK,
    STATE(4249), 1,
      sym_type_annotation,
    STATE(5610), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137464] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7315), 1,
      anon_sym_BANG,
    ACTIONS(7317), 1,
      anon_sym_QMARK,
    STATE(4095), 1,
      sym_type_annotation,
    STATE(5593), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137492] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7319), 1,
      anon_sym_BANG,
    ACTIONS(7321), 1,
      anon_sym_QMARK,
    STATE(4590), 1,
      sym_type_annotation,
    STATE(5631), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137520] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(3804), 1,
      sym_type_parameters,
    STATE(4166), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5979), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137552] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7323), 1,
      anon_sym_BANG,
    ACTIONS(7325), 1,
      anon_sym_QMARK,
    STATE(4629), 1,
      sym_type_annotation,
    STATE(4952), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137580] = 7,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5273), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [137606] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7327), 1,
      anon_sym_BANG,
    ACTIONS(7329), 1,
      anon_sym_QMARK,
    STATE(4323), 1,
      sym_type_annotation,
    STATE(5195), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137634] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7331), 1,
      anon_sym_BANG,
    ACTIONS(7333), 1,
      anon_sym_QMARK,
    STATE(4264), 1,
      sym_type_annotation,
    STATE(5668), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137662] = 7,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5301), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5582), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [137688] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7335), 1,
      anon_sym_BANG,
    ACTIONS(7337), 1,
      anon_sym_QMARK,
    STATE(4099), 1,
      sym_type_annotation,
    STATE(5539), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137716] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7339), 1,
      anon_sym_BANG,
    ACTIONS(7341), 1,
      anon_sym_QMARK,
    STATE(4272), 1,
      sym_type_annotation,
    STATE(5701), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137744] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4091), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137760] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4265), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137776] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4269), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137792] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7343), 1,
      anon_sym_BANG,
    ACTIONS(7345), 1,
      anon_sym_QMARK,
    STATE(4122), 1,
      sym_type_annotation,
    STATE(5233), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137820] = 10,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6076), 1,
      anon_sym_LT,
    ACTIONS(7347), 1,
      anon_sym_DOT,
    STATE(1768), 1,
      sym_template_string,
    STATE(2578), 1,
      sym_arguments,
    STATE(4824), 1,
      sym_type_arguments,
    STATE(6063), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137852] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4273), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137868] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7349), 1,
      anon_sym_BANG,
    ACTIONS(7351), 1,
      anon_sym_QMARK,
    STATE(4288), 1,
      sym_type_annotation,
    STATE(5723), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137896] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2374), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137912] = 10,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6076), 1,
      anon_sym_LT,
    STATE(1768), 1,
      sym_template_string,
    STATE(2580), 1,
      sym_arguments,
    STATE(3070), 1,
      sym_type_arguments,
    STATE(6063), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137944] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_BANG,
    ACTIONS(7355), 1,
      anon_sym_QMARK,
    STATE(4295), 1,
      sym_type_annotation,
    STATE(5754), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137972] = 7,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4534), 1,
      sym_type_annotation,
    STATE(5566), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6648), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6646), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137998] = 10,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(2375), 1,
      sym_class_body,
    STATE(3880), 1,
      sym_type_parameters,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5937), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138030] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7357), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [138046] = 10,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      anon_sym_LT,
    ACTIONS(7359), 1,
      anon_sym_DOT,
    STATE(1768), 1,
      sym_template_string,
    STATE(2051), 1,
      sym_arguments,
    STATE(4824), 1,
      sym_type_arguments,
    STATE(6063), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138078] = 10,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(6514), 1,
      anon_sym_LT,
    STATE(1768), 1,
      sym_template_string,
    STATE(2055), 1,
      sym_arguments,
    STATE(3154), 1,
      sym_type_arguments,
    STATE(6063), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138110] = 10,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    ACTIONS(4335), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6076), 1,
      anon_sym_LT,
    STATE(1581), 1,
      sym_arguments,
    STATE(1768), 1,
      sym_template_string,
    STATE(3070), 1,
      sym_type_arguments,
    STATE(6063), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138142] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4293), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [138158] = 7,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5742), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [138184] = 5,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7033), 1,
      anon_sym_PIPE,
    ACTIONS(7035), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4297), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [138206] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7361), 1,
      anon_sym_BANG,
    ACTIONS(7363), 1,
      anon_sym_QMARK,
    STATE(4100), 1,
      sym_type_annotation,
    STATE(5612), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138234] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7365), 1,
      anon_sym_BANG,
    ACTIONS(7367), 1,
      anon_sym_QMARK,
    STATE(4105), 1,
      sym_type_annotation,
    STATE(5637), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138262] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7369), 1,
      anon_sym_BANG,
    ACTIONS(7371), 1,
      anon_sym_QMARK,
    STATE(4113), 1,
      sym_type_annotation,
    STATE(5667), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138290] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7373), 1,
      anon_sym_BANG,
    ACTIONS(7375), 1,
      anon_sym_QMARK,
    STATE(4117), 1,
      sym_type_annotation,
    STATE(5675), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138318] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7377), 1,
      anon_sym_BANG,
    ACTIONS(7379), 1,
      anon_sym_QMARK,
    STATE(4228), 1,
      sym_type_annotation,
    STATE(4904), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138346] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1859), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [138362] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7381), 1,
      anon_sym_BANG,
    ACTIONS(7383), 1,
      anon_sym_QMARK,
    STATE(4134), 1,
      sym_type_annotation,
    STATE(5753), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138390] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7385), 1,
      anon_sym_BANG,
    ACTIONS(7387), 1,
      anon_sym_QMARK,
    STATE(4137), 1,
      sym_type_annotation,
    STATE(5759), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138418] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7389), 1,
      anon_sym_BANG,
    ACTIONS(7391), 1,
      anon_sym_QMARK,
    STATE(4316), 1,
      sym_type_annotation,
    STATE(4988), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138446] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4490), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [138462] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7393), 1,
      anon_sym_BANG,
    ACTIONS(7395), 1,
      anon_sym_QMARK,
    STATE(4145), 1,
      sym_type_annotation,
    STATE(4886), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138490] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3240), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [138506] = 8,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7397), 1,
      anon_sym_BANG,
    ACTIONS(7399), 1,
      anon_sym_QMARK,
    STATE(4155), 1,
      sym_type_annotation,
    STATE(5223), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138534] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4498), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [138550] = 3,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4189), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [138568] = 6,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7401), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7403), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4395), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [138591] = 7,
    ACTIONS(7407), 1,
      sym_escape_sequence,
    ACTIONS(7409), 1,
      anon_sym_BQUOTE,
    ACTIONS(7411), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7413), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4553), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [138616] = 6,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7401), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7403), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4406), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [138639] = 6,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7401), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7403), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4184), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [138662] = 6,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7401), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7403), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4181), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [138685] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(6921), 1,
      sym_identifier,
    STATE(5913), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6923), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(5688), 2,
      sym__module_export_name,
      sym_string,
  [138710] = 6,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7401), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7403), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4556), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [138733] = 7,
    ACTIONS(7407), 1,
      sym_escape_sequence,
    ACTIONS(7411), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7413), 1,
      sym__template_chars,
    ACTIONS(7415), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4553), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [138758] = 6,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7401), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7403), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4154), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [138781] = 7,
    ACTIONS(7411), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7413), 1,
      sym__template_chars,
    ACTIONS(7417), 1,
      sym_escape_sequence,
    ACTIONS(7419), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3951), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4553), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [138806] = 7,
    ACTIONS(7411), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7413), 1,
      sym__template_chars,
    ACTIONS(7417), 1,
      sym_escape_sequence,
    ACTIONS(7421), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3951), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4553), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [138831] = 3,
    ACTIONS(6889), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4081), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138848] = 5,
    ACTIONS(7423), 1,
      anon_sym_LBRACE,
    ACTIONS(7425), 1,
      anon_sym_DOT,
    STATE(4470), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1703), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138869] = 7,
    ACTIONS(3386), 1,
      sym_identifier,
    ACTIONS(3388), 1,
      anon_sym_LBRACE,
    ACTIONS(3390), 1,
      anon_sym_LBRACK,
    ACTIONS(7427), 1,
      anon_sym_enum,
    STATE(4762), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3663), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [138894] = 9,
    ACTIONS(132), 1,
      anon_sym_import,
    ACTIONS(7429), 1,
      sym_identifier,
    ACTIONS(7431), 1,
      sym_this,
    STATE(3018), 1,
      sym__type_query_member_expression,
    STATE(3019), 1,
      sym__type_query_subscript_expression,
    STATE(3254), 1,
      sym__type_query_call_expression,
    STATE(3364), 1,
      sym__type_query_instantiation_expression,
    STATE(4744), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138923] = 5,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6871), 1,
      anon_sym_PIPE,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7433), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138944] = 9,
    ACTIONS(132), 1,
      anon_sym_import,
    ACTIONS(7435), 1,
      sym_identifier,
    ACTIONS(7437), 1,
      sym_this,
    STATE(1480), 1,
      sym__type_query_subscript_expression,
    STATE(1481), 1,
      sym__type_query_member_expression,
    STATE(1505), 1,
      sym__type_query_instantiation_expression,
    STATE(1633), 1,
      sym__type_query_call_expression,
    STATE(4735), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138973] = 3,
    ACTIONS(7439), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138990] = 3,
    ACTIONS(6889), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4091), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139007] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3180), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [139022] = 9,
    ACTIONS(132), 1,
      anon_sym_import,
    ACTIONS(7441), 1,
      sym_identifier,
    ACTIONS(7443), 1,
      sym_this,
    STATE(1788), 1,
      sym__type_query_member_expression,
    STATE(1800), 1,
      sym__type_query_subscript_expression,
    STATE(1989), 1,
      sym__type_query_call_expression,
    STATE(1990), 1,
      sym__type_query_instantiation_expression,
    STATE(4701), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139051] = 7,
    ACTIONS(7407), 1,
      sym_escape_sequence,
    ACTIONS(7411), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7413), 1,
      sym__template_chars,
    ACTIONS(7445), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4553), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [139076] = 7,
    ACTIONS(3386), 1,
      sym_identifier,
    ACTIONS(3388), 1,
      anon_sym_LBRACE,
    ACTIONS(3390), 1,
      anon_sym_LBRACK,
    ACTIONS(7447), 1,
      anon_sym_enum,
    STATE(4807), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3663), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [139101] = 9,
    ACTIONS(132), 1,
      anon_sym_import,
    ACTIONS(7449), 1,
      sym_identifier,
    ACTIONS(7451), 1,
      sym_this,
    STATE(2939), 1,
      sym__type_query_member_expression,
    STATE(2940), 1,
      sym__type_query_subscript_expression,
    STATE(3164), 1,
      sym__type_query_call_expression,
    STATE(3270), 1,
      sym__type_query_instantiation_expression,
    STATE(4725), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139130] = 6,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7401), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7403), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4396), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [139153] = 5,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6871), 1,
      anon_sym_PIPE,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7453), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139174] = 6,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7401), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7403), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4153), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [139197] = 9,
    ACTIONS(132), 1,
      anon_sym_import,
    ACTIONS(7455), 1,
      sym_identifier,
    ACTIONS(7457), 1,
      sym_this,
    STATE(2898), 1,
      sym__type_query_subscript_expression,
    STATE(2900), 1,
      sym__type_query_member_expression,
    STATE(2955), 1,
      sym__type_query_call_expression,
    STATE(2964), 1,
      sym__type_query_instantiation_expression,
    STATE(4815), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139226] = 6,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(7401), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7403), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4185), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [139249] = 5,
    ACTIONS(7423), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_DOT,
    STATE(4470), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1703), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139270] = 7,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    ACTIONS(6899), 1,
      anon_sym_BANG,
    STATE(4528), 1,
      sym_type_annotation,
    STATE(5557), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6897), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139295] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3176), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [139310] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3172), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [139325] = 5,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6871), 1,
      anon_sym_PIPE,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7461), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139346] = 5,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7033), 1,
      anon_sym_PIPE,
    ACTIONS(7035), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6941), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139367] = 7,
    ACTIONS(7407), 1,
      sym_escape_sequence,
    ACTIONS(7411), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7413), 1,
      sym__template_chars,
    ACTIONS(7463), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4553), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [139392] = 7,
    ACTIONS(7407), 1,
      sym_escape_sequence,
    ACTIONS(7411), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7413), 1,
      sym__template_chars,
    ACTIONS(7465), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4553), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [139417] = 9,
    ACTIONS(132), 1,
      anon_sym_import,
    ACTIONS(7457), 1,
      sym_this,
    ACTIONS(7467), 1,
      sym_identifier,
    STATE(2955), 1,
      sym__type_query_call_expression,
    STATE(2964), 1,
      sym__type_query_instantiation_expression,
    STATE(3197), 1,
      sym__type_query_member_expression,
    STATE(3198), 1,
      sym__type_query_subscript_expression,
    STATE(4752), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139446] = 4,
    ACTIONS(6849), 1,
      anon_sym_LT,
    STATE(3064), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [139465] = 7,
    ACTIONS(7407), 1,
      sym_escape_sequence,
    ACTIONS(7411), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7413), 1,
      sym__template_chars,
    ACTIONS(7469), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4045), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4250), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [139490] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4193), 1,
      sym_type_annotation,
    STATE(5338), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139512] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7357), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [139526] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4222), 1,
      sym_type_annotation,
    STATE(5544), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139548] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7185), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [139562] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7045), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [139576] = 8,
    ACTIONS(6959), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(896), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(6031), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139602] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5785), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7471), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139620] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4257), 1,
      sym_type_annotation,
    STATE(5619), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139642] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4682), 1,
      sym_type_annotation,
    STATE(5739), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6824), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139664] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4683), 1,
      sym_type_annotation,
    STATE(5740), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6824), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139686] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4684), 1,
      sym_type_annotation,
    STATE(5744), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6824), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139708] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4685), 1,
      sym_type_annotation,
    STATE(5746), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6824), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139730] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4297), 1,
      sym_type_annotation,
    STATE(5756), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139752] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4301), 1,
      sym_type_annotation,
    STATE(5090), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139774] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4328), 1,
      sym_type_annotation,
    STATE(5500), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139796] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4333), 1,
      sym_type_annotation,
    STATE(5528), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139818] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4334), 1,
      sym_type_annotation,
    STATE(5587), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139840] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4335), 1,
      sym_type_annotation,
    STATE(5611), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139862] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4666), 1,
      sym_type_annotation,
    STATE(5124), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6861), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139884] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4349), 1,
      sym_type_annotation,
    STATE(4846), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139906] = 4,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4129), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7473), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139924] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4359), 1,
      sym_type_annotation,
    STATE(4859), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139946] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4364), 1,
      sym_type_annotation,
    STATE(4869), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139968] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4365), 1,
      sym_type_annotation,
    STATE(4871), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139990] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4652), 1,
      sym_type_annotation,
    STATE(5700), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6824), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140012] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5862), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7475), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140030] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5929), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7477), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140048] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4186), 1,
      sym_type_annotation,
    STATE(5588), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6824), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140070] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4325), 1,
      sym_type_annotation,
    STATE(5153), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6824), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140092] = 6,
    ACTIONS(6796), 1,
      anon_sym_EQ,
    STATE(4768), 1,
      sym_constraint,
    STATE(6084), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6801), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(7479), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [140114] = 7,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(6879), 1,
      sym_identifier,
    ACTIONS(6915), 1,
      anon_sym_type,
    STATE(5829), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6322), 2,
      sym__module_export_name,
      sym_string,
  [140138] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5973), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7481), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140156] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(6021), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7483), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140174] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5910), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7483), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140192] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5922), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7481), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140210] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4394), 1,
      sym_type_annotation,
    STATE(4938), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6822), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140232] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4421), 1,
      sym_type_annotation,
    STATE(4964), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140254] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5923), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7485), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140272] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5981), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7487), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140290] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5799), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7485), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140308] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4422), 1,
      sym_type_annotation,
    STATE(4966), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140330] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5845), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7487), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140348] = 8,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    ACTIONS(7175), 1,
      anon_sym_LBRACE,
    STATE(231), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5763), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140374] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(6083), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7489), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140392] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5792), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7491), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140410] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5914), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7489), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140428] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5930), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7491), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140446] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4430), 1,
      sym_type_annotation,
    STATE(4987), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140468] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5988), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7493), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140486] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5996), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7495), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140504] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5956), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7493), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140522] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(6065), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7497), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140540] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(6086), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7499), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140558] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5976), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7501), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140576] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4434), 1,
      sym_type_annotation,
    STATE(4999), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140598] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4435), 1,
      sym_type_annotation,
    STATE(5003), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140620] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7503), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [140634] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4436), 1,
      sym_type_annotation,
    STATE(5014), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140656] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4439), 1,
      sym_type_annotation,
    STATE(5021), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140678] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4465), 1,
      sym_type_annotation,
    STATE(5056), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140700] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4469), 1,
      sym_type_annotation,
    STATE(5061), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140722] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4476), 1,
      sym_type_annotation,
    STATE(5078), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140744] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4477), 1,
      sym_type_annotation,
    STATE(5081), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140766] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7505), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [140780] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4528), 1,
      sym_type_annotation,
    STATE(5567), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6897), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140802] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4515), 1,
      sym_type_annotation,
    STATE(5125), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140824] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4516), 1,
      sym_type_annotation,
    STATE(5131), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140846] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4521), 1,
      sym_type_annotation,
    STATE(5144), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140868] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4522), 1,
      sym_type_annotation,
    STATE(5146), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140890] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4524), 1,
      sym_type_annotation,
    STATE(5151), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140912] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4525), 1,
      sym_type_annotation,
    STATE(5155), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140934] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4530), 1,
      sym_type_annotation,
    STATE(5174), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140956] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4531), 1,
      sym_type_annotation,
    STATE(5176), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140978] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4535), 1,
      sym_type_annotation,
    STATE(5192), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141000] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4538), 1,
      sym_type_annotation,
    STATE(5200), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141022] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4550), 1,
      sym_type_annotation,
    STATE(5237), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141044] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4554), 1,
      sym_type_annotation,
    STATE(5242), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141066] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7507), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [141080] = 4,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4608), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7509), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [141098] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4578), 1,
      sym_type_annotation,
    STATE(5281), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141120] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4584), 1,
      sym_type_annotation,
    STATE(5283), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141142] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4600), 1,
      sym_type_annotation,
    STATE(5295), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141164] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4601), 1,
      sym_type_annotation,
    STATE(5299), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141186] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4603), 1,
      sym_type_annotation,
    STATE(5304), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141208] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4604), 1,
      sym_type_annotation,
    STATE(5310), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141230] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4614), 1,
      sym_type_annotation,
    STATE(5333), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141252] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4619), 1,
      sym_type_annotation,
    STATE(5335), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141274] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4632), 1,
      sym_type_annotation,
    STATE(5343), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141296] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4633), 1,
      sym_type_annotation,
    STATE(5347), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141318] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4635), 1,
      sym_type_annotation,
    STATE(5356), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141340] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4636), 1,
      sym_type_annotation,
    STATE(5363), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141362] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7511), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [141376] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4638), 1,
      sym_type_annotation,
    STATE(5375), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141398] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4641), 1,
      sym_type_annotation,
    STATE(5389), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141420] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4648), 1,
      sym_type_annotation,
    STATE(5428), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141442] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4659), 1,
      sym_type_annotation,
    STATE(5446), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141464] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4663), 1,
      sym_type_annotation,
    STATE(5458), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141486] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4677), 1,
      sym_type_annotation,
    STATE(5536), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141508] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4078), 1,
      sym_type_annotation,
    STATE(5546), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141530] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4079), 1,
      sym_type_annotation,
    STATE(5549), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141552] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4080), 1,
      sym_type_annotation,
    STATE(5556), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141574] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4081), 1,
      sym_type_annotation,
    STATE(5558), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141596] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4089), 1,
      sym_type_annotation,
    STATE(5576), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141618] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4090), 1,
      sym_type_annotation,
    STATE(5578), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141640] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4107), 1,
      sym_type_annotation,
    STATE(5643), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141662] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4108), 1,
      sym_type_annotation,
    STATE(5651), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141684] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4118), 1,
      sym_type_annotation,
    STATE(5680), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141706] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4123), 1,
      sym_type_annotation,
    STATE(5682), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141728] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4128), 1,
      sym_type_annotation,
    STATE(5714), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141750] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4130), 1,
      sym_type_annotation,
    STATE(5720), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141772] = 6,
    ACTIONS(6796), 1,
      anon_sym_EQ,
    STATE(4774), 1,
      sym_constraint,
    STATE(5817), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6801), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(7513), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [141794] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4141), 1,
      sym_type_annotation,
    STATE(5264), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141816] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4142), 1,
      sym_type_annotation,
    STATE(4861), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141838] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4146), 1,
      sym_type_annotation,
    STATE(4922), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141860] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4149), 1,
      sym_type_annotation,
    STATE(5031), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141882] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4150), 1,
      sym_type_annotation,
    STATE(5087), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141904] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4151), 1,
      sym_type_annotation,
    STATE(5107), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141926] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4156), 1,
      sym_type_annotation,
    STATE(5258), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141948] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4158), 1,
      sym_type_annotation,
    STATE(5438), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141970] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4159), 1,
      sym_type_annotation,
    STATE(5461), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141992] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4165), 1,
      sym_type_annotation,
    STATE(5584), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142014] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_type_annotation,
    STATE(5590), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142036] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4188), 1,
      sym_type_annotation,
    STATE(4848), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7515), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142058] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4213), 1,
      sym_type_annotation,
    STATE(4876), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142080] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4217), 1,
      sym_type_annotation,
    STATE(4879), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142102] = 4,
    ACTIONS(7423), 1,
      anon_sym_LBRACE,
    STATE(4470), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1703), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142120] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4224), 1,
      sym_type_annotation,
    STATE(4894), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142142] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4225), 1,
      sym_type_annotation,
    STATE(4895), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142164] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4229), 1,
      sym_type_annotation,
    STATE(4905), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142186] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4230), 1,
      sym_type_annotation,
    STATE(4906), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142208] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4231), 1,
      sym_type_annotation,
    STATE(4908), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142230] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4232), 1,
      sym_type_annotation,
    STATE(4909), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142252] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4233), 1,
      sym_type_annotation,
    STATE(4913), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142274] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4234), 1,
      sym_type_annotation,
    STATE(4914), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142296] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4235), 1,
      sym_type_annotation,
    STATE(4921), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142318] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4236), 1,
      sym_type_annotation,
    STATE(4924), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142340] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1855), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [142354] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1863), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [142368] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4244), 1,
      sym_type_annotation,
    STATE(4941), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142390] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4248), 1,
      sym_type_annotation,
    STATE(4948), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142412] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4253), 1,
      sym_type_annotation,
    STATE(4954), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142434] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4254), 1,
      sym_type_annotation,
    STATE(4963), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142456] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4269), 1,
      sym_type_annotation,
    STATE(4990), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142478] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4270), 1,
      sym_type_annotation,
    STATE(4991), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142500] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4274), 1,
      sym_type_annotation,
    STATE(4998), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142522] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4275), 1,
      sym_type_annotation,
    STATE(5000), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142544] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4276), 1,
      sym_type_annotation,
    STATE(5002), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142566] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4277), 1,
      sym_type_annotation,
    STATE(5004), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142588] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4282), 1,
      sym_type_annotation,
    STATE(5013), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142610] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4283), 1,
      sym_type_annotation,
    STATE(5016), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142632] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4284), 1,
      sym_type_annotation,
    STATE(5018), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142654] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4285), 1,
      sym_type_annotation,
    STATE(5020), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142676] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4296), 1,
      sym_type_annotation,
    STATE(5040), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142698] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4298), 1,
      sym_type_annotation,
    STATE(5044), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142720] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4299), 1,
      sym_type_annotation,
    STATE(5047), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142742] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4300), 1,
      sym_type_annotation,
    STATE(5048), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142764] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4303), 1,
      sym_type_annotation,
    STATE(5058), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142786] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4304), 1,
      sym_type_annotation,
    STATE(5060), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142808] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4305), 1,
      sym_type_annotation,
    STATE(5069), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142830] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4306), 1,
      sym_type_annotation,
    STATE(5071), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142852] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4311), 1,
      sym_type_annotation,
    STATE(5082), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142874] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4313), 1,
      sym_type_annotation,
    STATE(5089), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142896] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4314), 1,
      sym_type_annotation,
    STATE(5093), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142918] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4319), 1,
      sym_type_annotation,
    STATE(5103), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142940] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4320), 1,
      sym_type_annotation,
    STATE(5104), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142962] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4537), 1,
      sym_type_annotation,
    STATE(5569), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142984] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4329), 1,
      sym_type_annotation,
    STATE(5132), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143006] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4330), 1,
      sym_type_annotation,
    STATE(5134), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143028] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4331), 1,
      sym_type_annotation,
    STATE(5137), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143050] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4332), 1,
      sym_type_annotation,
    STATE(5138), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143072] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4340), 1,
      sym_type_annotation,
    STATE(5150), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143094] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4341), 1,
      sym_type_annotation,
    STATE(5152), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143116] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4347), 1,
      sym_type_annotation,
    STATE(5161), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143138] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4351), 1,
      sym_type_annotation,
    STATE(5167), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143160] = 8,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(2402), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5816), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143186] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4355), 1,
      sym_type_annotation,
    STATE(5175), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143208] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4357), 1,
      sym_type_annotation,
    STATE(5178), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143230] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4361), 1,
      sym_type_annotation,
    STATE(5194), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143252] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4363), 1,
      sym_type_annotation,
    STATE(5199), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143274] = 8,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(1695), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(6049), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143300] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4367), 1,
      sym_type_annotation,
    STATE(5206), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143322] = 8,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7517), 1,
      sym_identifier,
    ACTIONS(7519), 1,
      anon_sym_STAR,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5868), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143348] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4369), 1,
      sym_type_annotation,
    STATE(5213), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143370] = 8,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(7521), 1,
      sym_identifier,
    ACTIONS(7523), 1,
      anon_sym_DOT,
    STATE(3588), 1,
      sym_nested_identifier,
    STATE(3724), 1,
      sym_string,
    STATE(4563), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143396] = 8,
    ACTIONS(1031), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1613), 1,
      anon_sym_LBRACE,
    ACTIONS(7525), 1,
      anon_sym_LT,
    ACTIONS(7527), 1,
      anon_sym_extends,
    STATE(4152), 1,
      sym_type_parameters,
    STATE(4661), 1,
      sym_object_type,
    STATE(5158), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143422] = 6,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      anon_sym_LT,
    STATE(1666), 1,
      sym_arguments,
    STATE(5772), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7529), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [143444] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4375), 1,
      sym_type_annotation,
    STATE(5232), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143466] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4376), 1,
      sym_type_annotation,
    STATE(5234), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143488] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4380), 1,
      sym_type_annotation,
    STATE(5238), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143510] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4381), 1,
      sym_type_annotation,
    STATE(5241), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143532] = 8,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(2321), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5939), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143558] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4388), 1,
      sym_type_annotation,
    STATE(5248), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143580] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4389), 1,
      sym_type_annotation,
    STATE(5251), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143602] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4397), 1,
      sym_type_annotation,
    STATE(5268), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143624] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4398), 1,
      sym_type_annotation,
    STATE(5270), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143646] = 8,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(1728), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5860), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143672] = 8,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(4519), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5972), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143698] = 8,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(1826), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5905), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143724] = 8,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(4125), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5907), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143750] = 3,
    ACTIONS(6951), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4091), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [143766] = 8,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(2221), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5977), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143792] = 8,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(4179), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5991), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143818] = 8,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(1757), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(6015), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143844] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4405), 1,
      sym_type_annotation,
    STATE(5285), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143866] = 8,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7533), 1,
      sym_identifier,
    ACTIONS(7535), 1,
      anon_sym_STAR,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5868), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143892] = 8,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(4309), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5787), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143918] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4416), 1,
      sym_type_annotation,
    STATE(5298), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143940] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4418), 1,
      sym_type_annotation,
    STATE(5300), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143962] = 8,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(2367), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5906), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143988] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4426), 1,
      sym_type_annotation,
    STATE(5316), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144010] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4427), 1,
      sym_type_annotation,
    STATE(5318), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144032] = 8,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(2199), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5987), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144058] = 8,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(772), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5916), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144084] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4441), 1,
      sym_type_annotation,
    STATE(5336), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144106] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4444), 1,
      sym_type_annotation,
    STATE(5340), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144128] = 4,
    ACTIONS(4083), 1,
      anon_sym_extends,
    ACTIONS(7539), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
  [144146] = 8,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(2215), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(6081), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144172] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4447), 1,
      sym_type_annotation,
    STATE(5345), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144194] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4448), 1,
      sym_type_annotation,
    STATE(5346), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144216] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4449), 1,
      sym_type_annotation,
    STATE(5351), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144238] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4450), 1,
      sym_type_annotation,
    STATE(5352), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144260] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4452), 1,
      sym_type_annotation,
    STATE(5360), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144282] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4453), 1,
      sym_type_annotation,
    STATE(5362), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144304] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4458), 1,
      sym_type_annotation,
    STATE(5369), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144326] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4459), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144348] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4461), 1,
      sym_type_annotation,
    STATE(5386), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144370] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4462), 1,
      sym_type_annotation,
    STATE(5388), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144392] = 8,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7541), 1,
      anon_sym_COLON,
    ACTIONS(7543), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6025), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144418] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4463), 1,
      sym_type_annotation,
    STATE(5398), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144440] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4464), 1,
      sym_type_annotation,
    STATE(5400), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144462] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4472), 1,
      sym_type_annotation,
    STATE(5418), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144484] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4473), 1,
      sym_type_annotation,
    STATE(5420), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144506] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4474), 1,
      sym_type_annotation,
    STATE(5424), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144528] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4475), 1,
      sym_type_annotation,
    STATE(5426), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144550] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4482), 1,
      sym_type_annotation,
    STATE(5435), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144572] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4483), 1,
      sym_type_annotation,
    STATE(5436), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144594] = 8,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(2371), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5931), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144620] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4486), 1,
      sym_type_annotation,
    STATE(5444), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144642] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4489), 1,
      sym_type_annotation,
    STATE(5448), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144664] = 6,
    ACTIONS(3388), 1,
      anon_sym_LBRACE,
    ACTIONS(3390), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      sym_identifier,
    STATE(4806), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3663), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [144686] = 6,
    ACTIONS(3388), 1,
      anon_sym_LBRACE,
    ACTIONS(3390), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      sym_identifier,
    STATE(4807), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3663), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [144708] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5022), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [144722] = 8,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7547), 1,
      sym_identifier,
    ACTIONS(7549), 1,
      anon_sym_STAR,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6019), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144748] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4490), 1,
      sym_type_annotation,
    STATE(5457), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144770] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4491), 1,
      sym_type_annotation,
    STATE(5460), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144792] = 8,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7553), 1,
      anon_sym_STAR,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6088), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144818] = 8,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(2562), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5970), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144844] = 3,
    ACTIONS(6951), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4081), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [144860] = 3,
    ACTIONS(7555), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [144876] = 5,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(7559), 1,
      anon_sym_PIPE,
    ACTIONS(7561), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [144896] = 3,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4189), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [144912] = 5,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(7559), 1,
      anon_sym_PIPE,
    ACTIONS(7561), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4237), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [144932] = 5,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(7559), 1,
      anon_sym_PIPE,
    ACTIONS(7561), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4245), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [144952] = 5,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(7559), 1,
      anon_sym_PIPE,
    ACTIONS(7561), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4317), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [144972] = 5,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(7559), 1,
      anon_sym_PIPE,
    ACTIONS(7561), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4321), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [144992] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4493), 1,
      sym_type_annotation,
    STATE(5480), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145014] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4496), 1,
      sym_type_annotation,
    STATE(5482), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145036] = 5,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(7559), 1,
      anon_sym_PIPE,
    ACTIONS(7561), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4297), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [145056] = 8,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(7565), 1,
      sym_identifier,
    ACTIONS(7567), 1,
      anon_sym_DOT,
    STATE(746), 1,
      sym_nested_identifier,
    STATE(773), 1,
      sym_string,
    STATE(802), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145082] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4676), 1,
      sym_type_annotation,
    STATE(5730), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145104] = 8,
    ACTIONS(219), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1539), 1,
      anon_sym_LBRACE,
    ACTIONS(7525), 1,
      anon_sym_LT,
    ACTIONS(7527), 1,
      anon_sym_extends,
    STATE(829), 1,
      sym_object_type,
    STATE(4120), 1,
      sym_type_parameters,
    STATE(5686), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145130] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4499), 1,
      sym_type_annotation,
    STATE(5505), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145152] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4500), 1,
      sym_type_annotation,
    STATE(5506), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7563), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145174] = 4,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4656), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7569), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145192] = 8,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7543), 1,
      anon_sym_QMARK,
    ACTIONS(7571), 1,
      anon_sym_COLON,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6025), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145218] = 6,
    ACTIONS(3388), 1,
      anon_sym_LBRACE,
    ACTIONS(3390), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      sym_identifier,
    STATE(4720), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3663), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [145240] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5024), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [145254] = 8,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7573), 1,
      sym_identifier,
    ACTIONS(7575), 1,
      anon_sym_STAR,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6071), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145280] = 8,
    ACTIONS(6959), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(833), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(6032), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145306] = 8,
    ACTIONS(6849), 1,
      anon_sym_LT,
    ACTIONS(7577), 1,
      anon_sym_LBRACE,
    ACTIONS(7579), 1,
      anon_sym_COMMA,
    ACTIONS(7581), 1,
      anon_sym_DOT,
    ACTIONS(7583), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4818), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5421), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145332] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5012), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [145346] = 6,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      anon_sym_LT,
    STATE(2228), 1,
      sym_arguments,
    STATE(5776), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7529), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [145368] = 8,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7585), 1,
      sym_identifier,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6071), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145394] = 8,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    ACTIONS(7175), 1,
      anon_sym_LBRACE,
    STATE(212), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5803), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145420] = 6,
    ACTIONS(3388), 1,
      anon_sym_LBRACE,
    ACTIONS(3390), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      sym_identifier,
    STATE(5217), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3663), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [145442] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4205), 1,
      sym_type_annotation,
    STATE(4881), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145464] = 8,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(757), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5782), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145490] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5530), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [145504] = 6,
    ACTIONS(3388), 1,
      anon_sym_LBRACE,
    ACTIONS(3390), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      sym_identifier,
    STATE(4762), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3663), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [145526] = 6,
    ACTIONS(3388), 1,
      anon_sym_LBRACE,
    ACTIONS(3390), 1,
      anon_sym_LBRACK,
    ACTIONS(7589), 1,
      sym_identifier,
    STATE(4720), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3439), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [145548] = 6,
    ACTIONS(3388), 1,
      anon_sym_LBRACE,
    ACTIONS(3390), 1,
      anon_sym_LBRACK,
    ACTIONS(7591), 1,
      sym_identifier,
    STATE(4762), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3356), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [145570] = 8,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(2248), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5938), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145596] = 5,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(5839), 1,
      anon_sym_RBRACE,
    STATE(4945), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [145616] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3552), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [145630] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4372), 1,
      sym_type_annotation,
    STATE(5275), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145652] = 7,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(7593), 1,
      anon_sym_EQ,
    ACTIONS(7597), 1,
      anon_sym_QMARK,
    STATE(4804), 1,
      sym_type_annotation,
    STATE(5969), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7595), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [145676] = 8,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    ACTIONS(6961), 1,
      anon_sym_extends,
    ACTIONS(6963), 1,
      anon_sym_implements,
    STATE(2569), 1,
      sym_class_body,
    STATE(5621), 1,
      sym_extends_clause,
    STATE(5927), 1,
      sym_class_heritage,
    STATE(6189), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145702] = 8,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7599), 1,
      sym_identifier,
    ACTIONS(7601), 1,
      anon_sym_STAR,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6071), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145728] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4393), 1,
      sym_type_annotation,
    STATE(5322), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145750] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4407), 1,
      sym_type_annotation,
    STATE(5324), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145772] = 8,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7603), 1,
      sym_identifier,
    ACTIONS(7605), 1,
      anon_sym_STAR,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5868), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145798] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4542), 1,
      sym_type_annotation,
    STATE(5678), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145820] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6983), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [145834] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4571), 1,
      sym_type_annotation,
    STATE(4882), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145856] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4574), 1,
      sym_type_annotation,
    STATE(5053), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145878] = 3,
    ACTIONS(7607), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3587), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [145894] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4576), 1,
      sym_type_annotation,
    STATE(5219), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145916] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4596), 1,
      sym_type_annotation,
    STATE(5537), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145938] = 3,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4301), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [145954] = 5,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(7559), 1,
      anon_sym_PIPE,
    ACTIONS(7561), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4428), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [145974] = 3,
    ACTIONS(7609), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4446), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
  [145990] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4259), 1,
      sym_type_annotation,
    STATE(5639), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146012] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7103), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [146026] = 4,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [146044] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4645), 1,
      sym_type_annotation,
    STATE(4872), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146066] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4649), 1,
      sym_type_annotation,
    STATE(4880), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146088] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4593), 1,
      sym_type_annotation,
    STATE(5634), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6824), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146110] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4091), 1,
      sym_type_annotation,
    STATE(4981), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146132] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4092), 1,
      sym_type_annotation,
    STATE(4986), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146154] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4103), 1,
      sym_type_annotation,
    STATE(5050), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146176] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4104), 1,
      sym_type_annotation,
    STATE(5070), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146198] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4106), 1,
      sym_type_annotation,
    STATE(5083), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146220] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4110), 1,
      sym_type_annotation,
    STATE(5098), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146242] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4626), 1,
      sym_type_annotation,
    STATE(5665), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6824), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146264] = 4,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4607), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7611), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146282] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4161), 1,
      sym_type_annotation,
    STATE(5267), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146304] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4164), 1,
      sym_type_annotation,
    STATE(5271), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146326] = 8,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7613), 1,
      sym_identifier,
    ACTIONS(7615), 1,
      anon_sym_STAR,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6071), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146352] = 3,
    ACTIONS(7617), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3552), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [146368] = 8,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7620), 1,
      sym_identifier,
    ACTIONS(7622), 1,
      anon_sym_STAR,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5868), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146394] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4191), 1,
      sym_type_annotation,
    STATE(5334), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146416] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4651), 1,
      sym_type_annotation,
    STATE(5698), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6824), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146438] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4201), 1,
      sym_type_annotation,
    STATE(5387), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146460] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4202), 1,
      sym_type_annotation,
    STATE(5413), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146482] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4203), 1,
      sym_type_annotation,
    STATE(5427), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146504] = 6,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(4204), 1,
      sym_type_annotation,
    STATE(5432), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146526] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5925), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7475), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146544] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7624), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5775), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146567] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2378), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146580] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2362), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146593] = 7,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7626), 1,
      anon_sym_export,
    ACTIONS(7628), 1,
      anon_sym_class,
    ACTIONS(7630), 1,
      anon_sym_abstract,
    STATE(1249), 1,
      sym_decorator,
    STATE(4002), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146616] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2366), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146629] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2374), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146642] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7632), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5865), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146665] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7634), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146678] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(7636), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3925), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146701] = 5,
    ACTIONS(7638), 1,
      anon_sym_default,
    ACTIONS(7640), 1,
      anon_sym_RBRACE,
    ACTIONS(7642), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4014), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [146720] = 7,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(7644), 1,
      anon_sym_COMMA,
    ACTIONS(7646), 1,
      anon_sym_GT,
    STATE(5624), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146743] = 5,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(7648), 1,
      sym_identifier,
    ACTIONS(7650), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4802), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [146762] = 5,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(7650), 1,
      anon_sym_LBRACK,
    ACTIONS(7652), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5959), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [146781] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7654), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5876), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146804] = 4,
    STATE(3967), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3741), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7656), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146821] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7658), 1,
      sym_identifier,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6095), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146844] = 3,
    ACTIONS(7660), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4301), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [146859] = 5,
    ACTIONS(7660), 1,
      anon_sym_AMP,
    ACTIONS(7662), 1,
      anon_sym_PIPE,
    ACTIONS(7664), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4428), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [146878] = 3,
    ACTIONS(7666), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4446), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [146893] = 4,
    STATE(3962), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3741), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7656), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146910] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2678), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7501), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146927] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(7670), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4403), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146950] = 5,
    ACTIONS(7660), 1,
      anon_sym_AMP,
    ACTIONS(7662), 1,
      anon_sym_PIPE,
    ACTIONS(7664), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [146969] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7672), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5900), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146992] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7674), 1,
      sym_identifier,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5950), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147015] = 5,
    ACTIONS(7678), 1,
      anon_sym_BQUOTE,
    ACTIONS(7680), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7676), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(4022), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [147034] = 5,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    ACTIONS(7650), 1,
      anon_sym_LBRACK,
    ACTIONS(7682), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5636), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [147053] = 3,
    ACTIONS(7660), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4189), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [147068] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7684), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147081] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7686), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6000), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147104] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    ACTIONS(7688), 1,
      anon_sym_QMARK,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4026), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147127] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2660), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7497), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147144] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7690), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147157] = 4,
    STATE(3976), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7694), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7692), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147174] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(7696), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4371), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147197] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7698), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5802), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147220] = 4,
    STATE(3962), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147237] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(7705), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3631), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147260] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7707), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5812), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147283] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7709), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5831), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147306] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2664), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7489), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147323] = 4,
    STATE(3962), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3743), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7711), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147340] = 5,
    ACTIONS(7660), 1,
      anon_sym_AMP,
    ACTIONS(7662), 1,
      anon_sym_PIPE,
    ACTIONS(7664), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4237), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [147359] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2667), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7471), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147376] = 5,
    ACTIONS(7660), 1,
      anon_sym_AMP,
    ACTIONS(7662), 1,
      anon_sym_PIPE,
    ACTIONS(7664), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4245), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [147395] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2670), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7499), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147412] = 6,
    ACTIONS(6849), 1,
      anon_sym_LT,
    ACTIONS(7581), 1,
      anon_sym_DOT,
    ACTIONS(7713), 1,
      anon_sym_LBRACE,
    STATE(5421), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7715), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [147433] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(7717), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4680), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147456] = 4,
    STATE(4051), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3727), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147473] = 5,
    ACTIONS(7660), 1,
      anon_sym_AMP,
    ACTIONS(7662), 1,
      anon_sym_PIPE,
    ACTIONS(7664), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4317), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [147492] = 4,
    STATE(3962), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3727), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147509] = 5,
    ACTIONS(7660), 1,
      anon_sym_AMP,
    ACTIONS(7662), 1,
      anon_sym_PIPE,
    ACTIONS(7664), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4321), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [147528] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [147547] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7723), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
  [147566] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2671), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7485), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147583] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2665), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7491), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147600] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(7725), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3637), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147623] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(7727), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3643), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147646] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(7729), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3648), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147669] = 5,
    ACTIONS(7660), 1,
      anon_sym_AMP,
    ACTIONS(7662), 1,
      anon_sym_PIPE,
    ACTIONS(7664), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4297), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [147688] = 7,
    ACTIONS(6849), 1,
      anon_sym_LT,
    ACTIONS(7579), 1,
      anon_sym_COMMA,
    ACTIONS(7731), 1,
      anon_sym_LBRACE,
    ACTIONS(7733), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4819), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5425), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147711] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(7735), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3651), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147734] = 4,
    ACTIONS(7737), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6935), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(5908), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [147751] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2677), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7487), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147768] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(7739), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4480), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147791] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    ACTIONS(7741), 1,
      anon_sym_QMARK,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(3981), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147814] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2629), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7483), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147831] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7503), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [147844] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7743), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5794), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147867] = 7,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(7565), 1,
      sym_identifier,
    STATE(746), 1,
      sym_nested_identifier,
    STATE(773), 1,
      sym_string,
    STATE(809), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147890] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    ACTIONS(7745), 1,
      anon_sym_QMARK,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(3989), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147913] = 5,
    ACTIONS(7680), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7747), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7407), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(4045), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [147932] = 4,
    ACTIONS(7737), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6891), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(5760), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [147949] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2672), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7485), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147966] = 5,
    ACTIONS(7638), 1,
      anon_sym_default,
    ACTIONS(7642), 1,
      anon_sym_case,
    ACTIONS(7749), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3935), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [147985] = 7,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(7751), 1,
      anon_sym_COMMA,
    ACTIONS(7753), 1,
      anon_sym_GT,
    STATE(4959), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148008] = 5,
    ACTIONS(7755), 1,
      anon_sym_AT,
    STATE(1249), 1,
      sym_decorator,
    STATE(4002), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3560), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_abstract,
  [148027] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(7521), 1,
      sym_identifier,
    STATE(3588), 1,
      sym_nested_identifier,
    STATE(3724), 1,
      sym_string,
    STATE(4445), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148050] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [148063] = 4,
    STATE(3962), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3719), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7758), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148080] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2370), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148093] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7511), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [148106] = 4,
    STATE(4021), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3751), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7760), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148123] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2680), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7487), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148140] = 4,
    STATE(3962), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3751), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7760), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148157] = 3,
    ACTIONS(7762), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6512), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [148172] = 7,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7630), 1,
      anon_sym_abstract,
    ACTIONS(7764), 1,
      anon_sym_export,
    ACTIONS(7766), 1,
      anon_sym_class,
    STATE(1249), 1,
      sym_decorator,
    STATE(4002), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148195] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(7768), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(5187), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148218] = 5,
    ACTIONS(7770), 1,
      anon_sym_default,
    ACTIONS(7773), 1,
      anon_sym_RBRACE,
    ACTIONS(7775), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4014), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [148237] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(7778), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(5602), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148260] = 7,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    ACTIONS(7521), 1,
      sym_identifier,
    STATE(3588), 1,
      sym_nested_identifier,
    STATE(3724), 1,
      sym_string,
    STATE(4563), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148283] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(7780), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4173), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148306] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2657), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7493), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148323] = 5,
    ACTIONS(7680), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7782), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7417), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3951), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [148342] = 6,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(7593), 1,
      anon_sym_EQ,
    STATE(4763), 1,
      sym_type_annotation,
    STATE(5943), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7784), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [148363] = 4,
    STATE(3962), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3755), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7786), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148380] = 5,
    ACTIONS(7791), 1,
      anon_sym_BQUOTE,
    ACTIONS(7793), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7788), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(4022), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [148399] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2681), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7495), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148416] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7507), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [148429] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7796), 1,
      sym_identifier,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5917), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148452] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2658), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7475), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148469] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7798), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5830), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148492] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    ACTIONS(7800), 1,
      anon_sym_QMARK,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(3971), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148515] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    ACTIONS(7802), 1,
      anon_sym_QMARK,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4033), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148538] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2642), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7493), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148555] = 7,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(7804), 1,
      anon_sym_COMMA,
    ACTIONS(7806), 1,
      anon_sym_GT,
    STATE(5035), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148578] = 4,
    STATE(4037), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7810), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7808), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148595] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2620), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7483), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148612] = 7,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(7812), 1,
      anon_sym_LBRACE,
    ACTIONS(7814), 1,
      anon_sym_COMMA,
    STATE(5406), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148635] = 4,
    STATE(4039), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3759), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7816), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148652] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7818), 1,
      sym_identifier,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5769), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148675] = 4,
    STATE(3962), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3759), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7816), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148692] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7820), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5926), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148715] = 4,
    STATE(3962), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3707), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7822), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148732] = 7,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(7565), 1,
      sym_identifier,
    STATE(746), 1,
      sym_nested_identifier,
    STATE(773), 1,
      sym_string,
    STATE(802), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148755] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7824), 1,
      sym_identifier,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5917), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148778] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2618), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7475), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148795] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7505), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [148808] = 7,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(7826), 1,
      anon_sym_COMMA,
    ACTIONS(7828), 1,
      anon_sym_GT,
    STATE(5086), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148831] = 5,
    ACTIONS(7680), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7830), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7676), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(4022), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [148850] = 7,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(7832), 1,
      anon_sym_COMMA,
    ACTIONS(7834), 1,
      anon_sym_GT,
    STATE(5112), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148873] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6009), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3777), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [148888] = 4,
    STATE(4052), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7838), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7836), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148905] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2659), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7481), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148922] = 4,
    STATE(4055), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3711), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7840), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148939] = 4,
    STATE(3962), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3753), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7842), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148956] = 4,
    STATE(3962), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3711), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7840), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148973] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    ACTIONS(7844), 1,
      anon_sym_QMARK,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4023), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148996] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7846), 1,
      sym_identifier,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5917), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149019] = 4,
    STATE(3962), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3713), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7848), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149036] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2638), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7481), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149053] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4597), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149076] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7852), 1,
      anon_sym_QMARK,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6018), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149099] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2628), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7489), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149116] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7854), 1,
      sym_identifier,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5769), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149139] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7856), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149152] = 6,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(7559), 1,
      anon_sym_PIPE,
    ACTIONS(7561), 1,
      anon_sym_extends,
    ACTIONS(7860), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7858), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [149173] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2630), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7491), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149190] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7862), 1,
      sym_identifier,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5917), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149213] = 7,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(7864), 1,
      anon_sym_COMMA,
    ACTIONS(7866), 1,
      anon_sym_GT,
    STATE(5170), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149236] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    ACTIONS(7868), 1,
      anon_sym_QMARK,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(5597), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149259] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7870), 1,
      sym_identifier,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5769), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149282] = 4,
    STATE(4073), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7874), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7872), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149299] = 4,
    STATE(3945), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7878), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7876), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149316] = 7,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      sym_identifier,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5769), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149339] = 4,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2661), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7477), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149356] = 4,
    STATE(4005), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3717), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149373] = 4,
    STATE(3962), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3717), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149390] = 3,
    ACTIONS(7884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6512), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [149405] = 4,
    STATE(4010), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7888), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7886), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149422] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3652), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149442] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5106), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149458] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5111), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149474] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5113), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149490] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5116), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149506] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5118), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149522] = 6,
    ACTIONS(1707), 1,
      anon_sym_LBRACE,
    ACTIONS(7894), 1,
      anon_sym_SEMI,
    ACTIONS(7896), 1,
      sym__automatic_semicolon,
    ACTIONS(7898), 1,
      sym__function_signature_automatic_semicolon,
    STATE(232), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149542] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5149), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149558] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7902), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149570] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5136), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149586] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5642), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149602] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5160), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149618] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5140), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149634] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5141), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149650] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5142), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149666] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5162), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149682] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5164), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149698] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7483), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149710] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2666), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149722] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5154), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149738] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4860), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7908), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149754] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5188), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149770] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7475), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149782] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5554), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149798] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5171), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149814] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5207), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149830] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7910), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [149842] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5210), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149858] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5211), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149874] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5179), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149890] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5212), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149906] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5182), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149922] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5186), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149938] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5581), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7912), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149954] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5216), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149970] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5992), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149990] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7914), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150002] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5204), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150018] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2818), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150030] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7916), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150042] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7481), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150054] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5218), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150070] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5220), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150086] = 5,
    ACTIONS(7918), 1,
      anon_sym_BQUOTE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7922), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4148), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [150104] = 6,
    ACTIONS(219), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1539), 1,
      anon_sym_LBRACE,
    ACTIONS(7527), 1,
      anon_sym_extends,
    STATE(861), 1,
      sym_object_type,
    STATE(5548), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150124] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7924), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150136] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5649), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150152] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5222), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150168] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2682), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150180] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2690), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150192] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5244), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150208] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4082), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150228] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5225), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150244] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7926), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150256] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5226), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150272] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2694), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150284] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2698), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150296] = 6,
    ACTIONS(3777), 1,
      anon_sym_COLON,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5244), 1,
      anon_sym_COMMA,
    ACTIONS(7928), 1,
      anon_sym_RBRACE,
    STATE(5534), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150316] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5236), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150332] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2702), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150344] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5286), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150360] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5243), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150376] = 3,
    ACTIONS(7930), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3587), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [150390] = 6,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    ACTIONS(7894), 1,
      anon_sym_SEMI,
    ACTIONS(7896), 1,
      sym__automatic_semicolon,
    ACTIONS(7898), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2330), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150410] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2706), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150422] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5245), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150438] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5246), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150454] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2706), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150466] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5303), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150482] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5255), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150498] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5257), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150514] = 4,
    ACTIONS(7737), 1,
      anon_sym_COLON,
    ACTIONS(7932), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5908), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [150530] = 5,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7935), 1,
      anon_sym_BQUOTE,
    ACTIONS(7937), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4503), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [150548] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5259), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150564] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5260), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150580] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5266), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150596] = 6,
    ACTIONS(1031), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1613), 1,
      anon_sym_LBRACE,
    ACTIONS(7527), 1,
      anon_sym_extends,
    STATE(4345), 1,
      sym_object_type,
    STATE(5757), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150616] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7939), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150628] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7941), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150640] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5273), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150656] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5274), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150672] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5276), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150688] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5277), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150704] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5278), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150720] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5312), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150736] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5317), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150752] = 6,
    ACTIONS(7423), 1,
      anon_sym_LBRACE,
    ACTIONS(7943), 1,
      anon_sym_SEMI,
    ACTIONS(7945), 1,
      sym__automatic_semicolon,
    ACTIONS(7947), 1,
      sym__function_signature_automatic_semicolon,
    STATE(4190), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150772] = 5,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(7951), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7949), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [150790] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5319), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150806] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5279), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150822] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2722), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150834] = 6,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    ACTIONS(7953), 1,
      anon_sym_SEMI,
    ACTIONS(7955), 1,
      sym__automatic_semicolon,
    ACTIONS(7957), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2390), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150854] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5280), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150870] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1845), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150882] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5337), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150898] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7493), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150910] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4401), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150930] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7495), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150942] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1767), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150954] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7493), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150966] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7959), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150978] = 4,
    ACTIONS(7737), 1,
      anon_sym_COLON,
    ACTIONS(7961), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5908), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [150994] = 4,
    ACTIONS(7737), 1,
      anon_sym_COLON,
    ACTIONS(7964), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5760), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [151010] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1777), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151022] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5353), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151038] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7967), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151050] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2742), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151062] = 6,
    ACTIONS(7969), 1,
      anon_sym_EQ,
    ACTIONS(7971), 1,
      anon_sym_COMMA,
    ACTIONS(7973), 1,
      anon_sym_RBRACE,
    STATE(4865), 1,
      aux_sym_enum_body_repeat1,
    STATE(6050), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151082] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7975), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151094] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7977), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151106] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5670), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7979), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151122] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5370), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151138] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5284), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7981), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151154] = 6,
    ACTIONS(7423), 1,
      anon_sym_LBRACE,
    ACTIONS(7983), 1,
      anon_sym_SEMI,
    ACTIONS(7985), 1,
      sym__automatic_semicolon,
    ACTIONS(7987), 1,
      sym__function_signature_automatic_semicolon,
    STATE(4208), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151174] = 3,
    ACTIONS(5417), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1921), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151188] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5372), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151204] = 5,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(7951), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7989), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [151222] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5373), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151238] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3630), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151258] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4018), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151278] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7979), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151294] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5401), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151310] = 4,
    ACTIONS(7737), 1,
      anon_sym_COLON,
    ACTIONS(7991), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5760), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [151326] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5287), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7994), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151342] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(3946), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151362] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5405), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151378] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5410), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151394] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5411), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151410] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5412), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151426] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4925), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7996), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151442] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151454] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5560), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151470] = 3,
    ACTIONS(5461), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1867), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151484] = 3,
    ACTIONS(5463), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1877), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151498] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3636), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151518] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5445), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151534] = 5,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(7951), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8000), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [151552] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5288), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151568] = 3,
    ACTIONS(5465), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1819), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151582] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3642), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151602] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2530), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151614] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5289), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151630] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3647), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151650] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2530), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151662] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5481), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151678] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(3650), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151698] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5486), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151714] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2718), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151726] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5296), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151742] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5297), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151758] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5499), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151774] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4853), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151790] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5301), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8004), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151806] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5302), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151822] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5306), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151838] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5307), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151854] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5308), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151870] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5309), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151886] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5313), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151902] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5314), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151918] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5315), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151934] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5543), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151950] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2798), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151962] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2802), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151974] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5320), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8004), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151990] = 5,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8006), 1,
      anon_sym_BQUOTE,
    ACTIONS(8008), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4250), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [152008] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5555), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152024] = 5,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(8010), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5915), 2,
      sym__module_export_name,
      sym_string,
  [152042] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5321), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152058] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2530), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152070] = 6,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    ACTIONS(7943), 1,
      anon_sym_SEMI,
    ACTIONS(7945), 1,
      sym__automatic_semicolon,
    ACTIONS(7947), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2200), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152090] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4866), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152106] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5323), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152122] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5561), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152138] = 5,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7937), 1,
      sym__template_chars,
    ACTIONS(8012), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4503), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [152156] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4540), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152176] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5919), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152196] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5325), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152212] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5326), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152228] = 6,
    ACTIONS(7423), 1,
      anon_sym_LBRACE,
    ACTIONS(7894), 1,
      anon_sym_SEMI,
    ACTIONS(7896), 1,
      sym__automatic_semicolon,
    ACTIONS(7898), 1,
      sym__function_signature_automatic_semicolon,
    STATE(781), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152248] = 6,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    ACTIONS(7983), 1,
      anon_sym_SEMI,
    ACTIONS(7985), 1,
      sym__automatic_semicolon,
    ACTIONS(7987), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2212), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152268] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5562), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152284] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5563), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152300] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5583), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8014), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152316] = 4,
    ACTIONS(7737), 1,
      anon_sym_COLON,
    ACTIONS(8016), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5760), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [152332] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4942), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8019), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152348] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5344), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8004), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152364] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5743), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7908), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152380] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5580), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152396] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5627), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [152408] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5692), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7908), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152424] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7481), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152436] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5348), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8004), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152452] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5349), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152468] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5350), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152484] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2822), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152496] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5654), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152512] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5354), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8004), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152528] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5355), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152544] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5357), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152560] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5358), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152576] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5359), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152592] = 6,
    ACTIONS(7660), 1,
      anon_sym_AMP,
    ACTIONS(7662), 1,
      anon_sym_PIPE,
    ACTIONS(7664), 1,
      anon_sym_extends,
    ACTIONS(8021), 1,
      anon_sym_as,
    ACTIONS(8023), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152612] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2826), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152624] = 5,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(7951), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8025), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [152642] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5364), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8004), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152658] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5365), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152674] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5366), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152690] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5367), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152706] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5368), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152722] = 5,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8027), 1,
      anon_sym_BQUOTE,
    ACTIONS(8029), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4292), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [152740] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2830), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152752] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5710), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152768] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5924), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152788] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2834), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152800] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2846), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152812] = 5,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7937), 1,
      sym__template_chars,
    ACTIONS(8031), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4503), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [152830] = 5,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8033), 1,
      anon_sym_BQUOTE,
    ACTIONS(8035), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4553), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [152848] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5376), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8004), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152864] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5729), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152880] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5377), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152896] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5733), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152912] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5378), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152928] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5379), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152944] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5380), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152960] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5734), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152976] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5022), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [152988] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5381), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153004] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5382), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153020] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5383), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153036] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5385), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153052] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5783), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153072] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2878), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153084] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2890), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153096] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5390), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8004), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153112] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5391), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153128] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5392), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153144] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5393), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153160] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5394), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153176] = 5,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8037), 1,
      anon_sym_BQUOTE,
    ACTIONS(8039), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4321), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [153194] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4877), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153210] = 5,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(7951), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8041), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [153228] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1835), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153240] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5395), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153256] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5396), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153272] = 5,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7937), 1,
      sym__template_chars,
    ACTIONS(8043), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4503), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [153290] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4960), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153310] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5059), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153326] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4873), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153342] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4875), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7979), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153358] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5156), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153374] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5402), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8004), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153390] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5163), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153406] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5403), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153422] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5407), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153438] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5408), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153454] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5409), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153470] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5180), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153486] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5184), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153502] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5185), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153518] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5423), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8004), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153534] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2738), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153546] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2754), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153558] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5429), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8004), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153574] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5431), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153590] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5433), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153606] = 5,
    ACTIONS(6849), 1,
      anon_sym_LT,
    ACTIONS(8045), 1,
      anon_sym_LBRACE,
    STATE(5425), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8047), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [153624] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5404), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153640] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5437), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8004), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153656] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2758), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153668] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2766), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153680] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5440), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153696] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5467), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153712] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5532), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153728] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5934), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153748] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5441), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153764] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5936), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153784] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5564), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153800] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2922), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153812] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5442), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153828] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4969), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153844] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5443), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153860] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5615), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153876] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5632), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153892] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5451), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8004), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153908] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5452), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153924] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5647), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153940] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5453), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153956] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5664), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153972] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5669), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153988] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7489), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154000] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5455), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154016] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4171), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154036] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5456), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154052] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4139), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154072] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7491), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154084] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4976), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154100] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7489), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154112] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5464), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8004), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154128] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5465), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154144] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5466), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154160] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8049), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154172] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7491), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154184] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8051), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154196] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5468), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154212] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5469), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154228] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7628), 1,
      anon_sym_class,
    ACTIONS(7630), 1,
      anon_sym_abstract,
    STATE(1249), 1,
      sym_decorator,
    STATE(4002), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154248] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4162), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154268] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6076), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154288] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4977), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154304] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(3957), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154324] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5904), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154344] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5470), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154360] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5471), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154376] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4167), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154396] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5607), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [154408] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5974), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154428] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4978), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154444] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4847), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154460] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154472] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8057), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154484] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5472), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154500] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5473), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154516] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5611), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [154528] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5811), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154548] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7497), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154560] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4492), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154580] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7499), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154592] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5611), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [154604] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5475), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8059), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154620] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8061), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154632] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4980), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154648] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4854), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8063), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154664] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4189), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154684] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5894), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154704] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(3980), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154724] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4878), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7979), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154740] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5909), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154760] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5912), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154780] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5611), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [154792] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5476), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154808] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5980), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154828] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5477), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154844] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2934), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154856] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2534), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154868] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4868), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154884] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4874), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154900] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5993), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154920] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5702), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7908), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154936] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6008), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154956] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5478), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154972] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5479), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154988] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2562), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155000] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4887), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155016] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4888), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155032] = 4,
    ACTIONS(7737), 1,
      anon_sym_COLON,
    ACTIONS(8067), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5908), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [155048] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4889), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155064] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5797), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155084] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4890), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155100] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4891), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155116] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4892), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155132] = 3,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5765), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [155146] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5806), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155166] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4893), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155182] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5487), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155198] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5488), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155214] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5824), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155234] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7485), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155246] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5489), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155262] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1907), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155274] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5871), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155294] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5490), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155310] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5491), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155326] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5492), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155342] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5493), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155358] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2794), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155370] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5494), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155386] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5495), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155402] = 4,
    ACTIONS(4963), 1,
      anon_sym_COMMA,
    STATE(4460), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8072), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [155418] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4366), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155438] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4897), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155454] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5736), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8074), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155470] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5496), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155486] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5497), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155502] = 4,
    ACTIONS(8076), 1,
      anon_sym_COMMA,
    STATE(4460), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4852), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [155518] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5501), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155534] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5502), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155550] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5503), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155566] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5504), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155582] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4898), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155598] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6068), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155618] = 6,
    ACTIONS(1707), 1,
      anon_sym_LBRACE,
    ACTIONS(7953), 1,
      anon_sym_SEMI,
    ACTIONS(7955), 1,
      sym__automatic_semicolon,
    ACTIONS(7957), 1,
      sym__function_signature_automatic_semicolon,
    STATE(224), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155638] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4246), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155658] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4899), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155674] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1887), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155686] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5508), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155702] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5509), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155718] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5510), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155734] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5511), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155750] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5514), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155766] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4900), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155782] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4901), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155798] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(8079), 1,
      anon_sym_class,
    ACTIONS(8081), 1,
      anon_sym_abstract,
    STATE(1249), 1,
      sym_decorator,
    STATE(4002), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155818] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4256), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155838] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7487), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155850] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5990), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155870] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5517), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155886] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5519), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155902] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6055), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155922] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4255), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155942] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5520), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155958] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7471), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155970] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8083), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155982] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5521), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155998] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5522), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156014] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5523), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8065), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156030] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7501), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156042] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5524), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8085), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156058] = 4,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    STATE(5848), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3552), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [156074] = 4,
    ACTIONS(7737), 1,
      anon_sym_COLON,
    ACTIONS(8087), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5908), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [156090] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5525), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8085), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156106] = 4,
    ACTIONS(7737), 1,
      anon_sym_COLON,
    ACTIONS(8090), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5760), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [156122] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2894), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156134] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5526), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8085), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156150] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5527), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8085), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156166] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8093), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [156184] = 4,
    ACTIONS(6580), 1,
      anon_sym_LBRACK,
    ACTIONS(8095), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4438), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [156200] = 5,
    ACTIONS(8097), 1,
      anon_sym_BQUOTE,
    ACTIONS(8099), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8102), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4503), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [156218] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8105), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [156236] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4907), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156252] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2894), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156264] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1931), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156276] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2906), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156288] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8107), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [156300] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4910), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156316] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2642), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156328] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1931), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156340] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6512), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [156352] = 6,
    ACTIONS(3777), 1,
      anon_sym_COLON,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5244), 1,
      anon_sym_COMMA,
    ACTIONS(8109), 1,
      anon_sym_RBRACE,
    STATE(5745), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156372] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4911), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156388] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4912), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156404] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(3966), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156424] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1787), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156436] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1911), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156448] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4916), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156464] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4917), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156480] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4918), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156496] = 6,
    ACTIONS(7969), 1,
      anon_sym_EQ,
    ACTIONS(8111), 1,
      anon_sym_COMMA,
    ACTIONS(8113), 1,
      anon_sym_RBRACE,
    STATE(5703), 1,
      aux_sym_enum_body_repeat1,
    STATE(6050), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156516] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4919), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156532] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4920), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156548] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4997), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156564] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1891), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156576] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5215), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8115), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156592] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4926), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156608] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4929), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156624] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4930), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156640] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2602), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156652] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7485), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156664] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4883), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156680] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4934), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156696] = 5,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(8119), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5892), 2,
      sym__module_export_name,
      sym_string,
  [156714] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4927), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8121), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156730] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4935), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156746] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6066), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156766] = 6,
    ACTIONS(7423), 1,
      anon_sym_LBRACE,
    ACTIONS(7953), 1,
      anon_sym_SEMI,
    ACTIONS(7955), 1,
      sym__automatic_semicolon,
    ACTIONS(7957), 1,
      sym__function_signature_automatic_semicolon,
    STATE(783), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156786] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5009), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156802] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5010), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156818] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4953), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156834] = 5,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(7951), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [156852] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5012), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156868] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4443), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156888] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5767), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156908] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4968), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156924] = 5,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    ACTIONS(8125), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6253), 2,
      sym__module_export_name,
      sym_string,
  [156942] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4974), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156958] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8127), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [156970] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5765), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156990] = 5,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7937), 1,
      sym__template_chars,
    ACTIONS(8129), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4503), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [157008] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4975), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157024] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8131), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157036] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8133), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157048] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5940), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157068] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(5600), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157088] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2810), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157100] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4993), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157116] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(5045), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157136] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2898), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157148] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2594), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157160] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7487), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157172] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5027), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157188] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7630), 1,
      anon_sym_abstract,
    ACTIONS(7766), 1,
      anon_sym_class,
    STATE(1249), 1,
      sym_decorator,
    STATE(4002), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157208] = 3,
    ACTIONS(8135), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3552), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [157222] = 4,
    ACTIONS(8140), 1,
      anon_sym_in,
    ACTIONS(8142), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8138), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157238] = 4,
    ACTIONS(8144), 1,
      anon_sym_in,
    ACTIONS(8146), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8138), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157254] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5285), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [157266] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5030), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157282] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5337), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [157294] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5001), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157310] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5034), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157326] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5721), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [157338] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5037), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157354] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5006), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157370] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5007), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157386] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7856), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157398] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5725), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [157410] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5305), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157426] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5725), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [157438] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2726), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157450] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5008), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157466] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5725), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [157478] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8148), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157490] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4467), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157510] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2770), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157522] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(8081), 1,
      anon_sym_abstract,
    ACTIONS(8150), 1,
      anon_sym_class,
    STATE(1249), 1,
      sym_decorator,
    STATE(4002), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157542] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5331), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157558] = 5,
    ACTIONS(2328), 1,
      anon_sym_DQUOTE,
    ACTIONS(2330), 1,
      anon_sym_SQUOTE,
    ACTIONS(8152), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4932), 2,
      sym__module_export_name,
      sym_string,
  [157576] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3397), 1,
      sym_formal_parameters,
    STATE(4049), 1,
      sym__call_signature,
    STATE(5954), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157596] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5399), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7979), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157612] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5415), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7979), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157628] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5017), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157644] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5041), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157660] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7483), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157672] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5024), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157688] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5507), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [157700] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5025), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157716] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5026), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157732] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5719), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157748] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5028), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157764] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5029), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157780] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5786), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157800] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5159), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157816] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8154), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157828] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8156), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157840] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5046), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157856] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2622), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157868] = 4,
    ACTIONS(7737), 1,
      anon_sym_COLON,
    ACTIONS(8158), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5908), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [157884] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2814), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157896] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5052), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157912] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5055), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157928] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5613), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157944] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5024), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [157956] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5012), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [157968] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6026), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157988] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5057), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158004] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2866), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158016] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2870), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158028] = 4,
    ACTIONS(7737), 1,
      anon_sym_COLON,
    ACTIONS(8161), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5908), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [158044] = 4,
    ACTIONS(7737), 1,
      anon_sym_COLON,
    ACTIONS(8164), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5760), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [158060] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5072), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158076] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_type_parameters,
    STATE(6045), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158096] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5683), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7979), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158112] = 4,
    ACTIONS(7737), 1,
      anon_sym_COLON,
    ACTIONS(8167), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5760), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [158128] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5713), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7979), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158144] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4851), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158160] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5062), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158176] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5533), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8170), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158192] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5063), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158208] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5064), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158224] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2718), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158236] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5065), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158252] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5066), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158268] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4884), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158284] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5067), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158300] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7630), 1,
      anon_sym_abstract,
    ACTIONS(8172), 1,
      anon_sym_class,
    STATE(1249), 1,
      sym_decorator,
    STATE(4002), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158320] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5641), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7908), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158336] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5068), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158352] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158364] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(4992), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158380] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5085), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158396] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5092), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158412] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5073), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158428] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5079), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158444] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5074), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158460] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5094), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158476] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5109), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158492] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5117), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7979), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158508] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5130), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7979), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158524] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5075), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158540] = 4,
    ACTIONS(1855), 1,
      anon_sym_DOT,
    ACTIONS(4147), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4149), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [158556] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5677), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7908), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158572] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8174), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158584] = 4,
    ACTIONS(1863), 1,
      anon_sym_DOT,
    ACTIONS(4147), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4149), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [158600] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3988), 1,
      sym_formal_parameters,
    STATE(5778), 1,
      sym__call_signature,
    STATE(6004), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158620] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5076), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158636] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2670), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158648] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2674), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158660] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2678), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158672] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5077), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158688] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5282), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158704] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5749), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7908), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158720] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5750), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8176), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158736] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5752), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8176), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158752] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5269), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8178), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158768] = 6,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3327), 1,
      sym_formal_parameters,
    STATE(4267), 1,
      sym__call_signature,
    STATE(5771), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158788] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7477), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158800] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5088), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158816] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5342), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158832] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2658), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158844] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5135), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158860] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5095), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158876] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5618), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8180), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158892] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5099), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158908] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5417), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158924] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5102), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7892), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158940] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7475), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158952] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5447), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158968] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5450), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7979), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158984] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5474), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7979), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159000] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5484), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7979), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159016] = 4,
    ACTIONS(6624), 1,
      anon_sym_EQ,
    STATE(5485), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7979), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159032] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7634), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159044] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7684), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159056] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7690), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159068] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2710), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159080] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2658), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159092] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2658), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159104] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2718), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159116] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2718), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159128] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2730), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159140] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2734), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159152] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1939), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159164] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2718), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159176] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2718), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159188] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2538), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159200] = 5,
    ACTIONS(8182), 1,
      sym_identifier,
    STATE(4342), 1,
      sym_nested_type_identifier,
    STATE(4852), 1,
      sym_generic_type,
    STATE(6241), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159217] = 5,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(8184), 1,
      anon_sym_LT,
    STATE(2062), 1,
      sym_arguments,
    STATE(2063), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159234] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8186), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159251] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8188), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159268] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8190), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159285] = 5,
    ACTIONS(8192), 1,
      sym_identifier,
    ACTIONS(8194), 1,
      anon_sym_const,
    ACTIONS(8196), 1,
      anon_sym_GT,
    STATE(5873), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159302] = 5,
    ACTIONS(1739), 1,
      anon_sym_COMMA,
    ACTIONS(8198), 1,
      anon_sym_EQ,
    ACTIONS(8200), 1,
      anon_sym_RBRACK,
    STATE(5705), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159319] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8202), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159336] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8204), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159353] = 5,
    ACTIONS(8192), 1,
      sym_identifier,
    ACTIONS(8194), 1,
      anon_sym_const,
    ACTIONS(8206), 1,
      anon_sym_GT,
    STATE(5873), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159370] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8208), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159387] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8210), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159404] = 3,
    ACTIONS(6153), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [159417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8212), 1,
      anon_sym_DQUOTE,
    STATE(4830), 1,
      aux_sym_string_repeat1,
    ACTIONS(8214), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [159434] = 4,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    STATE(4714), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4852), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [159449] = 5,
    ACTIONS(8219), 1,
      anon_sym_LBRACE,
    ACTIONS(8221), 1,
      anon_sym_COMMA,
    ACTIONS(8224), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4715), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159466] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8226), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159483] = 3,
    ACTIONS(8228), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [159496] = 4,
    ACTIONS(7969), 1,
      anon_sym_EQ,
    STATE(6050), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8230), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [159511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8212), 1,
      anon_sym_SQUOTE,
    STATE(4831), 1,
      aux_sym_string_repeat2,
    ACTIONS(8232), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [159528] = 4,
    ACTIONS(8234), 1,
      anon_sym_COMMA,
    STATE(4791), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8236), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [159543] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8238), 1,
      anon_sym_DQUOTE,
    STATE(4723), 1,
      aux_sym_string_repeat1,
    ACTIONS(8240), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [159560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8238), 1,
      anon_sym_SQUOTE,
    STATE(4724), 1,
      aux_sym_string_repeat2,
    ACTIONS(8242), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [159577] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8244), 1,
      anon_sym_DQUOTE,
    STATE(4830), 1,
      aux_sym_string_repeat1,
    ACTIONS(8214), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [159594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8244), 1,
      anon_sym_SQUOTE,
    STATE(4831), 1,
      aux_sym_string_repeat2,
    ACTIONS(8232), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [159611] = 5,
    ACTIONS(3459), 1,
      anon_sym_LPAREN,
    ACTIONS(6514), 1,
      anon_sym_LT,
    STATE(3109), 1,
      sym_arguments,
    STATE(3251), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159628] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8246), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159645] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8248), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159662] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8250), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159679] = 5,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(5798), 1,
      sym_type_parameters,
    STATE(6304), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8252), 1,
      anon_sym_DQUOTE,
    STATE(4733), 1,
      aux_sym_string_repeat1,
    ACTIONS(8254), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [159713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8252), 1,
      anon_sym_SQUOTE,
    STATE(4734), 1,
      aux_sym_string_repeat2,
    ACTIONS(8256), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [159730] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8258), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8260), 1,
      anon_sym_DQUOTE,
    STATE(4830), 1,
      aux_sym_string_repeat1,
    ACTIONS(8214), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [159764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8260), 1,
      anon_sym_SQUOTE,
    STATE(4831), 1,
      aux_sym_string_repeat2,
    ACTIONS(8232), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [159781] = 5,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(8262), 1,
      anon_sym_LT,
    STATE(1506), 1,
      sym_arguments,
    STATE(1507), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159798] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8264), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159815] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8266), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159832] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8268), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8270), 1,
      anon_sym_DQUOTE,
    STATE(4742), 1,
      aux_sym_string_repeat1,
    ACTIONS(8272), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [159866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8270), 1,
      anon_sym_SQUOTE,
    STATE(4743), 1,
      aux_sym_string_repeat2,
    ACTIONS(8274), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [159883] = 4,
    ACTIONS(3777), 1,
      anon_sym_COLON,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8276), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [159898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8278), 1,
      anon_sym_DQUOTE,
    STATE(4830), 1,
      aux_sym_string_repeat1,
    ACTIONS(8214), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [159915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8278), 1,
      anon_sym_SQUOTE,
    STATE(4831), 1,
      aux_sym_string_repeat2,
    ACTIONS(8232), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [159932] = 5,
    ACTIONS(6596), 1,
      anon_sym_LPAREN,
    ACTIONS(6602), 1,
      anon_sym_LT,
    STATE(3256), 1,
      sym_arguments,
    STATE(3410), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159949] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8280), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159966] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8282), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159983] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8284), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8286), 1,
      anon_sym_DQUOTE,
    STATE(4750), 1,
      aux_sym_string_repeat1,
    ACTIONS(8288), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [160017] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8286), 1,
      anon_sym_SQUOTE,
    STATE(4751), 1,
      aux_sym_string_repeat2,
    ACTIONS(8290), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [160034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8292), 1,
      anon_sym_DQUOTE,
    STATE(4830), 1,
      aux_sym_string_repeat1,
    ACTIONS(8214), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [160051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8292), 1,
      anon_sym_SQUOTE,
    STATE(4831), 1,
      aux_sym_string_repeat2,
    ACTIONS(8232), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [160068] = 5,
    ACTIONS(6847), 1,
      anon_sym_LPAREN,
    ACTIONS(6849), 1,
      anon_sym_LT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8294), 1,
      anon_sym_DQUOTE,
    STATE(4755), 1,
      aux_sym_string_repeat1,
    ACTIONS(8296), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [160102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8294), 1,
      anon_sym_SQUOTE,
    STATE(4756), 1,
      aux_sym_string_repeat2,
    ACTIONS(8298), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [160119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8300), 1,
      anon_sym_DQUOTE,
    STATE(4830), 1,
      aux_sym_string_repeat1,
    ACTIONS(8214), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [160136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8300), 1,
      anon_sym_SQUOTE,
    STATE(4831), 1,
      aux_sym_string_repeat2,
    ACTIONS(8232), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [160153] = 5,
    ACTIONS(8302), 1,
      anon_sym_with,
    ACTIONS(8304), 1,
      anon_sym_SEMI,
    ACTIONS(8306), 1,
      sym__automatic_semicolon,
    STATE(5942), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160170] = 4,
    ACTIONS(8302), 1,
      anon_sym_with,
    STATE(5866), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160185] = 5,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(8310), 1,
      anon_sym_class,
    STATE(1249), 1,
      sym_decorator,
    STATE(4002), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160202] = 4,
    ACTIONS(8312), 1,
      anon_sym_COMMA,
    STATE(4760), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8315), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160217] = 5,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(5953), 1,
      sym_type_parameters,
    STATE(6356), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160234] = 4,
    ACTIONS(8234), 1,
      anon_sym_COMMA,
    STATE(4792), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8317), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160249] = 4,
    ACTIONS(7593), 1,
      anon_sym_EQ,
    STATE(5964), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8319), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [160264] = 5,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6010), 1,
      sym_type_parameters,
    STATE(6423), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160281] = 4,
    ACTIONS(8302), 1,
      anon_sym_with,
    STATE(5821), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8321), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160296] = 4,
    ACTIONS(8302), 1,
      anon_sym_with,
    STATE(5825), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8323), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160311] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8325), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160328] = 4,
    ACTIONS(6796), 1,
      anon_sym_EQ,
    STATE(5855), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8327), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [160343] = 4,
    ACTIONS(8331), 1,
      anon_sym_COMMA,
    STATE(4826), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8329), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [160358] = 5,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(5796), 1,
      sym_type_parameters,
    STATE(6173), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160375] = 5,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(5800), 1,
      sym_type_parameters,
    STATE(6348), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160392] = 5,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3619), 1,
      sym_formal_parameters,
    STATE(5958), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160409] = 5,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(5856), 1,
      sym_type_parameters,
    STATE(6168), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160426] = 4,
    ACTIONS(6796), 1,
      anon_sym_EQ,
    STATE(6051), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8333), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [160441] = 4,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2201), 2,
      sym_template_string,
      sym_arguments,
  [160456] = 5,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(7559), 1,
      anon_sym_PIPE,
    ACTIONS(7561), 1,
      anon_sym_extends,
    ACTIONS(8335), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160473] = 5,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(5841), 1,
      sym_type_parameters,
    STATE(6111), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160490] = 5,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(5843), 1,
      sym_type_parameters,
    STATE(6362), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160507] = 3,
    ACTIONS(8095), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4438), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [160520] = 4,
    ACTIONS(6504), 1,
      anon_sym_STAR,
    ACTIONS(6508), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6128), 2,
      sym_namespace_import,
      sym_named_imports,
  [160535] = 5,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(7559), 1,
      anon_sym_PIPE,
    ACTIONS(7561), 1,
      anon_sym_extends,
    ACTIONS(8337), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160552] = 4,
    ACTIONS(8339), 1,
      anon_sym_COMMA,
    STATE(4782), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7723), 2,
      anon_sym_LBRACE,
      anon_sym_GT,
  [160567] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8342), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160584] = 5,
    ACTIONS(8192), 1,
      sym_identifier,
    ACTIONS(8194), 1,
      anon_sym_const,
    ACTIONS(8344), 1,
      anon_sym_GT,
    STATE(5873), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160601] = 5,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(5877), 1,
      sym_type_parameters,
    STATE(6364), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160618] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8346), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [160629] = 5,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6445), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160646] = 5,
    ACTIONS(7579), 1,
      anon_sym_COMMA,
    ACTIONS(7731), 1,
      anon_sym_LBRACE,
    ACTIONS(7733), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4821), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160663] = 4,
    ACTIONS(4670), 1,
      anon_sym_COMMA,
    STATE(4714), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8072), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8348), 1,
      anon_sym_DQUOTE,
    STATE(4713), 1,
      aux_sym_string_repeat1,
    ACTIONS(8350), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [160695] = 4,
    ACTIONS(8234), 1,
      anon_sym_COMMA,
    STATE(4760), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8352), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160710] = 4,
    ACTIONS(8234), 1,
      anon_sym_COMMA,
    STATE(4760), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8354), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160725] = 5,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(8356), 1,
      anon_sym_export,
    STATE(1249), 1,
      sym_decorator,
    STATE(4002), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160742] = 4,
    ACTIONS(8302), 1,
      anon_sym_with,
    STATE(5881), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8358), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8360), 1,
      anon_sym_DQUOTE,
    STATE(4812), 1,
      aux_sym_string_repeat1,
    ACTIONS(8362), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [160774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8360), 1,
      anon_sym_SQUOTE,
    STATE(4813), 1,
      aux_sym_string_repeat2,
    ACTIONS(8364), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [160791] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8366), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160808] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8368), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160825] = 5,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(8370), 1,
      anon_sym_class,
    STATE(1249), 1,
      sym_decorator,
    STATE(4002), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160842] = 4,
    ACTIONS(8372), 1,
      anon_sym_from,
    STATE(6080), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8374), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160857] = 4,
    ACTIONS(8372), 1,
      anon_sym_from,
    STATE(5791), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4685), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160872] = 4,
    ACTIONS(8376), 1,
      anon_sym_EQ,
    STATE(5899), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6901), 2,
      anon_sym_in,
      anon_sym_of,
  [160887] = 5,
    ACTIONS(8192), 1,
      sym_identifier,
    ACTIONS(8194), 1,
      anon_sym_const,
    ACTIONS(8378), 1,
      anon_sym_GT,
    STATE(5873), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160904] = 4,
    ACTIONS(7593), 1,
      anon_sym_EQ,
    STATE(5945), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8380), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [160919] = 3,
    ACTIONS(8382), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3552), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [160932] = 4,
    ACTIONS(8234), 1,
      anon_sym_COMMA,
    STATE(4837), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160947] = 4,
    ACTIONS(8234), 1,
      anon_sym_COMMA,
    STATE(4838), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8387), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160962] = 5,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6009), 1,
      sym_type_parameters,
    STATE(6139), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160979] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6062), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160990] = 5,
    ACTIONS(1739), 1,
      anon_sym_COMMA,
    ACTIONS(8198), 1,
      anon_sym_EQ,
    ACTIONS(8389), 1,
      anon_sym_RBRACK,
    STATE(4864), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161007] = 5,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6020), 1,
      sym_type_parameters,
    STATE(6271), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8391), 1,
      anon_sym_DQUOTE,
    STATE(4830), 1,
      aux_sym_string_repeat1,
    ACTIONS(8214), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [161041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8391), 1,
      anon_sym_SQUOTE,
    STATE(4831), 1,
      aux_sym_string_repeat2,
    ACTIONS(8232), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [161058] = 5,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(7559), 1,
      anon_sym_PIPE,
    ACTIONS(7561), 1,
      anon_sym_extends,
    ACTIONS(8393), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161075] = 5,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(6076), 1,
      anon_sym_LT,
    STATE(2943), 1,
      sym_arguments,
    STATE(2972), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161092] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8395), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161109] = 4,
    ACTIONS(8372), 1,
      anon_sym_from,
    STATE(5835), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8397), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161124] = 5,
    ACTIONS(7579), 1,
      anon_sym_COMMA,
    ACTIONS(8399), 1,
      anon_sym_LBRACE,
    ACTIONS(8401), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4715), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161141] = 5,
    ACTIONS(7579), 1,
      anon_sym_COMMA,
    ACTIONS(8403), 1,
      anon_sym_LBRACE,
    ACTIONS(8405), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4715), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161158] = 5,
    ACTIONS(8407), 1,
      sym_identifier,
    STATE(3986), 1,
      sym_nested_type_identifier,
    STATE(4788), 1,
      sym_generic_type,
    STATE(6241), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161175] = 5,
    ACTIONS(7579), 1,
      anon_sym_COMMA,
    ACTIONS(8403), 1,
      anon_sym_LBRACE,
    ACTIONS(8405), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4715), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8348), 1,
      anon_sym_SQUOTE,
    STATE(4719), 1,
      aux_sym_string_repeat2,
    ACTIONS(8409), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [161209] = 5,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(8411), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161226] = 4,
    ACTIONS(821), 1,
      anon_sym_BQUOTE,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1656), 2,
      sym_template_string,
      sym_arguments,
  [161241] = 4,
    ACTIONS(8331), 1,
      anon_sym_COMMA,
    STATE(4769), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8413), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [161256] = 4,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    STATE(4826), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8415), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [161271] = 5,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(7559), 1,
      anon_sym_PIPE,
    ACTIONS(7561), 1,
      anon_sym_extends,
    ACTIONS(8420), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161288] = 4,
    ACTIONS(8372), 1,
      anon_sym_from,
    STATE(5842), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4907), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161303] = 5,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(7559), 1,
      anon_sym_PIPE,
    ACTIONS(7561), 1,
      anon_sym_extends,
    ACTIONS(8422), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8424), 1,
      anon_sym_DQUOTE,
    STATE(4830), 1,
      aux_sym_string_repeat1,
    ACTIONS(8426), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [161337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    STATE(4831), 1,
      aux_sym_string_repeat2,
    ACTIONS(8431), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [161354] = 5,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(7559), 1,
      anon_sym_PIPE,
    ACTIONS(7561), 1,
      anon_sym_extends,
    ACTIONS(8434), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161371] = 5,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6090), 1,
      sym_type_parameters,
    STATE(6269), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161388] = 5,
    ACTIONS(8302), 1,
      anon_sym_with,
    ACTIONS(8436), 1,
      anon_sym_SEMI,
    ACTIONS(8438), 1,
      sym__automatic_semicolon,
    STATE(5844), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161405] = 5,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6094), 1,
      sym_type_parameters,
    STATE(6290), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161422] = 5,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(7559), 1,
      anon_sym_PIPE,
    ACTIONS(7561), 1,
      anon_sym_extends,
    ACTIONS(8440), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161439] = 4,
    ACTIONS(8234), 1,
      anon_sym_COMMA,
    STATE(4760), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8442), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161454] = 4,
    ACTIONS(8234), 1,
      anon_sym_COMMA,
    STATE(4760), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8444), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161469] = 3,
    ACTIONS(8446), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8448), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [161482] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161492] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161502] = 4,
    ACTIONS(8455), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_RBRACE,
    STATE(4867), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161516] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(8459), 1,
      anon_sym_RPAREN,
    STATE(5252), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161530] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161540] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161550] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161560] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161570] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8467), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161580] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161590] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161600] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161610] = 3,
    ACTIONS(8045), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8047), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [161622] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161632] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8471), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161642] = 4,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(8473), 1,
      anon_sym_EQ,
    STATE(6465), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161656] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161666] = 4,
    ACTIONS(5008), 1,
      anon_sym_COMMA,
    ACTIONS(8475), 1,
      anon_sym_RBRACK,
    STATE(5707), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161680] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8477), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161690] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161700] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8479), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161710] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161720] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161730] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161740] = 4,
    ACTIONS(1739), 1,
      anon_sym_COMMA,
    ACTIONS(8483), 1,
      anon_sym_RBRACK,
    STATE(5716), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161754] = 4,
    ACTIONS(8485), 1,
      anon_sym_COMMA,
    ACTIONS(8487), 1,
      anon_sym_RBRACE,
    STATE(4902), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161768] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161778] = 4,
    ACTIONS(8489), 1,
      anon_sym_COMMA,
    ACTIONS(8491), 1,
      anon_sym_RBRACE,
    STATE(4902), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161792] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161802] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161812] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161822] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161832] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161842] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161852] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161862] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161872] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161882] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161892] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161902] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161912] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161922] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8503), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161932] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161942] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8505), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161952] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161962] = 4,
    ACTIONS(5008), 1,
      anon_sym_COMMA,
    ACTIONS(5010), 1,
      anon_sym_RBRACK,
    STATE(5695), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161976] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161986] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161996] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162006] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162016] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162026] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162036] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162046] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162056] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162066] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162076] = 4,
    ACTIONS(8372), 1,
      anon_sym_from,
    ACTIONS(8511), 1,
      anon_sym_as,
    STATE(5941), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162090] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162100] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162110] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162120] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162130] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162140] = 4,
    ACTIONS(8513), 1,
      anon_sym_COMMA,
    ACTIONS(8516), 1,
      anon_sym_RBRACE,
    STATE(4902), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162154] = 4,
    ACTIONS(8518), 1,
      anon_sym_COMMA,
    ACTIONS(8521), 1,
      anon_sym_RBRACE,
    STATE(4903), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162168] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8523), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162178] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162188] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162198] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162208] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162218] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162228] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162238] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162248] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162258] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162268] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162278] = 4,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8528), 1,
      anon_sym_RBRACE,
    STATE(4915), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162292] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162302] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162312] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162322] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162332] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162342] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162352] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162362] = 4,
    ACTIONS(8530), 1,
      sym_identifier,
    STATE(2662), 1,
      sym_decorator_member_expression,
    STATE(2776), 1,
      sym_decorator_call_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162376] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162386] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8532), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162396] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162406] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162416] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8536), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [162426] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162436] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162446] = 4,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(8538), 1,
      anon_sym_RBRACE,
    STATE(4946), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162460] = 3,
    ACTIONS(8540), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8542), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162472] = 4,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(8538), 1,
      anon_sym_RBRACE,
    STATE(4903), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162486] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162496] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162506] = 4,
    ACTIONS(8544), 1,
      anon_sym_COMMA,
    ACTIONS(8546), 1,
      anon_sym_RPAREN,
    STATE(4947), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162520] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8548), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [162530] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162540] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8523), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162550] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162560] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162570] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8552), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162580] = 4,
    ACTIONS(3459), 1,
      anon_sym_LPAREN,
    ACTIONS(8554), 1,
      anon_sym_DOT,
    STATE(3229), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162594] = 4,
    ACTIONS(7113), 1,
      anon_sym_RBRACE,
    ACTIONS(8556), 1,
      anon_sym_COMMA,
    STATE(5572), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162608] = 4,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(8558), 1,
      anon_sym_RBRACE,
    STATE(4903), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162622] = 4,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(8560), 1,
      anon_sym_RBRACE,
    STATE(4903), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162636] = 4,
    ACTIONS(1677), 1,
      anon_sym_RPAREN,
    ACTIONS(8562), 1,
      anon_sym_COMMA,
    STATE(5254), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162650] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162660] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162670] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162680] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162690] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162700] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162710] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162720] = 4,
    ACTIONS(8566), 1,
      anon_sym_COMMA,
    ACTIONS(8568), 1,
      anon_sym_RBRACK,
    STATE(5722), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162734] = 4,
    ACTIONS(8570), 1,
      anon_sym_COMMA,
    ACTIONS(8572), 1,
      anon_sym_RBRACK,
    STATE(4982), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162748] = 4,
    ACTIONS(6869), 1,
      anon_sym_AMP,
    ACTIONS(6873), 1,
      anon_sym_extends,
    ACTIONS(7951), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162762] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8550), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162772] = 4,
    ACTIONS(3208), 1,
      anon_sym_GT,
    ACTIONS(8574), 1,
      anon_sym_COMMA,
    STATE(4782), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162786] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8576), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162796] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(5089), 1,
      anon_sym_RPAREN,
    STATE(4984), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162810] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(5089), 1,
      anon_sym_RPAREN,
    STATE(5252), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162824] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162834] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162844] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162854] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162864] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162874] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162884] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162894] = 4,
    ACTIONS(8580), 1,
      sym_identifier,
    ACTIONS(8582), 1,
      anon_sym_LBRACK,
    ACTIONS(8584), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162908] = 4,
    ACTIONS(8586), 1,
      sym_identifier,
    ACTIONS(8588), 1,
      anon_sym_LBRACK,
    ACTIONS(8590), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162922] = 4,
    ACTIONS(8592), 1,
      sym_identifier,
    ACTIONS(8594), 1,
      anon_sym_LBRACK,
    ACTIONS(8596), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162936] = 4,
    ACTIONS(8598), 1,
      sym_identifier,
    ACTIONS(8600), 1,
      anon_sym_LBRACK,
    ACTIONS(8602), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162950] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162960] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162970] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162980] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162990] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163000] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8523), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163010] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163020] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163030] = 4,
    ACTIONS(2956), 1,
      anon_sym_RBRACK,
    ACTIONS(8606), 1,
      anon_sym_COMMA,
    STATE(5507), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163044] = 4,
    ACTIONS(8608), 1,
      sym_identifier,
    STATE(1268), 1,
      sym_decorator_call_expression,
    STATE(3395), 1,
      sym_decorator_member_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163058] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(8610), 1,
      anon_sym_RPAREN,
    STATE(5252), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163072] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163082] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163092] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163102] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163112] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8523), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163122] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163132] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163142] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163152] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163162] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163172] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8503), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163182] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8523), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163192] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163202] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163212] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163222] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163232] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163242] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163252] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163262] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163272] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163282] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163292] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163302] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163312] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163322] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163332] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8523), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163342] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163352] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163362] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163372] = 4,
    ACTIONS(5240), 1,
      anon_sym_extends,
    ACTIONS(8612), 1,
      anon_sym_AMP,
    ACTIONS(8614), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163386] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163396] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163406] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163416] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163426] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163436] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163446] = 4,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    ACTIONS(8616), 1,
      anon_sym_DOT,
    STATE(1618), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163460] = 4,
    ACTIONS(5244), 1,
      anon_sym_COMMA,
    ACTIONS(8618), 1,
      anon_sym_RBRACE,
    STATE(4915), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163474] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163484] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163494] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163504] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163514] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163524] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163534] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163544] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163554] = 4,
    ACTIONS(8620), 1,
      anon_sym_COMMA,
    ACTIONS(8622), 1,
      anon_sym_RBRACK,
    STATE(5051), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163568] = 4,
    ACTIONS(4165), 1,
      anon_sym_extends,
    ACTIONS(8624), 1,
      anon_sym_AMP,
    ACTIONS(8626), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163582] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163592] = 4,
    ACTIONS(3200), 1,
      anon_sym_GT,
    ACTIONS(8628), 1,
      anon_sym_COMMA,
    STATE(4782), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163606] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8523), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163616] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163626] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(5091), 1,
      anon_sym_RPAREN,
    STATE(5054), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163640] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(5091), 1,
      anon_sym_RPAREN,
    STATE(5252), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163654] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163664] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163674] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163684] = 4,
    ACTIONS(8192), 1,
      sym_identifier,
    ACTIONS(8194), 1,
      anon_sym_const,
    STATE(5256), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163698] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163708] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8630), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163718] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163728] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163738] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163748] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163758] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163768] = 4,
    ACTIONS(2942), 1,
      anon_sym_RBRACK,
    ACTIONS(8632), 1,
      anon_sym_COMMA,
    STATE(5507), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163782] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163792] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163802] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(8634), 1,
      anon_sym_RPAREN,
    STATE(5252), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163816] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163826] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163836] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163846] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163856] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163866] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163876] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163886] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163896] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163906] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163916] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163926] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163936] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163946] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163956] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163966] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163976] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163986] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163996] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164006] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164016] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164026] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164036] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164046] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164056] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164066] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8523), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164076] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164086] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164096] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164106] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164116] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164126] = 4,
    ACTIONS(3184), 1,
      anon_sym_GT,
    ACTIONS(8636), 1,
      anon_sym_COMMA,
    STATE(4782), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164140] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164150] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164160] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164170] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164180] = 4,
    ACTIONS(8196), 1,
      anon_sym_GT,
    ACTIONS(8638), 1,
      anon_sym_COMMA,
    STATE(5538), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164194] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164204] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164214] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164224] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164234] = 4,
    ACTIONS(6596), 1,
      anon_sym_LPAREN,
    ACTIONS(8640), 1,
      anon_sym_DOT,
    STATE(3323), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164248] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164258] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164268] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164278] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164288] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164298] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164308] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164318] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164328] = 4,
    ACTIONS(8642), 1,
      anon_sym_COMMA,
    ACTIONS(8644), 1,
      anon_sym_RBRACK,
    STATE(5512), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164342] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164352] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164362] = 4,
    ACTIONS(8646), 1,
      anon_sym_COMMA,
    ACTIONS(8648), 1,
      anon_sym_RBRACK,
    STATE(5126), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164376] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164386] = 4,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7033), 1,
      anon_sym_PIPE,
    ACTIONS(7035), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164400] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164410] = 4,
    ACTIONS(3196), 1,
      anon_sym_GT,
    ACTIONS(8650), 1,
      anon_sym_COMMA,
    STATE(4782), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164424] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164434] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(5098), 1,
      anon_sym_RPAREN,
    STATE(5129), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164448] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(5098), 1,
      anon_sym_RPAREN,
    STATE(5252), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164462] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164472] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164482] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164492] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164502] = 4,
    ACTIONS(8652), 1,
      sym_identifier,
    ACTIONS(8654), 1,
      anon_sym_LBRACK,
    ACTIONS(8656), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164516] = 4,
    ACTIONS(8658), 1,
      sym_identifier,
    ACTIONS(8660), 1,
      anon_sym_LBRACK,
    ACTIONS(8662), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164530] = 4,
    ACTIONS(8664), 1,
      sym_identifier,
    ACTIONS(8666), 1,
      anon_sym_LBRACK,
    ACTIONS(8668), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164544] = 4,
    ACTIONS(8670), 1,
      sym_identifier,
    ACTIONS(8672), 1,
      anon_sym_LBRACK,
    ACTIONS(8674), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164558] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8676), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164568] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164578] = 4,
    ACTIONS(2954), 1,
      anon_sym_RBRACK,
    ACTIONS(8678), 1,
      anon_sym_COMMA,
    STATE(5507), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164592] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8523), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164602] = 3,
    ACTIONS(8680), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8682), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [164614] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(8684), 1,
      anon_sym_RPAREN,
    STATE(5252), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164628] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164638] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164648] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164658] = 3,
    ACTIONS(8198), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8686), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [164670] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164680] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164690] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164700] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164710] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164720] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164730] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164740] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164750] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164760] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164770] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164780] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8523), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164790] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164800] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8676), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164810] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8523), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164820] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164830] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164840] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164850] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164860] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164870] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164880] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164890] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164900] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8523), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164910] = 4,
    ACTIONS(1031), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1613), 1,
      anon_sym_LBRACE,
    STATE(4338), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164924] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164934] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164944] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164954] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164964] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164974] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164984] = 3,
    ACTIONS(8690), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8107), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [164996] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165006] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165016] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165026] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8578), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165036] = 4,
    ACTIONS(3188), 1,
      anon_sym_GT,
    ACTIONS(8692), 1,
      anon_sym_COMMA,
    STATE(4782), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165050] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165060] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(5100), 1,
      anon_sym_RPAREN,
    STATE(5177), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165074] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(5100), 1,
      anon_sym_RPAREN,
    STATE(5252), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165088] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165098] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165108] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165118] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(8694), 1,
      anon_sym_RPAREN,
    STATE(5252), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165132] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165142] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165152] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165162] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(5081), 1,
      anon_sym_RPAREN,
    STATE(4843), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165176] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165186] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(5081), 1,
      anon_sym_RPAREN,
    STATE(5252), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165200] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165210] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165220] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165230] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8696), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165240] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165250] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8523), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165260] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(5102), 1,
      anon_sym_RPAREN,
    STATE(5193), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165274] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(5102), 1,
      anon_sym_RPAREN,
    STATE(5252), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165288] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165298] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(8698), 1,
      anon_sym_RPAREN,
    STATE(5252), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165312] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165322] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165332] = 3,
    ACTIONS(8700), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6756), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [165344] = 4,
    ACTIONS(6754), 1,
      anon_sym_type,
    ACTIONS(8702), 1,
      sym_identifier,
    STATE(5944), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165358] = 4,
    ACTIONS(6754), 1,
      anon_sym_type,
    ACTIONS(8704), 1,
      sym_identifier,
    STATE(5946), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165372] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165382] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165392] = 4,
    ACTIONS(6955), 1,
      anon_sym_RBRACE,
    ACTIONS(8706), 1,
      anon_sym_COMMA,
    STATE(5598), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165406] = 4,
    ACTIONS(8708), 1,
      anon_sym_LPAREN,
    ACTIONS(8710), 1,
      anon_sym_await,
    STATE(33), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165420] = 3,
    ACTIONS(7425), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8712), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [165432] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165442] = 3,
    ACTIONS(7459), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8712), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [165454] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165464] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165474] = 4,
    ACTIONS(8372), 1,
      anon_sym_from,
    ACTIONS(8511), 1,
      anon_sym_as,
    STATE(6069), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165488] = 4,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(8714), 1,
      sym_identifier,
    STATE(4828), 1,
      sym_export_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165502] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165512] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165522] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165532] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165542] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8716), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165552] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8718), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165562] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165572] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8315), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165582] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165592] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165602] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165612] = 4,
    ACTIONS(8192), 1,
      sym_identifier,
    ACTIONS(8194), 1,
      anon_sym_const,
    STATE(5697), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165626] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165636] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165646] = 4,
    ACTIONS(6072), 1,
      anon_sym_LPAREN,
    ACTIONS(8720), 1,
      anon_sym_DOT,
    STATE(2959), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165660] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165670] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165680] = 4,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    ACTIONS(8720), 1,
      anon_sym_DOT,
    STATE(2959), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165694] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165704] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8523), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165714] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165724] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165734] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165744] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165754] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165764] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165774] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165784] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165794] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165804] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165814] = 4,
    ACTIONS(1739), 1,
      anon_sym_COMMA,
    ACTIONS(8200), 1,
      anon_sym_RBRACK,
    STATE(5705), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165828] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165838] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165848] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165858] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165868] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165878] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165888] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7507), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [165898] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165908] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165918] = 4,
    ACTIONS(2498), 1,
      anon_sym_while,
    ACTIONS(8722), 1,
      anon_sym_else,
    STATE(888), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165932] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165942] = 4,
    ACTIONS(5258), 1,
      anon_sym_RPAREN,
    ACTIONS(8724), 1,
      anon_sym_COMMA,
    STATE(5252), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165956] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165966] = 4,
    ACTIONS(8727), 1,
      anon_sym_COMMA,
    ACTIONS(8730), 1,
      anon_sym_RPAREN,
    STATE(5254), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165980] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165990] = 4,
    ACTIONS(8732), 1,
      anon_sym_COMMA,
    ACTIONS(8734), 1,
      anon_sym_GT,
    STATE(5626), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166004] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166014] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166024] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166034] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166044] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166054] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166064] = 4,
    ACTIONS(7660), 1,
      anon_sym_AMP,
    ACTIONS(7662), 1,
      anon_sym_PIPE,
    ACTIONS(7664), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166078] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166088] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166098] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166108] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166118] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166128] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8736), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166138] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166148] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166158] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166168] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166178] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166188] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166198] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166208] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166218] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166228] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166238] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166248] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166258] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166268] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166278] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8738), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166288] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166298] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166308] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8742), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166318] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166328] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166338] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166348] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8746), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166358] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166368] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166378] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166388] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166398] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166408] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166418] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166428] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166438] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166448] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166458] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166468] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166478] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166488] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166498] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166508] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166518] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166528] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166538] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166548] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166558] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166568] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166578] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166588] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166598] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166608] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166618] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166628] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166638] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166648] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166658] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166668] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166678] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166688] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166698] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166708] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166718] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166728] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166738] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166748] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166758] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166768] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166778] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166788] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166798] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166808] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166818] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166828] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166838] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166848] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166858] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166868] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166878] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166888] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166898] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166908] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166918] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166928] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166938] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166948] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166958] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166968] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166978] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166988] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166998] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167008] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167018] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167028] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167038] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167048] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167058] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167068] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167078] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167088] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167098] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167108] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167118] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167128] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167138] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167148] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8752), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167158] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167168] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167178] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167188] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167198] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167208] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167218] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167228] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167238] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167248] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167258] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167268] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167278] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167288] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167298] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167308] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167318] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167328] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167338] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167348] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167358] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167368] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167378] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167388] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167398] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167408] = 4,
    ACTIONS(8756), 1,
      anon_sym_LPAREN,
    ACTIONS(8758), 1,
      anon_sym_await,
    STATE(48), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167422] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167432] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167442] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167452] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167462] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167472] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167482] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167492] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167502] = 4,
    ACTIONS(7814), 1,
      anon_sym_COMMA,
    ACTIONS(8760), 1,
      anon_sym_LBRACE,
    STATE(4782), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167516] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167526] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167536] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167546] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167556] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167566] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167576] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167586] = 4,
    ACTIONS(6847), 1,
      anon_sym_LPAREN,
    ACTIONS(8720), 1,
      anon_sym_DOT,
    STATE(2959), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167600] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167610] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167620] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167630] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167640] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167650] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167660] = 3,
    ACTIONS(4393), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4395), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [167672] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7529), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [167682] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167692] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167702] = 3,
    ACTIONS(4484), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4486), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [167714] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167724] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167734] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167744] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167754] = 4,
    ACTIONS(6764), 1,
      anon_sym_AMP,
    ACTIONS(6766), 1,
      anon_sym_PIPE,
    ACTIONS(6768), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167768] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167778] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167788] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167798] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167808] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167818] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167828] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167838] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167848] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167858] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167868] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167878] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167888] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167898] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167908] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167918] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167928] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167938] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167948] = 4,
    ACTIONS(8762), 1,
      sym_identifier,
    ACTIONS(8764), 1,
      anon_sym_LBRACK,
    ACTIONS(8766), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167962] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167972] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167982] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167992] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168002] = 4,
    ACTIONS(8768), 1,
      sym_identifier,
    ACTIONS(8770), 1,
      anon_sym_LBRACK,
    ACTIONS(8772), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168016] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168026] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168036] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168046] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168056] = 4,
    ACTIONS(8774), 1,
      sym_identifier,
    ACTIONS(8776), 1,
      anon_sym_LBRACK,
    ACTIONS(8778), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168070] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8748), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168080] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168090] = 4,
    ACTIONS(8780), 1,
      sym_identifier,
    ACTIONS(8782), 1,
      anon_sym_LBRACK,
    ACTIONS(8784), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168104] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8786), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [168114] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168124] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168134] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168144] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168154] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168164] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168174] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168184] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168194] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168204] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168214] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168224] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8788), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168234] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168244] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168254] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168264] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168274] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8792), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168284] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168294] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8792), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168304] = 4,
    ACTIONS(5244), 1,
      anon_sym_COMMA,
    ACTIONS(8794), 1,
      anon_sym_RBRACE,
    STATE(5023), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168318] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168328] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168338] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168348] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8796), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168358] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168368] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168378] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168388] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168398] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168408] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168418] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168428] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168438] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168448] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168458] = 4,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(8798), 1,
      anon_sym_RBRACE,
    STATE(5535), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168472] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168482] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168492] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168502] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168512] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168522] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168532] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8792), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168542] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8792), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168552] = 4,
    ACTIONS(8800), 1,
      anon_sym_COMMA,
    ACTIONS(8803), 1,
      anon_sym_RBRACK,
    STATE(5507), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168566] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8796), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168576] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168586] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168596] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168606] = 4,
    ACTIONS(2950), 1,
      anon_sym_RBRACK,
    ACTIONS(8805), 1,
      anon_sym_COMMA,
    STATE(5507), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168620] = 4,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(8798), 1,
      anon_sym_RBRACE,
    STATE(4903), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168634] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168644] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168654] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168664] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168674] = 4,
    ACTIONS(5244), 1,
      anon_sym_COMMA,
    ACTIONS(8794), 1,
      anon_sym_RBRACE,
    STATE(4915), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168688] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168698] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168708] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168718] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168728] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168738] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8807), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168748] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8807), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168758] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8807), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168768] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8807), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168778] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168788] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8809), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168798] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8811), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [168808] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168818] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168828] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8813), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168838] = 4,
    ACTIONS(5244), 1,
      anon_sym_COMMA,
    ACTIONS(8815), 1,
      anon_sym_RBRACE,
    STATE(4915), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168852] = 4,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(8817), 1,
      anon_sym_RBRACE,
    STATE(4903), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168866] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168876] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168886] = 4,
    ACTIONS(8819), 1,
      anon_sym_COMMA,
    ACTIONS(8822), 1,
      anon_sym_GT,
    STATE(5538), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168900] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168910] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168920] = 4,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(8824), 1,
      sym_identifier,
    STATE(4801), 1,
      sym_export_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168934] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168944] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168954] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168964] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168974] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168984] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168994] = 4,
    ACTIONS(219), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1539), 1,
      anon_sym_LBRACE,
    STATE(834), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169008] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169018] = 4,
    ACTIONS(8826), 1,
      sym_identifier,
    ACTIONS(8828), 1,
      anon_sym_LBRACK,
    ACTIONS(8830), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169032] = 4,
    ACTIONS(8832), 1,
      anon_sym_COMMA,
    ACTIONS(8834), 1,
      anon_sym_RBRACE,
    STATE(5709), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169046] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7503), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [169056] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(8836), 1,
      anon_sym_RPAREN,
    STATE(5252), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169070] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169080] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169090] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169100] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8138), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169110] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8838), 1,
      sym__glimmer_template_content,
    ACTIONS(8840), 1,
      sym_glimmer_closing_tag,
    STATE(5684), 1,
      aux_sym_glimmer_template_repeat1,
  [169136] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169146] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169156] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169166] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169176] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169186] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8842), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [169196] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8844), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169206] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8138), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169216] = 3,
    ACTIONS(7425), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8846), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [169228] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8848), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169238] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169248] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8850), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [169258] = 4,
    ACTIONS(8852), 1,
      anon_sym_COMMA,
    ACTIONS(8855), 1,
      anon_sym_RBRACE,
    STATE(5572), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169272] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8848), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169282] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169292] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169302] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169312] = 3,
    ACTIONS(7459), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8846), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [169324] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169334] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6062), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169344] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169354] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169364] = 4,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(8859), 1,
      anon_sym_RBRACE,
    STATE(4903), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169378] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8861), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169388] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169398] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8863), 1,
      sym__glimmer_template_content,
    ACTIONS(8865), 1,
      sym_glimmer_closing_tag,
    STATE(5662), 1,
      aux_sym_glimmer_template_repeat1,
  [169424] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169434] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169444] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8844), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169454] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169464] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169474] = 4,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    ACTIONS(1623), 1,
      anon_sym_SQUOTE,
    STATE(4928), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169488] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169498] = 4,
    ACTIONS(8867), 1,
      sym_identifier,
    STATE(1204), 1,
      sym_decorator_member_expression,
    STATE(1268), 1,
      sym_decorator_call_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169512] = 4,
    ACTIONS(6754), 1,
      anon_sym_type,
    ACTIONS(8869), 1,
      sym_identifier,
    STATE(6054), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169526] = 4,
    ACTIONS(6754), 1,
      anon_sym_type,
    ACTIONS(8871), 1,
      sym_identifier,
    STATE(5897), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169540] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8873), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169550] = 4,
    ACTIONS(8875), 1,
      anon_sym_COMMA,
    ACTIONS(8878), 1,
      anon_sym_RBRACE,
    STATE(5598), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169564] = 4,
    ACTIONS(1547), 1,
      anon_sym_DQUOTE,
    ACTIONS(1549), 1,
      anon_sym_SQUOTE,
    STATE(6215), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169578] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8880), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169588] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169598] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169608] = 4,
    ACTIONS(8884), 1,
      anon_sym_COMMA,
    ACTIONS(8886), 1,
      anon_sym_RPAREN,
    STATE(5616), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169622] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8888), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169632] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8809), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169642] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8880), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169652] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8848), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169662] = 3,
    ACTIONS(8890), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3639), 2,
      anon_sym_in,
      anon_sym_of,
  [169674] = 3,
    ACTIONS(8892), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8894), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [169686] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169696] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169706] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169716] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169726] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7505), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [169736] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169746] = 4,
    ACTIONS(1681), 1,
      anon_sym_RPAREN,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    STATE(5254), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169760] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7511), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [169770] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8898), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169780] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169790] = 4,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    ACTIONS(8072), 1,
      anon_sym_RPAREN,
    STATE(5741), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169804] = 4,
    ACTIONS(6963), 1,
      anon_sym_implements,
    ACTIONS(8900), 1,
      anon_sym_LBRACE,
    STATE(6478), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169818] = 4,
    ACTIONS(8902), 1,
      anon_sym_COMMA,
    ACTIONS(8904), 1,
      anon_sym_RBRACE,
    STATE(5201), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169832] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169842] = 4,
    ACTIONS(3212), 1,
      anon_sym_GT,
    ACTIONS(8906), 1,
      anon_sym_COMMA,
    STATE(4782), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169856] = 3,
    ACTIONS(8908), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8910), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [169868] = 4,
    ACTIONS(8378), 1,
      anon_sym_GT,
    ACTIONS(8912), 1,
      anon_sym_COMMA,
    STATE(5538), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169882] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169892] = 4,
    ACTIONS(5244), 1,
      anon_sym_COMMA,
    ACTIONS(8914), 1,
      anon_sym_RBRACE,
    STATE(5747), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169906] = 4,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(8916), 1,
      anon_sym_RBRACE,
    STATE(5748), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169920] = 4,
    ACTIONS(2556), 1,
      anon_sym_LT,
    ACTIONS(8918), 1,
      anon_sym_EQ,
    STATE(6257), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169934] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169944] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169954] = 4,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(8916), 1,
      anon_sym_RBRACE,
    STATE(4903), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169968] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169978] = 4,
    ACTIONS(5244), 1,
      anon_sym_COMMA,
    ACTIONS(8914), 1,
      anon_sym_RBRACE,
    STATE(4915), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169992] = 4,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(8920), 1,
      anon_sym_RPAREN,
    STATE(6335), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170006] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170016] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170026] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8809), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170036] = 3,
    ACTIONS(8922), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8127), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [170048] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8479), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170058] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170068] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170078] = 4,
    ACTIONS(8192), 1,
      sym_identifier,
    ACTIONS(8194), 1,
      anon_sym_const,
    STATE(5873), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170092] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8924), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [170102] = 4,
    ACTIONS(5008), 1,
      anon_sym_COMMA,
    ACTIONS(5010), 1,
      anon_sym_RBRACK,
    STATE(5707), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170116] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170126] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8873), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170136] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170146] = 4,
    ACTIONS(8926), 1,
      anon_sym_COMMA,
    ACTIONS(8928), 1,
      anon_sym_RBRACE,
    STATE(4944), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170160] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170170] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170180] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170190] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170200] = 4,
    ACTIONS(8930), 1,
      anon_sym_COMMA,
    ACTIONS(8932), 1,
      anon_sym_RPAREN,
    STATE(5758), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170214] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170224] = 4,
    ACTIONS(1739), 1,
      anon_sym_COMMA,
    ACTIONS(8389), 1,
      anon_sym_RBRACK,
    STATE(4864), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170238] = 4,
    ACTIONS(5008), 1,
      anon_sym_COMMA,
    ACTIONS(5059), 1,
      anon_sym_RBRACK,
    STATE(4857), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170252] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170262] = 4,
    ACTIONS(5008), 1,
      anon_sym_COMMA,
    ACTIONS(5059), 1,
      anon_sym_RBRACK,
    STATE(5707), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170276] = 4,
    ACTIONS(1739), 1,
      anon_sym_COMMA,
    ACTIONS(8389), 1,
      anon_sym_RBRACK,
    STATE(5716), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8934), 1,
      sym__glimmer_template_content,
    ACTIONS(8936), 1,
      sym_glimmer_closing_tag,
    STATE(5717), 1,
      aux_sym_glimmer_template_repeat1,
  [170306] = 4,
    ACTIONS(7557), 1,
      anon_sym_AMP,
    ACTIONS(7559), 1,
      anon_sym_PIPE,
    ACTIONS(7561), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170320] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170330] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170340] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170350] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170360] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170370] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170380] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170390] = 4,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(8938), 1,
      anon_sym_LPAREN,
    STATE(768), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170404] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170414] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170424] = 3,
    ACTIONS(7607), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3639), 2,
      anon_sym_in,
      anon_sym_of,
  [170436] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170446] = 4,
    ACTIONS(1739), 1,
      anon_sym_COMMA,
    ACTIONS(8200), 1,
      anon_sym_RBRACK,
    STATE(5716), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170460] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8479), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170470] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170480] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170490] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170500] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170510] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170520] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8934), 1,
      sym__glimmer_template_content,
    ACTIONS(8942), 1,
      sym_glimmer_closing_tag,
    STATE(5717), 1,
      aux_sym_glimmer_template_repeat1,
  [170546] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170556] = 4,
    ACTIONS(219), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1539), 1,
      anon_sym_LBRACE,
    STATE(860), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170570] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170580] = 3,
    ACTIONS(8944), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8946), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [170592] = 3,
    ACTIONS(8948), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8894), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [170604] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5258), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [170614] = 3,
    ACTIONS(8198), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8950), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [170626] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8479), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170636] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170646] = 4,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    ACTIONS(8952), 1,
      anon_sym_DOT,
    STATE(2008), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170660] = 4,
    ACTIONS(5008), 1,
      anon_sym_COMMA,
    ACTIONS(8954), 1,
      anon_sym_RBRACK,
    STATE(5707), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170674] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170684] = 4,
    ACTIONS(8956), 1,
      anon_sym_COMMA,
    ACTIONS(8958), 1,
      anon_sym_GT,
    STATE(5091), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170698] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170708] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170718] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170728] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170738] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8479), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170748] = 4,
    ACTIONS(8960), 1,
      anon_sym_COMMA,
    ACTIONS(8962), 1,
      anon_sym_RBRACE,
    STATE(4902), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170762] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6756), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [170772] = 4,
    ACTIONS(1739), 1,
      anon_sym_COMMA,
    ACTIONS(8964), 1,
      anon_sym_RBRACK,
    STATE(5716), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170786] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170796] = 4,
    ACTIONS(5258), 1,
      anon_sym_RBRACK,
    ACTIONS(8966), 1,
      anon_sym_COMMA,
    STATE(5707), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170810] = 3,
    ACTIONS(8969), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7910), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [170822] = 4,
    ACTIONS(8971), 1,
      anon_sym_COMMA,
    ACTIONS(8973), 1,
      anon_sym_RBRACE,
    STATE(4902), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170836] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170846] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8975), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [170856] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170866] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170876] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170886] = 3,
    ACTIONS(8977), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8894), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [170898] = 4,
    ACTIONS(8950), 1,
      anon_sym_RBRACK,
    ACTIONS(8979), 1,
      anon_sym_COMMA,
    STATE(5716), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8982), 1,
      sym__glimmer_template_content,
    ACTIONS(8985), 1,
      sym_glimmer_closing_tag,
    STATE(5717), 1,
      aux_sym_glimmer_template_repeat1,
  [170928] = 4,
    ACTIONS(8987), 1,
      sym_identifier,
    ACTIONS(8989), 1,
      anon_sym_LBRACK,
    ACTIONS(8991), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170942] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170952] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8481), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170962] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170972] = 4,
    ACTIONS(2944), 1,
      anon_sym_RBRACK,
    ACTIONS(8993), 1,
      anon_sym_COMMA,
    STATE(5507), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170986] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170996] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(5067), 1,
      anon_sym_RPAREN,
    STATE(5553), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171010] = 4,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(5067), 1,
      anon_sym_RPAREN,
    STATE(5252), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171024] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171034] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8995), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171044] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171054] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8501), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171064] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8997), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171074] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171084] = 3,
    ACTIONS(8999), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3552), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [171096] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171106] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171116] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8997), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171126] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171136] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171146] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171156] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171166] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171176] = 4,
    ACTIONS(4852), 1,
      anon_sym_RPAREN,
    ACTIONS(9004), 1,
      anon_sym_COMMA,
    STATE(5741), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171190] = 4,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(9007), 1,
      anon_sym_RBRACE,
    STATE(4903), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171204] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8479), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171214] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171224] = 4,
    ACTIONS(5244), 1,
      anon_sym_COMMA,
    ACTIONS(9009), 1,
      anon_sym_RBRACE,
    STATE(4915), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171238] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171248] = 4,
    ACTIONS(5244), 1,
      anon_sym_COMMA,
    ACTIONS(9011), 1,
      anon_sym_RBRACE,
    STATE(4915), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171262] = 4,
    ACTIONS(5581), 1,
      anon_sym_COMMA,
    ACTIONS(9013), 1,
      anon_sym_RBRACE,
    STATE(4903), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171276] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8479), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171286] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9015), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171296] = 4,
    ACTIONS(9017), 1,
      sym_identifier,
    ACTIONS(9019), 1,
      anon_sym_require,
    STATE(5205), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171310] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9015), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171320] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171330] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171340] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171350] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8463), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171360] = 4,
    ACTIONS(1031), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1613), 1,
      anon_sym_LBRACE,
    STATE(4131), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171374] = 4,
    ACTIONS(1683), 1,
      anon_sym_RPAREN,
    ACTIONS(9021), 1,
      anon_sym_COMMA,
    STATE(5254), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171388] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8507), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171398] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7690), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [171407] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8686), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [171416] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(828), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171427] = 3,
    ACTIONS(7175), 1,
      anon_sym_LBRACE,
    STATE(220), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171438] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8521), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [171447] = 3,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    STATE(2219), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171458] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7684), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [171467] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5923), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171478] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2628), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171489] = 3,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    STATE(2193), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171500] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4689), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [171509] = 3,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3311), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171520] = 3,
    ACTIONS(4027), 1,
      anon_sym_LPAREN,
    STATE(1703), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171531] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4693), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [171540] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6197), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171551] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5981), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171562] = 3,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    STATE(2365), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171573] = 3,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    STATE(2366), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171584] = 3,
    ACTIONS(1707), 1,
      anon_sym_LBRACE,
    STATE(225), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171595] = 3,
    ACTIONS(9023), 1,
      anon_sym_LBRACE,
    STATE(830), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171606] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2655), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171617] = 3,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9027), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171628] = 3,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(780), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171639] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5929), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171650] = 3,
    ACTIONS(6072), 1,
      anon_sym_LPAREN,
    STATE(2791), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171661] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6082), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [171670] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5988), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171681] = 3,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(4428), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171692] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2673), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171703] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2643), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171714] = 3,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3913), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171725] = 3,
    ACTIONS(9029), 1,
      anon_sym_SEMI,
    ACTIONS(9031), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171736] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6039), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [171745] = 3,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    STATE(2370), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171756] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5792), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171767] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9033), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [171776] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6347), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171787] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2664), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171798] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6133), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171809] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6043), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [171818] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6434), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171829] = 3,
    ACTIONS(8826), 1,
      sym_identifier,
    ACTIONS(8830), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171840] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2665), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171851] = 3,
    ACTIONS(7175), 1,
      anon_sym_LBRACE,
    STATE(219), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171862] = 3,
    ACTIONS(9035), 1,
      sym_identifier,
    ACTIONS(9037), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171873] = 3,
    ACTIONS(8762), 1,
      sym_identifier,
    ACTIONS(8766), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171884] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2657), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171895] = 3,
    ACTIONS(9039), 1,
      sym_identifier,
    ACTIONS(9041), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171906] = 3,
    ACTIONS(8372), 1,
      anon_sym_from,
    STATE(4834), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171917] = 3,
    ACTIONS(9043), 1,
      sym_identifier,
    ACTIONS(9045), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171928] = 3,
    ACTIONS(9047), 1,
      sym_identifier,
    ACTIONS(9049), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171939] = 3,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    STATE(2372), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171950] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2681), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171961] = 3,
    ACTIONS(9051), 1,
      sym_identifier,
    ACTIONS(9053), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171972] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2626), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171983] = 3,
    ACTIONS(9055), 1,
      sym_identifier,
    ACTIONS(9057), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171994] = 3,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    STATE(2336), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172005] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9059), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [172014] = 3,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    STATE(2320), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172025] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2625), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172036] = 3,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(4174), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172047] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9061), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [172056] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9063), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [172065] = 3,
    ACTIONS(9065), 1,
      sym_identifier,
    ACTIONS(9067), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172076] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2660), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172087] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9069), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [172096] = 3,
    ACTIONS(9071), 1,
      sym_identifier,
    ACTIONS(9073), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172107] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(4260), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172118] = 3,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    STATE(1726), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172129] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9075), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [172138] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5925), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172149] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2670), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172160] = 3,
    ACTIONS(9077), 1,
      sym_identifier,
    ACTIONS(9079), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172171] = 3,
    ACTIONS(9081), 1,
      anon_sym_LPAREN,
    STATE(54), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172182] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(4497), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172193] = 3,
    ACTIONS(9083), 1,
      anon_sym_SEMI,
    ACTIONS(9085), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172204] = 3,
    ACTIONS(9081), 1,
      anon_sym_LPAREN,
    STATE(59), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172215] = 3,
    ACTIONS(9087), 1,
      sym_identifier,
    ACTIONS(9089), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172226] = 3,
    ACTIONS(9081), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172237] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6187), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172248] = 3,
    ACTIONS(9081), 1,
      anon_sym_LPAREN,
    STATE(47), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172259] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6355), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172270] = 3,
    ACTIONS(9091), 1,
      anon_sym_SEMI,
    ACTIONS(9093), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172281] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6127), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172292] = 3,
    ACTIONS(9095), 1,
      anon_sym_SEMI,
    ACTIONS(9097), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172303] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6047), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [172312] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9099), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [172321] = 3,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    STATE(6028), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172332] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9101), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [172341] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9103), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [172350] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2630), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172361] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9105), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [172370] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2623), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172381] = 3,
    ACTIONS(9107), 1,
      sym_identifier,
    ACTIONS(9109), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172392] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2632), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172403] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9111), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [172412] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6228), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172423] = 3,
    ACTIONS(8372), 1,
      anon_sym_from,
    STATE(6075), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172434] = 3,
    ACTIONS(9113), 1,
      sym_identifier,
    ACTIONS(9115), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172445] = 3,
    ACTIONS(9117), 1,
      sym_identifier,
    ACTIONS(9119), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172456] = 3,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    STATE(1745), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172467] = 3,
    ACTIONS(9121), 1,
      anon_sym_SEMI,
    ACTIONS(9123), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172478] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6019), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [172487] = 3,
    ACTIONS(9125), 1,
      anon_sym_in,
    ACTIONS(9127), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172498] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4870), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [172507] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5996), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172518] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9129), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [172527] = 3,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(4518), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172538] = 3,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    STATE(2338), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172549] = 3,
    ACTIONS(9081), 1,
      anon_sym_LPAREN,
    STATE(45), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172560] = 3,
    ACTIONS(9131), 1,
      anon_sym_LPAREN,
    STATE(36), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172571] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2678), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172582] = 3,
    ACTIONS(6959), 1,
      anon_sym_LBRACE,
    STATE(893), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172593] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8822), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [172602] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6397), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172613] = 3,
    ACTIONS(9133), 1,
      sym_identifier,
    STATE(5205), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172624] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2658), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172635] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6443), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172646] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2661), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172657] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6101), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172668] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2641), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172679] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8323), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [172688] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2645), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172699] = 3,
    ACTIONS(9135), 1,
      sym_identifier,
    ACTIONS(9137), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172710] = 3,
    ACTIONS(6959), 1,
      anon_sym_LBRACE,
    STATE(831), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172721] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4897), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [172730] = 3,
    ACTIONS(9139), 1,
      sym_identifier,
    ACTIONS(9141), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172741] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6261), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172752] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2651), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172763] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2634), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172774] = 3,
    ACTIONS(9143), 1,
      sym_identifier,
    ACTIONS(9145), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172785] = 3,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    STATE(1729), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172796] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9147), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [172805] = 3,
    ACTIONS(9149), 1,
      sym_identifier,
    ACTIONS(9151), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172816] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2659), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172827] = 3,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    STATE(2198), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172838] = 3,
    ACTIONS(6632), 1,
      anon_sym_COLON,
    STATE(5214), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172849] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9153), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [172858] = 3,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    STATE(5848), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172869] = 3,
    ACTIONS(8140), 1,
      anon_sym_in,
    ACTIONS(8142), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172880] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2620), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172891] = 3,
    ACTIONS(9155), 1,
      sym_identifier,
    ACTIONS(9157), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172902] = 3,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(763), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172913] = 3,
    ACTIONS(7175), 1,
      anon_sym_LBRACE,
    STATE(211), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172924] = 3,
    ACTIONS(4478), 1,
      anon_sym_LBRACE,
    STATE(1737), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172935] = 3,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    STATE(1749), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172946] = 3,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    STATE(2233), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172957] = 3,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(4271), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172968] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7856), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [172977] = 3,
    ACTIONS(4478), 1,
      anon_sym_LBRACE,
    STATE(1750), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172988] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6025), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [172997] = 3,
    ACTIONS(9023), 1,
      anon_sym_LBRACE,
    STATE(878), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173008] = 3,
    ACTIONS(4478), 1,
      anon_sym_LBRACE,
    STATE(1751), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173019] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8855), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173028] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6035), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173037] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9159), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173046] = 3,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(764), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173057] = 3,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    STATE(2341), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173068] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2635), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173079] = 3,
    ACTIONS(7423), 1,
      anon_sym_LBRACE,
    STATE(774), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173090] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8730), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [173099] = 3,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(755), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173110] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6029), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173119] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6043), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173128] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5973), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173139] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6019), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173148] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(6021), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173159] = 3,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    STATE(2550), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173170] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6199), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173181] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6070), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173190] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6039), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173199] = 3,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    STATE(2240), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173210] = 3,
    ACTIONS(9161), 1,
      sym_identifier,
    ACTIONS(9163), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173221] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2680), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173232] = 3,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    STATE(2243), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173243] = 3,
    ACTIONS(9081), 1,
      anon_sym_LPAREN,
    STATE(42), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173254] = 3,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    STATE(2245), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173265] = 3,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    STATE(2247), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173276] = 3,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    STATE(2220), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173287] = 3,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    STATE(2388), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173298] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(6083), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173309] = 3,
    ACTIONS(9165), 1,
      anon_sym_SEMI,
    ACTIONS(9167), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173320] = 3,
    ACTIONS(9169), 1,
      anon_sym_SEMI,
    ACTIONS(9171), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173331] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9173), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [173340] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9175), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173349] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9177), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [173358] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9179), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173367] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8878), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173376] = 3,
    ACTIONS(9181), 1,
      anon_sym_LBRACE,
    STATE(4114), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173387] = 3,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    STATE(2561), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173398] = 3,
    ACTIONS(4478), 1,
      anon_sym_LBRACE,
    STATE(1739), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173409] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(4178), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173420] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1727), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [173429] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6418), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173440] = 3,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    STATE(3452), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173451] = 3,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    STATE(2378), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173462] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6051), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173471] = 3,
    ACTIONS(9183), 1,
      sym_identifier,
    ACTIONS(9185), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173482] = 3,
    ACTIONS(3254), 1,
      anon_sym_LPAREN,
    STATE(3677), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173493] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6901), 2,
      anon_sym_in,
      anon_sym_of,
  [173502] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [173511] = 3,
    ACTIONS(9187), 1,
      sym_identifier,
    ACTIONS(9189), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173522] = 3,
    ACTIONS(9191), 1,
      sym_identifier,
    ACTIONS(9193), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173533] = 3,
    ACTIONS(9195), 1,
      sym_identifier,
    ACTIONS(9197), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173544] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9199), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [173553] = 3,
    ACTIONS(9201), 1,
      sym_identifier,
    ACTIONS(9203), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173564] = 3,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    STATE(2590), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173575] = 3,
    ACTIONS(9205), 1,
      sym_identifier,
    ACTIONS(9207), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173586] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2640), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173597] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9209), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [173606] = 3,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    STATE(2570), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173617] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2629), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173628] = 3,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(4169), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173639] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6029), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173648] = 3,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    STATE(2392), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173659] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2636), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173670] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6099), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173679] = 3,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    STATE(2401), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173690] = 3,
    ACTIONS(9211), 1,
      sym_identifier,
    ACTIONS(9213), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173701] = 3,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(4308), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173712] = 3,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    STATE(2377), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173723] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6047), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173732] = 3,
    ACTIONS(9215), 1,
      anon_sym_LBRACE,
    STATE(5846), 1,
      sym_object,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173743] = 3,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    STATE(2203), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173754] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9217), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173763] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2638), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173774] = 3,
    ACTIONS(9219), 1,
      sym_identifier,
    STATE(5577), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173785] = 3,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    STATE(2211), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173796] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6051), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173805] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2672), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173816] = 3,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    STATE(2213), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173827] = 3,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(4318), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173838] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(6065), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173849] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2671), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173860] = 3,
    ACTIONS(8580), 1,
      sym_identifier,
    ACTIONS(8584), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173871] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2642), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173882] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6103), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173891] = 3,
    ACTIONS(9221), 1,
      sym_identifier,
    ACTIONS(9223), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173902] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2650), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173913] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6167), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173924] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2677), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173935] = 3,
    ACTIONS(8372), 1,
      anon_sym_from,
    STATE(4757), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173946] = 3,
    ACTIONS(9225), 1,
      sym_identifier,
    ACTIONS(9227), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173957] = 3,
    ACTIONS(9229), 1,
      sym_identifier,
    ACTIONS(9231), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173968] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(3998), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173979] = 3,
    ACTIONS(9233), 1,
      sym_identifier,
    ACTIONS(9235), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173990] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(4198), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174001] = 3,
    ACTIONS(9237), 1,
      sym_identifier,
    ACTIONS(9239), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174012] = 3,
    ACTIONS(4478), 1,
      anon_sym_LBRACE,
    STATE(1758), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174023] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6268), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174034] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6318), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174045] = 3,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9243), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174056] = 3,
    ACTIONS(9245), 1,
      sym_identifier,
    ACTIONS(9247), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174067] = 3,
    ACTIONS(9249), 1,
      sym_identifier,
    ACTIONS(9251), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174078] = 3,
    ACTIONS(9131), 1,
      anon_sym_LPAREN,
    STATE(49), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174089] = 3,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    STATE(1759), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174100] = 3,
    ACTIONS(9081), 1,
      anon_sym_LPAREN,
    STATE(6061), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174111] = 3,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    STATE(1662), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174122] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(6086), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174133] = 3,
    ACTIONS(4478), 1,
      anon_sym_LBRACE,
    STATE(1698), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174144] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6337), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174155] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6025), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174164] = 3,
    ACTIONS(9253), 1,
      anon_sym_LPAREN,
    STATE(767), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174175] = 3,
    ACTIONS(8372), 1,
      anon_sym_from,
    STATE(5861), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174186] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2656), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174197] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5785), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174208] = 3,
    ACTIONS(7423), 1,
      anon_sym_LBRACE,
    STATE(4209), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174219] = 3,
    ACTIONS(3499), 1,
      anon_sym_LPAREN,
    STATE(1272), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174230] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9255), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [174239] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(902), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174250] = 3,
    ACTIONS(9257), 1,
      anon_sym_COMMA,
    ACTIONS(9259), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174261] = 3,
    ACTIONS(6959), 1,
      anon_sym_LBRACE,
    STATE(794), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174272] = 3,
    ACTIONS(6959), 1,
      anon_sym_LBRACE,
    STATE(879), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174283] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9261), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174292] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(758), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174303] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9263), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174312] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(723), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174323] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8803), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [174332] = 3,
    ACTIONS(9265), 1,
      sym_identifier,
    ACTIONS(9267), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174343] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2618), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174354] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2676), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174365] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8950), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [174374] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2646), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174385] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(785), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174396] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7634), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [174405] = 3,
    ACTIONS(7423), 1,
      anon_sym_LBRACE,
    STATE(4214), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174416] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2631), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174427] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4672), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174436] = 3,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    STATE(2214), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174447] = 3,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    STATE(1684), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174458] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9269), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174467] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9271), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [174476] = 3,
    ACTIONS(7423), 1,
      anon_sym_LBRACE,
    STATE(4660), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174487] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2679), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174498] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9273), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174507] = 3,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    STATE(2216), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174518] = 3,
    ACTIONS(9275), 1,
      sym_identifier,
    ACTIONS(9277), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174529] = 3,
    ACTIONS(9181), 1,
      anon_sym_LBRACE,
    STATE(4662), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174540] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4939), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174549] = 3,
    ACTIONS(9279), 1,
      sym_identifier,
    ACTIONS(9281), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174560] = 3,
    ACTIONS(9283), 1,
      sym_identifier,
    ACTIONS(9285), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174571] = 3,
    ACTIONS(9287), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_switch_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174582] = 3,
    ACTIONS(9289), 1,
      sym_identifier,
    ACTIONS(9291), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174593] = 3,
    ACTIONS(8987), 1,
      sym_identifier,
    ACTIONS(8991), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174604] = 3,
    ACTIONS(9293), 1,
      sym_identifier,
    ACTIONS(9295), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174615] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174624] = 3,
    ACTIONS(7423), 1,
      anon_sym_LBRACE,
    STATE(787), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174635] = 3,
    ACTIONS(4411), 1,
      anon_sym_LBRACE,
    STATE(2684), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174646] = 3,
    ACTIONS(1707), 1,
      anon_sym_LBRACE,
    STATE(217), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174657] = 3,
    ACTIONS(9297), 1,
      anon_sym_SEMI,
    ACTIONS(9299), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174668] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8528), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174677] = 3,
    ACTIONS(4093), 1,
      anon_sym_LBRACE,
    STATE(2172), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174688] = 3,
    ACTIONS(8652), 1,
      sym_identifier,
    ACTIONS(8656), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174699] = 3,
    ACTIONS(9301), 1,
      sym_identifier,
    ACTIONS(9303), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174710] = 3,
    ACTIONS(9305), 1,
      sym_identifier,
    ACTIONS(9307), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174721] = 3,
    ACTIONS(9309), 1,
      anon_sym_SEMI,
    ACTIONS(9311), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174732] = 3,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(5976), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174743] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9313), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174752] = 3,
    ACTIONS(9315), 1,
      sym_identifier,
    ACTIONS(9317), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174763] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2639), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174774] = 3,
    ACTIONS(9319), 1,
      anon_sym_SEMI,
    ACTIONS(9321), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174785] = 3,
    ACTIONS(6905), 1,
      anon_sym_LBRACE,
    STATE(2217), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174796] = 3,
    ACTIONS(9323), 1,
      sym_identifier,
    ACTIONS(9325), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174807] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6035), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174816] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9327), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [174825] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2667), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174836] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6095), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174845] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6276), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174856] = 3,
    ACTIONS(4478), 1,
      anon_sym_LBRACE,
    STATE(1686), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174867] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(4623), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174878] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6289), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174889] = 3,
    ACTIONS(7668), 1,
      anon_sym_LBRACE,
    STATE(2621), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174900] = 3,
    ACTIONS(7175), 1,
      anon_sym_LBRACE,
    STATE(213), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174911] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(4627), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174922] = 3,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    STATE(6299), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174933] = 3,
    ACTIONS(4478), 1,
      anon_sym_LBRACE,
    STATE(1690), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174944] = 3,
    ACTIONS(7191), 1,
      anon_sym_LBRACE,
    STATE(4124), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174955] = 3,
    ACTIONS(6939), 1,
      anon_sym_LBRACE,
    STATE(1755), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174966] = 2,
    ACTIONS(9329), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174974] = 2,
    ACTIONS(9331), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174982] = 2,
    ACTIONS(9333), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174990] = 2,
    ACTIONS(9335), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174998] = 2,
    ACTIONS(9337), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175006] = 2,
    ACTIONS(9339), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175014] = 2,
    ACTIONS(4598), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175022] = 2,
    ACTIONS(5495), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175030] = 2,
    ACTIONS(9341), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175038] = 2,
    ACTIONS(9343), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175046] = 2,
    ACTIONS(9345), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175054] = 2,
    ACTIONS(9347), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175062] = 2,
    ACTIONS(9349), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175070] = 2,
    ACTIONS(9351), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175078] = 2,
    ACTIONS(9353), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175086] = 2,
    ACTIONS(9355), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175094] = 2,
    ACTIONS(9357), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175102] = 2,
    ACTIONS(9359), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175110] = 2,
    ACTIONS(9361), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175118] = 2,
    ACTIONS(9363), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175126] = 2,
    ACTIONS(9365), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175134] = 2,
    ACTIONS(9367), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175142] = 2,
    ACTIONS(9369), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175150] = 2,
    ACTIONS(4359), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175158] = 2,
    ACTIONS(9371), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175166] = 2,
    ACTIONS(9373), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175174] = 2,
    ACTIONS(9375), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175182] = 2,
    ACTIONS(9377), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175190] = 2,
    ACTIONS(8572), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175198] = 2,
    ACTIONS(9379), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175206] = 2,
    ACTIONS(9381), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175214] = 2,
    ACTIONS(8890), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175222] = 2,
    ACTIONS(8644), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175230] = 2,
    ACTIONS(9383), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175238] = 2,
    ACTIONS(9385), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175246] = 2,
    ACTIONS(9387), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175254] = 2,
    ACTIONS(9389), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175262] = 2,
    ACTIONS(9391), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175270] = 2,
    ACTIONS(9393), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175278] = 2,
    ACTIONS(9395), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175286] = 2,
    ACTIONS(9397), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175294] = 2,
    ACTIONS(9399), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175302] = 2,
    ACTIONS(9401), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175310] = 2,
    ACTIONS(9403), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175318] = 2,
    ACTIONS(9405), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175326] = 2,
    ACTIONS(9407), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175334] = 2,
    ACTIONS(9409), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175342] = 2,
    ACTIONS(9411), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175350] = 2,
    ACTIONS(9413), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175358] = 2,
    ACTIONS(9415), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175366] = 2,
    ACTIONS(9417), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175374] = 2,
    ACTIONS(9419), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175382] = 2,
    ACTIONS(9421), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175390] = 2,
    ACTIONS(5154), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175398] = 2,
    ACTIONS(7607), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175406] = 2,
    ACTIONS(9423), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175414] = 2,
    ACTIONS(9425), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175422] = 2,
    ACTIONS(5156), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175430] = 2,
    ACTIONS(9427), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175438] = 2,
    ACTIONS(5569), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175446] = 2,
    ACTIONS(9429), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175454] = 2,
    ACTIONS(9431), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175462] = 2,
    ACTIONS(9433), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175470] = 2,
    ACTIONS(9435), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175478] = 2,
    ACTIONS(9437), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175486] = 2,
    ACTIONS(4458), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175494] = 2,
    ACTIONS(9439), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175502] = 2,
    ACTIONS(9441), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175510] = 2,
    ACTIONS(9443), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175518] = 2,
    ACTIONS(9445), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175526] = 2,
    ACTIONS(9447), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175534] = 2,
    ACTIONS(9449), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175542] = 2,
    ACTIONS(9451), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175550] = 2,
    ACTIONS(9453), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175558] = 2,
    ACTIONS(5158), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175566] = 2,
    ACTIONS(9455), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175574] = 2,
    ACTIONS(9457), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175582] = 2,
    ACTIONS(9459), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175590] = 2,
    ACTIONS(5160), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175598] = 2,
    ACTIONS(9461), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175606] = 2,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175614] = 2,
    ACTIONS(4407), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175622] = 2,
    ACTIONS(9465), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175630] = 2,
    ACTIONS(9467), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175638] = 2,
    ACTIONS(4397), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175646] = 2,
    ACTIONS(5079), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175654] = 2,
    ACTIONS(9469), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175662] = 2,
    ACTIONS(9471), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175670] = 2,
    ACTIONS(9473), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175678] = 2,
    ACTIONS(9475), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175686] = 2,
    ACTIONS(9477), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175694] = 2,
    ACTIONS(8900), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175702] = 2,
    ACTIONS(5083), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175710] = 2,
    ACTIONS(9479), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175718] = 2,
    ACTIONS(9481), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175726] = 2,
    ACTIONS(6153), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175734] = 2,
    ACTIONS(9483), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9485), 1,
      anon_sym_SLASH2,
  [175752] = 2,
    ACTIONS(5096), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175760] = 2,
    ACTIONS(9487), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175768] = 2,
    ACTIONS(9489), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175776] = 2,
    ACTIONS(9491), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175784] = 2,
    ACTIONS(9493), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175792] = 2,
    ACTIONS(9495), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175800] = 2,
    ACTIONS(6943), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175808] = 2,
    ACTIONS(5189), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175816] = 2,
    ACTIONS(4998), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175824] = 2,
    ACTIONS(9497), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175832] = 2,
    ACTIONS(9499), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175840] = 2,
    ACTIONS(9501), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175848] = 2,
    ACTIONS(9503), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175856] = 2,
    ACTIONS(9505), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175864] = 2,
    ACTIONS(9507), 1,
      anon_sym_namespace,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175872] = 2,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175880] = 2,
    ACTIONS(4965), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175888] = 2,
    ACTIONS(9511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175896] = 2,
    ACTIONS(9513), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175904] = 2,
    ACTIONS(9515), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175912] = 2,
    ACTIONS(9517), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175920] = 2,
    ACTIONS(9519), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175928] = 2,
    ACTIONS(9521), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175936] = 2,
    ACTIONS(9523), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175944] = 2,
    ACTIONS(9525), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175952] = 2,
    ACTIONS(9527), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175960] = 2,
    ACTIONS(9529), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175968] = 2,
    ACTIONS(9531), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175976] = 2,
    ACTIONS(9533), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175984] = 2,
    ACTIONS(9259), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175992] = 2,
    ACTIONS(9535), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176000] = 2,
    ACTIONS(9537), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176008] = 2,
    ACTIONS(9539), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176016] = 2,
    ACTIONS(9541), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176024] = 2,
    ACTIONS(9543), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176032] = 2,
    ACTIONS(9545), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176040] = 2,
    ACTIONS(9547), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176048] = 2,
    ACTIONS(9549), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176056] = 2,
    ACTIONS(8928), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176064] = 2,
    ACTIONS(9551), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176072] = 2,
    ACTIONS(9553), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9555), 1,
      sym_regex_pattern,
  [176090] = 2,
    ACTIONS(9557), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176098] = 2,
    ACTIONS(9559), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176106] = 2,
    ACTIONS(9561), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176114] = 2,
    ACTIONS(9563), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176122] = 2,
    ACTIONS(9565), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176130] = 2,
    ACTIONS(9567), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176138] = 2,
    ACTIONS(9569), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176146] = 2,
    ACTIONS(9571), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176154] = 2,
    ACTIONS(9573), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176162] = 2,
    ACTIONS(9575), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176170] = 2,
    ACTIONS(9577), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176178] = 2,
    ACTIONS(9579), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176186] = 2,
    ACTIONS(9581), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176194] = 2,
    ACTIONS(8714), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176202] = 2,
    ACTIONS(9583), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176210] = 2,
    ACTIONS(9585), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176218] = 2,
    ACTIONS(9587), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176226] = 2,
    ACTIONS(9589), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176234] = 2,
    ACTIONS(9591), 1,
      anon_sym_require,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176242] = 2,
    ACTIONS(9593), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176250] = 2,
    ACTIONS(9595), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176258] = 2,
    ACTIONS(4331), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176266] = 2,
    ACTIONS(9597), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176274] = 2,
    ACTIONS(9599), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176282] = 2,
    ACTIONS(9601), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176290] = 2,
    ACTIONS(9603), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176298] = 2,
    ACTIONS(9605), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176306] = 2,
    ACTIONS(9607), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176314] = 2,
    ACTIONS(9609), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176322] = 2,
    ACTIONS(9611), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176330] = 2,
    ACTIONS(9613), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176338] = 2,
    ACTIONS(9615), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176346] = 2,
    ACTIONS(9617), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176354] = 2,
    ACTIONS(9619), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176362] = 2,
    ACTIONS(9621), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176370] = 2,
    ACTIONS(9623), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9625), 1,
      anon_sym_SLASH2,
  [176388] = 2,
    ACTIONS(5085), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176396] = 2,
    ACTIONS(9627), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176404] = 2,
    ACTIONS(9629), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176412] = 2,
    ACTIONS(9631), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176420] = 2,
    ACTIONS(9633), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176428] = 2,
    ACTIONS(9635), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176436] = 2,
    ACTIONS(9637), 1,
      anon_sym_while,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176444] = 2,
    ACTIONS(9639), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176452] = 2,
    ACTIONS(9641), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176460] = 2,
    ACTIONS(9643), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176468] = 2,
    ACTIONS(9645), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176476] = 2,
    ACTIONS(9647), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176484] = 2,
    ACTIONS(9649), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176492] = 2,
    ACTIONS(9651), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176500] = 2,
    ACTIONS(9653), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176508] = 2,
    ACTIONS(9655), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176516] = 2,
    ACTIONS(9657), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9659), 1,
      anon_sym_SLASH2,
  [176534] = 2,
    ACTIONS(9661), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176542] = 2,
    ACTIONS(7439), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176550] = 2,
    ACTIONS(9663), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176558] = 2,
    ACTIONS(7555), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176566] = 2,
    ACTIONS(9665), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176574] = 2,
    ACTIONS(9667), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176582] = 2,
    ACTIONS(9669), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176590] = 2,
    ACTIONS(9671), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176598] = 2,
    ACTIONS(9673), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176606] = 2,
    ACTIONS(9675), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176614] = 2,
    ACTIONS(9677), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176622] = 2,
    ACTIONS(9679), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176630] = 2,
    ACTIONS(9681), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176638] = 2,
    ACTIONS(9683), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176646] = 2,
    ACTIONS(9685), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176654] = 2,
    ACTIONS(9687), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176662] = 2,
    ACTIONS(9689), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9691), 1,
      anon_sym_SLASH2,
  [176680] = 2,
    ACTIONS(9693), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176688] = 2,
    ACTIONS(9695), 1,
      anon_sym_namespace,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176696] = 2,
    ACTIONS(5152), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176704] = 2,
    ACTIONS(9697), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176712] = 2,
    ACTIONS(7930), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176720] = 2,
    ACTIONS(9699), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176728] = 2,
    ACTIONS(9701), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176736] = 2,
    ACTIONS(9703), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9705), 1,
      anon_sym_SLASH2,
  [176754] = 2,
    ACTIONS(9707), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176762] = 2,
    ACTIONS(9709), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176770] = 2,
    ACTIONS(9711), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176778] = 2,
    ACTIONS(9713), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9715), 1,
      sym_regex_pattern,
  [176796] = 2,
    ACTIONS(9717), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176804] = 2,
    ACTIONS(9719), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176812] = 2,
    ACTIONS(8228), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176820] = 2,
    ACTIONS(6720), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176828] = 2,
    ACTIONS(8568), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176836] = 2,
    ACTIONS(9721), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176844] = 2,
    ACTIONS(9723), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176852] = 2,
    ACTIONS(9725), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176860] = 2,
    ACTIONS(9727), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176868] = 2,
    ACTIONS(9729), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176876] = 2,
    ACTIONS(9731), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176884] = 2,
    ACTIONS(9733), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176892] = 2,
    ACTIONS(9735), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176900] = 2,
    ACTIONS(9737), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176908] = 2,
    ACTIONS(9739), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176916] = 2,
    ACTIONS(9741), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176924] = 2,
    ACTIONS(9743), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176932] = 2,
    ACTIONS(5798), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176940] = 2,
    ACTIONS(9745), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176948] = 2,
    ACTIONS(9747), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176956] = 2,
    ACTIONS(9749), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176964] = 2,
    ACTIONS(9751), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176972] = 2,
    ACTIONS(9753), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176980] = 2,
    ACTIONS(9755), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176988] = 2,
    ACTIONS(9757), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176996] = 2,
    ACTIONS(9759), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177004] = 2,
    ACTIONS(9761), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177012] = 2,
    ACTIONS(9763), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177020] = 2,
    ACTIONS(9765), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177028] = 2,
    ACTIONS(9767), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177036] = 2,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177044] = 2,
    ACTIONS(9771), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177052] = 2,
    ACTIONS(9773), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177060] = 2,
    ACTIONS(6828), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177068] = 2,
    ACTIONS(5445), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177076] = 2,
    ACTIONS(8648), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177084] = 2,
    ACTIONS(9775), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177092] = 2,
    ACTIONS(9777), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177100] = 2,
    ACTIONS(9779), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177108] = 2,
    ACTIONS(9781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177116] = 2,
    ACTIONS(9783), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177124] = 2,
    ACTIONS(9785), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177132] = 2,
    ACTIONS(9787), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177140] = 2,
    ACTIONS(9789), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177148] = 2,
    ACTIONS(9791), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177156] = 2,
    ACTIONS(9793), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177164] = 2,
    ACTIONS(9795), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177172] = 2,
    ACTIONS(9797), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177180] = 2,
    ACTIONS(8824), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177188] = 2,
    ACTIONS(9799), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177196] = 2,
    ACTIONS(9801), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177204] = 2,
    ACTIONS(9803), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177212] = 2,
    ACTIONS(9805), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177220] = 2,
    ACTIONS(9807), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177228] = 2,
    ACTIONS(9809), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177236] = 2,
    ACTIONS(9811), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177244] = 2,
    ACTIONS(9813), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177252] = 2,
    ACTIONS(5026), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177260] = 2,
    ACTIONS(9815), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177268] = 2,
    ACTIONS(9817), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177276] = 2,
    ACTIONS(4789), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177284] = 2,
    ACTIONS(9819), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177292] = 2,
    ACTIONS(9821), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177300] = 2,
    ACTIONS(9823), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177308] = 2,
    ACTIONS(9825), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177316] = 2,
    ACTIONS(9827), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177324] = 2,
    ACTIONS(9829), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177332] = 2,
    ACTIONS(8904), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177340] = 2,
    ACTIONS(9831), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177348] = 2,
    ACTIONS(9833), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177356] = 2,
    ACTIONS(9835), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177364] = 2,
    ACTIONS(9837), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177372] = 2,
    ACTIONS(9839), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177380] = 2,
    ACTIONS(9841), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177388] = 2,
    ACTIONS(7762), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177396] = 2,
    ACTIONS(9843), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177404] = 2,
    ACTIONS(9845), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9847), 1,
      sym_regex_pattern,
  [177422] = 2,
    ACTIONS(9849), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177430] = 2,
    ACTIONS(9851), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177438] = 2,
    ACTIONS(9853), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177446] = 2,
    ACTIONS(9855), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177454] = 2,
    ACTIONS(9857), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177462] = 2,
    ACTIONS(9859), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177470] = 2,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177478] = 2,
    ACTIONS(9863), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177486] = 2,
    ACTIONS(4558), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177494] = 2,
    ACTIONS(9865), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177502] = 2,
    ACTIONS(9867), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177510] = 2,
    ACTIONS(9869), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177518] = 2,
    ACTIONS(9871), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177526] = 2,
    ACTIONS(9873), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177534] = 2,
    ACTIONS(9875), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177542] = 2,
    ACTIONS(9877), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177550] = 2,
    ACTIONS(9879), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177558] = 2,
    ACTIONS(9881), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177566] = 2,
    ACTIONS(9883), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177574] = 2,
    ACTIONS(9885), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177582] = 2,
    ACTIONS(9887), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177590] = 2,
    ACTIONS(9889), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177598] = 2,
    ACTIONS(9891), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177606] = 2,
    ACTIONS(9893), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177614] = 2,
    ACTIONS(9895), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177622] = 2,
    ACTIONS(9897), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177630] = 2,
    ACTIONS(9899), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9901), 1,
      sym_regex_pattern,
  [177648] = 2,
    ACTIONS(9903), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177656] = 2,
    ACTIONS(9905), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177664] = 2,
    ACTIONS(9907), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177672] = 2,
    ACTIONS(9909), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177680] = 2,
    ACTIONS(9911), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177688] = 2,
    ACTIONS(9913), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177696] = 2,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177704] = 2,
    ACTIONS(9917), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177712] = 2,
    ACTIONS(9919), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177720] = 2,
    ACTIONS(9921), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177728] = 2,
    ACTIONS(9923), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177736] = 2,
    ACTIONS(9925), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177744] = 2,
    ACTIONS(9927), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177752] = 2,
    ACTIONS(9929), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177760] = 2,
    ACTIONS(9931), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177768] = 2,
    ACTIONS(8622), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177776] = 2,
    ACTIONS(9933), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177784] = 2,
    ACTIONS(9935), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177792] = 2,
    ACTIONS(9937), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177800] = 2,
    ACTIONS(9939), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177808] = 2,
    ACTIONS(4087), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177816] = 2,
    ACTIONS(9941), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177824] = 2,
    ACTIONS(9943), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177832] = 2,
    ACTIONS(9945), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177840] = 2,
    ACTIONS(7884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177848] = 2,
    ACTIONS(9947), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177856] = 2,
    ACTIONS(9949), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177864] = 2,
    ACTIONS(9951), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177872] = 2,
    ACTIONS(9953), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177880] = 2,
    ACTIONS(9955), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177888] = 2,
    ACTIONS(9957), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177896] = 2,
    ACTIONS(9959), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177904] = 2,
    ACTIONS(9961), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177912] = 2,
    ACTIONS(9963), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177920] = 2,
    ACTIONS(9965), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177928] = 2,
    ACTIONS(9967), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177936] = 2,
    ACTIONS(9969), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177944] = 2,
    ACTIONS(9971), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177952] = 2,
    ACTIONS(9973), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177960] = 2,
    ACTIONS(9975), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9977), 1,
      sym_regex_pattern,
  [177978] = 2,
    ACTIONS(9979), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177986] = 2,
    ACTIONS(9981), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177994] = 2,
    ACTIONS(9983), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178002] = 2,
    ACTIONS(9985), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178010] = 2,
    ACTIONS(9987), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178018] = 2,
    ACTIONS(9989), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178026] = 2,
    ACTIONS(9991), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178034] = 2,
    ACTIONS(9993), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178042] = 2,
    ACTIONS(9995), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178050] = 2,
    ACTIONS(9997), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178058] = 2,
    ACTIONS(9999), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178066] = 2,
    ACTIONS(10001), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178074] = 2,
    ACTIONS(5106), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1168)] = 0,
  [SMALL_STATE(1169)] = 89,
  [SMALL_STATE(1170)] = 182,
  [SMALL_STATE(1171)] = 271,
  [SMALL_STATE(1172)] = 366,
  [SMALL_STATE(1173)] = 455,
  [SMALL_STATE(1174)] = 546,
  [SMALL_STATE(1175)] = 639,
  [SMALL_STATE(1176)] = 728,
  [SMALL_STATE(1177)] = 821,
  [SMALL_STATE(1178)] = 907,
  [SMALL_STATE(1179)] = 997,
  [SMALL_STATE(1180)] = 1067,
  [SMALL_STATE(1181)] = 1137,
  [SMALL_STATE(1182)] = 1207,
  [SMALL_STATE(1183)] = 1293,
  [SMALL_STATE(1184)] = 1381,
  [SMALL_STATE(1185)] = 1469,
  [SMALL_STATE(1186)] = 1539,
  [SMALL_STATE(1187)] = 1627,
  [SMALL_STATE(1188)] = 1715,
  [SMALL_STATE(1189)] = 1785,
  [SMALL_STATE(1190)] = 1877,
  [SMALL_STATE(1191)] = 1969,
  [SMALL_STATE(1192)] = 2057,
  [SMALL_STATE(1193)] = 2129,
  [SMALL_STATE(1194)] = 2199,
  [SMALL_STATE(1195)] = 2271,
  [SMALL_STATE(1196)] = 2361,
  [SMALL_STATE(1197)] = 2451,
  [SMALL_STATE(1198)] = 2541,
  [SMALL_STATE(1199)] = 2631,
  [SMALL_STATE(1200)] = 2721,
  [SMALL_STATE(1201)] = 2811,
  [SMALL_STATE(1202)] = 2901,
  [SMALL_STATE(1203)] = 2971,
  [SMALL_STATE(1204)] = 3058,
  [SMALL_STATE(1205)] = 3137,
  [SMALL_STATE(1206)] = 3228,
  [SMALL_STATE(1207)] = 3315,
  [SMALL_STATE(1208)] = 3406,
  [SMALL_STATE(1209)] = 3495,
  [SMALL_STATE(1210)] = 3584,
  [SMALL_STATE(1211)] = 3679,
  [SMALL_STATE(1212)] = 3770,
  [SMALL_STATE(1213)] = 3857,
  [SMALL_STATE(1214)] = 3944,
  [SMALL_STATE(1215)] = 4013,
  [SMALL_STATE(1216)] = 4086,
  [SMALL_STATE(1217)] = 4155,
  [SMALL_STATE(1218)] = 4242,
  [SMALL_STATE(1219)] = 4329,
  [SMALL_STATE(1220)] = 4420,
  [SMALL_STATE(1221)] = 4510,
  [SMALL_STATE(1222)] = 4596,
  [SMALL_STATE(1223)] = 4674,
  [SMALL_STATE(1224)] = 4760,
  [SMALL_STATE(1225)] = 4846,
  [SMALL_STATE(1226)] = 4920,
  [SMALL_STATE(1227)] = 5006,
  [SMALL_STATE(1228)] = 5092,
  [SMALL_STATE(1229)] = 5168,
  [SMALL_STATE(1230)] = 5254,
  [SMALL_STATE(1231)] = 5340,
  [SMALL_STATE(1232)] = 5430,
  [SMALL_STATE(1233)] = 5516,
  [SMALL_STATE(1234)] = 5602,
  [SMALL_STATE(1235)] = 5680,
  [SMALL_STATE(1236)] = 5770,
  [SMALL_STATE(1237)] = 5860,
  [SMALL_STATE(1238)] = 5946,
  [SMALL_STATE(1239)] = 6032,
  [SMALL_STATE(1240)] = 6110,
  [SMALL_STATE(1241)] = 6202,
  [SMALL_STATE(1242)] = 6280,
  [SMALL_STATE(1243)] = 6366,
  [SMALL_STATE(1244)] = 6452,
  [SMALL_STATE(1245)] = 6542,
  [SMALL_STATE(1246)] = 6628,
  [SMALL_STATE(1247)] = 6714,
  [SMALL_STATE(1248)] = 6806,
  [SMALL_STATE(1249)] = 6886,
  [SMALL_STATE(1250)] = 6953,
  [SMALL_STATE(1251)] = 7036,
  [SMALL_STATE(1252)] = 7103,
  [SMALL_STATE(1253)] = 7188,
  [SMALL_STATE(1254)] = 7277,
  [SMALL_STATE(1255)] = 7352,
  [SMALL_STATE(1256)] = 7421,
  [SMALL_STATE(1257)] = 7508,
  [SMALL_STATE(1258)] = 7597,
  [SMALL_STATE(1259)] = 7682,
  [SMALL_STATE(1260)] = 7759,
  [SMALL_STATE(1261)] = 7828,
  [SMALL_STATE(1262)] = 7905,
  [SMALL_STATE(1263)] = 7994,
  [SMALL_STATE(1264)] = 8073,
  [SMALL_STATE(1265)] = 8158,
  [SMALL_STATE(1266)] = 8227,
  [SMALL_STATE(1267)] = 8316,
  [SMALL_STATE(1268)] = 8395,
  [SMALL_STATE(1269)] = 8462,
  [SMALL_STATE(1270)] = 8531,
  [SMALL_STATE(1271)] = 8606,
  [SMALL_STATE(1272)] = 8689,
  [SMALL_STATE(1273)] = 8756,
  [SMALL_STATE(1274)] = 8823,
  [SMALL_STATE(1275)] = 8912,
  [SMALL_STATE(1276)] = 8991,
  [SMALL_STATE(1277)] = 9080,
  [SMALL_STATE(1278)] = 9146,
  [SMALL_STATE(1279)] = 9234,
  [SMALL_STATE(1280)] = 9310,
  [SMALL_STATE(1281)] = 9382,
  [SMALL_STATE(1282)] = 9454,
  [SMALL_STATE(1283)] = 9538,
  [SMALL_STATE(1284)] = 9616,
  [SMALL_STATE(1285)] = 9682,
  [SMALL_STATE(1286)] = 9760,
  [SMALL_STATE(1287)] = 9832,
  [SMALL_STATE(1288)] = 9898,
  [SMALL_STATE(1289)] = 9974,
  [SMALL_STATE(1290)] = 10046,
  [SMALL_STATE(1291)] = 10122,
  [SMALL_STATE(1292)] = 10198,
  [SMALL_STATE(1293)] = 10270,
  [SMALL_STATE(1294)] = 10342,
  [SMALL_STATE(1295)] = 10422,
  [SMALL_STATE(1296)] = 10498,
  [SMALL_STATE(1297)] = 10586,
  [SMALL_STATE(1298)] = 10660,
  [SMALL_STATE(1299)] = 10726,
  [SMALL_STATE(1300)] = 10798,
  [SMALL_STATE(1301)] = 10864,
  [SMALL_STATE(1302)] = 10936,
  [SMALL_STATE(1303)] = 11020,
  [SMALL_STATE(1304)] = 11092,
  [SMALL_STATE(1305)] = 11158,
  [SMALL_STATE(1306)] = 11230,
  [SMALL_STATE(1307)] = 11314,
  [SMALL_STATE(1308)] = 11384,
  [SMALL_STATE(1309)] = 11450,
  [SMALL_STATE(1310)] = 11524,
  [SMALL_STATE(1311)] = 11592,
  [SMALL_STATE(1312)] = 11658,
  [SMALL_STATE(1313)] = 11736,
  [SMALL_STATE(1314)] = 11808,
  [SMALL_STATE(1315)] = 11882,
  [SMALL_STATE(1316)] = 11948,
  [SMALL_STATE(1317)] = 12016,
  [SMALL_STATE(1318)] = 12096,
  [SMALL_STATE(1319)] = 12178,
  [SMALL_STATE(1320)] = 12262,
  [SMALL_STATE(1321)] = 12336,
  [SMALL_STATE(1322)] = 12408,
  [SMALL_STATE(1323)] = 12481,
  [SMALL_STATE(1324)] = 12558,
  [SMALL_STATE(1325)] = 12637,
  [SMALL_STATE(1326)] = 12710,
  [SMALL_STATE(1327)] = 12781,
  [SMALL_STATE(1328)] = 12854,
  [SMALL_STATE(1329)] = 12927,
  [SMALL_STATE(1330)] = 12998,
  [SMALL_STATE(1331)] = 13081,
  [SMALL_STATE(1332)] = 13150,
  [SMALL_STATE(1333)] = 13219,
  [SMALL_STATE(1334)] = 13296,
  [SMALL_STATE(1335)] = 13363,
  [SMALL_STATE(1336)] = 13430,
  [SMALL_STATE(1337)] = 13501,
  [SMALL_STATE(1338)] = 13570,
  [SMALL_STATE(1339)] = 13641,
  [SMALL_STATE(1340)] = 13714,
  [SMALL_STATE(1341)] = 13785,
  [SMALL_STATE(1342)] = 13858,
  [SMALL_STATE(1343)] = 13931,
  [SMALL_STATE(1344)] = 14004,
  [SMALL_STATE(1345)] = 14073,
  [SMALL_STATE(1346)] = 14144,
  [SMALL_STATE(1347)] = 14221,
  [SMALL_STATE(1348)] = 14290,
  [SMALL_STATE(1349)] = 14367,
  [SMALL_STATE(1350)] = 14444,
  [SMALL_STATE(1351)] = 14515,
  [SMALL_STATE(1352)] = 14586,
  [SMALL_STATE(1353)] = 14660,
  [SMALL_STATE(1354)] = 14732,
  [SMALL_STATE(1355)] = 14802,
  [SMALL_STATE(1356)] = 14872,
  [SMALL_STATE(1357)] = 14948,
  [SMALL_STATE(1358)] = 15018,
  [SMALL_STATE(1359)] = 15086,
  [SMALL_STATE(1360)] = 15160,
  [SMALL_STATE(1361)] = 15230,
  [SMALL_STATE(1362)] = 15304,
  [SMALL_STATE(1363)] = 15370,
  [SMALL_STATE(1364)] = 15436,
  [SMALL_STATE(1365)] = 15556,
  [SMALL_STATE(1366)] = 15628,
  [SMALL_STATE(1367)] = 15702,
  [SMALL_STATE(1368)] = 15822,
  [SMALL_STATE(1369)] = 15942,
  [SMALL_STATE(1370)] = 16010,
  [SMALL_STATE(1371)] = 16130,
  [SMALL_STATE(1372)] = 16250,
  [SMALL_STATE(1373)] = 16370,
  [SMALL_STATE(1374)] = 16440,
  [SMALL_STATE(1375)] = 16509,
  [SMALL_STATE(1376)] = 16580,
  [SMALL_STATE(1377)] = 16649,
  [SMALL_STATE(1378)] = 16722,
  [SMALL_STATE(1379)] = 16791,
  [SMALL_STATE(1380)] = 16860,
  [SMALL_STATE(1381)] = 16929,
  [SMALL_STATE(1382)] = 16998,
  [SMALL_STATE(1383)] = 17067,
  [SMALL_STATE(1384)] = 17134,
  [SMALL_STATE(1385)] = 17203,
  [SMALL_STATE(1386)] = 17272,
  [SMALL_STATE(1387)] = 17343,
  [SMALL_STATE(1388)] = 17412,
  [SMALL_STATE(1389)] = 17481,
  [SMALL_STATE(1390)] = 17554,
  [SMALL_STATE(1391)] = 17623,
  [SMALL_STATE(1392)] = 17691,
  [SMALL_STATE(1393)] = 17807,
  [SMALL_STATE(1394)] = 17923,
  [SMALL_STATE(1395)] = 18039,
  [SMALL_STATE(1396)] = 18155,
  [SMALL_STATE(1397)] = 18271,
  [SMALL_STATE(1398)] = 18387,
  [SMALL_STATE(1399)] = 18503,
  [SMALL_STATE(1400)] = 18619,
  [SMALL_STATE(1401)] = 18687,
  [SMALL_STATE(1402)] = 18755,
  [SMALL_STATE(1403)] = 18871,
  [SMALL_STATE(1404)] = 18987,
  [SMALL_STATE(1405)] = 19055,
  [SMALL_STATE(1406)] = 19123,
  [SMALL_STATE(1407)] = 19191,
  [SMALL_STATE(1408)] = 19259,
  [SMALL_STATE(1409)] = 19327,
  [SMALL_STATE(1410)] = 19395,
  [SMALL_STATE(1411)] = 19463,
  [SMALL_STATE(1412)] = 19531,
  [SMALL_STATE(1413)] = 19599,
  [SMALL_STATE(1414)] = 19669,
  [SMALL_STATE(1415)] = 19737,
  [SMALL_STATE(1416)] = 19805,
  [SMALL_STATE(1417)] = 19873,
  [SMALL_STATE(1418)] = 19941,
  [SMALL_STATE(1419)] = 20057,
  [SMALL_STATE(1420)] = 20125,
  [SMALL_STATE(1421)] = 20241,
  [SMALL_STATE(1422)] = 20309,
  [SMALL_STATE(1423)] = 20377,
  [SMALL_STATE(1424)] = 20445,
  [SMALL_STATE(1425)] = 20561,
  [SMALL_STATE(1426)] = 20629,
  [SMALL_STATE(1427)] = 20697,
  [SMALL_STATE(1428)] = 20813,
  [SMALL_STATE(1429)] = 20929,
  [SMALL_STATE(1430)] = 21045,
  [SMALL_STATE(1431)] = 21161,
  [SMALL_STATE(1432)] = 21227,
  [SMALL_STATE(1433)] = 21293,
  [SMALL_STATE(1434)] = 21361,
  [SMALL_STATE(1435)] = 21427,
  [SMALL_STATE(1436)] = 21543,
  [SMALL_STATE(1437)] = 21608,
  [SMALL_STATE(1438)] = 21673,
  [SMALL_STATE(1439)] = 21738,
  [SMALL_STATE(1440)] = 21803,
  [SMALL_STATE(1441)] = 21868,
  [SMALL_STATE(1442)] = 21933,
  [SMALL_STATE(1443)] = 21998,
  [SMALL_STATE(1444)] = 22063,
  [SMALL_STATE(1445)] = 22128,
  [SMALL_STATE(1446)] = 22193,
  [SMALL_STATE(1447)] = 22305,
  [SMALL_STATE(1448)] = 22417,
  [SMALL_STATE(1449)] = 22529,
  [SMALL_STATE(1450)] = 22641,
  [SMALL_STATE(1451)] = 22753,
  [SMALL_STATE(1452)] = 22865,
  [SMALL_STATE(1453)] = 22977,
  [SMALL_STATE(1454)] = 23096,
  [SMALL_STATE(1455)] = 23215,
  [SMALL_STATE(1456)] = 23334,
  [SMALL_STATE(1457)] = 23445,
  [SMALL_STATE(1458)] = 23556,
  [SMALL_STATE(1459)] = 23675,
  [SMALL_STATE(1460)] = 23786,
  [SMALL_STATE(1461)] = 23905,
  [SMALL_STATE(1462)] = 24016,
  [SMALL_STATE(1463)] = 24127,
  [SMALL_STATE(1464)] = 24238,
  [SMALL_STATE(1465)] = 24349,
  [SMALL_STATE(1466)] = 24460,
  [SMALL_STATE(1467)] = 24571,
  [SMALL_STATE(1468)] = 24682,
  [SMALL_STATE(1469)] = 24793,
  [SMALL_STATE(1470)] = 24895,
  [SMALL_STATE(1471)] = 24997,
  [SMALL_STATE(1472)] = 25099,
  [SMALL_STATE(1473)] = 25201,
  [SMALL_STATE(1474)] = 25303,
  [SMALL_STATE(1475)] = 25405,
  [SMALL_STATE(1476)] = 25507,
  [SMALL_STATE(1477)] = 25616,
  [SMALL_STATE(1478)] = 25673,
  [SMALL_STATE(1479)] = 25784,
  [SMALL_STATE(1480)] = 25841,
  [SMALL_STATE(1481)] = 25907,
  [SMALL_STATE(1482)] = 25973,
  [SMALL_STATE(1483)] = 26067,
  [SMALL_STATE(1484)] = 26131,
  [SMALL_STATE(1485)] = 26197,
  [SMALL_STATE(1486)] = 26269,
  [SMALL_STATE(1487)] = 26330,
  [SMALL_STATE(1488)] = 26391,
  [SMALL_STATE(1489)] = 26446,
  [SMALL_STATE(1490)] = 26503,
  [SMALL_STATE(1491)] = 26560,
  [SMALL_STATE(1492)] = 26617,
  [SMALL_STATE(1493)] = 26672,
  [SMALL_STATE(1494)] = 26727,
  [SMALL_STATE(1495)] = 26782,
  [SMALL_STATE(1496)] = 26843,
  [SMALL_STATE(1497)] = 26904,
  [SMALL_STATE(1498)] = 26963,
  [SMALL_STATE(1499)] = 27022,
  [SMALL_STATE(1500)] = 27077,
  [SMALL_STATE(1501)] = 27132,
  [SMALL_STATE(1502)] = 27191,
  [SMALL_STATE(1503)] = 27252,
  [SMALL_STATE(1504)] = 27307,
  [SMALL_STATE(1505)] = 27361,
  [SMALL_STATE(1506)] = 27415,
  [SMALL_STATE(1507)] = 27469,
  [SMALL_STATE(1508)] = 27523,
  [SMALL_STATE(1509)] = 27577,
  [SMALL_STATE(1510)] = 27631,
  [SMALL_STATE(1511)] = 27685,
  [SMALL_STATE(1512)] = 27739,
  [SMALL_STATE(1513)] = 27793,
  [SMALL_STATE(1514)] = 27847,
  [SMALL_STATE(1515)] = 27901,
  [SMALL_STATE(1516)] = 27957,
  [SMALL_STATE(1517)] = 28011,
  [SMALL_STATE(1518)] = 28065,
  [SMALL_STATE(1519)] = 28121,
  [SMALL_STATE(1520)] = 28175,
  [SMALL_STATE(1521)] = 28235,
  [SMALL_STATE(1522)] = 28289,
  [SMALL_STATE(1523)] = 28343,
  [SMALL_STATE(1524)] = 28397,
  [SMALL_STATE(1525)] = 28451,
  [SMALL_STATE(1526)] = 28505,
  [SMALL_STATE(1527)] = 28561,
  [SMALL_STATE(1528)] = 28615,
  [SMALL_STATE(1529)] = 28669,
  [SMALL_STATE(1530)] = 28723,
  [SMALL_STATE(1531)] = 28777,
  [SMALL_STATE(1532)] = 28831,
  [SMALL_STATE(1533)] = 28885,
  [SMALL_STATE(1534)] = 28939,
  [SMALL_STATE(1535)] = 28993,
  [SMALL_STATE(1536)] = 29047,
  [SMALL_STATE(1537)] = 29101,
  [SMALL_STATE(1538)] = 29155,
  [SMALL_STATE(1539)] = 29209,
  [SMALL_STATE(1540)] = 29263,
  [SMALL_STATE(1541)] = 29317,
  [SMALL_STATE(1542)] = 29371,
  [SMALL_STATE(1543)] = 29425,
  [SMALL_STATE(1544)] = 29479,
  [SMALL_STATE(1545)] = 29533,
  [SMALL_STATE(1546)] = 29593,
  [SMALL_STATE(1547)] = 29647,
  [SMALL_STATE(1548)] = 29701,
  [SMALL_STATE(1549)] = 29761,
  [SMALL_STATE(1550)] = 29815,
  [SMALL_STATE(1551)] = 29869,
  [SMALL_STATE(1552)] = 29923,
  [SMALL_STATE(1553)] = 29977,
  [SMALL_STATE(1554)] = 30031,
  [SMALL_STATE(1555)] = 30085,
  [SMALL_STATE(1556)] = 30139,
  [SMALL_STATE(1557)] = 30193,
  [SMALL_STATE(1558)] = 30247,
  [SMALL_STATE(1559)] = 30301,
  [SMALL_STATE(1560)] = 30355,
  [SMALL_STATE(1561)] = 30409,
  [SMALL_STATE(1562)] = 30463,
  [SMALL_STATE(1563)] = 30517,
  [SMALL_STATE(1564)] = 30571,
  [SMALL_STATE(1565)] = 30625,
  [SMALL_STATE(1566)] = 30679,
  [SMALL_STATE(1567)] = 30733,
  [SMALL_STATE(1568)] = 30787,
  [SMALL_STATE(1569)] = 30841,
  [SMALL_STATE(1570)] = 30895,
  [SMALL_STATE(1571)] = 30949,
  [SMALL_STATE(1572)] = 31003,
  [SMALL_STATE(1573)] = 31057,
  [SMALL_STATE(1574)] = 31111,
  [SMALL_STATE(1575)] = 31165,
  [SMALL_STATE(1576)] = 31225,
  [SMALL_STATE(1577)] = 31287,
  [SMALL_STATE(1578)] = 31343,
  [SMALL_STATE(1579)] = 31397,
  [SMALL_STATE(1580)] = 31451,
  [SMALL_STATE(1581)] = 31505,
  [SMALL_STATE(1582)] = 31563,
  [SMALL_STATE(1583)] = 31623,
  [SMALL_STATE(1584)] = 31683,
  [SMALL_STATE(1585)] = 31803,
  [SMALL_STATE(1586)] = 31861,
  [SMALL_STATE(1587)] = 31947,
  [SMALL_STATE(1588)] = 32003,
  [SMALL_STATE(1589)] = 32057,
  [SMALL_STATE(1590)] = 32177,
  [SMALL_STATE(1591)] = 32233,
  [SMALL_STATE(1592)] = 32293,
  [SMALL_STATE(1593)] = 32353,
  [SMALL_STATE(1594)] = 32439,
  [SMALL_STATE(1595)] = 32559,
  [SMALL_STATE(1596)] = 32643,
  [SMALL_STATE(1597)] = 32729,
  [SMALL_STATE(1598)] = 32815,
  [SMALL_STATE(1599)] = 32875,
  [SMALL_STATE(1600)] = 32935,
  [SMALL_STATE(1601)] = 33021,
  [SMALL_STATE(1602)] = 33079,
  [SMALL_STATE(1603)] = 33135,
  [SMALL_STATE(1604)] = 33191,
  [SMALL_STATE(1605)] = 33245,
  [SMALL_STATE(1606)] = 33365,
  [SMALL_STATE(1607)] = 33419,
  [SMALL_STATE(1608)] = 33473,
  [SMALL_STATE(1609)] = 33527,
  [SMALL_STATE(1610)] = 33589,
  [SMALL_STATE(1611)] = 33651,
  [SMALL_STATE(1612)] = 33713,
  [SMALL_STATE(1613)] = 33771,
  [SMALL_STATE(1614)] = 33825,
  [SMALL_STATE(1615)] = 33879,
  [SMALL_STATE(1616)] = 33939,
  [SMALL_STATE(1617)] = 33999,
  [SMALL_STATE(1618)] = 34057,
  [SMALL_STATE(1619)] = 34111,
  [SMALL_STATE(1620)] = 34165,
  [SMALL_STATE(1621)] = 34221,
  [SMALL_STATE(1622)] = 34275,
  [SMALL_STATE(1623)] = 34329,
  [SMALL_STATE(1624)] = 34383,
  [SMALL_STATE(1625)] = 34437,
  [SMALL_STATE(1626)] = 34493,
  [SMALL_STATE(1627)] = 34547,
  [SMALL_STATE(1628)] = 34603,
  [SMALL_STATE(1629)] = 34657,
  [SMALL_STATE(1630)] = 34711,
  [SMALL_STATE(1631)] = 34767,
  [SMALL_STATE(1632)] = 34821,
  [SMALL_STATE(1633)] = 34877,
  [SMALL_STATE(1634)] = 34933,
  [SMALL_STATE(1635)] = 34987,
  [SMALL_STATE(1636)] = 35098,
  [SMALL_STATE(1637)] = 35197,
  [SMALL_STATE(1638)] = 35298,
  [SMALL_STATE(1639)] = 35379,
  [SMALL_STATE(1640)] = 35472,
  [SMALL_STATE(1641)] = 35567,
  [SMALL_STATE(1642)] = 35664,
  [SMALL_STATE(1643)] = 35743,
  [SMALL_STATE(1644)] = 35824,
  [SMALL_STATE(1645)] = 35913,
  [SMALL_STATE(1646)] = 36016,
  [SMALL_STATE(1647)] = 36127,
  [SMALL_STATE(1648)] = 36238,
  [SMALL_STATE(1649)] = 36349,
  [SMALL_STATE(1650)] = 36460,
  [SMALL_STATE(1651)] = 36571,
  [SMALL_STATE(1652)] = 36682,
  [SMALL_STATE(1653)] = 36793,
  [SMALL_STATE(1654)] = 36904,
  [SMALL_STATE(1655)] = 36959,
  [SMALL_STATE(1656)] = 37016,
  [SMALL_STATE(1657)] = 37069,
  [SMALL_STATE(1658)] = 37180,
  [SMALL_STATE(1659)] = 37233,
  [SMALL_STATE(1660)] = 37286,
  [SMALL_STATE(1661)] = 37345,
  [SMALL_STATE(1662)] = 37398,
  [SMALL_STATE(1663)] = 37451,
  [SMALL_STATE(1664)] = 37528,
  [SMALL_STATE(1665)] = 37639,
  [SMALL_STATE(1666)] = 37718,
  [SMALL_STATE(1667)] = 37771,
  [SMALL_STATE(1668)] = 37824,
  [SMALL_STATE(1669)] = 37939,
  [SMALL_STATE(1670)] = 37992,
  [SMALL_STATE(1671)] = 38103,
  [SMALL_STATE(1672)] = 38218,
  [SMALL_STATE(1673)] = 38271,
  [SMALL_STATE(1674)] = 38324,
  [SMALL_STATE(1675)] = 38377,
  [SMALL_STATE(1676)] = 38492,
  [SMALL_STATE(1677)] = 38545,
  [SMALL_STATE(1678)] = 38598,
  [SMALL_STATE(1679)] = 38675,
  [SMALL_STATE(1680)] = 38760,
  [SMALL_STATE(1681)] = 38839,
  [SMALL_STATE(1682)] = 38954,
  [SMALL_STATE(1683)] = 39007,
  [SMALL_STATE(1684)] = 39060,
  [SMALL_STATE(1685)] = 39113,
  [SMALL_STATE(1686)] = 39166,
  [SMALL_STATE(1687)] = 39219,
  [SMALL_STATE(1688)] = 39334,
  [SMALL_STATE(1689)] = 39387,
  [SMALL_STATE(1690)] = 39440,
  [SMALL_STATE(1691)] = 39493,
  [SMALL_STATE(1692)] = 39546,
  [SMALL_STATE(1693)] = 39599,
  [SMALL_STATE(1694)] = 39652,
  [SMALL_STATE(1695)] = 39729,
  [SMALL_STATE(1696)] = 39782,
  [SMALL_STATE(1697)] = 39861,
  [SMALL_STATE(1698)] = 39940,
  [SMALL_STATE(1699)] = 39993,
  [SMALL_STATE(1700)] = 40058,
  [SMALL_STATE(1701)] = 40169,
  [SMALL_STATE(1702)] = 40280,
  [SMALL_STATE(1703)] = 40391,
  [SMALL_STATE(1704)] = 40444,
  [SMALL_STATE(1705)] = 40555,
  [SMALL_STATE(1706)] = 40666,
  [SMALL_STATE(1707)] = 40751,
  [SMALL_STATE(1708)] = 40826,
  [SMALL_STATE(1709)] = 40925,
  [SMALL_STATE(1710)] = 41026,
  [SMALL_STATE(1711)] = 41107,
  [SMALL_STATE(1712)] = 41200,
  [SMALL_STATE(1713)] = 41295,
  [SMALL_STATE(1714)] = 41392,
  [SMALL_STATE(1715)] = 41471,
  [SMALL_STATE(1716)] = 41552,
  [SMALL_STATE(1717)] = 41623,
  [SMALL_STATE(1718)] = 41712,
  [SMALL_STATE(1719)] = 41815,
  [SMALL_STATE(1720)] = 41926,
  [SMALL_STATE(1721)] = 42037,
  [SMALL_STATE(1722)] = 42148,
  [SMALL_STATE(1723)] = 42259,
  [SMALL_STATE(1724)] = 42370,
  [SMALL_STATE(1725)] = 42481,
  [SMALL_STATE(1726)] = 42592,
  [SMALL_STATE(1727)] = 42645,
  [SMALL_STATE(1728)] = 42756,
  [SMALL_STATE(1729)] = 42809,
  [SMALL_STATE(1730)] = 42862,
  [SMALL_STATE(1731)] = 42935,
  [SMALL_STATE(1732)] = 43014,
  [SMALL_STATE(1733)] = 43125,
  [SMALL_STATE(1734)] = 43196,
  [SMALL_STATE(1735)] = 43275,
  [SMALL_STATE(1736)] = 43386,
  [SMALL_STATE(1737)] = 43439,
  [SMALL_STATE(1738)] = 43492,
  [SMALL_STATE(1739)] = 43545,
  [SMALL_STATE(1740)] = 43598,
  [SMALL_STATE(1741)] = 43651,
  [SMALL_STATE(1742)] = 43704,
  [SMALL_STATE(1743)] = 43757,
  [SMALL_STATE(1744)] = 43868,
  [SMALL_STATE(1745)] = 43979,
  [SMALL_STATE(1746)] = 44032,
  [SMALL_STATE(1747)] = 44143,
  [SMALL_STATE(1748)] = 44254,
  [SMALL_STATE(1749)] = 44369,
  [SMALL_STATE(1750)] = 44422,
  [SMALL_STATE(1751)] = 44475,
  [SMALL_STATE(1752)] = 44528,
  [SMALL_STATE(1753)] = 44605,
  [SMALL_STATE(1754)] = 44658,
  [SMALL_STATE(1755)] = 44737,
  [SMALL_STATE(1756)] = 44790,
  [SMALL_STATE(1757)] = 44847,
  [SMALL_STATE(1758)] = 44900,
  [SMALL_STATE(1759)] = 44953,
  [SMALL_STATE(1760)] = 45006,
  [SMALL_STATE(1761)] = 45075,
  [SMALL_STATE(1762)] = 45186,
  [SMALL_STATE(1763)] = 45261,
  [SMALL_STATE(1764)] = 45314,
  [SMALL_STATE(1765)] = 45425,
  [SMALL_STATE(1766)] = 45478,
  [SMALL_STATE(1767)] = 45577,
  [SMALL_STATE(1768)] = 45642,
  [SMALL_STATE(1769)] = 45695,
  [SMALL_STATE(1770)] = 45750,
  [SMALL_STATE(1771)] = 45803,
  [SMALL_STATE(1772)] = 45876,
  [SMALL_STATE(1773)] = 45931,
  [SMALL_STATE(1774)] = 46042,
  [SMALL_STATE(1775)] = 46097,
  [SMALL_STATE(1776)] = 46152,
  [SMALL_STATE(1777)] = 46211,
  [SMALL_STATE(1778)] = 46312,
  [SMALL_STATE(1779)] = 46425,
  [SMALL_STATE(1780)] = 46478,
  [SMALL_STATE(1781)] = 46559,
  [SMALL_STATE(1782)] = 46652,
  [SMALL_STATE(1783)] = 46765,
  [SMALL_STATE(1784)] = 46818,
  [SMALL_STATE(1785)] = 46913,
  [SMALL_STATE(1786)] = 47024,
  [SMALL_STATE(1787)] = 47121,
  [SMALL_STATE(1788)] = 47184,
  [SMALL_STATE(1789)] = 47247,
  [SMALL_STATE(1790)] = 47320,
  [SMALL_STATE(1791)] = 47379,
  [SMALL_STATE(1792)] = 47458,
  [SMALL_STATE(1793)] = 47535,
  [SMALL_STATE(1794)] = 47614,
  [SMALL_STATE(1795)] = 47725,
  [SMALL_STATE(1796)] = 47778,
  [SMALL_STATE(1797)] = 47857,
  [SMALL_STATE(1798)] = 47938,
  [SMALL_STATE(1799)] = 48009,
  [SMALL_STATE(1800)] = 48062,
  [SMALL_STATE(1801)] = 48125,
  [SMALL_STATE(1802)] = 48214,
  [SMALL_STATE(1803)] = 48317,
  [SMALL_STATE(1804)] = 48432,
  [SMALL_STATE(1805)] = 48485,
  [SMALL_STATE(1806)] = 48538,
  [SMALL_STATE(1807)] = 48649,
  [SMALL_STATE(1808)] = 48728,
  [SMALL_STATE(1809)] = 48789,
  [SMALL_STATE(1810)] = 48900,
  [SMALL_STATE(1811)] = 48965,
  [SMALL_STATE(1812)] = 49076,
  [SMALL_STATE(1813)] = 49187,
  [SMALL_STATE(1814)] = 49240,
  [SMALL_STATE(1815)] = 49293,
  [SMALL_STATE(1816)] = 49346,
  [SMALL_STATE(1817)] = 49457,
  [SMALL_STATE(1818)] = 49510,
  [SMALL_STATE(1819)] = 49563,
  [SMALL_STATE(1820)] = 49674,
  [SMALL_STATE(1821)] = 49727,
  [SMALL_STATE(1822)] = 49838,
  [SMALL_STATE(1823)] = 49895,
  [SMALL_STATE(1824)] = 49948,
  [SMALL_STATE(1825)] = 50033,
  [SMALL_STATE(1826)] = 50108,
  [SMALL_STATE(1827)] = 50161,
  [SMALL_STATE(1828)] = 50275,
  [SMALL_STATE(1829)] = 50345,
  [SMALL_STATE(1830)] = 50455,
  [SMALL_STATE(1831)] = 50565,
  [SMALL_STATE(1832)] = 50679,
  [SMALL_STATE(1833)] = 50735,
  [SMALL_STATE(1834)] = 50849,
  [SMALL_STATE(1835)] = 50963,
  [SMALL_STATE(1836)] = 51077,
  [SMALL_STATE(1837)] = 51191,
  [SMALL_STATE(1838)] = 51247,
  [SMALL_STATE(1839)] = 51303,
  [SMALL_STATE(1840)] = 51363,
  [SMALL_STATE(1841)] = 51417,
  [SMALL_STATE(1842)] = 51471,
  [SMALL_STATE(1843)] = 51525,
  [SMALL_STATE(1844)] = 51597,
  [SMALL_STATE(1845)] = 51655,
  [SMALL_STATE(1846)] = 51733,
  [SMALL_STATE(1847)] = 51843,
  [SMALL_STATE(1848)] = 51895,
  [SMALL_STATE(1849)] = 51951,
  [SMALL_STATE(1850)] = 52009,
  [SMALL_STATE(1851)] = 52079,
  [SMALL_STATE(1852)] = 52141,
  [SMALL_STATE(1853)] = 52203,
  [SMALL_STATE(1854)] = 52279,
  [SMALL_STATE(1855)] = 52393,
  [SMALL_STATE(1856)] = 52471,
  [SMALL_STATE(1857)] = 52543,
  [SMALL_STATE(1858)] = 52595,
  [SMALL_STATE(1859)] = 52709,
  [SMALL_STATE(1860)] = 52773,
  [SMALL_STATE(1861)] = 52847,
  [SMALL_STATE(1862)] = 52957,
  [SMALL_STATE(1863)] = 53071,
  [SMALL_STATE(1864)] = 53181,
  [SMALL_STATE(1865)] = 53291,
  [SMALL_STATE(1866)] = 53405,
  [SMALL_STATE(1867)] = 53519,
  [SMALL_STATE(1868)] = 53577,
  [SMALL_STATE(1869)] = 53649,
  [SMALL_STATE(1870)] = 53763,
  [SMALL_STATE(1871)] = 53873,
  [SMALL_STATE(1872)] = 53925,
  [SMALL_STATE(1873)] = 53983,
  [SMALL_STATE(1874)] = 54097,
  [SMALL_STATE(1875)] = 54211,
  [SMALL_STATE(1876)] = 54283,
  [SMALL_STATE(1877)] = 54335,
  [SMALL_STATE(1878)] = 54445,
  [SMALL_STATE(1879)] = 54559,
  [SMALL_STATE(1880)] = 54669,
  [SMALL_STATE(1881)] = 54741,
  [SMALL_STATE(1882)] = 54815,
  [SMALL_STATE(1883)] = 54929,
  [SMALL_STATE(1884)] = 55027,
  [SMALL_STATE(1885)] = 55127,
  [SMALL_STATE(1886)] = 55241,
  [SMALL_STATE(1887)] = 55321,
  [SMALL_STATE(1888)] = 55413,
  [SMALL_STATE(1889)] = 55507,
  [SMALL_STATE(1890)] = 55603,
  [SMALL_STATE(1891)] = 55681,
  [SMALL_STATE(1892)] = 55795,
  [SMALL_STATE(1893)] = 55875,
  [SMALL_STATE(1894)] = 55989,
  [SMALL_STATE(1895)] = 56099,
  [SMALL_STATE(1896)] = 56209,
  [SMALL_STATE(1897)] = 56297,
  [SMALL_STATE(1898)] = 56399,
  [SMALL_STATE(1899)] = 56509,
  [SMALL_STATE(1900)] = 56619,
  [SMALL_STATE(1901)] = 56729,
  [SMALL_STATE(1902)] = 56843,
  [SMALL_STATE(1903)] = 56953,
  [SMALL_STATE(1904)] = 57063,
  [SMALL_STATE(1905)] = 57173,
  [SMALL_STATE(1906)] = 57249,
  [SMALL_STATE(1907)] = 57321,
  [SMALL_STATE(1908)] = 57395,
  [SMALL_STATE(1909)] = 57471,
  [SMALL_STATE(1910)] = 57543,
  [SMALL_STATE(1911)] = 57653,
  [SMALL_STATE(1912)] = 57763,
  [SMALL_STATE(1913)] = 57823,
  [SMALL_STATE(1914)] = 57895,
  [SMALL_STATE(1915)] = 57967,
  [SMALL_STATE(1916)] = 58027,
  [SMALL_STATE(1917)] = 58099,
  [SMALL_STATE(1918)] = 58151,
  [SMALL_STATE(1919)] = 58209,
  [SMALL_STATE(1920)] = 58323,
  [SMALL_STATE(1921)] = 58437,
  [SMALL_STATE(1922)] = 58551,
  [SMALL_STATE(1923)] = 58665,
  [SMALL_STATE(1924)] = 58779,
  [SMALL_STATE(1925)] = 58891,
  [SMALL_STATE(1926)] = 58955,
  [SMALL_STATE(1927)] = 59065,
  [SMALL_STATE(1928)] = 59175,
  [SMALL_STATE(1929)] = 59285,
  [SMALL_STATE(1930)] = 59395,
  [SMALL_STATE(1931)] = 59505,
  [SMALL_STATE(1932)] = 59589,
  [SMALL_STATE(1933)] = 59663,
  [SMALL_STATE(1934)] = 59761,
  [SMALL_STATE(1935)] = 59861,
  [SMALL_STATE(1936)] = 59941,
  [SMALL_STATE(1937)] = 60033,
  [SMALL_STATE(1938)] = 60127,
  [SMALL_STATE(1939)] = 60223,
  [SMALL_STATE(1940)] = 60301,
  [SMALL_STATE(1941)] = 60381,
  [SMALL_STATE(1942)] = 60469,
  [SMALL_STATE(1943)] = 60571,
  [SMALL_STATE(1944)] = 60681,
  [SMALL_STATE(1945)] = 60791,
  [SMALL_STATE(1946)] = 60901,
  [SMALL_STATE(1947)] = 61011,
  [SMALL_STATE(1948)] = 61121,
  [SMALL_STATE(1949)] = 61231,
  [SMALL_STATE(1950)] = 61341,
  [SMALL_STATE(1951)] = 61451,
  [SMALL_STATE(1952)] = 61523,
  [SMALL_STATE(1953)] = 61601,
  [SMALL_STATE(1954)] = 61711,
  [SMALL_STATE(1955)] = 61795,
  [SMALL_STATE(1956)] = 61860,
  [SMALL_STATE(1957)] = 61953,
  [SMALL_STATE(1958)] = 62048,
  [SMALL_STATE(1959)] = 62125,
  [SMALL_STATE(1960)] = 62204,
  [SMALL_STATE(1961)] = 62291,
  [SMALL_STATE(1962)] = 62392,
  [SMALL_STATE(1963)] = 62501,
  [SMALL_STATE(1964)] = 62610,
  [SMALL_STATE(1965)] = 62719,
  [SMALL_STATE(1966)] = 62828,
  [SMALL_STATE(1967)] = 62937,
  [SMALL_STATE(1968)] = 63046,
  [SMALL_STATE(1969)] = 63155,
  [SMALL_STATE(1970)] = 63228,
  [SMALL_STATE(1971)] = 63311,
  [SMALL_STATE(1972)] = 63384,
  [SMALL_STATE(1973)] = 63441,
  [SMALL_STATE(1974)] = 63500,
  [SMALL_STATE(1975)] = 63551,
  [SMALL_STATE(1976)] = 63604,
  [SMALL_STATE(1977)] = 63715,
  [SMALL_STATE(1978)] = 63772,
  [SMALL_STATE(1979)] = 63855,
  [SMALL_STATE(1980)] = 63964,
  [SMALL_STATE(1981)] = 64015,
  [SMALL_STATE(1982)] = 64066,
  [SMALL_STATE(1983)] = 64117,
  [SMALL_STATE(1984)] = 64190,
  [SMALL_STATE(1985)] = 64241,
  [SMALL_STATE(1986)] = 64294,
  [SMALL_STATE(1987)] = 64345,
  [SMALL_STATE(1988)] = 64398,
  [SMALL_STATE(1989)] = 64507,
  [SMALL_STATE(1990)] = 64560,
  [SMALL_STATE(1991)] = 64611,
  [SMALL_STATE(1992)] = 64720,
  [SMALL_STATE(1993)] = 64777,
  [SMALL_STATE(1994)] = 64840,
  [SMALL_STATE(1995)] = 64903,
  [SMALL_STATE(1996)] = 64954,
  [SMALL_STATE(1997)] = 65005,
  [SMALL_STATE(1998)] = 65058,
  [SMALL_STATE(1999)] = 65109,
  [SMALL_STATE(2000)] = 65160,
  [SMALL_STATE(2001)] = 65211,
  [SMALL_STATE(2002)] = 65262,
  [SMALL_STATE(2003)] = 65319,
  [SMALL_STATE(2004)] = 65376,
  [SMALL_STATE(2005)] = 65427,
  [SMALL_STATE(2006)] = 65480,
  [SMALL_STATE(2007)] = 65533,
  [SMALL_STATE(2008)] = 65616,
  [SMALL_STATE(2009)] = 65667,
  [SMALL_STATE(2010)] = 65718,
  [SMALL_STATE(2011)] = 65769,
  [SMALL_STATE(2012)] = 65820,
  [SMALL_STATE(2013)] = 65871,
  [SMALL_STATE(2014)] = 65940,
  [SMALL_STATE(2015)] = 65991,
  [SMALL_STATE(2016)] = 66042,
  [SMALL_STATE(2017)] = 66093,
  [SMALL_STATE(2018)] = 66152,
  [SMALL_STATE(2019)] = 66211,
  [SMALL_STATE(2020)] = 66320,
  [SMALL_STATE(2021)] = 66379,
  [SMALL_STATE(2022)] = 66434,
  [SMALL_STATE(2023)] = 66497,
  [SMALL_STATE(2024)] = 66560,
  [SMALL_STATE(2025)] = 66669,
  [SMALL_STATE(2026)] = 66720,
  [SMALL_STATE(2027)] = 66771,
  [SMALL_STATE(2028)] = 66828,
  [SMALL_STATE(2029)] = 66885,
  [SMALL_STATE(2030)] = 66994,
  [SMALL_STATE(2031)] = 67051,
  [SMALL_STATE(2032)] = 67102,
  [SMALL_STATE(2033)] = 67153,
  [SMALL_STATE(2034)] = 67204,
  [SMALL_STATE(2035)] = 67275,
  [SMALL_STATE(2036)] = 67352,
  [SMALL_STATE(2037)] = 67461,
  [SMALL_STATE(2038)] = 67530,
  [SMALL_STATE(2039)] = 67581,
  [SMALL_STATE(2040)] = 67632,
  [SMALL_STATE(2041)] = 67741,
  [SMALL_STATE(2042)] = 67850,
  [SMALL_STATE(2043)] = 67933,
  [SMALL_STATE(2044)] = 67984,
  [SMALL_STATE(2045)] = 68093,
  [SMALL_STATE(2046)] = 68152,
  [SMALL_STATE(2047)] = 68203,
  [SMALL_STATE(2048)] = 68254,
  [SMALL_STATE(2049)] = 68317,
  [SMALL_STATE(2050)] = 68380,
  [SMALL_STATE(2051)] = 68449,
  [SMALL_STATE(2052)] = 68502,
  [SMALL_STATE(2053)] = 68571,
  [SMALL_STATE(2054)] = 68622,
  [SMALL_STATE(2055)] = 68673,
  [SMALL_STATE(2056)] = 68726,
  [SMALL_STATE(2057)] = 68779,
  [SMALL_STATE(2058)] = 68830,
  [SMALL_STATE(2059)] = 68889,
  [SMALL_STATE(2060)] = 68942,
  [SMALL_STATE(2061)] = 68993,
  [SMALL_STATE(2062)] = 69044,
  [SMALL_STATE(2063)] = 69095,
  [SMALL_STATE(2064)] = 69146,
  [SMALL_STATE(2065)] = 69197,
  [SMALL_STATE(2066)] = 69248,
  [SMALL_STATE(2067)] = 69299,
  [SMALL_STATE(2068)] = 69350,
  [SMALL_STATE(2069)] = 69433,
  [SMALL_STATE(2070)] = 69502,
  [SMALL_STATE(2071)] = 69559,
  [SMALL_STATE(2072)] = 69650,
  [SMALL_STATE(2073)] = 69715,
  [SMALL_STATE(2074)] = 69778,
  [SMALL_STATE(2075)] = 69837,
  [SMALL_STATE(2076)] = 69920,
  [SMALL_STATE(2077)] = 69977,
  [SMALL_STATE(2078)] = 70036,
  [SMALL_STATE(2079)] = 70099,
  [SMALL_STATE(2080)] = 70162,
  [SMALL_STATE(2081)] = 70217,
  [SMALL_STATE(2082)] = 70274,
  [SMALL_STATE(2083)] = 70327,
  [SMALL_STATE(2084)] = 70378,
  [SMALL_STATE(2085)] = 70429,
  [SMALL_STATE(2086)] = 70482,
  [SMALL_STATE(2087)] = 70533,
  [SMALL_STATE(2088)] = 70590,
  [SMALL_STATE(2089)] = 70641,
  [SMALL_STATE(2090)] = 70692,
  [SMALL_STATE(2091)] = 70803,
  [SMALL_STATE(2092)] = 70856,
  [SMALL_STATE(2093)] = 70907,
  [SMALL_STATE(2094)] = 70958,
  [SMALL_STATE(2095)] = 71011,
  [SMALL_STATE(2096)] = 71062,
  [SMALL_STATE(2097)] = 71119,
  [SMALL_STATE(2098)] = 71228,
  [SMALL_STATE(2099)] = 71337,
  [SMALL_STATE(2100)] = 71388,
  [SMALL_STATE(2101)] = 71439,
  [SMALL_STATE(2102)] = 71490,
  [SMALL_STATE(2103)] = 71541,
  [SMALL_STATE(2104)] = 71592,
  [SMALL_STATE(2105)] = 71649,
  [SMALL_STATE(2106)] = 71700,
  [SMALL_STATE(2107)] = 71809,
  [SMALL_STATE(2108)] = 71860,
  [SMALL_STATE(2109)] = 71913,
  [SMALL_STATE(2110)] = 71964,
  [SMALL_STATE(2111)] = 72015,
  [SMALL_STATE(2112)] = 72068,
  [SMALL_STATE(2113)] = 72141,
  [SMALL_STATE(2114)] = 72192,
  [SMALL_STATE(2115)] = 72243,
  [SMALL_STATE(2116)] = 72312,
  [SMALL_STATE(2117)] = 72363,
  [SMALL_STATE(2118)] = 72414,
  [SMALL_STATE(2119)] = 72483,
  [SMALL_STATE(2120)] = 72534,
  [SMALL_STATE(2121)] = 72585,
  [SMALL_STATE(2122)] = 72656,
  [SMALL_STATE(2123)] = 72707,
  [SMALL_STATE(2124)] = 72764,
  [SMALL_STATE(2125)] = 72819,
  [SMALL_STATE(2126)] = 72882,
  [SMALL_STATE(2127)] = 72991,
  [SMALL_STATE(2128)] = 73100,
  [SMALL_STATE(2129)] = 73209,
  [SMALL_STATE(2130)] = 73278,
  [SMALL_STATE(2131)] = 73387,
  [SMALL_STATE(2132)] = 73456,
  [SMALL_STATE(2133)] = 73509,
  [SMALL_STATE(2134)] = 73566,
  [SMALL_STATE(2135)] = 73649,
  [SMALL_STATE(2136)] = 73718,
  [SMALL_STATE(2137)] = 73773,
  [SMALL_STATE(2138)] = 73826,
  [SMALL_STATE(2139)] = 73935,
  [SMALL_STATE(2140)] = 74044,
  [SMALL_STATE(2141)] = 74127,
  [SMALL_STATE(2142)] = 74178,
  [SMALL_STATE(2143)] = 74251,
  [SMALL_STATE(2144)] = 74302,
  [SMALL_STATE(2145)] = 74355,
  [SMALL_STATE(2146)] = 74452,
  [SMALL_STATE(2147)] = 74551,
  [SMALL_STATE(2148)] = 74630,
  [SMALL_STATE(2149)] = 74681,
  [SMALL_STATE(2150)] = 74732,
  [SMALL_STATE(2151)] = 74783,
  [SMALL_STATE(2152)] = 74834,
  [SMALL_STATE(2153)] = 74885,
  [SMALL_STATE(2154)] = 74936,
  [SMALL_STATE(2155)] = 74987,
  [SMALL_STATE(2156)] = 75038,
  [SMALL_STATE(2157)] = 75089,
  [SMALL_STATE(2158)] = 75140,
  [SMALL_STATE(2159)] = 75191,
  [SMALL_STATE(2160)] = 75244,
  [SMALL_STATE(2161)] = 75295,
  [SMALL_STATE(2162)] = 75346,
  [SMALL_STATE(2163)] = 75403,
  [SMALL_STATE(2164)] = 75454,
  [SMALL_STATE(2165)] = 75505,
  [SMALL_STATE(2166)] = 75574,
  [SMALL_STATE(2167)] = 75647,
  [SMALL_STATE(2168)] = 75725,
  [SMALL_STATE(2169)] = 75799,
  [SMALL_STATE(2170)] = 75875,
  [SMALL_STATE(2171)] = 75937,
  [SMALL_STATE(2172)] = 75999,
  [SMALL_STATE(2173)] = 76049,
  [SMALL_STATE(2174)] = 76109,
  [SMALL_STATE(2175)] = 76169,
  [SMALL_STATE(2176)] = 76229,
  [SMALL_STATE(2177)] = 76279,
  [SMALL_STATE(2178)] = 76329,
  [SMALL_STATE(2179)] = 76387,
  [SMALL_STATE(2180)] = 76445,
  [SMALL_STATE(2181)] = 76507,
  [SMALL_STATE(2182)] = 76569,
  [SMALL_STATE(2183)] = 76631,
  [SMALL_STATE(2184)] = 76693,
  [SMALL_STATE(2185)] = 76755,
  [SMALL_STATE(2186)] = 76817,
  [SMALL_STATE(2187)] = 76867,
  [SMALL_STATE(2188)] = 76917,
  [SMALL_STATE(2189)] = 76981,
  [SMALL_STATE(2190)] = 77037,
  [SMALL_STATE(2191)] = 77087,
  [SMALL_STATE(2192)] = 77143,
  [SMALL_STATE(2193)] = 77209,
  [SMALL_STATE(2194)] = 77259,
  [SMALL_STATE(2195)] = 77313,
  [SMALL_STATE(2196)] = 77377,
  [SMALL_STATE(2197)] = 77429,
  [SMALL_STATE(2198)] = 77495,
  [SMALL_STATE(2199)] = 77547,
  [SMALL_STATE(2200)] = 77599,
  [SMALL_STATE(2201)] = 77653,
  [SMALL_STATE(2202)] = 77703,
  [SMALL_STATE(2203)] = 77811,
  [SMALL_STATE(2204)] = 77865,
  [SMALL_STATE(2205)] = 77939,
  [SMALL_STATE(2206)] = 78003,
  [SMALL_STATE(2207)] = 78079,
  [SMALL_STATE(2208)] = 78145,
  [SMALL_STATE(2209)] = 78211,
  [SMALL_STATE(2210)] = 78263,
  [SMALL_STATE(2211)] = 78371,
  [SMALL_STATE(2212)] = 78423,
  [SMALL_STATE(2213)] = 78477,
  [SMALL_STATE(2214)] = 78531,
  [SMALL_STATE(2215)] = 78583,
  [SMALL_STATE(2216)] = 78635,
  [SMALL_STATE(2217)] = 78689,
  [SMALL_STATE(2218)] = 78741,
  [SMALL_STATE(2219)] = 78849,
  [SMALL_STATE(2220)] = 78899,
  [SMALL_STATE(2221)] = 78949,
  [SMALL_STATE(2222)] = 79003,
  [SMALL_STATE(2223)] = 79057,
  [SMALL_STATE(2224)] = 79121,
  [SMALL_STATE(2225)] = 79173,
  [SMALL_STATE(2226)] = 79225,
  [SMALL_STATE(2227)] = 79299,
  [SMALL_STATE(2228)] = 79363,
  [SMALL_STATE(2229)] = 79413,
  [SMALL_STATE(2230)] = 79489,
  [SMALL_STATE(2231)] = 79539,
  [SMALL_STATE(2232)] = 79603,
  [SMALL_STATE(2233)] = 79657,
  [SMALL_STATE(2234)] = 79707,
  [SMALL_STATE(2235)] = 79781,
  [SMALL_STATE(2236)] = 79857,
  [SMALL_STATE(2237)] = 79907,
  [SMALL_STATE(2238)] = 79957,
  [SMALL_STATE(2239)] = 80009,
  [SMALL_STATE(2240)] = 80065,
  [SMALL_STATE(2241)] = 80115,
  [SMALL_STATE(2242)] = 80165,
  [SMALL_STATE(2243)] = 80273,
  [SMALL_STATE(2244)] = 80323,
  [SMALL_STATE(2245)] = 80381,
  [SMALL_STATE(2246)] = 80431,
  [SMALL_STATE(2247)] = 80481,
  [SMALL_STATE(2248)] = 80531,
  [SMALL_STATE(2249)] = 80581,
  [SMALL_STATE(2250)] = 80631,
  [SMALL_STATE(2251)] = 80693,
  [SMALL_STATE(2252)] = 80801,
  [SMALL_STATE(2253)] = 80909,
  [SMALL_STATE(2254)] = 81017,
  [SMALL_STATE(2255)] = 81125,
  [SMALL_STATE(2256)] = 81233,
  [SMALL_STATE(2257)] = 81315,
  [SMALL_STATE(2258)] = 81387,
  [SMALL_STATE(2259)] = 81483,
  [SMALL_STATE(2260)] = 81581,
  [SMALL_STATE(2261)] = 81659,
  [SMALL_STATE(2262)] = 81749,
  [SMALL_STATE(2263)] = 81841,
  [SMALL_STATE(2264)] = 81935,
  [SMALL_STATE(2265)] = 82011,
  [SMALL_STATE(2266)] = 82097,
  [SMALL_STATE(2267)] = 82197,
  [SMALL_STATE(2268)] = 82305,
  [SMALL_STATE(2269)] = 82413,
  [SMALL_STATE(2270)] = 82521,
  [SMALL_STATE(2271)] = 82629,
  [SMALL_STATE(2272)] = 82737,
  [SMALL_STATE(2273)] = 82845,
  [SMALL_STATE(2274)] = 82953,
  [SMALL_STATE(2275)] = 83061,
  [SMALL_STATE(2276)] = 83119,
  [SMALL_STATE(2277)] = 83169,
  [SMALL_STATE(2278)] = 83231,
  [SMALL_STATE(2279)] = 83339,
  [SMALL_STATE(2280)] = 83447,
  [SMALL_STATE(2281)] = 83555,
  [SMALL_STATE(2282)] = 83663,
  [SMALL_STATE(2283)] = 83771,
  [SMALL_STATE(2284)] = 83853,
  [SMALL_STATE(2285)] = 83925,
  [SMALL_STATE(2286)] = 84021,
  [SMALL_STATE(2287)] = 84119,
  [SMALL_STATE(2288)] = 84197,
  [SMALL_STATE(2289)] = 84287,
  [SMALL_STATE(2290)] = 84379,
  [SMALL_STATE(2291)] = 84473,
  [SMALL_STATE(2292)] = 84549,
  [SMALL_STATE(2293)] = 84627,
  [SMALL_STATE(2294)] = 84713,
  [SMALL_STATE(2295)] = 84813,
  [SMALL_STATE(2296)] = 84921,
  [SMALL_STATE(2297)] = 85029,
  [SMALL_STATE(2298)] = 85137,
  [SMALL_STATE(2299)] = 85245,
  [SMALL_STATE(2300)] = 85353,
  [SMALL_STATE(2301)] = 85461,
  [SMALL_STATE(2302)] = 85569,
  [SMALL_STATE(2303)] = 85677,
  [SMALL_STATE(2304)] = 85787,
  [SMALL_STATE(2305)] = 85845,
  [SMALL_STATE(2306)] = 85895,
  [SMALL_STATE(2307)] = 85953,
  [SMALL_STATE(2308)] = 86039,
  [SMALL_STATE(2309)] = 86103,
  [SMALL_STATE(2310)] = 86159,
  [SMALL_STATE(2311)] = 86213,
  [SMALL_STATE(2312)] = 86267,
  [SMALL_STATE(2313)] = 86333,
  [SMALL_STATE(2314)] = 86397,
  [SMALL_STATE(2315)] = 86451,
  [SMALL_STATE(2316)] = 86515,
  [SMALL_STATE(2317)] = 86569,
  [SMALL_STATE(2318)] = 86619,
  [SMALL_STATE(2319)] = 86673,
  [SMALL_STATE(2320)] = 86737,
  [SMALL_STATE(2321)] = 86791,
  [SMALL_STATE(2322)] = 86845,
  [SMALL_STATE(2323)] = 86909,
  [SMALL_STATE(2324)] = 86961,
  [SMALL_STATE(2325)] = 87011,
  [SMALL_STATE(2326)] = 87075,
  [SMALL_STATE(2327)] = 87143,
  [SMALL_STATE(2328)] = 87207,
  [SMALL_STATE(2329)] = 87271,
  [SMALL_STATE(2330)] = 87335,
  [SMALL_STATE(2331)] = 87389,
  [SMALL_STATE(2332)] = 87451,
  [SMALL_STATE(2333)] = 87515,
  [SMALL_STATE(2334)] = 87567,
  [SMALL_STATE(2335)] = 87625,
  [SMALL_STATE(2336)] = 87733,
  [SMALL_STATE(2337)] = 87783,
  [SMALL_STATE(2338)] = 87833,
  [SMALL_STATE(2339)] = 87883,
  [SMALL_STATE(2340)] = 87933,
  [SMALL_STATE(2341)] = 87983,
  [SMALL_STATE(2342)] = 88033,
  [SMALL_STATE(2343)] = 88083,
  [SMALL_STATE(2344)] = 88133,
  [SMALL_STATE(2345)] = 88197,
  [SMALL_STATE(2346)] = 88263,
  [SMALL_STATE(2347)] = 88313,
  [SMALL_STATE(2348)] = 88371,
  [SMALL_STATE(2349)] = 88421,
  [SMALL_STATE(2350)] = 88479,
  [SMALL_STATE(2351)] = 88533,
  [SMALL_STATE(2352)] = 88591,
  [SMALL_STATE(2353)] = 88699,
  [SMALL_STATE(2354)] = 88759,
  [SMALL_STATE(2355)] = 88829,
  [SMALL_STATE(2356)] = 88905,
  [SMALL_STATE(2357)] = 89013,
  [SMALL_STATE(2358)] = 89081,
  [SMALL_STATE(2359)] = 89143,
  [SMALL_STATE(2360)] = 89251,
  [SMALL_STATE(2361)] = 89321,
  [SMALL_STATE(2362)] = 89397,
  [SMALL_STATE(2363)] = 89505,
  [SMALL_STATE(2364)] = 89573,
  [SMALL_STATE(2365)] = 89623,
  [SMALL_STATE(2366)] = 89673,
  [SMALL_STATE(2367)] = 89723,
  [SMALL_STATE(2368)] = 89773,
  [SMALL_STATE(2369)] = 89881,
  [SMALL_STATE(2370)] = 89931,
  [SMALL_STATE(2371)] = 89981,
  [SMALL_STATE(2372)] = 90031,
  [SMALL_STATE(2373)] = 90081,
  [SMALL_STATE(2374)] = 90133,
  [SMALL_STATE(2375)] = 90241,
  [SMALL_STATE(2376)] = 90291,
  [SMALL_STATE(2377)] = 90345,
  [SMALL_STATE(2378)] = 90399,
  [SMALL_STATE(2379)] = 90449,
  [SMALL_STATE(2380)] = 90557,
  [SMALL_STATE(2381)] = 90621,
  [SMALL_STATE(2382)] = 90687,
  [SMALL_STATE(2383)] = 90741,
  [SMALL_STATE(2384)] = 90795,
  [SMALL_STATE(2385)] = 90849,
  [SMALL_STATE(2386)] = 90903,
  [SMALL_STATE(2387)] = 90957,
  [SMALL_STATE(2388)] = 91021,
  [SMALL_STATE(2389)] = 91075,
  [SMALL_STATE(2390)] = 91139,
  [SMALL_STATE(2391)] = 91193,
  [SMALL_STATE(2392)] = 91301,
  [SMALL_STATE(2393)] = 91355,
  [SMALL_STATE(2394)] = 91409,
  [SMALL_STATE(2395)] = 91465,
  [SMALL_STATE(2396)] = 91521,
  [SMALL_STATE(2397)] = 91577,
  [SMALL_STATE(2398)] = 91651,
  [SMALL_STATE(2399)] = 91727,
  [SMALL_STATE(2400)] = 91783,
  [SMALL_STATE(2401)] = 91839,
  [SMALL_STATE(2402)] = 91893,
  [SMALL_STATE(2403)] = 91943,
  [SMALL_STATE(2404)] = 91999,
  [SMALL_STATE(2405)] = 92049,
  [SMALL_STATE(2406)] = 92111,
  [SMALL_STATE(2407)] = 92219,
  [SMALL_STATE(2408)] = 92327,
  [SMALL_STATE(2409)] = 92435,
  [SMALL_STATE(2410)] = 92543,
  [SMALL_STATE(2411)] = 92651,
  [SMALL_STATE(2412)] = 92733,
  [SMALL_STATE(2413)] = 92805,
  [SMALL_STATE(2414)] = 92901,
  [SMALL_STATE(2415)] = 92999,
  [SMALL_STATE(2416)] = 93077,
  [SMALL_STATE(2417)] = 93167,
  [SMALL_STATE(2418)] = 93259,
  [SMALL_STATE(2419)] = 93353,
  [SMALL_STATE(2420)] = 93429,
  [SMALL_STATE(2421)] = 93507,
  [SMALL_STATE(2422)] = 93593,
  [SMALL_STATE(2423)] = 93693,
  [SMALL_STATE(2424)] = 93801,
  [SMALL_STATE(2425)] = 93909,
  [SMALL_STATE(2426)] = 94017,
  [SMALL_STATE(2427)] = 94125,
  [SMALL_STATE(2428)] = 94233,
  [SMALL_STATE(2429)] = 94341,
  [SMALL_STATE(2430)] = 94449,
  [SMALL_STATE(2431)] = 94557,
  [SMALL_STATE(2432)] = 94631,
  [SMALL_STATE(2433)] = 94707,
  [SMALL_STATE(2434)] = 94757,
  [SMALL_STATE(2435)] = 94827,
  [SMALL_STATE(2436)] = 94903,
  [SMALL_STATE(2437)] = 95011,
  [SMALL_STATE(2438)] = 95079,
  [SMALL_STATE(2439)] = 95141,
  [SMALL_STATE(2440)] = 95193,
  [SMALL_STATE(2441)] = 95301,
  [SMALL_STATE(2442)] = 95353,
  [SMALL_STATE(2443)] = 95427,
  [SMALL_STATE(2444)] = 95503,
  [SMALL_STATE(2445)] = 95565,
  [SMALL_STATE(2446)] = 95627,
  [SMALL_STATE(2447)] = 95679,
  [SMALL_STATE(2448)] = 95731,
  [SMALL_STATE(2449)] = 95789,
  [SMALL_STATE(2450)] = 95848,
  [SMALL_STATE(2451)] = 95907,
  [SMALL_STATE(2452)] = 95966,
  [SMALL_STATE(2453)] = 96071,
  [SMALL_STATE(2454)] = 96124,
  [SMALL_STATE(2455)] = 96175,
  [SMALL_STATE(2456)] = 96244,
  [SMALL_STATE(2457)] = 96303,
  [SMALL_STATE(2458)] = 96378,
  [SMALL_STATE(2459)] = 96437,
  [SMALL_STATE(2460)] = 96504,
  [SMALL_STATE(2461)] = 96567,
  [SMALL_STATE(2462)] = 96626,
  [SMALL_STATE(2463)] = 96685,
  [SMALL_STATE(2464)] = 96744,
  [SMALL_STATE(2465)] = 96813,
  [SMALL_STATE(2466)] = 96872,
  [SMALL_STATE(2467)] = 96931,
  [SMALL_STATE(2468)] = 96990,
  [SMALL_STATE(2469)] = 97049,
  [SMALL_STATE(2470)] = 97118,
  [SMALL_STATE(2471)] = 97193,
  [SMALL_STATE(2472)] = 97298,
  [SMALL_STATE(2473)] = 97365,
  [SMALL_STATE(2474)] = 97424,
  [SMALL_STATE(2475)] = 97475,
  [SMALL_STATE(2476)] = 97532,
  [SMALL_STATE(2477)] = 97637,
  [SMALL_STATE(2478)] = 97704,
  [SMALL_STATE(2479)] = 97767,
  [SMALL_STATE(2480)] = 97828,
  [SMALL_STATE(2481)] = 97933,
  [SMALL_STATE(2482)] = 98038,
  [SMALL_STATE(2483)] = 98143,
  [SMALL_STATE(2484)] = 98194,
  [SMALL_STATE(2485)] = 98299,
  [SMALL_STATE(2486)] = 98404,
  [SMALL_STATE(2487)] = 98485,
  [SMALL_STATE(2488)] = 98556,
  [SMALL_STATE(2489)] = 98651,
  [SMALL_STATE(2490)] = 98748,
  [SMALL_STATE(2491)] = 98807,
  [SMALL_STATE(2492)] = 98884,
  [SMALL_STATE(2493)] = 98961,
  [SMALL_STATE(2494)] = 99050,
  [SMALL_STATE(2495)] = 99141,
  [SMALL_STATE(2496)] = 99234,
  [SMALL_STATE(2497)] = 99309,
  [SMALL_STATE(2498)] = 99372,
  [SMALL_STATE(2499)] = 99457,
  [SMALL_STATE(2500)] = 99556,
  [SMALL_STATE(2501)] = 99661,
  [SMALL_STATE(2502)] = 99766,
  [SMALL_STATE(2503)] = 99871,
  [SMALL_STATE(2504)] = 99930,
  [SMALL_STATE(2505)] = 100035,
  [SMALL_STATE(2506)] = 100088,
  [SMALL_STATE(2507)] = 100155,
  [SMALL_STATE(2508)] = 100214,
  [SMALL_STATE(2509)] = 100273,
  [SMALL_STATE(2510)] = 100378,
  [SMALL_STATE(2511)] = 100441,
  [SMALL_STATE(2512)] = 100546,
  [SMALL_STATE(2513)] = 100651,
  [SMALL_STATE(2514)] = 100756,
  [SMALL_STATE(2515)] = 100815,
  [SMALL_STATE(2516)] = 100872,
  [SMALL_STATE(2517)] = 100929,
  [SMALL_STATE(2518)] = 100998,
  [SMALL_STATE(2519)] = 101055,
  [SMALL_STATE(2520)] = 101112,
  [SMALL_STATE(2521)] = 101165,
  [SMALL_STATE(2522)] = 101246,
  [SMALL_STATE(2523)] = 101305,
  [SMALL_STATE(2524)] = 101356,
  [SMALL_STATE(2525)] = 101415,
  [SMALL_STATE(2526)] = 101474,
  [SMALL_STATE(2527)] = 101525,
  [SMALL_STATE(2528)] = 101594,
  [SMALL_STATE(2529)] = 101663,
  [SMALL_STATE(2530)] = 101732,
  [SMALL_STATE(2531)] = 101799,
  [SMALL_STATE(2532)] = 101862,
  [SMALL_STATE(2533)] = 101917,
  [SMALL_STATE(2534)] = 101974,
  [SMALL_STATE(2535)] = 102025,
  [SMALL_STATE(2536)] = 102082,
  [SMALL_STATE(2537)] = 102151,
  [SMALL_STATE(2538)] = 102208,
  [SMALL_STATE(2539)] = 102263,
  [SMALL_STATE(2540)] = 102352,
  [SMALL_STATE(2541)] = 102407,
  [SMALL_STATE(2542)] = 102458,
  [SMALL_STATE(2543)] = 102513,
  [SMALL_STATE(2544)] = 102580,
  [SMALL_STATE(2545)] = 102657,
  [SMALL_STATE(2546)] = 102717,
  [SMALL_STATE(2547)] = 102777,
  [SMALL_STATE(2548)] = 102837,
  [SMALL_STATE(2549)] = 102893,
  [SMALL_STATE(2550)] = 102953,
  [SMALL_STATE(2551)] = 103003,
  [SMALL_STATE(2552)] = 103063,
  [SMALL_STATE(2553)] = 103123,
  [SMALL_STATE(2554)] = 103177,
  [SMALL_STATE(2555)] = 103237,
  [SMALL_STATE(2556)] = 103297,
  [SMALL_STATE(2557)] = 103357,
  [SMALL_STATE(2558)] = 103425,
  [SMALL_STATE(2559)] = 103495,
  [SMALL_STATE(2560)] = 103555,
  [SMALL_STATE(2561)] = 103605,
  [SMALL_STATE(2562)] = 103655,
  [SMALL_STATE(2563)] = 103705,
  [SMALL_STATE(2564)] = 103755,
  [SMALL_STATE(2565)] = 103815,
  [SMALL_STATE(2566)] = 103875,
  [SMALL_STATE(2567)] = 103925,
  [SMALL_STATE(2568)] = 103985,
  [SMALL_STATE(2569)] = 104039,
  [SMALL_STATE(2570)] = 104089,
  [SMALL_STATE(2571)] = 104139,
  [SMALL_STATE(2572)] = 104193,
  [SMALL_STATE(2573)] = 104259,
  [SMALL_STATE(2574)] = 104319,
  [SMALL_STATE(2575)] = 104373,
  [SMALL_STATE(2576)] = 104421,
  [SMALL_STATE(2577)] = 104475,
  [SMALL_STATE(2578)] = 104523,
  [SMALL_STATE(2579)] = 104573,
  [SMALL_STATE(2580)] = 104633,
  [SMALL_STATE(2581)] = 104683,
  [SMALL_STATE(2582)] = 104737,
  [SMALL_STATE(2583)] = 104791,
  [SMALL_STATE(2584)] = 104851,
  [SMALL_STATE(2585)] = 104905,
  [SMALL_STATE(2586)] = 104977,
  [SMALL_STATE(2587)] = 105031,
  [SMALL_STATE(2588)] = 105099,
  [SMALL_STATE(2589)] = 105147,
  [SMALL_STATE(2590)] = 105201,
  [SMALL_STATE(2591)] = 105251,
  [SMALL_STATE(2592)] = 105310,
  [SMALL_STATE(2593)] = 105369,
  [SMALL_STATE(2594)] = 105428,
  [SMALL_STATE(2595)] = 105481,
  [SMALL_STATE(2596)] = 105534,
  [SMALL_STATE(2597)] = 105593,
  [SMALL_STATE(2598)] = 105656,
  [SMALL_STATE(2599)] = 105709,
  [SMALL_STATE(2600)] = 105768,
  [SMALL_STATE(2601)] = 105827,
  [SMALL_STATE(2602)] = 105880,
  [SMALL_STATE(2603)] = 105939,
  [SMALL_STATE(2604)] = 105998,
  [SMALL_STATE(2605)] = 106057,
  [SMALL_STATE(2606)] = 106116,
  [SMALL_STATE(2607)] = 106175,
  [SMALL_STATE(2608)] = 106234,
  [SMALL_STATE(2609)] = 106283,
  [SMALL_STATE(2610)] = 106336,
  [SMALL_STATE(2611)] = 106385,
  [SMALL_STATE(2612)] = 106434,
  [SMALL_STATE(2613)] = 106493,
  [SMALL_STATE(2614)] = 106542,
  [SMALL_STATE(2615)] = 106603,
  [SMALL_STATE(2616)] = 106668,
  [SMALL_STATE(2617)] = 106727,
  [SMALL_STATE(2618)] = 106790,
  [SMALL_STATE(2619)] = 106836,
  [SMALL_STATE(2620)] = 106884,
  [SMALL_STATE(2621)] = 106930,
  [SMALL_STATE(2622)] = 106976,
  [SMALL_STATE(2623)] = 107034,
  [SMALL_STATE(2624)] = 107080,
  [SMALL_STATE(2625)] = 107128,
  [SMALL_STATE(2626)] = 107174,
  [SMALL_STATE(2627)] = 107220,
  [SMALL_STATE(2628)] = 107268,
  [SMALL_STATE(2629)] = 107314,
  [SMALL_STATE(2630)] = 107360,
  [SMALL_STATE(2631)] = 107406,
  [SMALL_STATE(2632)] = 107452,
  [SMALL_STATE(2633)] = 107498,
  [SMALL_STATE(2634)] = 107546,
  [SMALL_STATE(2635)] = 107592,
  [SMALL_STATE(2636)] = 107638,
  [SMALL_STATE(2637)] = 107684,
  [SMALL_STATE(2638)] = 107732,
  [SMALL_STATE(2639)] = 107778,
  [SMALL_STATE(2640)] = 107824,
  [SMALL_STATE(2641)] = 107870,
  [SMALL_STATE(2642)] = 107916,
  [SMALL_STATE(2643)] = 107962,
  [SMALL_STATE(2644)] = 108008,
  [SMALL_STATE(2645)] = 108056,
  [SMALL_STATE(2646)] = 108102,
  [SMALL_STATE(2647)] = 108148,
  [SMALL_STATE(2648)] = 108196,
  [SMALL_STATE(2649)] = 108244,
  [SMALL_STATE(2650)] = 108290,
  [SMALL_STATE(2651)] = 108336,
  [SMALL_STATE(2652)] = 108382,
  [SMALL_STATE(2653)] = 108430,
  [SMALL_STATE(2654)] = 108478,
  [SMALL_STATE(2655)] = 108528,
  [SMALL_STATE(2656)] = 108574,
  [SMALL_STATE(2657)] = 108620,
  [SMALL_STATE(2658)] = 108666,
  [SMALL_STATE(2659)] = 108712,
  [SMALL_STATE(2660)] = 108758,
  [SMALL_STATE(2661)] = 108804,
  [SMALL_STATE(2662)] = 108850,
  [SMALL_STATE(2663)] = 108906,
  [SMALL_STATE(2664)] = 108954,
  [SMALL_STATE(2665)] = 109000,
  [SMALL_STATE(2666)] = 109046,
  [SMALL_STATE(2667)] = 109094,
  [SMALL_STATE(2668)] = 109140,
  [SMALL_STATE(2669)] = 109186,
  [SMALL_STATE(2670)] = 109236,
  [SMALL_STATE(2671)] = 109282,
  [SMALL_STATE(2672)] = 109328,
  [SMALL_STATE(2673)] = 109374,
  [SMALL_STATE(2674)] = 109420,
  [SMALL_STATE(2675)] = 109468,
  [SMALL_STATE(2676)] = 109516,
  [SMALL_STATE(2677)] = 109562,
  [SMALL_STATE(2678)] = 109608,
  [SMALL_STATE(2679)] = 109654,
  [SMALL_STATE(2680)] = 109700,
  [SMALL_STATE(2681)] = 109746,
  [SMALL_STATE(2682)] = 109792,
  [SMALL_STATE(2683)] = 109837,
  [SMALL_STATE(2684)] = 109882,
  [SMALL_STATE(2685)] = 109927,
  [SMALL_STATE(2686)] = 109978,
  [SMALL_STATE(2687)] = 110023,
  [SMALL_STATE(2688)] = 110090,
  [SMALL_STATE(2689)] = 110135,
  [SMALL_STATE(2690)] = 110180,
  [SMALL_STATE(2691)] = 110231,
  [SMALL_STATE(2692)] = 110284,
  [SMALL_STATE(2693)] = 110337,
  [SMALL_STATE(2694)] = 110382,
  [SMALL_STATE(2695)] = 110427,
  [SMALL_STATE(2696)] = 110485,
  [SMALL_STATE(2697)] = 110545,
  [SMALL_STATE(2698)] = 110605,
  [SMALL_STATE(2699)] = 110665,
  [SMALL_STATE(2700)] = 110723,
  [SMALL_STATE(2701)] = 110771,
  [SMALL_STATE(2702)] = 110827,
  [SMALL_STATE(2703)] = 110899,
  [SMALL_STATE(2704)] = 110947,
  [SMALL_STATE(2705)] = 111019,
  [SMALL_STATE(2706)] = 111077,
  [SMALL_STATE(2707)] = 111135,
  [SMALL_STATE(2708)] = 111198,
  [SMALL_STATE(2709)] = 111261,
  [SMALL_STATE(2710)] = 111314,
  [SMALL_STATE(2711)] = 111367,
  [SMALL_STATE(2712)] = 111420,
  [SMALL_STATE(2713)] = 111473,
  [SMALL_STATE(2714)] = 111526,
  [SMALL_STATE(2715)] = 111579,
  [SMALL_STATE(2716)] = 111632,
  [SMALL_STATE(2717)] = 111685,
  [SMALL_STATE(2718)] = 111738,
  [SMALL_STATE(2719)] = 111791,
  [SMALL_STATE(2720)] = 111844,
  [SMALL_STATE(2721)] = 111897,
  [SMALL_STATE(2722)] = 111950,
  [SMALL_STATE(2723)] = 112003,
  [SMALL_STATE(2724)] = 112056,
  [SMALL_STATE(2725)] = 112119,
  [SMALL_STATE(2726)] = 112172,
  [SMALL_STATE(2727)] = 112225,
  [SMALL_STATE(2728)] = 112288,
  [SMALL_STATE(2729)] = 112341,
  [SMALL_STATE(2730)] = 112390,
  [SMALL_STATE(2731)] = 112443,
  [SMALL_STATE(2732)] = 112496,
  [SMALL_STATE(2733)] = 112549,
  [SMALL_STATE(2734)] = 112602,
  [SMALL_STATE(2735)] = 112655,
  [SMALL_STATE(2736)] = 112708,
  [SMALL_STATE(2737)] = 112761,
  [SMALL_STATE(2738)] = 112814,
  [SMALL_STATE(2739)] = 112867,
  [SMALL_STATE(2740)] = 112927,
  [SMALL_STATE(2741)] = 112981,
  [SMALL_STATE(2742)] = 113061,
  [SMALL_STATE(2743)] = 113115,
  [SMALL_STATE(2744)] = 113195,
  [SMALL_STATE(2745)] = 113259,
  [SMALL_STATE(2746)] = 113313,
  [SMALL_STATE(2747)] = 113393,
  [SMALL_STATE(2748)] = 113447,
  [SMALL_STATE(2749)] = 113501,
  [SMALL_STATE(2750)] = 113581,
  [SMALL_STATE(2751)] = 113635,
  [SMALL_STATE(2752)] = 113689,
  [SMALL_STATE(2753)] = 113749,
  [SMALL_STATE(2754)] = 113803,
  [SMALL_STATE(2755)] = 113883,
  [SMALL_STATE(2756)] = 113947,
  [SMALL_STATE(2757)] = 114007,
  [SMALL_STATE(2758)] = 114071,
  [SMALL_STATE(2759)] = 114125,
  [SMALL_STATE(2760)] = 114185,
  [SMALL_STATE(2761)] = 114239,
  [SMALL_STATE(2762)] = 114299,
  [SMALL_STATE(2763)] = 114359,
  [SMALL_STATE(2764)] = 114419,
  [SMALL_STATE(2765)] = 114470,
  [SMALL_STATE(2766)] = 114523,
  [SMALL_STATE(2767)] = 114564,
  [SMALL_STATE(2768)] = 114621,
  [SMALL_STATE(2769)] = 114672,
  [SMALL_STATE(2770)] = 114725,
  [SMALL_STATE(2771)] = 114782,
  [SMALL_STATE(2772)] = 114833,
  [SMALL_STATE(2773)] = 114886,
  [SMALL_STATE(2774)] = 114929,
  [SMALL_STATE(2775)] = 114986,
  [SMALL_STATE(2776)] = 115037,
  [SMALL_STATE(2777)] = 115078,
  [SMALL_STATE(2778)] = 115131,
  [SMALL_STATE(2779)] = 115184,
  [SMALL_STATE(2780)] = 115235,
  [SMALL_STATE(2781)] = 115286,
  [SMALL_STATE(2782)] = 115343,
  [SMALL_STATE(2783)] = 115400,
  [SMALL_STATE(2784)] = 115457,
  [SMALL_STATE(2785)] = 115514,
  [SMALL_STATE(2786)] = 115567,
  [SMALL_STATE(2787)] = 115618,
  [SMALL_STATE(2788)] = 115669,
  [SMALL_STATE(2789)] = 115722,
  [SMALL_STATE(2790)] = 115775,
  [SMALL_STATE(2791)] = 115828,
  [SMALL_STATE(2792)] = 115869,
  [SMALL_STATE(2793)] = 115922,
  [SMALL_STATE(2794)] = 115975,
  [SMALL_STATE(2795)] = 116032,
  [SMALL_STATE(2796)] = 116085,
  [SMALL_STATE(2797)] = 116138,
  [SMALL_STATE(2798)] = 116179,
  [SMALL_STATE(2799)] = 116230,
  [SMALL_STATE(2800)] = 116283,
  [SMALL_STATE(2801)] = 116340,
  [SMALL_STATE(2802)] = 116393,
  [SMALL_STATE(2803)] = 116446,
  [SMALL_STATE(2804)] = 116494,
  [SMALL_STATE(2805)] = 116542,
  [SMALL_STATE(2806)] = 116590,
  [SMALL_STATE(2807)] = 116638,
  [SMALL_STATE(2808)] = 116686,
  [SMALL_STATE(2809)] = 116734,
  [SMALL_STATE(2810)] = 116782,
  [SMALL_STATE(2811)] = 116830,
  [SMALL_STATE(2812)] = 116878,
  [SMALL_STATE(2813)] = 116926,
  [SMALL_STATE(2814)] = 116974,
  [SMALL_STATE(2815)] = 117022,
  [SMALL_STATE(2816)] = 117070,
  [SMALL_STATE(2817)] = 117118,
  [SMALL_STATE(2818)] = 117166,
  [SMALL_STATE(2819)] = 117214,
  [SMALL_STATE(2820)] = 117262,
  [SMALL_STATE(2821)] = 117310,
  [SMALL_STATE(2822)] = 117358,
  [SMALL_STATE(2823)] = 117406,
  [SMALL_STATE(2824)] = 117454,
  [SMALL_STATE(2825)] = 117502,
  [SMALL_STATE(2826)] = 117550,
  [SMALL_STATE(2827)] = 117598,
  [SMALL_STATE(2828)] = 117646,
  [SMALL_STATE(2829)] = 117694,
  [SMALL_STATE(2830)] = 117742,
  [SMALL_STATE(2831)] = 117790,
  [SMALL_STATE(2832)] = 117838,
  [SMALL_STATE(2833)] = 117886,
  [SMALL_STATE(2834)] = 117934,
  [SMALL_STATE(2835)] = 117982,
  [SMALL_STATE(2836)] = 118030,
  [SMALL_STATE(2837)] = 118078,
  [SMALL_STATE(2838)] = 118126,
  [SMALL_STATE(2839)] = 118174,
  [SMALL_STATE(2840)] = 118222,
  [SMALL_STATE(2841)] = 118270,
  [SMALL_STATE(2842)] = 118318,
  [SMALL_STATE(2843)] = 118366,
  [SMALL_STATE(2844)] = 118414,
  [SMALL_STATE(2845)] = 118462,
  [SMALL_STATE(2846)] = 118510,
  [SMALL_STATE(2847)] = 118558,
  [SMALL_STATE(2848)] = 118606,
  [SMALL_STATE(2849)] = 118654,
  [SMALL_STATE(2850)] = 118702,
  [SMALL_STATE(2851)] = 118750,
  [SMALL_STATE(2852)] = 118798,
  [SMALL_STATE(2853)] = 118846,
  [SMALL_STATE(2854)] = 118894,
  [SMALL_STATE(2855)] = 118942,
  [SMALL_STATE(2856)] = 118990,
  [SMALL_STATE(2857)] = 119038,
  [SMALL_STATE(2858)] = 119086,
  [SMALL_STATE(2859)] = 119134,
  [SMALL_STATE(2860)] = 119182,
  [SMALL_STATE(2861)] = 119230,
  [SMALL_STATE(2862)] = 119278,
  [SMALL_STATE(2863)] = 119326,
  [SMALL_STATE(2864)] = 119374,
  [SMALL_STATE(2865)] = 119422,
  [SMALL_STATE(2866)] = 119470,
  [SMALL_STATE(2867)] = 119518,
  [SMALL_STATE(2868)] = 119566,
  [SMALL_STATE(2869)] = 119614,
  [SMALL_STATE(2870)] = 119662,
  [SMALL_STATE(2871)] = 119710,
  [SMALL_STATE(2872)] = 119758,
  [SMALL_STATE(2873)] = 119806,
  [SMALL_STATE(2874)] = 119854,
  [SMALL_STATE(2875)] = 119902,
  [SMALL_STATE(2876)] = 119950,
  [SMALL_STATE(2877)] = 119998,
  [SMALL_STATE(2878)] = 120046,
  [SMALL_STATE(2879)] = 120094,
  [SMALL_STATE(2880)] = 120142,
  [SMALL_STATE(2881)] = 120190,
  [SMALL_STATE(2882)] = 120238,
  [SMALL_STATE(2883)] = 120286,
  [SMALL_STATE(2884)] = 120334,
  [SMALL_STATE(2885)] = 120382,
  [SMALL_STATE(2886)] = 120430,
  [SMALL_STATE(2887)] = 120478,
  [SMALL_STATE(2888)] = 120526,
  [SMALL_STATE(2889)] = 120574,
  [SMALL_STATE(2890)] = 120622,
  [SMALL_STATE(2891)] = 120670,
  [SMALL_STATE(2892)] = 120718,
  [SMALL_STATE(2893)] = 120766,
  [SMALL_STATE(2894)] = 120814,
  [SMALL_STATE(2895)] = 120862,
  [SMALL_STATE(2896)] = 120910,
  [SMALL_STATE(2897)] = 120958,
  [SMALL_STATE(2898)] = 120993,
  [SMALL_STATE(2899)] = 121034,
  [SMALL_STATE(2900)] = 121075,
  [SMALL_STATE(2901)] = 121116,
  [SMALL_STATE(2902)] = 121144,
  [SMALL_STATE(2903)] = 121172,
  [SMALL_STATE(2904)] = 121200,
  [SMALL_STATE(2905)] = 121228,
  [SMALL_STATE(2906)] = 121256,
  [SMALL_STATE(2907)] = 121284,
  [SMALL_STATE(2908)] = 121312,
  [SMALL_STATE(2909)] = 121340,
  [SMALL_STATE(2910)] = 121368,
  [SMALL_STATE(2911)] = 121396,
  [SMALL_STATE(2912)] = 121424,
  [SMALL_STATE(2913)] = 121452,
  [SMALL_STATE(2914)] = 121480,
  [SMALL_STATE(2915)] = 121508,
  [SMALL_STATE(2916)] = 121536,
  [SMALL_STATE(2917)] = 121564,
  [SMALL_STATE(2918)] = 121592,
  [SMALL_STATE(2919)] = 121620,
  [SMALL_STATE(2920)] = 121648,
  [SMALL_STATE(2921)] = 121676,
  [SMALL_STATE(2922)] = 121704,
  [SMALL_STATE(2923)] = 121732,
  [SMALL_STATE(2924)] = 121760,
  [SMALL_STATE(2925)] = 121788,
  [SMALL_STATE(2926)] = 121816,
  [SMALL_STATE(2927)] = 121844,
  [SMALL_STATE(2928)] = 121872,
  [SMALL_STATE(2929)] = 121900,
  [SMALL_STATE(2930)] = 121928,
  [SMALL_STATE(2931)] = 121956,
  [SMALL_STATE(2932)] = 121984,
  [SMALL_STATE(2933)] = 122012,
  [SMALL_STATE(2934)] = 122040,
  [SMALL_STATE(2935)] = 122068,
  [SMALL_STATE(2936)] = 122117,
  [SMALL_STATE(2937)] = 122143,
  [SMALL_STATE(2938)] = 122169,
  [SMALL_STATE(2939)] = 122207,
  [SMALL_STATE(2940)] = 122245,
  [SMALL_STATE(2941)] = 122283,
  [SMALL_STATE(2942)] = 122315,
  [SMALL_STATE(2943)] = 122341,
  [SMALL_STATE(2944)] = 122367,
  [SMALL_STATE(2945)] = 122393,
  [SMALL_STATE(2946)] = 122419,
  [SMALL_STATE(2947)] = 122447,
  [SMALL_STATE(2948)] = 122473,
  [SMALL_STATE(2949)] = 122499,
  [SMALL_STATE(2950)] = 122527,
  [SMALL_STATE(2951)] = 122561,
  [SMALL_STATE(2952)] = 122587,
  [SMALL_STATE(2953)] = 122613,
  [SMALL_STATE(2954)] = 122643,
  [SMALL_STATE(2955)] = 122669,
  [SMALL_STATE(2956)] = 122699,
  [SMALL_STATE(2957)] = 122726,
  [SMALL_STATE(2958)] = 122755,
  [SMALL_STATE(2959)] = 122780,
  [SMALL_STATE(2960)] = 122805,
  [SMALL_STATE(2961)] = 122836,
  [SMALL_STATE(2962)] = 122861,
  [SMALL_STATE(2963)] = 122886,
  [SMALL_STATE(2964)] = 122910,
  [SMALL_STATE(2965)] = 122934,
  [SMALL_STATE(2966)] = 122966,
  [SMALL_STATE(2967)] = 122988,
  [SMALL_STATE(2968)] = 123012,
  [SMALL_STATE(2969)] = 123044,
  [SMALL_STATE(2970)] = 123078,
  [SMALL_STATE(2971)] = 123112,
  [SMALL_STATE(2972)] = 123146,
  [SMALL_STATE(2973)] = 123170,
  [SMALL_STATE(2974)] = 123204,
  [SMALL_STATE(2975)] = 123228,
  [SMALL_STATE(2976)] = 123252,
  [SMALL_STATE(2977)] = 123276,
  [SMALL_STATE(2978)] = 123298,
  [SMALL_STATE(2979)] = 123320,
  [SMALL_STATE(2980)] = 123344,
  [SMALL_STATE(2981)] = 123368,
  [SMALL_STATE(2982)] = 123400,
  [SMALL_STATE(2983)] = 123434,
  [SMALL_STATE(2984)] = 123468,
  [SMALL_STATE(2985)] = 123502,
  [SMALL_STATE(2986)] = 123526,
  [SMALL_STATE(2987)] = 123550,
  [SMALL_STATE(2988)] = 123574,
  [SMALL_STATE(2989)] = 123598,
  [SMALL_STATE(2990)] = 123622,
  [SMALL_STATE(2991)] = 123646,
  [SMALL_STATE(2992)] = 123680,
  [SMALL_STATE(2993)] = 123704,
  [SMALL_STATE(2994)] = 123728,
  [SMALL_STATE(2995)] = 123750,
  [SMALL_STATE(2996)] = 123774,
  [SMALL_STATE(2997)] = 123798,
  [SMALL_STATE(2998)] = 123822,
  [SMALL_STATE(2999)] = 123856,
  [SMALL_STATE(3000)] = 123888,
  [SMALL_STATE(3001)] = 123922,
  [SMALL_STATE(3002)] = 123956,
  [SMALL_STATE(3003)] = 123990,
  [SMALL_STATE(3004)] = 124018,
  [SMALL_STATE(3005)] = 124042,
  [SMALL_STATE(3006)] = 124066,
  [SMALL_STATE(3007)] = 124088,
  [SMALL_STATE(3008)] = 124112,
  [SMALL_STATE(3009)] = 124134,
  [SMALL_STATE(3010)] = 124160,
  [SMALL_STATE(3011)] = 124182,
  [SMALL_STATE(3012)] = 124206,
  [SMALL_STATE(3013)] = 124232,
  [SMALL_STATE(3014)] = 124256,
  [SMALL_STATE(3015)] = 124278,
  [SMALL_STATE(3016)] = 124310,
  [SMALL_STATE(3017)] = 124332,
  [SMALL_STATE(3018)] = 124366,
  [SMALL_STATE(3019)] = 124400,
  [SMALL_STATE(3020)] = 124434,
  [SMALL_STATE(3021)] = 124458,
  [SMALL_STATE(3022)] = 124482,
  [SMALL_STATE(3023)] = 124506,
  [SMALL_STATE(3024)] = 124530,
  [SMALL_STATE(3025)] = 124554,
  [SMALL_STATE(3026)] = 124578,
  [SMALL_STATE(3027)] = 124602,
  [SMALL_STATE(3028)] = 124626,
  [SMALL_STATE(3029)] = 124650,
  [SMALL_STATE(3030)] = 124674,
  [SMALL_STATE(3031)] = 124698,
  [SMALL_STATE(3032)] = 124722,
  [SMALL_STATE(3033)] = 124746,
  [SMALL_STATE(3034)] = 124770,
  [SMALL_STATE(3035)] = 124794,
  [SMALL_STATE(3036)] = 124826,
  [SMALL_STATE(3037)] = 124850,
  [SMALL_STATE(3038)] = 124874,
  [SMALL_STATE(3039)] = 124898,
  [SMALL_STATE(3040)] = 124922,
  [SMALL_STATE(3041)] = 124944,
  [SMALL_STATE(3042)] = 124968,
  [SMALL_STATE(3043)] = 124992,
  [SMALL_STATE(3044)] = 125016,
  [SMALL_STATE(3045)] = 125040,
  [SMALL_STATE(3046)] = 125064,
  [SMALL_STATE(3047)] = 125088,
  [SMALL_STATE(3048)] = 125122,
  [SMALL_STATE(3049)] = 125146,
  [SMALL_STATE(3050)] = 125170,
  [SMALL_STATE(3051)] = 125194,
  [SMALL_STATE(3052)] = 125218,
  [SMALL_STATE(3053)] = 125252,
  [SMALL_STATE(3054)] = 125276,
  [SMALL_STATE(3055)] = 125300,
  [SMALL_STATE(3056)] = 125334,
  [SMALL_STATE(3057)] = 125358,
  [SMALL_STATE(3058)] = 125382,
  [SMALL_STATE(3059)] = 125406,
  [SMALL_STATE(3060)] = 125430,
  [SMALL_STATE(3061)] = 125454,
  [SMALL_STATE(3062)] = 125478,
  [SMALL_STATE(3063)] = 125502,
  [SMALL_STATE(3064)] = 125526,
  [SMALL_STATE(3065)] = 125550,
  [SMALL_STATE(3066)] = 125579,
  [SMALL_STATE(3067)] = 125618,
  [SMALL_STATE(3068)] = 125661,
  [SMALL_STATE(3069)] = 125704,
  [SMALL_STATE(3070)] = 125743,
  [SMALL_STATE(3071)] = 125770,
  [SMALL_STATE(3072)] = 125813,
  [SMALL_STATE(3073)] = 125856,
  [SMALL_STATE(3074)] = 125899,
  [SMALL_STATE(3075)] = 125942,
  [SMALL_STATE(3076)] = 125985,
  [SMALL_STATE(3077)] = 126028,
  [SMALL_STATE(3078)] = 126071,
  [SMALL_STATE(3079)] = 126100,
  [SMALL_STATE(3080)] = 126143,
  [SMALL_STATE(3081)] = 126186,
  [SMALL_STATE(3082)] = 126225,
  [SMALL_STATE(3083)] = 126268,
  [SMALL_STATE(3084)] = 126297,
  [SMALL_STATE(3085)] = 126336,
  [SMALL_STATE(3086)] = 126379,
  [SMALL_STATE(3087)] = 126422,
  [SMALL_STATE(3088)] = 126447,
  [SMALL_STATE(3089)] = 126472,
  [SMALL_STATE(3090)] = 126515,
  [SMALL_STATE(3091)] = 126558,
  [SMALL_STATE(3092)] = 126601,
  [SMALL_STATE(3093)] = 126630,
  [SMALL_STATE(3094)] = 126659,
  [SMALL_STATE(3095)] = 126684,
  [SMALL_STATE(3096)] = 126727,
  [SMALL_STATE(3097)] = 126756,
  [SMALL_STATE(3098)] = 126785,
  [SMALL_STATE(3099)] = 126814,
  [SMALL_STATE(3100)] = 126857,
  [SMALL_STATE(3101)] = 126900,
  [SMALL_STATE(3102)] = 126943,
  [SMALL_STATE(3103)] = 126986,
  [SMALL_STATE(3104)] = 127025,
  [SMALL_STATE(3105)] = 127054,
  [SMALL_STATE(3106)] = 127099,
  [SMALL_STATE(3107)] = 127142,
  [SMALL_STATE(3108)] = 127170,
  [SMALL_STATE(3109)] = 127190,
  [SMALL_STATE(3110)] = 127212,
  [SMALL_STATE(3111)] = 127234,
  [SMALL_STATE(3112)] = 127256,
  [SMALL_STATE(3113)] = 127276,
  [SMALL_STATE(3114)] = 127304,
  [SMALL_STATE(3115)] = 127324,
  [SMALL_STATE(3116)] = 127344,
  [SMALL_STATE(3117)] = 127368,
  [SMALL_STATE(3118)] = 127390,
  [SMALL_STATE(3119)] = 127412,
  [SMALL_STATE(3120)] = 127436,
  [SMALL_STATE(3121)] = 127458,
  [SMALL_STATE(3122)] = 127480,
  [SMALL_STATE(3123)] = 127502,
  [SMALL_STATE(3124)] = 127524,
  [SMALL_STATE(3125)] = 127560,
  [SMALL_STATE(3126)] = 127580,
  [SMALL_STATE(3127)] = 127600,
  [SMALL_STATE(3128)] = 127620,
  [SMALL_STATE(3129)] = 127640,
  [SMALL_STATE(3130)] = 127660,
  [SMALL_STATE(3131)] = 127680,
  [SMALL_STATE(3132)] = 127700,
  [SMALL_STATE(3133)] = 127736,
  [SMALL_STATE(3134)] = 127764,
  [SMALL_STATE(3135)] = 127792,
  [SMALL_STATE(3136)] = 127814,
  [SMALL_STATE(3137)] = 127850,
  [SMALL_STATE(3138)] = 127870,
  [SMALL_STATE(3139)] = 127890,
  [SMALL_STATE(3140)] = 127914,
  [SMALL_STATE(3141)] = 127934,
  [SMALL_STATE(3142)] = 127954,
  [SMALL_STATE(3143)] = 127974,
  [SMALL_STATE(3144)] = 128010,
  [SMALL_STATE(3145)] = 128038,
  [SMALL_STATE(3146)] = 128074,
  [SMALL_STATE(3147)] = 128110,
  [SMALL_STATE(3148)] = 128136,
  [SMALL_STATE(3149)] = 128156,
  [SMALL_STATE(3150)] = 128178,
  [SMALL_STATE(3151)] = 128200,
  [SMALL_STATE(3152)] = 128238,
  [SMALL_STATE(3153)] = 128260,
  [SMALL_STATE(3154)] = 128280,
  [SMALL_STATE(3155)] = 128308,
  [SMALL_STATE(3156)] = 128330,
  [SMALL_STATE(3157)] = 128350,
  [SMALL_STATE(3158)] = 128386,
  [SMALL_STATE(3159)] = 128406,
  [SMALL_STATE(3160)] = 128442,
  [SMALL_STATE(3161)] = 128470,
  [SMALL_STATE(3162)] = 128496,
  [SMALL_STATE(3163)] = 128524,
  [SMALL_STATE(3164)] = 128546,
  [SMALL_STATE(3165)] = 128572,
  [SMALL_STATE(3166)] = 128608,
  [SMALL_STATE(3167)] = 128636,
  [SMALL_STATE(3168)] = 128656,
  [SMALL_STATE(3169)] = 128676,
  [SMALL_STATE(3170)] = 128696,
  [SMALL_STATE(3171)] = 128716,
  [SMALL_STATE(3172)] = 128736,
  [SMALL_STATE(3173)] = 128760,
  [SMALL_STATE(3174)] = 128796,
  [SMALL_STATE(3175)] = 128816,
  [SMALL_STATE(3176)] = 128836,
  [SMALL_STATE(3177)] = 128856,
  [SMALL_STATE(3178)] = 128876,
  [SMALL_STATE(3179)] = 128896,
  [SMALL_STATE(3180)] = 128916,
  [SMALL_STATE(3181)] = 128936,
  [SMALL_STATE(3182)] = 128956,
  [SMALL_STATE(3183)] = 128980,
  [SMALL_STATE(3184)] = 129000,
  [SMALL_STATE(3185)] = 129037,
  [SMALL_STATE(3186)] = 129074,
  [SMALL_STATE(3187)] = 129097,
  [SMALL_STATE(3188)] = 129120,
  [SMALL_STATE(3189)] = 129157,
  [SMALL_STATE(3190)] = 129190,
  [SMALL_STATE(3191)] = 129223,
  [SMALL_STATE(3192)] = 129260,
  [SMALL_STATE(3193)] = 129291,
  [SMALL_STATE(3194)] = 129328,
  [SMALL_STATE(3195)] = 129353,
  [SMALL_STATE(3196)] = 129386,
  [SMALL_STATE(3197)] = 129417,
  [SMALL_STATE(3198)] = 129448,
  [SMALL_STATE(3199)] = 129479,
  [SMALL_STATE(3200)] = 129516,
  [SMALL_STATE(3201)] = 129553,
  [SMALL_STATE(3202)] = 129586,
  [SMALL_STATE(3203)] = 129619,
  [SMALL_STATE(3204)] = 129656,
  [SMALL_STATE(3205)] = 129679,
  [SMALL_STATE(3206)] = 129716,
  [SMALL_STATE(3207)] = 129753,
  [SMALL_STATE(3208)] = 129790,
  [SMALL_STATE(3209)] = 129827,
  [SMALL_STATE(3210)] = 129846,
  [SMALL_STATE(3211)] = 129879,
  [SMALL_STATE(3212)] = 129908,
  [SMALL_STATE(3213)] = 129933,
  [SMALL_STATE(3214)] = 129970,
  [SMALL_STATE(3215)] = 130007,
  [SMALL_STATE(3216)] = 130044,
  [SMALL_STATE(3217)] = 130081,
  [SMALL_STATE(3218)] = 130118,
  [SMALL_STATE(3219)] = 130151,
  [SMALL_STATE(3220)] = 130170,
  [SMALL_STATE(3221)] = 130207,
  [SMALL_STATE(3222)] = 130238,
  [SMALL_STATE(3223)] = 130275,
  [SMALL_STATE(3224)] = 130312,
  [SMALL_STATE(3225)] = 130349,
  [SMALL_STATE(3226)] = 130386,
  [SMALL_STATE(3227)] = 130407,
  [SMALL_STATE(3228)] = 130440,
  [SMALL_STATE(3229)] = 130461,
  [SMALL_STATE(3230)] = 130482,
  [SMALL_STATE(3231)] = 130511,
  [SMALL_STATE(3232)] = 130550,
  [SMALL_STATE(3233)] = 130587,
  [SMALL_STATE(3234)] = 130608,
  [SMALL_STATE(3235)] = 130637,
  [SMALL_STATE(3236)] = 130666,
  [SMALL_STATE(3237)] = 130695,
  [SMALL_STATE(3238)] = 130728,
  [SMALL_STATE(3239)] = 130761,
  [SMALL_STATE(3240)] = 130784,
  [SMALL_STATE(3241)] = 130804,
  [SMALL_STATE(3242)] = 130822,
  [SMALL_STATE(3243)] = 130844,
  [SMALL_STATE(3244)] = 130864,
  [SMALL_STATE(3245)] = 130882,
  [SMALL_STATE(3246)] = 130902,
  [SMALL_STATE(3247)] = 130928,
  [SMALL_STATE(3248)] = 130946,
  [SMALL_STATE(3249)] = 130968,
  [SMALL_STATE(3250)] = 130988,
  [SMALL_STATE(3251)] = 131008,
  [SMALL_STATE(3252)] = 131028,
  [SMALL_STATE(3253)] = 131048,
  [SMALL_STATE(3254)] = 131068,
  [SMALL_STATE(3255)] = 131090,
  [SMALL_STATE(3256)] = 131110,
  [SMALL_STATE(3257)] = 131128,
  [SMALL_STATE(3258)] = 131152,
  [SMALL_STATE(3259)] = 131172,
  [SMALL_STATE(3260)] = 131192,
  [SMALL_STATE(3261)] = 131216,
  [SMALL_STATE(3262)] = 131240,
  [SMALL_STATE(3263)] = 131264,
  [SMALL_STATE(3264)] = 131284,
  [SMALL_STATE(3265)] = 131302,
  [SMALL_STATE(3266)] = 131322,
  [SMALL_STATE(3267)] = 131342,
  [SMALL_STATE(3268)] = 131366,
  [SMALL_STATE(3269)] = 131384,
  [SMALL_STATE(3270)] = 131404,
  [SMALL_STATE(3271)] = 131424,
  [SMALL_STATE(3272)] = 131444,
  [SMALL_STATE(3273)] = 131462,
  [SMALL_STATE(3274)] = 131480,
  [SMALL_STATE(3275)] = 131500,
  [SMALL_STATE(3276)] = 131520,
  [SMALL_STATE(3277)] = 131538,
  [SMALL_STATE(3278)] = 131558,
  [SMALL_STATE(3279)] = 131578,
  [SMALL_STATE(3280)] = 131598,
  [SMALL_STATE(3281)] = 131618,
  [SMALL_STATE(3282)] = 131640,
  [SMALL_STATE(3283)] = 131660,
  [SMALL_STATE(3284)] = 131680,
  [SMALL_STATE(3285)] = 131700,
  [SMALL_STATE(3286)] = 131720,
  [SMALL_STATE(3287)] = 131744,
  [SMALL_STATE(3288)] = 131768,
  [SMALL_STATE(3289)] = 131790,
  [SMALL_STATE(3290)] = 131812,
  [SMALL_STATE(3291)] = 131832,
  [SMALL_STATE(3292)] = 131852,
  [SMALL_STATE(3293)] = 131870,
  [SMALL_STATE(3294)] = 131890,
  [SMALL_STATE(3295)] = 131910,
  [SMALL_STATE(3296)] = 131946,
  [SMALL_STATE(3297)] = 131966,
  [SMALL_STATE(3298)] = 131986,
  [SMALL_STATE(3299)] = 132010,
  [SMALL_STATE(3300)] = 132030,
  [SMALL_STATE(3301)] = 132052,
  [SMALL_STATE(3302)] = 132072,
  [SMALL_STATE(3303)] = 132092,
  [SMALL_STATE(3304)] = 132112,
  [SMALL_STATE(3305)] = 132130,
  [SMALL_STATE(3306)] = 132148,
  [SMALL_STATE(3307)] = 132168,
  [SMALL_STATE(3308)] = 132194,
  [SMALL_STATE(3309)] = 132212,
  [SMALL_STATE(3310)] = 132230,
  [SMALL_STATE(3311)] = 132252,
  [SMALL_STATE(3312)] = 132273,
  [SMALL_STATE(3313)] = 132290,
  [SMALL_STATE(3314)] = 132319,
  [SMALL_STATE(3315)] = 132348,
  [SMALL_STATE(3316)] = 132383,
  [SMALL_STATE(3317)] = 132418,
  [SMALL_STATE(3318)] = 132437,
  [SMALL_STATE(3319)] = 132468,
  [SMALL_STATE(3320)] = 132503,
  [SMALL_STATE(3321)] = 132534,
  [SMALL_STATE(3322)] = 132569,
  [SMALL_STATE(3323)] = 132586,
  [SMALL_STATE(3324)] = 132603,
  [SMALL_STATE(3325)] = 132620,
  [SMALL_STATE(3326)] = 132653,
  [SMALL_STATE(3327)] = 132688,
  [SMALL_STATE(3328)] = 132709,
  [SMALL_STATE(3329)] = 132744,
  [SMALL_STATE(3330)] = 132767,
  [SMALL_STATE(3331)] = 132786,
  [SMALL_STATE(3332)] = 132809,
  [SMALL_STATE(3333)] = 132828,
  [SMALL_STATE(3334)] = 132863,
  [SMALL_STATE(3335)] = 132884,
  [SMALL_STATE(3336)] = 132919,
  [SMALL_STATE(3337)] = 132954,
  [SMALL_STATE(3338)] = 132979,
  [SMALL_STATE(3339)] = 133014,
  [SMALL_STATE(3340)] = 133037,
  [SMALL_STATE(3341)] = 133056,
  [SMALL_STATE(3342)] = 133089,
  [SMALL_STATE(3343)] = 133124,
  [SMALL_STATE(3344)] = 133156,
  [SMALL_STATE(3345)] = 133184,
  [SMALL_STATE(3346)] = 133212,
  [SMALL_STATE(3347)] = 133240,
  [SMALL_STATE(3348)] = 133272,
  [SMALL_STATE(3349)] = 133300,
  [SMALL_STATE(3350)] = 133316,
  [SMALL_STATE(3351)] = 133348,
  [SMALL_STATE(3352)] = 133364,
  [SMALL_STATE(3353)] = 133380,
  [SMALL_STATE(3354)] = 133408,
  [SMALL_STATE(3355)] = 133434,
  [SMALL_STATE(3356)] = 133462,
  [SMALL_STATE(3357)] = 133488,
  [SMALL_STATE(3358)] = 133516,
  [SMALL_STATE(3359)] = 133532,
  [SMALL_STATE(3360)] = 133558,
  [SMALL_STATE(3361)] = 133586,
  [SMALL_STATE(3362)] = 133614,
  [SMALL_STATE(3363)] = 133642,
  [SMALL_STATE(3364)] = 133670,
  [SMALL_STATE(3365)] = 133686,
  [SMALL_STATE(3366)] = 133718,
  [SMALL_STATE(3367)] = 133746,
  [SMALL_STATE(3368)] = 133762,
  [SMALL_STATE(3369)] = 133778,
  [SMALL_STATE(3370)] = 133796,
  [SMALL_STATE(3371)] = 133824,
  [SMALL_STATE(3372)] = 133852,
  [SMALL_STATE(3373)] = 133868,
  [SMALL_STATE(3374)] = 133884,
  [SMALL_STATE(3375)] = 133900,
  [SMALL_STATE(3376)] = 133928,
  [SMALL_STATE(3377)] = 133944,
  [SMALL_STATE(3378)] = 133966,
  [SMALL_STATE(3379)] = 133986,
  [SMALL_STATE(3380)] = 134004,
  [SMALL_STATE(3381)] = 134022,
  [SMALL_STATE(3382)] = 134046,
  [SMALL_STATE(3383)] = 134078,
  [SMALL_STATE(3384)] = 134104,
  [SMALL_STATE(3385)] = 134120,
  [SMALL_STATE(3386)] = 134136,
  [SMALL_STATE(3387)] = 134154,
  [SMALL_STATE(3388)] = 134182,
  [SMALL_STATE(3389)] = 134210,
  [SMALL_STATE(3390)] = 134242,
  [SMALL_STATE(3391)] = 134268,
  [SMALL_STATE(3392)] = 134296,
  [SMALL_STATE(3393)] = 134324,
  [SMALL_STATE(3394)] = 134352,
  [SMALL_STATE(3395)] = 134380,
  [SMALL_STATE(3396)] = 134406,
  [SMALL_STATE(3397)] = 134434,
  [SMALL_STATE(3398)] = 134454,
  [SMALL_STATE(3399)] = 134482,
  [SMALL_STATE(3400)] = 134510,
  [SMALL_STATE(3401)] = 134538,
  [SMALL_STATE(3402)] = 134566,
  [SMALL_STATE(3403)] = 134594,
  [SMALL_STATE(3404)] = 134622,
  [SMALL_STATE(3405)] = 134638,
  [SMALL_STATE(3406)] = 134668,
  [SMALL_STATE(3407)] = 134696,
  [SMALL_STATE(3408)] = 134724,
  [SMALL_STATE(3409)] = 134740,
  [SMALL_STATE(3410)] = 134768,
  [SMALL_STATE(3411)] = 134784,
  [SMALL_STATE(3412)] = 134812,
  [SMALL_STATE(3413)] = 134842,
  [SMALL_STATE(3414)] = 134870,
  [SMALL_STATE(3415)] = 134886,
  [SMALL_STATE(3416)] = 134912,
  [SMALL_STATE(3417)] = 134928,
  [SMALL_STATE(3418)] = 134956,
  [SMALL_STATE(3419)] = 134984,
  [SMALL_STATE(3420)] = 135012,
  [SMALL_STATE(3421)] = 135040,
  [SMALL_STATE(3422)] = 135068,
  [SMALL_STATE(3423)] = 135096,
  [SMALL_STATE(3424)] = 135124,
  [SMALL_STATE(3425)] = 135152,
  [SMALL_STATE(3426)] = 135180,
  [SMALL_STATE(3427)] = 135208,
  [SMALL_STATE(3428)] = 135236,
  [SMALL_STATE(3429)] = 135264,
  [SMALL_STATE(3430)] = 135296,
  [SMALL_STATE(3431)] = 135324,
  [SMALL_STATE(3432)] = 135340,
  [SMALL_STATE(3433)] = 135356,
  [SMALL_STATE(3434)] = 135388,
  [SMALL_STATE(3435)] = 135404,
  [SMALL_STATE(3436)] = 135432,
  [SMALL_STATE(3437)] = 135458,
  [SMALL_STATE(3438)] = 135486,
  [SMALL_STATE(3439)] = 135502,
  [SMALL_STATE(3440)] = 135528,
  [SMALL_STATE(3441)] = 135544,
  [SMALL_STATE(3442)] = 135572,
  [SMALL_STATE(3443)] = 135604,
  [SMALL_STATE(3444)] = 135632,
  [SMALL_STATE(3445)] = 135660,
  [SMALL_STATE(3446)] = 135676,
  [SMALL_STATE(3447)] = 135704,
  [SMALL_STATE(3448)] = 135726,
  [SMALL_STATE(3449)] = 135758,
  [SMALL_STATE(3450)] = 135776,
  [SMALL_STATE(3451)] = 135802,
  [SMALL_STATE(3452)] = 135830,
  [SMALL_STATE(3453)] = 135850,
  [SMALL_STATE(3454)] = 135878,
  [SMALL_STATE(3455)] = 135906,
  [SMALL_STATE(3456)] = 135928,
  [SMALL_STATE(3457)] = 135946,
  [SMALL_STATE(3458)] = 135968,
  [SMALL_STATE(3459)] = 135984,
  [SMALL_STATE(3460)] = 136000,
  [SMALL_STATE(3461)] = 136016,
  [SMALL_STATE(3462)] = 136038,
  [SMALL_STATE(3463)] = 136066,
  [SMALL_STATE(3464)] = 136094,
  [SMALL_STATE(3465)] = 136110,
  [SMALL_STATE(3466)] = 136142,
  [SMALL_STATE(3467)] = 136174,
  [SMALL_STATE(3468)] = 136202,
  [SMALL_STATE(3469)] = 136230,
  [SMALL_STATE(3470)] = 136258,
  [SMALL_STATE(3471)] = 136290,
  [SMALL_STATE(3472)] = 136306,
  [SMALL_STATE(3473)] = 136338,
  [SMALL_STATE(3474)] = 136370,
  [SMALL_STATE(3475)] = 136398,
  [SMALL_STATE(3476)] = 136430,
  [SMALL_STATE(3477)] = 136462,
  [SMALL_STATE(3478)] = 136492,
  [SMALL_STATE(3479)] = 136508,
  [SMALL_STATE(3480)] = 136536,
  [SMALL_STATE(3481)] = 136564,
  [SMALL_STATE(3482)] = 136592,
  [SMALL_STATE(3483)] = 136624,
  [SMALL_STATE(3484)] = 136652,
  [SMALL_STATE(3485)] = 136680,
  [SMALL_STATE(3486)] = 136708,
  [SMALL_STATE(3487)] = 136736,
  [SMALL_STATE(3488)] = 136752,
  [SMALL_STATE(3489)] = 136784,
  [SMALL_STATE(3490)] = 136806,
  [SMALL_STATE(3491)] = 136838,
  [SMALL_STATE(3492)] = 136870,
  [SMALL_STATE(3493)] = 136886,
  [SMALL_STATE(3494)] = 136918,
  [SMALL_STATE(3495)] = 136946,
  [SMALL_STATE(3496)] = 136968,
  [SMALL_STATE(3497)] = 136986,
  [SMALL_STATE(3498)] = 137002,
  [SMALL_STATE(3499)] = 137018,
  [SMALL_STATE(3500)] = 137040,
  [SMALL_STATE(3501)] = 137068,
  [SMALL_STATE(3502)] = 137100,
  [SMALL_STATE(3503)] = 137126,
  [SMALL_STATE(3504)] = 137142,
  [SMALL_STATE(3505)] = 137174,
  [SMALL_STATE(3506)] = 137202,
  [SMALL_STATE(3507)] = 137228,
  [SMALL_STATE(3508)] = 137256,
  [SMALL_STATE(3509)] = 137288,
  [SMALL_STATE(3510)] = 137320,
  [SMALL_STATE(3511)] = 137352,
  [SMALL_STATE(3512)] = 137380,
  [SMALL_STATE(3513)] = 137408,
  [SMALL_STATE(3514)] = 137436,
  [SMALL_STATE(3515)] = 137464,
  [SMALL_STATE(3516)] = 137492,
  [SMALL_STATE(3517)] = 137520,
  [SMALL_STATE(3518)] = 137552,
  [SMALL_STATE(3519)] = 137580,
  [SMALL_STATE(3520)] = 137606,
  [SMALL_STATE(3521)] = 137634,
  [SMALL_STATE(3522)] = 137662,
  [SMALL_STATE(3523)] = 137688,
  [SMALL_STATE(3524)] = 137716,
  [SMALL_STATE(3525)] = 137744,
  [SMALL_STATE(3526)] = 137760,
  [SMALL_STATE(3527)] = 137776,
  [SMALL_STATE(3528)] = 137792,
  [SMALL_STATE(3529)] = 137820,
  [SMALL_STATE(3530)] = 137852,
  [SMALL_STATE(3531)] = 137868,
  [SMALL_STATE(3532)] = 137896,
  [SMALL_STATE(3533)] = 137912,
  [SMALL_STATE(3534)] = 137944,
  [SMALL_STATE(3535)] = 137972,
  [SMALL_STATE(3536)] = 137998,
  [SMALL_STATE(3537)] = 138030,
  [SMALL_STATE(3538)] = 138046,
  [SMALL_STATE(3539)] = 138078,
  [SMALL_STATE(3540)] = 138110,
  [SMALL_STATE(3541)] = 138142,
  [SMALL_STATE(3542)] = 138158,
  [SMALL_STATE(3543)] = 138184,
  [SMALL_STATE(3544)] = 138206,
  [SMALL_STATE(3545)] = 138234,
  [SMALL_STATE(3546)] = 138262,
  [SMALL_STATE(3547)] = 138290,
  [SMALL_STATE(3548)] = 138318,
  [SMALL_STATE(3549)] = 138346,
  [SMALL_STATE(3550)] = 138362,
  [SMALL_STATE(3551)] = 138390,
  [SMALL_STATE(3552)] = 138418,
  [SMALL_STATE(3553)] = 138446,
  [SMALL_STATE(3554)] = 138462,
  [SMALL_STATE(3555)] = 138490,
  [SMALL_STATE(3556)] = 138506,
  [SMALL_STATE(3557)] = 138534,
  [SMALL_STATE(3558)] = 138550,
  [SMALL_STATE(3559)] = 138568,
  [SMALL_STATE(3560)] = 138591,
  [SMALL_STATE(3561)] = 138616,
  [SMALL_STATE(3562)] = 138639,
  [SMALL_STATE(3563)] = 138662,
  [SMALL_STATE(3564)] = 138685,
  [SMALL_STATE(3565)] = 138710,
  [SMALL_STATE(3566)] = 138733,
  [SMALL_STATE(3567)] = 138758,
  [SMALL_STATE(3568)] = 138781,
  [SMALL_STATE(3569)] = 138806,
  [SMALL_STATE(3570)] = 138831,
  [SMALL_STATE(3571)] = 138848,
  [SMALL_STATE(3572)] = 138869,
  [SMALL_STATE(3573)] = 138894,
  [SMALL_STATE(3574)] = 138923,
  [SMALL_STATE(3575)] = 138944,
  [SMALL_STATE(3576)] = 138973,
  [SMALL_STATE(3577)] = 138990,
  [SMALL_STATE(3578)] = 139007,
  [SMALL_STATE(3579)] = 139022,
  [SMALL_STATE(3580)] = 139051,
  [SMALL_STATE(3581)] = 139076,
  [SMALL_STATE(3582)] = 139101,
  [SMALL_STATE(3583)] = 139130,
  [SMALL_STATE(3584)] = 139153,
  [SMALL_STATE(3585)] = 139174,
  [SMALL_STATE(3586)] = 139197,
  [SMALL_STATE(3587)] = 139226,
  [SMALL_STATE(3588)] = 139249,
  [SMALL_STATE(3589)] = 139270,
  [SMALL_STATE(3590)] = 139295,
  [SMALL_STATE(3591)] = 139310,
  [SMALL_STATE(3592)] = 139325,
  [SMALL_STATE(3593)] = 139346,
  [SMALL_STATE(3594)] = 139367,
  [SMALL_STATE(3595)] = 139392,
  [SMALL_STATE(3596)] = 139417,
  [SMALL_STATE(3597)] = 139446,
  [SMALL_STATE(3598)] = 139465,
  [SMALL_STATE(3599)] = 139490,
  [SMALL_STATE(3600)] = 139512,
  [SMALL_STATE(3601)] = 139526,
  [SMALL_STATE(3602)] = 139548,
  [SMALL_STATE(3603)] = 139562,
  [SMALL_STATE(3604)] = 139576,
  [SMALL_STATE(3605)] = 139602,
  [SMALL_STATE(3606)] = 139620,
  [SMALL_STATE(3607)] = 139642,
  [SMALL_STATE(3608)] = 139664,
  [SMALL_STATE(3609)] = 139686,
  [SMALL_STATE(3610)] = 139708,
  [SMALL_STATE(3611)] = 139730,
  [SMALL_STATE(3612)] = 139752,
  [SMALL_STATE(3613)] = 139774,
  [SMALL_STATE(3614)] = 139796,
  [SMALL_STATE(3615)] = 139818,
  [SMALL_STATE(3616)] = 139840,
  [SMALL_STATE(3617)] = 139862,
  [SMALL_STATE(3618)] = 139884,
  [SMALL_STATE(3619)] = 139906,
  [SMALL_STATE(3620)] = 139924,
  [SMALL_STATE(3621)] = 139946,
  [SMALL_STATE(3622)] = 139968,
  [SMALL_STATE(3623)] = 139990,
  [SMALL_STATE(3624)] = 140012,
  [SMALL_STATE(3625)] = 140030,
  [SMALL_STATE(3626)] = 140048,
  [SMALL_STATE(3627)] = 140070,
  [SMALL_STATE(3628)] = 140092,
  [SMALL_STATE(3629)] = 140114,
  [SMALL_STATE(3630)] = 140138,
  [SMALL_STATE(3631)] = 140156,
  [SMALL_STATE(3632)] = 140174,
  [SMALL_STATE(3633)] = 140192,
  [SMALL_STATE(3634)] = 140210,
  [SMALL_STATE(3635)] = 140232,
  [SMALL_STATE(3636)] = 140254,
  [SMALL_STATE(3637)] = 140272,
  [SMALL_STATE(3638)] = 140290,
  [SMALL_STATE(3639)] = 140308,
  [SMALL_STATE(3640)] = 140330,
  [SMALL_STATE(3641)] = 140348,
  [SMALL_STATE(3642)] = 140374,
  [SMALL_STATE(3643)] = 140392,
  [SMALL_STATE(3644)] = 140410,
  [SMALL_STATE(3645)] = 140428,
  [SMALL_STATE(3646)] = 140446,
  [SMALL_STATE(3647)] = 140468,
  [SMALL_STATE(3648)] = 140486,
  [SMALL_STATE(3649)] = 140504,
  [SMALL_STATE(3650)] = 140522,
  [SMALL_STATE(3651)] = 140540,
  [SMALL_STATE(3652)] = 140558,
  [SMALL_STATE(3653)] = 140576,
  [SMALL_STATE(3654)] = 140598,
  [SMALL_STATE(3655)] = 140620,
  [SMALL_STATE(3656)] = 140634,
  [SMALL_STATE(3657)] = 140656,
  [SMALL_STATE(3658)] = 140678,
  [SMALL_STATE(3659)] = 140700,
  [SMALL_STATE(3660)] = 140722,
  [SMALL_STATE(3661)] = 140744,
  [SMALL_STATE(3662)] = 140766,
  [SMALL_STATE(3663)] = 140780,
  [SMALL_STATE(3664)] = 140802,
  [SMALL_STATE(3665)] = 140824,
  [SMALL_STATE(3666)] = 140846,
  [SMALL_STATE(3667)] = 140868,
  [SMALL_STATE(3668)] = 140890,
  [SMALL_STATE(3669)] = 140912,
  [SMALL_STATE(3670)] = 140934,
  [SMALL_STATE(3671)] = 140956,
  [SMALL_STATE(3672)] = 140978,
  [SMALL_STATE(3673)] = 141000,
  [SMALL_STATE(3674)] = 141022,
  [SMALL_STATE(3675)] = 141044,
  [SMALL_STATE(3676)] = 141066,
  [SMALL_STATE(3677)] = 141080,
  [SMALL_STATE(3678)] = 141098,
  [SMALL_STATE(3679)] = 141120,
  [SMALL_STATE(3680)] = 141142,
  [SMALL_STATE(3681)] = 141164,
  [SMALL_STATE(3682)] = 141186,
  [SMALL_STATE(3683)] = 141208,
  [SMALL_STATE(3684)] = 141230,
  [SMALL_STATE(3685)] = 141252,
  [SMALL_STATE(3686)] = 141274,
  [SMALL_STATE(3687)] = 141296,
  [SMALL_STATE(3688)] = 141318,
  [SMALL_STATE(3689)] = 141340,
  [SMALL_STATE(3690)] = 141362,
  [SMALL_STATE(3691)] = 141376,
  [SMALL_STATE(3692)] = 141398,
  [SMALL_STATE(3693)] = 141420,
  [SMALL_STATE(3694)] = 141442,
  [SMALL_STATE(3695)] = 141464,
  [SMALL_STATE(3696)] = 141486,
  [SMALL_STATE(3697)] = 141508,
  [SMALL_STATE(3698)] = 141530,
  [SMALL_STATE(3699)] = 141552,
  [SMALL_STATE(3700)] = 141574,
  [SMALL_STATE(3701)] = 141596,
  [SMALL_STATE(3702)] = 141618,
  [SMALL_STATE(3703)] = 141640,
  [SMALL_STATE(3704)] = 141662,
  [SMALL_STATE(3705)] = 141684,
  [SMALL_STATE(3706)] = 141706,
  [SMALL_STATE(3707)] = 141728,
  [SMALL_STATE(3708)] = 141750,
  [SMALL_STATE(3709)] = 141772,
  [SMALL_STATE(3710)] = 141794,
  [SMALL_STATE(3711)] = 141816,
  [SMALL_STATE(3712)] = 141838,
  [SMALL_STATE(3713)] = 141860,
  [SMALL_STATE(3714)] = 141882,
  [SMALL_STATE(3715)] = 141904,
  [SMALL_STATE(3716)] = 141926,
  [SMALL_STATE(3717)] = 141948,
  [SMALL_STATE(3718)] = 141970,
  [SMALL_STATE(3719)] = 141992,
  [SMALL_STATE(3720)] = 142014,
  [SMALL_STATE(3721)] = 142036,
  [SMALL_STATE(3722)] = 142058,
  [SMALL_STATE(3723)] = 142080,
  [SMALL_STATE(3724)] = 142102,
  [SMALL_STATE(3725)] = 142120,
  [SMALL_STATE(3726)] = 142142,
  [SMALL_STATE(3727)] = 142164,
  [SMALL_STATE(3728)] = 142186,
  [SMALL_STATE(3729)] = 142208,
  [SMALL_STATE(3730)] = 142230,
  [SMALL_STATE(3731)] = 142252,
  [SMALL_STATE(3732)] = 142274,
  [SMALL_STATE(3733)] = 142296,
  [SMALL_STATE(3734)] = 142318,
  [SMALL_STATE(3735)] = 142340,
  [SMALL_STATE(3736)] = 142354,
  [SMALL_STATE(3737)] = 142368,
  [SMALL_STATE(3738)] = 142390,
  [SMALL_STATE(3739)] = 142412,
  [SMALL_STATE(3740)] = 142434,
  [SMALL_STATE(3741)] = 142456,
  [SMALL_STATE(3742)] = 142478,
  [SMALL_STATE(3743)] = 142500,
  [SMALL_STATE(3744)] = 142522,
  [SMALL_STATE(3745)] = 142544,
  [SMALL_STATE(3746)] = 142566,
  [SMALL_STATE(3747)] = 142588,
  [SMALL_STATE(3748)] = 142610,
  [SMALL_STATE(3749)] = 142632,
  [SMALL_STATE(3750)] = 142654,
  [SMALL_STATE(3751)] = 142676,
  [SMALL_STATE(3752)] = 142698,
  [SMALL_STATE(3753)] = 142720,
  [SMALL_STATE(3754)] = 142742,
  [SMALL_STATE(3755)] = 142764,
  [SMALL_STATE(3756)] = 142786,
  [SMALL_STATE(3757)] = 142808,
  [SMALL_STATE(3758)] = 142830,
  [SMALL_STATE(3759)] = 142852,
  [SMALL_STATE(3760)] = 142874,
  [SMALL_STATE(3761)] = 142896,
  [SMALL_STATE(3762)] = 142918,
  [SMALL_STATE(3763)] = 142940,
  [SMALL_STATE(3764)] = 142962,
  [SMALL_STATE(3765)] = 142984,
  [SMALL_STATE(3766)] = 143006,
  [SMALL_STATE(3767)] = 143028,
  [SMALL_STATE(3768)] = 143050,
  [SMALL_STATE(3769)] = 143072,
  [SMALL_STATE(3770)] = 143094,
  [SMALL_STATE(3771)] = 143116,
  [SMALL_STATE(3772)] = 143138,
  [SMALL_STATE(3773)] = 143160,
  [SMALL_STATE(3774)] = 143186,
  [SMALL_STATE(3775)] = 143208,
  [SMALL_STATE(3776)] = 143230,
  [SMALL_STATE(3777)] = 143252,
  [SMALL_STATE(3778)] = 143274,
  [SMALL_STATE(3779)] = 143300,
  [SMALL_STATE(3780)] = 143322,
  [SMALL_STATE(3781)] = 143348,
  [SMALL_STATE(3782)] = 143370,
  [SMALL_STATE(3783)] = 143396,
  [SMALL_STATE(3784)] = 143422,
  [SMALL_STATE(3785)] = 143444,
  [SMALL_STATE(3786)] = 143466,
  [SMALL_STATE(3787)] = 143488,
  [SMALL_STATE(3788)] = 143510,
  [SMALL_STATE(3789)] = 143532,
  [SMALL_STATE(3790)] = 143558,
  [SMALL_STATE(3791)] = 143580,
  [SMALL_STATE(3792)] = 143602,
  [SMALL_STATE(3793)] = 143624,
  [SMALL_STATE(3794)] = 143646,
  [SMALL_STATE(3795)] = 143672,
  [SMALL_STATE(3796)] = 143698,
  [SMALL_STATE(3797)] = 143724,
  [SMALL_STATE(3798)] = 143750,
  [SMALL_STATE(3799)] = 143766,
  [SMALL_STATE(3800)] = 143792,
  [SMALL_STATE(3801)] = 143818,
  [SMALL_STATE(3802)] = 143844,
  [SMALL_STATE(3803)] = 143866,
  [SMALL_STATE(3804)] = 143892,
  [SMALL_STATE(3805)] = 143918,
  [SMALL_STATE(3806)] = 143940,
  [SMALL_STATE(3807)] = 143962,
  [SMALL_STATE(3808)] = 143988,
  [SMALL_STATE(3809)] = 144010,
  [SMALL_STATE(3810)] = 144032,
  [SMALL_STATE(3811)] = 144058,
  [SMALL_STATE(3812)] = 144084,
  [SMALL_STATE(3813)] = 144106,
  [SMALL_STATE(3814)] = 144128,
  [SMALL_STATE(3815)] = 144146,
  [SMALL_STATE(3816)] = 144172,
  [SMALL_STATE(3817)] = 144194,
  [SMALL_STATE(3818)] = 144216,
  [SMALL_STATE(3819)] = 144238,
  [SMALL_STATE(3820)] = 144260,
  [SMALL_STATE(3821)] = 144282,
  [SMALL_STATE(3822)] = 144304,
  [SMALL_STATE(3823)] = 144326,
  [SMALL_STATE(3824)] = 144348,
  [SMALL_STATE(3825)] = 144370,
  [SMALL_STATE(3826)] = 144392,
  [SMALL_STATE(3827)] = 144418,
  [SMALL_STATE(3828)] = 144440,
  [SMALL_STATE(3829)] = 144462,
  [SMALL_STATE(3830)] = 144484,
  [SMALL_STATE(3831)] = 144506,
  [SMALL_STATE(3832)] = 144528,
  [SMALL_STATE(3833)] = 144550,
  [SMALL_STATE(3834)] = 144572,
  [SMALL_STATE(3835)] = 144594,
  [SMALL_STATE(3836)] = 144620,
  [SMALL_STATE(3837)] = 144642,
  [SMALL_STATE(3838)] = 144664,
  [SMALL_STATE(3839)] = 144686,
  [SMALL_STATE(3840)] = 144708,
  [SMALL_STATE(3841)] = 144722,
  [SMALL_STATE(3842)] = 144748,
  [SMALL_STATE(3843)] = 144770,
  [SMALL_STATE(3844)] = 144792,
  [SMALL_STATE(3845)] = 144818,
  [SMALL_STATE(3846)] = 144844,
  [SMALL_STATE(3847)] = 144860,
  [SMALL_STATE(3848)] = 144876,
  [SMALL_STATE(3849)] = 144896,
  [SMALL_STATE(3850)] = 144912,
  [SMALL_STATE(3851)] = 144932,
  [SMALL_STATE(3852)] = 144952,
  [SMALL_STATE(3853)] = 144972,
  [SMALL_STATE(3854)] = 144992,
  [SMALL_STATE(3855)] = 145014,
  [SMALL_STATE(3856)] = 145036,
  [SMALL_STATE(3857)] = 145056,
  [SMALL_STATE(3858)] = 145082,
  [SMALL_STATE(3859)] = 145104,
  [SMALL_STATE(3860)] = 145130,
  [SMALL_STATE(3861)] = 145152,
  [SMALL_STATE(3862)] = 145174,
  [SMALL_STATE(3863)] = 145192,
  [SMALL_STATE(3864)] = 145218,
  [SMALL_STATE(3865)] = 145240,
  [SMALL_STATE(3866)] = 145254,
  [SMALL_STATE(3867)] = 145280,
  [SMALL_STATE(3868)] = 145306,
  [SMALL_STATE(3869)] = 145332,
  [SMALL_STATE(3870)] = 145346,
  [SMALL_STATE(3871)] = 145368,
  [SMALL_STATE(3872)] = 145394,
  [SMALL_STATE(3873)] = 145420,
  [SMALL_STATE(3874)] = 145442,
  [SMALL_STATE(3875)] = 145464,
  [SMALL_STATE(3876)] = 145490,
  [SMALL_STATE(3877)] = 145504,
  [SMALL_STATE(3878)] = 145526,
  [SMALL_STATE(3879)] = 145548,
  [SMALL_STATE(3880)] = 145570,
  [SMALL_STATE(3881)] = 145596,
  [SMALL_STATE(3882)] = 145616,
  [SMALL_STATE(3883)] = 145630,
  [SMALL_STATE(3884)] = 145652,
  [SMALL_STATE(3885)] = 145676,
  [SMALL_STATE(3886)] = 145702,
  [SMALL_STATE(3887)] = 145728,
  [SMALL_STATE(3888)] = 145750,
  [SMALL_STATE(3889)] = 145772,
  [SMALL_STATE(3890)] = 145798,
  [SMALL_STATE(3891)] = 145820,
  [SMALL_STATE(3892)] = 145834,
  [SMALL_STATE(3893)] = 145856,
  [SMALL_STATE(3894)] = 145878,
  [SMALL_STATE(3895)] = 145894,
  [SMALL_STATE(3896)] = 145916,
  [SMALL_STATE(3897)] = 145938,
  [SMALL_STATE(3898)] = 145954,
  [SMALL_STATE(3899)] = 145974,
  [SMALL_STATE(3900)] = 145990,
  [SMALL_STATE(3901)] = 146012,
  [SMALL_STATE(3902)] = 146026,
  [SMALL_STATE(3903)] = 146044,
  [SMALL_STATE(3904)] = 146066,
  [SMALL_STATE(3905)] = 146088,
  [SMALL_STATE(3906)] = 146110,
  [SMALL_STATE(3907)] = 146132,
  [SMALL_STATE(3908)] = 146154,
  [SMALL_STATE(3909)] = 146176,
  [SMALL_STATE(3910)] = 146198,
  [SMALL_STATE(3911)] = 146220,
  [SMALL_STATE(3912)] = 146242,
  [SMALL_STATE(3913)] = 146264,
  [SMALL_STATE(3914)] = 146282,
  [SMALL_STATE(3915)] = 146304,
  [SMALL_STATE(3916)] = 146326,
  [SMALL_STATE(3917)] = 146352,
  [SMALL_STATE(3918)] = 146368,
  [SMALL_STATE(3919)] = 146394,
  [SMALL_STATE(3920)] = 146416,
  [SMALL_STATE(3921)] = 146438,
  [SMALL_STATE(3922)] = 146460,
  [SMALL_STATE(3923)] = 146482,
  [SMALL_STATE(3924)] = 146504,
  [SMALL_STATE(3925)] = 146526,
  [SMALL_STATE(3926)] = 146544,
  [SMALL_STATE(3927)] = 146567,
  [SMALL_STATE(3928)] = 146580,
  [SMALL_STATE(3929)] = 146593,
  [SMALL_STATE(3930)] = 146616,
  [SMALL_STATE(3931)] = 146629,
  [SMALL_STATE(3932)] = 146642,
  [SMALL_STATE(3933)] = 146665,
  [SMALL_STATE(3934)] = 146678,
  [SMALL_STATE(3935)] = 146701,
  [SMALL_STATE(3936)] = 146720,
  [SMALL_STATE(3937)] = 146743,
  [SMALL_STATE(3938)] = 146762,
  [SMALL_STATE(3939)] = 146781,
  [SMALL_STATE(3940)] = 146804,
  [SMALL_STATE(3941)] = 146821,
  [SMALL_STATE(3942)] = 146844,
  [SMALL_STATE(3943)] = 146859,
  [SMALL_STATE(3944)] = 146878,
  [SMALL_STATE(3945)] = 146893,
  [SMALL_STATE(3946)] = 146910,
  [SMALL_STATE(3947)] = 146927,
  [SMALL_STATE(3948)] = 146950,
  [SMALL_STATE(3949)] = 146969,
  [SMALL_STATE(3950)] = 146992,
  [SMALL_STATE(3951)] = 147015,
  [SMALL_STATE(3952)] = 147034,
  [SMALL_STATE(3953)] = 147053,
  [SMALL_STATE(3954)] = 147068,
  [SMALL_STATE(3955)] = 147081,
  [SMALL_STATE(3956)] = 147104,
  [SMALL_STATE(3957)] = 147127,
  [SMALL_STATE(3958)] = 147144,
  [SMALL_STATE(3959)] = 147157,
  [SMALL_STATE(3960)] = 147174,
  [SMALL_STATE(3961)] = 147197,
  [SMALL_STATE(3962)] = 147220,
  [SMALL_STATE(3963)] = 147237,
  [SMALL_STATE(3964)] = 147260,
  [SMALL_STATE(3965)] = 147283,
  [SMALL_STATE(3966)] = 147306,
  [SMALL_STATE(3967)] = 147323,
  [SMALL_STATE(3968)] = 147340,
  [SMALL_STATE(3969)] = 147359,
  [SMALL_STATE(3970)] = 147376,
  [SMALL_STATE(3971)] = 147395,
  [SMALL_STATE(3972)] = 147412,
  [SMALL_STATE(3973)] = 147433,
  [SMALL_STATE(3974)] = 147456,
  [SMALL_STATE(3975)] = 147473,
  [SMALL_STATE(3976)] = 147492,
  [SMALL_STATE(3977)] = 147509,
  [SMALL_STATE(3978)] = 147528,
  [SMALL_STATE(3979)] = 147547,
  [SMALL_STATE(3980)] = 147566,
  [SMALL_STATE(3981)] = 147583,
  [SMALL_STATE(3982)] = 147600,
  [SMALL_STATE(3983)] = 147623,
  [SMALL_STATE(3984)] = 147646,
  [SMALL_STATE(3985)] = 147669,
  [SMALL_STATE(3986)] = 147688,
  [SMALL_STATE(3987)] = 147711,
  [SMALL_STATE(3988)] = 147734,
  [SMALL_STATE(3989)] = 147751,
  [SMALL_STATE(3990)] = 147768,
  [SMALL_STATE(3991)] = 147791,
  [SMALL_STATE(3992)] = 147814,
  [SMALL_STATE(3993)] = 147831,
  [SMALL_STATE(3994)] = 147844,
  [SMALL_STATE(3995)] = 147867,
  [SMALL_STATE(3996)] = 147890,
  [SMALL_STATE(3997)] = 147913,
  [SMALL_STATE(3998)] = 147932,
  [SMALL_STATE(3999)] = 147949,
  [SMALL_STATE(4000)] = 147966,
  [SMALL_STATE(4001)] = 147985,
  [SMALL_STATE(4002)] = 148008,
  [SMALL_STATE(4003)] = 148027,
  [SMALL_STATE(4004)] = 148050,
  [SMALL_STATE(4005)] = 148063,
  [SMALL_STATE(4006)] = 148080,
  [SMALL_STATE(4007)] = 148093,
  [SMALL_STATE(4008)] = 148106,
  [SMALL_STATE(4009)] = 148123,
  [SMALL_STATE(4010)] = 148140,
  [SMALL_STATE(4011)] = 148157,
  [SMALL_STATE(4012)] = 148172,
  [SMALL_STATE(4013)] = 148195,
  [SMALL_STATE(4014)] = 148218,
  [SMALL_STATE(4015)] = 148237,
  [SMALL_STATE(4016)] = 148260,
  [SMALL_STATE(4017)] = 148283,
  [SMALL_STATE(4018)] = 148306,
  [SMALL_STATE(4019)] = 148323,
  [SMALL_STATE(4020)] = 148342,
  [SMALL_STATE(4021)] = 148363,
  [SMALL_STATE(4022)] = 148380,
  [SMALL_STATE(4023)] = 148399,
  [SMALL_STATE(4024)] = 148416,
  [SMALL_STATE(4025)] = 148429,
  [SMALL_STATE(4026)] = 148452,
  [SMALL_STATE(4027)] = 148469,
  [SMALL_STATE(4028)] = 148492,
  [SMALL_STATE(4029)] = 148515,
  [SMALL_STATE(4030)] = 148538,
  [SMALL_STATE(4031)] = 148555,
  [SMALL_STATE(4032)] = 148578,
  [SMALL_STATE(4033)] = 148595,
  [SMALL_STATE(4034)] = 148612,
  [SMALL_STATE(4035)] = 148635,
  [SMALL_STATE(4036)] = 148652,
  [SMALL_STATE(4037)] = 148675,
  [SMALL_STATE(4038)] = 148692,
  [SMALL_STATE(4039)] = 148715,
  [SMALL_STATE(4040)] = 148732,
  [SMALL_STATE(4041)] = 148755,
  [SMALL_STATE(4042)] = 148778,
  [SMALL_STATE(4043)] = 148795,
  [SMALL_STATE(4044)] = 148808,
  [SMALL_STATE(4045)] = 148831,
  [SMALL_STATE(4046)] = 148850,
  [SMALL_STATE(4047)] = 148873,
  [SMALL_STATE(4048)] = 148888,
  [SMALL_STATE(4049)] = 148905,
  [SMALL_STATE(4050)] = 148922,
  [SMALL_STATE(4051)] = 148939,
  [SMALL_STATE(4052)] = 148956,
  [SMALL_STATE(4053)] = 148973,
  [SMALL_STATE(4054)] = 148996,
  [SMALL_STATE(4055)] = 149019,
  [SMALL_STATE(4056)] = 149036,
  [SMALL_STATE(4057)] = 149053,
  [SMALL_STATE(4058)] = 149076,
  [SMALL_STATE(4059)] = 149099,
  [SMALL_STATE(4060)] = 149116,
  [SMALL_STATE(4061)] = 149139,
  [SMALL_STATE(4062)] = 149152,
  [SMALL_STATE(4063)] = 149173,
  [SMALL_STATE(4064)] = 149190,
  [SMALL_STATE(4065)] = 149213,
  [SMALL_STATE(4066)] = 149236,
  [SMALL_STATE(4067)] = 149259,
  [SMALL_STATE(4068)] = 149282,
  [SMALL_STATE(4069)] = 149299,
  [SMALL_STATE(4070)] = 149316,
  [SMALL_STATE(4071)] = 149339,
  [SMALL_STATE(4072)] = 149356,
  [SMALL_STATE(4073)] = 149373,
  [SMALL_STATE(4074)] = 149390,
  [SMALL_STATE(4075)] = 149405,
  [SMALL_STATE(4076)] = 149422,
  [SMALL_STATE(4077)] = 149442,
  [SMALL_STATE(4078)] = 149458,
  [SMALL_STATE(4079)] = 149474,
  [SMALL_STATE(4080)] = 149490,
  [SMALL_STATE(4081)] = 149506,
  [SMALL_STATE(4082)] = 149522,
  [SMALL_STATE(4083)] = 149542,
  [SMALL_STATE(4084)] = 149558,
  [SMALL_STATE(4085)] = 149570,
  [SMALL_STATE(4086)] = 149586,
  [SMALL_STATE(4087)] = 149602,
  [SMALL_STATE(4088)] = 149618,
  [SMALL_STATE(4089)] = 149634,
  [SMALL_STATE(4090)] = 149650,
  [SMALL_STATE(4091)] = 149666,
  [SMALL_STATE(4092)] = 149682,
  [SMALL_STATE(4093)] = 149698,
  [SMALL_STATE(4094)] = 149710,
  [SMALL_STATE(4095)] = 149722,
  [SMALL_STATE(4096)] = 149738,
  [SMALL_STATE(4097)] = 149754,
  [SMALL_STATE(4098)] = 149770,
  [SMALL_STATE(4099)] = 149782,
  [SMALL_STATE(4100)] = 149798,
  [SMALL_STATE(4101)] = 149814,
  [SMALL_STATE(4102)] = 149830,
  [SMALL_STATE(4103)] = 149842,
  [SMALL_STATE(4104)] = 149858,
  [SMALL_STATE(4105)] = 149874,
  [SMALL_STATE(4106)] = 149890,
  [SMALL_STATE(4107)] = 149906,
  [SMALL_STATE(4108)] = 149922,
  [SMALL_STATE(4109)] = 149938,
  [SMALL_STATE(4110)] = 149954,
  [SMALL_STATE(4111)] = 149970,
  [SMALL_STATE(4112)] = 149990,
  [SMALL_STATE(4113)] = 150002,
  [SMALL_STATE(4114)] = 150018,
  [SMALL_STATE(4115)] = 150030,
  [SMALL_STATE(4116)] = 150042,
  [SMALL_STATE(4117)] = 150054,
  [SMALL_STATE(4118)] = 150070,
  [SMALL_STATE(4119)] = 150086,
  [SMALL_STATE(4120)] = 150104,
  [SMALL_STATE(4121)] = 150124,
  [SMALL_STATE(4122)] = 150136,
  [SMALL_STATE(4123)] = 150152,
  [SMALL_STATE(4124)] = 150168,
  [SMALL_STATE(4125)] = 150180,
  [SMALL_STATE(4126)] = 150192,
  [SMALL_STATE(4127)] = 150208,
  [SMALL_STATE(4128)] = 150228,
  [SMALL_STATE(4129)] = 150244,
  [SMALL_STATE(4130)] = 150256,
  [SMALL_STATE(4131)] = 150272,
  [SMALL_STATE(4132)] = 150284,
  [SMALL_STATE(4133)] = 150296,
  [SMALL_STATE(4134)] = 150316,
  [SMALL_STATE(4135)] = 150332,
  [SMALL_STATE(4136)] = 150344,
  [SMALL_STATE(4137)] = 150360,
  [SMALL_STATE(4138)] = 150376,
  [SMALL_STATE(4139)] = 150390,
  [SMALL_STATE(4140)] = 150410,
  [SMALL_STATE(4141)] = 150422,
  [SMALL_STATE(4142)] = 150438,
  [SMALL_STATE(4143)] = 150454,
  [SMALL_STATE(4144)] = 150466,
  [SMALL_STATE(4145)] = 150482,
  [SMALL_STATE(4146)] = 150498,
  [SMALL_STATE(4147)] = 150514,
  [SMALL_STATE(4148)] = 150530,
  [SMALL_STATE(4149)] = 150548,
  [SMALL_STATE(4150)] = 150564,
  [SMALL_STATE(4151)] = 150580,
  [SMALL_STATE(4152)] = 150596,
  [SMALL_STATE(4153)] = 150616,
  [SMALL_STATE(4154)] = 150628,
  [SMALL_STATE(4155)] = 150640,
  [SMALL_STATE(4156)] = 150656,
  [SMALL_STATE(4157)] = 150672,
  [SMALL_STATE(4158)] = 150688,
  [SMALL_STATE(4159)] = 150704,
  [SMALL_STATE(4160)] = 150720,
  [SMALL_STATE(4161)] = 150736,
  [SMALL_STATE(4162)] = 150752,
  [SMALL_STATE(4163)] = 150772,
  [SMALL_STATE(4164)] = 150790,
  [SMALL_STATE(4165)] = 150806,
  [SMALL_STATE(4166)] = 150822,
  [SMALL_STATE(4167)] = 150834,
  [SMALL_STATE(4168)] = 150854,
  [SMALL_STATE(4169)] = 150870,
  [SMALL_STATE(4170)] = 150882,
  [SMALL_STATE(4171)] = 150898,
  [SMALL_STATE(4172)] = 150910,
  [SMALL_STATE(4173)] = 150930,
  [SMALL_STATE(4174)] = 150942,
  [SMALL_STATE(4175)] = 150954,
  [SMALL_STATE(4176)] = 150966,
  [SMALL_STATE(4177)] = 150978,
  [SMALL_STATE(4178)] = 150994,
  [SMALL_STATE(4179)] = 151010,
  [SMALL_STATE(4180)] = 151022,
  [SMALL_STATE(4181)] = 151038,
  [SMALL_STATE(4182)] = 151050,
  [SMALL_STATE(4183)] = 151062,
  [SMALL_STATE(4184)] = 151082,
  [SMALL_STATE(4185)] = 151094,
  [SMALL_STATE(4186)] = 151106,
  [SMALL_STATE(4187)] = 151122,
  [SMALL_STATE(4188)] = 151138,
  [SMALL_STATE(4189)] = 151154,
  [SMALL_STATE(4190)] = 151174,
  [SMALL_STATE(4191)] = 151188,
  [SMALL_STATE(4192)] = 151204,
  [SMALL_STATE(4193)] = 151222,
  [SMALL_STATE(4194)] = 151238,
  [SMALL_STATE(4195)] = 151258,
  [SMALL_STATE(4196)] = 151278,
  [SMALL_STATE(4197)] = 151294,
  [SMALL_STATE(4198)] = 151310,
  [SMALL_STATE(4199)] = 151326,
  [SMALL_STATE(4200)] = 151342,
  [SMALL_STATE(4201)] = 151362,
  [SMALL_STATE(4202)] = 151378,
  [SMALL_STATE(4203)] = 151394,
  [SMALL_STATE(4204)] = 151410,
  [SMALL_STATE(4205)] = 151426,
  [SMALL_STATE(4206)] = 151442,
  [SMALL_STATE(4207)] = 151454,
  [SMALL_STATE(4208)] = 151470,
  [SMALL_STATE(4209)] = 151484,
  [SMALL_STATE(4210)] = 151498,
  [SMALL_STATE(4211)] = 151518,
  [SMALL_STATE(4212)] = 151534,
  [SMALL_STATE(4213)] = 151552,
  [SMALL_STATE(4214)] = 151568,
  [SMALL_STATE(4215)] = 151582,
  [SMALL_STATE(4216)] = 151602,
  [SMALL_STATE(4217)] = 151614,
  [SMALL_STATE(4218)] = 151630,
  [SMALL_STATE(4219)] = 151650,
  [SMALL_STATE(4220)] = 151662,
  [SMALL_STATE(4221)] = 151678,
  [SMALL_STATE(4222)] = 151698,
  [SMALL_STATE(4223)] = 151714,
  [SMALL_STATE(4224)] = 151726,
  [SMALL_STATE(4225)] = 151742,
  [SMALL_STATE(4226)] = 151758,
  [SMALL_STATE(4227)] = 151774,
  [SMALL_STATE(4228)] = 151790,
  [SMALL_STATE(4229)] = 151806,
  [SMALL_STATE(4230)] = 151822,
  [SMALL_STATE(4231)] = 151838,
  [SMALL_STATE(4232)] = 151854,
  [SMALL_STATE(4233)] = 151870,
  [SMALL_STATE(4234)] = 151886,
  [SMALL_STATE(4235)] = 151902,
  [SMALL_STATE(4236)] = 151918,
  [SMALL_STATE(4237)] = 151934,
  [SMALL_STATE(4238)] = 151950,
  [SMALL_STATE(4239)] = 151962,
  [SMALL_STATE(4240)] = 151974,
  [SMALL_STATE(4241)] = 151990,
  [SMALL_STATE(4242)] = 152008,
  [SMALL_STATE(4243)] = 152024,
  [SMALL_STATE(4244)] = 152042,
  [SMALL_STATE(4245)] = 152058,
  [SMALL_STATE(4246)] = 152070,
  [SMALL_STATE(4247)] = 152090,
  [SMALL_STATE(4248)] = 152106,
  [SMALL_STATE(4249)] = 152122,
  [SMALL_STATE(4250)] = 152138,
  [SMALL_STATE(4251)] = 152156,
  [SMALL_STATE(4252)] = 152176,
  [SMALL_STATE(4253)] = 152196,
  [SMALL_STATE(4254)] = 152212,
  [SMALL_STATE(4255)] = 152228,
  [SMALL_STATE(4256)] = 152248,
  [SMALL_STATE(4257)] = 152268,
  [SMALL_STATE(4258)] = 152284,
  [SMALL_STATE(4259)] = 152300,
  [SMALL_STATE(4260)] = 152316,
  [SMALL_STATE(4261)] = 152332,
  [SMALL_STATE(4262)] = 152348,
  [SMALL_STATE(4263)] = 152364,
  [SMALL_STATE(4264)] = 152380,
  [SMALL_STATE(4265)] = 152396,
  [SMALL_STATE(4266)] = 152408,
  [SMALL_STATE(4267)] = 152424,
  [SMALL_STATE(4268)] = 152436,
  [SMALL_STATE(4269)] = 152452,
  [SMALL_STATE(4270)] = 152468,
  [SMALL_STATE(4271)] = 152484,
  [SMALL_STATE(4272)] = 152496,
  [SMALL_STATE(4273)] = 152512,
  [SMALL_STATE(4274)] = 152528,
  [SMALL_STATE(4275)] = 152544,
  [SMALL_STATE(4276)] = 152560,
  [SMALL_STATE(4277)] = 152576,
  [SMALL_STATE(4278)] = 152592,
  [SMALL_STATE(4279)] = 152612,
  [SMALL_STATE(4280)] = 152624,
  [SMALL_STATE(4281)] = 152642,
  [SMALL_STATE(4282)] = 152658,
  [SMALL_STATE(4283)] = 152674,
  [SMALL_STATE(4284)] = 152690,
  [SMALL_STATE(4285)] = 152706,
  [SMALL_STATE(4286)] = 152722,
  [SMALL_STATE(4287)] = 152740,
  [SMALL_STATE(4288)] = 152752,
  [SMALL_STATE(4289)] = 152768,
  [SMALL_STATE(4290)] = 152788,
  [SMALL_STATE(4291)] = 152800,
  [SMALL_STATE(4292)] = 152812,
  [SMALL_STATE(4293)] = 152830,
  [SMALL_STATE(4294)] = 152848,
  [SMALL_STATE(4295)] = 152864,
  [SMALL_STATE(4296)] = 152880,
  [SMALL_STATE(4297)] = 152896,
  [SMALL_STATE(4298)] = 152912,
  [SMALL_STATE(4299)] = 152928,
  [SMALL_STATE(4300)] = 152944,
  [SMALL_STATE(4301)] = 152960,
  [SMALL_STATE(4302)] = 152976,
  [SMALL_STATE(4303)] = 152988,
  [SMALL_STATE(4304)] = 153004,
  [SMALL_STATE(4305)] = 153020,
  [SMALL_STATE(4306)] = 153036,
  [SMALL_STATE(4307)] = 153052,
  [SMALL_STATE(4308)] = 153072,
  [SMALL_STATE(4309)] = 153084,
  [SMALL_STATE(4310)] = 153096,
  [SMALL_STATE(4311)] = 153112,
  [SMALL_STATE(4312)] = 153128,
  [SMALL_STATE(4313)] = 153144,
  [SMALL_STATE(4314)] = 153160,
  [SMALL_STATE(4315)] = 153176,
  [SMALL_STATE(4316)] = 153194,
  [SMALL_STATE(4317)] = 153210,
  [SMALL_STATE(4318)] = 153228,
  [SMALL_STATE(4319)] = 153240,
  [SMALL_STATE(4320)] = 153256,
  [SMALL_STATE(4321)] = 153272,
  [SMALL_STATE(4322)] = 153290,
  [SMALL_STATE(4323)] = 153310,
  [SMALL_STATE(4324)] = 153326,
  [SMALL_STATE(4325)] = 153342,
  [SMALL_STATE(4326)] = 153358,
  [SMALL_STATE(4327)] = 153374,
  [SMALL_STATE(4328)] = 153390,
  [SMALL_STATE(4329)] = 153406,
  [SMALL_STATE(4330)] = 153422,
  [SMALL_STATE(4331)] = 153438,
  [SMALL_STATE(4332)] = 153454,
  [SMALL_STATE(4333)] = 153470,
  [SMALL_STATE(4334)] = 153486,
  [SMALL_STATE(4335)] = 153502,
  [SMALL_STATE(4336)] = 153518,
  [SMALL_STATE(4337)] = 153534,
  [SMALL_STATE(4338)] = 153546,
  [SMALL_STATE(4339)] = 153558,
  [SMALL_STATE(4340)] = 153574,
  [SMALL_STATE(4341)] = 153590,
  [SMALL_STATE(4342)] = 153606,
  [SMALL_STATE(4343)] = 153624,
  [SMALL_STATE(4344)] = 153640,
  [SMALL_STATE(4345)] = 153656,
  [SMALL_STATE(4346)] = 153668,
  [SMALL_STATE(4347)] = 153680,
  [SMALL_STATE(4348)] = 153696,
  [SMALL_STATE(4349)] = 153712,
  [SMALL_STATE(4350)] = 153728,
  [SMALL_STATE(4351)] = 153748,
  [SMALL_STATE(4352)] = 153764,
  [SMALL_STATE(4353)] = 153784,
  [SMALL_STATE(4354)] = 153800,
  [SMALL_STATE(4355)] = 153812,
  [SMALL_STATE(4356)] = 153828,
  [SMALL_STATE(4357)] = 153844,
  [SMALL_STATE(4358)] = 153860,
  [SMALL_STATE(4359)] = 153876,
  [SMALL_STATE(4360)] = 153892,
  [SMALL_STATE(4361)] = 153908,
  [SMALL_STATE(4362)] = 153924,
  [SMALL_STATE(4363)] = 153940,
  [SMALL_STATE(4364)] = 153956,
  [SMALL_STATE(4365)] = 153972,
  [SMALL_STATE(4366)] = 153988,
  [SMALL_STATE(4367)] = 154000,
  [SMALL_STATE(4368)] = 154016,
  [SMALL_STATE(4369)] = 154036,
  [SMALL_STATE(4370)] = 154052,
  [SMALL_STATE(4371)] = 154072,
  [SMALL_STATE(4372)] = 154084,
  [SMALL_STATE(4373)] = 154100,
  [SMALL_STATE(4374)] = 154112,
  [SMALL_STATE(4375)] = 154128,
  [SMALL_STATE(4376)] = 154144,
  [SMALL_STATE(4377)] = 154160,
  [SMALL_STATE(4378)] = 154172,
  [SMALL_STATE(4379)] = 154184,
  [SMALL_STATE(4380)] = 154196,
  [SMALL_STATE(4381)] = 154212,
  [SMALL_STATE(4382)] = 154228,
  [SMALL_STATE(4383)] = 154248,
  [SMALL_STATE(4384)] = 154268,
  [SMALL_STATE(4385)] = 154288,
  [SMALL_STATE(4386)] = 154304,
  [SMALL_STATE(4387)] = 154324,
  [SMALL_STATE(4388)] = 154344,
  [SMALL_STATE(4389)] = 154360,
  [SMALL_STATE(4390)] = 154376,
  [SMALL_STATE(4391)] = 154396,
  [SMALL_STATE(4392)] = 154408,
  [SMALL_STATE(4393)] = 154428,
  [SMALL_STATE(4394)] = 154444,
  [SMALL_STATE(4395)] = 154460,
  [SMALL_STATE(4396)] = 154472,
  [SMALL_STATE(4397)] = 154484,
  [SMALL_STATE(4398)] = 154500,
  [SMALL_STATE(4399)] = 154516,
  [SMALL_STATE(4400)] = 154528,
  [SMALL_STATE(4401)] = 154548,
  [SMALL_STATE(4402)] = 154560,
  [SMALL_STATE(4403)] = 154580,
  [SMALL_STATE(4404)] = 154592,
  [SMALL_STATE(4405)] = 154604,
  [SMALL_STATE(4406)] = 154620,
  [SMALL_STATE(4407)] = 154632,
  [SMALL_STATE(4408)] = 154648,
  [SMALL_STATE(4409)] = 154664,
  [SMALL_STATE(4410)] = 154684,
  [SMALL_STATE(4411)] = 154704,
  [SMALL_STATE(4412)] = 154724,
  [SMALL_STATE(4413)] = 154740,
  [SMALL_STATE(4414)] = 154760,
  [SMALL_STATE(4415)] = 154780,
  [SMALL_STATE(4416)] = 154792,
  [SMALL_STATE(4417)] = 154808,
  [SMALL_STATE(4418)] = 154828,
  [SMALL_STATE(4419)] = 154844,
  [SMALL_STATE(4420)] = 154856,
  [SMALL_STATE(4421)] = 154868,
  [SMALL_STATE(4422)] = 154884,
  [SMALL_STATE(4423)] = 154900,
  [SMALL_STATE(4424)] = 154920,
  [SMALL_STATE(4425)] = 154936,
  [SMALL_STATE(4426)] = 154956,
  [SMALL_STATE(4427)] = 154972,
  [SMALL_STATE(4428)] = 154988,
  [SMALL_STATE(4429)] = 155000,
  [SMALL_STATE(4430)] = 155016,
  [SMALL_STATE(4431)] = 155032,
  [SMALL_STATE(4432)] = 155048,
  [SMALL_STATE(4433)] = 155064,
  [SMALL_STATE(4434)] = 155084,
  [SMALL_STATE(4435)] = 155100,
  [SMALL_STATE(4436)] = 155116,
  [SMALL_STATE(4437)] = 155132,
  [SMALL_STATE(4438)] = 155146,
  [SMALL_STATE(4439)] = 155166,
  [SMALL_STATE(4440)] = 155182,
  [SMALL_STATE(4441)] = 155198,
  [SMALL_STATE(4442)] = 155214,
  [SMALL_STATE(4443)] = 155234,
  [SMALL_STATE(4444)] = 155246,
  [SMALL_STATE(4445)] = 155262,
  [SMALL_STATE(4446)] = 155274,
  [SMALL_STATE(4447)] = 155294,
  [SMALL_STATE(4448)] = 155310,
  [SMALL_STATE(4449)] = 155326,
  [SMALL_STATE(4450)] = 155342,
  [SMALL_STATE(4451)] = 155358,
  [SMALL_STATE(4452)] = 155370,
  [SMALL_STATE(4453)] = 155386,
  [SMALL_STATE(4454)] = 155402,
  [SMALL_STATE(4455)] = 155418,
  [SMALL_STATE(4456)] = 155438,
  [SMALL_STATE(4457)] = 155454,
  [SMALL_STATE(4458)] = 155470,
  [SMALL_STATE(4459)] = 155486,
  [SMALL_STATE(4460)] = 155502,
  [SMALL_STATE(4461)] = 155518,
  [SMALL_STATE(4462)] = 155534,
  [SMALL_STATE(4463)] = 155550,
  [SMALL_STATE(4464)] = 155566,
  [SMALL_STATE(4465)] = 155582,
  [SMALL_STATE(4466)] = 155598,
  [SMALL_STATE(4467)] = 155618,
  [SMALL_STATE(4468)] = 155638,
  [SMALL_STATE(4469)] = 155658,
  [SMALL_STATE(4470)] = 155674,
  [SMALL_STATE(4471)] = 155686,
  [SMALL_STATE(4472)] = 155702,
  [SMALL_STATE(4473)] = 155718,
  [SMALL_STATE(4474)] = 155734,
  [SMALL_STATE(4475)] = 155750,
  [SMALL_STATE(4476)] = 155766,
  [SMALL_STATE(4477)] = 155782,
  [SMALL_STATE(4478)] = 155798,
  [SMALL_STATE(4479)] = 155818,
  [SMALL_STATE(4480)] = 155838,
  [SMALL_STATE(4481)] = 155850,
  [SMALL_STATE(4482)] = 155870,
  [SMALL_STATE(4483)] = 155886,
  [SMALL_STATE(4484)] = 155902,
  [SMALL_STATE(4485)] = 155922,
  [SMALL_STATE(4486)] = 155942,
  [SMALL_STATE(4487)] = 155958,
  [SMALL_STATE(4488)] = 155970,
  [SMALL_STATE(4489)] = 155982,
  [SMALL_STATE(4490)] = 155998,
  [SMALL_STATE(4491)] = 156014,
  [SMALL_STATE(4492)] = 156030,
  [SMALL_STATE(4493)] = 156042,
  [SMALL_STATE(4494)] = 156058,
  [SMALL_STATE(4495)] = 156074,
  [SMALL_STATE(4496)] = 156090,
  [SMALL_STATE(4497)] = 156106,
  [SMALL_STATE(4498)] = 156122,
  [SMALL_STATE(4499)] = 156134,
  [SMALL_STATE(4500)] = 156150,
  [SMALL_STATE(4501)] = 156166,
  [SMALL_STATE(4502)] = 156184,
  [SMALL_STATE(4503)] = 156200,
  [SMALL_STATE(4504)] = 156218,
  [SMALL_STATE(4505)] = 156236,
  [SMALL_STATE(4506)] = 156252,
  [SMALL_STATE(4507)] = 156264,
  [SMALL_STATE(4508)] = 156276,
  [SMALL_STATE(4509)] = 156288,
  [SMALL_STATE(4510)] = 156300,
  [SMALL_STATE(4511)] = 156316,
  [SMALL_STATE(4512)] = 156328,
  [SMALL_STATE(4513)] = 156340,
  [SMALL_STATE(4514)] = 156352,
  [SMALL_STATE(4515)] = 156372,
  [SMALL_STATE(4516)] = 156388,
  [SMALL_STATE(4517)] = 156404,
  [SMALL_STATE(4518)] = 156424,
  [SMALL_STATE(4519)] = 156436,
  [SMALL_STATE(4520)] = 156448,
  [SMALL_STATE(4521)] = 156464,
  [SMALL_STATE(4522)] = 156480,
  [SMALL_STATE(4523)] = 156496,
  [SMALL_STATE(4524)] = 156516,
  [SMALL_STATE(4525)] = 156532,
  [SMALL_STATE(4526)] = 156548,
  [SMALL_STATE(4527)] = 156564,
  [SMALL_STATE(4528)] = 156576,
  [SMALL_STATE(4529)] = 156592,
  [SMALL_STATE(4530)] = 156608,
  [SMALL_STATE(4531)] = 156624,
  [SMALL_STATE(4532)] = 156640,
  [SMALL_STATE(4533)] = 156652,
  [SMALL_STATE(4534)] = 156664,
  [SMALL_STATE(4535)] = 156680,
  [SMALL_STATE(4536)] = 156696,
  [SMALL_STATE(4537)] = 156714,
  [SMALL_STATE(4538)] = 156730,
  [SMALL_STATE(4539)] = 156746,
  [SMALL_STATE(4540)] = 156766,
  [SMALL_STATE(4541)] = 156786,
  [SMALL_STATE(4542)] = 156802,
  [SMALL_STATE(4543)] = 156818,
  [SMALL_STATE(4544)] = 156834,
  [SMALL_STATE(4545)] = 156852,
  [SMALL_STATE(4546)] = 156868,
  [SMALL_STATE(4547)] = 156888,
  [SMALL_STATE(4548)] = 156908,
  [SMALL_STATE(4549)] = 156924,
  [SMALL_STATE(4550)] = 156942,
  [SMALL_STATE(4551)] = 156958,
  [SMALL_STATE(4552)] = 156970,
  [SMALL_STATE(4553)] = 156990,
  [SMALL_STATE(4554)] = 157008,
  [SMALL_STATE(4555)] = 157024,
  [SMALL_STATE(4556)] = 157036,
  [SMALL_STATE(4557)] = 157048,
  [SMALL_STATE(4558)] = 157068,
  [SMALL_STATE(4559)] = 157088,
  [SMALL_STATE(4560)] = 157100,
  [SMALL_STATE(4561)] = 157116,
  [SMALL_STATE(4562)] = 157136,
  [SMALL_STATE(4563)] = 157148,
  [SMALL_STATE(4564)] = 157160,
  [SMALL_STATE(4565)] = 157172,
  [SMALL_STATE(4566)] = 157188,
  [SMALL_STATE(4567)] = 157208,
  [SMALL_STATE(4568)] = 157222,
  [SMALL_STATE(4569)] = 157238,
  [SMALL_STATE(4570)] = 157254,
  [SMALL_STATE(4571)] = 157266,
  [SMALL_STATE(4572)] = 157282,
  [SMALL_STATE(4573)] = 157294,
  [SMALL_STATE(4574)] = 157310,
  [SMALL_STATE(4575)] = 157326,
  [SMALL_STATE(4576)] = 157338,
  [SMALL_STATE(4577)] = 157354,
  [SMALL_STATE(4578)] = 157370,
  [SMALL_STATE(4579)] = 157386,
  [SMALL_STATE(4580)] = 157398,
  [SMALL_STATE(4581)] = 157410,
  [SMALL_STATE(4582)] = 157426,
  [SMALL_STATE(4583)] = 157438,
  [SMALL_STATE(4584)] = 157450,
  [SMALL_STATE(4585)] = 157466,
  [SMALL_STATE(4586)] = 157478,
  [SMALL_STATE(4587)] = 157490,
  [SMALL_STATE(4588)] = 157510,
  [SMALL_STATE(4589)] = 157522,
  [SMALL_STATE(4590)] = 157542,
  [SMALL_STATE(4591)] = 157558,
  [SMALL_STATE(4592)] = 157576,
  [SMALL_STATE(4593)] = 157596,
  [SMALL_STATE(4594)] = 157612,
  [SMALL_STATE(4595)] = 157628,
  [SMALL_STATE(4596)] = 157644,
  [SMALL_STATE(4597)] = 157660,
  [SMALL_STATE(4598)] = 157672,
  [SMALL_STATE(4599)] = 157688,
  [SMALL_STATE(4600)] = 157700,
  [SMALL_STATE(4601)] = 157716,
  [SMALL_STATE(4602)] = 157732,
  [SMALL_STATE(4603)] = 157748,
  [SMALL_STATE(4604)] = 157764,
  [SMALL_STATE(4605)] = 157780,
  [SMALL_STATE(4606)] = 157800,
  [SMALL_STATE(4607)] = 157816,
  [SMALL_STATE(4608)] = 157828,
  [SMALL_STATE(4609)] = 157840,
  [SMALL_STATE(4610)] = 157856,
  [SMALL_STATE(4611)] = 157868,
  [SMALL_STATE(4612)] = 157884,
  [SMALL_STATE(4613)] = 157896,
  [SMALL_STATE(4614)] = 157912,
  [SMALL_STATE(4615)] = 157928,
  [SMALL_STATE(4616)] = 157944,
  [SMALL_STATE(4617)] = 157956,
  [SMALL_STATE(4618)] = 157968,
  [SMALL_STATE(4619)] = 157988,
  [SMALL_STATE(4620)] = 158004,
  [SMALL_STATE(4621)] = 158016,
  [SMALL_STATE(4622)] = 158028,
  [SMALL_STATE(4623)] = 158044,
  [SMALL_STATE(4624)] = 158060,
  [SMALL_STATE(4625)] = 158076,
  [SMALL_STATE(4626)] = 158096,
  [SMALL_STATE(4627)] = 158112,
  [SMALL_STATE(4628)] = 158128,
  [SMALL_STATE(4629)] = 158144,
  [SMALL_STATE(4630)] = 158160,
  [SMALL_STATE(4631)] = 158176,
  [SMALL_STATE(4632)] = 158192,
  [SMALL_STATE(4633)] = 158208,
  [SMALL_STATE(4634)] = 158224,
  [SMALL_STATE(4635)] = 158236,
  [SMALL_STATE(4636)] = 158252,
  [SMALL_STATE(4637)] = 158268,
  [SMALL_STATE(4638)] = 158284,
  [SMALL_STATE(4639)] = 158300,
  [SMALL_STATE(4640)] = 158320,
  [SMALL_STATE(4641)] = 158336,
  [SMALL_STATE(4642)] = 158352,
  [SMALL_STATE(4643)] = 158364,
  [SMALL_STATE(4644)] = 158380,
  [SMALL_STATE(4645)] = 158396,
  [SMALL_STATE(4646)] = 158412,
  [SMALL_STATE(4647)] = 158428,
  [SMALL_STATE(4648)] = 158444,
  [SMALL_STATE(4649)] = 158460,
  [SMALL_STATE(4650)] = 158476,
  [SMALL_STATE(4651)] = 158492,
  [SMALL_STATE(4652)] = 158508,
  [SMALL_STATE(4653)] = 158524,
  [SMALL_STATE(4654)] = 158540,
  [SMALL_STATE(4655)] = 158556,
  [SMALL_STATE(4656)] = 158572,
  [SMALL_STATE(4657)] = 158584,
  [SMALL_STATE(4658)] = 158600,
  [SMALL_STATE(4659)] = 158620,
  [SMALL_STATE(4660)] = 158636,
  [SMALL_STATE(4661)] = 158648,
  [SMALL_STATE(4662)] = 158660,
  [SMALL_STATE(4663)] = 158672,
  [SMALL_STATE(4664)] = 158688,
  [SMALL_STATE(4665)] = 158704,
  [SMALL_STATE(4666)] = 158720,
  [SMALL_STATE(4667)] = 158736,
  [SMALL_STATE(4668)] = 158752,
  [SMALL_STATE(4669)] = 158768,
  [SMALL_STATE(4670)] = 158788,
  [SMALL_STATE(4671)] = 158800,
  [SMALL_STATE(4672)] = 158816,
  [SMALL_STATE(4673)] = 158832,
  [SMALL_STATE(4674)] = 158844,
  [SMALL_STATE(4675)] = 158860,
  [SMALL_STATE(4676)] = 158876,
  [SMALL_STATE(4677)] = 158892,
  [SMALL_STATE(4678)] = 158908,
  [SMALL_STATE(4679)] = 158924,
  [SMALL_STATE(4680)] = 158940,
  [SMALL_STATE(4681)] = 158952,
  [SMALL_STATE(4682)] = 158968,
  [SMALL_STATE(4683)] = 158984,
  [SMALL_STATE(4684)] = 159000,
  [SMALL_STATE(4685)] = 159016,
  [SMALL_STATE(4686)] = 159032,
  [SMALL_STATE(4687)] = 159044,
  [SMALL_STATE(4688)] = 159056,
  [SMALL_STATE(4689)] = 159068,
  [SMALL_STATE(4690)] = 159080,
  [SMALL_STATE(4691)] = 159092,
  [SMALL_STATE(4692)] = 159104,
  [SMALL_STATE(4693)] = 159116,
  [SMALL_STATE(4694)] = 159128,
  [SMALL_STATE(4695)] = 159140,
  [SMALL_STATE(4696)] = 159152,
  [SMALL_STATE(4697)] = 159164,
  [SMALL_STATE(4698)] = 159176,
  [SMALL_STATE(4699)] = 159188,
  [SMALL_STATE(4700)] = 159200,
  [SMALL_STATE(4701)] = 159217,
  [SMALL_STATE(4702)] = 159234,
  [SMALL_STATE(4703)] = 159251,
  [SMALL_STATE(4704)] = 159268,
  [SMALL_STATE(4705)] = 159285,
  [SMALL_STATE(4706)] = 159302,
  [SMALL_STATE(4707)] = 159319,
  [SMALL_STATE(4708)] = 159336,
  [SMALL_STATE(4709)] = 159353,
  [SMALL_STATE(4710)] = 159370,
  [SMALL_STATE(4711)] = 159387,
  [SMALL_STATE(4712)] = 159404,
  [SMALL_STATE(4713)] = 159417,
  [SMALL_STATE(4714)] = 159434,
  [SMALL_STATE(4715)] = 159449,
  [SMALL_STATE(4716)] = 159466,
  [SMALL_STATE(4717)] = 159483,
  [SMALL_STATE(4718)] = 159496,
  [SMALL_STATE(4719)] = 159511,
  [SMALL_STATE(4720)] = 159528,
  [SMALL_STATE(4721)] = 159543,
  [SMALL_STATE(4722)] = 159560,
  [SMALL_STATE(4723)] = 159577,
  [SMALL_STATE(4724)] = 159594,
  [SMALL_STATE(4725)] = 159611,
  [SMALL_STATE(4726)] = 159628,
  [SMALL_STATE(4727)] = 159645,
  [SMALL_STATE(4728)] = 159662,
  [SMALL_STATE(4729)] = 159679,
  [SMALL_STATE(4730)] = 159696,
  [SMALL_STATE(4731)] = 159713,
  [SMALL_STATE(4732)] = 159730,
  [SMALL_STATE(4733)] = 159747,
  [SMALL_STATE(4734)] = 159764,
  [SMALL_STATE(4735)] = 159781,
  [SMALL_STATE(4736)] = 159798,
  [SMALL_STATE(4737)] = 159815,
  [SMALL_STATE(4738)] = 159832,
  [SMALL_STATE(4739)] = 159849,
  [SMALL_STATE(4740)] = 159866,
  [SMALL_STATE(4741)] = 159883,
  [SMALL_STATE(4742)] = 159898,
  [SMALL_STATE(4743)] = 159915,
  [SMALL_STATE(4744)] = 159932,
  [SMALL_STATE(4745)] = 159949,
  [SMALL_STATE(4746)] = 159966,
  [SMALL_STATE(4747)] = 159983,
  [SMALL_STATE(4748)] = 160000,
  [SMALL_STATE(4749)] = 160017,
  [SMALL_STATE(4750)] = 160034,
  [SMALL_STATE(4751)] = 160051,
  [SMALL_STATE(4752)] = 160068,
  [SMALL_STATE(4753)] = 160085,
  [SMALL_STATE(4754)] = 160102,
  [SMALL_STATE(4755)] = 160119,
  [SMALL_STATE(4756)] = 160136,
  [SMALL_STATE(4757)] = 160153,
  [SMALL_STATE(4758)] = 160170,
  [SMALL_STATE(4759)] = 160185,
  [SMALL_STATE(4760)] = 160202,
  [SMALL_STATE(4761)] = 160217,
  [SMALL_STATE(4762)] = 160234,
  [SMALL_STATE(4763)] = 160249,
  [SMALL_STATE(4764)] = 160264,
  [SMALL_STATE(4765)] = 160281,
  [SMALL_STATE(4766)] = 160296,
  [SMALL_STATE(4767)] = 160311,
  [SMALL_STATE(4768)] = 160328,
  [SMALL_STATE(4769)] = 160343,
  [SMALL_STATE(4770)] = 160358,
  [SMALL_STATE(4771)] = 160375,
  [SMALL_STATE(4772)] = 160392,
  [SMALL_STATE(4773)] = 160409,
  [SMALL_STATE(4774)] = 160426,
  [SMALL_STATE(4775)] = 160441,
  [SMALL_STATE(4776)] = 160456,
  [SMALL_STATE(4777)] = 160473,
  [SMALL_STATE(4778)] = 160490,
  [SMALL_STATE(4779)] = 160507,
  [SMALL_STATE(4780)] = 160520,
  [SMALL_STATE(4781)] = 160535,
  [SMALL_STATE(4782)] = 160552,
  [SMALL_STATE(4783)] = 160567,
  [SMALL_STATE(4784)] = 160584,
  [SMALL_STATE(4785)] = 160601,
  [SMALL_STATE(4786)] = 160618,
  [SMALL_STATE(4787)] = 160629,
  [SMALL_STATE(4788)] = 160646,
  [SMALL_STATE(4789)] = 160663,
  [SMALL_STATE(4790)] = 160678,
  [SMALL_STATE(4791)] = 160695,
  [SMALL_STATE(4792)] = 160710,
  [SMALL_STATE(4793)] = 160725,
  [SMALL_STATE(4794)] = 160742,
  [SMALL_STATE(4795)] = 160757,
  [SMALL_STATE(4796)] = 160774,
  [SMALL_STATE(4797)] = 160791,
  [SMALL_STATE(4798)] = 160808,
  [SMALL_STATE(4799)] = 160825,
  [SMALL_STATE(4800)] = 160842,
  [SMALL_STATE(4801)] = 160857,
  [SMALL_STATE(4802)] = 160872,
  [SMALL_STATE(4803)] = 160887,
  [SMALL_STATE(4804)] = 160904,
  [SMALL_STATE(4805)] = 160919,
  [SMALL_STATE(4806)] = 160932,
  [SMALL_STATE(4807)] = 160947,
  [SMALL_STATE(4808)] = 160962,
  [SMALL_STATE(4809)] = 160979,
  [SMALL_STATE(4810)] = 160990,
  [SMALL_STATE(4811)] = 161007,
  [SMALL_STATE(4812)] = 161024,
  [SMALL_STATE(4813)] = 161041,
  [SMALL_STATE(4814)] = 161058,
  [SMALL_STATE(4815)] = 161075,
  [SMALL_STATE(4816)] = 161092,
  [SMALL_STATE(4817)] = 161109,
  [SMALL_STATE(4818)] = 161124,
  [SMALL_STATE(4819)] = 161141,
  [SMALL_STATE(4820)] = 161158,
  [SMALL_STATE(4821)] = 161175,
  [SMALL_STATE(4822)] = 161192,
  [SMALL_STATE(4823)] = 161209,
  [SMALL_STATE(4824)] = 161226,
  [SMALL_STATE(4825)] = 161241,
  [SMALL_STATE(4826)] = 161256,
  [SMALL_STATE(4827)] = 161271,
  [SMALL_STATE(4828)] = 161288,
  [SMALL_STATE(4829)] = 161303,
  [SMALL_STATE(4830)] = 161320,
  [SMALL_STATE(4831)] = 161337,
  [SMALL_STATE(4832)] = 161354,
  [SMALL_STATE(4833)] = 161371,
  [SMALL_STATE(4834)] = 161388,
  [SMALL_STATE(4835)] = 161405,
  [SMALL_STATE(4836)] = 161422,
  [SMALL_STATE(4837)] = 161439,
  [SMALL_STATE(4838)] = 161454,
  [SMALL_STATE(4839)] = 161469,
  [SMALL_STATE(4840)] = 161482,
  [SMALL_STATE(4841)] = 161492,
  [SMALL_STATE(4842)] = 161502,
  [SMALL_STATE(4843)] = 161516,
  [SMALL_STATE(4844)] = 161530,
  [SMALL_STATE(4845)] = 161540,
  [SMALL_STATE(4846)] = 161550,
  [SMALL_STATE(4847)] = 161560,
  [SMALL_STATE(4848)] = 161570,
  [SMALL_STATE(4849)] = 161580,
  [SMALL_STATE(4850)] = 161590,
  [SMALL_STATE(4851)] = 161600,
  [SMALL_STATE(4852)] = 161610,
  [SMALL_STATE(4853)] = 161622,
  [SMALL_STATE(4854)] = 161632,
  [SMALL_STATE(4855)] = 161642,
  [SMALL_STATE(4856)] = 161656,
  [SMALL_STATE(4857)] = 161666,
  [SMALL_STATE(4858)] = 161680,
  [SMALL_STATE(4859)] = 161690,
  [SMALL_STATE(4860)] = 161700,
  [SMALL_STATE(4861)] = 161710,
  [SMALL_STATE(4862)] = 161720,
  [SMALL_STATE(4863)] = 161730,
  [SMALL_STATE(4864)] = 161740,
  [SMALL_STATE(4865)] = 161754,
  [SMALL_STATE(4866)] = 161768,
  [SMALL_STATE(4867)] = 161778,
  [SMALL_STATE(4868)] = 161792,
  [SMALL_STATE(4869)] = 161802,
  [SMALL_STATE(4870)] = 161812,
  [SMALL_STATE(4871)] = 161822,
  [SMALL_STATE(4872)] = 161832,
  [SMALL_STATE(4873)] = 161842,
  [SMALL_STATE(4874)] = 161852,
  [SMALL_STATE(4875)] = 161862,
  [SMALL_STATE(4876)] = 161872,
  [SMALL_STATE(4877)] = 161882,
  [SMALL_STATE(4878)] = 161892,
  [SMALL_STATE(4879)] = 161902,
  [SMALL_STATE(4880)] = 161912,
  [SMALL_STATE(4881)] = 161922,
  [SMALL_STATE(4882)] = 161932,
  [SMALL_STATE(4883)] = 161942,
  [SMALL_STATE(4884)] = 161952,
  [SMALL_STATE(4885)] = 161962,
  [SMALL_STATE(4886)] = 161976,
  [SMALL_STATE(4887)] = 161986,
  [SMALL_STATE(4888)] = 161996,
  [SMALL_STATE(4889)] = 162006,
  [SMALL_STATE(4890)] = 162016,
  [SMALL_STATE(4891)] = 162026,
  [SMALL_STATE(4892)] = 162036,
  [SMALL_STATE(4893)] = 162046,
  [SMALL_STATE(4894)] = 162056,
  [SMALL_STATE(4895)] = 162066,
  [SMALL_STATE(4896)] = 162076,
  [SMALL_STATE(4897)] = 162090,
  [SMALL_STATE(4898)] = 162100,
  [SMALL_STATE(4899)] = 162110,
  [SMALL_STATE(4900)] = 162120,
  [SMALL_STATE(4901)] = 162130,
  [SMALL_STATE(4902)] = 162140,
  [SMALL_STATE(4903)] = 162154,
  [SMALL_STATE(4904)] = 162168,
  [SMALL_STATE(4905)] = 162178,
  [SMALL_STATE(4906)] = 162188,
  [SMALL_STATE(4907)] = 162198,
  [SMALL_STATE(4908)] = 162208,
  [SMALL_STATE(4909)] = 162218,
  [SMALL_STATE(4910)] = 162228,
  [SMALL_STATE(4911)] = 162238,
  [SMALL_STATE(4912)] = 162248,
  [SMALL_STATE(4913)] = 162258,
  [SMALL_STATE(4914)] = 162268,
  [SMALL_STATE(4915)] = 162278,
  [SMALL_STATE(4916)] = 162292,
  [SMALL_STATE(4917)] = 162302,
  [SMALL_STATE(4918)] = 162312,
  [SMALL_STATE(4919)] = 162322,
  [SMALL_STATE(4920)] = 162332,
  [SMALL_STATE(4921)] = 162342,
  [SMALL_STATE(4922)] = 162352,
  [SMALL_STATE(4923)] = 162362,
  [SMALL_STATE(4924)] = 162376,
  [SMALL_STATE(4925)] = 162386,
  [SMALL_STATE(4926)] = 162396,
  [SMALL_STATE(4927)] = 162406,
  [SMALL_STATE(4928)] = 162416,
  [SMALL_STATE(4929)] = 162426,
  [SMALL_STATE(4930)] = 162436,
  [SMALL_STATE(4931)] = 162446,
  [SMALL_STATE(4932)] = 162460,
  [SMALL_STATE(4933)] = 162472,
  [SMALL_STATE(4934)] = 162486,
  [SMALL_STATE(4935)] = 162496,
  [SMALL_STATE(4936)] = 162506,
  [SMALL_STATE(4937)] = 162520,
  [SMALL_STATE(4938)] = 162530,
  [SMALL_STATE(4939)] = 162540,
  [SMALL_STATE(4940)] = 162550,
  [SMALL_STATE(4941)] = 162560,
  [SMALL_STATE(4942)] = 162570,
  [SMALL_STATE(4943)] = 162580,
  [SMALL_STATE(4944)] = 162594,
  [SMALL_STATE(4945)] = 162608,
  [SMALL_STATE(4946)] = 162622,
  [SMALL_STATE(4947)] = 162636,
  [SMALL_STATE(4948)] = 162650,
  [SMALL_STATE(4949)] = 162660,
  [SMALL_STATE(4950)] = 162670,
  [SMALL_STATE(4951)] = 162680,
  [SMALL_STATE(4952)] = 162690,
  [SMALL_STATE(4953)] = 162700,
  [SMALL_STATE(4954)] = 162710,
  [SMALL_STATE(4955)] = 162720,
  [SMALL_STATE(4956)] = 162734,
  [SMALL_STATE(4957)] = 162748,
  [SMALL_STATE(4958)] = 162762,
  [SMALL_STATE(4959)] = 162772,
  [SMALL_STATE(4960)] = 162786,
  [SMALL_STATE(4961)] = 162796,
  [SMALL_STATE(4962)] = 162810,
  [SMALL_STATE(4963)] = 162824,
  [SMALL_STATE(4964)] = 162834,
  [SMALL_STATE(4965)] = 162844,
  [SMALL_STATE(4966)] = 162854,
  [SMALL_STATE(4967)] = 162864,
  [SMALL_STATE(4968)] = 162874,
  [SMALL_STATE(4969)] = 162884,
  [SMALL_STATE(4970)] = 162894,
  [SMALL_STATE(4971)] = 162908,
  [SMALL_STATE(4972)] = 162922,
  [SMALL_STATE(4973)] = 162936,
  [SMALL_STATE(4974)] = 162950,
  [SMALL_STATE(4975)] = 162960,
  [SMALL_STATE(4976)] = 162970,
  [SMALL_STATE(4977)] = 162980,
  [SMALL_STATE(4978)] = 162990,
  [SMALL_STATE(4979)] = 163000,
  [SMALL_STATE(4980)] = 163010,
  [SMALL_STATE(4981)] = 163020,
  [SMALL_STATE(4982)] = 163030,
  [SMALL_STATE(4983)] = 163044,
  [SMALL_STATE(4984)] = 163058,
  [SMALL_STATE(4985)] = 163072,
  [SMALL_STATE(4986)] = 163082,
  [SMALL_STATE(4987)] = 163092,
  [SMALL_STATE(4988)] = 163102,
  [SMALL_STATE(4989)] = 163112,
  [SMALL_STATE(4990)] = 163122,
  [SMALL_STATE(4991)] = 163132,
  [SMALL_STATE(4992)] = 163142,
  [SMALL_STATE(4993)] = 163152,
  [SMALL_STATE(4994)] = 163162,
  [SMALL_STATE(4995)] = 163172,
  [SMALL_STATE(4996)] = 163182,
  [SMALL_STATE(4997)] = 163192,
  [SMALL_STATE(4998)] = 163202,
  [SMALL_STATE(4999)] = 163212,
  [SMALL_STATE(5000)] = 163222,
  [SMALL_STATE(5001)] = 163232,
  [SMALL_STATE(5002)] = 163242,
  [SMALL_STATE(5003)] = 163252,
  [SMALL_STATE(5004)] = 163262,
  [SMALL_STATE(5005)] = 163272,
  [SMALL_STATE(5006)] = 163282,
  [SMALL_STATE(5007)] = 163292,
  [SMALL_STATE(5008)] = 163302,
  [SMALL_STATE(5009)] = 163312,
  [SMALL_STATE(5010)] = 163322,
  [SMALL_STATE(5011)] = 163332,
  [SMALL_STATE(5012)] = 163342,
  [SMALL_STATE(5013)] = 163352,
  [SMALL_STATE(5014)] = 163362,
  [SMALL_STATE(5015)] = 163372,
  [SMALL_STATE(5016)] = 163386,
  [SMALL_STATE(5017)] = 163396,
  [SMALL_STATE(5018)] = 163406,
  [SMALL_STATE(5019)] = 163416,
  [SMALL_STATE(5020)] = 163426,
  [SMALL_STATE(5021)] = 163436,
  [SMALL_STATE(5022)] = 163446,
  [SMALL_STATE(5023)] = 163460,
  [SMALL_STATE(5024)] = 163474,
  [SMALL_STATE(5025)] = 163484,
  [SMALL_STATE(5026)] = 163494,
  [SMALL_STATE(5027)] = 163504,
  [SMALL_STATE(5028)] = 163514,
  [SMALL_STATE(5029)] = 163524,
  [SMALL_STATE(5030)] = 163534,
  [SMALL_STATE(5031)] = 163544,
  [SMALL_STATE(5032)] = 163554,
  [SMALL_STATE(5033)] = 163568,
  [SMALL_STATE(5034)] = 163582,
  [SMALL_STATE(5035)] = 163592,
  [SMALL_STATE(5036)] = 163606,
  [SMALL_STATE(5037)] = 163616,
  [SMALL_STATE(5038)] = 163626,
  [SMALL_STATE(5039)] = 163640,
  [SMALL_STATE(5040)] = 163654,
  [SMALL_STATE(5041)] = 163664,
  [SMALL_STATE(5042)] = 163674,
  [SMALL_STATE(5043)] = 163684,
  [SMALL_STATE(5044)] = 163698,
  [SMALL_STATE(5045)] = 163708,
  [SMALL_STATE(5046)] = 163718,
  [SMALL_STATE(5047)] = 163728,
  [SMALL_STATE(5048)] = 163738,
  [SMALL_STATE(5049)] = 163748,
  [SMALL_STATE(5050)] = 163758,
  [SMALL_STATE(5051)] = 163768,
  [SMALL_STATE(5052)] = 163782,
  [SMALL_STATE(5053)] = 163792,
  [SMALL_STATE(5054)] = 163802,
  [SMALL_STATE(5055)] = 163816,
  [SMALL_STATE(5056)] = 163826,
  [SMALL_STATE(5057)] = 163836,
  [SMALL_STATE(5058)] = 163846,
  [SMALL_STATE(5059)] = 163856,
  [SMALL_STATE(5060)] = 163866,
  [SMALL_STATE(5061)] = 163876,
  [SMALL_STATE(5062)] = 163886,
  [SMALL_STATE(5063)] = 163896,
  [SMALL_STATE(5064)] = 163906,
  [SMALL_STATE(5065)] = 163916,
  [SMALL_STATE(5066)] = 163926,
  [SMALL_STATE(5067)] = 163936,
  [SMALL_STATE(5068)] = 163946,
  [SMALL_STATE(5069)] = 163956,
  [SMALL_STATE(5070)] = 163966,
  [SMALL_STATE(5071)] = 163976,
  [SMALL_STATE(5072)] = 163986,
  [SMALL_STATE(5073)] = 163996,
  [SMALL_STATE(5074)] = 164006,
  [SMALL_STATE(5075)] = 164016,
  [SMALL_STATE(5076)] = 164026,
  [SMALL_STATE(5077)] = 164036,
  [SMALL_STATE(5078)] = 164046,
  [SMALL_STATE(5079)] = 164056,
  [SMALL_STATE(5080)] = 164066,
  [SMALL_STATE(5081)] = 164076,
  [SMALL_STATE(5082)] = 164086,
  [SMALL_STATE(5083)] = 164096,
  [SMALL_STATE(5084)] = 164106,
  [SMALL_STATE(5085)] = 164116,
  [SMALL_STATE(5086)] = 164126,
  [SMALL_STATE(5087)] = 164140,
  [SMALL_STATE(5088)] = 164150,
  [SMALL_STATE(5089)] = 164160,
  [SMALL_STATE(5090)] = 164170,
  [SMALL_STATE(5091)] = 164180,
  [SMALL_STATE(5092)] = 164194,
  [SMALL_STATE(5093)] = 164204,
  [SMALL_STATE(5094)] = 164214,
  [SMALL_STATE(5095)] = 164224,
  [SMALL_STATE(5096)] = 164234,
  [SMALL_STATE(5097)] = 164248,
  [SMALL_STATE(5098)] = 164258,
  [SMALL_STATE(5099)] = 164268,
  [SMALL_STATE(5100)] = 164278,
  [SMALL_STATE(5101)] = 164288,
  [SMALL_STATE(5102)] = 164298,
  [SMALL_STATE(5103)] = 164308,
  [SMALL_STATE(5104)] = 164318,
  [SMALL_STATE(5105)] = 164328,
  [SMALL_STATE(5106)] = 164342,
  [SMALL_STATE(5107)] = 164352,
  [SMALL_STATE(5108)] = 164362,
  [SMALL_STATE(5109)] = 164376,
  [SMALL_STATE(5110)] = 164386,
  [SMALL_STATE(5111)] = 164400,
  [SMALL_STATE(5112)] = 164410,
  [SMALL_STATE(5113)] = 164424,
  [SMALL_STATE(5114)] = 164434,
  [SMALL_STATE(5115)] = 164448,
  [SMALL_STATE(5116)] = 164462,
  [SMALL_STATE(5117)] = 164472,
  [SMALL_STATE(5118)] = 164482,
  [SMALL_STATE(5119)] = 164492,
  [SMALL_STATE(5120)] = 164502,
  [SMALL_STATE(5121)] = 164516,
  [SMALL_STATE(5122)] = 164530,
  [SMALL_STATE(5123)] = 164544,
  [SMALL_STATE(5124)] = 164558,
  [SMALL_STATE(5125)] = 164568,
  [SMALL_STATE(5126)] = 164578,
  [SMALL_STATE(5127)] = 164592,
  [SMALL_STATE(5128)] = 164602,
  [SMALL_STATE(5129)] = 164614,
  [SMALL_STATE(5130)] = 164628,
  [SMALL_STATE(5131)] = 164638,
  [SMALL_STATE(5132)] = 164648,
  [SMALL_STATE(5133)] = 164658,
  [SMALL_STATE(5134)] = 164670,
  [SMALL_STATE(5135)] = 164680,
  [SMALL_STATE(5136)] = 164690,
  [SMALL_STATE(5137)] = 164700,
  [SMALL_STATE(5138)] = 164710,
  [SMALL_STATE(5139)] = 164720,
  [SMALL_STATE(5140)] = 164730,
  [SMALL_STATE(5141)] = 164740,
  [SMALL_STATE(5142)] = 164750,
  [SMALL_STATE(5143)] = 164760,
  [SMALL_STATE(5144)] = 164770,
  [SMALL_STATE(5145)] = 164780,
  [SMALL_STATE(5146)] = 164790,
  [SMALL_STATE(5147)] = 164800,
  [SMALL_STATE(5148)] = 164810,
  [SMALL_STATE(5149)] = 164820,
  [SMALL_STATE(5150)] = 164830,
  [SMALL_STATE(5151)] = 164840,
  [SMALL_STATE(5152)] = 164850,
  [SMALL_STATE(5153)] = 164860,
  [SMALL_STATE(5154)] = 164870,
  [SMALL_STATE(5155)] = 164880,
  [SMALL_STATE(5156)] = 164890,
  [SMALL_STATE(5157)] = 164900,
  [SMALL_STATE(5158)] = 164910,
  [SMALL_STATE(5159)] = 164924,
  [SMALL_STATE(5160)] = 164934,
  [SMALL_STATE(5161)] = 164944,
  [SMALL_STATE(5162)] = 164954,
  [SMALL_STATE(5163)] = 164964,
  [SMALL_STATE(5164)] = 164974,
  [SMALL_STATE(5165)] = 164984,
  [SMALL_STATE(5166)] = 164996,
  [SMALL_STATE(5167)] = 165006,
  [SMALL_STATE(5168)] = 165016,
  [SMALL_STATE(5169)] = 165026,
  [SMALL_STATE(5170)] = 165036,
  [SMALL_STATE(5171)] = 165050,
  [SMALL_STATE(5172)] = 165060,
  [SMALL_STATE(5173)] = 165074,
  [SMALL_STATE(5174)] = 165088,
  [SMALL_STATE(5175)] = 165098,
  [SMALL_STATE(5176)] = 165108,
  [SMALL_STATE(5177)] = 165118,
  [SMALL_STATE(5178)] = 165132,
  [SMALL_STATE(5179)] = 165142,
  [SMALL_STATE(5180)] = 165152,
  [SMALL_STATE(5181)] = 165162,
  [SMALL_STATE(5182)] = 165176,
  [SMALL_STATE(5183)] = 165186,
  [SMALL_STATE(5184)] = 165200,
  [SMALL_STATE(5185)] = 165210,
  [SMALL_STATE(5186)] = 165220,
  [SMALL_STATE(5187)] = 165230,
  [SMALL_STATE(5188)] = 165240,
  [SMALL_STATE(5189)] = 165250,
  [SMALL_STATE(5190)] = 165260,
  [SMALL_STATE(5191)] = 165274,
  [SMALL_STATE(5192)] = 165288,
  [SMALL_STATE(5193)] = 165298,
  [SMALL_STATE(5194)] = 165312,
  [SMALL_STATE(5195)] = 165322,
  [SMALL_STATE(5196)] = 165332,
  [SMALL_STATE(5197)] = 165344,
  [SMALL_STATE(5198)] = 165358,
  [SMALL_STATE(5199)] = 165372,
  [SMALL_STATE(5200)] = 165382,
  [SMALL_STATE(5201)] = 165392,
  [SMALL_STATE(5202)] = 165406,
  [SMALL_STATE(5203)] = 165420,
  [SMALL_STATE(5204)] = 165432,
  [SMALL_STATE(5205)] = 165442,
  [SMALL_STATE(5206)] = 165454,
  [SMALL_STATE(5207)] = 165464,
  [SMALL_STATE(5208)] = 165474,
  [SMALL_STATE(5209)] = 165488,
  [SMALL_STATE(5210)] = 165502,
  [SMALL_STATE(5211)] = 165512,
  [SMALL_STATE(5212)] = 165522,
  [SMALL_STATE(5213)] = 165532,
  [SMALL_STATE(5214)] = 165542,
  [SMALL_STATE(5215)] = 165552,
  [SMALL_STATE(5216)] = 165562,
  [SMALL_STATE(5217)] = 165572,
  [SMALL_STATE(5218)] = 165582,
  [SMALL_STATE(5219)] = 165592,
  [SMALL_STATE(5220)] = 165602,
  [SMALL_STATE(5221)] = 165612,
  [SMALL_STATE(5222)] = 165626,
  [SMALL_STATE(5223)] = 165636,
  [SMALL_STATE(5224)] = 165646,
  [SMALL_STATE(5225)] = 165660,
  [SMALL_STATE(5226)] = 165670,
  [SMALL_STATE(5227)] = 165680,
  [SMALL_STATE(5228)] = 165694,
  [SMALL_STATE(5229)] = 165704,
  [SMALL_STATE(5230)] = 165714,
  [SMALL_STATE(5231)] = 165724,
  [SMALL_STATE(5232)] = 165734,
  [SMALL_STATE(5233)] = 165744,
  [SMALL_STATE(5234)] = 165754,
  [SMALL_STATE(5235)] = 165764,
  [SMALL_STATE(5236)] = 165774,
  [SMALL_STATE(5237)] = 165784,
  [SMALL_STATE(5238)] = 165794,
  [SMALL_STATE(5239)] = 165804,
  [SMALL_STATE(5240)] = 165814,
  [SMALL_STATE(5241)] = 165828,
  [SMALL_STATE(5242)] = 165838,
  [SMALL_STATE(5243)] = 165848,
  [SMALL_STATE(5244)] = 165858,
  [SMALL_STATE(5245)] = 165868,
  [SMALL_STATE(5246)] = 165878,
  [SMALL_STATE(5247)] = 165888,
  [SMALL_STATE(5248)] = 165898,
  [SMALL_STATE(5249)] = 165908,
  [SMALL_STATE(5250)] = 165918,
  [SMALL_STATE(5251)] = 165932,
  [SMALL_STATE(5252)] = 165942,
  [SMALL_STATE(5253)] = 165956,
  [SMALL_STATE(5254)] = 165966,
  [SMALL_STATE(5255)] = 165980,
  [SMALL_STATE(5256)] = 165990,
  [SMALL_STATE(5257)] = 166004,
  [SMALL_STATE(5258)] = 166014,
  [SMALL_STATE(5259)] = 166024,
  [SMALL_STATE(5260)] = 166034,
  [SMALL_STATE(5261)] = 166044,
  [SMALL_STATE(5262)] = 166054,
  [SMALL_STATE(5263)] = 166064,
  [SMALL_STATE(5264)] = 166078,
  [SMALL_STATE(5265)] = 166088,
  [SMALL_STATE(5266)] = 166098,
  [SMALL_STATE(5267)] = 166108,
  [SMALL_STATE(5268)] = 166118,
  [SMALL_STATE(5269)] = 166128,
  [SMALL_STATE(5270)] = 166138,
  [SMALL_STATE(5271)] = 166148,
  [SMALL_STATE(5272)] = 166158,
  [SMALL_STATE(5273)] = 166168,
  [SMALL_STATE(5274)] = 166178,
  [SMALL_STATE(5275)] = 166188,
  [SMALL_STATE(5276)] = 166198,
  [SMALL_STATE(5277)] = 166208,
  [SMALL_STATE(5278)] = 166218,
  [SMALL_STATE(5279)] = 166228,
  [SMALL_STATE(5280)] = 166238,
  [SMALL_STATE(5281)] = 166248,
  [SMALL_STATE(5282)] = 166258,
  [SMALL_STATE(5283)] = 166268,
  [SMALL_STATE(5284)] = 166278,
  [SMALL_STATE(5285)] = 166288,
  [SMALL_STATE(5286)] = 166298,
  [SMALL_STATE(5287)] = 166308,
  [SMALL_STATE(5288)] = 166318,
  [SMALL_STATE(5289)] = 166328,
  [SMALL_STATE(5290)] = 166338,
  [SMALL_STATE(5291)] = 166348,
  [SMALL_STATE(5292)] = 166358,
  [SMALL_STATE(5293)] = 166368,
  [SMALL_STATE(5294)] = 166378,
  [SMALL_STATE(5295)] = 166388,
  [SMALL_STATE(5296)] = 166398,
  [SMALL_STATE(5297)] = 166408,
  [SMALL_STATE(5298)] = 166418,
  [SMALL_STATE(5299)] = 166428,
  [SMALL_STATE(5300)] = 166438,
  [SMALL_STATE(5301)] = 166448,
  [SMALL_STATE(5302)] = 166458,
  [SMALL_STATE(5303)] = 166468,
  [SMALL_STATE(5304)] = 166478,
  [SMALL_STATE(5305)] = 166488,
  [SMALL_STATE(5306)] = 166498,
  [SMALL_STATE(5307)] = 166508,
  [SMALL_STATE(5308)] = 166518,
  [SMALL_STATE(5309)] = 166528,
  [SMALL_STATE(5310)] = 166538,
  [SMALL_STATE(5311)] = 166548,
  [SMALL_STATE(5312)] = 166558,
  [SMALL_STATE(5313)] = 166568,
  [SMALL_STATE(5314)] = 166578,
  [SMALL_STATE(5315)] = 166588,
  [SMALL_STATE(5316)] = 166598,
  [SMALL_STATE(5317)] = 166608,
  [SMALL_STATE(5318)] = 166618,
  [SMALL_STATE(5319)] = 166628,
  [SMALL_STATE(5320)] = 166638,
  [SMALL_STATE(5321)] = 166648,
  [SMALL_STATE(5322)] = 166658,
  [SMALL_STATE(5323)] = 166668,
  [SMALL_STATE(5324)] = 166678,
  [SMALL_STATE(5325)] = 166688,
  [SMALL_STATE(5326)] = 166698,
  [SMALL_STATE(5327)] = 166708,
  [SMALL_STATE(5328)] = 166718,
  [SMALL_STATE(5329)] = 166728,
  [SMALL_STATE(5330)] = 166738,
  [SMALL_STATE(5331)] = 166748,
  [SMALL_STATE(5332)] = 166758,
  [SMALL_STATE(5333)] = 166768,
  [SMALL_STATE(5334)] = 166778,
  [SMALL_STATE(5335)] = 166788,
  [SMALL_STATE(5336)] = 166798,
  [SMALL_STATE(5337)] = 166808,
  [SMALL_STATE(5338)] = 166818,
  [SMALL_STATE(5339)] = 166828,
  [SMALL_STATE(5340)] = 166838,
  [SMALL_STATE(5341)] = 166848,
  [SMALL_STATE(5342)] = 166858,
  [SMALL_STATE(5343)] = 166868,
  [SMALL_STATE(5344)] = 166878,
  [SMALL_STATE(5345)] = 166888,
  [SMALL_STATE(5346)] = 166898,
  [SMALL_STATE(5347)] = 166908,
  [SMALL_STATE(5348)] = 166918,
  [SMALL_STATE(5349)] = 166928,
  [SMALL_STATE(5350)] = 166938,
  [SMALL_STATE(5351)] = 166948,
  [SMALL_STATE(5352)] = 166958,
  [SMALL_STATE(5353)] = 166968,
  [SMALL_STATE(5354)] = 166978,
  [SMALL_STATE(5355)] = 166988,
  [SMALL_STATE(5356)] = 166998,
  [SMALL_STATE(5357)] = 167008,
  [SMALL_STATE(5358)] = 167018,
  [SMALL_STATE(5359)] = 167028,
  [SMALL_STATE(5360)] = 167038,
  [SMALL_STATE(5361)] = 167048,
  [SMALL_STATE(5362)] = 167058,
  [SMALL_STATE(5363)] = 167068,
  [SMALL_STATE(5364)] = 167078,
  [SMALL_STATE(5365)] = 167088,
  [SMALL_STATE(5366)] = 167098,
  [SMALL_STATE(5367)] = 167108,
  [SMALL_STATE(5368)] = 167118,
  [SMALL_STATE(5369)] = 167128,
  [SMALL_STATE(5370)] = 167138,
  [SMALL_STATE(5371)] = 167148,
  [SMALL_STATE(5372)] = 167158,
  [SMALL_STATE(5373)] = 167168,
  [SMALL_STATE(5374)] = 167178,
  [SMALL_STATE(5375)] = 167188,
  [SMALL_STATE(5376)] = 167198,
  [SMALL_STATE(5377)] = 167208,
  [SMALL_STATE(5378)] = 167218,
  [SMALL_STATE(5379)] = 167228,
  [SMALL_STATE(5380)] = 167238,
  [SMALL_STATE(5381)] = 167248,
  [SMALL_STATE(5382)] = 167258,
  [SMALL_STATE(5383)] = 167268,
  [SMALL_STATE(5384)] = 167278,
  [SMALL_STATE(5385)] = 167288,
  [SMALL_STATE(5386)] = 167298,
  [SMALL_STATE(5387)] = 167308,
  [SMALL_STATE(5388)] = 167318,
  [SMALL_STATE(5389)] = 167328,
  [SMALL_STATE(5390)] = 167338,
  [SMALL_STATE(5391)] = 167348,
  [SMALL_STATE(5392)] = 167358,
  [SMALL_STATE(5393)] = 167368,
  [SMALL_STATE(5394)] = 167378,
  [SMALL_STATE(5395)] = 167388,
  [SMALL_STATE(5396)] = 167398,
  [SMALL_STATE(5397)] = 167408,
  [SMALL_STATE(5398)] = 167422,
  [SMALL_STATE(5399)] = 167432,
  [SMALL_STATE(5400)] = 167442,
  [SMALL_STATE(5401)] = 167452,
  [SMALL_STATE(5402)] = 167462,
  [SMALL_STATE(5403)] = 167472,
  [SMALL_STATE(5404)] = 167482,
  [SMALL_STATE(5405)] = 167492,
  [SMALL_STATE(5406)] = 167502,
  [SMALL_STATE(5407)] = 167516,
  [SMALL_STATE(5408)] = 167526,
  [SMALL_STATE(5409)] = 167536,
  [SMALL_STATE(5410)] = 167546,
  [SMALL_STATE(5411)] = 167556,
  [SMALL_STATE(5412)] = 167566,
  [SMALL_STATE(5413)] = 167576,
  [SMALL_STATE(5414)] = 167586,
  [SMALL_STATE(5415)] = 167600,
  [SMALL_STATE(5416)] = 167610,
  [SMALL_STATE(5417)] = 167620,
  [SMALL_STATE(5418)] = 167630,
  [SMALL_STATE(5419)] = 167640,
  [SMALL_STATE(5420)] = 167650,
  [SMALL_STATE(5421)] = 167660,
  [SMALL_STATE(5422)] = 167672,
  [SMALL_STATE(5423)] = 167682,
  [SMALL_STATE(5424)] = 167692,
  [SMALL_STATE(5425)] = 167702,
  [SMALL_STATE(5426)] = 167714,
  [SMALL_STATE(5427)] = 167724,
  [SMALL_STATE(5428)] = 167734,
  [SMALL_STATE(5429)] = 167744,
  [SMALL_STATE(5430)] = 167754,
  [SMALL_STATE(5431)] = 167768,
  [SMALL_STATE(5432)] = 167778,
  [SMALL_STATE(5433)] = 167788,
  [SMALL_STATE(5434)] = 167798,
  [SMALL_STATE(5435)] = 167808,
  [SMALL_STATE(5436)] = 167818,
  [SMALL_STATE(5437)] = 167828,
  [SMALL_STATE(5438)] = 167838,
  [SMALL_STATE(5439)] = 167848,
  [SMALL_STATE(5440)] = 167858,
  [SMALL_STATE(5441)] = 167868,
  [SMALL_STATE(5442)] = 167878,
  [SMALL_STATE(5443)] = 167888,
  [SMALL_STATE(5444)] = 167898,
  [SMALL_STATE(5445)] = 167908,
  [SMALL_STATE(5446)] = 167918,
  [SMALL_STATE(5447)] = 167928,
  [SMALL_STATE(5448)] = 167938,
  [SMALL_STATE(5449)] = 167948,
  [SMALL_STATE(5450)] = 167962,
  [SMALL_STATE(5451)] = 167972,
  [SMALL_STATE(5452)] = 167982,
  [SMALL_STATE(5453)] = 167992,
  [SMALL_STATE(5454)] = 168002,
  [SMALL_STATE(5455)] = 168016,
  [SMALL_STATE(5456)] = 168026,
  [SMALL_STATE(5457)] = 168036,
  [SMALL_STATE(5458)] = 168046,
  [SMALL_STATE(5459)] = 168056,
  [SMALL_STATE(5460)] = 168070,
  [SMALL_STATE(5461)] = 168080,
  [SMALL_STATE(5462)] = 168090,
  [SMALL_STATE(5463)] = 168104,
  [SMALL_STATE(5464)] = 168114,
  [SMALL_STATE(5465)] = 168124,
  [SMALL_STATE(5466)] = 168134,
  [SMALL_STATE(5467)] = 168144,
  [SMALL_STATE(5468)] = 168154,
  [SMALL_STATE(5469)] = 168164,
  [SMALL_STATE(5470)] = 168174,
  [SMALL_STATE(5471)] = 168184,
  [SMALL_STATE(5472)] = 168194,
  [SMALL_STATE(5473)] = 168204,
  [SMALL_STATE(5474)] = 168214,
  [SMALL_STATE(5475)] = 168224,
  [SMALL_STATE(5476)] = 168234,
  [SMALL_STATE(5477)] = 168244,
  [SMALL_STATE(5478)] = 168254,
  [SMALL_STATE(5479)] = 168264,
  [SMALL_STATE(5480)] = 168274,
  [SMALL_STATE(5481)] = 168284,
  [SMALL_STATE(5482)] = 168294,
  [SMALL_STATE(5483)] = 168304,
  [SMALL_STATE(5484)] = 168318,
  [SMALL_STATE(5485)] = 168328,
  [SMALL_STATE(5486)] = 168338,
  [SMALL_STATE(5487)] = 168348,
  [SMALL_STATE(5488)] = 168358,
  [SMALL_STATE(5489)] = 168368,
  [SMALL_STATE(5490)] = 168378,
  [SMALL_STATE(5491)] = 168388,
  [SMALL_STATE(5492)] = 168398,
  [SMALL_STATE(5493)] = 168408,
  [SMALL_STATE(5494)] = 168418,
  [SMALL_STATE(5495)] = 168428,
  [SMALL_STATE(5496)] = 168438,
  [SMALL_STATE(5497)] = 168448,
  [SMALL_STATE(5498)] = 168458,
  [SMALL_STATE(5499)] = 168472,
  [SMALL_STATE(5500)] = 168482,
  [SMALL_STATE(5501)] = 168492,
  [SMALL_STATE(5502)] = 168502,
  [SMALL_STATE(5503)] = 168512,
  [SMALL_STATE(5504)] = 168522,
  [SMALL_STATE(5505)] = 168532,
  [SMALL_STATE(5506)] = 168542,
  [SMALL_STATE(5507)] = 168552,
  [SMALL_STATE(5508)] = 168566,
  [SMALL_STATE(5509)] = 168576,
  [SMALL_STATE(5510)] = 168586,
  [SMALL_STATE(5511)] = 168596,
  [SMALL_STATE(5512)] = 168606,
  [SMALL_STATE(5513)] = 168620,
  [SMALL_STATE(5514)] = 168634,
  [SMALL_STATE(5515)] = 168644,
  [SMALL_STATE(5516)] = 168654,
  [SMALL_STATE(5517)] = 168664,
  [SMALL_STATE(5518)] = 168674,
  [SMALL_STATE(5519)] = 168688,
  [SMALL_STATE(5520)] = 168698,
  [SMALL_STATE(5521)] = 168708,
  [SMALL_STATE(5522)] = 168718,
  [SMALL_STATE(5523)] = 168728,
  [SMALL_STATE(5524)] = 168738,
  [SMALL_STATE(5525)] = 168748,
  [SMALL_STATE(5526)] = 168758,
  [SMALL_STATE(5527)] = 168768,
  [SMALL_STATE(5528)] = 168778,
  [SMALL_STATE(5529)] = 168788,
  [SMALL_STATE(5530)] = 168798,
  [SMALL_STATE(5531)] = 168808,
  [SMALL_STATE(5532)] = 168818,
  [SMALL_STATE(5533)] = 168828,
  [SMALL_STATE(5534)] = 168838,
  [SMALL_STATE(5535)] = 168852,
  [SMALL_STATE(5536)] = 168866,
  [SMALL_STATE(5537)] = 168876,
  [SMALL_STATE(5538)] = 168886,
  [SMALL_STATE(5539)] = 168900,
  [SMALL_STATE(5540)] = 168910,
  [SMALL_STATE(5541)] = 168920,
  [SMALL_STATE(5542)] = 168934,
  [SMALL_STATE(5543)] = 168944,
  [SMALL_STATE(5544)] = 168954,
  [SMALL_STATE(5545)] = 168964,
  [SMALL_STATE(5546)] = 168974,
  [SMALL_STATE(5547)] = 168984,
  [SMALL_STATE(5548)] = 168994,
  [SMALL_STATE(5549)] = 169008,
  [SMALL_STATE(5550)] = 169018,
  [SMALL_STATE(5551)] = 169032,
  [SMALL_STATE(5552)] = 169046,
  [SMALL_STATE(5553)] = 169056,
  [SMALL_STATE(5554)] = 169070,
  [SMALL_STATE(5555)] = 169080,
  [SMALL_STATE(5556)] = 169090,
  [SMALL_STATE(5557)] = 169100,
  [SMALL_STATE(5558)] = 169110,
  [SMALL_STATE(5559)] = 169120,
  [SMALL_STATE(5560)] = 169136,
  [SMALL_STATE(5561)] = 169146,
  [SMALL_STATE(5562)] = 169156,
  [SMALL_STATE(5563)] = 169166,
  [SMALL_STATE(5564)] = 169176,
  [SMALL_STATE(5565)] = 169186,
  [SMALL_STATE(5566)] = 169196,
  [SMALL_STATE(5567)] = 169206,
  [SMALL_STATE(5568)] = 169216,
  [SMALL_STATE(5569)] = 169228,
  [SMALL_STATE(5570)] = 169238,
  [SMALL_STATE(5571)] = 169248,
  [SMALL_STATE(5572)] = 169258,
  [SMALL_STATE(5573)] = 169272,
  [SMALL_STATE(5574)] = 169282,
  [SMALL_STATE(5575)] = 169292,
  [SMALL_STATE(5576)] = 169302,
  [SMALL_STATE(5577)] = 169312,
  [SMALL_STATE(5578)] = 169324,
  [SMALL_STATE(5579)] = 169334,
  [SMALL_STATE(5580)] = 169344,
  [SMALL_STATE(5581)] = 169354,
  [SMALL_STATE(5582)] = 169364,
  [SMALL_STATE(5583)] = 169378,
  [SMALL_STATE(5584)] = 169388,
  [SMALL_STATE(5585)] = 169398,
  [SMALL_STATE(5586)] = 169408,
  [SMALL_STATE(5587)] = 169424,
  [SMALL_STATE(5588)] = 169434,
  [SMALL_STATE(5589)] = 169444,
  [SMALL_STATE(5590)] = 169454,
  [SMALL_STATE(5591)] = 169464,
  [SMALL_STATE(5592)] = 169474,
  [SMALL_STATE(5593)] = 169488,
  [SMALL_STATE(5594)] = 169498,
  [SMALL_STATE(5595)] = 169512,
  [SMALL_STATE(5596)] = 169526,
  [SMALL_STATE(5597)] = 169540,
  [SMALL_STATE(5598)] = 169550,
  [SMALL_STATE(5599)] = 169564,
  [SMALL_STATE(5600)] = 169578,
  [SMALL_STATE(5601)] = 169588,
  [SMALL_STATE(5602)] = 169598,
  [SMALL_STATE(5603)] = 169608,
  [SMALL_STATE(5604)] = 169622,
  [SMALL_STATE(5605)] = 169632,
  [SMALL_STATE(5606)] = 169642,
  [SMALL_STATE(5607)] = 169652,
  [SMALL_STATE(5608)] = 169662,
  [SMALL_STATE(5609)] = 169674,
  [SMALL_STATE(5610)] = 169686,
  [SMALL_STATE(5611)] = 169696,
  [SMALL_STATE(5612)] = 169706,
  [SMALL_STATE(5613)] = 169716,
  [SMALL_STATE(5614)] = 169726,
  [SMALL_STATE(5615)] = 169736,
  [SMALL_STATE(5616)] = 169746,
  [SMALL_STATE(5617)] = 169760,
  [SMALL_STATE(5618)] = 169770,
  [SMALL_STATE(5619)] = 169780,
  [SMALL_STATE(5620)] = 169790,
  [SMALL_STATE(5621)] = 169804,
  [SMALL_STATE(5622)] = 169818,
  [SMALL_STATE(5623)] = 169832,
  [SMALL_STATE(5624)] = 169842,
  [SMALL_STATE(5625)] = 169856,
  [SMALL_STATE(5626)] = 169868,
  [SMALL_STATE(5627)] = 169882,
  [SMALL_STATE(5628)] = 169892,
  [SMALL_STATE(5629)] = 169906,
  [SMALL_STATE(5630)] = 169920,
  [SMALL_STATE(5631)] = 169934,
  [SMALL_STATE(5632)] = 169944,
  [SMALL_STATE(5633)] = 169954,
  [SMALL_STATE(5634)] = 169968,
  [SMALL_STATE(5635)] = 169978,
  [SMALL_STATE(5636)] = 169992,
  [SMALL_STATE(5637)] = 170006,
  [SMALL_STATE(5638)] = 170016,
  [SMALL_STATE(5639)] = 170026,
  [SMALL_STATE(5640)] = 170036,
  [SMALL_STATE(5641)] = 170048,
  [SMALL_STATE(5642)] = 170058,
  [SMALL_STATE(5643)] = 170068,
  [SMALL_STATE(5644)] = 170078,
  [SMALL_STATE(5645)] = 170092,
  [SMALL_STATE(5646)] = 170102,
  [SMALL_STATE(5647)] = 170116,
  [SMALL_STATE(5648)] = 170126,
  [SMALL_STATE(5649)] = 170136,
  [SMALL_STATE(5650)] = 170146,
  [SMALL_STATE(5651)] = 170160,
  [SMALL_STATE(5652)] = 170170,
  [SMALL_STATE(5653)] = 170180,
  [SMALL_STATE(5654)] = 170190,
  [SMALL_STATE(5655)] = 170200,
  [SMALL_STATE(5656)] = 170214,
  [SMALL_STATE(5657)] = 170224,
  [SMALL_STATE(5658)] = 170238,
  [SMALL_STATE(5659)] = 170252,
  [SMALL_STATE(5660)] = 170262,
  [SMALL_STATE(5661)] = 170276,
  [SMALL_STATE(5662)] = 170290,
  [SMALL_STATE(5663)] = 170306,
  [SMALL_STATE(5664)] = 170320,
  [SMALL_STATE(5665)] = 170330,
  [SMALL_STATE(5666)] = 170340,
  [SMALL_STATE(5667)] = 170350,
  [SMALL_STATE(5668)] = 170360,
  [SMALL_STATE(5669)] = 170370,
  [SMALL_STATE(5670)] = 170380,
  [SMALL_STATE(5671)] = 170390,
  [SMALL_STATE(5672)] = 170404,
  [SMALL_STATE(5673)] = 170414,
  [SMALL_STATE(5674)] = 170424,
  [SMALL_STATE(5675)] = 170436,
  [SMALL_STATE(5676)] = 170446,
  [SMALL_STATE(5677)] = 170460,
  [SMALL_STATE(5678)] = 170470,
  [SMALL_STATE(5679)] = 170480,
  [SMALL_STATE(5680)] = 170490,
  [SMALL_STATE(5681)] = 170500,
  [SMALL_STATE(5682)] = 170510,
  [SMALL_STATE(5683)] = 170520,
  [SMALL_STATE(5684)] = 170530,
  [SMALL_STATE(5685)] = 170546,
  [SMALL_STATE(5686)] = 170556,
  [SMALL_STATE(5687)] = 170570,
  [SMALL_STATE(5688)] = 170580,
  [SMALL_STATE(5689)] = 170592,
  [SMALL_STATE(5690)] = 170604,
  [SMALL_STATE(5691)] = 170614,
  [SMALL_STATE(5692)] = 170626,
  [SMALL_STATE(5693)] = 170636,
  [SMALL_STATE(5694)] = 170646,
  [SMALL_STATE(5695)] = 170660,
  [SMALL_STATE(5696)] = 170674,
  [SMALL_STATE(5697)] = 170684,
  [SMALL_STATE(5698)] = 170698,
  [SMALL_STATE(5699)] = 170708,
  [SMALL_STATE(5700)] = 170718,
  [SMALL_STATE(5701)] = 170728,
  [SMALL_STATE(5702)] = 170738,
  [SMALL_STATE(5703)] = 170748,
  [SMALL_STATE(5704)] = 170762,
  [SMALL_STATE(5705)] = 170772,
  [SMALL_STATE(5706)] = 170786,
  [SMALL_STATE(5707)] = 170796,
  [SMALL_STATE(5708)] = 170810,
  [SMALL_STATE(5709)] = 170822,
  [SMALL_STATE(5710)] = 170836,
  [SMALL_STATE(5711)] = 170846,
  [SMALL_STATE(5712)] = 170856,
  [SMALL_STATE(5713)] = 170866,
  [SMALL_STATE(5714)] = 170876,
  [SMALL_STATE(5715)] = 170886,
  [SMALL_STATE(5716)] = 170898,
  [SMALL_STATE(5717)] = 170912,
  [SMALL_STATE(5718)] = 170928,
  [SMALL_STATE(5719)] = 170942,
  [SMALL_STATE(5720)] = 170952,
  [SMALL_STATE(5721)] = 170962,
  [SMALL_STATE(5722)] = 170972,
  [SMALL_STATE(5723)] = 170986,
  [SMALL_STATE(5724)] = 170996,
  [SMALL_STATE(5725)] = 171010,
  [SMALL_STATE(5726)] = 171024,
  [SMALL_STATE(5727)] = 171034,
  [SMALL_STATE(5728)] = 171044,
  [SMALL_STATE(5729)] = 171054,
  [SMALL_STATE(5730)] = 171064,
  [SMALL_STATE(5731)] = 171074,
  [SMALL_STATE(5732)] = 171084,
  [SMALL_STATE(5733)] = 171096,
  [SMALL_STATE(5734)] = 171106,
  [SMALL_STATE(5735)] = 171116,
  [SMALL_STATE(5736)] = 171126,
  [SMALL_STATE(5737)] = 171136,
  [SMALL_STATE(5738)] = 171146,
  [SMALL_STATE(5739)] = 171156,
  [SMALL_STATE(5740)] = 171166,
  [SMALL_STATE(5741)] = 171176,
  [SMALL_STATE(5742)] = 171190,
  [SMALL_STATE(5743)] = 171204,
  [SMALL_STATE(5744)] = 171214,
  [SMALL_STATE(5745)] = 171224,
  [SMALL_STATE(5746)] = 171238,
  [SMALL_STATE(5747)] = 171248,
  [SMALL_STATE(5748)] = 171262,
  [SMALL_STATE(5749)] = 171276,
  [SMALL_STATE(5750)] = 171286,
  [SMALL_STATE(5751)] = 171296,
  [SMALL_STATE(5752)] = 171310,
  [SMALL_STATE(5753)] = 171320,
  [SMALL_STATE(5754)] = 171330,
  [SMALL_STATE(5755)] = 171340,
  [SMALL_STATE(5756)] = 171350,
  [SMALL_STATE(5757)] = 171360,
  [SMALL_STATE(5758)] = 171374,
  [SMALL_STATE(5759)] = 171388,
  [SMALL_STATE(5760)] = 171398,
  [SMALL_STATE(5761)] = 171407,
  [SMALL_STATE(5762)] = 171416,
  [SMALL_STATE(5763)] = 171427,
  [SMALL_STATE(5764)] = 171438,
  [SMALL_STATE(5765)] = 171447,
  [SMALL_STATE(5766)] = 171458,
  [SMALL_STATE(5767)] = 171467,
  [SMALL_STATE(5768)] = 171478,
  [SMALL_STATE(5769)] = 171489,
  [SMALL_STATE(5770)] = 171500,
  [SMALL_STATE(5771)] = 171509,
  [SMALL_STATE(5772)] = 171520,
  [SMALL_STATE(5773)] = 171531,
  [SMALL_STATE(5774)] = 171540,
  [SMALL_STATE(5775)] = 171551,
  [SMALL_STATE(5776)] = 171562,
  [SMALL_STATE(5777)] = 171573,
  [SMALL_STATE(5778)] = 171584,
  [SMALL_STATE(5779)] = 171595,
  [SMALL_STATE(5780)] = 171606,
  [SMALL_STATE(5781)] = 171617,
  [SMALL_STATE(5782)] = 171628,
  [SMALL_STATE(5783)] = 171639,
  [SMALL_STATE(5784)] = 171650,
  [SMALL_STATE(5785)] = 171661,
  [SMALL_STATE(5786)] = 171670,
  [SMALL_STATE(5787)] = 171681,
  [SMALL_STATE(5788)] = 171692,
  [SMALL_STATE(5789)] = 171703,
  [SMALL_STATE(5790)] = 171714,
  [SMALL_STATE(5791)] = 171725,
  [SMALL_STATE(5792)] = 171736,
  [SMALL_STATE(5793)] = 171745,
  [SMALL_STATE(5794)] = 171756,
  [SMALL_STATE(5795)] = 171767,
  [SMALL_STATE(5796)] = 171776,
  [SMALL_STATE(5797)] = 171787,
  [SMALL_STATE(5798)] = 171798,
  [SMALL_STATE(5799)] = 171809,
  [SMALL_STATE(5800)] = 171818,
  [SMALL_STATE(5801)] = 171829,
  [SMALL_STATE(5802)] = 171840,
  [SMALL_STATE(5803)] = 171851,
  [SMALL_STATE(5804)] = 171862,
  [SMALL_STATE(5805)] = 171873,
  [SMALL_STATE(5806)] = 171884,
  [SMALL_STATE(5807)] = 171895,
  [SMALL_STATE(5808)] = 171906,
  [SMALL_STATE(5809)] = 171917,
  [SMALL_STATE(5810)] = 171928,
  [SMALL_STATE(5811)] = 171939,
  [SMALL_STATE(5812)] = 171950,
  [SMALL_STATE(5813)] = 171961,
  [SMALL_STATE(5814)] = 171972,
  [SMALL_STATE(5815)] = 171983,
  [SMALL_STATE(5816)] = 171994,
  [SMALL_STATE(5817)] = 172005,
  [SMALL_STATE(5818)] = 172014,
  [SMALL_STATE(5819)] = 172025,
  [SMALL_STATE(5820)] = 172036,
  [SMALL_STATE(5821)] = 172047,
  [SMALL_STATE(5822)] = 172056,
  [SMALL_STATE(5823)] = 172065,
  [SMALL_STATE(5824)] = 172076,
  [SMALL_STATE(5825)] = 172087,
  [SMALL_STATE(5826)] = 172096,
  [SMALL_STATE(5827)] = 172107,
  [SMALL_STATE(5828)] = 172118,
  [SMALL_STATE(5829)] = 172129,
  [SMALL_STATE(5830)] = 172138,
  [SMALL_STATE(5831)] = 172149,
  [SMALL_STATE(5832)] = 172160,
  [SMALL_STATE(5833)] = 172171,
  [SMALL_STATE(5834)] = 172182,
  [SMALL_STATE(5835)] = 172193,
  [SMALL_STATE(5836)] = 172204,
  [SMALL_STATE(5837)] = 172215,
  [SMALL_STATE(5838)] = 172226,
  [SMALL_STATE(5839)] = 172237,
  [SMALL_STATE(5840)] = 172248,
  [SMALL_STATE(5841)] = 172259,
  [SMALL_STATE(5842)] = 172270,
  [SMALL_STATE(5843)] = 172281,
  [SMALL_STATE(5844)] = 172292,
  [SMALL_STATE(5845)] = 172303,
  [SMALL_STATE(5846)] = 172312,
  [SMALL_STATE(5847)] = 172321,
  [SMALL_STATE(5848)] = 172332,
  [SMALL_STATE(5849)] = 172341,
  [SMALL_STATE(5850)] = 172350,
  [SMALL_STATE(5851)] = 172361,
  [SMALL_STATE(5852)] = 172370,
  [SMALL_STATE(5853)] = 172381,
  [SMALL_STATE(5854)] = 172392,
  [SMALL_STATE(5855)] = 172403,
  [SMALL_STATE(5856)] = 172412,
  [SMALL_STATE(5857)] = 172423,
  [SMALL_STATE(5858)] = 172434,
  [SMALL_STATE(5859)] = 172445,
  [SMALL_STATE(5860)] = 172456,
  [SMALL_STATE(5861)] = 172467,
  [SMALL_STATE(5862)] = 172478,
  [SMALL_STATE(5863)] = 172487,
  [SMALL_STATE(5864)] = 172498,
  [SMALL_STATE(5865)] = 172507,
  [SMALL_STATE(5866)] = 172518,
  [SMALL_STATE(5867)] = 172527,
  [SMALL_STATE(5868)] = 172538,
  [SMALL_STATE(5869)] = 172549,
  [SMALL_STATE(5870)] = 172560,
  [SMALL_STATE(5871)] = 172571,
  [SMALL_STATE(5872)] = 172582,
  [SMALL_STATE(5873)] = 172593,
  [SMALL_STATE(5874)] = 172602,
  [SMALL_STATE(5875)] = 172613,
  [SMALL_STATE(5876)] = 172624,
  [SMALL_STATE(5877)] = 172635,
  [SMALL_STATE(5878)] = 172646,
  [SMALL_STATE(5879)] = 172657,
  [SMALL_STATE(5880)] = 172668,
  [SMALL_STATE(5881)] = 172679,
  [SMALL_STATE(5882)] = 172688,
  [SMALL_STATE(5883)] = 172699,
  [SMALL_STATE(5884)] = 172710,
  [SMALL_STATE(5885)] = 172721,
  [SMALL_STATE(5886)] = 172730,
  [SMALL_STATE(5887)] = 172741,
  [SMALL_STATE(5888)] = 172752,
  [SMALL_STATE(5889)] = 172763,
  [SMALL_STATE(5890)] = 172774,
  [SMALL_STATE(5891)] = 172785,
  [SMALL_STATE(5892)] = 172796,
  [SMALL_STATE(5893)] = 172805,
  [SMALL_STATE(5894)] = 172816,
  [SMALL_STATE(5895)] = 172827,
  [SMALL_STATE(5896)] = 172838,
  [SMALL_STATE(5897)] = 172849,
  [SMALL_STATE(5898)] = 172858,
  [SMALL_STATE(5899)] = 172869,
  [SMALL_STATE(5900)] = 172880,
  [SMALL_STATE(5901)] = 172891,
  [SMALL_STATE(5902)] = 172902,
  [SMALL_STATE(5903)] = 172913,
  [SMALL_STATE(5904)] = 172924,
  [SMALL_STATE(5905)] = 172935,
  [SMALL_STATE(5906)] = 172946,
  [SMALL_STATE(5907)] = 172957,
  [SMALL_STATE(5908)] = 172968,
  [SMALL_STATE(5909)] = 172977,
  [SMALL_STATE(5910)] = 172988,
  [SMALL_STATE(5911)] = 172997,
  [SMALL_STATE(5912)] = 173008,
  [SMALL_STATE(5913)] = 173019,
  [SMALL_STATE(5914)] = 173028,
  [SMALL_STATE(5915)] = 173037,
  [SMALL_STATE(5916)] = 173046,
  [SMALL_STATE(5917)] = 173057,
  [SMALL_STATE(5918)] = 173068,
  [SMALL_STATE(5919)] = 173079,
  [SMALL_STATE(5920)] = 173090,
  [SMALL_STATE(5921)] = 173099,
  [SMALL_STATE(5922)] = 173110,
  [SMALL_STATE(5923)] = 173119,
  [SMALL_STATE(5924)] = 173128,
  [SMALL_STATE(5925)] = 173139,
  [SMALL_STATE(5926)] = 173148,
  [SMALL_STATE(5927)] = 173159,
  [SMALL_STATE(5928)] = 173170,
  [SMALL_STATE(5929)] = 173181,
  [SMALL_STATE(5930)] = 173190,
  [SMALL_STATE(5931)] = 173199,
  [SMALL_STATE(5932)] = 173210,
  [SMALL_STATE(5933)] = 173221,
  [SMALL_STATE(5934)] = 173232,
  [SMALL_STATE(5935)] = 173243,
  [SMALL_STATE(5936)] = 173254,
  [SMALL_STATE(5937)] = 173265,
  [SMALL_STATE(5938)] = 173276,
  [SMALL_STATE(5939)] = 173287,
  [SMALL_STATE(5940)] = 173298,
  [SMALL_STATE(5941)] = 173309,
  [SMALL_STATE(5942)] = 173320,
  [SMALL_STATE(5943)] = 173331,
  [SMALL_STATE(5944)] = 173340,
  [SMALL_STATE(5945)] = 173349,
  [SMALL_STATE(5946)] = 173358,
  [SMALL_STATE(5947)] = 173367,
  [SMALL_STATE(5948)] = 173376,
  [SMALL_STATE(5949)] = 173387,
  [SMALL_STATE(5950)] = 173398,
  [SMALL_STATE(5951)] = 173409,
  [SMALL_STATE(5952)] = 173420,
  [SMALL_STATE(5953)] = 173429,
  [SMALL_STATE(5954)] = 173440,
  [SMALL_STATE(5955)] = 173451,
  [SMALL_STATE(5956)] = 173462,
  [SMALL_STATE(5957)] = 173471,
  [SMALL_STATE(5958)] = 173482,
  [SMALL_STATE(5959)] = 173493,
  [SMALL_STATE(5960)] = 173502,
  [SMALL_STATE(5961)] = 173511,
  [SMALL_STATE(5962)] = 173522,
  [SMALL_STATE(5963)] = 173533,
  [SMALL_STATE(5964)] = 173544,
  [SMALL_STATE(5965)] = 173553,
  [SMALL_STATE(5966)] = 173564,
  [SMALL_STATE(5967)] = 173575,
  [SMALL_STATE(5968)] = 173586,
  [SMALL_STATE(5969)] = 173597,
  [SMALL_STATE(5970)] = 173606,
  [SMALL_STATE(5971)] = 173617,
  [SMALL_STATE(5972)] = 173628,
  [SMALL_STATE(5973)] = 173639,
  [SMALL_STATE(5974)] = 173648,
  [SMALL_STATE(5975)] = 173659,
  [SMALL_STATE(5976)] = 173670,
  [SMALL_STATE(5977)] = 173679,
  [SMALL_STATE(5978)] = 173690,
  [SMALL_STATE(5979)] = 173701,
  [SMALL_STATE(5980)] = 173712,
  [SMALL_STATE(5981)] = 173723,
  [SMALL_STATE(5982)] = 173732,
  [SMALL_STATE(5983)] = 173743,
  [SMALL_STATE(5984)] = 173754,
  [SMALL_STATE(5985)] = 173763,
  [SMALL_STATE(5986)] = 173774,
  [SMALL_STATE(5987)] = 173785,
  [SMALL_STATE(5988)] = 173796,
  [SMALL_STATE(5989)] = 173805,
  [SMALL_STATE(5990)] = 173816,
  [SMALL_STATE(5991)] = 173827,
  [SMALL_STATE(5992)] = 173838,
  [SMALL_STATE(5993)] = 173849,
  [SMALL_STATE(5994)] = 173860,
  [SMALL_STATE(5995)] = 173871,
  [SMALL_STATE(5996)] = 173882,
  [SMALL_STATE(5997)] = 173891,
  [SMALL_STATE(5998)] = 173902,
  [SMALL_STATE(5999)] = 173913,
  [SMALL_STATE(6000)] = 173924,
  [SMALL_STATE(6001)] = 173935,
  [SMALL_STATE(6002)] = 173946,
  [SMALL_STATE(6003)] = 173957,
  [SMALL_STATE(6004)] = 173968,
  [SMALL_STATE(6005)] = 173979,
  [SMALL_STATE(6006)] = 173990,
  [SMALL_STATE(6007)] = 174001,
  [SMALL_STATE(6008)] = 174012,
  [SMALL_STATE(6009)] = 174023,
  [SMALL_STATE(6010)] = 174034,
  [SMALL_STATE(6011)] = 174045,
  [SMALL_STATE(6012)] = 174056,
  [SMALL_STATE(6013)] = 174067,
  [SMALL_STATE(6014)] = 174078,
  [SMALL_STATE(6015)] = 174089,
  [SMALL_STATE(6016)] = 174100,
  [SMALL_STATE(6017)] = 174111,
  [SMALL_STATE(6018)] = 174122,
  [SMALL_STATE(6019)] = 174133,
  [SMALL_STATE(6020)] = 174144,
  [SMALL_STATE(6021)] = 174155,
  [SMALL_STATE(6022)] = 174164,
  [SMALL_STATE(6023)] = 174175,
  [SMALL_STATE(6024)] = 174186,
  [SMALL_STATE(6025)] = 174197,
  [SMALL_STATE(6026)] = 174208,
  [SMALL_STATE(6027)] = 174219,
  [SMALL_STATE(6028)] = 174230,
  [SMALL_STATE(6029)] = 174239,
  [SMALL_STATE(6030)] = 174250,
  [SMALL_STATE(6031)] = 174261,
  [SMALL_STATE(6032)] = 174272,
  [SMALL_STATE(6033)] = 174283,
  [SMALL_STATE(6034)] = 174292,
  [SMALL_STATE(6035)] = 174303,
  [SMALL_STATE(6036)] = 174312,
  [SMALL_STATE(6037)] = 174323,
  [SMALL_STATE(6038)] = 174332,
  [SMALL_STATE(6039)] = 174343,
  [SMALL_STATE(6040)] = 174354,
  [SMALL_STATE(6041)] = 174365,
  [SMALL_STATE(6042)] = 174374,
  [SMALL_STATE(6043)] = 174385,
  [SMALL_STATE(6044)] = 174396,
  [SMALL_STATE(6045)] = 174405,
  [SMALL_STATE(6046)] = 174416,
  [SMALL_STATE(6047)] = 174427,
  [SMALL_STATE(6048)] = 174436,
  [SMALL_STATE(6049)] = 174447,
  [SMALL_STATE(6050)] = 174458,
  [SMALL_STATE(6051)] = 174467,
  [SMALL_STATE(6052)] = 174476,
  [SMALL_STATE(6053)] = 174487,
  [SMALL_STATE(6054)] = 174498,
  [SMALL_STATE(6055)] = 174507,
  [SMALL_STATE(6056)] = 174518,
  [SMALL_STATE(6057)] = 174529,
  [SMALL_STATE(6058)] = 174540,
  [SMALL_STATE(6059)] = 174549,
  [SMALL_STATE(6060)] = 174560,
  [SMALL_STATE(6061)] = 174571,
  [SMALL_STATE(6062)] = 174582,
  [SMALL_STATE(6063)] = 174593,
  [SMALL_STATE(6064)] = 174604,
  [SMALL_STATE(6065)] = 174615,
  [SMALL_STATE(6066)] = 174624,
  [SMALL_STATE(6067)] = 174635,
  [SMALL_STATE(6068)] = 174646,
  [SMALL_STATE(6069)] = 174657,
  [SMALL_STATE(6070)] = 174668,
  [SMALL_STATE(6071)] = 174677,
  [SMALL_STATE(6072)] = 174688,
  [SMALL_STATE(6073)] = 174699,
  [SMALL_STATE(6074)] = 174710,
  [SMALL_STATE(6075)] = 174721,
  [SMALL_STATE(6076)] = 174732,
  [SMALL_STATE(6077)] = 174743,
  [SMALL_STATE(6078)] = 174752,
  [SMALL_STATE(6079)] = 174763,
  [SMALL_STATE(6080)] = 174774,
  [SMALL_STATE(6081)] = 174785,
  [SMALL_STATE(6082)] = 174796,
  [SMALL_STATE(6083)] = 174807,
  [SMALL_STATE(6084)] = 174816,
  [SMALL_STATE(6085)] = 174825,
  [SMALL_STATE(6086)] = 174836,
  [SMALL_STATE(6087)] = 174845,
  [SMALL_STATE(6088)] = 174856,
  [SMALL_STATE(6089)] = 174867,
  [SMALL_STATE(6090)] = 174878,
  [SMALL_STATE(6091)] = 174889,
  [SMALL_STATE(6092)] = 174900,
  [SMALL_STATE(6093)] = 174911,
  [SMALL_STATE(6094)] = 174922,
  [SMALL_STATE(6095)] = 174933,
  [SMALL_STATE(6096)] = 174944,
  [SMALL_STATE(6097)] = 174955,
  [SMALL_STATE(6098)] = 174966,
  [SMALL_STATE(6099)] = 174974,
  [SMALL_STATE(6100)] = 174982,
  [SMALL_STATE(6101)] = 174990,
  [SMALL_STATE(6102)] = 174998,
  [SMALL_STATE(6103)] = 175006,
  [SMALL_STATE(6104)] = 175014,
  [SMALL_STATE(6105)] = 175022,
  [SMALL_STATE(6106)] = 175030,
  [SMALL_STATE(6107)] = 175038,
  [SMALL_STATE(6108)] = 175046,
  [SMALL_STATE(6109)] = 175054,
  [SMALL_STATE(6110)] = 175062,
  [SMALL_STATE(6111)] = 175070,
  [SMALL_STATE(6112)] = 175078,
  [SMALL_STATE(6113)] = 175086,
  [SMALL_STATE(6114)] = 175094,
  [SMALL_STATE(6115)] = 175102,
  [SMALL_STATE(6116)] = 175110,
  [SMALL_STATE(6117)] = 175118,
  [SMALL_STATE(6118)] = 175126,
  [SMALL_STATE(6119)] = 175134,
  [SMALL_STATE(6120)] = 175142,
  [SMALL_STATE(6121)] = 175150,
  [SMALL_STATE(6122)] = 175158,
  [SMALL_STATE(6123)] = 175166,
  [SMALL_STATE(6124)] = 175174,
  [SMALL_STATE(6125)] = 175182,
  [SMALL_STATE(6126)] = 175190,
  [SMALL_STATE(6127)] = 175198,
  [SMALL_STATE(6128)] = 175206,
  [SMALL_STATE(6129)] = 175214,
  [SMALL_STATE(6130)] = 175222,
  [SMALL_STATE(6131)] = 175230,
  [SMALL_STATE(6132)] = 175238,
  [SMALL_STATE(6133)] = 175246,
  [SMALL_STATE(6134)] = 175254,
  [SMALL_STATE(6135)] = 175262,
  [SMALL_STATE(6136)] = 175270,
  [SMALL_STATE(6137)] = 175278,
  [SMALL_STATE(6138)] = 175286,
  [SMALL_STATE(6139)] = 175294,
  [SMALL_STATE(6140)] = 175302,
  [SMALL_STATE(6141)] = 175310,
  [SMALL_STATE(6142)] = 175318,
  [SMALL_STATE(6143)] = 175326,
  [SMALL_STATE(6144)] = 175334,
  [SMALL_STATE(6145)] = 175342,
  [SMALL_STATE(6146)] = 175350,
  [SMALL_STATE(6147)] = 175358,
  [SMALL_STATE(6148)] = 175366,
  [SMALL_STATE(6149)] = 175374,
  [SMALL_STATE(6150)] = 175382,
  [SMALL_STATE(6151)] = 175390,
  [SMALL_STATE(6152)] = 175398,
  [SMALL_STATE(6153)] = 175406,
  [SMALL_STATE(6154)] = 175414,
  [SMALL_STATE(6155)] = 175422,
  [SMALL_STATE(6156)] = 175430,
  [SMALL_STATE(6157)] = 175438,
  [SMALL_STATE(6158)] = 175446,
  [SMALL_STATE(6159)] = 175454,
  [SMALL_STATE(6160)] = 175462,
  [SMALL_STATE(6161)] = 175470,
  [SMALL_STATE(6162)] = 175478,
  [SMALL_STATE(6163)] = 175486,
  [SMALL_STATE(6164)] = 175494,
  [SMALL_STATE(6165)] = 175502,
  [SMALL_STATE(6166)] = 175510,
  [SMALL_STATE(6167)] = 175518,
  [SMALL_STATE(6168)] = 175526,
  [SMALL_STATE(6169)] = 175534,
  [SMALL_STATE(6170)] = 175542,
  [SMALL_STATE(6171)] = 175550,
  [SMALL_STATE(6172)] = 175558,
  [SMALL_STATE(6173)] = 175566,
  [SMALL_STATE(6174)] = 175574,
  [SMALL_STATE(6175)] = 175582,
  [SMALL_STATE(6176)] = 175590,
  [SMALL_STATE(6177)] = 175598,
  [SMALL_STATE(6178)] = 175606,
  [SMALL_STATE(6179)] = 175614,
  [SMALL_STATE(6180)] = 175622,
  [SMALL_STATE(6181)] = 175630,
  [SMALL_STATE(6182)] = 175638,
  [SMALL_STATE(6183)] = 175646,
  [SMALL_STATE(6184)] = 175654,
  [SMALL_STATE(6185)] = 175662,
  [SMALL_STATE(6186)] = 175670,
  [SMALL_STATE(6187)] = 175678,
  [SMALL_STATE(6188)] = 175686,
  [SMALL_STATE(6189)] = 175694,
  [SMALL_STATE(6190)] = 175702,
  [SMALL_STATE(6191)] = 175710,
  [SMALL_STATE(6192)] = 175718,
  [SMALL_STATE(6193)] = 175726,
  [SMALL_STATE(6194)] = 175734,
  [SMALL_STATE(6195)] = 175742,
  [SMALL_STATE(6196)] = 175752,
  [SMALL_STATE(6197)] = 175760,
  [SMALL_STATE(6198)] = 175768,
  [SMALL_STATE(6199)] = 175776,
  [SMALL_STATE(6200)] = 175784,
  [SMALL_STATE(6201)] = 175792,
  [SMALL_STATE(6202)] = 175800,
  [SMALL_STATE(6203)] = 175808,
  [SMALL_STATE(6204)] = 175816,
  [SMALL_STATE(6205)] = 175824,
  [SMALL_STATE(6206)] = 175832,
  [SMALL_STATE(6207)] = 175840,
  [SMALL_STATE(6208)] = 175848,
  [SMALL_STATE(6209)] = 175856,
  [SMALL_STATE(6210)] = 175864,
  [SMALL_STATE(6211)] = 175872,
  [SMALL_STATE(6212)] = 175880,
  [SMALL_STATE(6213)] = 175888,
  [SMALL_STATE(6214)] = 175896,
  [SMALL_STATE(6215)] = 175904,
  [SMALL_STATE(6216)] = 175912,
  [SMALL_STATE(6217)] = 175920,
  [SMALL_STATE(6218)] = 175928,
  [SMALL_STATE(6219)] = 175936,
  [SMALL_STATE(6220)] = 175944,
  [SMALL_STATE(6221)] = 175952,
  [SMALL_STATE(6222)] = 175960,
  [SMALL_STATE(6223)] = 175968,
  [SMALL_STATE(6224)] = 175976,
  [SMALL_STATE(6225)] = 175984,
  [SMALL_STATE(6226)] = 175992,
  [SMALL_STATE(6227)] = 176000,
  [SMALL_STATE(6228)] = 176008,
  [SMALL_STATE(6229)] = 176016,
  [SMALL_STATE(6230)] = 176024,
  [SMALL_STATE(6231)] = 176032,
  [SMALL_STATE(6232)] = 176040,
  [SMALL_STATE(6233)] = 176048,
  [SMALL_STATE(6234)] = 176056,
  [SMALL_STATE(6235)] = 176064,
  [SMALL_STATE(6236)] = 176072,
  [SMALL_STATE(6237)] = 176080,
  [SMALL_STATE(6238)] = 176090,
  [SMALL_STATE(6239)] = 176098,
  [SMALL_STATE(6240)] = 176106,
  [SMALL_STATE(6241)] = 176114,
  [SMALL_STATE(6242)] = 176122,
  [SMALL_STATE(6243)] = 176130,
  [SMALL_STATE(6244)] = 176138,
  [SMALL_STATE(6245)] = 176146,
  [SMALL_STATE(6246)] = 176154,
  [SMALL_STATE(6247)] = 176162,
  [SMALL_STATE(6248)] = 176170,
  [SMALL_STATE(6249)] = 176178,
  [SMALL_STATE(6250)] = 176186,
  [SMALL_STATE(6251)] = 176194,
  [SMALL_STATE(6252)] = 176202,
  [SMALL_STATE(6253)] = 176210,
  [SMALL_STATE(6254)] = 176218,
  [SMALL_STATE(6255)] = 176226,
  [SMALL_STATE(6256)] = 176234,
  [SMALL_STATE(6257)] = 176242,
  [SMALL_STATE(6258)] = 176250,
  [SMALL_STATE(6259)] = 176258,
  [SMALL_STATE(6260)] = 176266,
  [SMALL_STATE(6261)] = 176274,
  [SMALL_STATE(6262)] = 176282,
  [SMALL_STATE(6263)] = 176290,
  [SMALL_STATE(6264)] = 176298,
  [SMALL_STATE(6265)] = 176306,
  [SMALL_STATE(6266)] = 176314,
  [SMALL_STATE(6267)] = 176322,
  [SMALL_STATE(6268)] = 176330,
  [SMALL_STATE(6269)] = 176338,
  [SMALL_STATE(6270)] = 176346,
  [SMALL_STATE(6271)] = 176354,
  [SMALL_STATE(6272)] = 176362,
  [SMALL_STATE(6273)] = 176370,
  [SMALL_STATE(6274)] = 176378,
  [SMALL_STATE(6275)] = 176388,
  [SMALL_STATE(6276)] = 176396,
  [SMALL_STATE(6277)] = 176404,
  [SMALL_STATE(6278)] = 176412,
  [SMALL_STATE(6279)] = 176420,
  [SMALL_STATE(6280)] = 176428,
  [SMALL_STATE(6281)] = 176436,
  [SMALL_STATE(6282)] = 176444,
  [SMALL_STATE(6283)] = 176452,
  [SMALL_STATE(6284)] = 176460,
  [SMALL_STATE(6285)] = 176468,
  [SMALL_STATE(6286)] = 176476,
  [SMALL_STATE(6287)] = 176484,
  [SMALL_STATE(6288)] = 176492,
  [SMALL_STATE(6289)] = 176500,
  [SMALL_STATE(6290)] = 176508,
  [SMALL_STATE(6291)] = 176516,
  [SMALL_STATE(6292)] = 176524,
  [SMALL_STATE(6293)] = 176534,
  [SMALL_STATE(6294)] = 176542,
  [SMALL_STATE(6295)] = 176550,
  [SMALL_STATE(6296)] = 176558,
  [SMALL_STATE(6297)] = 176566,
  [SMALL_STATE(6298)] = 176574,
  [SMALL_STATE(6299)] = 176582,
  [SMALL_STATE(6300)] = 176590,
  [SMALL_STATE(6301)] = 176598,
  [SMALL_STATE(6302)] = 176606,
  [SMALL_STATE(6303)] = 176614,
  [SMALL_STATE(6304)] = 176622,
  [SMALL_STATE(6305)] = 176630,
  [SMALL_STATE(6306)] = 176638,
  [SMALL_STATE(6307)] = 176646,
  [SMALL_STATE(6308)] = 176654,
  [SMALL_STATE(6309)] = 176662,
  [SMALL_STATE(6310)] = 176670,
  [SMALL_STATE(6311)] = 176680,
  [SMALL_STATE(6312)] = 176688,
  [SMALL_STATE(6313)] = 176696,
  [SMALL_STATE(6314)] = 176704,
  [SMALL_STATE(6315)] = 176712,
  [SMALL_STATE(6316)] = 176720,
  [SMALL_STATE(6317)] = 176728,
  [SMALL_STATE(6318)] = 176736,
  [SMALL_STATE(6319)] = 176744,
  [SMALL_STATE(6320)] = 176754,
  [SMALL_STATE(6321)] = 176762,
  [SMALL_STATE(6322)] = 176770,
  [SMALL_STATE(6323)] = 176778,
  [SMALL_STATE(6324)] = 176786,
  [SMALL_STATE(6325)] = 176796,
  [SMALL_STATE(6326)] = 176804,
  [SMALL_STATE(6327)] = 176812,
  [SMALL_STATE(6328)] = 176820,
  [SMALL_STATE(6329)] = 176828,
  [SMALL_STATE(6330)] = 176836,
  [SMALL_STATE(6331)] = 176844,
  [SMALL_STATE(6332)] = 176852,
  [SMALL_STATE(6333)] = 176860,
  [SMALL_STATE(6334)] = 176868,
  [SMALL_STATE(6335)] = 176876,
  [SMALL_STATE(6336)] = 176884,
  [SMALL_STATE(6337)] = 176892,
  [SMALL_STATE(6338)] = 176900,
  [SMALL_STATE(6339)] = 176908,
  [SMALL_STATE(6340)] = 176916,
  [SMALL_STATE(6341)] = 176924,
  [SMALL_STATE(6342)] = 176932,
  [SMALL_STATE(6343)] = 176940,
  [SMALL_STATE(6344)] = 176948,
  [SMALL_STATE(6345)] = 176956,
  [SMALL_STATE(6346)] = 176964,
  [SMALL_STATE(6347)] = 176972,
  [SMALL_STATE(6348)] = 176980,
  [SMALL_STATE(6349)] = 176988,
  [SMALL_STATE(6350)] = 176996,
  [SMALL_STATE(6351)] = 177004,
  [SMALL_STATE(6352)] = 177012,
  [SMALL_STATE(6353)] = 177020,
  [SMALL_STATE(6354)] = 177028,
  [SMALL_STATE(6355)] = 177036,
  [SMALL_STATE(6356)] = 177044,
  [SMALL_STATE(6357)] = 177052,
  [SMALL_STATE(6358)] = 177060,
  [SMALL_STATE(6359)] = 177068,
  [SMALL_STATE(6360)] = 177076,
  [SMALL_STATE(6361)] = 177084,
  [SMALL_STATE(6362)] = 177092,
  [SMALL_STATE(6363)] = 177100,
  [SMALL_STATE(6364)] = 177108,
  [SMALL_STATE(6365)] = 177116,
  [SMALL_STATE(6366)] = 177124,
  [SMALL_STATE(6367)] = 177132,
  [SMALL_STATE(6368)] = 177140,
  [SMALL_STATE(6369)] = 177148,
  [SMALL_STATE(6370)] = 177156,
  [SMALL_STATE(6371)] = 177164,
  [SMALL_STATE(6372)] = 177172,
  [SMALL_STATE(6373)] = 177180,
  [SMALL_STATE(6374)] = 177188,
  [SMALL_STATE(6375)] = 177196,
  [SMALL_STATE(6376)] = 177204,
  [SMALL_STATE(6377)] = 177212,
  [SMALL_STATE(6378)] = 177220,
  [SMALL_STATE(6379)] = 177228,
  [SMALL_STATE(6380)] = 177236,
  [SMALL_STATE(6381)] = 177244,
  [SMALL_STATE(6382)] = 177252,
  [SMALL_STATE(6383)] = 177260,
  [SMALL_STATE(6384)] = 177268,
  [SMALL_STATE(6385)] = 177276,
  [SMALL_STATE(6386)] = 177284,
  [SMALL_STATE(6387)] = 177292,
  [SMALL_STATE(6388)] = 177300,
  [SMALL_STATE(6389)] = 177308,
  [SMALL_STATE(6390)] = 177316,
  [SMALL_STATE(6391)] = 177324,
  [SMALL_STATE(6392)] = 177332,
  [SMALL_STATE(6393)] = 177340,
  [SMALL_STATE(6394)] = 177348,
  [SMALL_STATE(6395)] = 177356,
  [SMALL_STATE(6396)] = 177364,
  [SMALL_STATE(6397)] = 177372,
  [SMALL_STATE(6398)] = 177380,
  [SMALL_STATE(6399)] = 177388,
  [SMALL_STATE(6400)] = 177396,
  [SMALL_STATE(6401)] = 177404,
  [SMALL_STATE(6402)] = 177412,
  [SMALL_STATE(6403)] = 177422,
  [SMALL_STATE(6404)] = 177430,
  [SMALL_STATE(6405)] = 177438,
  [SMALL_STATE(6406)] = 177446,
  [SMALL_STATE(6407)] = 177454,
  [SMALL_STATE(6408)] = 177462,
  [SMALL_STATE(6409)] = 177470,
  [SMALL_STATE(6410)] = 177478,
  [SMALL_STATE(6411)] = 177486,
  [SMALL_STATE(6412)] = 177494,
  [SMALL_STATE(6413)] = 177502,
  [SMALL_STATE(6414)] = 177510,
  [SMALL_STATE(6415)] = 177518,
  [SMALL_STATE(6416)] = 177526,
  [SMALL_STATE(6417)] = 177534,
  [SMALL_STATE(6418)] = 177542,
  [SMALL_STATE(6419)] = 177550,
  [SMALL_STATE(6420)] = 177558,
  [SMALL_STATE(6421)] = 177566,
  [SMALL_STATE(6422)] = 177574,
  [SMALL_STATE(6423)] = 177582,
  [SMALL_STATE(6424)] = 177590,
  [SMALL_STATE(6425)] = 177598,
  [SMALL_STATE(6426)] = 177606,
  [SMALL_STATE(6427)] = 177614,
  [SMALL_STATE(6428)] = 177622,
  [SMALL_STATE(6429)] = 177630,
  [SMALL_STATE(6430)] = 177638,
  [SMALL_STATE(6431)] = 177648,
  [SMALL_STATE(6432)] = 177656,
  [SMALL_STATE(6433)] = 177664,
  [SMALL_STATE(6434)] = 177672,
  [SMALL_STATE(6435)] = 177680,
  [SMALL_STATE(6436)] = 177688,
  [SMALL_STATE(6437)] = 177696,
  [SMALL_STATE(6438)] = 177704,
  [SMALL_STATE(6439)] = 177712,
  [SMALL_STATE(6440)] = 177720,
  [SMALL_STATE(6441)] = 177728,
  [SMALL_STATE(6442)] = 177736,
  [SMALL_STATE(6443)] = 177744,
  [SMALL_STATE(6444)] = 177752,
  [SMALL_STATE(6445)] = 177760,
  [SMALL_STATE(6446)] = 177768,
  [SMALL_STATE(6447)] = 177776,
  [SMALL_STATE(6448)] = 177784,
  [SMALL_STATE(6449)] = 177792,
  [SMALL_STATE(6450)] = 177800,
  [SMALL_STATE(6451)] = 177808,
  [SMALL_STATE(6452)] = 177816,
  [SMALL_STATE(6453)] = 177824,
  [SMALL_STATE(6454)] = 177832,
  [SMALL_STATE(6455)] = 177840,
  [SMALL_STATE(6456)] = 177848,
  [SMALL_STATE(6457)] = 177856,
  [SMALL_STATE(6458)] = 177864,
  [SMALL_STATE(6459)] = 177872,
  [SMALL_STATE(6460)] = 177880,
  [SMALL_STATE(6461)] = 177888,
  [SMALL_STATE(6462)] = 177896,
  [SMALL_STATE(6463)] = 177904,
  [SMALL_STATE(6464)] = 177912,
  [SMALL_STATE(6465)] = 177920,
  [SMALL_STATE(6466)] = 177928,
  [SMALL_STATE(6467)] = 177936,
  [SMALL_STATE(6468)] = 177944,
  [SMALL_STATE(6469)] = 177952,
  [SMALL_STATE(6470)] = 177960,
  [SMALL_STATE(6471)] = 177968,
  [SMALL_STATE(6472)] = 177978,
  [SMALL_STATE(6473)] = 177986,
  [SMALL_STATE(6474)] = 177994,
  [SMALL_STATE(6475)] = 178002,
  [SMALL_STATE(6476)] = 178010,
  [SMALL_STATE(6477)] = 178018,
  [SMALL_STATE(6478)] = 178026,
  [SMALL_STATE(6479)] = 178034,
  [SMALL_STATE(6480)] = 178042,
  [SMALL_STATE(6481)] = 178050,
  [SMALL_STATE(6482)] = 178058,
  [SMALL_STATE(6483)] = 178066,
  [SMALL_STATE(6484)] = 178074,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5869),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3864),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5840),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6016),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5397),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5935),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6036),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5128),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5625),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6077),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3326),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3866),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6324),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6102),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6201),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6226),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(498),
  [122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 1),
  [130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4513),
  [134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3011),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(519),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3328),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3841),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 1),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(6471),
  [180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(441),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6119),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6180),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6238),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(491),
  [224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_pattern, 1, -1, 1),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1309),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(677),
  [347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1261),
  [352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1157),
  [355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6),
  [358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(653),
  [361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2935),
  [364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5869),
  [367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3864),
  [370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1166),
  [373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3572),
  [376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(653),
  [379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5840),
  [382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6016),
  [385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5397),
  [388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(182),
  [391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(615),
  [394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5935),
  [397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(32),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6036),
  [403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5128),
  [406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5625),
  [409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6077),
  [412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(289),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(372),
  [418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(777),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(151),
  [424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5559),
  [430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4790),
  [433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4822),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3326),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(713),
  [442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3866),
  [445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(92),
  [448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(393),
  [451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6324),
  [454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(970),
  [457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(398),
  [460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4019),
  [463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2433),
  [466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6411),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2433),
  [472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2225),
  [475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4983),
  [478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1320),
  [481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(695),
  [484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1165),
  [487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6102),
  [490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6201),
  [493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6226),
  [496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, 0, 95),
  [498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, 0, 95),
  [500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, 0, 54),
  [502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, 0, 54),
  [504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2, 0, 0),
  [506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2, 0, 0),
  [508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, 0, 238),
  [510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, 0, 238),
  [512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6471),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6480),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6460),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5833),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5202),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5838),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3342),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3886),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(44),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6415),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3319),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 7),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(183),
  [706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(203),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(970),
  [714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(3997),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 33),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6288),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, 0, 33),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(370),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6430),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_rest_pattern, 2, 0, 33),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(589),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(443),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6402),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6237),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6406),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6391),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6426),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3226),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [1465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [1467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2941),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4729),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6140),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5043),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4011),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4074),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3336),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3916),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6205),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6123),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6125),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3245),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3582),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4721),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4770),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6309),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3301),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4833),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [1703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 1, 0, 5),
  [1705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 1, 0, 5),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6120),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6233),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [1721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [1723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [1725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [1727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [1751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [1753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 1, 0, 0),
  [1757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 1, 0, 0),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4, 0, 0),
  [1761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4, 0, 0),
  [1763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 112),
  [1765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 112),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 191),
  [1769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 191),
  [1771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 191),
  [1773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 191),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [1777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 192),
  [1779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 192),
  [1781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 192),
  [1783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 192),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [1787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 113),
  [1789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 113),
  [1791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 113),
  [1793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 113),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3878),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [1819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 219),
  [1821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 219),
  [1823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, 0, 219),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, 0, 219),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [1829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 0),
  [1831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 0),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 233),
  [1837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 233),
  [1839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, 0, 233),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, 0, 233),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 169),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 169),
  [1849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 169),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 169),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [1855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 77),
  [1857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 77),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 90),
  [1865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 90),
  [1867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 173),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 173),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, 0, 173),
  [1873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, 0, 173),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [1877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, 0, 173),
  [1879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, 0, 173),
  [1881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 173),
  [1883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 173),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 2, 0, 30),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 2, 0, 30),
  [1891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 150),
  [1893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 150),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 150),
  [1897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 150),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_module, 2, 0, 6),
  [1909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_module, 2, 0, 6),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 114),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 114),
  [1915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 114),
  [1917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 114),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [1921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 123),
  [1923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 123),
  [1925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 123),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 123),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [1935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 51),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 51),
  [1943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 51),
  [1945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 51),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [1949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [1952] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0), SHIFT(2980),
  [1956] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0), SHIFT(3302),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [1972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [1990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessibility_modifier, 1, 0, 0),
  [1992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accessibility_modifier, 1, 0, 0),
  [1994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_modifier, 1, 0, 0),
  [1996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_override_modifier, 1, 0, 0),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [2024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [2028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [2046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [2058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [2066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [2068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [2076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [2078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3938),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [2138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [2216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4896),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6312),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6399),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [2292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 7),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6174),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [2301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 7),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4717),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4712),
  [2318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(2873),
  [2321] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 7), SHIFT(192),
  [2325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(391),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [2334] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 7), SHIFT(5043),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [2352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4004),
  [2354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [2356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [2358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [2362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4, 0, 0),
  [2364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4, 0, 0),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5, 0, 0),
  [2368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5, 0, 0),
  [2370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 0),
  [2372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 0),
  [2374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6, 0, 0),
  [2376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6, 0, 0),
  [2378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3, 0, 0),
  [2380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3, 0, 0),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5978),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6367),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6354),
  [2416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(192),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3844),
  [2421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(5043),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6327),
  [2426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6193),
  [2428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3803),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6191),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6186),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6395),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6393),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6285),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6284),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3889),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6109),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6108),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6214),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6213),
  [2452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 11),
  [2454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 11),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5671),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6029),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6229),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6227),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3918),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6437),
  [2476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6365),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6363),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6439),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6161),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6160),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 47),
  [2488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 47),
  [2490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 241),
  [2496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 241),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 39),
  [2500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 39),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [2504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, 0, 107),
  [2506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, 0, 107),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 11),
  [2512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 11),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 101),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 101),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 270),
  [2528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 270),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, 0, 122),
  [2532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, 0, 122),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, 0, 230),
  [2536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, 0, 230),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, 0, 232),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, 0, 232),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 233),
  [2544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 233),
  [2546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3192),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 46),
  [2560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 46),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 7, 0, 266),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 7, 0, 266),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 48),
  [2568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 48),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 49),
  [2572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 49),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 49),
  [2576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 49),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, 0, 6),
  [2596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, 0, 6),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 5, 0, 155),
  [2604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 5, 0, 155),
  [2606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [2608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [2610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 153),
  [2612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 153),
  [2614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 94),
  [2616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 94),
  [2618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 0),
  [2620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 0),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 5, 0, 0),
  [2624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 5, 0, 0),
  [2626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 87),
  [2628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 87),
  [2630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [2636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [2638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 4),
  [2644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 4),
  [2646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 107),
  [2648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 107),
  [2650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [2652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [2654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 114),
  [2656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 114),
  [2658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, 0, 172),
  [2660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, 0, 172),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [2666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 123),
  [2668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 123),
  [2670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 3, 0, 0),
  [2672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 3, 0, 0),
  [2674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 75),
  [2676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 75),
  [2678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 76),
  [2680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 76),
  [2682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 182),
  [2684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 182),
  [2686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [2688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [2690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 183),
  [2692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 183),
  [2694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 186),
  [2696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 186),
  [2698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 89),
  [2700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, 0, 89),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 0),
  [2704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, 0, 0),
  [2706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 190),
  [2708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 190),
  [2710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 85),
  [2712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 85),
  [2714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 150),
  [2716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 150),
  [2718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 87),
  [2720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 87),
  [2722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 194),
  [2724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 194),
  [2726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 26),
  [2728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 26),
  [2730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 88),
  [2732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 88),
  [2734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 0),
  [2736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 0),
  [2738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 4, 0, 142),
  [2740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 4, 0, 142),
  [2742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 6, 0, 196),
  [2744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 6, 0, 196),
  [2746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 6, 0, 153),
  [2748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 6, 0, 153),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 94),
  [2752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 94),
  [2754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 145),
  [2756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 145),
  [2758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 146),
  [2760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 146),
  [2762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, -1, 28),
  [2764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, -1, 28),
  [2766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2, 0, 0),
  [2768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2, 0, 0),
  [2770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 0),
  [2772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 0),
  [2774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 0),
  [2776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 0),
  [2778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 87),
  [2780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 87),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 34),
  [2784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 34),
  [2786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 201),
  [2788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 201),
  [2790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 169),
  [2792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 169),
  [2794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 149),
  [2796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 149),
  [2798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 173),
  [2800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 173),
  [2802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 173),
  [2804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 173),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [2810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [2812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [2814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, 0, 38),
  [2816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, 0, 38),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 98),
  [2820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 98),
  [2822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 228),
  [2824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 228),
  [2826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 89),
  [2828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 89),
  [2830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 230),
  [2832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 230),
  [2834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 0),
  [2836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 0),
  [2838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 34),
  [2840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 34),
  [2842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 0),
  [2844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 0),
  [2846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 232),
  [2848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 232),
  [2850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, 0, 35),
  [2852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, 0, 35),
  [2854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 191),
  [2856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 191),
  [2858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 99),
  [2860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 99),
  [2862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [2864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [2866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [2868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [2870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, 0, 38),
  [2872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, 0, 38),
  [2874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 192),
  [2876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 192),
  [2878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 234),
  [2880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 234),
  [2882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 40),
  [2884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 40),
  [2886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, 0, 100),
  [2888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, 0, 100),
  [2890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 235),
  [2892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 235),
  [2894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 153),
  [2896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 153),
  [2898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 2, 0, 0),
  [2900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 2, 0, 0),
  [2902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 240),
  [2904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 240),
  [2906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 0),
  [2908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 0),
  [2910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 11),
  [2912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 11),
  [2914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 108),
  [2916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 108),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, 0, 219),
  [2924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, 0, 219),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 51),
  [2928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 51),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, 0, 41),
  [2932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, 0, 41),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 7, 0, 265),
  [2936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 7, 0, 265),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [2958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 269),
  [2960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 269),
  [2962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 199),
  [2964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 199),
  [2966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 200),
  [2968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 200),
  [2970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, 0, 239),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, 0, 239),
  [2974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [2976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [2978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3337),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [2992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3846),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [2998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6459),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6246),
  [3004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [3008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3113),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [3012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [3014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3573),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3471),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4753),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4785),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [3042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6433),
  [3050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6316),
  [3054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [3056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6320),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [3060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [3064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3239),
  [3066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [3068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [3072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [3074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [3076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [3082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4761),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [3096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [3098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [3100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [3104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6245),
  [3106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3096),
  [3108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6341),
  [3110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [3112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6349),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3575),
  [3124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [3130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4777),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [3138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [3144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [3148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [3152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6422),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6254),
  [3158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [3160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6258),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3307),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [3170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [3174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [3176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [3178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [3180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [3216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3151),
  [3218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [3220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3212),
  [3222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [3224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [3226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [3228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [3230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [3232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [3234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [3236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [3238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [3240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [3242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3236),
  [3244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [3260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [3262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [3268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [3270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [3272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [3274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [3276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [3278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6351),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [3282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [3284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [3286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [3288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [3292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [3296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2444),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3230),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [3316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [3318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [3324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [3330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3211),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [3342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [3344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [3346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [3348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [3352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3235),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [3364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [3378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [3380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [3398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [3400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [3402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3334),
  [3404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [3406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0), REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [3411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3221),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [3415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [3417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [3423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4855),
  [3429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 80),
  [3431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 80),
  [3433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, 0, 188),
  [3435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, 0, 188),
  [3437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 147),
  [3439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 147),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [3443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 77),
  [3445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 77),
  [3447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_null_expression, 2, 0, 0),
  [3449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_null_expression, 2, 0, 0),
  [3451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [3455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [3457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 0),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [3467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 0),
  [3469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 0),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [3473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 77),
  [3475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 78),
  [3477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 78),
  [3479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 78),
  [3481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [3483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 7),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 7),
  [3491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 79),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 79),
  [3495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2, 0, 0),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, 0, 0),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6224),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [3513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [3515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(445),
  [3518] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0), REDUCE(sym_primary_type, 1, 0, 14),
  [3522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 14),
  [3524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 14),
  [3527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(6178),
  [3530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 14),
  [3533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(1080),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [3538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(6265),
  [3541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(975),
  [3544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 14), SHIFT(5847),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [3549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(500),
  [3552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0),
  [3558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 25),
  [3560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 25),
  [3562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 25), SHIFT_REPEAT(5594),
  [3565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 25), SHIFT(3333),
  [3568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5959),
  [3570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(239),
  [3573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [3581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(544),
  [3584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0),
  [3587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [3589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [3591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [3595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), REDUCE(sym_primary_type, 1, 0, 14),
  [3598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_predefined_type, 1, 0, 0),
  [3601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_predefined_type, 1, 0, 0),
  [3604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [3606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [3608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, 0, 77),
  [3610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, 0, 77),
  [3612] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 14), REDUCE(sym_rest_pattern, 2, 0, 0),
  [3616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 3, 0, 81),
  [3622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 3, 0, 81),
  [3624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, 0, 20),
  [3626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, 0, 20),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(371),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3643] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_predefined_type, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 33),
  [3647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [3650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(591),
  [3653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [3657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 77),
  [3659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 78),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5630),
  [3663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3247),
  [3665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [3675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [3677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3246),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [3683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [3685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [3723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [3733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6210),
  [3771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1482),
  [3774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1822),
  [3777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [3781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(2532),
  [3784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1772),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [3801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [3815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1837),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [3822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1975),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [3837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(3247),
  [3840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(2858),
  [3843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25),
  [3845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(1465),
  [3848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(312),
  [3851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(4721),
  [3854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(4722),
  [3857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(2313),
  [3860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(6244),
  [3863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(3075),
  [3866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(4923),
  [3869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(1595),
  [3872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(1914),
  [3875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(2473),
  [3878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(1697),
  [3881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(2085),
  [3884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(2224),
  [3887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(2724),
  [3890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(2886),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [3901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3383),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [3917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [3919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3522),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [3941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3542),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [3963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [3975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3519),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [4011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [4019] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), REDUCE(aux_sym_object_repeat1, 2, 0, 31), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 32),
  [4023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 61),
  [4025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 61),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [4033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 60),
  [4035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 60),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3902),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2457),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [4053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 14),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [4061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 13),
  [4063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 13),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [4071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiation_expression, 2, 0, 22),
  [4073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiation_expression, 2, 0, 22),
  [4075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 2, 0, 69),
  [4077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 2, 0, 69),
  [4079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 16),
  [4081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 16),
  [4083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 0),
  [4085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 0),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [4089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asserts, 2, 0, 0),
  [4091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts, 2, 0, 0),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [4101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 17),
  [4103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 17),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [4107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 63),
  [4109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 63),
  [4111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 20),
  [4113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 20),
  [4115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 129),
  [4117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 129),
  [4119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 71),
  [4121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 71),
  [4123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 130),
  [4125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 130),
  [4127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 131),
  [4129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 131),
  [4131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 132),
  [4133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 132),
  [4135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [4137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [4139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [4141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [4143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 3, 0, 0),
  [4145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 3, 0, 0),
  [4147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_type_identifier, 3, 0, 135),
  [4149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_type_identifier, 3, 0, 135),
  [4151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 77), REDUCE(sym_nested_type_identifier, 3, 0, 135),
  [4154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 90), REDUCE(sym_nested_type_identifier, 3, 0, 135),
  [4157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 137),
  [4159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 137),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [4167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 138),
  [4169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 138),
  [4171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 139),
  [4173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 139),
  [4175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [4177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [4179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 141),
  [4181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 141),
  [4183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 3, 0, 0),
  [4185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 3, 0, 0),
  [4187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3, 0, 0),
  [4189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3, 0, 0),
  [4191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0),
  [4193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0),
  [4195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 77),
  [4197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 77),
  [4199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 78),
  [4201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 78),
  [4203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 138),
  [4205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 138),
  [4207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 139),
  [4209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 139),
  [4211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 177),
  [4213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 177),
  [4215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 178),
  [4217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 178),
  [4219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 140),
  [4221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 140),
  [4223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 141),
  [4225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 141),
  [4227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [4229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [4231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 4, 0, 180),
  [4233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 4, 0, 180),
  [4235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 4, 0, 68),
  [4237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 4, 0, 68),
  [4239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lookup_type, 4, 0, 0),
  [4241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookup_type, 4, 0, 0),
  [4243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, 0, 181),
  [4245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, 0, 181),
  [4247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 147),
  [4249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 147),
  [4251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 223),
  [4253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 223),
  [4255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 224),
  [4257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 224),
  [4259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 225),
  [4261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 225),
  [4263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [4265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [4267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, 0, 226),
  [4269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, 0, 226),
  [4271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, 0, 227),
  [4273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, 0, 227),
  [4275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 260),
  [4277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 260),
  [4279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 261),
  [4281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 261),
  [4283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 262),
  [4285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 262),
  [4287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 263),
  [4289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 263),
  [4291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 6, 0, 264),
  [4293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 6, 0, 264),
  [4295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, 0, 291),
  [4297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, 0, 291),
  [4299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [4301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [4303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 2, 0, 8),
  [4305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 2, 0, 8),
  [4307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 2, 0, 0),
  [4309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 2, 0, 0),
  [4311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 20),
  [4313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 20),
  [4315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, 0, 96),
  [4317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, 0, 96),
  [4319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, 0, 189),
  [4321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, 0, 189),
  [4323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [4329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [4341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [4345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [4349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [4351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [4357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [4361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [4373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 58),
  [4375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 58),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [4383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [4393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 65),
  [4395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 65),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [4399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3, 0, 0),
  [4401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3, 0, 0),
  [4403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_satisfies_expression, 3, 0, 0),
  [4405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_satisfies_expression, 3, 0, 0),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [4413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [4417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [4419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [4423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(6067),
  [4426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_type, 2, 0, 0),
  [4428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_type, 2, 0, 0),
  [4430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow_maybe_type, 2, 0, 0),
  [4432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_maybe_type, 2, 0, 0),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [4436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [4438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [4440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 20),
  [4442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 20),
  [4444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 2, 0, 68),
  [4446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 2, 0, 68),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [4450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_type_query, 2, 0, 0),
  [4452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_type_query, 2, 0, 0),
  [4454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [4456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [4460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [4463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [4466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [4468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [4470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [4472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [4475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [4484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 70),
  [4486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 70),
  [4488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 1, 0, 0),
  [4490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 1, 0, 0),
  [4492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 71),
  [4494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 71),
  [4496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, 0, 0),
  [4498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, 0, 0),
  [4500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 18),
  [4502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 18),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [4506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, 0, 19),
  [4508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, 0, 19),
  [4510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 62),
  [4512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 62),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [4516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 140),
  [4518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 140),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 118),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [4574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 74),
  [4576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74),
  [4578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [4606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(146),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [4611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 83),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [4617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 74),
  [4619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 120),
  [4621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 121),
  [4623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, 0, 125),
  [4625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, 0, 126),
  [4627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 187),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [4631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [4634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 81),
  [4636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 81),
  [4638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 29),
  [4640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, 0, 50),
  [4642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, 0, 50),
  [4644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 16),
  [4647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 16),
  [4650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 54),
  [4652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 54),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [4660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 72),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 82),
  [4666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 82),
  [4668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 83),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [4674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 86),
  [4676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 86),
  [4678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 73),
  [4680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 91), REDUCE(sym_assignment_expression, 3, 0, 27),
  [4683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 91),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [4687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 31),
  [4689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 31),
  [4691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [4693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [4695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 27),
  [4697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [4699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [4701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 91), REDUCE(sym_assignment_expression, 3, 0, 72),
  [4704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [4706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [4708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 117),
  [4710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 117),
  [4712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 118),
  [4714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 119),
  [4716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 119),
  [4718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 72), REDUCE(sym_assignment_expression, 3, 0, 72),
  [4721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 72),
  [4723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 120),
  [4725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 121),
  [4727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, 0, 119),
  [4729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, 0, 119),
  [4731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 124),
  [4733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 124),
  [4735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, 0, 127),
  [4737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, 0, 127),
  [4739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, 0, 12),
  [4741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, 0, 12),
  [4743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 55),
  [4745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 55),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [4749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [4751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [4753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [4755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 56),
  [4757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 56),
  [4759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion, 2, 0, 0),
  [4761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion, 2, 0, 0),
  [4763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [4767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [4801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 148),
  [4803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 148),
  [4805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(144),
  [4808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8),
  [4810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 8),
  [4812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(140),
  [4815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 151),
  [4817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 151),
  [4819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 152),
  [4821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 152),
  [4823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [4825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [4827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(146),
  [4830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [4832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [4834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(146),
  [4837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [4839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(146),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [4844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [4846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [4848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [4850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2895),
  [4852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0),
  [4854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 171),
  [4856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 171),
  [4858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, 0, 11),
  [4860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, 0, 11),
  [4862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3, 0, 0),
  [4864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3, 0, 0),
  [4866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 193),
  [4868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 193),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [4872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 57),
  [4874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 57),
  [4876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [4881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [4883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(140),
  [4886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0),
  [4888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0),
  [4890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(140),
  [4893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 31),
  [4895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, 0, 32),
  [4897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 31),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [4901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0),
  [4904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [4909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, 0, 95),
  [4911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 95), SHIFT(475),
  [4914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 21),
  [4916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 21),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6005),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [4922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(144),
  [4925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0), REDUCE(sym_template_literal_type, 2, 0, 0),
  [4928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0), REDUCE(sym_template_literal_type, 2, 0, 0),
  [4931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(144),
  [4934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(144),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3, 0, 0),
  [4943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3, 0, 0),
  [4945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 73),
  [4947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(140),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [4954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [4956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [4958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 29),
  [4960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, 0, 31), REDUCE(sym_object_pattern, 3, 0, 32),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4786),
  [4967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(148),
  [4970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [4972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 1, 0, 52),
  [4974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [4980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [4984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [4988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [4990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [4996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [5000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [5012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [5022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 32),
  [5024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [5028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(139),
  [5031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(139),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5809),
  [5036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(139),
  [5039] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [5043] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [5049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [5053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [5055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [5057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [5063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [5065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [5071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [5073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [5075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [5077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2896),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [5093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(139),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [5104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2, 0, 0),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [5108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, 0, 72),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [5112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [5116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [5118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [5120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2820),
  [5122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [5126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [5128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [5130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [5134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [5138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [5140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [5142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [5146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [5148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2891),
  [5150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [5162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(148),
  [5165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(148),
  [5168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(148),
  [5171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [5173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [5175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [5179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [5181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [5187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [5191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [5197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(143),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [5204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [5212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [5216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [5218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2466),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [5224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [5228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [5230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [5242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4514),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [5248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [5250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, 0, 42),
  [5252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, 0, 42),
  [5254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [5258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [5260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 1, 0, 9),
  [5262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__parameter_name, 1, 0, 9),
  [5265] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__parameter_name, 1, 0, 9), REDUCE(sym_primary_type, 1, 0, 16),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [5277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [5281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [5283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2854),
  [5285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, 0, 9),
  [5287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__parameter_name, 1, 0, 9), REDUCE(sym_primary_type, 1, 0, 16),
  [5290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 92),
  [5292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(143),
  [5295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(143),
  [5298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(143),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [5305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [5309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [5311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [5319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [5323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [5325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2875),
  [5327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [5332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [5335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, 0, 42),
  [5337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, 0, 42),
  [5339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 16), REDUCE(sym__parameter_name, 2, 0, 42),
  [5342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [5344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [5346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [5348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [5352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [5354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [5356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [5358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [5360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [5362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [5366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [5370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [5374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [5376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [5378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [5386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [5388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [5392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(147),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [5399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [5401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [5403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [5405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [5407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [5411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [5415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [5419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [5421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [5429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [5433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [5437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [5439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [5443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [5447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [5457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [5461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [5463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [5467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [5469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [5475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [5477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [5479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [5481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [5485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [5487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [5491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [5493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [5495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [5497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [5499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [5501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [5505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, 0, 45),
  [5507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, 0, 45),
  [5509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [5511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [5517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [5523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [5525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [5527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [5530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [5532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [5535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [5537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(150),
  [5540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [5542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 95), SHIFT(624),
  [5545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [5549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [5551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [5555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [5559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [5561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [5567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [5569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [5571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [5573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [5575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [5577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [5579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [5583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5952),
  [5585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [5587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [5589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [5591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [5593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [5595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [5597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [5601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [5603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [5605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, 0, 102),
  [5607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, 0, 102),
  [5609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, 0, 106),
  [5611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, 0, 106),
  [5613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [5615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [5617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [5619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [5623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [5625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 5, 0, 202),
  [5627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 5, 0, 202),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [5631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [5635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [5639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [5643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [5645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4741),
  [5647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [5651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [5653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [5655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [5657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [5661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [5663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [5665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [5667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 2, 0, 115),
  [5669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [5671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [5673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [5675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [5677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(147),
  [5680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(147),
  [5683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(147),
  [5686] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [5692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(150),
  [5695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(150),
  [5698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(150),
  [5701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [5703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [5705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [5707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [5709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [5711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [5713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [5715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [5717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [5719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, 0, 158),
  [5721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, 0, 158),
  [5723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, 0, 160),
  [5725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, 0, 160),
  [5727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [5729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [5731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [5733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [5735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [5737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [5740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, 0, 31), REDUCE(sym_object_pattern, 3, 0, 32),
  [5743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [5746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(149),
  [5749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(149),
  [5752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(149),
  [5755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(149),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [5762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [5765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 0),
  [5767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [5770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 0),
  [5772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [5774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [5780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [5784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [5788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [5790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [5796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [5800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [5808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 31), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 32),
  [5811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [5813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [5815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(142),
  [5818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(142),
  [5821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(142),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [5826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [5828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [5832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [5834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [5836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(142),
  [5839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [5841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [5843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [5845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [5847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [5849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [5851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [5853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [5855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [5857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [5859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2885),
  [5861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4047),
  [5863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0),
  [5865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [5867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [5869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [5871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [5873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [5875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [5877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [5879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [5881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [5883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [5887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [5889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [5891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [5893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [5895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [5897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [5899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [5901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [5903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [5907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [5909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [5911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2839),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [5915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2804),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [5919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [5921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 5, 0, 169), REDUCE(sym_class, 6, 0, 233),
  [5924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 5, 0, 169), REDUCE(sym_class, 6, 0, 233),
  [5927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [5929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [5931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [5933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [5935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [5937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [5939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [5941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [5943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [5945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [5947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [5949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [5951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 51), REDUCE(sym_class, 4, 0, 150),
  [5954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 51), REDUCE(sym_class, 4, 0, 150),
  [5957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 54), REDUCE(sym_class, 4, 0, 151),
  [5960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 54), REDUCE(sym_class, 4, 0, 151),
  [5963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 55), REDUCE(sym_class, 4, 0, 152),
  [5966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 55), REDUCE(sym_class, 4, 0, 152),
  [5969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [5971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [5973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [5975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 2, 0, 11), REDUCE(sym_class, 3, 0, 86),
  [5978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 2, 0, 11), REDUCE(sym_class, 3, 0, 86),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [5983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [5985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 114), REDUCE(sym_class, 5, 0, 192),
  [5988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 114), REDUCE(sym_class, 5, 0, 192),
  [5991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 117), REDUCE(sym_class, 5, 0, 193),
  [5994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 117), REDUCE(sym_class, 5, 0, 193),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [5999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2876),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [6007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [6009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 31),
  [6011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 113), REDUCE(sym_class, 5, 0, 191),
  [6014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 113), REDUCE(sym_class, 5, 0, 191),
  [6017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 123),
  [6019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 123),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [6023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 173),
  [6025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 173),
  [6027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 197),
  [6029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 197),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [6033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 267),
  [6035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 267),
  [6037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 268),
  [6039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 268),
  [6041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 236),
  [6043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 236),
  [6045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 219),
  [6047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 219),
  [6049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, 0, 292),
  [6051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 292),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [6055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0),
  [6057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0),
  [6059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0), SHIFT_REPEAT(2688),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [6064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, 0, 312),
  [6066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 312),
  [6068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 156),
  [6070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 156),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [6074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6262),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [6080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 93),
  [6082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 93),
  [6084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 110),
  [6086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 110),
  [6088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 110), SHIFT_REPEAT(2693),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [6093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, 0, 313),
  [6095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 313),
  [6097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, 0, 331),
  [6099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, 0, 331),
  [6101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, 0, 293),
  [6103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 293),
  [6105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, 0, 11),
  [6107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 2, 0, 11),
  [6109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 3, 0, 110),
  [6111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 3, 0, 110),
  [6113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 3, 0, 54),
  [6115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 3, 0, 54),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [6119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [6123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [6125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [6127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0),
  [6129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [6133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [6135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [6139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [6141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [6143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [6145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [6147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [6149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [6151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [6155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [6157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [6159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [6161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [6163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [6165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [6167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [6169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [6171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [6173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [6177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [6179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [6181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [6183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [6197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [6199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [6207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [6209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 25), SHIFT_REPEAT(4923),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [6216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [6218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4699),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [6228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [6246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [6248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [6254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [6258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [6260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [6262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [6268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [6274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [6276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2843),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [6280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [6282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2882),
  [6284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [6288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2818),
  [6290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [6292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [6294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [6296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [6300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [6304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [6306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [6310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2547),
  [6312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2893),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [6316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [6318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [6322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2835),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [6326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2808),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [6330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [6336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [6338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [6342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [6344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [6348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [6350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [6352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [6356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [6358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [6362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [6364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [6366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [6368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [6372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [6374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [6376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [6386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [6398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [6412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [6460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [6462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [6466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [6490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5863),
  [6492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6475),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [6496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [6502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5689),
  [6504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [6506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [6510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [6512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1, 0, 0),
  [6514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5997),
  [6518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [6520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [6524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [6526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [6528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5815),
  [6530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [6534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [6536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [6538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [6540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [6542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [6546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [6548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6453),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [6558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [6560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [6570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [6574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [6576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [6578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [6582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [6588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6178),
  [6592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [6594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [6602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [6606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [6622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [6626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 111),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [6630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [6632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [6636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 213),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [6646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 206),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [6654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 250),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [6664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, 0, 5),
  [6666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [6674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 252),
  [6676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [6680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [6682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [6684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [6686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [6690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 161),
  [6692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [6694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [6696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [6698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [6700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [6702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 290),
  [6704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [6706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [6708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [6710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 89),
  [6712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [6714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [6716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [6718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [6720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [6722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 166),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [6726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [6728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [6730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3340),
  [6732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3087),
  [6734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [6736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [6738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [6740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [6742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [6752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5715),
  [6754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5704),
  [6756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, 0, 1),
  [6758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_identifier, 1, 0, 1),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [6770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [6772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [6774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 89),
  [6776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [6778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 250),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [6782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 206),
  [6784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [6786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 1, 0, 5),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [6790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [6792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 161),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [6796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [6798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 14), REDUCE(sym_type_parameter, 1, 0, 15),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [6803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 14), SHIFT(1037),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [6822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 250),
  [6824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 166),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [6830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 213),
  [6832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 161),
  [6834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 5),
  [6836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 290),
  [6838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 14), SHIFT(5847),
  [6841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 89),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [6845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 89),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [6851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 206),
  [6853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 250),
  [6855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 252),
  [6857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 5),
  [6859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 161),
  [6861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 111),
  [6863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 206),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [6871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [6879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5609),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3318),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [6887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3629),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [6891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 24),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [6897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [6903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [6907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [6909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [6911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3536),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [6915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5196),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5197),
  [6919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [6921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5688),
  [6923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4591),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [6929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3470),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [6933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [6935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3),
  [6937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3448),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [6941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, 0, 0),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [6945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [6947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [6949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3389),
  [6951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [6953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3510),
  [6955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [6957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [6961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [6963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [6971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [6973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 311),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [6983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 0),
  [6985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [6987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [6989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 283),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [6999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [7003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [7023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [7025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [7031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [7041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, 0, 0),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6038),
  [7045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6262),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [7103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [7185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 0),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [7209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [7239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [7259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 330),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [7285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 304),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [7357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 32),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5823),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [7409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [7427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6206),
  [7429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [7431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3248),
  [7433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omitting_type_annotation, 2, 0, 0),
  [7435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [7437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [7441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [7443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [7447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6211),
  [7449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [7451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3161),
  [7453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opting_type_annotation, 2, 0, 0),
  [7455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2899),
  [7457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [7461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_adding_type_annotation, 2, 0, 0),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [7467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3196),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [7471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2, 0, 109),
  [7473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 176),
  [7475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, 0, 122),
  [7477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, 0, 165),
  [7479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, 0, 15),
  [7481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, 0, 203),
  [7483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, 0, 172),
  [7485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, 0, 242),
  [7487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, 0, 243),
  [7489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, 0, 275),
  [7491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, 0, 276),
  [7493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, 0, 294),
  [7495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, 0, 296),
  [7497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, 0, 316),
  [7499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, 0, 323),
  [7501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 9, 0, 336),
  [7503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [7505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [7507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [7509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 222),
  [7511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [7513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 64),
  [7515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 283),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [7529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_chain, 1, 0, 0),
  [7531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 304),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [7537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 311),
  [7539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [7563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 330),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [7569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 2, 0, 128),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [7577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, 0, 143),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [7583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, 0, 143),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [7595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 1, 0, 10),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [7611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 175),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [7617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(500),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [7634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts_annotation, 2, 0, 0),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [7684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate_annotation, 2, 0, 0),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [7690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 3, 0, 84),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [7700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1446),
  [7703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [7713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 143),
  [7715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 143),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [7721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 2, 0, 0),
  [7723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2, 0, 0),
  [7725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [7731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, 0, 144),
  [7733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, 0, 144),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [7755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 25), SHIFT_REPEAT(4983),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [7770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6302),
  [7773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [7775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(369),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [7784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 2, 0, 10),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [7788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(4022),
  [7791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0),
  [7793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(298),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [7812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 2, 0, 0),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [7816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [7828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [7834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [7838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [7854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [7856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 23),
  [7858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_member, 1, 0, 0),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [7890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 310),
  [7892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 306),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [7900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 285),
  [7902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 96),
  [7904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 254),
  [7906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 287),
  [7908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 215),
  [7910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [7912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 208),
  [7914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 163),
  [7916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 208),
  [7918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [7924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 210),
  [7926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 221),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [7932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(936),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [7939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 271),
  [7941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 273),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [7959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 7, 0, 298),
  [7961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(1003),
  [7964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 24), SHIFT(946),
  [7967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, 0, 314),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [7975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, 0, 315),
  [7977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 274),
  [7979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 256),
  [7981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 319),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [7991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 24), SHIFT(1009),
  [7994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 322),
  [7996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 278),
  [7998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_signature, 1, 0, 59),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [8002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 326),
  [8004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 329),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [8014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 210),
  [8016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 24), SHIFT(1101),
  [8019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 282),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [8023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 3, 0, 204),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [8045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 144),
  [8047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 144),
  [8049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 278),
  [8051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 282),
  [8053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 298),
  [8055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 4, 0, 205),
  [8057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, 0, 300),
  [8059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 334),
  [8061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, 0, 301),
  [8063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 303),
  [8065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 339),
  [8067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(933),
  [8070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 342),
  [8072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 0),
  [8074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 37),
  [8076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(449),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [8083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 37),
  [8085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, 0, 346),
  [8087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(1091),
  [8090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 24), SHIFT(939),
  [8093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_type, 2, 0, 0),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [8097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0),
  [8099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1006),
  [8102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4503),
  [8105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 2, 0, 0),
  [8107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [8115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 37),
  [8117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 245),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [8121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 247),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [8127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [8131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 247),
  [8133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 5, 0, 251),
  [8135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(544),
  [8138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 36),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [8148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 245),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [8154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 220),
  [8156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 5, 0, 259),
  [8158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(949),
  [8161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(1054),
  [8164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 24), SHIFT(944),
  [8167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 24), SHIFT(1065),
  [8170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 163),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [8174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 174),
  [8176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 217),
  [8178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 168),
  [8180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 96),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [8192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [8194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6280),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [8202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 5, 0, 272),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5640),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [8212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [8216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(542),
  [8219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 229),
  [8221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 229), SHIFT_REPEAT(4700),
  [8224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 229),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [8230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 89),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [8238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [8244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [8252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [8260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [8270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [8276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 32),
  [8278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [8286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3209),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [8292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [8294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [8300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3352),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5982),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [8312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3873),
  [8315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [8319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, 0, 104),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [8327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 67),
  [8329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, 0, 116),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [8333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 134),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [8339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1116),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [8346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3, 0, 0),
  [8348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4713),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [8360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [8380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, 0, 44),
  [8382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(445),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [8391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [8399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, 0, 184),
  [8401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, 0, 184),
  [8403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, 0, 185),
  [8405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, 0, 185),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [8413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, 0, 53),
  [8415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 170),
  [8417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 170), SHIFT_REPEAT(336),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [8424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [8426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(4830),
  [8429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [8431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(4831),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [8446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, 0, 0),
  [8448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, 0, 0), REDUCE(aux_sym_template_literal_type_repeat1, 1, 0, 0),
  [8451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 341),
  [8453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 253),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [8461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 284),
  [8463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 286),
  [8465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 317),
  [8467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 318),
  [8469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 288),
  [8471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 320),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [8477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 321),
  [8479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 257),
  [8481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 305),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [8493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 324),
  [8495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 214),
  [8497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 289),
  [8499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 325),
  [8501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 307),
  [8503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 277),
  [8505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 279),
  [8507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 309),
  [8509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 327),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [8513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 231), SHIFT_REPEAT(2780),
  [8516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 231),
  [8518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(2521),
  [8521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [8523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 328),
  [8525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(2326),
  [8528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [8532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 295),
  [8534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 280),
  [8536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, 0, 34),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [8542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 2, 0, 89),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [8548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, 0, 0),
  [8550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 297),
  [8552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 299),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [8564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 302),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [8576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 7, 0, 294),
  [8578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 281),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [8604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 308),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [8630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, 0, 275),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [8676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 216),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [8686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, 0, 92),
  [8688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 255),
  [8690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [8696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, 0, 276),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [8702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5944),
  [8704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5946),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [8716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, 0, 96),
  [8718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, 0, 97),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [8724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(286),
  [8727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(194),
  [8730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4803),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [8736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 218),
  [8738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 332),
  [8740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 333),
  [8742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 335),
  [8744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 337),
  [8746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 167),
  [8748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 338),
  [8750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 340),
  [8752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 36),
  [8754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 207),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [8760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 3, 0, 0),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [8772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [8786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, 0, 0),
  [8788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, 0, 343),
  [8790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, 0, 344),
  [8792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, 0, 345),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [8796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, 0, 347),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [8800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(919),
  [8803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [8807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 11, 0, 348),
  [8809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 209),
  [8811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 3, 0, 0),
  [8813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 211),
  [8815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [8819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(5644),
  [8822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [8838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5684),
  [8840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [8842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_require_clause, 6, 0, 237),
  [8844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 244),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [8848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 246),
  [8850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, 0, 0),
  [8852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(3564),
  [8855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0),
  [8857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 248),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [8861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 249),
  [8863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5662),
  [8865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [8869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6054),
  [8871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5897),
  [8873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, 0, 172),
  [8875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0), SHIFT_REPEAT(3405),
  [8878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0),
  [8880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, 0, 242),
  [8882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, 0, 243),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5614),
  [8888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, 0, 203),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [8892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1, 0, 0),
  [8894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, 0, 0),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [8898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 212),
  [8900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 1, 0, 0),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [8922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [8924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2, 0, 0),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [8934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5717),
  [8936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [8940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 162),
  [8942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [8946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, 0, 5),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [8950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [8966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(272),
  [8969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [8975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 53),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [8979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(243),
  [8982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0), SHIFT_REPEAT(5717),
  [8985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [8995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 3, 0, 122),
  [8997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 164),
  [8999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(591),
  [9002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 97),
  [9004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(561),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [9015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 258),
  [9017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5203),
  [9019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6448),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [9059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 133),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [9063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 0),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [9075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 2, 0, 89),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [9089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [9099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2, 0, 0),
  [9101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_parameter, 2, 0, 37),
  [9103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [9111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 136),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [9147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 4, 0, 195),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [9153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, 0, 195),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [9159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, 0, 154),
  [9161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [9167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [9169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [9173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, 0, 103),
  [9175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 157),
  [9177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 3, 0, 105),
  [9179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 154),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [9199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 4, 0, 159),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [9209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, 0, 43),
  [9211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [9217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, 0, 5),
  [9219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [9247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [9255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_tuple_parameter, 3, 0, 96),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [9259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1, 0, 0),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [9269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_assignment, 2, 0, 36),
  [9271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, 0, 179),
  [9273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, 0, 198),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [9295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [9307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [9321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [9327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 66),
  [9329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [9335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [9343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [9345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [9347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [9353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [9355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [9359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [9363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [9365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [9367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [9373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [9375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [9379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [9381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3, 0, 0),
  [9383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, 0, 0),
  [9385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [9387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [9389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [9391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [9393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [9395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [9397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [9399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [9401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [9403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [9405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [9407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [9409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [9411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [9413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [9419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [9425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [9427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [9429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [9431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [9435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [9441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [9443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [9447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [9449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [9459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [9461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [9465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [9479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [9481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [9483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [9485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [9487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [9489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [9493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [9495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [9519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [9521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [9523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [9525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [9529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [9531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [9533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [9541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [9543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [9547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [9549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [9551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [9553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [9555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6292),
  [9557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [9559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [9571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [9573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [9575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [9577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [9581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3, 0, 0),
  [9583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [9585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3, 0, 0),
  [9587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [9589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [9595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [9597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [9601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [9607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [9623] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [9631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [9653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [9655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [9665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [9681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, 0, 0),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [9711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [9715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6310),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [9737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [9743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [9745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [9749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, 0, 0),
  [9751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [9755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [9759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [9761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [9767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [9769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [9775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [9779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [9781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [9783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [9787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [9799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [9803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [9811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [9827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [9831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [9833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [9847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6274),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [9865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2, 0, 0),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [9901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6195),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [9977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6319),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [9991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2, 0, 0),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
  ts_external_token__function_signature_automatic_semicolon = 7,
  ts_external_token___error_recovery = 8,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
  [ts_external_token__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [ts_external_token___error_recovery] = sym___error_recovery,
};

static const bool ts_external_scanner_states[11][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
    [ts_external_token___error_recovery] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [7] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
  },
  [9] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [10] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_typescript_external_scanner_create(void);
void tree_sitter_typescript_external_scanner_destroy(void *);
bool tree_sitter_typescript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_typescript_external_scanner_serialize(void *, char *);
void tree_sitter_typescript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_typescript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_typescript_external_scanner_create,
      tree_sitter_typescript_external_scanner_destroy,
      tree_sitter_typescript_external_scanner_scan,
      tree_sitter_typescript_external_scanner_serialize,
      tree_sitter_typescript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
